#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 10
#define STATE_COUNT 1132
#define SYMBOL_COUNT 225
#define ALIAS_COUNT 7
#define TOKEN_COUNT 119
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 34
#define MAX_ALIAS_SEQUENCE_LENGTH 7

enum {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_LBRACE = 6,
  anon_sym_COMMA = 7,
  anon_sym_RBRACE = 8,
  anon_sym_as = 9,
  anon_sym_import = 10,
  anon_sym_from = 11,
  anon_sym_var = 12,
  anon_sym_let = 13,
  anon_sym_const = 14,
  anon_sym_if = 15,
  anon_sym_else = 16,
  anon_sym_switch = 17,
  anon_sym_for = 18,
  anon_sym_LPAREN = 19,
  anon_sym_RPAREN = 20,
  anon_sym_await = 21,
  anon_sym_in = 22,
  anon_sym_of = 23,
  anon_sym_while = 24,
  anon_sym_do = 25,
  anon_sym_try = 26,
  anon_sym_with = 27,
  anon_sym_break = 28,
  anon_sym_continue = 29,
  anon_sym_debugger = 30,
  anon_sym_return = 31,
  anon_sym_throw = 32,
  anon_sym_SEMI = 33,
  anon_sym_COLON = 34,
  anon_sym_case = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_EQ = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  anon_sym_LT = 42,
  anon_sym_GT = 43,
  anon_sym_SLASH = 44,
  sym_jsx_text = 45,
  sym_jsx_identifier = 46,
  anon_sym_DOT = 47,
  anon_sym_class = 48,
  anon_sym_extends = 49,
  anon_sym_async = 50,
  anon_sym_function = 51,
  anon_sym_EQ_GT = 52,
  anon_sym_new = 53,
  anon_sym_PLUS_EQ = 54,
  anon_sym_DASH_EQ = 55,
  anon_sym_STAR_EQ = 56,
  anon_sym_SLASH_EQ = 57,
  anon_sym_PERCENT_EQ = 58,
  anon_sym_CARET_EQ = 59,
  anon_sym_AMP_EQ = 60,
  anon_sym_PIPE_EQ = 61,
  anon_sym_GT_GT_EQ = 62,
  anon_sym_GT_GT_GT_EQ = 63,
  anon_sym_LT_LT_EQ = 64,
  anon_sym_STAR_STAR_EQ = 65,
  anon_sym_DOT_DOT_DOT = 66,
  anon_sym_QMARK = 67,
  anon_sym_AMP_AMP = 68,
  anon_sym_PIPE_PIPE = 69,
  anon_sym_GT_GT = 70,
  anon_sym_GT_GT_GT = 71,
  anon_sym_LT_LT = 72,
  anon_sym_AMP = 73,
  anon_sym_CARET = 74,
  anon_sym_PIPE = 75,
  anon_sym_PLUS = 76,
  anon_sym_DASH = 77,
  anon_sym_PERCENT = 78,
  anon_sym_STAR_STAR = 79,
  anon_sym_LT_EQ = 80,
  anon_sym_EQ_EQ = 81,
  anon_sym_EQ_EQ_EQ = 82,
  anon_sym_BANG_EQ = 83,
  anon_sym_BANG_EQ_EQ = 84,
  anon_sym_GT_EQ = 85,
  anon_sym_instanceof = 86,
  anon_sym_BANG = 87,
  anon_sym_TILDE = 88,
  anon_sym_typeof = 89,
  anon_sym_void = 90,
  anon_sym_delete = 91,
  anon_sym_PLUS_PLUS = 92,
  anon_sym_DASH_DASH = 93,
  anon_sym_DQUOTE = 94,
  aux_sym_string_token1 = 95,
  anon_sym_SQUOTE = 96,
  aux_sym_string_token2 = 97,
  sym_escape_sequence = 98,
  sym_comment = 99,
  anon_sym_BQUOTE = 100,
  anon_sym_DOLLAR_LBRACE = 101,
  anon_sym_SLASH2 = 102,
  sym_regex_pattern = 103,
  sym_regex_flags = 104,
  sym_number = 105,
  anon_sym_target = 106,
  sym_this = 107,
  sym_super = 108,
  sym_true = 109,
  sym_false = 110,
  sym_null = 111,
  sym_undefined = 112,
  anon_sym_AT = 113,
  anon_sym_static = 114,
  anon_sym_get = 115,
  anon_sym_set = 116,
  sym__automatic_semicolon = 117,
  sym__template_chars = 118,
  sym_program = 119,
  sym_export_statement = 120,
  sym_export_clause = 121,
  sym__import_export_specifier = 122,
  sym__declaration = 123,
  sym_import = 124,
  sym_import_statement = 125,
  sym_import_clause = 126,
  sym__from_clause = 127,
  sym_namespace_import = 128,
  sym_named_imports = 129,
  sym_expression_statement = 130,
  sym_variable_declaration = 131,
  sym_lexical_declaration = 132,
  sym_variable_declarator = 133,
  sym_statement_block = 134,
  sym_if_statement = 135,
  sym_switch_statement = 136,
  sym_for_statement = 137,
  sym_for_in_statement = 138,
  sym__for_header = 139,
  sym_while_statement = 140,
  sym_do_statement = 141,
  sym_try_statement = 142,
  sym_with_statement = 143,
  sym_break_statement = 144,
  sym_continue_statement = 145,
  sym_debugger_statement = 146,
  sym_return_statement = 147,
  sym_throw_statement = 148,
  sym_empty_statement = 149,
  sym_labeled_statement = 150,
  sym_switch_body = 151,
  sym_switch_case = 152,
  sym_switch_default = 153,
  sym_catch_clause = 154,
  sym_finally_clause = 155,
  sym_parenthesized_expression = 156,
  sym__expression = 157,
  sym_yield_expression = 158,
  sym_object = 159,
  sym_assignment_pattern = 160,
  sym_array = 161,
  sym_jsx_element = 162,
  sym_jsx_fragment = 163,
  sym_jsx_expression = 164,
  sym_jsx_opening_element = 165,
  sym_nested_identifier = 166,
  sym_jsx_namespace_name = 167,
  sym_jsx_closing_element = 168,
  sym_jsx_self_closing_element = 169,
  sym_jsx_attribute = 170,
  sym_class = 171,
  sym_class_declaration = 172,
  sym_class_heritage = 173,
  sym_function = 174,
  sym_function_declaration = 175,
  sym_generator_function = 176,
  sym_generator_function_declaration = 177,
  sym_arrow_function = 178,
  sym_call_expression = 179,
  sym_new_expression = 180,
  sym_await_expression = 181,
  sym_member_expression = 182,
  sym_subscript_expression = 183,
  sym_assignment_expression = 184,
  sym_augmented_assignment_expression = 185,
  sym__initializer = 186,
  sym_spread_element = 187,
  sym_ternary_expression = 188,
  sym_binary_expression = 189,
  sym_unary_expression = 190,
  sym_update_expression = 191,
  sym_sequence_expression = 192,
  sym_string = 193,
  sym_template_string = 194,
  sym_template_substitution = 195,
  sym_regex = 196,
  sym_meta_property = 197,
  sym_arguments = 198,
  sym_decorator = 199,
  sym_decorator_member_expression = 200,
  sym_decorator_call_expression = 201,
  sym_class_body = 202,
  sym_public_field_definition = 203,
  sym_formal_parameters = 204,
  sym_rest_parameter = 205,
  sym_method_definition = 206,
  sym_pair = 207,
  sym__property_name = 208,
  sym_computed_property_name = 209,
  aux_sym_program_repeat1 = 210,
  aux_sym_export_statement_repeat1 = 211,
  aux_sym_export_clause_repeat1 = 212,
  aux_sym_named_imports_repeat1 = 213,
  aux_sym_variable_declaration_repeat1 = 214,
  aux_sym_switch_body_repeat1 = 215,
  aux_sym_object_repeat1 = 216,
  aux_sym_array_repeat1 = 217,
  aux_sym_jsx_element_repeat1 = 218,
  aux_sym_jsx_opening_element_repeat1 = 219,
  aux_sym_string_repeat1 = 220,
  aux_sym_string_repeat2 = 221,
  aux_sym_template_string_repeat1 = 222,
  aux_sym_class_body_repeat1 = 223,
  aux_sym_formal_parameters_repeat1 = 224,
  alias_sym_array_pattern = 225,
  alias_sym_export_specifier = 226,
  alias_sym_import_specifier = 227,
  alias_sym_object_pattern = 228,
  alias_sym_property_identifier = 229,
  alias_sym_shorthand_property_identifier = 230,
  alias_sym_statement_identifier = 231,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_as] = "as",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_with] = "with",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_SLASH] = "/",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "?",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "string_token2",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "_template_chars",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_export_clause] = "export_clause",
  [sym__import_export_specifier] = "_import_export_specifier",
  [sym__declaration] = "_declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__expression] = "_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_array] = "array",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_fragment] = "jsx_fragment",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "nested_identifier",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function] = "function",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_public_field_definition] = "public_field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_rest_parameter] = "rest_parameter",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_array_pattern] = "array_pattern",
  [alias_sym_export_specifier] = "export_specifier",
  [alias_sym_import_specifier] = "import_specifier",
  [alias_sym_object_pattern] = "object_pattern",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__import_export_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constructor = 10,
  field_declaration = 11,
  field_decorator = 12,
  field_finalizer = 13,
  field_flags = 14,
  field_function = 15,
  field_handler = 16,
  field_increment = 17,
  field_index = 18,
  field_initializer = 19,
  field_key = 20,
  field_label = 21,
  field_left = 22,
  field_member = 23,
  field_name = 24,
  field_object = 25,
  field_open_tag = 26,
  field_operator = 27,
  field_parameter = 28,
  field_parameters = 29,
  field_pattern = 30,
  field_property = 31,
  field_right = 32,
  field_source = 33,
  field_value = 34,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_right] = "right",
  [field_source] = "source",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 2, .length = 1},
  [7] = {.index = 2, .length = 1},
  [8] = {.index = 3, .length = 1},
  [9] = {.index = 4, .length = 1},
  [10] = {.index = 4, .length = 1},
  [11] = {.index = 5, .length = 2},
  [12] = {.index = 7, .length = 2},
  [14] = {.index = 9, .length = 2},
  [15] = {.index = 11, .length = 2},
  [16] = {.index = 13, .length = 2},
  [18] = {.index = 15, .length = 1},
  [19] = {.index = 16, .length = 2},
  [20] = {.index = 16, .length = 2},
  [21] = {.index = 16, .length = 2},
  [22] = {.index = 18, .length = 2},
  [23] = {.index = 20, .length = 2},
  [24] = {.index = 22, .length = 3},
  [27] = {.index = 25, .length = 2},
  [28] = {.index = 27, .length = 2},
  [29] = {.index = 29, .length = 2},
  [30] = {.index = 31, .length = 2},
  [31] = {.index = 33, .length = 1},
  [32] = {.index = 34, .length = 1},
  [33] = {.index = 35, .length = 1},
  [34] = {.index = 36, .length = 1},
  [35] = {.index = 37, .length = 1},
  [36] = {.index = 38, .length = 1},
  [37] = {.index = 39, .length = 2},
  [38] = {.index = 41, .length = 1},
  [39] = {.index = 42, .length = 1},
  [40] = {.index = 43, .length = 2},
  [41] = {.index = 45, .length = 2},
  [42] = {.index = 47, .length = 2},
  [43] = {.index = 49, .length = 2},
  [44] = {.index = 51, .length = 2},
  [45] = {.index = 51, .length = 2},
  [46] = {.index = 43, .length = 2},
  [47] = {.index = 45, .length = 2},
  [48] = {.index = 47, .length = 2},
  [49] = {.index = 7, .length = 2},
  [50] = {.index = 53, .length = 3},
  [51] = {.index = 43, .length = 2},
  [52] = {.index = 43, .length = 2},
  [53] = {.index = 56, .length = 2},
  [54] = {.index = 58, .length = 2},
  [55] = {.index = 60, .length = 2},
  [56] = {.index = 62, .length = 1},
  [57] = {.index = 63, .length = 1},
  [58] = {.index = 64, .length = 2},
  [59] = {.index = 43, .length = 2},
  [60] = {.index = 66, .length = 2},
  [61] = {.index = 68, .length = 3},
  [62] = {.index = 64, .length = 2},
  [63] = {.index = 71, .length = 1},
  [64] = {.index = 72, .length = 3},
  [65] = {.index = 75, .length = 3},
  [66] = {.index = 78, .length = 2},
  [67] = {.index = 80, .length = 2},
  [68] = {.index = 82, .length = 2},
  [69] = {.index = 84, .length = 1},
  [70] = {.index = 85, .length = 2},
  [71] = {.index = 87, .length = 1},
  [72] = {.index = 88, .length = 2},
  [73] = {.index = 90, .length = 2},
  [74] = {.index = 92, .length = 2},
  [75] = {.index = 94, .length = 2},
  [76] = {.index = 92, .length = 2},
  [77] = {.index = 96, .length = 2},
  [78] = {.index = 98, .length = 3},
  [79] = {.index = 101, .length = 2},
  [80] = {.index = 103, .length = 3},
  [81] = {.index = 106, .length = 2},
  [82] = {.index = 108, .length = 2},
  [83] = {.index = 110, .length = 3},
  [84] = {.index = 113, .length = 2},
  [85] = {.index = 115, .length = 2},
  [86] = {.index = 117, .length = 2},
  [87] = {.index = 119, .length = 3},
  [88] = {.index = 122, .length = 3},
  [89] = {.index = 125, .length = 1},
  [90] = {.index = 126, .length = 2},
  [91] = {.index = 128, .length = 3},
  [92] = {.index = 131, .length = 2},
  [93] = {.index = 131, .length = 2},
  [94] = {.index = 133, .length = 3},
  [95] = {.index = 131, .length = 2},
  [96] = {.index = 131, .length = 2},
  [97] = {.index = 136, .length = 3},
  [98] = {.index = 139, .length = 2},
  [99] = {.index = 139, .length = 2},
  [100] = {.index = 139, .length = 2},
  [101] = {.index = 139, .length = 2},
  [102] = {.index = 141, .length = 4},
  [103] = {.index = 145, .length = 2},
  [104] = {.index = 145, .length = 2},
  [105] = {.index = 145, .length = 2},
  [106] = {.index = 147, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_declaration, 1},
  [2] =
    {field_name, 0},
  [3] =
    {field_body, 1},
  [4] =
    {field_constructor, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_argument, 0},
    {field_operator, 1},
  [11] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [13] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [15] =
    {field_source, 1},
  [16] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [18] =
    {field_condition, 1},
    {field_consequence, 2},
  [20] =
    {field_body, 2},
    {field_value, 1},
  [22] =
    {field_body, 2},
    {field_left, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [25] =
    {field_body, 2},
    {field_condition, 1},
  [27] =
    {field_body, 1},
    {field_handler, 2},
  [29] =
    {field_body, 1},
    {field_finalizer, 2},
  [31] =
    {field_body, 2},
    {field_object, 1},
  [33] =
    {field_label, 1},
  [34] =
    {field_name, 1},
  [35] =
    {field_attribute, 0},
  [36] =
    {field_pattern, 1},
  [37] =
    {field_member, 0},
  [38] =
    {field_property, 0},
  [39] =
    {field_body, 2},
    {field_name, 1},
  [41] =
    {field_body, 2},
  [42] =
    {field_label, 0},
  [43] =
    {field_left, 0},
    {field_right, 2},
  [45] =
    {field_object, 0},
    {field_property, 2},
  [47] =
    {field_body, 2},
    {field_parameter, 0},
  [49] =
    {field_body, 2},
    {field_parameters, 1},
  [51] =
    {field_arguments, 2},
    {field_constructor, 1},
  [53] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [56] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [58] =
    {field_body, 2},
    {field_parameters, 0},
  [60] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [62] =
    {field_source, 2, .inherited = true},
  [63] =
    {field_value, 2},
  [64] =
    {field_alias, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [66] =
    {field_key, 0},
    {field_value, 2},
  [68] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [71] =
    {field_value, 1},
  [72] =
    {field_body, 3},
    {field_left, 2, .inherited = true},
    {field_right, 2, .inherited = true},
  [75] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [78] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [80] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [82] =
    {field_flags, 3},
    {field_pattern, 1},
  [84] =
    {field_property, 1},
  [85] =
    {field_property, 0},
    {field_value, 1, .inherited = true},
  [87] =
    {field_member, 1, .inherited = true},
  [88] =
    {field_member, 0, .inherited = true},
    {field_member, 1, .inherited = true},
  [90] =
    {field_body, 3},
    {field_name, 1},
  [92] =
    {field_body, 3},
    {field_parameter, 1},
  [94] =
    {field_body, 3},
    {field_parameters, 2},
  [96] =
    {field_body, 3},
    {field_parameters, 1},
  [98] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [101] =
    {field_index, 2},
    {field_object, 0},
  [103] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [106] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [108] =
    {field_alias, 2},
    {field_name, 0},
  [110] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [113] =
    {field_body, 1},
    {field_condition, 3},
  [115] =
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [117] =
    {field_body, 4},
    {field_parameters, 3},
  [119] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [122] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [125] =
    {field_name, 2},
  [126] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [128] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [131] =
    {field_left, 1},
    {field_right, 3},
  [133] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [136] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [139] =
    {field_left, 2},
    {field_right, 4},
  [141] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [145] =
    {field_body, 4},
    {field_parameter, 2},
  [147] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
};

static TSSymbol ts_alias_sequences[107][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [0] = alias_sym_property_identifier,
  },
  [6] = {
    [0] = alias_sym_object_pattern,
  },
  [7] = {
    [0] = alias_sym_array_pattern,
  },
  [9] = {
    [1] = sym_identifier,
  },
  [13] = {
    [1] = sym_identifier,
  },
  [17] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [20] = {
    [0] = alias_sym_object_pattern,
  },
  [21] = {
    [0] = alias_sym_array_pattern,
  },
  [25] = {
    [1] = alias_sym_object_pattern,
  },
  [26] = {
    [1] = alias_sym_array_pattern,
  },
  [31] = {
    [1] = alias_sym_statement_identifier,
  },
  [39] = {
    [0] = alias_sym_statement_identifier,
  },
  [40] = {
    [0] = sym_identifier,
  },
  [41] = {
    [0] = sym_identifier,
    [2] = alias_sym_property_identifier,
  },
  [42] = {
    [0] = sym_identifier,
  },
  [44] = {
    [1] = sym_identifier,
  },
  [47] = {
    [2] = alias_sym_property_identifier,
  },
  [49] = {
    [0] = sym_identifier,
  },
  [51] = {
    [0] = alias_sym_object_pattern,
  },
  [52] = {
    [0] = alias_sym_array_pattern,
  },
  [58] = {
    [1] = alias_sym_export_specifier,
  },
  [59] = {
    [0] = alias_sym_shorthand_property_identifier,
  },
  [62] = {
    [1] = alias_sym_import_specifier,
  },
  [74] = {
    [1] = sym_identifier,
  },
  [92] = {
    [1] = sym_identifier,
  },
  [95] = {
    [1] = alias_sym_object_pattern,
  },
  [96] = {
    [1] = alias_sym_array_pattern,
  },
  [98] = {
    [2] = sym_identifier,
  },
  [100] = {
    [2] = alias_sym_object_pattern,
  },
  [101] = {
    [2] = alias_sym_array_pattern,
  },
  [104] = {
    [2] = alias_sym_object_pattern,
  },
  [105] = {
    [2] = alias_sym_array_pattern,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 0) ADVANCE(61);
      if (lookahead == '!') ADVANCE(139);
      if (lookahead == '"') ADVANCE(143);
      if (lookahead == '#') ADVANCE(9);
      if (lookahead == '$') ADVANCE(183);
      if (lookahead == '%') ADVANCE(129);
      if (lookahead == '&') ADVANCE(119);
      if (lookahead == '\'') ADVANCE(150);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(70);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(125);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(127);
      if (lookahead == '.') ADVANCE(93);
      if (lookahead == '/') ADVANCE(168);
      if (lookahead == '0') ADVANCE(173);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(71);
      if (lookahead == '<') ADVANCE(79);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(82);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '@') ADVANCE(185);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(121);
      if (lookahead == '`') ADVANCE(166);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '|') ADVANCE(122);
      if (lookahead == '}') ADVANCE(68);
      if (lookahead == '~') ADVANCE(140);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(1)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(174);
      if (lookahead != 0) ADVANCE(184);
      END_STATE();
    case 1:
      if (lookahead == 0) ADVANCE(61);
      if (lookahead == '!') ADVANCE(139);
      if (lookahead == '"') ADVANCE(143);
      if (lookahead == '#') ADVANCE(9);
      if (lookahead == '$') ADVANCE(183);
      if (lookahead == '%') ADVANCE(129);
      if (lookahead == '&') ADVANCE(119);
      if (lookahead == '\'') ADVANCE(150);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(70);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(125);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(127);
      if (lookahead == '.') ADVANCE(93);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == '0') ADVANCE(173);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(71);
      if (lookahead == '<') ADVANCE(79);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(82);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '@') ADVANCE(185);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(121);
      if (lookahead == '`') ADVANCE(166);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '|') ADVANCE(122);
      if (lookahead == '}') ADVANCE(68);
      if (lookahead == '~') ADVANCE(140);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(1)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(174);
      if (lookahead != 0) ADVANCE(184);
      END_STATE();
    case 2:
      if (lookahead == 0) ADVANCE(61);
      if (lookahead == '!') ADVANCE(139);
      if (lookahead == '"') ADVANCE(143);
      if (lookahead == '%') ADVANCE(128);
      if (lookahead == '&') ADVANCE(118);
      if (lookahead == '\'') ADVANCE(150);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(70);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(124);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(126);
      if (lookahead == '.') ADVANCE(94);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == '0') ADVANCE(173);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(71);
      if (lookahead == '<') ADVANCE(80);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(83);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '@') ADVANCE(185);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(120);
      if (lookahead == '`') ADVANCE(166);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '|') ADVANCE(123);
      if (lookahead == '}') ADVANCE(68);
      if (lookahead == '~') ADVANCE(140);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(2)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '#') ADVANCE(184);
      END_STATE();
    case 3:
      if (lookahead == 0) ADVANCE(61);
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(143);
      if (lookahead == '#') ADVANCE(9);
      if (lookahead == '\'') ADVANCE(150);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(70);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(124);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(126);
      if (lookahead == '.') ADVANCE(21);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == '0') ADVANCE(173);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(71);
      if (lookahead == '<') ADVANCE(78);
      if (lookahead == '=') ADVANCE(75);
      if (lookahead == '>') ADVANCE(81);
      if (lookahead == '@') ADVANCE(185);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '`') ADVANCE(166);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '}') ADVANCE(68);
      if (lookahead == '~') ADVANCE(140);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(3)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(174);
      if (lookahead != 0 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(184);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(14)
      if (lookahead == '"') ADVANCE(143);
      if (lookahead == '/') ADVANCE(145);
      if (lookahead == '\\') ADVANCE(5);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(148);
      if (lookahead != 0) ADVANCE(149);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(144);
      if (lookahead == '\r') ADVANCE(158);
      if (lookahead == 'u') ADVANCE(35);
      if (lookahead == 'x') ADVANCE(54);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(162);
      if (lookahead != 0) ADVANCE(157);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(17)
      if (lookahead == '\'') ADVANCE(150);
      if (lookahead == '/') ADVANCE(152);
      if (lookahead == '\\') ADVANCE(7);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(155);
      if (lookahead != 0) ADVANCE(156);
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(151);
      if (lookahead == '\r') ADVANCE(159);
      if (lookahead == 'u') ADVANCE(35);
      if (lookahead == 'x') ADVANCE(54);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(162);
      if (lookahead != 0) ADVANCE(157);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(25)
      if (lookahead == '/') ADVANCE(18);
      if (lookahead == '[') ADVANCE(28);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(169);
      if (lookahead != 0) ADVANCE(170);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(62);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(143);
      if (lookahead == '\'') ADVANCE(150);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == '+') ADVANCE(124);
      if (lookahead == '-') ADVANCE(126);
      if (lookahead == '.') ADVANCE(94);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == '0') ADVANCE(173);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == '<') ADVANCE(78);
      if (lookahead == '>') ADVANCE(81);
      if (lookahead == '@') ADVANCE(185);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == '`') ADVANCE(166);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '~') ADVANCE(140);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(10)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(184);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(26);
      if (lookahead == '"') ADVANCE(143);
      if (lookahead == '%') ADVANCE(129);
      if (lookahead == '&') ADVANCE(119);
      if (lookahead == '\'') ADVANCE(150);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(70);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(125);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(127);
      if (lookahead == '.') ADVANCE(94);
      if (lookahead == '/') ADVANCE(85);
      if (lookahead == '0') ADVANCE(173);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(71);
      if (lookahead == '<') ADVANCE(79);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(82);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(121);
      if (lookahead == '`') ADVANCE(166);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '|') ADVANCE(122);
      if (lookahead == '}') ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(11)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '#' &&
          lookahead != '@' &&
          lookahead != '~') ADVANCE(184);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(26);
      if (lookahead == '%') ADVANCE(128);
      if (lookahead == '&') ADVANCE(118);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(70);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(124);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(126);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(71);
      if (lookahead == '<') ADVANCE(80);
      if (lookahead == '=') ADVANCE(27);
      if (lookahead == '>') ADVANCE(83);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(120);
      if (lookahead == '`') ADVANCE(166);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '|') ADVANCE(123);
      if (lookahead == '}') ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(13)
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(171);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(184);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(26);
      if (lookahead == '%') ADVANCE(128);
      if (lookahead == '&') ADVANCE(118);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(70);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(124);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(126);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(71);
      if (lookahead == '<') ADVANCE(80);
      if (lookahead == '=') ADVANCE(27);
      if (lookahead == '>') ADVANCE(83);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(120);
      if (lookahead == '`') ADVANCE(166);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '|') ADVANCE(123);
      if (lookahead == '}') ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(13)
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(184);
      END_STATE();
    case 14:
      if (lookahead == '"') ADVANCE(143);
      if (lookahead == '/') ADVANCE(18);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(14)
      END_STATE();
    case 15:
      if (lookahead == '$') ADVANCE(32);
      if (lookahead == '/') ADVANCE(168);
      if (lookahead == '\\') ADVANCE(31);
      if (lookahead == '`') ADVANCE(166);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(16)
      END_STATE();
    case 16:
      if (lookahead == '$') ADVANCE(32);
      if (lookahead == '/') ADVANCE(18);
      if (lookahead == '`') ADVANCE(166);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(16)
      END_STATE();
    case 17:
      if (lookahead == '\'') ADVANCE(150);
      if (lookahead == '/') ADVANCE(18);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(17)
      END_STATE();
    case 18:
      if (lookahead == '*') ADVANCE(20);
      if (lookahead == '/') ADVANCE(165);
      END_STATE();
    case 19:
      if (lookahead == '*') ADVANCE(19);
      if (lookahead == '/') ADVANCE(163);
      if (lookahead != 0) ADVANCE(20);
      END_STATE();
    case 20:
      if (lookahead == '*') ADVANCE(19);
      if (lookahead != 0) ADVANCE(20);
      END_STATE();
    case 21:
      if (lookahead == '.') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(180);
      END_STATE();
    case 22:
      if (lookahead == '.') ADVANCE(108);
      END_STATE();
    case 23:
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == '=') ADVANCE(73);
      if (lookahead == '>') ADVANCE(81);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(23)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      if (lookahead != 0 &&
          (lookahead < '!' || '~' < lookahead)) ADVANCE(184);
      END_STATE();
    case 24:
      if (lookahead == '/') ADVANCE(86);
      if (lookahead == '<') ADVANCE(78);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(89);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(90);
      END_STATE();
    case 25:
      if (lookahead == '/') ADVANCE(18);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(25)
      END_STATE();
    case 26:
      if (lookahead == '=') ADVANCE(135);
      END_STATE();
    case 27:
      if (lookahead == '=') ADVANCE(133);
      END_STATE();
    case 28:
      if (lookahead == '\\') ADVANCE(59);
      if (lookahead == ']') ADVANCE(170);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(28);
      END_STATE();
    case 29:
      if (lookahead == 'u') ADVANCE(33);
      if (lookahead == 'x') ADVANCE(54);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(162);
      if (lookahead != 0) ADVANCE(157);
      END_STATE();
    case 30:
      if (lookahead == 'u') ADVANCE(34);
      END_STATE();
    case 31:
      if (lookahead == 'u') ADVANCE(35);
      if (lookahead == 'x') ADVANCE(54);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(162);
      if (lookahead != 0) ADVANCE(157);
      END_STATE();
    case 32:
      if (lookahead == '{') ADVANCE(167);
      END_STATE();
    case 33:
      if (lookahead == '{') ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(57);
      END_STATE();
    case 34:
      if (lookahead == '{') ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(58);
      END_STATE();
    case 35:
      if (lookahead == '{') ADVANCE(53);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 36:
      if (lookahead == '}') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 37:
      if (lookahead == '}') ADVANCE(157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 38:
      if (lookahead == '}') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 39:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(179);
      END_STATE();
    case 40:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(175);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(176);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(174);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(180);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(178);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(179);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(184);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(157);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(177);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(160);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(54);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(55);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(56);
      END_STATE();
    case 59:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(28);
      END_STATE();
    case 60:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(170);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(62);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(131);
      if (lookahead == '=') ADVANCE(98);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(130);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(133);
      if (lookahead == '>') ADVANCE(95);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(95);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(117);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(116);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(137);
      if (lookahead == '>') ADVANCE(112);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(137);
      if (lookahead == '>') ADVANCE(113);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(20);
      if (lookahead == '/') ADVANCE(165);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(20);
      if (lookahead == '/') ADVANCE(165);
      if (lookahead == '=') ADVANCE(99);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(88);
      if (lookahead == '/') ADVANCE(164);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(90);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(87);
      if (lookahead == '/') ADVANCE(163);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(20);
      if (lookahead != 0) ADVANCE(88);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(87);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(20);
      if (lookahead != 0) ADVANCE(88);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '/') ADVANCE(86);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(89);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(90);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(90);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(91);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(180);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(180);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(104);
      if (lookahead == '>') ADVANCE(115);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(114);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(105);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(106);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(110);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(110);
      if (lookahead == '=') ADVANCE(102);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(101);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(103);
      if (lookahead == '|') ADVANCE(111);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(111);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(141);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(141);
      if (lookahead == '=') ADVANCE(96);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(142);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(142);
      if (lookahead == '=') ADVANCE(97);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(100);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(107);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(134);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(136);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(135);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*') ADVANCE(147);
      if (lookahead == '/') ADVANCE(149);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(149);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*') ADVANCE(146);
      if (lookahead == '/') ADVANCE(149);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(147);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*') ADVANCE(146);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(147);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '/') ADVANCE(145);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(148);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(149);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(149);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*') ADVANCE(154);
      if (lookahead == '/') ADVANCE(156);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(156);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*') ADVANCE(153);
      if (lookahead == '/') ADVANCE(156);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(154);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*') ADVANCE(153);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(154);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '/') ADVANCE(152);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(155);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(156);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(156);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n') ADVANCE(144);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n') ADVANCE(151);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(184);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(157);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(161);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(165);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(164);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(165);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      if (lookahead == '*') ADVANCE(20);
      if (lookahead == '/') ADVANCE(165);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '/') ADVANCE(18);
      if (lookahead == '[') ADVANCE(28);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(170);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(28);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(170);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(30);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(171);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(184);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(181);
      if (lookahead == '0') ADVANCE(178);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(40);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(41);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(48);
      if (lookahead == '_') ADVANCE(44);
      if (lookahead == 'n') ADVANCE(172);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(174);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(181);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (lookahead == '_') ADVANCE(42);
      if (lookahead == 'n') ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(174);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(40);
      if (lookahead == 'n') ADVANCE(172);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(175);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(41);
      if (lookahead == 'n') ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(176);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(48);
      if (lookahead == 'n') ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(177);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(44);
      if (lookahead == 'n') ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(178);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(179);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (lookahead == '_') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(180);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(180);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(91);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(184);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == '{') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(184);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(184);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'g') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'l') ADVANCE(9);
      if (lookahead == 'n') ADVANCE(10);
      if (lookahead == 'o') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 't') ADVANCE(14);
      if (lookahead == 'u') ADVANCE(15);
      if (lookahead == 'v') ADVANCE(16);
      if (lookahead == 'w') ADVANCE(17);
      if (lookahead == 'y') ADVANCE(18);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(21);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'l') ADVANCE(23);
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(27);
      if (lookahead == 'x') ADVANCE(28);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      if (lookahead == 'r') ADVANCE(32);
      if (lookahead == 'u') ADVANCE(33);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(35);
      if (lookahead == 'm') ADVANCE(36);
      if (lookahead == 'n') ADVANCE(37);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(38);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(39);
      if (lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(41);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 't') ADVANCE(44);
      if (lookahead == 'u') ADVANCE(45);
      if (lookahead == 'w') ADVANCE(46);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(47);
      if (lookahead == 'h') ADVANCE(48);
      if (lookahead == 'r') ADVANCE(49);
      if (lookahead == 'y') ADVANCE(50);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(52);
      if (lookahead == 'o') ADVANCE(53);
      END_STATE();
    case 17:
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(57);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(58);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(60);
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(63);
      END_STATE();
    case 25:
      if (lookahead == 'b') ADVANCE(64);
      if (lookahead == 'f') ADVANCE(65);
      if (lookahead == 'l') ADVANCE(66);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 27:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 28:
      if (lookahead == 'p') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 30:
      if (lookahead == 'n') ADVANCE(71);
      END_STATE();
    case 31:
      if (lookahead == 'r') ADVANCE(72);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(73);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(74);
      END_STATE();
    case 34:
      if (lookahead == 't') ADVANCE(75);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(76);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 39:
      if (lookahead == 'w') ADVANCE(79);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(80);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 43:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(83);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(84);
      END_STATE();
    case 46:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(86);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(88);
      END_STATE();
    case 49:
      if (lookahead == 'u') ADVANCE(89);
      if (lookahead == 'y') ADVANCE(90);
      END_STATE();
    case 50:
      if (lookahead == 'p') ADVANCE(91);
      END_STATE();
    case 51:
      if (lookahead == 'd') ADVANCE(92);
      END_STATE();
    case 52:
      if (lookahead == 'r') ADVANCE(93);
      END_STATE();
    case 53:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 58:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 61:
      if (lookahead == 'c') ADVANCE(102);
      END_STATE();
    case 62:
      if (lookahead == 's') ADVANCE(103);
      END_STATE();
    case 63:
      if (lookahead == 's') ADVANCE(104);
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 64:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(108);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 68:
      if (lookahead == 'o') ADVANCE(110);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(111);
      END_STATE();
    case 70:
      if (lookahead == 's') ADVANCE(112);
      END_STATE();
    case 71:
      if (lookahead == 'a') ADVANCE(113);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 73:
      if (lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 74:
      if (lookahead == 'c') ADVANCE(115);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 76:
      if (lookahead == 'o') ADVANCE(116);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 81:
      if (lookahead == 'u') ADVANCE(119);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 86:
      if (lookahead == 'g') ADVANCE(123);
      END_STATE();
    case 87:
      if (lookahead == 's') ADVANCE(124);
      END_STATE();
    case 88:
      if (lookahead == 'o') ADVANCE(125);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(128);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(129);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(130);
      END_STATE();
    case 96:
      if (lookahead == 'h') ADVANCE(131);
      END_STATE();
    case 97:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(133);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 100:
      if (lookahead == 'k') ADVANCE(135);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 102:
      if (lookahead == 'h') ADVANCE(136);
      END_STATE();
    case 103:
      if (lookahead == 's') ADVANCE(137);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 105:
      if (lookahead == 'i') ADVANCE(139);
      END_STATE();
    case 106:
      if (lookahead == 'g') ADVANCE(140);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(141);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 110:
      if (lookahead == 'r') ADVANCE(143);
      END_STATE();
    case 111:
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 113:
      if (lookahead == 'l') ADVANCE(146);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 115:
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 116:
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 117:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 119:
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 120:
      if (lookahead == 'i') ADVANCE(151);
      END_STATE();
    case 121:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 122:
      if (lookahead == 'c') ADVANCE(153);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 125:
      if (lookahead == 'w') ADVANCE(155);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 127:
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 128:
      if (lookahead == 'f') ADVANCE(157);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 132:
      if (lookahead == 'd') ADVANCE(159);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 139:
      if (lookahead == 'n') ADVANCE(160);
      END_STATE();
    case 140:
      if (lookahead == 'g') ADVANCE(161);
      END_STATE();
    case 141:
      if (lookahead == 'l') ADVANCE(162);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(163);
      END_STATE();
    case 143:
      if (lookahead == 't') ADVANCE(164);
      END_STATE();
    case 144:
      if (lookahead == 'd') ADVANCE(165);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 146:
      if (lookahead == 'l') ADVANCE(166);
      END_STATE();
    case 147:
      if (lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 149:
      if (lookahead == 'n') ADVANCE(169);
      END_STATE();
    case 150:
      if (lookahead == 'n') ADVANCE(170);
      END_STATE();
    case 151:
      if (lookahead == 'c') ADVANCE(171);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 153:
      if (lookahead == 'h') ADVANCE(172);
      END_STATE();
    case 154:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 156:
      if (lookahead == 'f') ADVANCE(174);
      END_STATE();
    case 157:
      if (lookahead == 'i') ADVANCE(175);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 160:
      if (lookahead == 'u') ADVANCE(176);
      END_STATE();
    case 161:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 162:
      if (lookahead == 't') ADVANCE(178);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 165:
      if (lookahead == 's') ADVANCE(179);
      END_STATE();
    case 166:
      if (lookahead == 'y') ADVANCE(180);
      END_STATE();
    case 167:
      if (lookahead == 'o') ADVANCE(181);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 169:
      if (lookahead == 'c') ADVANCE(182);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 175:
      if (lookahead == 'n') ADVANCE(183);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 177:
      if (lookahead == 'r') ADVANCE(185);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 181:
      if (lookahead == 'n') ADVANCE(186);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(187);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(188);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 187:
      if (lookahead == 'o') ADVANCE(189);
      END_STATE();
    case 188:
      if (lookahead == 'd') ADVANCE(190);
      END_STATE();
    case 189:
      if (lookahead == 'f') ADVANCE(191);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 3},
  [2] = {.lex_state = 3},
  [3] = {.lex_state = 3},
  [4] = {.lex_state = 3},
  [5] = {.lex_state = 3},
  [6] = {.lex_state = 3},
  [7] = {.lex_state = 3},
  [8] = {.lex_state = 3},
  [9] = {.lex_state = 3},
  [10] = {.lex_state = 3},
  [11] = {.lex_state = 3},
  [12] = {.lex_state = 3},
  [13] = {.lex_state = 3},
  [14] = {.lex_state = 3},
  [15] = {.lex_state = 3},
  [16] = {.lex_state = 3},
  [17] = {.lex_state = 3},
  [18] = {.lex_state = 3},
  [19] = {.lex_state = 3},
  [20] = {.lex_state = 3},
  [21] = {.lex_state = 3},
  [22] = {.lex_state = 3},
  [23] = {.lex_state = 3},
  [24] = {.lex_state = 3},
  [25] = {.lex_state = 3},
  [26] = {.lex_state = 3},
  [27] = {.lex_state = 3},
  [28] = {.lex_state = 3},
  [29] = {.lex_state = 3},
  [30] = {.lex_state = 3},
  [31] = {.lex_state = 3},
  [32] = {.lex_state = 3},
  [33] = {.lex_state = 3},
  [34] = {.lex_state = 3},
  [35] = {.lex_state = 3},
  [36] = {.lex_state = 3},
  [37] = {.lex_state = 3},
  [38] = {.lex_state = 3},
  [39] = {.lex_state = 3},
  [40] = {.lex_state = 3},
  [41] = {.lex_state = 3},
  [42] = {.lex_state = 3},
  [43] = {.lex_state = 2},
  [44] = {.lex_state = 2, .external_lex_state = 2},
  [45] = {.lex_state = 2, .external_lex_state = 2},
  [46] = {.lex_state = 2, .external_lex_state = 2},
  [47] = {.lex_state = 2, .external_lex_state = 2},
  [48] = {.lex_state = 2, .external_lex_state = 2},
  [49] = {.lex_state = 2, .external_lex_state = 2},
  [50] = {.lex_state = 2, .external_lex_state = 2},
  [51] = {.lex_state = 2, .external_lex_state = 2},
  [52] = {.lex_state = 2, .external_lex_state = 2},
  [53] = {.lex_state = 2, .external_lex_state = 2},
  [54] = {.lex_state = 2, .external_lex_state = 2},
  [55] = {.lex_state = 2, .external_lex_state = 2},
  [56] = {.lex_state = 2, .external_lex_state = 2},
  [57] = {.lex_state = 2, .external_lex_state = 2},
  [58] = {.lex_state = 2, .external_lex_state = 2},
  [59] = {.lex_state = 2, .external_lex_state = 2},
  [60] = {.lex_state = 3},
  [61] = {.lex_state = 3},
  [62] = {.lex_state = 3},
  [63] = {.lex_state = 3},
  [64] = {.lex_state = 3},
  [65] = {.lex_state = 3},
  [66] = {.lex_state = 3},
  [67] = {.lex_state = 3},
  [68] = {.lex_state = 3},
  [69] = {.lex_state = 3},
  [70] = {.lex_state = 3},
  [71] = {.lex_state = 3},
  [72] = {.lex_state = 3},
  [73] = {.lex_state = 3},
  [74] = {.lex_state = 3},
  [75] = {.lex_state = 3},
  [76] = {.lex_state = 3, .external_lex_state = 2},
  [77] = {.lex_state = 3},
  [78] = {.lex_state = 3},
  [79] = {.lex_state = 3},
  [80] = {.lex_state = 3},
  [81] = {.lex_state = 3},
  [82] = {.lex_state = 3},
  [83] = {.lex_state = 3},
  [84] = {.lex_state = 3},
  [85] = {.lex_state = 3},
  [86] = {.lex_state = 3},
  [87] = {.lex_state = 3},
  [88] = {.lex_state = 3},
  [89] = {.lex_state = 3},
  [90] = {.lex_state = 3},
  [91] = {.lex_state = 3},
  [92] = {.lex_state = 3},
  [93] = {.lex_state = 3},
  [94] = {.lex_state = 3},
  [95] = {.lex_state = 3},
  [96] = {.lex_state = 3},
  [97] = {.lex_state = 10},
  [98] = {.lex_state = 3},
  [99] = {.lex_state = 3},
  [100] = {.lex_state = 3},
  [101] = {.lex_state = 3},
  [102] = {.lex_state = 3},
  [103] = {.lex_state = 3},
  [104] = {.lex_state = 3},
  [105] = {.lex_state = 3},
  [106] = {.lex_state = 3},
  [107] = {.lex_state = 3},
  [108] = {.lex_state = 10},
  [109] = {.lex_state = 3},
  [110] = {.lex_state = 3},
  [111] = {.lex_state = 3},
  [112] = {.lex_state = 3},
  [113] = {.lex_state = 3},
  [114] = {.lex_state = 3},
  [115] = {.lex_state = 3},
  [116] = {.lex_state = 3},
  [117] = {.lex_state = 3},
  [118] = {.lex_state = 3},
  [119] = {.lex_state = 3},
  [120] = {.lex_state = 3},
  [121] = {.lex_state = 3},
  [122] = {.lex_state = 3},
  [123] = {.lex_state = 3},
  [124] = {.lex_state = 3},
  [125] = {.lex_state = 3},
  [126] = {.lex_state = 3},
  [127] = {.lex_state = 3},
  [128] = {.lex_state = 3},
  [129] = {.lex_state = 3},
  [130] = {.lex_state = 3},
  [131] = {.lex_state = 3},
  [132] = {.lex_state = 3},
  [133] = {.lex_state = 3},
  [134] = {.lex_state = 3},
  [135] = {.lex_state = 3},
  [136] = {.lex_state = 3},
  [137] = {.lex_state = 3},
  [138] = {.lex_state = 3},
  [139] = {.lex_state = 3},
  [140] = {.lex_state = 3},
  [141] = {.lex_state = 3},
  [142] = {.lex_state = 3},
  [143] = {.lex_state = 3},
  [144] = {.lex_state = 3},
  [145] = {.lex_state = 3},
  [146] = {.lex_state = 3},
  [147] = {.lex_state = 3},
  [148] = {.lex_state = 3},
  [149] = {.lex_state = 3},
  [150] = {.lex_state = 3},
  [151] = {.lex_state = 3},
  [152] = {.lex_state = 3},
  [153] = {.lex_state = 3},
  [154] = {.lex_state = 3},
  [155] = {.lex_state = 3},
  [156] = {.lex_state = 3},
  [157] = {.lex_state = 3},
  [158] = {.lex_state = 3},
  [159] = {.lex_state = 3},
  [160] = {.lex_state = 3},
  [161] = {.lex_state = 3},
  [162] = {.lex_state = 3},
  [163] = {.lex_state = 3},
  [164] = {.lex_state = 3},
  [165] = {.lex_state = 3},
  [166] = {.lex_state = 3},
  [167] = {.lex_state = 3},
  [168] = {.lex_state = 3},
  [169] = {.lex_state = 3},
  [170] = {.lex_state = 3},
  [171] = {.lex_state = 3},
  [172] = {.lex_state = 3},
  [173] = {.lex_state = 3},
  [174] = {.lex_state = 3},
  [175] = {.lex_state = 3},
  [176] = {.lex_state = 11, .external_lex_state = 2},
  [177] = {.lex_state = 11, .external_lex_state = 2},
  [178] = {.lex_state = 3, .external_lex_state = 2},
  [179] = {.lex_state = 3, .external_lex_state = 2},
  [180] = {.lex_state = 3},
  [181] = {.lex_state = 3},
  [182] = {.lex_state = 11, .external_lex_state = 2},
  [183] = {.lex_state = 11, .external_lex_state = 2},
  [184] = {.lex_state = 3},
  [185] = {.lex_state = 11, .external_lex_state = 2},
  [186] = {.lex_state = 11, .external_lex_state = 2},
  [187] = {.lex_state = 3},
  [188] = {.lex_state = 11},
  [189] = {.lex_state = 3, .external_lex_state = 2},
  [190] = {.lex_state = 3},
  [191] = {.lex_state = 3},
  [192] = {.lex_state = 3, .external_lex_state = 2},
  [193] = {.lex_state = 3},
  [194] = {.lex_state = 3, .external_lex_state = 2},
  [195] = {.lex_state = 3, .external_lex_state = 2},
  [196] = {.lex_state = 3, .external_lex_state = 2},
  [197] = {.lex_state = 3, .external_lex_state = 2},
  [198] = {.lex_state = 3, .external_lex_state = 2},
  [199] = {.lex_state = 3, .external_lex_state = 2},
  [200] = {.lex_state = 3, .external_lex_state = 2},
  [201] = {.lex_state = 3, .external_lex_state = 2},
  [202] = {.lex_state = 3},
  [203] = {.lex_state = 3},
  [204] = {.lex_state = 3},
  [205] = {.lex_state = 3, .external_lex_state = 2},
  [206] = {.lex_state = 3, .external_lex_state = 2},
  [207] = {.lex_state = 3, .external_lex_state = 2},
  [208] = {.lex_state = 3, .external_lex_state = 2},
  [209] = {.lex_state = 3},
  [210] = {.lex_state = 3},
  [211] = {.lex_state = 3},
  [212] = {.lex_state = 3},
  [213] = {.lex_state = 3},
  [214] = {.lex_state = 3},
  [215] = {.lex_state = 3},
  [216] = {.lex_state = 3},
  [217] = {.lex_state = 3},
  [218] = {.lex_state = 3},
  [219] = {.lex_state = 3},
  [220] = {.lex_state = 3},
  [221] = {.lex_state = 3},
  [222] = {.lex_state = 3},
  [223] = {.lex_state = 3},
  [224] = {.lex_state = 3},
  [225] = {.lex_state = 11},
  [226] = {.lex_state = 3},
  [227] = {.lex_state = 3},
  [228] = {.lex_state = 3},
  [229] = {.lex_state = 3},
  [230] = {.lex_state = 3},
  [231] = {.lex_state = 3},
  [232] = {.lex_state = 3},
  [233] = {.lex_state = 3},
  [234] = {.lex_state = 3},
  [235] = {.lex_state = 3},
  [236] = {.lex_state = 3},
  [237] = {.lex_state = 3},
  [238] = {.lex_state = 3},
  [239] = {.lex_state = 3},
  [240] = {.lex_state = 3},
  [241] = {.lex_state = 3},
  [242] = {.lex_state = 3},
  [243] = {.lex_state = 3},
  [244] = {.lex_state = 3},
  [245] = {.lex_state = 3},
  [246] = {.lex_state = 3},
  [247] = {.lex_state = 3},
  [248] = {.lex_state = 3},
  [249] = {.lex_state = 3},
  [250] = {.lex_state = 3},
  [251] = {.lex_state = 3},
  [252] = {.lex_state = 3},
  [253] = {.lex_state = 3},
  [254] = {.lex_state = 11, .external_lex_state = 2},
  [255] = {.lex_state = 11, .external_lex_state = 2},
  [256] = {.lex_state = 11, .external_lex_state = 2},
  [257] = {.lex_state = 11, .external_lex_state = 2},
  [258] = {.lex_state = 11, .external_lex_state = 2},
  [259] = {.lex_state = 11},
  [260] = {.lex_state = 11},
  [261] = {.lex_state = 3},
  [262] = {.lex_state = 3},
  [263] = {.lex_state = 3},
  [264] = {.lex_state = 3},
  [265] = {.lex_state = 3},
  [266] = {.lex_state = 3},
  [267] = {.lex_state = 11},
  [268] = {.lex_state = 3},
  [269] = {.lex_state = 3},
  [270] = {.lex_state = 3},
  [271] = {.lex_state = 11},
  [272] = {.lex_state = 11},
  [273] = {.lex_state = 11},
  [274] = {.lex_state = 11},
  [275] = {.lex_state = 11},
  [276] = {.lex_state = 11},
  [277] = {.lex_state = 11},
  [278] = {.lex_state = 11, .external_lex_state = 2},
  [279] = {.lex_state = 11, .external_lex_state = 2},
  [280] = {.lex_state = 11},
  [281] = {.lex_state = 11},
  [282] = {.lex_state = 11, .external_lex_state = 2},
  [283] = {.lex_state = 11, .external_lex_state = 2},
  [284] = {.lex_state = 11, .external_lex_state = 2},
  [285] = {.lex_state = 11},
  [286] = {.lex_state = 11, .external_lex_state = 2},
  [287] = {.lex_state = 11, .external_lex_state = 2},
  [288] = {.lex_state = 11, .external_lex_state = 2},
  [289] = {.lex_state = 11, .external_lex_state = 2},
  [290] = {.lex_state = 11, .external_lex_state = 2},
  [291] = {.lex_state = 11, .external_lex_state = 2},
  [292] = {.lex_state = 11, .external_lex_state = 2},
  [293] = {.lex_state = 11, .external_lex_state = 2},
  [294] = {.lex_state = 11, .external_lex_state = 2},
  [295] = {.lex_state = 11, .external_lex_state = 2},
  [296] = {.lex_state = 11, .external_lex_state = 2},
  [297] = {.lex_state = 11, .external_lex_state = 2},
  [298] = {.lex_state = 11, .external_lex_state = 2},
  [299] = {.lex_state = 11},
  [300] = {.lex_state = 2},
  [301] = {.lex_state = 11, .external_lex_state = 2},
  [302] = {.lex_state = 11},
  [303] = {.lex_state = 2},
  [304] = {.lex_state = 2},
  [305] = {.lex_state = 11, .external_lex_state = 2},
  [306] = {.lex_state = 11},
  [307] = {.lex_state = 11},
  [308] = {.lex_state = 11},
  [309] = {.lex_state = 11},
  [310] = {.lex_state = 11},
  [311] = {.lex_state = 11},
  [312] = {.lex_state = 11},
  [313] = {.lex_state = 2, .external_lex_state = 2},
  [314] = {.lex_state = 2},
  [315] = {.lex_state = 2},
  [316] = {.lex_state = 2},
  [317] = {.lex_state = 2},
  [318] = {.lex_state = 2},
  [319] = {.lex_state = 2},
  [320] = {.lex_state = 2},
  [321] = {.lex_state = 2},
  [322] = {.lex_state = 2},
  [323] = {.lex_state = 2},
  [324] = {.lex_state = 2},
  [325] = {.lex_state = 2},
  [326] = {.lex_state = 2},
  [327] = {.lex_state = 2},
  [328] = {.lex_state = 2},
  [329] = {.lex_state = 2},
  [330] = {.lex_state = 2},
  [331] = {.lex_state = 2},
  [332] = {.lex_state = 2},
  [333] = {.lex_state = 2},
  [334] = {.lex_state = 2},
  [335] = {.lex_state = 2},
  [336] = {.lex_state = 2},
  [337] = {.lex_state = 2},
  [338] = {.lex_state = 2},
  [339] = {.lex_state = 2, .external_lex_state = 2},
  [340] = {.lex_state = 2},
  [341] = {.lex_state = 2},
  [342] = {.lex_state = 2},
  [343] = {.lex_state = 2},
  [344] = {.lex_state = 2},
  [345] = {.lex_state = 2},
  [346] = {.lex_state = 2},
  [347] = {.lex_state = 2},
  [348] = {.lex_state = 2},
  [349] = {.lex_state = 2},
  [350] = {.lex_state = 2},
  [351] = {.lex_state = 2},
  [352] = {.lex_state = 2},
  [353] = {.lex_state = 2, .external_lex_state = 2},
  [354] = {.lex_state = 2},
  [355] = {.lex_state = 2},
  [356] = {.lex_state = 2, .external_lex_state = 2},
  [357] = {.lex_state = 2},
  [358] = {.lex_state = 2},
  [359] = {.lex_state = 12},
  [360] = {.lex_state = 2},
  [361] = {.lex_state = 2},
  [362] = {.lex_state = 2},
  [363] = {.lex_state = 2},
  [364] = {.lex_state = 2},
  [365] = {.lex_state = 2},
  [366] = {.lex_state = 2},
  [367] = {.lex_state = 2, .external_lex_state = 2},
  [368] = {.lex_state = 2, .external_lex_state = 2},
  [369] = {.lex_state = 2, .external_lex_state = 2},
  [370] = {.lex_state = 2, .external_lex_state = 2},
  [371] = {.lex_state = 2, .external_lex_state = 2},
  [372] = {.lex_state = 2, .external_lex_state = 2},
  [373] = {.lex_state = 2, .external_lex_state = 2},
  [374] = {.lex_state = 2, .external_lex_state = 2},
  [375] = {.lex_state = 2, .external_lex_state = 2},
  [376] = {.lex_state = 2, .external_lex_state = 2},
  [377] = {.lex_state = 2},
  [378] = {.lex_state = 2, .external_lex_state = 2},
  [379] = {.lex_state = 2, .external_lex_state = 2},
  [380] = {.lex_state = 2},
  [381] = {.lex_state = 2, .external_lex_state = 2},
  [382] = {.lex_state = 2},
  [383] = {.lex_state = 2, .external_lex_state = 2},
  [384] = {.lex_state = 2},
  [385] = {.lex_state = 2, .external_lex_state = 2},
  [386] = {.lex_state = 2},
  [387] = {.lex_state = 2, .external_lex_state = 2},
  [388] = {.lex_state = 2},
  [389] = {.lex_state = 2},
  [390] = {.lex_state = 2, .external_lex_state = 2},
  [391] = {.lex_state = 2, .external_lex_state = 2},
  [392] = {.lex_state = 2},
  [393] = {.lex_state = 2},
  [394] = {.lex_state = 2, .external_lex_state = 2},
  [395] = {.lex_state = 2},
  [396] = {.lex_state = 2, .external_lex_state = 2},
  [397] = {.lex_state = 2, .external_lex_state = 2},
  [398] = {.lex_state = 2, .external_lex_state = 2},
  [399] = {.lex_state = 2, .external_lex_state = 2},
  [400] = {.lex_state = 2},
  [401] = {.lex_state = 2, .external_lex_state = 2},
  [402] = {.lex_state = 2, .external_lex_state = 2},
  [403] = {.lex_state = 2, .external_lex_state = 2},
  [404] = {.lex_state = 2, .external_lex_state = 2},
  [405] = {.lex_state = 2, .external_lex_state = 2},
  [406] = {.lex_state = 2, .external_lex_state = 2},
  [407] = {.lex_state = 2, .external_lex_state = 2},
  [408] = {.lex_state = 2},
  [409] = {.lex_state = 2, .external_lex_state = 2},
  [410] = {.lex_state = 2, .external_lex_state = 2},
  [411] = {.lex_state = 2, .external_lex_state = 2},
  [412] = {.lex_state = 2, .external_lex_state = 2},
  [413] = {.lex_state = 2, .external_lex_state = 2},
  [414] = {.lex_state = 2, .external_lex_state = 2},
  [415] = {.lex_state = 2},
  [416] = {.lex_state = 2},
  [417] = {.lex_state = 2, .external_lex_state = 2},
  [418] = {.lex_state = 2},
  [419] = {.lex_state = 2},
  [420] = {.lex_state = 2},
  [421] = {.lex_state = 2},
  [422] = {.lex_state = 2, .external_lex_state = 2},
  [423] = {.lex_state = 2, .external_lex_state = 2},
  [424] = {.lex_state = 2, .external_lex_state = 2},
  [425] = {.lex_state = 2},
  [426] = {.lex_state = 2},
  [427] = {.lex_state = 2, .external_lex_state = 2},
  [428] = {.lex_state = 2},
  [429] = {.lex_state = 2},
  [430] = {.lex_state = 2},
  [431] = {.lex_state = 2},
  [432] = {.lex_state = 2},
  [433] = {.lex_state = 2},
  [434] = {.lex_state = 2},
  [435] = {.lex_state = 2},
  [436] = {.lex_state = 2},
  [437] = {.lex_state = 2},
  [438] = {.lex_state = 2},
  [439] = {.lex_state = 2},
  [440] = {.lex_state = 2},
  [441] = {.lex_state = 2},
  [442] = {.lex_state = 2},
  [443] = {.lex_state = 2},
  [444] = {.lex_state = 2},
  [445] = {.lex_state = 2},
  [446] = {.lex_state = 2},
  [447] = {.lex_state = 2, .external_lex_state = 2},
  [448] = {.lex_state = 2, .external_lex_state = 2},
  [449] = {.lex_state = 2, .external_lex_state = 2},
  [450] = {.lex_state = 2, .external_lex_state = 2},
  [451] = {.lex_state = 2, .external_lex_state = 2},
  [452] = {.lex_state = 2, .external_lex_state = 2},
  [453] = {.lex_state = 2},
  [454] = {.lex_state = 2},
  [455] = {.lex_state = 2},
  [456] = {.lex_state = 2, .external_lex_state = 2},
  [457] = {.lex_state = 2, .external_lex_state = 2},
  [458] = {.lex_state = 2, .external_lex_state = 2},
  [459] = {.lex_state = 2, .external_lex_state = 2},
  [460] = {.lex_state = 2, .external_lex_state = 2},
  [461] = {.lex_state = 2, .external_lex_state = 2},
  [462] = {.lex_state = 2, .external_lex_state = 2},
  [463] = {.lex_state = 2, .external_lex_state = 2},
  [464] = {.lex_state = 2, .external_lex_state = 2},
  [465] = {.lex_state = 2, .external_lex_state = 2},
  [466] = {.lex_state = 2, .external_lex_state = 2},
  [467] = {.lex_state = 12, .external_lex_state = 2},
  [468] = {.lex_state = 2, .external_lex_state = 2},
  [469] = {.lex_state = 2, .external_lex_state = 2},
  [470] = {.lex_state = 2, .external_lex_state = 2},
  [471] = {.lex_state = 2, .external_lex_state = 2},
  [472] = {.lex_state = 2, .external_lex_state = 2},
  [473] = {.lex_state = 2},
  [474] = {.lex_state = 2, .external_lex_state = 2},
  [475] = {.lex_state = 2, .external_lex_state = 2},
  [476] = {.lex_state = 2},
  [477] = {.lex_state = 2, .external_lex_state = 2},
  [478] = {.lex_state = 2, .external_lex_state = 2},
  [479] = {.lex_state = 2, .external_lex_state = 2},
  [480] = {.lex_state = 2},
  [481] = {.lex_state = 2, .external_lex_state = 2},
  [482] = {.lex_state = 2},
  [483] = {.lex_state = 2, .external_lex_state = 2},
  [484] = {.lex_state = 2},
  [485] = {.lex_state = 2, .external_lex_state = 2},
  [486] = {.lex_state = 2},
  [487] = {.lex_state = 2},
  [488] = {.lex_state = 2},
  [489] = {.lex_state = 2, .external_lex_state = 2},
  [490] = {.lex_state = 2},
  [491] = {.lex_state = 2},
  [492] = {.lex_state = 2, .external_lex_state = 2},
  [493] = {.lex_state = 2},
  [494] = {.lex_state = 2},
  [495] = {.lex_state = 2, .external_lex_state = 2},
  [496] = {.lex_state = 2, .external_lex_state = 2},
  [497] = {.lex_state = 2},
  [498] = {.lex_state = 2, .external_lex_state = 2},
  [499] = {.lex_state = 2, .external_lex_state = 2},
  [500] = {.lex_state = 2},
  [501] = {.lex_state = 2, .external_lex_state = 2},
  [502] = {.lex_state = 2, .external_lex_state = 2},
  [503] = {.lex_state = 2, .external_lex_state = 2},
  [504] = {.lex_state = 2, .external_lex_state = 2},
  [505] = {.lex_state = 2},
  [506] = {.lex_state = 2},
  [507] = {.lex_state = 2, .external_lex_state = 2},
  [508] = {.lex_state = 2},
  [509] = {.lex_state = 2, .external_lex_state = 2},
  [510] = {.lex_state = 2, .external_lex_state = 2},
  [511] = {.lex_state = 2},
  [512] = {.lex_state = 2, .external_lex_state = 2},
  [513] = {.lex_state = 2, .external_lex_state = 2},
  [514] = {.lex_state = 2},
  [515] = {.lex_state = 2, .external_lex_state = 2},
  [516] = {.lex_state = 2},
  [517] = {.lex_state = 2},
  [518] = {.lex_state = 2},
  [519] = {.lex_state = 2},
  [520] = {.lex_state = 2, .external_lex_state = 2},
  [521] = {.lex_state = 2, .external_lex_state = 2},
  [522] = {.lex_state = 2, .external_lex_state = 2},
  [523] = {.lex_state = 2, .external_lex_state = 2},
  [524] = {.lex_state = 2, .external_lex_state = 2},
  [525] = {.lex_state = 2, .external_lex_state = 2},
  [526] = {.lex_state = 2, .external_lex_state = 2},
  [527] = {.lex_state = 2},
  [528] = {.lex_state = 2, .external_lex_state = 2},
  [529] = {.lex_state = 2, .external_lex_state = 2},
  [530] = {.lex_state = 2},
  [531] = {.lex_state = 2, .external_lex_state = 2},
  [532] = {.lex_state = 2, .external_lex_state = 2},
  [533] = {.lex_state = 2},
  [534] = {.lex_state = 2, .external_lex_state = 2},
  [535] = {.lex_state = 2, .external_lex_state = 2},
  [536] = {.lex_state = 2, .external_lex_state = 2},
  [537] = {.lex_state = 2, .external_lex_state = 2},
  [538] = {.lex_state = 2, .external_lex_state = 2},
  [539] = {.lex_state = 2, .external_lex_state = 2},
  [540] = {.lex_state = 2},
  [541] = {.lex_state = 2, .external_lex_state = 2},
  [542] = {.lex_state = 2, .external_lex_state = 2},
  [543] = {.lex_state = 2, .external_lex_state = 2},
  [544] = {.lex_state = 2, .external_lex_state = 2},
  [545] = {.lex_state = 2, .external_lex_state = 2},
  [546] = {.lex_state = 2},
  [547] = {.lex_state = 2, .external_lex_state = 2},
  [548] = {.lex_state = 2},
  [549] = {.lex_state = 2},
  [550] = {.lex_state = 2},
  [551] = {.lex_state = 2, .external_lex_state = 2},
  [552] = {.lex_state = 2, .external_lex_state = 2},
  [553] = {.lex_state = 2, .external_lex_state = 2},
  [554] = {.lex_state = 2, .external_lex_state = 2},
  [555] = {.lex_state = 2},
  [556] = {.lex_state = 2},
  [557] = {.lex_state = 2, .external_lex_state = 2},
  [558] = {.lex_state = 2, .external_lex_state = 2},
  [559] = {.lex_state = 2, .external_lex_state = 2},
  [560] = {.lex_state = 2},
  [561] = {.lex_state = 2},
  [562] = {.lex_state = 2},
  [563] = {.lex_state = 2},
  [564] = {.lex_state = 2},
  [565] = {.lex_state = 2},
  [566] = {.lex_state = 2},
  [567] = {.lex_state = 2},
  [568] = {.lex_state = 2},
  [569] = {.lex_state = 2},
  [570] = {.lex_state = 2},
  [571] = {.lex_state = 2},
  [572] = {.lex_state = 2},
  [573] = {.lex_state = 3},
  [574] = {.lex_state = 3},
  [575] = {.lex_state = 3},
  [576] = {.lex_state = 3},
  [577] = {.lex_state = 3},
  [578] = {.lex_state = 3},
  [579] = {.lex_state = 3},
  [580] = {.lex_state = 3},
  [581] = {.lex_state = 3},
  [582] = {.lex_state = 3},
  [583] = {.lex_state = 3},
  [584] = {.lex_state = 3},
  [585] = {.lex_state = 3},
  [586] = {.lex_state = 3},
  [587] = {.lex_state = 3},
  [588] = {.lex_state = 3},
  [589] = {.lex_state = 3},
  [590] = {.lex_state = 3},
  [591] = {.lex_state = 3},
  [592] = {.lex_state = 3},
  [593] = {.lex_state = 3},
  [594] = {.lex_state = 3, .external_lex_state = 2},
  [595] = {.lex_state = 3, .external_lex_state = 2},
  [596] = {.lex_state = 3},
  [597] = {.lex_state = 3, .external_lex_state = 2},
  [598] = {.lex_state = 2},
  [599] = {.lex_state = 3},
  [600] = {.lex_state = 3},
  [601] = {.lex_state = 3},
  [602] = {.lex_state = 2},
  [603] = {.lex_state = 3, .external_lex_state = 2},
  [604] = {.lex_state = 3, .external_lex_state = 2},
  [605] = {.lex_state = 3},
  [606] = {.lex_state = 2},
  [607] = {.lex_state = 2},
  [608] = {.lex_state = 3},
  [609] = {.lex_state = 3},
  [610] = {.lex_state = 3},
  [611] = {.lex_state = 3},
  [612] = {.lex_state = 3},
  [613] = {.lex_state = 3},
  [614] = {.lex_state = 3},
  [615] = {.lex_state = 3},
  [616] = {.lex_state = 3},
  [617] = {.lex_state = 3},
  [618] = {.lex_state = 3},
  [619] = {.lex_state = 3},
  [620] = {.lex_state = 3},
  [621] = {.lex_state = 3},
  [622] = {.lex_state = 3},
  [623] = {.lex_state = 3},
  [624] = {.lex_state = 3},
  [625] = {.lex_state = 3},
  [626] = {.lex_state = 3},
  [627] = {.lex_state = 3},
  [628] = {.lex_state = 3},
  [629] = {.lex_state = 3},
  [630] = {.lex_state = 3},
  [631] = {.lex_state = 3},
  [632] = {.lex_state = 3},
  [633] = {.lex_state = 3},
  [634] = {.lex_state = 3},
  [635] = {.lex_state = 3},
  [636] = {.lex_state = 3},
  [637] = {.lex_state = 3},
  [638] = {.lex_state = 3},
  [639] = {.lex_state = 3},
  [640] = {.lex_state = 23},
  [641] = {.lex_state = 23},
  [642] = {.lex_state = 23},
  [643] = {.lex_state = 23},
  [644] = {.lex_state = 23},
  [645] = {.lex_state = 23},
  [646] = {.lex_state = 23},
  [647] = {.lex_state = 23},
  [648] = {.lex_state = 23},
  [649] = {.lex_state = 23},
  [650] = {.lex_state = 23},
  [651] = {.lex_state = 3},
  [652] = {.lex_state = 23},
  [653] = {.lex_state = 3},
  [654] = {.lex_state = 24},
  [655] = {.lex_state = 24},
  [656] = {.lex_state = 23},
  [657] = {.lex_state = 23},
  [658] = {.lex_state = 23},
  [659] = {.lex_state = 24},
  [660] = {.lex_state = 23},
  [661] = {.lex_state = 24},
  [662] = {.lex_state = 23},
  [663] = {.lex_state = 24},
  [664] = {.lex_state = 23},
  [665] = {.lex_state = 23},
  [666] = {.lex_state = 24},
  [667] = {.lex_state = 24},
  [668] = {.lex_state = 23},
  [669] = {.lex_state = 24},
  [670] = {.lex_state = 23},
  [671] = {.lex_state = 24},
  [672] = {.lex_state = 24},
  [673] = {.lex_state = 24},
  [674] = {.lex_state = 24},
  [675] = {.lex_state = 24},
  [676] = {.lex_state = 24},
  [677] = {.lex_state = 24},
  [678] = {.lex_state = 3},
  [679] = {.lex_state = 23},
  [680] = {.lex_state = 0},
  [681] = {.lex_state = 23},
  [682] = {.lex_state = 0, .external_lex_state = 2},
  [683] = {.lex_state = 3},
  [684] = {.lex_state = 15, .external_lex_state = 3},
  [685] = {.lex_state = 0},
  [686] = {.lex_state = 15, .external_lex_state = 3},
  [687] = {.lex_state = 3},
  [688] = {.lex_state = 15, .external_lex_state = 3},
  [689] = {.lex_state = 2},
  [690] = {.lex_state = 3},
  [691] = {.lex_state = 2},
  [692] = {.lex_state = 3},
  [693] = {.lex_state = 23},
  [694] = {.lex_state = 3},
  [695] = {.lex_state = 2},
  [696] = {.lex_state = 15, .external_lex_state = 3},
  [697] = {.lex_state = 15, .external_lex_state = 3},
  [698] = {.lex_state = 3},
  [699] = {.lex_state = 0, .external_lex_state = 2},
  [700] = {.lex_state = 23},
  [701] = {.lex_state = 23},
  [702] = {.lex_state = 23},
  [703] = {.lex_state = 23},
  [704] = {.lex_state = 23},
  [705] = {.lex_state = 23},
  [706] = {.lex_state = 23},
  [707] = {.lex_state = 3},
  [708] = {.lex_state = 23},
  [709] = {.lex_state = 3},
  [710] = {.lex_state = 23},
  [711] = {.lex_state = 3},
  [712] = {.lex_state = 23},
  [713] = {.lex_state = 3},
  [714] = {.lex_state = 23},
  [715] = {.lex_state = 23},
  [716] = {.lex_state = 23},
  [717] = {.lex_state = 0},
  [718] = {.lex_state = 3},
  [719] = {.lex_state = 23},
  [720] = {.lex_state = 3},
  [721] = {.lex_state = 23},
  [722] = {.lex_state = 23},
  [723] = {.lex_state = 23},
  [724] = {.lex_state = 3},
  [725] = {.lex_state = 3},
  [726] = {.lex_state = 23},
  [727] = {.lex_state = 23},
  [728] = {.lex_state = 3},
  [729] = {.lex_state = 23},
  [730] = {.lex_state = 23},
  [731] = {.lex_state = 23},
  [732] = {.lex_state = 0, .external_lex_state = 2},
  [733] = {.lex_state = 0, .external_lex_state = 2},
  [734] = {.lex_state = 23},
  [735] = {.lex_state = 3},
  [736] = {.lex_state = 0, .external_lex_state = 2},
  [737] = {.lex_state = 3},
  [738] = {.lex_state = 23},
  [739] = {.lex_state = 23},
  [740] = {.lex_state = 23},
  [741] = {.lex_state = 23},
  [742] = {.lex_state = 3},
  [743] = {.lex_state = 23},
  [744] = {.lex_state = 3},
  [745] = {.lex_state = 23},
  [746] = {.lex_state = 3},
  [747] = {.lex_state = 3},
  [748] = {.lex_state = 3},
  [749] = {.lex_state = 3},
  [750] = {.lex_state = 0},
  [751] = {.lex_state = 4},
  [752] = {.lex_state = 6},
  [753] = {.lex_state = 6},
  [754] = {.lex_state = 4},
  [755] = {.lex_state = 4},
  [756] = {.lex_state = 3},
  [757] = {.lex_state = 6},
  [758] = {.lex_state = 6},
  [759] = {.lex_state = 4},
  [760] = {.lex_state = 0},
  [761] = {.lex_state = 0},
  [762] = {.lex_state = 0, .external_lex_state = 2},
  [763] = {.lex_state = 0},
  [764] = {.lex_state = 3},
  [765] = {.lex_state = 0},
  [766] = {.lex_state = 0, .external_lex_state = 2},
  [767] = {.lex_state = 3},
  [768] = {.lex_state = 3},
  [769] = {.lex_state = 3},
  [770] = {.lex_state = 3},
  [771] = {.lex_state = 3},
  [772] = {.lex_state = 6},
  [773] = {.lex_state = 4},
  [774] = {.lex_state = 23},
  [775] = {.lex_state = 3},
  [776] = {.lex_state = 3},
  [777] = {.lex_state = 3},
  [778] = {.lex_state = 3, .external_lex_state = 2},
  [779] = {.lex_state = 3},
  [780] = {.lex_state = 6},
  [781] = {.lex_state = 4},
  [782] = {.lex_state = 15, .external_lex_state = 3},
  [783] = {.lex_state = 3},
  [784] = {.lex_state = 23},
  [785] = {.lex_state = 3},
  [786] = {.lex_state = 3},
  [787] = {.lex_state = 0, .external_lex_state = 2},
  [788] = {.lex_state = 3},
  [789] = {.lex_state = 0, .external_lex_state = 2},
  [790] = {.lex_state = 23},
  [791] = {.lex_state = 0, .external_lex_state = 2},
  [792] = {.lex_state = 3},
  [793] = {.lex_state = 3},
  [794] = {.lex_state = 4},
  [795] = {.lex_state = 3},
  [796] = {.lex_state = 23},
  [797] = {.lex_state = 0},
  [798] = {.lex_state = 0, .external_lex_state = 2},
  [799] = {.lex_state = 6},
  [800] = {.lex_state = 3},
  [801] = {.lex_state = 3},
  [802] = {.lex_state = 3},
  [803] = {.lex_state = 0, .external_lex_state = 2},
  [804] = {.lex_state = 0},
  [805] = {.lex_state = 24},
  [806] = {.lex_state = 10},
  [807] = {.lex_state = 0},
  [808] = {.lex_state = 3, .external_lex_state = 2},
  [809] = {.lex_state = 3, .external_lex_state = 2},
  [810] = {.lex_state = 3},
  [811] = {.lex_state = 10},
  [812] = {.lex_state = 3},
  [813] = {.lex_state = 0},
  [814] = {.lex_state = 3, .external_lex_state = 2},
  [815] = {.lex_state = 0},
  [816] = {.lex_state = 0},
  [817] = {.lex_state = 3},
  [818] = {.lex_state = 10},
  [819] = {.lex_state = 3, .external_lex_state = 2},
  [820] = {.lex_state = 3},
  [821] = {.lex_state = 0},
  [822] = {.lex_state = 3, .external_lex_state = 2},
  [823] = {.lex_state = 0, .external_lex_state = 2},
  [824] = {.lex_state = 0, .external_lex_state = 2},
  [825] = {.lex_state = 0},
  [826] = {.lex_state = 0, .external_lex_state = 2},
  [827] = {.lex_state = 0, .external_lex_state = 2},
  [828] = {.lex_state = 3},
  [829] = {.lex_state = 0},
  [830] = {.lex_state = 24},
  [831] = {.lex_state = 10},
  [832] = {.lex_state = 0},
  [833] = {.lex_state = 0},
  [834] = {.lex_state = 0},
  [835] = {.lex_state = 0},
  [836] = {.lex_state = 0},
  [837] = {.lex_state = 3, .external_lex_state = 2},
  [838] = {.lex_state = 0},
  [839] = {.lex_state = 0},
  [840] = {.lex_state = 3},
  [841] = {.lex_state = 0},
  [842] = {.lex_state = 0},
  [843] = {.lex_state = 0},
  [844] = {.lex_state = 0},
  [845] = {.lex_state = 0},
  [846] = {.lex_state = 24},
  [847] = {.lex_state = 0},
  [848] = {.lex_state = 0},
  [849] = {.lex_state = 0},
  [850] = {.lex_state = 0},
  [851] = {.lex_state = 0},
  [852] = {.lex_state = 3},
  [853] = {.lex_state = 0},
  [854] = {.lex_state = 3},
  [855] = {.lex_state = 0},
  [856] = {.lex_state = 0},
  [857] = {.lex_state = 3},
  [858] = {.lex_state = 3},
  [859] = {.lex_state = 0},
  [860] = {.lex_state = 3},
  [861] = {.lex_state = 3},
  [862] = {.lex_state = 0},
  [863] = {.lex_state = 0},
  [864] = {.lex_state = 3},
  [865] = {.lex_state = 0},
  [866] = {.lex_state = 0},
  [867] = {.lex_state = 24},
  [868] = {.lex_state = 0},
  [869] = {.lex_state = 24},
  [870] = {.lex_state = 24},
  [871] = {.lex_state = 24},
  [872] = {.lex_state = 0},
  [873] = {.lex_state = 0},
  [874] = {.lex_state = 3},
  [875] = {.lex_state = 24},
  [876] = {.lex_state = 3, .external_lex_state = 2},
  [877] = {.lex_state = 3, .external_lex_state = 2},
  [878] = {.lex_state = 0},
  [879] = {.lex_state = 0},
  [880] = {.lex_state = 3},
  [881] = {.lex_state = 0},
  [882] = {.lex_state = 24},
  [883] = {.lex_state = 0},
  [884] = {.lex_state = 0},
  [885] = {.lex_state = 0},
  [886] = {.lex_state = 0},
  [887] = {.lex_state = 0},
  [888] = {.lex_state = 0},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 0},
  [891] = {.lex_state = 0},
  [892] = {.lex_state = 0, .external_lex_state = 2},
  [893] = {.lex_state = 0},
  [894] = {.lex_state = 0},
  [895] = {.lex_state = 0},
  [896] = {.lex_state = 0},
  [897] = {.lex_state = 0},
  [898] = {.lex_state = 10},
  [899] = {.lex_state = 0, .external_lex_state = 2},
  [900] = {.lex_state = 3},
  [901] = {.lex_state = 3},
  [902] = {.lex_state = 3},
  [903] = {.lex_state = 0},
  [904] = {.lex_state = 0},
  [905] = {.lex_state = 0},
  [906] = {.lex_state = 0},
  [907] = {.lex_state = 0},
  [908] = {.lex_state = 0},
  [909] = {.lex_state = 0},
  [910] = {.lex_state = 0},
  [911] = {.lex_state = 0},
  [912] = {.lex_state = 0},
  [913] = {.lex_state = 0},
  [914] = {.lex_state = 0},
  [915] = {.lex_state = 0, .external_lex_state = 2},
  [916] = {.lex_state = 0},
  [917] = {.lex_state = 0},
  [918] = {.lex_state = 0},
  [919] = {.lex_state = 0},
  [920] = {.lex_state = 3},
  [921] = {.lex_state = 0},
  [922] = {.lex_state = 0},
  [923] = {.lex_state = 0},
  [924] = {.lex_state = 0},
  [925] = {.lex_state = 0},
  [926] = {.lex_state = 0},
  [927] = {.lex_state = 0, .external_lex_state = 2},
  [928] = {.lex_state = 0},
  [929] = {.lex_state = 3},
  [930] = {.lex_state = 0},
  [931] = {.lex_state = 0},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 0},
  [934] = {.lex_state = 0},
  [935] = {.lex_state = 0},
  [936] = {.lex_state = 0},
  [937] = {.lex_state = 0},
  [938] = {.lex_state = 0},
  [939] = {.lex_state = 0},
  [940] = {.lex_state = 0},
  [941] = {.lex_state = 0},
  [942] = {.lex_state = 0},
  [943] = {.lex_state = 0},
  [944] = {.lex_state = 0},
  [945] = {.lex_state = 0},
  [946] = {.lex_state = 0},
  [947] = {.lex_state = 0},
  [948] = {.lex_state = 0},
  [949] = {.lex_state = 0},
  [950] = {.lex_state = 0, .external_lex_state = 2},
  [951] = {.lex_state = 0},
  [952] = {.lex_state = 0},
  [953] = {.lex_state = 0},
  [954] = {.lex_state = 0},
  [955] = {.lex_state = 0},
  [956] = {.lex_state = 0},
  [957] = {.lex_state = 0},
  [958] = {.lex_state = 0},
  [959] = {.lex_state = 0},
  [960] = {.lex_state = 0},
  [961] = {.lex_state = 0, .external_lex_state = 2},
  [962] = {.lex_state = 0},
  [963] = {.lex_state = 0},
  [964] = {.lex_state = 0},
  [965] = {.lex_state = 0},
  [966] = {.lex_state = 0},
  [967] = {.lex_state = 0},
  [968] = {.lex_state = 0},
  [969] = {.lex_state = 0},
  [970] = {.lex_state = 0},
  [971] = {.lex_state = 0},
  [972] = {.lex_state = 3},
  [973] = {.lex_state = 0},
  [974] = {.lex_state = 0},
  [975] = {.lex_state = 0},
  [976] = {.lex_state = 0},
  [977] = {.lex_state = 0},
  [978] = {.lex_state = 0},
  [979] = {.lex_state = 0},
  [980] = {.lex_state = 0},
  [981] = {.lex_state = 23},
  [982] = {.lex_state = 0},
  [983] = {.lex_state = 0},
  [984] = {.lex_state = 0},
  [985] = {.lex_state = 0},
  [986] = {.lex_state = 0},
  [987] = {.lex_state = 0},
  [988] = {.lex_state = 0},
  [989] = {.lex_state = 0},
  [990] = {.lex_state = 0},
  [991] = {.lex_state = 3},
  [992] = {.lex_state = 0, .external_lex_state = 2},
  [993] = {.lex_state = 10},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 0},
  [997] = {.lex_state = 0, .external_lex_state = 2},
  [998] = {.lex_state = 0},
  [999] = {.lex_state = 0},
  [1000] = {.lex_state = 0},
  [1001] = {.lex_state = 0},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 0},
  [1004] = {.lex_state = 0, .external_lex_state = 2},
  [1005] = {.lex_state = 0},
  [1006] = {.lex_state = 0},
  [1007] = {.lex_state = 0, .external_lex_state = 2},
  [1008] = {.lex_state = 0, .external_lex_state = 2},
  [1009] = {.lex_state = 3},
  [1010] = {.lex_state = 3},
  [1011] = {.lex_state = 0},
  [1012] = {.lex_state = 3},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 3},
  [1015] = {.lex_state = 0, .external_lex_state = 2},
  [1016] = {.lex_state = 10},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 3},
  [1021] = {.lex_state = 3},
  [1022] = {.lex_state = 10},
  [1023] = {.lex_state = 0, .external_lex_state = 2},
  [1024] = {.lex_state = 0},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 0},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 0, .external_lex_state = 2},
  [1030] = {.lex_state = 0, .external_lex_state = 2},
  [1031] = {.lex_state = 0},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 0},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 3},
  [1037] = {.lex_state = 0},
  [1038] = {.lex_state = 0},
  [1039] = {.lex_state = 0},
  [1040] = {.lex_state = 0},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 8},
  [1043] = {.lex_state = 0},
  [1044] = {.lex_state = 3},
  [1045] = {.lex_state = 8},
  [1046] = {.lex_state = 3},
  [1047] = {.lex_state = 3},
  [1048] = {.lex_state = 3},
  [1049] = {.lex_state = 3},
  [1050] = {.lex_state = 3},
  [1051] = {.lex_state = 0},
  [1052] = {.lex_state = 3},
  [1053] = {.lex_state = 3},
  [1054] = {.lex_state = 3},
  [1055] = {.lex_state = 3},
  [1056] = {.lex_state = 3},
  [1057] = {.lex_state = 3},
  [1058] = {.lex_state = 3},
  [1059] = {.lex_state = 3},
  [1060] = {.lex_state = 3},
  [1061] = {.lex_state = 3},
  [1062] = {.lex_state = 3},
  [1063] = {.lex_state = 3},
  [1064] = {.lex_state = 3},
  [1065] = {.lex_state = 3},
  [1066] = {.lex_state = 3},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 3},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 3},
  [1071] = {.lex_state = 3},
  [1072] = {.lex_state = 3},
  [1073] = {.lex_state = 3},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 3},
  [1078] = {.lex_state = 15},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 3},
  [1082] = {.lex_state = 3},
  [1083] = {.lex_state = 3},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 3},
  [1086] = {.lex_state = 3},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 3},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 3},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 0},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 0},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 3},
  [1100] = {.lex_state = 3},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 0},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 3},
  [1106] = {.lex_state = 0},
  [1107] = {.lex_state = 3},
  [1108] = {.lex_state = 3},
  [1109] = {.lex_state = 3},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 0},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 3},
  [1115] = {.lex_state = 15},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 3},
  [1118] = {.lex_state = 3},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 0},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 3},
  [1123] = {.lex_state = 0},
  [1124] = {.lex_state = 0},
  [1125] = {.lex_state = 0},
  [1126] = {.lex_state = 3},
  [1127] = {.lex_state = 3},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 3},
  [1130] = {.lex_state = 3},
  [1131] = {.lex_state = 3},
};

enum {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
};

static bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token__template_chars] = true,
  },
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(1088),
    [sym_export_statement] = STATE(23),
    [sym__declaration] = STATE(23),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_variable_declaration] = STATE(23),
    [sym_lexical_declaration] = STATE(23),
    [sym_statement_block] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_for_in_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_with_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_debugger_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_empty_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(23),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(23),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(23),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [sym_hash_bang_line] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [2] = {
    [sym_export_statement] = STATE(12),
    [sym__declaration] = STATE(12),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(12),
    [sym_lexical_declaration] = STATE(12),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(534),
    [sym_assignment_pattern] = STATE(879),
    [sym_array] = STATE(535),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(12),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(12),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(12),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_spread_element] = STATE(879),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [sym_method_definition] = STATE(879),
    [sym_pair] = STATE(879),
    [sym__property_name] = STATE(886),
    [sym_computed_property_name] = STATE(886),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(591),
    [aux_sym_object_repeat1] = STATE(883),
    [sym_identifier] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(97),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(107),
    [anon_sym_get] = ACTIONS(109),
    [anon_sym_set] = ACTIONS(109),
  },
  [3] = {
    [sym_export_statement] = STATE(14),
    [sym__declaration] = STATE(14),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(14),
    [sym_expression_statement] = STATE(14),
    [sym_variable_declaration] = STATE(14),
    [sym_lexical_declaration] = STATE(14),
    [sym_statement_block] = STATE(14),
    [sym_if_statement] = STATE(14),
    [sym_switch_statement] = STATE(14),
    [sym_for_statement] = STATE(14),
    [sym_for_in_statement] = STATE(14),
    [sym_while_statement] = STATE(14),
    [sym_do_statement] = STATE(14),
    [sym_try_statement] = STATE(14),
    [sym_with_statement] = STATE(14),
    [sym_break_statement] = STATE(14),
    [sym_continue_statement] = STATE(14),
    [sym_debugger_statement] = STATE(14),
    [sym_return_statement] = STATE(14),
    [sym_throw_statement] = STATE(14),
    [sym_empty_statement] = STATE(14),
    [sym_labeled_statement] = STATE(14),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(534),
    [sym_assignment_pattern] = STATE(879),
    [sym_array] = STATE(535),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(14),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(14),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(14),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_spread_element] = STATE(879),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [sym_method_definition] = STATE(879),
    [sym_pair] = STATE(879),
    [sym__property_name] = STATE(886),
    [sym_computed_property_name] = STATE(886),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(591),
    [aux_sym_object_repeat1] = STATE(883),
    [sym_identifier] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(111),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(107),
    [anon_sym_get] = ACTIONS(109),
    [anon_sym_set] = ACTIONS(109),
  },
  [4] = {
    [sym_export_statement] = STATE(19),
    [sym__declaration] = STATE(19),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(19),
    [sym_expression_statement] = STATE(19),
    [sym_variable_declaration] = STATE(19),
    [sym_lexical_declaration] = STATE(19),
    [sym_statement_block] = STATE(19),
    [sym_if_statement] = STATE(19),
    [sym_switch_statement] = STATE(19),
    [sym_for_statement] = STATE(19),
    [sym_for_in_statement] = STATE(19),
    [sym_while_statement] = STATE(19),
    [sym_do_statement] = STATE(19),
    [sym_try_statement] = STATE(19),
    [sym_with_statement] = STATE(19),
    [sym_break_statement] = STATE(19),
    [sym_continue_statement] = STATE(19),
    [sym_debugger_statement] = STATE(19),
    [sym_return_statement] = STATE(19),
    [sym_throw_statement] = STATE(19),
    [sym_empty_statement] = STATE(19),
    [sym_labeled_statement] = STATE(19),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(534),
    [sym_assignment_pattern] = STATE(872),
    [sym_array] = STATE(535),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(19),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(19),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(19),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_spread_element] = STATE(872),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [sym_method_definition] = STATE(872),
    [sym_pair] = STATE(872),
    [sym__property_name] = STATE(886),
    [sym_computed_property_name] = STATE(886),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(591),
    [aux_sym_object_repeat1] = STATE(866),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(117),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
  },
  [5] = {
    [sym_export_statement] = STATE(12),
    [sym__declaration] = STATE(12),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(12),
    [sym_lexical_declaration] = STATE(12),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(534),
    [sym_assignment_pattern] = STATE(879),
    [sym_array] = STATE(535),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(12),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(12),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(12),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_spread_element] = STATE(879),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [sym_method_definition] = STATE(879),
    [sym_pair] = STATE(879),
    [sym__property_name] = STATE(886),
    [sym_computed_property_name] = STATE(886),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(591),
    [aux_sym_object_repeat1] = STATE(883),
    [sym_identifier] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(107),
    [anon_sym_get] = ACTIONS(109),
    [anon_sym_set] = ACTIONS(109),
  },
  [6] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [ts_builtin_sym_end] = ACTIONS(125),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_export] = ACTIONS(130),
    [anon_sym_default] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_import] = ACTIONS(138),
    [anon_sym_var] = ACTIONS(141),
    [anon_sym_let] = ACTIONS(144),
    [anon_sym_const] = ACTIONS(144),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_switch] = ACTIONS(150),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(156),
    [anon_sym_await] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(162),
    [anon_sym_do] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(168),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(174),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(180),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_throw] = ACTIONS(186),
    [anon_sym_SEMI] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_yield] = ACTIONS(192),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LT] = ACTIONS(198),
    [anon_sym_SLASH] = ACTIONS(201),
    [anon_sym_class] = ACTIONS(204),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(210),
    [anon_sym_new] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(216),
    [anon_sym_DASH] = ACTIONS(216),
    [anon_sym_BANG] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(219),
    [anon_sym_typeof] = ACTIONS(222),
    [anon_sym_void] = ACTIONS(222),
    [anon_sym_delete] = ACTIONS(222),
    [anon_sym_PLUS_PLUS] = ACTIONS(225),
    [anon_sym_DASH_DASH] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(228),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(234),
    [sym_number] = ACTIONS(237),
    [sym_this] = ACTIONS(240),
    [sym_super] = ACTIONS(243),
    [sym_true] = ACTIONS(240),
    [sym_false] = ACTIONS(240),
    [sym_null] = ACTIONS(240),
    [sym_undefined] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(246),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_get] = ACTIONS(249),
    [anon_sym_set] = ACTIONS(249),
  },
  [7] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(252),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(254),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(252),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [8] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(256),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(258),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(256),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [9] = {
    [sym_export_statement] = STATE(7),
    [sym__declaration] = STATE(7),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(7),
    [sym_lexical_declaration] = STATE(7),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(7),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(7),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(7),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(260),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(262),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(260),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [10] = {
    [sym_export_statement] = STATE(8),
    [sym__declaration] = STATE(8),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(8),
    [sym_expression_statement] = STATE(8),
    [sym_variable_declaration] = STATE(8),
    [sym_lexical_declaration] = STATE(8),
    [sym_statement_block] = STATE(8),
    [sym_if_statement] = STATE(8),
    [sym_switch_statement] = STATE(8),
    [sym_for_statement] = STATE(8),
    [sym_for_in_statement] = STATE(8),
    [sym_while_statement] = STATE(8),
    [sym_do_statement] = STATE(8),
    [sym_try_statement] = STATE(8),
    [sym_with_statement] = STATE(8),
    [sym_break_statement] = STATE(8),
    [sym_continue_statement] = STATE(8),
    [sym_debugger_statement] = STATE(8),
    [sym_return_statement] = STATE(8),
    [sym_throw_statement] = STATE(8),
    [sym_empty_statement] = STATE(8),
    [sym_labeled_statement] = STATE(8),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(8),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(8),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(8),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(8),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(266),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(264),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [11] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(268),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [12] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(270),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [13] = {
    [sym_export_statement] = STATE(21),
    [sym__declaration] = STATE(21),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_variable_declaration] = STATE(21),
    [sym_lexical_declaration] = STATE(21),
    [sym_statement_block] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_for_in_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_try_statement] = STATE(21),
    [sym_with_statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_debugger_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_throw_statement] = STATE(21),
    [sym_empty_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(21),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(21),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(21),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [ts_builtin_sym_end] = ACTIONS(272),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [14] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(274),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [15] = {
    [sym_export_statement] = STATE(19),
    [sym__declaration] = STATE(19),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(19),
    [sym_expression_statement] = STATE(19),
    [sym_variable_declaration] = STATE(19),
    [sym_lexical_declaration] = STATE(19),
    [sym_statement_block] = STATE(19),
    [sym_if_statement] = STATE(19),
    [sym_switch_statement] = STATE(19),
    [sym_for_statement] = STATE(19),
    [sym_for_in_statement] = STATE(19),
    [sym_while_statement] = STATE(19),
    [sym_do_statement] = STATE(19),
    [sym_try_statement] = STATE(19),
    [sym_with_statement] = STATE(19),
    [sym_break_statement] = STATE(19),
    [sym_continue_statement] = STATE(19),
    [sym_debugger_statement] = STATE(19),
    [sym_return_statement] = STATE(19),
    [sym_throw_statement] = STATE(19),
    [sym_empty_statement] = STATE(19),
    [sym_labeled_statement] = STATE(19),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(19),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(19),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(19),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(276),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [16] = {
    [sym_export_statement] = STATE(11),
    [sym__declaration] = STATE(11),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(11),
    [sym_expression_statement] = STATE(11),
    [sym_variable_declaration] = STATE(11),
    [sym_lexical_declaration] = STATE(11),
    [sym_statement_block] = STATE(11),
    [sym_if_statement] = STATE(11),
    [sym_switch_statement] = STATE(11),
    [sym_for_statement] = STATE(11),
    [sym_for_in_statement] = STATE(11),
    [sym_while_statement] = STATE(11),
    [sym_do_statement] = STATE(11),
    [sym_try_statement] = STATE(11),
    [sym_with_statement] = STATE(11),
    [sym_break_statement] = STATE(11),
    [sym_continue_statement] = STATE(11),
    [sym_debugger_statement] = STATE(11),
    [sym_return_statement] = STATE(11),
    [sym_throw_statement] = STATE(11),
    [sym_empty_statement] = STATE(11),
    [sym_labeled_statement] = STATE(11),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(11),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(11),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(11),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(278),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [17] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(280),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [18] = {
    [sym_export_statement] = STATE(17),
    [sym__declaration] = STATE(17),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(17),
    [sym_expression_statement] = STATE(17),
    [sym_variable_declaration] = STATE(17),
    [sym_lexical_declaration] = STATE(17),
    [sym_statement_block] = STATE(17),
    [sym_if_statement] = STATE(17),
    [sym_switch_statement] = STATE(17),
    [sym_for_statement] = STATE(17),
    [sym_for_in_statement] = STATE(17),
    [sym_while_statement] = STATE(17),
    [sym_do_statement] = STATE(17),
    [sym_try_statement] = STATE(17),
    [sym_with_statement] = STATE(17),
    [sym_break_statement] = STATE(17),
    [sym_continue_statement] = STATE(17),
    [sym_debugger_statement] = STATE(17),
    [sym_return_statement] = STATE(17),
    [sym_throw_statement] = STATE(17),
    [sym_empty_statement] = STATE(17),
    [sym_labeled_statement] = STATE(17),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(17),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(17),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(17),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(282),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [19] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(284),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [20] = {
    [sym_export_statement] = STATE(12),
    [sym__declaration] = STATE(12),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(12),
    [sym_lexical_declaration] = STATE(12),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(12),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(12),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(12),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(286),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [21] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [ts_builtin_sym_end] = ACTIONS(288),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [22] = {
    [sym_export_statement] = STATE(14),
    [sym__declaration] = STATE(14),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(14),
    [sym_expression_statement] = STATE(14),
    [sym_variable_declaration] = STATE(14),
    [sym_lexical_declaration] = STATE(14),
    [sym_statement_block] = STATE(14),
    [sym_if_statement] = STATE(14),
    [sym_switch_statement] = STATE(14),
    [sym_for_statement] = STATE(14),
    [sym_for_in_statement] = STATE(14),
    [sym_while_statement] = STATE(14),
    [sym_do_statement] = STATE(14),
    [sym_try_statement] = STATE(14),
    [sym_with_statement] = STATE(14),
    [sym_break_statement] = STATE(14),
    [sym_continue_statement] = STATE(14),
    [sym_debugger_statement] = STATE(14),
    [sym_return_statement] = STATE(14),
    [sym_throw_statement] = STATE(14),
    [sym_empty_statement] = STATE(14),
    [sym_labeled_statement] = STATE(14),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(14),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(14),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(14),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(278),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [23] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [ts_builtin_sym_end] = ACTIONS(272),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [24] = {
    [sym_export_statement] = STATE(972),
    [sym__declaration] = STATE(972),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(972),
    [sym_expression_statement] = STATE(972),
    [sym_variable_declaration] = STATE(972),
    [sym_lexical_declaration] = STATE(972),
    [sym_statement_block] = STATE(972),
    [sym_if_statement] = STATE(972),
    [sym_switch_statement] = STATE(972),
    [sym_for_statement] = STATE(972),
    [sym_for_in_statement] = STATE(972),
    [sym_while_statement] = STATE(972),
    [sym_do_statement] = STATE(972),
    [sym_try_statement] = STATE(972),
    [sym_with_statement] = STATE(972),
    [sym_break_statement] = STATE(972),
    [sym_continue_statement] = STATE(972),
    [sym_debugger_statement] = STATE(972),
    [sym_return_statement] = STATE(972),
    [sym_throw_statement] = STATE(972),
    [sym_empty_statement] = STATE(972),
    [sym_labeled_statement] = STATE(972),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(972),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(972),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(972),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [25] = {
    [sym_export_statement] = STATE(227),
    [sym__declaration] = STATE(227),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(227),
    [sym_expression_statement] = STATE(227),
    [sym_variable_declaration] = STATE(227),
    [sym_lexical_declaration] = STATE(227),
    [sym_statement_block] = STATE(227),
    [sym_if_statement] = STATE(227),
    [sym_switch_statement] = STATE(227),
    [sym_for_statement] = STATE(227),
    [sym_for_in_statement] = STATE(227),
    [sym_while_statement] = STATE(227),
    [sym_do_statement] = STATE(227),
    [sym_try_statement] = STATE(227),
    [sym_with_statement] = STATE(227),
    [sym_break_statement] = STATE(227),
    [sym_continue_statement] = STATE(227),
    [sym_debugger_statement] = STATE(227),
    [sym_return_statement] = STATE(227),
    [sym_throw_statement] = STATE(227),
    [sym_empty_statement] = STATE(227),
    [sym_labeled_statement] = STATE(227),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(227),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(227),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(227),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [26] = {
    [sym_export_statement] = STATE(227),
    [sym__declaration] = STATE(227),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(227),
    [sym_expression_statement] = STATE(227),
    [sym_variable_declaration] = STATE(227),
    [sym_lexical_declaration] = STATE(227),
    [sym_statement_block] = STATE(227),
    [sym_if_statement] = STATE(227),
    [sym_switch_statement] = STATE(227),
    [sym_for_statement] = STATE(227),
    [sym_for_in_statement] = STATE(227),
    [sym_while_statement] = STATE(227),
    [sym_do_statement] = STATE(227),
    [sym_try_statement] = STATE(227),
    [sym_with_statement] = STATE(227),
    [sym_break_statement] = STATE(227),
    [sym_continue_statement] = STATE(227),
    [sym_debugger_statement] = STATE(227),
    [sym_return_statement] = STATE(227),
    [sym_throw_statement] = STATE(227),
    [sym_empty_statement] = STATE(227),
    [sym_labeled_statement] = STATE(227),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(227),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(227),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(227),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [27] = {
    [sym_export_statement] = STATE(230),
    [sym__declaration] = STATE(230),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(230),
    [sym_expression_statement] = STATE(230),
    [sym_variable_declaration] = STATE(230),
    [sym_lexical_declaration] = STATE(230),
    [sym_statement_block] = STATE(230),
    [sym_if_statement] = STATE(230),
    [sym_switch_statement] = STATE(230),
    [sym_for_statement] = STATE(230),
    [sym_for_in_statement] = STATE(230),
    [sym_while_statement] = STATE(230),
    [sym_do_statement] = STATE(230),
    [sym_try_statement] = STATE(230),
    [sym_with_statement] = STATE(230),
    [sym_break_statement] = STATE(230),
    [sym_continue_statement] = STATE(230),
    [sym_debugger_statement] = STATE(230),
    [sym_return_statement] = STATE(230),
    [sym_throw_statement] = STATE(230),
    [sym_empty_statement] = STATE(230),
    [sym_labeled_statement] = STATE(230),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(230),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(230),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(230),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [28] = {
    [sym_export_statement] = STATE(224),
    [sym__declaration] = STATE(224),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(224),
    [sym_expression_statement] = STATE(224),
    [sym_variable_declaration] = STATE(224),
    [sym_lexical_declaration] = STATE(224),
    [sym_statement_block] = STATE(224),
    [sym_if_statement] = STATE(224),
    [sym_switch_statement] = STATE(224),
    [sym_for_statement] = STATE(224),
    [sym_for_in_statement] = STATE(224),
    [sym_while_statement] = STATE(224),
    [sym_do_statement] = STATE(224),
    [sym_try_statement] = STATE(224),
    [sym_with_statement] = STATE(224),
    [sym_break_statement] = STATE(224),
    [sym_continue_statement] = STATE(224),
    [sym_debugger_statement] = STATE(224),
    [sym_return_statement] = STATE(224),
    [sym_throw_statement] = STATE(224),
    [sym_empty_statement] = STATE(224),
    [sym_labeled_statement] = STATE(224),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(224),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(224),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(224),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [29] = {
    [sym_export_statement] = STATE(241),
    [sym__declaration] = STATE(241),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(241),
    [sym_expression_statement] = STATE(241),
    [sym_variable_declaration] = STATE(241),
    [sym_lexical_declaration] = STATE(241),
    [sym_statement_block] = STATE(241),
    [sym_if_statement] = STATE(241),
    [sym_switch_statement] = STATE(241),
    [sym_for_statement] = STATE(241),
    [sym_for_in_statement] = STATE(241),
    [sym_while_statement] = STATE(241),
    [sym_do_statement] = STATE(241),
    [sym_try_statement] = STATE(241),
    [sym_with_statement] = STATE(241),
    [sym_break_statement] = STATE(241),
    [sym_continue_statement] = STATE(241),
    [sym_debugger_statement] = STATE(241),
    [sym_return_statement] = STATE(241),
    [sym_throw_statement] = STATE(241),
    [sym_empty_statement] = STATE(241),
    [sym_labeled_statement] = STATE(241),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(241),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(241),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(241),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [30] = {
    [sym_export_statement] = STATE(245),
    [sym__declaration] = STATE(245),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(245),
    [sym_expression_statement] = STATE(245),
    [sym_variable_declaration] = STATE(245),
    [sym_lexical_declaration] = STATE(245),
    [sym_statement_block] = STATE(245),
    [sym_if_statement] = STATE(245),
    [sym_switch_statement] = STATE(245),
    [sym_for_statement] = STATE(245),
    [sym_for_in_statement] = STATE(245),
    [sym_while_statement] = STATE(245),
    [sym_do_statement] = STATE(245),
    [sym_try_statement] = STATE(245),
    [sym_with_statement] = STATE(245),
    [sym_break_statement] = STATE(245),
    [sym_continue_statement] = STATE(245),
    [sym_debugger_statement] = STATE(245),
    [sym_return_statement] = STATE(245),
    [sym_throw_statement] = STATE(245),
    [sym_empty_statement] = STATE(245),
    [sym_labeled_statement] = STATE(245),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(245),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(245),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(245),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [31] = {
    [sym_export_statement] = STATE(236),
    [sym__declaration] = STATE(236),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(236),
    [sym_expression_statement] = STATE(236),
    [sym_variable_declaration] = STATE(236),
    [sym_lexical_declaration] = STATE(236),
    [sym_statement_block] = STATE(236),
    [sym_if_statement] = STATE(236),
    [sym_switch_statement] = STATE(236),
    [sym_for_statement] = STATE(236),
    [sym_for_in_statement] = STATE(236),
    [sym_while_statement] = STATE(236),
    [sym_do_statement] = STATE(236),
    [sym_try_statement] = STATE(236),
    [sym_with_statement] = STATE(236),
    [sym_break_statement] = STATE(236),
    [sym_continue_statement] = STATE(236),
    [sym_debugger_statement] = STATE(236),
    [sym_return_statement] = STATE(236),
    [sym_throw_statement] = STATE(236),
    [sym_empty_statement] = STATE(236),
    [sym_labeled_statement] = STATE(236),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(236),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(236),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(236),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [32] = {
    [sym_export_statement] = STATE(235),
    [sym__declaration] = STATE(235),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_variable_declaration] = STATE(235),
    [sym_lexical_declaration] = STATE(235),
    [sym_statement_block] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_for_in_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_with_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_debugger_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_empty_statement] = STATE(235),
    [sym_labeled_statement] = STATE(235),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(235),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(235),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(235),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [33] = {
    [sym_export_statement] = STATE(236),
    [sym__declaration] = STATE(236),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(236),
    [sym_expression_statement] = STATE(236),
    [sym_variable_declaration] = STATE(236),
    [sym_lexical_declaration] = STATE(236),
    [sym_statement_block] = STATE(236),
    [sym_if_statement] = STATE(236),
    [sym_switch_statement] = STATE(236),
    [sym_for_statement] = STATE(236),
    [sym_for_in_statement] = STATE(236),
    [sym_while_statement] = STATE(236),
    [sym_do_statement] = STATE(236),
    [sym_try_statement] = STATE(236),
    [sym_with_statement] = STATE(236),
    [sym_break_statement] = STATE(236),
    [sym_continue_statement] = STATE(236),
    [sym_debugger_statement] = STATE(236),
    [sym_return_statement] = STATE(236),
    [sym_throw_statement] = STATE(236),
    [sym_empty_statement] = STATE(236),
    [sym_labeled_statement] = STATE(236),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(236),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(236),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(236),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [34] = {
    [sym_export_statement] = STATE(210),
    [sym__declaration] = STATE(210),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(210),
    [sym_expression_statement] = STATE(210),
    [sym_variable_declaration] = STATE(210),
    [sym_lexical_declaration] = STATE(210),
    [sym_statement_block] = STATE(210),
    [sym_if_statement] = STATE(210),
    [sym_switch_statement] = STATE(210),
    [sym_for_statement] = STATE(210),
    [sym_for_in_statement] = STATE(210),
    [sym_while_statement] = STATE(210),
    [sym_do_statement] = STATE(210),
    [sym_try_statement] = STATE(210),
    [sym_with_statement] = STATE(210),
    [sym_break_statement] = STATE(210),
    [sym_continue_statement] = STATE(210),
    [sym_debugger_statement] = STATE(210),
    [sym_return_statement] = STATE(210),
    [sym_throw_statement] = STATE(210),
    [sym_empty_statement] = STATE(210),
    [sym_labeled_statement] = STATE(210),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(210),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(210),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(210),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [35] = {
    [sym_export_statement] = STATE(211),
    [sym__declaration] = STATE(211),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_variable_declaration] = STATE(211),
    [sym_lexical_declaration] = STATE(211),
    [sym_statement_block] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_for_in_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_with_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_debugger_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_empty_statement] = STATE(211),
    [sym_labeled_statement] = STATE(211),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(211),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(211),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(211),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [36] = {
    [sym_export_statement] = STATE(241),
    [sym__declaration] = STATE(241),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(241),
    [sym_expression_statement] = STATE(241),
    [sym_variable_declaration] = STATE(241),
    [sym_lexical_declaration] = STATE(241),
    [sym_statement_block] = STATE(241),
    [sym_if_statement] = STATE(241),
    [sym_switch_statement] = STATE(241),
    [sym_for_statement] = STATE(241),
    [sym_for_in_statement] = STATE(241),
    [sym_while_statement] = STATE(241),
    [sym_do_statement] = STATE(241),
    [sym_try_statement] = STATE(241),
    [sym_with_statement] = STATE(241),
    [sym_break_statement] = STATE(241),
    [sym_continue_statement] = STATE(241),
    [sym_debugger_statement] = STATE(241),
    [sym_return_statement] = STATE(241),
    [sym_throw_statement] = STATE(241),
    [sym_empty_statement] = STATE(241),
    [sym_labeled_statement] = STATE(241),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(241),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(241),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(241),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [37] = {
    [sym_export_statement] = STATE(210),
    [sym__declaration] = STATE(210),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(210),
    [sym_expression_statement] = STATE(210),
    [sym_variable_declaration] = STATE(210),
    [sym_lexical_declaration] = STATE(210),
    [sym_statement_block] = STATE(210),
    [sym_if_statement] = STATE(210),
    [sym_switch_statement] = STATE(210),
    [sym_for_statement] = STATE(210),
    [sym_for_in_statement] = STATE(210),
    [sym_while_statement] = STATE(210),
    [sym_do_statement] = STATE(210),
    [sym_try_statement] = STATE(210),
    [sym_with_statement] = STATE(210),
    [sym_break_statement] = STATE(210),
    [sym_continue_statement] = STATE(210),
    [sym_debugger_statement] = STATE(210),
    [sym_return_statement] = STATE(210),
    [sym_throw_statement] = STATE(210),
    [sym_empty_statement] = STATE(210),
    [sym_labeled_statement] = STATE(210),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(210),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(210),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(210),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [38] = {
    [sym_export_statement] = STATE(1105),
    [sym__declaration] = STATE(1105),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(1105),
    [sym_expression_statement] = STATE(1105),
    [sym_variable_declaration] = STATE(1105),
    [sym_lexical_declaration] = STATE(1105),
    [sym_statement_block] = STATE(1105),
    [sym_if_statement] = STATE(1105),
    [sym_switch_statement] = STATE(1105),
    [sym_for_statement] = STATE(1105),
    [sym_for_in_statement] = STATE(1105),
    [sym_while_statement] = STATE(1105),
    [sym_do_statement] = STATE(1105),
    [sym_try_statement] = STATE(1105),
    [sym_with_statement] = STATE(1105),
    [sym_break_statement] = STATE(1105),
    [sym_continue_statement] = STATE(1105),
    [sym_debugger_statement] = STATE(1105),
    [sym_return_statement] = STATE(1105),
    [sym_throw_statement] = STATE(1105),
    [sym_empty_statement] = STATE(1105),
    [sym_labeled_statement] = STATE(1105),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(1105),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(1105),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(1105),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [39] = {
    [sym_export_statement] = STATE(211),
    [sym__declaration] = STATE(211),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_variable_declaration] = STATE(211),
    [sym_lexical_declaration] = STATE(211),
    [sym_statement_block] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_for_in_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_with_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_debugger_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_empty_statement] = STATE(211),
    [sym_labeled_statement] = STATE(211),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(211),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(211),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(211),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [40] = {
    [sym_export_statement] = STATE(224),
    [sym__declaration] = STATE(224),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(224),
    [sym_expression_statement] = STATE(224),
    [sym_variable_declaration] = STATE(224),
    [sym_lexical_declaration] = STATE(224),
    [sym_statement_block] = STATE(224),
    [sym_if_statement] = STATE(224),
    [sym_switch_statement] = STATE(224),
    [sym_for_statement] = STATE(224),
    [sym_for_in_statement] = STATE(224),
    [sym_while_statement] = STATE(224),
    [sym_do_statement] = STATE(224),
    [sym_try_statement] = STATE(224),
    [sym_with_statement] = STATE(224),
    [sym_break_statement] = STATE(224),
    [sym_continue_statement] = STATE(224),
    [sym_debugger_statement] = STATE(224),
    [sym_return_statement] = STATE(224),
    [sym_throw_statement] = STATE(224),
    [sym_empty_statement] = STATE(224),
    [sym_labeled_statement] = STATE(224),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(224),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(224),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(224),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [41] = {
    [sym_export_statement] = STATE(235),
    [sym__declaration] = STATE(235),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_variable_declaration] = STATE(235),
    [sym_lexical_declaration] = STATE(235),
    [sym_statement_block] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_for_in_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_with_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_debugger_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_empty_statement] = STATE(235),
    [sym_labeled_statement] = STATE(235),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(235),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(235),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(235),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [42] = {
    [sym_export_statement] = STATE(230),
    [sym__declaration] = STATE(230),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(230),
    [sym_expression_statement] = STATE(230),
    [sym_variable_declaration] = STATE(230),
    [sym_lexical_declaration] = STATE(230),
    [sym_statement_block] = STATE(230),
    [sym_if_statement] = STATE(230),
    [sym_switch_statement] = STATE(230),
    [sym_for_statement] = STATE(230),
    [sym_for_in_statement] = STATE(230),
    [sym_while_statement] = STATE(230),
    [sym_do_statement] = STATE(230),
    [sym_try_statement] = STATE(230),
    [sym_with_statement] = STATE(230),
    [sym_break_statement] = STATE(230),
    [sym_continue_statement] = STATE(230),
    [sym_debugger_statement] = STATE(230),
    [sym_return_statement] = STATE(230),
    [sym_throw_statement] = STATE(230),
    [sym_empty_statement] = STATE(230),
    [sym_labeled_statement] = STATE(230),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(230),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(230),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(230),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [43] = {
    [sym_import] = STATE(328),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(328),
    [sym_yield_expression] = STATE(328),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(328),
    [sym_jsx_fragment] = STATE(328),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(328),
    [sym_class] = STATE(328),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(328),
    [sym_arrow_function] = STATE(328),
    [sym_call_expression] = STATE(328),
    [sym_new_expression] = STATE(328),
    [sym_await_expression] = STATE(328),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(328),
    [sym_augmented_assignment_expression] = STATE(328),
    [sym_ternary_expression] = STATE(328),
    [sym_binary_expression] = STATE(328),
    [sym_unary_expression] = STATE(328),
    [sym_update_expression] = STATE(328),
    [sym_string] = STATE(328),
    [sym_template_string] = STATE(328),
    [sym_regex] = STATE(328),
    [sym_meta_property] = STATE(328),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_STAR] = ACTIONS(314),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(318),
    [anon_sym_RBRACE] = ACTIONS(318),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(318),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_in] = ACTIONS(326),
    [anon_sym_COLON] = ACTIONS(318),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_RBRACK] = ACTIONS(318),
    [anon_sym_LT] = ACTIONS(332),
    [anon_sym_GT] = ACTIONS(326),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_DOT] = ACTIONS(326),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_QMARK] = ACTIONS(318),
    [anon_sym_AMP_AMP] = ACTIONS(318),
    [anon_sym_PIPE_PIPE] = ACTIONS(318),
    [anon_sym_GT_GT] = ACTIONS(326),
    [anon_sym_GT_GT_GT] = ACTIONS(318),
    [anon_sym_LT_LT] = ACTIONS(318),
    [anon_sym_AMP] = ACTIONS(326),
    [anon_sym_CARET] = ACTIONS(318),
    [anon_sym_PIPE] = ACTIONS(326),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_PERCENT] = ACTIONS(318),
    [anon_sym_STAR_STAR] = ACTIONS(318),
    [anon_sym_LT_EQ] = ACTIONS(318),
    [anon_sym_EQ_EQ] = ACTIONS(326),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(318),
    [anon_sym_BANG_EQ] = ACTIONS(326),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(318),
    [anon_sym_GT_EQ] = ACTIONS(318),
    [anon_sym_instanceof] = ACTIONS(326),
    [anon_sym_BANG] = ACTIONS(346),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(360),
    [sym_this] = ACTIONS(362),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(362),
    [sym_false] = ACTIONS(362),
    [sym_null] = ACTIONS(362),
    [sym_undefined] = ACTIONS(362),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [44] = {
    [sym_import] = STATE(423),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(423),
    [sym_yield_expression] = STATE(423),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(423),
    [sym_jsx_fragment] = STATE(423),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(423),
    [sym_class] = STATE(423),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(423),
    [sym_arrow_function] = STATE(423),
    [sym_call_expression] = STATE(423),
    [sym_new_expression] = STATE(423),
    [sym_await_expression] = STATE(423),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(423),
    [sym_augmented_assignment_expression] = STATE(423),
    [sym_ternary_expression] = STATE(423),
    [sym_binary_expression] = STATE(423),
    [sym_unary_expression] = STATE(423),
    [sym_update_expression] = STATE(423),
    [sym_string] = STATE(423),
    [sym_template_string] = STATE(423),
    [sym_regex] = STATE(423),
    [sym_meta_property] = STATE(423),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_COMMA] = ACTIONS(318),
    [anon_sym_RBRACE] = ACTIONS(318),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_in] = ACTIONS(326),
    [anon_sym_SEMI] = ACTIONS(318),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(376),
    [anon_sym_GT] = ACTIONS(326),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_DOT] = ACTIONS(326),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_QMARK] = ACTIONS(318),
    [anon_sym_AMP_AMP] = ACTIONS(318),
    [anon_sym_PIPE_PIPE] = ACTIONS(318),
    [anon_sym_GT_GT] = ACTIONS(326),
    [anon_sym_GT_GT_GT] = ACTIONS(318),
    [anon_sym_LT_LT] = ACTIONS(318),
    [anon_sym_AMP] = ACTIONS(326),
    [anon_sym_CARET] = ACTIONS(318),
    [anon_sym_PIPE] = ACTIONS(326),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_PERCENT] = ACTIONS(318),
    [anon_sym_STAR_STAR] = ACTIONS(318),
    [anon_sym_LT_EQ] = ACTIONS(318),
    [anon_sym_EQ_EQ] = ACTIONS(326),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(318),
    [anon_sym_BANG_EQ] = ACTIONS(326),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(318),
    [anon_sym_GT_EQ] = ACTIONS(318),
    [anon_sym_instanceof] = ACTIONS(326),
    [anon_sym_BANG] = ACTIONS(384),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(386),
    [sym_this] = ACTIONS(388),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(388),
    [sym_false] = ACTIONS(388),
    [sym_null] = ACTIONS(388),
    [sym_undefined] = ACTIONS(388),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
    [sym__automatic_semicolon] = ACTIONS(318),
  },
  [45] = {
    [ts_builtin_sym_end] = ACTIONS(392),
    [sym_identifier] = ACTIONS(394),
    [anon_sym_export] = ACTIONS(394),
    [anon_sym_STAR] = ACTIONS(396),
    [anon_sym_default] = ACTIONS(394),
    [anon_sym_LBRACE] = ACTIONS(392),
    [anon_sym_COMMA] = ACTIONS(398),
    [anon_sym_RBRACE] = ACTIONS(392),
    [anon_sym_import] = ACTIONS(394),
    [anon_sym_var] = ACTIONS(394),
    [anon_sym_let] = ACTIONS(394),
    [anon_sym_const] = ACTIONS(394),
    [anon_sym_if] = ACTIONS(394),
    [anon_sym_else] = ACTIONS(394),
    [anon_sym_switch] = ACTIONS(394),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_LPAREN] = ACTIONS(392),
    [anon_sym_await] = ACTIONS(394),
    [anon_sym_in] = ACTIONS(396),
    [anon_sym_while] = ACTIONS(394),
    [anon_sym_do] = ACTIONS(394),
    [anon_sym_try] = ACTIONS(394),
    [anon_sym_with] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(394),
    [anon_sym_continue] = ACTIONS(394),
    [anon_sym_debugger] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_throw] = ACTIONS(394),
    [anon_sym_SEMI] = ACTIONS(392),
    [anon_sym_case] = ACTIONS(394),
    [anon_sym_yield] = ACTIONS(394),
    [anon_sym_EQ] = ACTIONS(396),
    [anon_sym_LBRACK] = ACTIONS(392),
    [anon_sym_LT] = ACTIONS(394),
    [anon_sym_GT] = ACTIONS(396),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_DOT] = ACTIONS(396),
    [anon_sym_class] = ACTIONS(394),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(394),
    [anon_sym_new] = ACTIONS(394),
    [anon_sym_QMARK] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(398),
    [anon_sym_PIPE_PIPE] = ACTIONS(398),
    [anon_sym_GT_GT] = ACTIONS(396),
    [anon_sym_GT_GT_GT] = ACTIONS(398),
    [anon_sym_LT_LT] = ACTIONS(398),
    [anon_sym_AMP] = ACTIONS(396),
    [anon_sym_CARET] = ACTIONS(398),
    [anon_sym_PIPE] = ACTIONS(396),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_PERCENT] = ACTIONS(398),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_LT_EQ] = ACTIONS(398),
    [anon_sym_EQ_EQ] = ACTIONS(396),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(398),
    [anon_sym_BANG_EQ] = ACTIONS(396),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(398),
    [anon_sym_GT_EQ] = ACTIONS(398),
    [anon_sym_instanceof] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(394),
    [anon_sym_TILDE] = ACTIONS(392),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(392),
    [anon_sym_DASH_DASH] = ACTIONS(392),
    [anon_sym_DQUOTE] = ACTIONS(392),
    [anon_sym_SQUOTE] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(392),
    [sym_number] = ACTIONS(392),
    [sym_this] = ACTIONS(394),
    [sym_super] = ACTIONS(394),
    [sym_true] = ACTIONS(394),
    [sym_false] = ACTIONS(394),
    [sym_null] = ACTIONS(394),
    [sym_undefined] = ACTIONS(394),
    [anon_sym_AT] = ACTIONS(392),
    [anon_sym_static] = ACTIONS(394),
    [anon_sym_get] = ACTIONS(394),
    [anon_sym_set] = ACTIONS(394),
    [sym__automatic_semicolon] = ACTIONS(400),
  },
  [46] = {
    [ts_builtin_sym_end] = ACTIONS(392),
    [sym_identifier] = ACTIONS(394),
    [anon_sym_export] = ACTIONS(394),
    [anon_sym_STAR] = ACTIONS(394),
    [anon_sym_default] = ACTIONS(394),
    [anon_sym_LBRACE] = ACTIONS(392),
    [anon_sym_COMMA] = ACTIONS(392),
    [anon_sym_RBRACE] = ACTIONS(392),
    [anon_sym_import] = ACTIONS(394),
    [anon_sym_var] = ACTIONS(394),
    [anon_sym_let] = ACTIONS(394),
    [anon_sym_const] = ACTIONS(394),
    [anon_sym_if] = ACTIONS(394),
    [anon_sym_else] = ACTIONS(394),
    [anon_sym_switch] = ACTIONS(394),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_LPAREN] = ACTIONS(392),
    [anon_sym_await] = ACTIONS(394),
    [anon_sym_in] = ACTIONS(394),
    [anon_sym_while] = ACTIONS(394),
    [anon_sym_do] = ACTIONS(394),
    [anon_sym_try] = ACTIONS(394),
    [anon_sym_with] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(394),
    [anon_sym_continue] = ACTIONS(394),
    [anon_sym_debugger] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_throw] = ACTIONS(394),
    [anon_sym_SEMI] = ACTIONS(392),
    [anon_sym_case] = ACTIONS(394),
    [anon_sym_yield] = ACTIONS(394),
    [anon_sym_LBRACK] = ACTIONS(392),
    [anon_sym_LT] = ACTIONS(394),
    [anon_sym_GT] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_DOT] = ACTIONS(394),
    [anon_sym_class] = ACTIONS(394),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(394),
    [anon_sym_new] = ACTIONS(394),
    [anon_sym_QMARK] = ACTIONS(392),
    [anon_sym_AMP_AMP] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(394),
    [anon_sym_GT_GT_GT] = ACTIONS(392),
    [anon_sym_LT_LT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(392),
    [anon_sym_PIPE] = ACTIONS(394),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_PERCENT] = ACTIONS(392),
    [anon_sym_STAR_STAR] = ACTIONS(392),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_EQ_EQ] = ACTIONS(394),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_BANG_EQ] = ACTIONS(394),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [anon_sym_instanceof] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(394),
    [anon_sym_TILDE] = ACTIONS(392),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(392),
    [anon_sym_DASH_DASH] = ACTIONS(392),
    [anon_sym_DQUOTE] = ACTIONS(392),
    [anon_sym_SQUOTE] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(392),
    [sym_number] = ACTIONS(392),
    [sym_this] = ACTIONS(394),
    [sym_super] = ACTIONS(394),
    [sym_true] = ACTIONS(394),
    [sym_false] = ACTIONS(394),
    [sym_null] = ACTIONS(394),
    [sym_undefined] = ACTIONS(394),
    [anon_sym_AT] = ACTIONS(392),
    [anon_sym_static] = ACTIONS(394),
    [anon_sym_get] = ACTIONS(394),
    [anon_sym_set] = ACTIONS(394),
    [sym__automatic_semicolon] = ACTIONS(402),
  },
  [47] = {
    [ts_builtin_sym_end] = ACTIONS(404),
    [sym_identifier] = ACTIONS(406),
    [anon_sym_export] = ACTIONS(406),
    [anon_sym_STAR] = ACTIONS(408),
    [anon_sym_default] = ACTIONS(406),
    [anon_sym_LBRACE] = ACTIONS(404),
    [anon_sym_COMMA] = ACTIONS(410),
    [anon_sym_RBRACE] = ACTIONS(404),
    [anon_sym_import] = ACTIONS(406),
    [anon_sym_var] = ACTIONS(406),
    [anon_sym_let] = ACTIONS(406),
    [anon_sym_const] = ACTIONS(406),
    [anon_sym_if] = ACTIONS(406),
    [anon_sym_else] = ACTIONS(406),
    [anon_sym_switch] = ACTIONS(406),
    [anon_sym_for] = ACTIONS(406),
    [anon_sym_LPAREN] = ACTIONS(404),
    [anon_sym_await] = ACTIONS(406),
    [anon_sym_in] = ACTIONS(408),
    [anon_sym_while] = ACTIONS(406),
    [anon_sym_do] = ACTIONS(406),
    [anon_sym_try] = ACTIONS(406),
    [anon_sym_with] = ACTIONS(406),
    [anon_sym_break] = ACTIONS(406),
    [anon_sym_continue] = ACTIONS(406),
    [anon_sym_debugger] = ACTIONS(406),
    [anon_sym_return] = ACTIONS(406),
    [anon_sym_throw] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(404),
    [anon_sym_case] = ACTIONS(406),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(404),
    [anon_sym_LT] = ACTIONS(406),
    [anon_sym_GT] = ACTIONS(408),
    [anon_sym_SLASH] = ACTIONS(406),
    [anon_sym_DOT] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(406),
    [anon_sym_async] = ACTIONS(406),
    [anon_sym_function] = ACTIONS(406),
    [anon_sym_new] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(410),
    [anon_sym_AMP_AMP] = ACTIONS(410),
    [anon_sym_PIPE_PIPE] = ACTIONS(410),
    [anon_sym_GT_GT] = ACTIONS(408),
    [anon_sym_GT_GT_GT] = ACTIONS(410),
    [anon_sym_LT_LT] = ACTIONS(410),
    [anon_sym_AMP] = ACTIONS(408),
    [anon_sym_CARET] = ACTIONS(410),
    [anon_sym_PIPE] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(406),
    [anon_sym_DASH] = ACTIONS(406),
    [anon_sym_PERCENT] = ACTIONS(410),
    [anon_sym_STAR_STAR] = ACTIONS(410),
    [anon_sym_LT_EQ] = ACTIONS(410),
    [anon_sym_EQ_EQ] = ACTIONS(408),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(410),
    [anon_sym_GT_EQ] = ACTIONS(410),
    [anon_sym_instanceof] = ACTIONS(408),
    [anon_sym_BANG] = ACTIONS(406),
    [anon_sym_TILDE] = ACTIONS(404),
    [anon_sym_typeof] = ACTIONS(406),
    [anon_sym_void] = ACTIONS(406),
    [anon_sym_delete] = ACTIONS(406),
    [anon_sym_PLUS_PLUS] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(404),
    [anon_sym_DQUOTE] = ACTIONS(404),
    [anon_sym_SQUOTE] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(404),
    [sym_number] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(406),
    [anon_sym_AT] = ACTIONS(404),
    [anon_sym_static] = ACTIONS(406),
    [anon_sym_get] = ACTIONS(406),
    [anon_sym_set] = ACTIONS(406),
    [sym__automatic_semicolon] = ACTIONS(412),
  },
  [48] = {
    [ts_builtin_sym_end] = ACTIONS(414),
    [sym_identifier] = ACTIONS(416),
    [anon_sym_export] = ACTIONS(416),
    [anon_sym_STAR] = ACTIONS(418),
    [anon_sym_default] = ACTIONS(416),
    [anon_sym_LBRACE] = ACTIONS(414),
    [anon_sym_COMMA] = ACTIONS(420),
    [anon_sym_RBRACE] = ACTIONS(414),
    [anon_sym_import] = ACTIONS(416),
    [anon_sym_var] = ACTIONS(416),
    [anon_sym_let] = ACTIONS(416),
    [anon_sym_const] = ACTIONS(416),
    [anon_sym_if] = ACTIONS(416),
    [anon_sym_else] = ACTIONS(416),
    [anon_sym_switch] = ACTIONS(416),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_LPAREN] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_in] = ACTIONS(418),
    [anon_sym_while] = ACTIONS(416),
    [anon_sym_do] = ACTIONS(416),
    [anon_sym_try] = ACTIONS(416),
    [anon_sym_with] = ACTIONS(416),
    [anon_sym_break] = ACTIONS(416),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_debugger] = ACTIONS(416),
    [anon_sym_return] = ACTIONS(416),
    [anon_sym_throw] = ACTIONS(416),
    [anon_sym_SEMI] = ACTIONS(414),
    [anon_sym_case] = ACTIONS(416),
    [anon_sym_yield] = ACTIONS(416),
    [anon_sym_LBRACK] = ACTIONS(414),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_GT] = ACTIONS(418),
    [anon_sym_SLASH] = ACTIONS(416),
    [anon_sym_DOT] = ACTIONS(418),
    [anon_sym_class] = ACTIONS(416),
    [anon_sym_async] = ACTIONS(416),
    [anon_sym_function] = ACTIONS(416),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_QMARK] = ACTIONS(420),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(420),
    [anon_sym_GT_GT] = ACTIONS(418),
    [anon_sym_GT_GT_GT] = ACTIONS(420),
    [anon_sym_LT_LT] = ACTIONS(420),
    [anon_sym_AMP] = ACTIONS(418),
    [anon_sym_CARET] = ACTIONS(420),
    [anon_sym_PIPE] = ACTIONS(418),
    [anon_sym_PLUS] = ACTIONS(416),
    [anon_sym_DASH] = ACTIONS(416),
    [anon_sym_PERCENT] = ACTIONS(420),
    [anon_sym_STAR_STAR] = ACTIONS(420),
    [anon_sym_LT_EQ] = ACTIONS(420),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(420),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(420),
    [anon_sym_GT_EQ] = ACTIONS(420),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(414),
    [anon_sym_typeof] = ACTIONS(416),
    [anon_sym_void] = ACTIONS(416),
    [anon_sym_delete] = ACTIONS(416),
    [anon_sym_PLUS_PLUS] = ACTIONS(414),
    [anon_sym_DASH_DASH] = ACTIONS(414),
    [anon_sym_DQUOTE] = ACTIONS(414),
    [anon_sym_SQUOTE] = ACTIONS(414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(414),
    [sym_number] = ACTIONS(414),
    [sym_this] = ACTIONS(416),
    [sym_super] = ACTIONS(416),
    [sym_true] = ACTIONS(416),
    [sym_false] = ACTIONS(416),
    [sym_null] = ACTIONS(416),
    [sym_undefined] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(414),
    [anon_sym_static] = ACTIONS(416),
    [anon_sym_get] = ACTIONS(416),
    [anon_sym_set] = ACTIONS(416),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [49] = {
    [ts_builtin_sym_end] = ACTIONS(424),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(426),
    [anon_sym_STAR] = ACTIONS(428),
    [anon_sym_default] = ACTIONS(426),
    [anon_sym_LBRACE] = ACTIONS(424),
    [anon_sym_COMMA] = ACTIONS(430),
    [anon_sym_RBRACE] = ACTIONS(424),
    [anon_sym_import] = ACTIONS(426),
    [anon_sym_var] = ACTIONS(426),
    [anon_sym_let] = ACTIONS(426),
    [anon_sym_const] = ACTIONS(426),
    [anon_sym_if] = ACTIONS(426),
    [anon_sym_else] = ACTIONS(426),
    [anon_sym_switch] = ACTIONS(426),
    [anon_sym_for] = ACTIONS(426),
    [anon_sym_LPAREN] = ACTIONS(424),
    [anon_sym_await] = ACTIONS(426),
    [anon_sym_in] = ACTIONS(428),
    [anon_sym_while] = ACTIONS(426),
    [anon_sym_do] = ACTIONS(426),
    [anon_sym_try] = ACTIONS(426),
    [anon_sym_with] = ACTIONS(426),
    [anon_sym_break] = ACTIONS(426),
    [anon_sym_continue] = ACTIONS(426),
    [anon_sym_debugger] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(426),
    [anon_sym_throw] = ACTIONS(426),
    [anon_sym_SEMI] = ACTIONS(424),
    [anon_sym_case] = ACTIONS(426),
    [anon_sym_yield] = ACTIONS(426),
    [anon_sym_LBRACK] = ACTIONS(424),
    [anon_sym_LT] = ACTIONS(426),
    [anon_sym_GT] = ACTIONS(428),
    [anon_sym_SLASH] = ACTIONS(426),
    [anon_sym_DOT] = ACTIONS(428),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(426),
    [anon_sym_QMARK] = ACTIONS(430),
    [anon_sym_AMP_AMP] = ACTIONS(430),
    [anon_sym_PIPE_PIPE] = ACTIONS(430),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(430),
    [anon_sym_LT_LT] = ACTIONS(430),
    [anon_sym_AMP] = ACTIONS(428),
    [anon_sym_CARET] = ACTIONS(430),
    [anon_sym_PIPE] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(426),
    [anon_sym_DASH] = ACTIONS(426),
    [anon_sym_PERCENT] = ACTIONS(430),
    [anon_sym_STAR_STAR] = ACTIONS(430),
    [anon_sym_LT_EQ] = ACTIONS(430),
    [anon_sym_EQ_EQ] = ACTIONS(428),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(430),
    [anon_sym_BANG_EQ] = ACTIONS(428),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(430),
    [anon_sym_GT_EQ] = ACTIONS(430),
    [anon_sym_instanceof] = ACTIONS(428),
    [anon_sym_BANG] = ACTIONS(426),
    [anon_sym_TILDE] = ACTIONS(424),
    [anon_sym_typeof] = ACTIONS(426),
    [anon_sym_void] = ACTIONS(426),
    [anon_sym_delete] = ACTIONS(426),
    [anon_sym_PLUS_PLUS] = ACTIONS(424),
    [anon_sym_DASH_DASH] = ACTIONS(424),
    [anon_sym_DQUOTE] = ACTIONS(424),
    [anon_sym_SQUOTE] = ACTIONS(424),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(424),
    [sym_number] = ACTIONS(424),
    [sym_this] = ACTIONS(426),
    [sym_super] = ACTIONS(426),
    [sym_true] = ACTIONS(426),
    [sym_false] = ACTIONS(426),
    [sym_null] = ACTIONS(426),
    [sym_undefined] = ACTIONS(426),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_static] = ACTIONS(426),
    [anon_sym_get] = ACTIONS(426),
    [anon_sym_set] = ACTIONS(426),
    [sym__automatic_semicolon] = ACTIONS(432),
  },
  [50] = {
    [ts_builtin_sym_end] = ACTIONS(434),
    [sym_identifier] = ACTIONS(436),
    [anon_sym_export] = ACTIONS(436),
    [anon_sym_STAR] = ACTIONS(438),
    [anon_sym_default] = ACTIONS(436),
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_COMMA] = ACTIONS(440),
    [anon_sym_RBRACE] = ACTIONS(434),
    [anon_sym_import] = ACTIONS(436),
    [anon_sym_var] = ACTIONS(436),
    [anon_sym_let] = ACTIONS(436),
    [anon_sym_const] = ACTIONS(436),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_else] = ACTIONS(436),
    [anon_sym_switch] = ACTIONS(436),
    [anon_sym_for] = ACTIONS(436),
    [anon_sym_LPAREN] = ACTIONS(434),
    [anon_sym_await] = ACTIONS(436),
    [anon_sym_in] = ACTIONS(438),
    [anon_sym_while] = ACTIONS(436),
    [anon_sym_do] = ACTIONS(436),
    [anon_sym_try] = ACTIONS(436),
    [anon_sym_with] = ACTIONS(436),
    [anon_sym_break] = ACTIONS(436),
    [anon_sym_continue] = ACTIONS(436),
    [anon_sym_debugger] = ACTIONS(436),
    [anon_sym_return] = ACTIONS(436),
    [anon_sym_throw] = ACTIONS(436),
    [anon_sym_SEMI] = ACTIONS(434),
    [anon_sym_case] = ACTIONS(436),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LT] = ACTIONS(436),
    [anon_sym_GT] = ACTIONS(438),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_DOT] = ACTIONS(438),
    [anon_sym_class] = ACTIONS(436),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(436),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_QMARK] = ACTIONS(440),
    [anon_sym_AMP_AMP] = ACTIONS(440),
    [anon_sym_PIPE_PIPE] = ACTIONS(440),
    [anon_sym_GT_GT] = ACTIONS(438),
    [anon_sym_GT_GT_GT] = ACTIONS(440),
    [anon_sym_LT_LT] = ACTIONS(440),
    [anon_sym_AMP] = ACTIONS(438),
    [anon_sym_CARET] = ACTIONS(440),
    [anon_sym_PIPE] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(436),
    [anon_sym_DASH] = ACTIONS(436),
    [anon_sym_PERCENT] = ACTIONS(440),
    [anon_sym_STAR_STAR] = ACTIONS(440),
    [anon_sym_LT_EQ] = ACTIONS(440),
    [anon_sym_EQ_EQ] = ACTIONS(438),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(440),
    [anon_sym_BANG_EQ] = ACTIONS(438),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(440),
    [anon_sym_GT_EQ] = ACTIONS(440),
    [anon_sym_instanceof] = ACTIONS(438),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(436),
    [anon_sym_void] = ACTIONS(436),
    [anon_sym_delete] = ACTIONS(436),
    [anon_sym_PLUS_PLUS] = ACTIONS(434),
    [anon_sym_DASH_DASH] = ACTIONS(434),
    [anon_sym_DQUOTE] = ACTIONS(434),
    [anon_sym_SQUOTE] = ACTIONS(434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(434),
    [sym_number] = ACTIONS(434),
    [sym_this] = ACTIONS(436),
    [sym_super] = ACTIONS(436),
    [sym_true] = ACTIONS(436),
    [sym_false] = ACTIONS(436),
    [sym_null] = ACTIONS(436),
    [sym_undefined] = ACTIONS(436),
    [anon_sym_AT] = ACTIONS(434),
    [anon_sym_static] = ACTIONS(436),
    [anon_sym_get] = ACTIONS(436),
    [anon_sym_set] = ACTIONS(436),
    [sym__automatic_semicolon] = ACTIONS(442),
  },
  [51] = {
    [ts_builtin_sym_end] = ACTIONS(444),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_STAR] = ACTIONS(448),
    [anon_sym_default] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(444),
    [anon_sym_COMMA] = ACTIONS(450),
    [anon_sym_RBRACE] = ACTIONS(444),
    [anon_sym_import] = ACTIONS(446),
    [anon_sym_var] = ACTIONS(446),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_const] = ACTIONS(446),
    [anon_sym_if] = ACTIONS(446),
    [anon_sym_else] = ACTIONS(446),
    [anon_sym_switch] = ACTIONS(446),
    [anon_sym_for] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(444),
    [anon_sym_await] = ACTIONS(446),
    [anon_sym_in] = ACTIONS(448),
    [anon_sym_while] = ACTIONS(446),
    [anon_sym_do] = ACTIONS(446),
    [anon_sym_try] = ACTIONS(446),
    [anon_sym_with] = ACTIONS(446),
    [anon_sym_break] = ACTIONS(446),
    [anon_sym_continue] = ACTIONS(446),
    [anon_sym_debugger] = ACTIONS(446),
    [anon_sym_return] = ACTIONS(446),
    [anon_sym_throw] = ACTIONS(446),
    [anon_sym_SEMI] = ACTIONS(444),
    [anon_sym_case] = ACTIONS(446),
    [anon_sym_yield] = ACTIONS(446),
    [anon_sym_LBRACK] = ACTIONS(444),
    [anon_sym_LT] = ACTIONS(446),
    [anon_sym_GT] = ACTIONS(448),
    [anon_sym_SLASH] = ACTIONS(446),
    [anon_sym_DOT] = ACTIONS(448),
    [anon_sym_class] = ACTIONS(446),
    [anon_sym_async] = ACTIONS(446),
    [anon_sym_function] = ACTIONS(446),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_QMARK] = ACTIONS(450),
    [anon_sym_AMP_AMP] = ACTIONS(450),
    [anon_sym_PIPE_PIPE] = ACTIONS(450),
    [anon_sym_GT_GT] = ACTIONS(448),
    [anon_sym_GT_GT_GT] = ACTIONS(450),
    [anon_sym_LT_LT] = ACTIONS(450),
    [anon_sym_AMP] = ACTIONS(448),
    [anon_sym_CARET] = ACTIONS(450),
    [anon_sym_PIPE] = ACTIONS(448),
    [anon_sym_PLUS] = ACTIONS(446),
    [anon_sym_DASH] = ACTIONS(446),
    [anon_sym_PERCENT] = ACTIONS(450),
    [anon_sym_STAR_STAR] = ACTIONS(450),
    [anon_sym_LT_EQ] = ACTIONS(450),
    [anon_sym_EQ_EQ] = ACTIONS(448),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(450),
    [anon_sym_BANG_EQ] = ACTIONS(448),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(450),
    [anon_sym_GT_EQ] = ACTIONS(450),
    [anon_sym_instanceof] = ACTIONS(448),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(446),
    [anon_sym_void] = ACTIONS(446),
    [anon_sym_delete] = ACTIONS(446),
    [anon_sym_PLUS_PLUS] = ACTIONS(444),
    [anon_sym_DASH_DASH] = ACTIONS(444),
    [anon_sym_DQUOTE] = ACTIONS(444),
    [anon_sym_SQUOTE] = ACTIONS(444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(444),
    [sym_number] = ACTIONS(444),
    [sym_this] = ACTIONS(446),
    [sym_super] = ACTIONS(446),
    [sym_true] = ACTIONS(446),
    [sym_false] = ACTIONS(446),
    [sym_null] = ACTIONS(446),
    [sym_undefined] = ACTIONS(446),
    [anon_sym_AT] = ACTIONS(444),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym__automatic_semicolon] = ACTIONS(452),
  },
  [52] = {
    [ts_builtin_sym_end] = ACTIONS(454),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_STAR] = ACTIONS(456),
    [anon_sym_default] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(454),
    [anon_sym_COMMA] = ACTIONS(454),
    [anon_sym_RBRACE] = ACTIONS(454),
    [anon_sym_import] = ACTIONS(456),
    [anon_sym_var] = ACTIONS(456),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_const] = ACTIONS(456),
    [anon_sym_if] = ACTIONS(456),
    [anon_sym_else] = ACTIONS(456),
    [anon_sym_switch] = ACTIONS(456),
    [anon_sym_for] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(454),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_in] = ACTIONS(456),
    [anon_sym_while] = ACTIONS(456),
    [anon_sym_do] = ACTIONS(456),
    [anon_sym_try] = ACTIONS(456),
    [anon_sym_with] = ACTIONS(456),
    [anon_sym_break] = ACTIONS(456),
    [anon_sym_continue] = ACTIONS(456),
    [anon_sym_debugger] = ACTIONS(456),
    [anon_sym_return] = ACTIONS(456),
    [anon_sym_throw] = ACTIONS(456),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_case] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(456),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_LT] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(456),
    [anon_sym_SLASH] = ACTIONS(456),
    [anon_sym_DOT] = ACTIONS(456),
    [anon_sym_class] = ACTIONS(456),
    [anon_sym_async] = ACTIONS(456),
    [anon_sym_function] = ACTIONS(456),
    [anon_sym_new] = ACTIONS(456),
    [anon_sym_QMARK] = ACTIONS(454),
    [anon_sym_AMP_AMP] = ACTIONS(454),
    [anon_sym_PIPE_PIPE] = ACTIONS(454),
    [anon_sym_GT_GT] = ACTIONS(456),
    [anon_sym_GT_GT_GT] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(454),
    [anon_sym_AMP] = ACTIONS(456),
    [anon_sym_CARET] = ACTIONS(454),
    [anon_sym_PIPE] = ACTIONS(456),
    [anon_sym_PLUS] = ACTIONS(456),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_PERCENT] = ACTIONS(454),
    [anon_sym_STAR_STAR] = ACTIONS(454),
    [anon_sym_LT_EQ] = ACTIONS(454),
    [anon_sym_EQ_EQ] = ACTIONS(456),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(454),
    [anon_sym_BANG_EQ] = ACTIONS(456),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(454),
    [anon_sym_GT_EQ] = ACTIONS(454),
    [anon_sym_instanceof] = ACTIONS(456),
    [anon_sym_BANG] = ACTIONS(456),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_typeof] = ACTIONS(456),
    [anon_sym_void] = ACTIONS(456),
    [anon_sym_delete] = ACTIONS(456),
    [anon_sym_PLUS_PLUS] = ACTIONS(454),
    [anon_sym_DASH_DASH] = ACTIONS(454),
    [anon_sym_DQUOTE] = ACTIONS(454),
    [anon_sym_SQUOTE] = ACTIONS(454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(454),
    [sym_number] = ACTIONS(454),
    [sym_this] = ACTIONS(456),
    [sym_super] = ACTIONS(456),
    [sym_true] = ACTIONS(456),
    [sym_false] = ACTIONS(456),
    [sym_null] = ACTIONS(456),
    [sym_undefined] = ACTIONS(456),
    [anon_sym_AT] = ACTIONS(454),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym__automatic_semicolon] = ACTIONS(454),
  },
  [53] = {
    [ts_builtin_sym_end] = ACTIONS(458),
    [sym_identifier] = ACTIONS(460),
    [anon_sym_export] = ACTIONS(460),
    [anon_sym_STAR] = ACTIONS(462),
    [anon_sym_default] = ACTIONS(460),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(464),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(460),
    [anon_sym_var] = ACTIONS(460),
    [anon_sym_let] = ACTIONS(460),
    [anon_sym_const] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(460),
    [anon_sym_else] = ACTIONS(460),
    [anon_sym_switch] = ACTIONS(460),
    [anon_sym_for] = ACTIONS(460),
    [anon_sym_LPAREN] = ACTIONS(458),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_in] = ACTIONS(462),
    [anon_sym_while] = ACTIONS(460),
    [anon_sym_do] = ACTIONS(460),
    [anon_sym_try] = ACTIONS(460),
    [anon_sym_with] = ACTIONS(460),
    [anon_sym_break] = ACTIONS(460),
    [anon_sym_continue] = ACTIONS(460),
    [anon_sym_debugger] = ACTIONS(460),
    [anon_sym_return] = ACTIONS(460),
    [anon_sym_throw] = ACTIONS(460),
    [anon_sym_SEMI] = ACTIONS(458),
    [anon_sym_case] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(458),
    [anon_sym_LT] = ACTIONS(460),
    [anon_sym_GT] = ACTIONS(462),
    [anon_sym_SLASH] = ACTIONS(460),
    [anon_sym_DOT] = ACTIONS(462),
    [anon_sym_class] = ACTIONS(460),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(460),
    [anon_sym_new] = ACTIONS(460),
    [anon_sym_QMARK] = ACTIONS(464),
    [anon_sym_AMP_AMP] = ACTIONS(464),
    [anon_sym_PIPE_PIPE] = ACTIONS(464),
    [anon_sym_GT_GT] = ACTIONS(462),
    [anon_sym_GT_GT_GT] = ACTIONS(464),
    [anon_sym_LT_LT] = ACTIONS(464),
    [anon_sym_AMP] = ACTIONS(462),
    [anon_sym_CARET] = ACTIONS(464),
    [anon_sym_PIPE] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(460),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_PERCENT] = ACTIONS(464),
    [anon_sym_STAR_STAR] = ACTIONS(464),
    [anon_sym_LT_EQ] = ACTIONS(464),
    [anon_sym_EQ_EQ] = ACTIONS(462),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(464),
    [anon_sym_BANG_EQ] = ACTIONS(462),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(464),
    [anon_sym_GT_EQ] = ACTIONS(464),
    [anon_sym_instanceof] = ACTIONS(462),
    [anon_sym_BANG] = ACTIONS(460),
    [anon_sym_TILDE] = ACTIONS(458),
    [anon_sym_typeof] = ACTIONS(460),
    [anon_sym_void] = ACTIONS(460),
    [anon_sym_delete] = ACTIONS(460),
    [anon_sym_PLUS_PLUS] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(458),
    [anon_sym_DQUOTE] = ACTIONS(458),
    [anon_sym_SQUOTE] = ACTIONS(458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(458),
    [sym_number] = ACTIONS(458),
    [sym_this] = ACTIONS(460),
    [sym_super] = ACTIONS(460),
    [sym_true] = ACTIONS(460),
    [sym_false] = ACTIONS(460),
    [sym_null] = ACTIONS(460),
    [sym_undefined] = ACTIONS(460),
    [anon_sym_AT] = ACTIONS(458),
    [anon_sym_static] = ACTIONS(460),
    [anon_sym_get] = ACTIONS(460),
    [anon_sym_set] = ACTIONS(460),
    [sym__automatic_semicolon] = ACTIONS(466),
  },
  [54] = {
    [ts_builtin_sym_end] = ACTIONS(468),
    [sym_identifier] = ACTIONS(470),
    [anon_sym_export] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(470),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_LBRACE] = ACTIONS(468),
    [anon_sym_COMMA] = ACTIONS(468),
    [anon_sym_RBRACE] = ACTIONS(468),
    [anon_sym_import] = ACTIONS(470),
    [anon_sym_var] = ACTIONS(470),
    [anon_sym_let] = ACTIONS(470),
    [anon_sym_const] = ACTIONS(470),
    [anon_sym_if] = ACTIONS(470),
    [anon_sym_else] = ACTIONS(470),
    [anon_sym_switch] = ACTIONS(470),
    [anon_sym_for] = ACTIONS(470),
    [anon_sym_LPAREN] = ACTIONS(468),
    [anon_sym_await] = ACTIONS(470),
    [anon_sym_in] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(470),
    [anon_sym_do] = ACTIONS(470),
    [anon_sym_try] = ACTIONS(470),
    [anon_sym_with] = ACTIONS(470),
    [anon_sym_break] = ACTIONS(470),
    [anon_sym_continue] = ACTIONS(470),
    [anon_sym_debugger] = ACTIONS(470),
    [anon_sym_return] = ACTIONS(470),
    [anon_sym_throw] = ACTIONS(470),
    [anon_sym_SEMI] = ACTIONS(468),
    [anon_sym_case] = ACTIONS(470),
    [anon_sym_yield] = ACTIONS(470),
    [anon_sym_LBRACK] = ACTIONS(468),
    [anon_sym_LT] = ACTIONS(470),
    [anon_sym_GT] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_DOT] = ACTIONS(470),
    [anon_sym_class] = ACTIONS(470),
    [anon_sym_async] = ACTIONS(470),
    [anon_sym_function] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_QMARK] = ACTIONS(468),
    [anon_sym_AMP_AMP] = ACTIONS(468),
    [anon_sym_PIPE_PIPE] = ACTIONS(468),
    [anon_sym_GT_GT] = ACTIONS(470),
    [anon_sym_GT_GT_GT] = ACTIONS(468),
    [anon_sym_LT_LT] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(468),
    [anon_sym_PIPE] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_PERCENT] = ACTIONS(468),
    [anon_sym_STAR_STAR] = ACTIONS(468),
    [anon_sym_LT_EQ] = ACTIONS(468),
    [anon_sym_EQ_EQ] = ACTIONS(470),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(468),
    [anon_sym_BANG_EQ] = ACTIONS(470),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(468),
    [anon_sym_GT_EQ] = ACTIONS(468),
    [anon_sym_instanceof] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_TILDE] = ACTIONS(468),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(468),
    [anon_sym_SQUOTE] = ACTIONS(468),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(468),
    [sym_number] = ACTIONS(468),
    [sym_this] = ACTIONS(470),
    [sym_super] = ACTIONS(470),
    [sym_true] = ACTIONS(470),
    [sym_false] = ACTIONS(470),
    [sym_null] = ACTIONS(470),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_get] = ACTIONS(470),
    [anon_sym_set] = ACTIONS(470),
    [sym__automatic_semicolon] = ACTIONS(468),
  },
  [55] = {
    [ts_builtin_sym_end] = ACTIONS(472),
    [sym_identifier] = ACTIONS(474),
    [anon_sym_export] = ACTIONS(474),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_default] = ACTIONS(474),
    [anon_sym_LBRACE] = ACTIONS(472),
    [anon_sym_COMMA] = ACTIONS(472),
    [anon_sym_RBRACE] = ACTIONS(472),
    [anon_sym_import] = ACTIONS(474),
    [anon_sym_var] = ACTIONS(474),
    [anon_sym_let] = ACTIONS(474),
    [anon_sym_const] = ACTIONS(474),
    [anon_sym_if] = ACTIONS(474),
    [anon_sym_else] = ACTIONS(474),
    [anon_sym_switch] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(474),
    [anon_sym_LPAREN] = ACTIONS(472),
    [anon_sym_await] = ACTIONS(474),
    [anon_sym_in] = ACTIONS(474),
    [anon_sym_while] = ACTIONS(474),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(474),
    [anon_sym_with] = ACTIONS(474),
    [anon_sym_break] = ACTIONS(474),
    [anon_sym_continue] = ACTIONS(474),
    [anon_sym_debugger] = ACTIONS(474),
    [anon_sym_return] = ACTIONS(474),
    [anon_sym_throw] = ACTIONS(474),
    [anon_sym_SEMI] = ACTIONS(472),
    [anon_sym_case] = ACTIONS(474),
    [anon_sym_yield] = ACTIONS(474),
    [anon_sym_LBRACK] = ACTIONS(472),
    [anon_sym_LT] = ACTIONS(474),
    [anon_sym_GT] = ACTIONS(474),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_DOT] = ACTIONS(474),
    [anon_sym_class] = ACTIONS(474),
    [anon_sym_async] = ACTIONS(474),
    [anon_sym_function] = ACTIONS(474),
    [anon_sym_new] = ACTIONS(474),
    [anon_sym_QMARK] = ACTIONS(472),
    [anon_sym_AMP_AMP] = ACTIONS(472),
    [anon_sym_PIPE_PIPE] = ACTIONS(472),
    [anon_sym_GT_GT] = ACTIONS(474),
    [anon_sym_GT_GT_GT] = ACTIONS(472),
    [anon_sym_LT_LT] = ACTIONS(472),
    [anon_sym_AMP] = ACTIONS(474),
    [anon_sym_CARET] = ACTIONS(472),
    [anon_sym_PIPE] = ACTIONS(474),
    [anon_sym_PLUS] = ACTIONS(474),
    [anon_sym_DASH] = ACTIONS(474),
    [anon_sym_PERCENT] = ACTIONS(472),
    [anon_sym_STAR_STAR] = ACTIONS(472),
    [anon_sym_LT_EQ] = ACTIONS(472),
    [anon_sym_EQ_EQ] = ACTIONS(474),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(472),
    [anon_sym_BANG_EQ] = ACTIONS(474),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(472),
    [anon_sym_GT_EQ] = ACTIONS(472),
    [anon_sym_instanceof] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(474),
    [anon_sym_void] = ACTIONS(474),
    [anon_sym_delete] = ACTIONS(474),
    [anon_sym_PLUS_PLUS] = ACTIONS(472),
    [anon_sym_DASH_DASH] = ACTIONS(472),
    [anon_sym_DQUOTE] = ACTIONS(472),
    [anon_sym_SQUOTE] = ACTIONS(472),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(472),
    [sym_number] = ACTIONS(472),
    [sym_this] = ACTIONS(474),
    [sym_super] = ACTIONS(474),
    [sym_true] = ACTIONS(474),
    [sym_false] = ACTIONS(474),
    [sym_null] = ACTIONS(474),
    [sym_undefined] = ACTIONS(474),
    [anon_sym_AT] = ACTIONS(472),
    [anon_sym_static] = ACTIONS(474),
    [anon_sym_get] = ACTIONS(474),
    [anon_sym_set] = ACTIONS(474),
    [sym__automatic_semicolon] = ACTIONS(472),
  },
  [56] = {
    [ts_builtin_sym_end] = ACTIONS(476),
    [sym_identifier] = ACTIONS(478),
    [anon_sym_export] = ACTIONS(478),
    [anon_sym_STAR] = ACTIONS(478),
    [anon_sym_default] = ACTIONS(478),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(476),
    [anon_sym_import] = ACTIONS(478),
    [anon_sym_var] = ACTIONS(478),
    [anon_sym_let] = ACTIONS(478),
    [anon_sym_const] = ACTIONS(478),
    [anon_sym_if] = ACTIONS(478),
    [anon_sym_else] = ACTIONS(478),
    [anon_sym_switch] = ACTIONS(478),
    [anon_sym_for] = ACTIONS(478),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_await] = ACTIONS(478),
    [anon_sym_in] = ACTIONS(478),
    [anon_sym_while] = ACTIONS(478),
    [anon_sym_do] = ACTIONS(478),
    [anon_sym_try] = ACTIONS(478),
    [anon_sym_with] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(478),
    [anon_sym_continue] = ACTIONS(478),
    [anon_sym_debugger] = ACTIONS(478),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_throw] = ACTIONS(478),
    [anon_sym_SEMI] = ACTIONS(476),
    [anon_sym_case] = ACTIONS(478),
    [anon_sym_yield] = ACTIONS(478),
    [anon_sym_LBRACK] = ACTIONS(476),
    [anon_sym_LT] = ACTIONS(478),
    [anon_sym_GT] = ACTIONS(478),
    [anon_sym_SLASH] = ACTIONS(478),
    [anon_sym_DOT] = ACTIONS(478),
    [anon_sym_class] = ACTIONS(478),
    [anon_sym_async] = ACTIONS(478),
    [anon_sym_function] = ACTIONS(478),
    [anon_sym_new] = ACTIONS(478),
    [anon_sym_QMARK] = ACTIONS(476),
    [anon_sym_AMP_AMP] = ACTIONS(476),
    [anon_sym_PIPE_PIPE] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(478),
    [anon_sym_GT_GT_GT] = ACTIONS(476),
    [anon_sym_LT_LT] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(478),
    [anon_sym_CARET] = ACTIONS(476),
    [anon_sym_PIPE] = ACTIONS(478),
    [anon_sym_PLUS] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_PERCENT] = ACTIONS(476),
    [anon_sym_STAR_STAR] = ACTIONS(476),
    [anon_sym_LT_EQ] = ACTIONS(476),
    [anon_sym_EQ_EQ] = ACTIONS(478),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(476),
    [anon_sym_BANG_EQ] = ACTIONS(478),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(476),
    [anon_sym_GT_EQ] = ACTIONS(476),
    [anon_sym_instanceof] = ACTIONS(478),
    [anon_sym_BANG] = ACTIONS(478),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(478),
    [anon_sym_void] = ACTIONS(478),
    [anon_sym_delete] = ACTIONS(478),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [anon_sym_DQUOTE] = ACTIONS(476),
    [anon_sym_SQUOTE] = ACTIONS(476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(476),
    [sym_number] = ACTIONS(476),
    [sym_this] = ACTIONS(478),
    [sym_super] = ACTIONS(478),
    [sym_true] = ACTIONS(478),
    [sym_false] = ACTIONS(478),
    [sym_null] = ACTIONS(478),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(476),
    [anon_sym_static] = ACTIONS(478),
    [anon_sym_get] = ACTIONS(478),
    [anon_sym_set] = ACTIONS(478),
    [sym__automatic_semicolon] = ACTIONS(476),
  },
  [57] = {
    [ts_builtin_sym_end] = ACTIONS(480),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(484),
    [anon_sym_default] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(480),
    [anon_sym_COMMA] = ACTIONS(486),
    [anon_sym_RBRACE] = ACTIONS(480),
    [anon_sym_import] = ACTIONS(482),
    [anon_sym_var] = ACTIONS(482),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_const] = ACTIONS(482),
    [anon_sym_if] = ACTIONS(482),
    [anon_sym_else] = ACTIONS(482),
    [anon_sym_switch] = ACTIONS(482),
    [anon_sym_for] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(480),
    [anon_sym_await] = ACTIONS(482),
    [anon_sym_in] = ACTIONS(484),
    [anon_sym_while] = ACTIONS(482),
    [anon_sym_do] = ACTIONS(482),
    [anon_sym_try] = ACTIONS(482),
    [anon_sym_with] = ACTIONS(482),
    [anon_sym_break] = ACTIONS(482),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_debugger] = ACTIONS(482),
    [anon_sym_return] = ACTIONS(482),
    [anon_sym_throw] = ACTIONS(482),
    [anon_sym_SEMI] = ACTIONS(480),
    [anon_sym_case] = ACTIONS(482),
    [anon_sym_yield] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(482),
    [anon_sym_DOT] = ACTIONS(484),
    [anon_sym_class] = ACTIONS(482),
    [anon_sym_async] = ACTIONS(482),
    [anon_sym_function] = ACTIONS(482),
    [anon_sym_new] = ACTIONS(482),
    [anon_sym_QMARK] = ACTIONS(486),
    [anon_sym_AMP_AMP] = ACTIONS(486),
    [anon_sym_PIPE_PIPE] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(484),
    [anon_sym_GT_GT_GT] = ACTIONS(486),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_AMP] = ACTIONS(484),
    [anon_sym_CARET] = ACTIONS(486),
    [anon_sym_PIPE] = ACTIONS(484),
    [anon_sym_PLUS] = ACTIONS(482),
    [anon_sym_DASH] = ACTIONS(482),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_STAR_STAR] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(486),
    [anon_sym_EQ_EQ] = ACTIONS(484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(484),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(486),
    [anon_sym_GT_EQ] = ACTIONS(486),
    [anon_sym_instanceof] = ACTIONS(484),
    [anon_sym_BANG] = ACTIONS(482),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_typeof] = ACTIONS(482),
    [anon_sym_void] = ACTIONS(482),
    [anon_sym_delete] = ACTIONS(482),
    [anon_sym_PLUS_PLUS] = ACTIONS(480),
    [anon_sym_DASH_DASH] = ACTIONS(480),
    [anon_sym_DQUOTE] = ACTIONS(480),
    [anon_sym_SQUOTE] = ACTIONS(480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(480),
    [sym_number] = ACTIONS(480),
    [sym_this] = ACTIONS(482),
    [sym_super] = ACTIONS(482),
    [sym_true] = ACTIONS(482),
    [sym_false] = ACTIONS(482),
    [sym_null] = ACTIONS(482),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(480),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym__automatic_semicolon] = ACTIONS(488),
  },
  [58] = {
    [ts_builtin_sym_end] = ACTIONS(490),
    [sym_identifier] = ACTIONS(492),
    [anon_sym_export] = ACTIONS(492),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_default] = ACTIONS(492),
    [anon_sym_LBRACE] = ACTIONS(490),
    [anon_sym_COMMA] = ACTIONS(496),
    [anon_sym_RBRACE] = ACTIONS(490),
    [anon_sym_import] = ACTIONS(492),
    [anon_sym_var] = ACTIONS(492),
    [anon_sym_let] = ACTIONS(492),
    [anon_sym_const] = ACTIONS(492),
    [anon_sym_if] = ACTIONS(492),
    [anon_sym_else] = ACTIONS(492),
    [anon_sym_switch] = ACTIONS(492),
    [anon_sym_for] = ACTIONS(492),
    [anon_sym_LPAREN] = ACTIONS(490),
    [anon_sym_await] = ACTIONS(492),
    [anon_sym_in] = ACTIONS(494),
    [anon_sym_while] = ACTIONS(492),
    [anon_sym_do] = ACTIONS(492),
    [anon_sym_try] = ACTIONS(492),
    [anon_sym_with] = ACTIONS(492),
    [anon_sym_break] = ACTIONS(492),
    [anon_sym_continue] = ACTIONS(492),
    [anon_sym_debugger] = ACTIONS(492),
    [anon_sym_return] = ACTIONS(492),
    [anon_sym_throw] = ACTIONS(492),
    [anon_sym_SEMI] = ACTIONS(490),
    [anon_sym_case] = ACTIONS(492),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(490),
    [anon_sym_LT] = ACTIONS(492),
    [anon_sym_GT] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_class] = ACTIONS(492),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(492),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_QMARK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(496),
    [anon_sym_PIPE_PIPE] = ACTIONS(496),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_GT_GT_GT] = ACTIONS(496),
    [anon_sym_LT_LT] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(494),
    [anon_sym_CARET] = ACTIONS(496),
    [anon_sym_PIPE] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(492),
    [anon_sym_PERCENT] = ACTIONS(496),
    [anon_sym_STAR_STAR] = ACTIONS(496),
    [anon_sym_LT_EQ] = ACTIONS(496),
    [anon_sym_EQ_EQ] = ACTIONS(494),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(496),
    [anon_sym_BANG_EQ] = ACTIONS(494),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(496),
    [anon_sym_GT_EQ] = ACTIONS(496),
    [anon_sym_instanceof] = ACTIONS(494),
    [anon_sym_BANG] = ACTIONS(492),
    [anon_sym_TILDE] = ACTIONS(490),
    [anon_sym_typeof] = ACTIONS(492),
    [anon_sym_void] = ACTIONS(492),
    [anon_sym_delete] = ACTIONS(492),
    [anon_sym_PLUS_PLUS] = ACTIONS(490),
    [anon_sym_DASH_DASH] = ACTIONS(490),
    [anon_sym_DQUOTE] = ACTIONS(490),
    [anon_sym_SQUOTE] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(490),
    [sym_number] = ACTIONS(490),
    [sym_this] = ACTIONS(492),
    [sym_super] = ACTIONS(492),
    [sym_true] = ACTIONS(492),
    [sym_false] = ACTIONS(492),
    [sym_null] = ACTIONS(492),
    [sym_undefined] = ACTIONS(492),
    [anon_sym_AT] = ACTIONS(490),
    [anon_sym_static] = ACTIONS(492),
    [anon_sym_get] = ACTIONS(492),
    [anon_sym_set] = ACTIONS(492),
    [sym__automatic_semicolon] = ACTIONS(498),
  },
  [59] = {
    [ts_builtin_sym_end] = ACTIONS(468),
    [sym_identifier] = ACTIONS(470),
    [anon_sym_export] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(470),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_LBRACE] = ACTIONS(468),
    [anon_sym_COMMA] = ACTIONS(468),
    [anon_sym_RBRACE] = ACTIONS(468),
    [anon_sym_import] = ACTIONS(470),
    [anon_sym_var] = ACTIONS(470),
    [anon_sym_let] = ACTIONS(470),
    [anon_sym_const] = ACTIONS(470),
    [anon_sym_if] = ACTIONS(470),
    [anon_sym_else] = ACTIONS(470),
    [anon_sym_switch] = ACTIONS(470),
    [anon_sym_for] = ACTIONS(470),
    [anon_sym_LPAREN] = ACTIONS(468),
    [anon_sym_await] = ACTIONS(470),
    [anon_sym_in] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(470),
    [anon_sym_do] = ACTIONS(470),
    [anon_sym_try] = ACTIONS(470),
    [anon_sym_with] = ACTIONS(470),
    [anon_sym_break] = ACTIONS(470),
    [anon_sym_continue] = ACTIONS(470),
    [anon_sym_debugger] = ACTIONS(470),
    [anon_sym_return] = ACTIONS(470),
    [anon_sym_throw] = ACTIONS(470),
    [anon_sym_SEMI] = ACTIONS(468),
    [anon_sym_case] = ACTIONS(470),
    [anon_sym_yield] = ACTIONS(470),
    [anon_sym_LBRACK] = ACTIONS(468),
    [anon_sym_LT] = ACTIONS(470),
    [anon_sym_GT] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_DOT] = ACTIONS(470),
    [anon_sym_class] = ACTIONS(470),
    [anon_sym_async] = ACTIONS(470),
    [anon_sym_function] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_QMARK] = ACTIONS(468),
    [anon_sym_AMP_AMP] = ACTIONS(468),
    [anon_sym_PIPE_PIPE] = ACTIONS(468),
    [anon_sym_GT_GT] = ACTIONS(470),
    [anon_sym_GT_GT_GT] = ACTIONS(468),
    [anon_sym_LT_LT] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(468),
    [anon_sym_PIPE] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_PERCENT] = ACTIONS(468),
    [anon_sym_STAR_STAR] = ACTIONS(468),
    [anon_sym_LT_EQ] = ACTIONS(468),
    [anon_sym_EQ_EQ] = ACTIONS(470),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(468),
    [anon_sym_BANG_EQ] = ACTIONS(470),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(468),
    [anon_sym_GT_EQ] = ACTIONS(468),
    [anon_sym_instanceof] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_TILDE] = ACTIONS(468),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(468),
    [anon_sym_SQUOTE] = ACTIONS(468),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(468),
    [sym_number] = ACTIONS(468),
    [sym_this] = ACTIONS(470),
    [sym_super] = ACTIONS(470),
    [sym_true] = ACTIONS(470),
    [sym_false] = ACTIONS(470),
    [sym_null] = ACTIONS(470),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_get] = ACTIONS(470),
    [anon_sym_set] = ACTIONS(470),
    [sym__automatic_semicolon] = ACTIONS(500),
  },
  [60] = {
    [sym_import] = STATE(478),
    [sym_expression_statement] = STATE(72),
    [sym_variable_declaration] = STATE(72),
    [sym_lexical_declaration] = STATE(72),
    [sym_empty_statement] = STATE(72),
    [sym_parenthesized_expression] = STATE(305),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(464),
    [sym_array] = STATE(462),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(478),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(305),
    [sym_subscript_expression] = STATE(305),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_var] = ACTIONS(504),
    [anon_sym_let] = ACTIONS(506),
    [anon_sym_const] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(508),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(510),
    [anon_sym_get] = ACTIONS(510),
    [anon_sym_set] = ACTIONS(510),
  },
  [61] = {
    [sym_import] = STATE(478),
    [sym_expression_statement] = STATE(73),
    [sym_variable_declaration] = STATE(73),
    [sym_lexical_declaration] = STATE(73),
    [sym_empty_statement] = STATE(73),
    [sym_parenthesized_expression] = STATE(305),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(464),
    [sym_array] = STATE(462),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(478),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(305),
    [sym_subscript_expression] = STATE(305),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_var] = ACTIONS(504),
    [anon_sym_let] = ACTIONS(506),
    [anon_sym_const] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(508),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(510),
    [anon_sym_get] = ACTIONS(510),
    [anon_sym_set] = ACTIONS(510),
  },
  [62] = {
    [sym_import] = STATE(487),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(487),
    [sym_yield_expression] = STATE(487),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(487),
    [sym_jsx_fragment] = STATE(487),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(487),
    [sym_class] = STATE(487),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(487),
    [sym_arrow_function] = STATE(487),
    [sym_call_expression] = STATE(487),
    [sym_new_expression] = STATE(487),
    [sym_await_expression] = STATE(487),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(487),
    [sym_augmented_assignment_expression] = STATE(487),
    [sym_spread_element] = STATE(816),
    [sym_ternary_expression] = STATE(487),
    [sym_binary_expression] = STATE(487),
    [sym_unary_expression] = STATE(487),
    [sym_update_expression] = STATE(487),
    [sym_string] = STATE(487),
    [sym_template_string] = STATE(487),
    [sym_regex] = STATE(487),
    [sym_meta_property] = STATE(487),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [aux_sym_array_repeat1] = STATE(815),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_RBRACK] = ACTIONS(514),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(518),
    [sym_this] = ACTIONS(520),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(520),
    [sym_false] = ACTIONS(520),
    [sym_null] = ACTIONS(520),
    [sym_undefined] = ACTIONS(520),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [63] = {
    [sym_import] = STATE(533),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(533),
    [sym_yield_expression] = STATE(533),
    [sym_object] = STATE(546),
    [sym_assignment_pattern] = STATE(835),
    [sym_array] = STATE(540),
    [sym_jsx_element] = STATE(533),
    [sym_jsx_fragment] = STATE(533),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(533),
    [sym_class] = STATE(533),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(533),
    [sym_arrow_function] = STATE(533),
    [sym_call_expression] = STATE(533),
    [sym_new_expression] = STATE(533),
    [sym_await_expression] = STATE(533),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(533),
    [sym_augmented_assignment_expression] = STATE(533),
    [sym_ternary_expression] = STATE(533),
    [sym_binary_expression] = STATE(533),
    [sym_unary_expression] = STATE(533),
    [sym_update_expression] = STATE(533),
    [sym_sequence_expression] = STATE(1051),
    [sym_string] = STATE(533),
    [sym_template_string] = STATE(533),
    [sym_regex] = STATE(533),
    [sym_meta_property] = STATE(533),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [sym_rest_parameter] = STATE(835),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(524),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(526),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(530),
    [sym_this] = ACTIONS(532),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(532),
    [sym_false] = ACTIONS(532),
    [sym_null] = ACTIONS(532),
    [sym_undefined] = ACTIONS(532),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(534),
    [anon_sym_get] = ACTIONS(534),
    [anon_sym_set] = ACTIONS(534),
  },
  [64] = {
    [sym_import] = STATE(484),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(484),
    [sym_yield_expression] = STATE(484),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(484),
    [sym_jsx_fragment] = STATE(484),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(484),
    [sym_class] = STATE(484),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(484),
    [sym_arrow_function] = STATE(484),
    [sym_call_expression] = STATE(484),
    [sym_new_expression] = STATE(484),
    [sym_await_expression] = STATE(484),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(484),
    [sym_augmented_assignment_expression] = STATE(484),
    [sym_spread_element] = STATE(842),
    [sym_ternary_expression] = STATE(484),
    [sym_binary_expression] = STATE(484),
    [sym_unary_expression] = STATE(484),
    [sym_update_expression] = STATE(484),
    [sym_string] = STATE(484),
    [sym_template_string] = STATE(484),
    [sym_regex] = STATE(484),
    [sym_meta_property] = STATE(484),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [aux_sym_array_repeat1] = STATE(841),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(536),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(538),
    [sym_this] = ACTIONS(540),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(540),
    [sym_false] = ACTIONS(540),
    [sym_null] = ACTIONS(540),
    [sym_undefined] = ACTIONS(540),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [65] = {
    [sym_import] = STATE(480),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(480),
    [sym_yield_expression] = STATE(480),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(480),
    [sym_jsx_fragment] = STATE(480),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(480),
    [sym_class] = STATE(480),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(480),
    [sym_arrow_function] = STATE(480),
    [sym_call_expression] = STATE(480),
    [sym_new_expression] = STATE(480),
    [sym_await_expression] = STATE(480),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(480),
    [sym_augmented_assignment_expression] = STATE(480),
    [sym_spread_element] = STATE(863),
    [sym_ternary_expression] = STATE(480),
    [sym_binary_expression] = STATE(480),
    [sym_unary_expression] = STATE(480),
    [sym_update_expression] = STATE(480),
    [sym_string] = STATE(480),
    [sym_template_string] = STATE(480),
    [sym_regex] = STATE(480),
    [sym_meta_property] = STATE(480),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [aux_sym_array_repeat1] = STATE(862),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_RBRACK] = ACTIONS(542),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(544),
    [sym_this] = ACTIONS(546),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(546),
    [sym_false] = ACTIONS(546),
    [sym_null] = ACTIONS(546),
    [sym_undefined] = ACTIONS(546),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [66] = {
    [sym_import] = STATE(473),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(473),
    [sym_yield_expression] = STATE(473),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(473),
    [sym_jsx_fragment] = STATE(473),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(473),
    [sym_class] = STATE(473),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(473),
    [sym_arrow_function] = STATE(473),
    [sym_call_expression] = STATE(473),
    [sym_new_expression] = STATE(473),
    [sym_await_expression] = STATE(473),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(473),
    [sym_augmented_assignment_expression] = STATE(473),
    [sym_spread_element] = STATE(816),
    [sym_ternary_expression] = STATE(473),
    [sym_binary_expression] = STATE(473),
    [sym_unary_expression] = STATE(473),
    [sym_update_expression] = STATE(473),
    [sym_string] = STATE(473),
    [sym_template_string] = STATE(473),
    [sym_regex] = STATE(473),
    [sym_meta_property] = STATE(473),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [aux_sym_array_repeat1] = STATE(815),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_RBRACK] = ACTIONS(514),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(548),
    [sym_this] = ACTIONS(550),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(550),
    [sym_false] = ACTIONS(550),
    [sym_null] = ACTIONS(550),
    [sym_undefined] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [67] = {
    [sym_import] = STATE(486),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(486),
    [sym_yield_expression] = STATE(486),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(486),
    [sym_jsx_fragment] = STATE(486),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(486),
    [sym_class] = STATE(486),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(486),
    [sym_arrow_function] = STATE(486),
    [sym_call_expression] = STATE(486),
    [sym_new_expression] = STATE(486),
    [sym_await_expression] = STATE(486),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(486),
    [sym_augmented_assignment_expression] = STATE(486),
    [sym_spread_element] = STATE(829),
    [sym_ternary_expression] = STATE(486),
    [sym_binary_expression] = STATE(486),
    [sym_unary_expression] = STATE(486),
    [sym_update_expression] = STATE(486),
    [sym_string] = STATE(486),
    [sym_template_string] = STATE(486),
    [sym_regex] = STATE(486),
    [sym_meta_property] = STATE(486),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(552),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(552),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_RBRACK] = ACTIONS(552),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(554),
    [sym_this] = ACTIONS(556),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(556),
    [sym_false] = ACTIONS(556),
    [sym_null] = ACTIONS(556),
    [sym_undefined] = ACTIONS(556),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [68] = {
    [sym_import] = STATE(476),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(476),
    [sym_yield_expression] = STATE(476),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(476),
    [sym_jsx_fragment] = STATE(476),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(476),
    [sym_class] = STATE(476),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(476),
    [sym_arrow_function] = STATE(476),
    [sym_call_expression] = STATE(476),
    [sym_new_expression] = STATE(476),
    [sym_await_expression] = STATE(476),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(476),
    [sym_augmented_assignment_expression] = STATE(476),
    [sym_spread_element] = STATE(863),
    [sym_ternary_expression] = STATE(476),
    [sym_binary_expression] = STATE(476),
    [sym_unary_expression] = STATE(476),
    [sym_update_expression] = STATE(476),
    [sym_string] = STATE(476),
    [sym_template_string] = STATE(476),
    [sym_regex] = STATE(476),
    [sym_meta_property] = STATE(476),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [aux_sym_array_repeat1] = STATE(862),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_RBRACK] = ACTIONS(542),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(558),
    [sym_this] = ACTIONS(560),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(560),
    [sym_false] = ACTIONS(560),
    [sym_null] = ACTIONS(560),
    [sym_undefined] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [69] = {
    [sym_import] = STATE(482),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(482),
    [sym_yield_expression] = STATE(482),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(482),
    [sym_jsx_fragment] = STATE(482),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(482),
    [sym_class] = STATE(482),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(482),
    [sym_arrow_function] = STATE(482),
    [sym_call_expression] = STATE(482),
    [sym_new_expression] = STATE(482),
    [sym_await_expression] = STATE(482),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(482),
    [sym_augmented_assignment_expression] = STATE(482),
    [sym_spread_element] = STATE(832),
    [sym_ternary_expression] = STATE(482),
    [sym_binary_expression] = STATE(482),
    [sym_unary_expression] = STATE(482),
    [sym_update_expression] = STATE(482),
    [sym_string] = STATE(482),
    [sym_template_string] = STATE(482),
    [sym_regex] = STATE(482),
    [sym_meta_property] = STATE(482),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [aux_sym_array_repeat1] = STATE(833),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(562),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(564),
    [sym_this] = ACTIONS(566),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(566),
    [sym_false] = ACTIONS(566),
    [sym_null] = ACTIONS(566),
    [sym_undefined] = ACTIONS(566),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [70] = {
    [sym_import] = STATE(548),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(548),
    [sym_yield_expression] = STATE(548),
    [sym_object] = STATE(546),
    [sym_assignment_pattern] = STATE(835),
    [sym_array] = STATE(540),
    [sym_jsx_element] = STATE(548),
    [sym_jsx_fragment] = STATE(548),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(548),
    [sym_class] = STATE(548),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(548),
    [sym_arrow_function] = STATE(548),
    [sym_call_expression] = STATE(548),
    [sym_new_expression] = STATE(548),
    [sym_await_expression] = STATE(548),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(548),
    [sym_augmented_assignment_expression] = STATE(548),
    [sym_ternary_expression] = STATE(548),
    [sym_binary_expression] = STATE(548),
    [sym_unary_expression] = STATE(548),
    [sym_update_expression] = STATE(548),
    [sym_sequence_expression] = STATE(1103),
    [sym_string] = STATE(548),
    [sym_template_string] = STATE(548),
    [sym_regex] = STATE(548),
    [sym_meta_property] = STATE(548),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [sym_rest_parameter] = STATE(835),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(524),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(526),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(570),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(570),
    [sym_false] = ACTIONS(570),
    [sym_null] = ACTIONS(570),
    [sym_undefined] = ACTIONS(570),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(534),
    [anon_sym_get] = ACTIONS(534),
    [anon_sym_set] = ACTIONS(534),
  },
  [71] = {
    [sym_import] = STATE(493),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(493),
    [sym_yield_expression] = STATE(493),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(493),
    [sym_jsx_fragment] = STATE(493),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(493),
    [sym_class] = STATE(493),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(493),
    [sym_arrow_function] = STATE(493),
    [sym_call_expression] = STATE(493),
    [sym_new_expression] = STATE(493),
    [sym_await_expression] = STATE(493),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(493),
    [sym_augmented_assignment_expression] = STATE(493),
    [sym_spread_element] = STATE(1067),
    [sym_ternary_expression] = STATE(493),
    [sym_binary_expression] = STATE(493),
    [sym_unary_expression] = STATE(493),
    [sym_update_expression] = STATE(493),
    [sym_sequence_expression] = STATE(1067),
    [sym_string] = STATE(493),
    [sym_template_string] = STATE(493),
    [sym_regex] = STATE(493),
    [sym_meta_property] = STATE(493),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_RBRACE] = ACTIONS(572),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(574),
    [sym_this] = ACTIONS(576),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(576),
    [sym_false] = ACTIONS(576),
    [sym_null] = ACTIONS(576),
    [sym_undefined] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [72] = {
    [sym_import] = STATE(478),
    [sym_expression_statement] = STATE(77),
    [sym_empty_statement] = STATE(77),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(478),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [73] = {
    [sym_import] = STATE(478),
    [sym_expression_statement] = STATE(78),
    [sym_empty_statement] = STATE(78),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(478),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [74] = {
    [sym_import] = STATE(490),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(490),
    [sym_yield_expression] = STATE(490),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(490),
    [sym_jsx_fragment] = STATE(490),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(490),
    [sym_class] = STATE(490),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(490),
    [sym_arrow_function] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_new_expression] = STATE(490),
    [sym_await_expression] = STATE(490),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(490),
    [sym_augmented_assignment_expression] = STATE(490),
    [sym_spread_element] = STATE(1095),
    [sym_ternary_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_update_expression] = STATE(490),
    [sym_sequence_expression] = STATE(1095),
    [sym_string] = STATE(490),
    [sym_template_string] = STATE(490),
    [sym_regex] = STATE(490),
    [sym_meta_property] = STATE(490),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_RBRACE] = ACTIONS(578),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(580),
    [sym_this] = ACTIONS(582),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_undefined] = ACTIONS(582),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [75] = {
    [sym_import] = STATE(570),
    [sym_parenthesized_expression] = STATE(312),
    [sym__expression] = STATE(570),
    [sym_yield_expression] = STATE(570),
    [sym_object] = STATE(572),
    [sym_array] = STATE(571),
    [sym_jsx_element] = STATE(570),
    [sym_jsx_fragment] = STATE(570),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(570),
    [sym_class] = STATE(570),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(570),
    [sym_arrow_function] = STATE(570),
    [sym_call_expression] = STATE(570),
    [sym_new_expression] = STATE(570),
    [sym_await_expression] = STATE(570),
    [sym_member_expression] = STATE(312),
    [sym_subscript_expression] = STATE(312),
    [sym_assignment_expression] = STATE(570),
    [sym_augmented_assignment_expression] = STATE(570),
    [sym_ternary_expression] = STATE(570),
    [sym_binary_expression] = STATE(570),
    [sym_unary_expression] = STATE(570),
    [sym_update_expression] = STATE(570),
    [sym_string] = STATE(570),
    [sym_template_string] = STATE(570),
    [sym_regex] = STATE(570),
    [sym_meta_property] = STATE(570),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_var] = ACTIONS(586),
    [anon_sym_let] = ACTIONS(586),
    [anon_sym_const] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(588),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(592),
    [sym_false] = ACTIONS(592),
    [sym_null] = ACTIONS(592),
    [sym_undefined] = ACTIONS(592),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(594),
    [anon_sym_get] = ACTIONS(594),
    [anon_sym_set] = ACTIONS(594),
  },
  [76] = {
    [sym_import] = STATE(469),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(469),
    [sym_yield_expression] = STATE(469),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(469),
    [sym_jsx_fragment] = STATE(469),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(469),
    [sym_class] = STATE(469),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(469),
    [sym_arrow_function] = STATE(469),
    [sym_call_expression] = STATE(469),
    [sym_new_expression] = STATE(469),
    [sym_await_expression] = STATE(469),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(469),
    [sym_augmented_assignment_expression] = STATE(469),
    [sym_ternary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_update_expression] = STATE(469),
    [sym_sequence_expression] = STATE(1007),
    [sym_string] = STATE(469),
    [sym_template_string] = STATE(469),
    [sym_regex] = STATE(469),
    [sym_meta_property] = STATE(469),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(596),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(598),
    [sym_this] = ACTIONS(600),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(600),
    [sym_false] = ACTIONS(600),
    [sym_null] = ACTIONS(600),
    [sym_undefined] = ACTIONS(600),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
    [sym__automatic_semicolon] = ACTIONS(596),
  },
  [77] = {
    [sym_import] = STATE(530),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(530),
    [sym_yield_expression] = STATE(530),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(530),
    [sym_jsx_fragment] = STATE(530),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(530),
    [sym_class] = STATE(530),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(530),
    [sym_arrow_function] = STATE(530),
    [sym_call_expression] = STATE(530),
    [sym_new_expression] = STATE(530),
    [sym_await_expression] = STATE(530),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(530),
    [sym_augmented_assignment_expression] = STATE(530),
    [sym_ternary_expression] = STATE(530),
    [sym_binary_expression] = STATE(530),
    [sym_unary_expression] = STATE(530),
    [sym_update_expression] = STATE(530),
    [sym_sequence_expression] = STATE(1087),
    [sym_string] = STATE(530),
    [sym_template_string] = STATE(530),
    [sym_regex] = STATE(530),
    [sym_meta_property] = STATE(530),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(602),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(604),
    [sym_this] = ACTIONS(606),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(606),
    [sym_false] = ACTIONS(606),
    [sym_null] = ACTIONS(606),
    [sym_undefined] = ACTIONS(606),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [78] = {
    [sym_import] = STATE(500),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(500),
    [sym_yield_expression] = STATE(500),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(500),
    [sym_jsx_fragment] = STATE(500),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(500),
    [sym_class] = STATE(500),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(500),
    [sym_arrow_function] = STATE(500),
    [sym_call_expression] = STATE(500),
    [sym_new_expression] = STATE(500),
    [sym_await_expression] = STATE(500),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(500),
    [sym_augmented_assignment_expression] = STATE(500),
    [sym_ternary_expression] = STATE(500),
    [sym_binary_expression] = STATE(500),
    [sym_unary_expression] = STATE(500),
    [sym_update_expression] = STATE(500),
    [sym_sequence_expression] = STATE(1096),
    [sym_string] = STATE(500),
    [sym_template_string] = STATE(500),
    [sym_regex] = STATE(500),
    [sym_meta_property] = STATE(500),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(608),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(610),
    [sym_this] = ACTIONS(612),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(612),
    [sym_false] = ACTIONS(612),
    [sym_null] = ACTIONS(612),
    [sym_undefined] = ACTIONS(612),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [79] = {
    [sym_import] = STATE(470),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(470),
    [sym_yield_expression] = STATE(470),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(470),
    [sym_jsx_fragment] = STATE(470),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(470),
    [sym_class] = STATE(470),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(470),
    [sym_arrow_function] = STATE(470),
    [sym_call_expression] = STATE(470),
    [sym_new_expression] = STATE(470),
    [sym_await_expression] = STATE(470),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(470),
    [sym_augmented_assignment_expression] = STATE(470),
    [sym_ternary_expression] = STATE(470),
    [sym_binary_expression] = STATE(470),
    [sym_unary_expression] = STATE(470),
    [sym_update_expression] = STATE(470),
    [sym_sequence_expression] = STATE(961),
    [sym_string] = STATE(470),
    [sym_template_string] = STATE(470),
    [sym_regex] = STATE(470),
    [sym_meta_property] = STATE(470),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(614),
    [sym_this] = ACTIONS(616),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(616),
    [sym_false] = ACTIONS(616),
    [sym_null] = ACTIONS(616),
    [sym_undefined] = ACTIONS(616),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [80] = {
    [sym_import] = STATE(508),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(508),
    [sym_yield_expression] = STATE(508),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(508),
    [sym_jsx_fragment] = STATE(508),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(508),
    [sym_class] = STATE(508),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(508),
    [sym_arrow_function] = STATE(508),
    [sym_call_expression] = STATE(508),
    [sym_new_expression] = STATE(508),
    [sym_await_expression] = STATE(508),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(508),
    [sym_augmented_assignment_expression] = STATE(508),
    [sym_ternary_expression] = STATE(508),
    [sym_binary_expression] = STATE(508),
    [sym_unary_expression] = STATE(508),
    [sym_update_expression] = STATE(508),
    [sym_sequence_expression] = STATE(1110),
    [sym_string] = STATE(508),
    [sym_template_string] = STATE(508),
    [sym_regex] = STATE(508),
    [sym_meta_property] = STATE(508),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(618),
    [sym_this] = ACTIONS(620),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(620),
    [sym_false] = ACTIONS(620),
    [sym_null] = ACTIONS(620),
    [sym_undefined] = ACTIONS(620),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [81] = {
    [sym_import] = STATE(319),
    [sym_statement_block] = STATE(361),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(319),
    [sym_yield_expression] = STATE(319),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(319),
    [sym_jsx_fragment] = STATE(319),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(319),
    [sym_class] = STATE(319),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(319),
    [sym_arrow_function] = STATE(319),
    [sym_call_expression] = STATE(319),
    [sym_new_expression] = STATE(319),
    [sym_await_expression] = STATE(319),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(319),
    [sym_augmented_assignment_expression] = STATE(319),
    [sym_ternary_expression] = STATE(319),
    [sym_binary_expression] = STATE(319),
    [sym_unary_expression] = STATE(319),
    [sym_update_expression] = STATE(319),
    [sym_string] = STATE(319),
    [sym_template_string] = STATE(319),
    [sym_regex] = STATE(319),
    [sym_meta_property] = STATE(319),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(624),
    [sym_this] = ACTIONS(626),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(626),
    [sym_false] = ACTIONS(626),
    [sym_null] = ACTIONS(626),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [82] = {
    [sym_import] = STATE(402),
    [sym_statement_block] = STATE(542),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(402),
    [sym_yield_expression] = STATE(402),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(402),
    [sym_jsx_fragment] = STATE(402),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(402),
    [sym_class] = STATE(402),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(402),
    [sym_arrow_function] = STATE(402),
    [sym_call_expression] = STATE(402),
    [sym_new_expression] = STATE(402),
    [sym_await_expression] = STATE(402),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(402),
    [sym_augmented_assignment_expression] = STATE(402),
    [sym_ternary_expression] = STATE(402),
    [sym_binary_expression] = STATE(402),
    [sym_unary_expression] = STATE(402),
    [sym_update_expression] = STATE(402),
    [sym_string] = STATE(402),
    [sym_template_string] = STATE(402),
    [sym_regex] = STATE(402),
    [sym_meta_property] = STATE(402),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(630),
    [sym_this] = ACTIONS(632),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(632),
    [sym_false] = ACTIONS(632),
    [sym_null] = ACTIONS(632),
    [sym_undefined] = ACTIONS(632),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [83] = {
    [sym_import] = STATE(505),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(505),
    [sym_yield_expression] = STATE(505),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(505),
    [sym_jsx_fragment] = STATE(505),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(505),
    [sym_class] = STATE(505),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(505),
    [sym_arrow_function] = STATE(505),
    [sym_call_expression] = STATE(505),
    [sym_new_expression] = STATE(505),
    [sym_await_expression] = STATE(505),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(505),
    [sym_augmented_assignment_expression] = STATE(505),
    [sym_ternary_expression] = STATE(505),
    [sym_binary_expression] = STATE(505),
    [sym_unary_expression] = STATE(505),
    [sym_update_expression] = STATE(505),
    [sym_sequence_expression] = STATE(1094),
    [sym_string] = STATE(505),
    [sym_template_string] = STATE(505),
    [sym_regex] = STATE(505),
    [sym_meta_property] = STATE(505),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(634),
    [sym_this] = ACTIONS(636),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(636),
    [sym_false] = ACTIONS(636),
    [sym_null] = ACTIONS(636),
    [sym_undefined] = ACTIONS(636),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [84] = {
    [sym_import] = STATE(320),
    [sym_statement_block] = STATE(442),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(320),
    [sym_yield_expression] = STATE(320),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(320),
    [sym_jsx_fragment] = STATE(320),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(320),
    [sym_class] = STATE(320),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(320),
    [sym_arrow_function] = STATE(320),
    [sym_call_expression] = STATE(320),
    [sym_new_expression] = STATE(320),
    [sym_await_expression] = STATE(320),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(320),
    [sym_augmented_assignment_expression] = STATE(320),
    [sym_ternary_expression] = STATE(320),
    [sym_binary_expression] = STATE(320),
    [sym_unary_expression] = STATE(320),
    [sym_update_expression] = STATE(320),
    [sym_string] = STATE(320),
    [sym_template_string] = STATE(320),
    [sym_regex] = STATE(320),
    [sym_meta_property] = STATE(320),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(638),
    [sym_this] = ACTIONS(640),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(640),
    [sym_false] = ACTIONS(640),
    [sym_null] = ACTIONS(640),
    [sym_undefined] = ACTIONS(640),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [85] = {
    [sym_import] = STATE(497),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(497),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_fragment] = STATE(497),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(497),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(497),
    [sym_arrow_function] = STATE(497),
    [sym_call_expression] = STATE(497),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(497),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_sequence_expression] = STATE(1041),
    [sym_string] = STATE(497),
    [sym_template_string] = STATE(497),
    [sym_regex] = STATE(497),
    [sym_meta_property] = STATE(497),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(642),
    [sym_this] = ACTIONS(644),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(644),
    [sym_false] = ACTIONS(644),
    [sym_null] = ACTIONS(644),
    [sym_undefined] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [86] = {
    [sym_import] = STATE(548),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(548),
    [sym_yield_expression] = STATE(548),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(548),
    [sym_jsx_fragment] = STATE(548),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(548),
    [sym_class] = STATE(548),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(548),
    [sym_arrow_function] = STATE(548),
    [sym_call_expression] = STATE(548),
    [sym_new_expression] = STATE(548),
    [sym_await_expression] = STATE(548),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(548),
    [sym_augmented_assignment_expression] = STATE(548),
    [sym_ternary_expression] = STATE(548),
    [sym_binary_expression] = STATE(548),
    [sym_unary_expression] = STATE(548),
    [sym_update_expression] = STATE(548),
    [sym_sequence_expression] = STATE(1103),
    [sym_string] = STATE(548),
    [sym_template_string] = STATE(548),
    [sym_regex] = STATE(548),
    [sym_meta_property] = STATE(548),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(570),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(570),
    [sym_false] = ACTIONS(570),
    [sym_null] = ACTIONS(570),
    [sym_undefined] = ACTIONS(570),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [87] = {
    [sym_import] = STATE(472),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(472),
    [sym_yield_expression] = STATE(472),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(472),
    [sym_jsx_fragment] = STATE(472),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(472),
    [sym_class] = STATE(472),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(472),
    [sym_arrow_function] = STATE(472),
    [sym_call_expression] = STATE(472),
    [sym_new_expression] = STATE(472),
    [sym_await_expression] = STATE(472),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(472),
    [sym_augmented_assignment_expression] = STATE(472),
    [sym_ternary_expression] = STATE(472),
    [sym_binary_expression] = STATE(472),
    [sym_unary_expression] = STATE(472),
    [sym_update_expression] = STATE(472),
    [sym_sequence_expression] = STATE(992),
    [sym_string] = STATE(472),
    [sym_template_string] = STATE(472),
    [sym_regex] = STATE(472),
    [sym_meta_property] = STATE(472),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(646),
    [sym_this] = ACTIONS(648),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(648),
    [sym_false] = ACTIONS(648),
    [sym_null] = ACTIONS(648),
    [sym_undefined] = ACTIONS(648),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [88] = {
    [sym_import] = STATE(337),
    [sym_statement_block] = STATE(439),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(337),
    [sym_yield_expression] = STATE(337),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(337),
    [sym_jsx_fragment] = STATE(337),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(337),
    [sym_class] = STATE(337),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(337),
    [sym_arrow_function] = STATE(337),
    [sym_call_expression] = STATE(337),
    [sym_new_expression] = STATE(337),
    [sym_await_expression] = STATE(337),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(337),
    [sym_augmented_assignment_expression] = STATE(337),
    [sym_ternary_expression] = STATE(337),
    [sym_binary_expression] = STATE(337),
    [sym_unary_expression] = STATE(337),
    [sym_update_expression] = STATE(337),
    [sym_string] = STATE(337),
    [sym_template_string] = STATE(337),
    [sym_regex] = STATE(337),
    [sym_meta_property] = STATE(337),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(650),
    [sym_this] = ACTIONS(652),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(652),
    [sym_false] = ACTIONS(652),
    [sym_null] = ACTIONS(652),
    [sym_undefined] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [89] = {
    [sym_import] = STATE(342),
    [sym_statement_block] = STATE(400),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(342),
    [sym_yield_expression] = STATE(342),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(342),
    [sym_jsx_fragment] = STATE(342),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(342),
    [sym_class] = STATE(342),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(342),
    [sym_arrow_function] = STATE(342),
    [sym_call_expression] = STATE(342),
    [sym_new_expression] = STATE(342),
    [sym_await_expression] = STATE(342),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(342),
    [sym_augmented_assignment_expression] = STATE(342),
    [sym_ternary_expression] = STATE(342),
    [sym_binary_expression] = STATE(342),
    [sym_unary_expression] = STATE(342),
    [sym_update_expression] = STATE(342),
    [sym_string] = STATE(342),
    [sym_template_string] = STATE(342),
    [sym_regex] = STATE(342),
    [sym_meta_property] = STATE(342),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(654),
    [sym_this] = ACTIONS(656),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(656),
    [sym_false] = ACTIONS(656),
    [sym_null] = ACTIONS(656),
    [sym_undefined] = ACTIONS(656),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [90] = {
    [sym_import] = STATE(570),
    [sym_variable_declarator] = STATE(791),
    [sym_parenthesized_expression] = STATE(311),
    [sym__expression] = STATE(570),
    [sym_yield_expression] = STATE(570),
    [sym_object] = STATE(397),
    [sym_array] = STATE(396),
    [sym_jsx_element] = STATE(570),
    [sym_jsx_fragment] = STATE(570),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(570),
    [sym_class] = STATE(570),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(570),
    [sym_arrow_function] = STATE(570),
    [sym_call_expression] = STATE(570),
    [sym_new_expression] = STATE(570),
    [sym_await_expression] = STATE(570),
    [sym_member_expression] = STATE(311),
    [sym_subscript_expression] = STATE(311),
    [sym_assignment_expression] = STATE(570),
    [sym_augmented_assignment_expression] = STATE(570),
    [sym_ternary_expression] = STATE(570),
    [sym_binary_expression] = STATE(570),
    [sym_unary_expression] = STATE(570),
    [sym_update_expression] = STATE(570),
    [sym_string] = STATE(570),
    [sym_template_string] = STATE(570),
    [sym_regex] = STATE(570),
    [sym_meta_property] = STATE(570),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(658),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(660),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(592),
    [sym_false] = ACTIONS(592),
    [sym_null] = ACTIONS(592),
    [sym_undefined] = ACTIONS(592),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(662),
    [anon_sym_get] = ACTIONS(662),
    [anon_sym_set] = ACTIONS(662),
  },
  [91] = {
    [sym_import] = STATE(570),
    [sym_variable_declarator] = STATE(787),
    [sym_parenthesized_expression] = STATE(311),
    [sym__expression] = STATE(570),
    [sym_yield_expression] = STATE(570),
    [sym_object] = STATE(397),
    [sym_array] = STATE(396),
    [sym_jsx_element] = STATE(570),
    [sym_jsx_fragment] = STATE(570),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(570),
    [sym_class] = STATE(570),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(570),
    [sym_arrow_function] = STATE(570),
    [sym_call_expression] = STATE(570),
    [sym_new_expression] = STATE(570),
    [sym_await_expression] = STATE(570),
    [sym_member_expression] = STATE(311),
    [sym_subscript_expression] = STATE(311),
    [sym_assignment_expression] = STATE(570),
    [sym_augmented_assignment_expression] = STATE(570),
    [sym_ternary_expression] = STATE(570),
    [sym_binary_expression] = STATE(570),
    [sym_unary_expression] = STATE(570),
    [sym_update_expression] = STATE(570),
    [sym_string] = STATE(570),
    [sym_template_string] = STATE(570),
    [sym_regex] = STATE(570),
    [sym_meta_property] = STATE(570),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(658),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(660),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(592),
    [sym_false] = ACTIONS(592),
    [sym_null] = ACTIONS(592),
    [sym_undefined] = ACTIONS(592),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(662),
    [anon_sym_get] = ACTIONS(662),
    [anon_sym_set] = ACTIONS(662),
  },
  [92] = {
    [sym_import] = STATE(517),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(517),
    [sym_yield_expression] = STATE(517),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(517),
    [sym_jsx_fragment] = STATE(517),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(517),
    [sym_class] = STATE(517),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(517),
    [sym_arrow_function] = STATE(517),
    [sym_call_expression] = STATE(517),
    [sym_new_expression] = STATE(517),
    [sym_await_expression] = STATE(517),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(517),
    [sym_augmented_assignment_expression] = STATE(517),
    [sym_ternary_expression] = STATE(517),
    [sym_binary_expression] = STATE(517),
    [sym_unary_expression] = STATE(517),
    [sym_update_expression] = STATE(517),
    [sym_sequence_expression] = STATE(1092),
    [sym_string] = STATE(517),
    [sym_template_string] = STATE(517),
    [sym_regex] = STATE(517),
    [sym_meta_property] = STATE(517),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(664),
    [sym_this] = ACTIONS(666),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(666),
    [sym_false] = ACTIONS(666),
    [sym_null] = ACTIONS(666),
    [sym_undefined] = ACTIONS(666),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [93] = {
    [sym_import] = STATE(511),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(511),
    [sym_yield_expression] = STATE(511),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(511),
    [sym_jsx_fragment] = STATE(511),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(511),
    [sym_class] = STATE(511),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(511),
    [sym_arrow_function] = STATE(511),
    [sym_call_expression] = STATE(511),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(511),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(511),
    [sym_augmented_assignment_expression] = STATE(511),
    [sym_ternary_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_sequence_expression] = STATE(1080),
    [sym_string] = STATE(511),
    [sym_template_string] = STATE(511),
    [sym_regex] = STATE(511),
    [sym_meta_property] = STATE(511),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(668),
    [sym_this] = ACTIONS(670),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(670),
    [sym_false] = ACTIONS(670),
    [sym_null] = ACTIONS(670),
    [sym_undefined] = ACTIONS(670),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [94] = {
    [sym_import] = STATE(390),
    [sym_statement_block] = STATE(559),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(390),
    [sym_yield_expression] = STATE(390),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(390),
    [sym_jsx_fragment] = STATE(390),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(390),
    [sym_class] = STATE(390),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(390),
    [sym_arrow_function] = STATE(390),
    [sym_call_expression] = STATE(390),
    [sym_new_expression] = STATE(390),
    [sym_await_expression] = STATE(390),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(390),
    [sym_augmented_assignment_expression] = STATE(390),
    [sym_ternary_expression] = STATE(390),
    [sym_binary_expression] = STATE(390),
    [sym_unary_expression] = STATE(390),
    [sym_update_expression] = STATE(390),
    [sym_string] = STATE(390),
    [sym_template_string] = STATE(390),
    [sym_regex] = STATE(390),
    [sym_meta_property] = STATE(390),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(672),
    [sym_this] = ACTIONS(674),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(674),
    [sym_false] = ACTIONS(674),
    [sym_null] = ACTIONS(674),
    [sym_undefined] = ACTIONS(674),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [95] = {
    [sym_import] = STATE(494),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(494),
    [sym_yield_expression] = STATE(494),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(494),
    [sym_jsx_fragment] = STATE(494),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(494),
    [sym_class] = STATE(494),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(494),
    [sym_arrow_function] = STATE(494),
    [sym_call_expression] = STATE(494),
    [sym_new_expression] = STATE(494),
    [sym_await_expression] = STATE(494),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(494),
    [sym_augmented_assignment_expression] = STATE(494),
    [sym_ternary_expression] = STATE(494),
    [sym_binary_expression] = STATE(494),
    [sym_unary_expression] = STATE(494),
    [sym_update_expression] = STATE(494),
    [sym_sequence_expression] = STATE(1097),
    [sym_string] = STATE(494),
    [sym_template_string] = STATE(494),
    [sym_regex] = STATE(494),
    [sym_meta_property] = STATE(494),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(676),
    [sym_this] = ACTIONS(678),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(678),
    [sym_false] = ACTIONS(678),
    [sym_null] = ACTIONS(678),
    [sym_undefined] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [96] = {
    [sym_import] = STATE(506),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(506),
    [sym_yield_expression] = STATE(506),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(506),
    [sym_jsx_fragment] = STATE(506),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(506),
    [sym_class] = STATE(506),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(506),
    [sym_arrow_function] = STATE(506),
    [sym_call_expression] = STATE(506),
    [sym_new_expression] = STATE(506),
    [sym_await_expression] = STATE(506),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(506),
    [sym_augmented_assignment_expression] = STATE(506),
    [sym_ternary_expression] = STATE(506),
    [sym_binary_expression] = STATE(506),
    [sym_unary_expression] = STATE(506),
    [sym_update_expression] = STATE(506),
    [sym_sequence_expression] = STATE(1093),
    [sym_string] = STATE(506),
    [sym_template_string] = STATE(506),
    [sym_regex] = STATE(506),
    [sym_meta_property] = STATE(506),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(680),
    [sym_this] = ACTIONS(682),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(682),
    [sym_false] = ACTIONS(682),
    [sym_null] = ACTIONS(682),
    [sym_undefined] = ACTIONS(682),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [97] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(291),
    [sym__expression] = STATE(567),
    [sym_yield_expression] = STATE(567),
    [sym_object] = STATE(379),
    [sym_array] = STATE(378),
    [sym_jsx_element] = STATE(567),
    [sym_jsx_fragment] = STATE(567),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(567),
    [sym_class] = STATE(485),
    [sym_function] = STATE(376),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(567),
    [sym_new_expression] = STATE(485),
    [sym_await_expression] = STATE(567),
    [sym_member_expression] = STATE(291),
    [sym_subscript_expression] = STATE(291),
    [sym_assignment_expression] = STATE(567),
    [sym_augmented_assignment_expression] = STATE(567),
    [sym_ternary_expression] = STATE(567),
    [sym_binary_expression] = STATE(567),
    [sym_unary_expression] = STATE(567),
    [sym_update_expression] = STATE(567),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(684),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(688),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(690),
    [sym_this] = ACTIONS(692),
    [sym_super] = ACTIONS(694),
    [sym_true] = ACTIONS(692),
    [sym_false] = ACTIONS(692),
    [sym_null] = ACTIONS(692),
    [sym_undefined] = ACTIONS(692),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(696),
    [anon_sym_get] = ACTIONS(696),
    [anon_sym_set] = ACTIONS(696),
  },
  [98] = {
    [sym_import] = STATE(422),
    [sym_statement_block] = STATE(515),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(422),
    [sym_yield_expression] = STATE(422),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(422),
    [sym_jsx_fragment] = STATE(422),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(422),
    [sym_class] = STATE(422),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(422),
    [sym_arrow_function] = STATE(422),
    [sym_call_expression] = STATE(422),
    [sym_new_expression] = STATE(422),
    [sym_await_expression] = STATE(422),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(422),
    [sym_augmented_assignment_expression] = STATE(422),
    [sym_ternary_expression] = STATE(422),
    [sym_binary_expression] = STATE(422),
    [sym_unary_expression] = STATE(422),
    [sym_update_expression] = STATE(422),
    [sym_string] = STATE(422),
    [sym_template_string] = STATE(422),
    [sym_regex] = STATE(422),
    [sym_meta_property] = STATE(422),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(698),
    [sym_this] = ACTIONS(700),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(700),
    [sym_false] = ACTIONS(700),
    [sym_null] = ACTIONS(700),
    [sym_undefined] = ACTIONS(700),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [99] = {
    [sym_import] = STATE(372),
    [sym_statement_block] = STATE(507),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(372),
    [sym_yield_expression] = STATE(372),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(372),
    [sym_jsx_fragment] = STATE(372),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(372),
    [sym_class] = STATE(372),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(372),
    [sym_arrow_function] = STATE(372),
    [sym_call_expression] = STATE(372),
    [sym_new_expression] = STATE(372),
    [sym_await_expression] = STATE(372),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(372),
    [sym_augmented_assignment_expression] = STATE(372),
    [sym_ternary_expression] = STATE(372),
    [sym_binary_expression] = STATE(372),
    [sym_unary_expression] = STATE(372),
    [sym_update_expression] = STATE(372),
    [sym_string] = STATE(372),
    [sym_template_string] = STATE(372),
    [sym_regex] = STATE(372),
    [sym_meta_property] = STATE(372),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(702),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(704),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [100] = {
    [sym_import] = STATE(330),
    [sym_statement_block] = STATE(430),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(330),
    [sym_yield_expression] = STATE(330),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(330),
    [sym_jsx_fragment] = STATE(330),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(330),
    [sym_class] = STATE(330),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(330),
    [sym_arrow_function] = STATE(330),
    [sym_call_expression] = STATE(330),
    [sym_new_expression] = STATE(330),
    [sym_await_expression] = STATE(330),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(330),
    [sym_augmented_assignment_expression] = STATE(330),
    [sym_ternary_expression] = STATE(330),
    [sym_binary_expression] = STATE(330),
    [sym_unary_expression] = STATE(330),
    [sym_update_expression] = STATE(330),
    [sym_string] = STATE(330),
    [sym_template_string] = STATE(330),
    [sym_regex] = STATE(330),
    [sym_meta_property] = STATE(330),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(706),
    [sym_this] = ACTIONS(708),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(708),
    [sym_false] = ACTIONS(708),
    [sym_null] = ACTIONS(708),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [101] = {
    [sym_import] = STATE(516),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(516),
    [sym_yield_expression] = STATE(516),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(516),
    [sym_jsx_fragment] = STATE(516),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(516),
    [sym_class] = STATE(516),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(516),
    [sym_arrow_function] = STATE(516),
    [sym_call_expression] = STATE(516),
    [sym_new_expression] = STATE(516),
    [sym_await_expression] = STATE(516),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(516),
    [sym_augmented_assignment_expression] = STATE(516),
    [sym_ternary_expression] = STATE(516),
    [sym_binary_expression] = STATE(516),
    [sym_unary_expression] = STATE(516),
    [sym_update_expression] = STATE(516),
    [sym_sequence_expression] = STATE(1101),
    [sym_string] = STATE(516),
    [sym_template_string] = STATE(516),
    [sym_regex] = STATE(516),
    [sym_meta_property] = STATE(516),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(710),
    [sym_this] = ACTIONS(712),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(712),
    [sym_false] = ACTIONS(712),
    [sym_null] = ACTIONS(712),
    [sym_undefined] = ACTIONS(712),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [102] = {
    [sym_import] = STATE(354),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(354),
    [sym_yield_expression] = STATE(354),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(354),
    [sym_jsx_fragment] = STATE(354),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(354),
    [sym_class] = STATE(354),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(354),
    [sym_arrow_function] = STATE(354),
    [sym_call_expression] = STATE(354),
    [sym_new_expression] = STATE(354),
    [sym_await_expression] = STATE(354),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(354),
    [sym_augmented_assignment_expression] = STATE(354),
    [sym_ternary_expression] = STATE(354),
    [sym_binary_expression] = STATE(354),
    [sym_unary_expression] = STATE(354),
    [sym_update_expression] = STATE(354),
    [sym_sequence_expression] = STATE(804),
    [sym_string] = STATE(354),
    [sym_template_string] = STATE(354),
    [sym_regex] = STATE(354),
    [sym_meta_property] = STATE(354),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(714),
    [sym_this] = ACTIONS(716),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(716),
    [sym_false] = ACTIONS(716),
    [sym_null] = ACTIONS(716),
    [sym_undefined] = ACTIONS(716),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [103] = {
    [sym_import] = STATE(348),
    [sym_statement_block] = STATE(362),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(348),
    [sym_yield_expression] = STATE(348),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(348),
    [sym_jsx_fragment] = STATE(348),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(348),
    [sym_class] = STATE(348),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(348),
    [sym_arrow_function] = STATE(348),
    [sym_call_expression] = STATE(348),
    [sym_new_expression] = STATE(348),
    [sym_await_expression] = STATE(348),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(348),
    [sym_augmented_assignment_expression] = STATE(348),
    [sym_ternary_expression] = STATE(348),
    [sym_binary_expression] = STATE(348),
    [sym_unary_expression] = STATE(348),
    [sym_update_expression] = STATE(348),
    [sym_string] = STATE(348),
    [sym_template_string] = STATE(348),
    [sym_regex] = STATE(348),
    [sym_meta_property] = STATE(348),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(718),
    [sym_this] = ACTIONS(720),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(720),
    [sym_false] = ACTIONS(720),
    [sym_null] = ACTIONS(720),
    [sym_undefined] = ACTIONS(720),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [104] = {
    [sym_import] = STATE(527),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(527),
    [sym_yield_expression] = STATE(527),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(527),
    [sym_jsx_fragment] = STATE(527),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(527),
    [sym_class] = STATE(527),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(527),
    [sym_arrow_function] = STATE(527),
    [sym_call_expression] = STATE(527),
    [sym_new_expression] = STATE(527),
    [sym_await_expression] = STATE(527),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(527),
    [sym_augmented_assignment_expression] = STATE(527),
    [sym_ternary_expression] = STATE(527),
    [sym_binary_expression] = STATE(527),
    [sym_unary_expression] = STATE(527),
    [sym_update_expression] = STATE(527),
    [sym_sequence_expression] = STATE(1106),
    [sym_string] = STATE(527),
    [sym_template_string] = STATE(527),
    [sym_regex] = STATE(527),
    [sym_meta_property] = STATE(527),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(722),
    [sym_this] = ACTIONS(724),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(724),
    [sym_false] = ACTIONS(724),
    [sym_null] = ACTIONS(724),
    [sym_undefined] = ACTIONS(724),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [105] = {
    [sym_import] = STATE(491),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(491),
    [sym_yield_expression] = STATE(491),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(491),
    [sym_jsx_fragment] = STATE(491),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(491),
    [sym_class] = STATE(491),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(491),
    [sym_arrow_function] = STATE(491),
    [sym_call_expression] = STATE(491),
    [sym_new_expression] = STATE(491),
    [sym_await_expression] = STATE(491),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(491),
    [sym_augmented_assignment_expression] = STATE(491),
    [sym_ternary_expression] = STATE(491),
    [sym_binary_expression] = STATE(491),
    [sym_unary_expression] = STATE(491),
    [sym_update_expression] = STATE(491),
    [sym_sequence_expression] = STATE(1069),
    [sym_string] = STATE(491),
    [sym_template_string] = STATE(491),
    [sym_regex] = STATE(491),
    [sym_meta_property] = STATE(491),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(726),
    [sym_this] = ACTIONS(728),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(728),
    [sym_false] = ACTIONS(728),
    [sym_null] = ACTIONS(728),
    [sym_undefined] = ACTIONS(728),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [106] = {
    [sym_import] = STATE(519),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(519),
    [sym_yield_expression] = STATE(519),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(519),
    [sym_jsx_fragment] = STATE(519),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(519),
    [sym_class] = STATE(519),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(519),
    [sym_arrow_function] = STATE(519),
    [sym_call_expression] = STATE(519),
    [sym_new_expression] = STATE(519),
    [sym_await_expression] = STATE(519),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(519),
    [sym_augmented_assignment_expression] = STATE(519),
    [sym_ternary_expression] = STATE(519),
    [sym_binary_expression] = STATE(519),
    [sym_unary_expression] = STATE(519),
    [sym_update_expression] = STATE(519),
    [sym_sequence_expression] = STATE(1113),
    [sym_string] = STATE(519),
    [sym_template_string] = STATE(519),
    [sym_regex] = STATE(519),
    [sym_meta_property] = STATE(519),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(730),
    [sym_this] = ACTIONS(732),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(732),
    [sym_false] = ACTIONS(732),
    [sym_null] = ACTIONS(732),
    [sym_undefined] = ACTIONS(732),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [107] = {
    [sym_import] = STATE(401),
    [sym_statement_block] = STATE(536),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(401),
    [sym_yield_expression] = STATE(401),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(401),
    [sym_jsx_fragment] = STATE(401),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(401),
    [sym_class] = STATE(401),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(401),
    [sym_arrow_function] = STATE(401),
    [sym_call_expression] = STATE(401),
    [sym_new_expression] = STATE(401),
    [sym_await_expression] = STATE(401),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(401),
    [sym_augmented_assignment_expression] = STATE(401),
    [sym_ternary_expression] = STATE(401),
    [sym_binary_expression] = STATE(401),
    [sym_unary_expression] = STATE(401),
    [sym_update_expression] = STATE(401),
    [sym_string] = STATE(401),
    [sym_template_string] = STATE(401),
    [sym_regex] = STATE(401),
    [sym_meta_property] = STATE(401),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(734),
    [sym_this] = ACTIONS(736),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(736),
    [sym_false] = ACTIONS(736),
    [sym_null] = ACTIONS(736),
    [sym_undefined] = ACTIONS(736),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [108] = {
    [sym_import] = STATE(355),
    [sym_parenthesized_expression] = STATE(281),
    [sym__expression] = STATE(570),
    [sym_yield_expression] = STATE(570),
    [sym_object] = STATE(351),
    [sym_array] = STATE(352),
    [sym_jsx_element] = STATE(570),
    [sym_jsx_fragment] = STATE(570),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(570),
    [sym_class] = STATE(355),
    [sym_function] = STATE(349),
    [sym_generator_function] = STATE(355),
    [sym_arrow_function] = STATE(355),
    [sym_call_expression] = STATE(570),
    [sym_new_expression] = STATE(355),
    [sym_await_expression] = STATE(570),
    [sym_member_expression] = STATE(281),
    [sym_subscript_expression] = STATE(281),
    [sym_assignment_expression] = STATE(570),
    [sym_augmented_assignment_expression] = STATE(570),
    [sym_ternary_expression] = STATE(570),
    [sym_binary_expression] = STATE(570),
    [sym_unary_expression] = STATE(570),
    [sym_update_expression] = STATE(570),
    [sym_string] = STATE(355),
    [sym_template_string] = STATE(355),
    [sym_regex] = STATE(355),
    [sym_meta_property] = STATE(355),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(738),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_DOT] = ACTIONS(740),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(742),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(744),
    [sym_this] = ACTIONS(746),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(746),
    [sym_false] = ACTIONS(746),
    [sym_null] = ACTIONS(746),
    [sym_undefined] = ACTIONS(746),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(748),
    [anon_sym_get] = ACTIONS(748),
    [anon_sym_set] = ACTIONS(748),
  },
  [109] = {
    [sym_import] = STATE(514),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(514),
    [sym_yield_expression] = STATE(514),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(514),
    [sym_jsx_fragment] = STATE(514),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(514),
    [sym_class] = STATE(514),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(514),
    [sym_arrow_function] = STATE(514),
    [sym_call_expression] = STATE(514),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(514),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(514),
    [sym_augmented_assignment_expression] = STATE(514),
    [sym_ternary_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_sequence_expression] = STATE(1111),
    [sym_string] = STATE(514),
    [sym_template_string] = STATE(514),
    [sym_regex] = STATE(514),
    [sym_meta_property] = STATE(514),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(750),
    [sym_this] = ACTIONS(752),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(752),
    [sym_false] = ACTIONS(752),
    [sym_null] = ACTIONS(752),
    [sym_undefined] = ACTIONS(752),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [110] = {
    [sym_import] = STATE(518),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(518),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(518),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(518),
    [sym_arrow_function] = STATE(518),
    [sym_call_expression] = STATE(518),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(518),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1112),
    [sym_string] = STATE(518),
    [sym_template_string] = STATE(518),
    [sym_regex] = STATE(518),
    [sym_meta_property] = STATE(518),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(754),
    [sym_this] = ACTIONS(756),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(756),
    [sym_false] = ACTIONS(756),
    [sym_null] = ACTIONS(756),
    [sym_undefined] = ACTIONS(756),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [111] = {
    [sym_import] = STATE(405),
    [sym_statement_block] = STATE(544),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(405),
    [sym_yield_expression] = STATE(405),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(405),
    [sym_jsx_fragment] = STATE(405),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(405),
    [sym_class] = STATE(405),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(405),
    [sym_arrow_function] = STATE(405),
    [sym_call_expression] = STATE(405),
    [sym_new_expression] = STATE(405),
    [sym_await_expression] = STATE(405),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(405),
    [sym_augmented_assignment_expression] = STATE(405),
    [sym_ternary_expression] = STATE(405),
    [sym_binary_expression] = STATE(405),
    [sym_unary_expression] = STATE(405),
    [sym_update_expression] = STATE(405),
    [sym_string] = STATE(405),
    [sym_template_string] = STATE(405),
    [sym_regex] = STATE(405),
    [sym_meta_property] = STATE(405),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(758),
    [sym_this] = ACTIONS(760),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(760),
    [sym_false] = ACTIONS(760),
    [sym_null] = ACTIONS(760),
    [sym_undefined] = ACTIONS(760),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [112] = {
    [sym_import] = STATE(550),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(550),
    [sym_yield_expression] = STATE(550),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(550),
    [sym_jsx_fragment] = STATE(550),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(550),
    [sym_class] = STATE(550),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(550),
    [sym_arrow_function] = STATE(550),
    [sym_call_expression] = STATE(550),
    [sym_new_expression] = STATE(550),
    [sym_await_expression] = STATE(550),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(550),
    [sym_augmented_assignment_expression] = STATE(550),
    [sym_ternary_expression] = STATE(550),
    [sym_binary_expression] = STATE(550),
    [sym_unary_expression] = STATE(550),
    [sym_update_expression] = STATE(550),
    [sym_string] = STATE(550),
    [sym_template_string] = STATE(550),
    [sym_regex] = STATE(550),
    [sym_meta_property] = STATE(550),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(762),
    [sym_this] = ACTIONS(764),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(764),
    [sym_false] = ACTIONS(764),
    [sym_null] = ACTIONS(764),
    [sym_undefined] = ACTIONS(764),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [113] = {
    [sym_import] = STATE(391),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(391),
    [sym_yield_expression] = STATE(391),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(391),
    [sym_jsx_fragment] = STATE(391),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(391),
    [sym_class] = STATE(391),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(391),
    [sym_arrow_function] = STATE(391),
    [sym_call_expression] = STATE(391),
    [sym_new_expression] = STATE(391),
    [sym_await_expression] = STATE(391),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(391),
    [sym_augmented_assignment_expression] = STATE(391),
    [sym_ternary_expression] = STATE(391),
    [sym_binary_expression] = STATE(391),
    [sym_unary_expression] = STATE(391),
    [sym_update_expression] = STATE(391),
    [sym_string] = STATE(391),
    [sym_template_string] = STATE(391),
    [sym_regex] = STATE(391),
    [sym_meta_property] = STATE(391),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(766),
    [sym_this] = ACTIONS(768),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(768),
    [sym_false] = ACTIONS(768),
    [sym_null] = ACTIONS(768),
    [sym_undefined] = ACTIONS(768),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [114] = {
    [sym_import] = STATE(477),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(477),
    [sym_yield_expression] = STATE(477),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(477),
    [sym_jsx_fragment] = STATE(477),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(477),
    [sym_class] = STATE(477),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(477),
    [sym_arrow_function] = STATE(477),
    [sym_call_expression] = STATE(477),
    [sym_new_expression] = STATE(477),
    [sym_await_expression] = STATE(477),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(477),
    [sym_augmented_assignment_expression] = STATE(477),
    [sym_ternary_expression] = STATE(477),
    [sym_binary_expression] = STATE(477),
    [sym_unary_expression] = STATE(477),
    [sym_update_expression] = STATE(477),
    [sym_string] = STATE(477),
    [sym_template_string] = STATE(477),
    [sym_regex] = STATE(477),
    [sym_meta_property] = STATE(477),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(770),
    [sym_this] = ACTIONS(772),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_null] = ACTIONS(772),
    [sym_undefined] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [115] = {
    [sym_import] = STATE(560),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(560),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_fragment] = STATE(560),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(560),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(560),
    [sym_arrow_function] = STATE(560),
    [sym_call_expression] = STATE(560),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(560),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(560),
    [sym_template_string] = STATE(560),
    [sym_regex] = STATE(560),
    [sym_meta_property] = STATE(560),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(774),
    [sym_this] = ACTIONS(776),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(776),
    [sym_false] = ACTIONS(776),
    [sym_null] = ACTIONS(776),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [116] = {
    [sym_import] = STATE(483),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(483),
    [sym_yield_expression] = STATE(483),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(483),
    [sym_jsx_fragment] = STATE(483),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(483),
    [sym_class] = STATE(483),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(483),
    [sym_arrow_function] = STATE(483),
    [sym_call_expression] = STATE(483),
    [sym_new_expression] = STATE(483),
    [sym_await_expression] = STATE(483),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(483),
    [sym_augmented_assignment_expression] = STATE(483),
    [sym_ternary_expression] = STATE(483),
    [sym_binary_expression] = STATE(483),
    [sym_unary_expression] = STATE(483),
    [sym_update_expression] = STATE(483),
    [sym_string] = STATE(483),
    [sym_template_string] = STATE(483),
    [sym_regex] = STATE(483),
    [sym_meta_property] = STATE(483),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(778),
    [sym_this] = ACTIONS(780),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(780),
    [sym_false] = ACTIONS(780),
    [sym_null] = ACTIONS(780),
    [sym_undefined] = ACTIONS(780),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [117] = {
    [sym_import] = STATE(323),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(323),
    [sym_yield_expression] = STATE(323),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(323),
    [sym_jsx_fragment] = STATE(323),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(323),
    [sym_class] = STATE(323),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(323),
    [sym_arrow_function] = STATE(323),
    [sym_call_expression] = STATE(323),
    [sym_new_expression] = STATE(323),
    [sym_await_expression] = STATE(323),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(323),
    [sym_augmented_assignment_expression] = STATE(323),
    [sym_ternary_expression] = STATE(323),
    [sym_binary_expression] = STATE(323),
    [sym_unary_expression] = STATE(323),
    [sym_update_expression] = STATE(323),
    [sym_string] = STATE(323),
    [sym_template_string] = STATE(323),
    [sym_regex] = STATE(323),
    [sym_meta_property] = STATE(323),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(782),
    [sym_this] = ACTIONS(784),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(784),
    [sym_false] = ACTIONS(784),
    [sym_null] = ACTIONS(784),
    [sym_undefined] = ACTIONS(784),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [118] = {
    [sym_import] = STATE(346),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(346),
    [sym_yield_expression] = STATE(346),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(346),
    [sym_jsx_fragment] = STATE(346),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(346),
    [sym_class] = STATE(346),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(346),
    [sym_arrow_function] = STATE(346),
    [sym_call_expression] = STATE(346),
    [sym_new_expression] = STATE(346),
    [sym_await_expression] = STATE(346),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(346),
    [sym_augmented_assignment_expression] = STATE(346),
    [sym_ternary_expression] = STATE(346),
    [sym_binary_expression] = STATE(346),
    [sym_unary_expression] = STATE(346),
    [sym_update_expression] = STATE(346),
    [sym_string] = STATE(346),
    [sym_template_string] = STATE(346),
    [sym_regex] = STATE(346),
    [sym_meta_property] = STATE(346),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(786),
    [sym_this] = ACTIONS(788),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(788),
    [sym_false] = ACTIONS(788),
    [sym_null] = ACTIONS(788),
    [sym_undefined] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [119] = {
    [sym_import] = STATE(318),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(318),
    [sym_yield_expression] = STATE(318),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(318),
    [sym_jsx_fragment] = STATE(318),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(318),
    [sym_class] = STATE(318),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(318),
    [sym_arrow_function] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_new_expression] = STATE(318),
    [sym_await_expression] = STATE(318),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(318),
    [sym_augmented_assignment_expression] = STATE(318),
    [sym_ternary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_update_expression] = STATE(318),
    [sym_string] = STATE(318),
    [sym_template_string] = STATE(318),
    [sym_regex] = STATE(318),
    [sym_meta_property] = STATE(318),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(790),
    [sym_this] = ACTIONS(792),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(792),
    [sym_false] = ACTIONS(792),
    [sym_null] = ACTIONS(792),
    [sym_undefined] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [120] = {
    [sym_import] = STATE(564),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(564),
    [sym_yield_expression] = STATE(564),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(564),
    [sym_jsx_fragment] = STATE(564),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(564),
    [sym_class] = STATE(564),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(564),
    [sym_await_expression] = STATE(564),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(564),
    [sym_augmented_assignment_expression] = STATE(564),
    [sym_ternary_expression] = STATE(564),
    [sym_binary_expression] = STATE(564),
    [sym_unary_expression] = STATE(564),
    [sym_update_expression] = STATE(564),
    [sym_string] = STATE(564),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(794),
    [sym_this] = ACTIONS(796),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(796),
    [sym_false] = ACTIONS(796),
    [sym_null] = ACTIONS(796),
    [sym_undefined] = ACTIONS(796),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [121] = {
    [sym_import] = STATE(417),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(417),
    [sym_yield_expression] = STATE(417),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(417),
    [sym_jsx_fragment] = STATE(417),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(417),
    [sym_class] = STATE(417),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(417),
    [sym_arrow_function] = STATE(417),
    [sym_call_expression] = STATE(417),
    [sym_new_expression] = STATE(417),
    [sym_await_expression] = STATE(417),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(417),
    [sym_augmented_assignment_expression] = STATE(417),
    [sym_ternary_expression] = STATE(417),
    [sym_binary_expression] = STATE(417),
    [sym_unary_expression] = STATE(417),
    [sym_update_expression] = STATE(417),
    [sym_string] = STATE(417),
    [sym_template_string] = STATE(417),
    [sym_regex] = STATE(417),
    [sym_meta_property] = STATE(417),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(798),
    [sym_this] = ACTIONS(800),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(800),
    [sym_false] = ACTIONS(800),
    [sym_null] = ACTIONS(800),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [122] = {
    [sym_import] = STATE(384),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(384),
    [sym_yield_expression] = STATE(384),
    [sym_object] = STATE(562),
    [sym_array] = STATE(561),
    [sym_jsx_element] = STATE(384),
    [sym_jsx_fragment] = STATE(384),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(384),
    [sym_class] = STATE(384),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(384),
    [sym_arrow_function] = STATE(384),
    [sym_call_expression] = STATE(384),
    [sym_new_expression] = STATE(384),
    [sym_await_expression] = STATE(384),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(384),
    [sym_augmented_assignment_expression] = STATE(384),
    [sym_ternary_expression] = STATE(384),
    [sym_binary_expression] = STATE(384),
    [sym_unary_expression] = STATE(384),
    [sym_update_expression] = STATE(384),
    [sym_string] = STATE(384),
    [sym_template_string] = STATE(384),
    [sym_regex] = STATE(384),
    [sym_meta_property] = STATE(384),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(804),
    [sym_this] = ACTIONS(806),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [sym_null] = ACTIONS(806),
    [sym_undefined] = ACTIONS(806),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [123] = {
    [sym_import] = STATE(414),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(414),
    [sym_yield_expression] = STATE(414),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(414),
    [sym_jsx_fragment] = STATE(414),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(414),
    [sym_class] = STATE(414),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(414),
    [sym_arrow_function] = STATE(414),
    [sym_call_expression] = STATE(414),
    [sym_new_expression] = STATE(414),
    [sym_await_expression] = STATE(414),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(414),
    [sym_augmented_assignment_expression] = STATE(414),
    [sym_ternary_expression] = STATE(414),
    [sym_binary_expression] = STATE(414),
    [sym_unary_expression] = STATE(414),
    [sym_update_expression] = STATE(414),
    [sym_string] = STATE(414),
    [sym_template_string] = STATE(414),
    [sym_regex] = STATE(414),
    [sym_meta_property] = STATE(414),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(808),
    [sym_this] = ACTIONS(810),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(810),
    [sym_false] = ACTIONS(810),
    [sym_null] = ACTIONS(810),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [124] = {
    [sym_import] = STATE(413),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(413),
    [sym_yield_expression] = STATE(413),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(413),
    [sym_jsx_fragment] = STATE(413),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(413),
    [sym_class] = STATE(413),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(413),
    [sym_arrow_function] = STATE(413),
    [sym_call_expression] = STATE(413),
    [sym_new_expression] = STATE(413),
    [sym_await_expression] = STATE(413),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(413),
    [sym_augmented_assignment_expression] = STATE(413),
    [sym_ternary_expression] = STATE(413),
    [sym_binary_expression] = STATE(413),
    [sym_unary_expression] = STATE(413),
    [sym_update_expression] = STATE(413),
    [sym_string] = STATE(413),
    [sym_template_string] = STATE(413),
    [sym_regex] = STATE(413),
    [sym_meta_property] = STATE(413),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(812),
    [sym_this] = ACTIONS(814),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(814),
    [sym_false] = ACTIONS(814),
    [sym_null] = ACTIONS(814),
    [sym_undefined] = ACTIONS(814),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [125] = {
    [sym_import] = STATE(344),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(344),
    [sym_yield_expression] = STATE(344),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(344),
    [sym_jsx_fragment] = STATE(344),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(344),
    [sym_class] = STATE(344),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(344),
    [sym_arrow_function] = STATE(344),
    [sym_call_expression] = STATE(344),
    [sym_new_expression] = STATE(344),
    [sym_await_expression] = STATE(344),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(344),
    [sym_augmented_assignment_expression] = STATE(344),
    [sym_ternary_expression] = STATE(344),
    [sym_binary_expression] = STATE(344),
    [sym_unary_expression] = STATE(344),
    [sym_update_expression] = STATE(344),
    [sym_string] = STATE(344),
    [sym_template_string] = STATE(344),
    [sym_regex] = STATE(344),
    [sym_meta_property] = STATE(344),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(816),
    [sym_this] = ACTIONS(818),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(818),
    [sym_false] = ACTIONS(818),
    [sym_null] = ACTIONS(818),
    [sym_undefined] = ACTIONS(818),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [126] = {
    [sym_import] = STATE(570),
    [sym_parenthesized_expression] = STATE(311),
    [sym__expression] = STATE(570),
    [sym_yield_expression] = STATE(570),
    [sym_object] = STATE(568),
    [sym_array] = STATE(569),
    [sym_jsx_element] = STATE(570),
    [sym_jsx_fragment] = STATE(570),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(570),
    [sym_class] = STATE(570),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(570),
    [sym_arrow_function] = STATE(570),
    [sym_call_expression] = STATE(570),
    [sym_new_expression] = STATE(570),
    [sym_await_expression] = STATE(570),
    [sym_member_expression] = STATE(311),
    [sym_subscript_expression] = STATE(311),
    [sym_assignment_expression] = STATE(570),
    [sym_augmented_assignment_expression] = STATE(570),
    [sym_ternary_expression] = STATE(570),
    [sym_binary_expression] = STATE(570),
    [sym_unary_expression] = STATE(570),
    [sym_update_expression] = STATE(570),
    [sym_string] = STATE(570),
    [sym_template_string] = STATE(570),
    [sym_regex] = STATE(570),
    [sym_meta_property] = STATE(570),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(820),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(660),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(592),
    [sym_false] = ACTIONS(592),
    [sym_null] = ACTIONS(592),
    [sym_undefined] = ACTIONS(592),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(662),
    [anon_sym_get] = ACTIONS(662),
    [anon_sym_set] = ACTIONS(662),
  },
  [127] = {
    [sym_import] = STATE(468),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(468),
    [sym_yield_expression] = STATE(468),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(468),
    [sym_jsx_fragment] = STATE(468),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(468),
    [sym_class] = STATE(468),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(468),
    [sym_arrow_function] = STATE(468),
    [sym_call_expression] = STATE(468),
    [sym_new_expression] = STATE(468),
    [sym_await_expression] = STATE(468),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(468),
    [sym_augmented_assignment_expression] = STATE(468),
    [sym_ternary_expression] = STATE(468),
    [sym_binary_expression] = STATE(468),
    [sym_unary_expression] = STATE(468),
    [sym_update_expression] = STATE(468),
    [sym_string] = STATE(468),
    [sym_template_string] = STATE(468),
    [sym_regex] = STATE(468),
    [sym_meta_property] = STATE(468),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(822),
    [sym_this] = ACTIONS(824),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
    [sym_null] = ACTIONS(824),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [128] = {
    [sym_import] = STATE(332),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(332),
    [sym_yield_expression] = STATE(332),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(332),
    [sym_jsx_fragment] = STATE(332),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(332),
    [sym_class] = STATE(332),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(332),
    [sym_arrow_function] = STATE(332),
    [sym_call_expression] = STATE(332),
    [sym_new_expression] = STATE(332),
    [sym_await_expression] = STATE(332),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(332),
    [sym_augmented_assignment_expression] = STATE(332),
    [sym_ternary_expression] = STATE(332),
    [sym_binary_expression] = STATE(332),
    [sym_unary_expression] = STATE(332),
    [sym_update_expression] = STATE(332),
    [sym_string] = STATE(332),
    [sym_template_string] = STATE(332),
    [sym_regex] = STATE(332),
    [sym_meta_property] = STATE(332),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(826),
    [sym_this] = ACTIONS(828),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(828),
    [sym_false] = ACTIONS(828),
    [sym_null] = ACTIONS(828),
    [sym_undefined] = ACTIONS(828),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [129] = {
    [sym_import] = STATE(412),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(412),
    [sym_yield_expression] = STATE(412),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(412),
    [sym_jsx_fragment] = STATE(412),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(412),
    [sym_class] = STATE(412),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(412),
    [sym_arrow_function] = STATE(412),
    [sym_call_expression] = STATE(412),
    [sym_new_expression] = STATE(412),
    [sym_await_expression] = STATE(412),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(412),
    [sym_augmented_assignment_expression] = STATE(412),
    [sym_ternary_expression] = STATE(412),
    [sym_binary_expression] = STATE(412),
    [sym_unary_expression] = STATE(412),
    [sym_update_expression] = STATE(412),
    [sym_string] = STATE(412),
    [sym_template_string] = STATE(412),
    [sym_regex] = STATE(412),
    [sym_meta_property] = STATE(412),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(830),
    [sym_this] = ACTIONS(832),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(832),
    [sym_false] = ACTIONS(832),
    [sym_null] = ACTIONS(832),
    [sym_undefined] = ACTIONS(832),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [130] = {
    [sym_import] = STATE(411),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(411),
    [sym_yield_expression] = STATE(411),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(411),
    [sym_jsx_fragment] = STATE(411),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(411),
    [sym_class] = STATE(411),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(411),
    [sym_arrow_function] = STATE(411),
    [sym_call_expression] = STATE(411),
    [sym_new_expression] = STATE(411),
    [sym_await_expression] = STATE(411),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(411),
    [sym_augmented_assignment_expression] = STATE(411),
    [sym_ternary_expression] = STATE(411),
    [sym_binary_expression] = STATE(411),
    [sym_unary_expression] = STATE(411),
    [sym_update_expression] = STATE(411),
    [sym_string] = STATE(411),
    [sym_template_string] = STATE(411),
    [sym_regex] = STATE(411),
    [sym_meta_property] = STATE(411),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(834),
    [sym_this] = ACTIONS(836),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(836),
    [sym_false] = ACTIONS(836),
    [sym_null] = ACTIONS(836),
    [sym_undefined] = ACTIONS(836),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [131] = {
    [sym_import] = STATE(410),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(410),
    [sym_yield_expression] = STATE(410),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(410),
    [sym_jsx_fragment] = STATE(410),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(410),
    [sym_class] = STATE(410),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(410),
    [sym_arrow_function] = STATE(410),
    [sym_call_expression] = STATE(410),
    [sym_new_expression] = STATE(410),
    [sym_await_expression] = STATE(410),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(410),
    [sym_augmented_assignment_expression] = STATE(410),
    [sym_ternary_expression] = STATE(410),
    [sym_binary_expression] = STATE(410),
    [sym_unary_expression] = STATE(410),
    [sym_update_expression] = STATE(410),
    [sym_string] = STATE(410),
    [sym_template_string] = STATE(410),
    [sym_regex] = STATE(410),
    [sym_meta_property] = STATE(410),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(838),
    [sym_this] = ACTIONS(840),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(840),
    [sym_false] = ACTIONS(840),
    [sym_null] = ACTIONS(840),
    [sym_undefined] = ACTIONS(840),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [132] = {
    [sym_import] = STATE(424),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(424),
    [sym_yield_expression] = STATE(424),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(424),
    [sym_jsx_fragment] = STATE(424),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(424),
    [sym_class] = STATE(424),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(424),
    [sym_arrow_function] = STATE(424),
    [sym_call_expression] = STATE(424),
    [sym_new_expression] = STATE(424),
    [sym_await_expression] = STATE(424),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(424),
    [sym_augmented_assignment_expression] = STATE(424),
    [sym_ternary_expression] = STATE(424),
    [sym_binary_expression] = STATE(424),
    [sym_unary_expression] = STATE(424),
    [sym_update_expression] = STATE(424),
    [sym_string] = STATE(424),
    [sym_template_string] = STATE(424),
    [sym_regex] = STATE(424),
    [sym_meta_property] = STATE(424),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(842),
    [sym_this] = ACTIONS(844),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(844),
    [sym_false] = ACTIONS(844),
    [sym_null] = ACTIONS(844),
    [sym_undefined] = ACTIONS(844),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [133] = {
    [sym_import] = STATE(409),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(409),
    [sym_yield_expression] = STATE(409),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(409),
    [sym_jsx_fragment] = STATE(409),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(409),
    [sym_class] = STATE(409),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(409),
    [sym_arrow_function] = STATE(409),
    [sym_call_expression] = STATE(409),
    [sym_new_expression] = STATE(409),
    [sym_await_expression] = STATE(409),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(409),
    [sym_augmented_assignment_expression] = STATE(409),
    [sym_ternary_expression] = STATE(409),
    [sym_binary_expression] = STATE(409),
    [sym_unary_expression] = STATE(409),
    [sym_update_expression] = STATE(409),
    [sym_string] = STATE(409),
    [sym_template_string] = STATE(409),
    [sym_regex] = STATE(409),
    [sym_meta_property] = STATE(409),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(846),
    [sym_this] = ACTIONS(848),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(848),
    [sym_false] = ACTIONS(848),
    [sym_null] = ACTIONS(848),
    [sym_undefined] = ACTIONS(848),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [134] = {
    [sym_import] = STATE(565),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(565),
    [sym_yield_expression] = STATE(565),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(565),
    [sym_jsx_fragment] = STATE(565),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(565),
    [sym_class] = STATE(565),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(565),
    [sym_arrow_function] = STATE(565),
    [sym_call_expression] = STATE(565),
    [sym_new_expression] = STATE(565),
    [sym_await_expression] = STATE(565),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(565),
    [sym_augmented_assignment_expression] = STATE(565),
    [sym_ternary_expression] = STATE(565),
    [sym_binary_expression] = STATE(565),
    [sym_unary_expression] = STATE(565),
    [sym_update_expression] = STATE(565),
    [sym_string] = STATE(565),
    [sym_template_string] = STATE(565),
    [sym_regex] = STATE(565),
    [sym_meta_property] = STATE(565),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(850),
    [sym_this] = ACTIONS(852),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_null] = ACTIONS(852),
    [sym_undefined] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [135] = {
    [sym_import] = STATE(407),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(407),
    [sym_yield_expression] = STATE(407),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(407),
    [sym_jsx_fragment] = STATE(407),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(407),
    [sym_class] = STATE(407),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(407),
    [sym_arrow_function] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_new_expression] = STATE(407),
    [sym_await_expression] = STATE(407),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(407),
    [sym_augmented_assignment_expression] = STATE(407),
    [sym_ternary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_update_expression] = STATE(407),
    [sym_string] = STATE(407),
    [sym_template_string] = STATE(407),
    [sym_regex] = STATE(407),
    [sym_meta_property] = STATE(407),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(854),
    [sym_this] = ACTIONS(856),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(856),
    [sym_false] = ACTIONS(856),
    [sym_null] = ACTIONS(856),
    [sym_undefined] = ACTIONS(856),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [136] = {
    [sym_import] = STATE(427),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(427),
    [sym_yield_expression] = STATE(427),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(427),
    [sym_jsx_fragment] = STATE(427),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(427),
    [sym_class] = STATE(427),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(427),
    [sym_arrow_function] = STATE(427),
    [sym_call_expression] = STATE(427),
    [sym_new_expression] = STATE(427),
    [sym_await_expression] = STATE(427),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(427),
    [sym_augmented_assignment_expression] = STATE(427),
    [sym_ternary_expression] = STATE(427),
    [sym_binary_expression] = STATE(427),
    [sym_unary_expression] = STATE(427),
    [sym_update_expression] = STATE(427),
    [sym_string] = STATE(427),
    [sym_template_string] = STATE(427),
    [sym_regex] = STATE(427),
    [sym_meta_property] = STATE(427),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(858),
    [sym_this] = ACTIONS(860),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(860),
    [sym_false] = ACTIONS(860),
    [sym_null] = ACTIONS(860),
    [sym_undefined] = ACTIONS(860),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [137] = {
    [sym_import] = STATE(404),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(404),
    [sym_yield_expression] = STATE(404),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(404),
    [sym_jsx_fragment] = STATE(404),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(404),
    [sym_class] = STATE(404),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(404),
    [sym_arrow_function] = STATE(404),
    [sym_call_expression] = STATE(404),
    [sym_new_expression] = STATE(404),
    [sym_await_expression] = STATE(404),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(404),
    [sym_augmented_assignment_expression] = STATE(404),
    [sym_ternary_expression] = STATE(404),
    [sym_binary_expression] = STATE(404),
    [sym_unary_expression] = STATE(404),
    [sym_update_expression] = STATE(404),
    [sym_string] = STATE(404),
    [sym_template_string] = STATE(404),
    [sym_regex] = STATE(404),
    [sym_meta_property] = STATE(404),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(862),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_null] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [138] = {
    [sym_import] = STATE(327),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(327),
    [sym_yield_expression] = STATE(327),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(327),
    [sym_jsx_fragment] = STATE(327),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(327),
    [sym_class] = STATE(327),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(327),
    [sym_arrow_function] = STATE(327),
    [sym_call_expression] = STATE(327),
    [sym_new_expression] = STATE(327),
    [sym_await_expression] = STATE(327),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(327),
    [sym_augmented_assignment_expression] = STATE(327),
    [sym_ternary_expression] = STATE(327),
    [sym_binary_expression] = STATE(327),
    [sym_unary_expression] = STATE(327),
    [sym_update_expression] = STATE(327),
    [sym_string] = STATE(327),
    [sym_template_string] = STATE(327),
    [sym_regex] = STATE(327),
    [sym_meta_property] = STATE(327),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(866),
    [sym_this] = ACTIONS(868),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(868),
    [sym_false] = ACTIONS(868),
    [sym_null] = ACTIONS(868),
    [sym_undefined] = ACTIONS(868),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [139] = {
    [sym_import] = STATE(563),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(563),
    [sym_yield_expression] = STATE(563),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(563),
    [sym_jsx_fragment] = STATE(563),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(563),
    [sym_class] = STATE(563),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(563),
    [sym_arrow_function] = STATE(563),
    [sym_call_expression] = STATE(563),
    [sym_new_expression] = STATE(563),
    [sym_await_expression] = STATE(563),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(563),
    [sym_augmented_assignment_expression] = STATE(563),
    [sym_ternary_expression] = STATE(563),
    [sym_binary_expression] = STATE(563),
    [sym_unary_expression] = STATE(563),
    [sym_update_expression] = STATE(563),
    [sym_string] = STATE(563),
    [sym_template_string] = STATE(563),
    [sym_regex] = STATE(563),
    [sym_meta_property] = STATE(563),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(870),
    [sym_this] = ACTIONS(872),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(872),
    [sym_false] = ACTIONS(872),
    [sym_null] = ACTIONS(872),
    [sym_undefined] = ACTIONS(872),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [140] = {
    [sym_import] = STATE(322),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(322),
    [sym_yield_expression] = STATE(322),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(322),
    [sym_jsx_fragment] = STATE(322),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(322),
    [sym_class] = STATE(322),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(322),
    [sym_arrow_function] = STATE(322),
    [sym_call_expression] = STATE(322),
    [sym_new_expression] = STATE(322),
    [sym_await_expression] = STATE(322),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(322),
    [sym_augmented_assignment_expression] = STATE(322),
    [sym_ternary_expression] = STATE(322),
    [sym_binary_expression] = STATE(322),
    [sym_unary_expression] = STATE(322),
    [sym_update_expression] = STATE(322),
    [sym_string] = STATE(322),
    [sym_template_string] = STATE(322),
    [sym_regex] = STATE(322),
    [sym_meta_property] = STATE(322),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(874),
    [sym_this] = ACTIONS(876),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(876),
    [sym_false] = ACTIONS(876),
    [sym_null] = ACTIONS(876),
    [sym_undefined] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [141] = {
    [sym_import] = STATE(551),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(551),
    [sym_yield_expression] = STATE(551),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(551),
    [sym_jsx_fragment] = STATE(551),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(551),
    [sym_class] = STATE(551),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(551),
    [sym_arrow_function] = STATE(551),
    [sym_call_expression] = STATE(551),
    [sym_new_expression] = STATE(551),
    [sym_await_expression] = STATE(551),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(551),
    [sym_augmented_assignment_expression] = STATE(551),
    [sym_ternary_expression] = STATE(551),
    [sym_binary_expression] = STATE(551),
    [sym_unary_expression] = STATE(551),
    [sym_update_expression] = STATE(551),
    [sym_string] = STATE(551),
    [sym_template_string] = STATE(551),
    [sym_regex] = STATE(551),
    [sym_meta_property] = STATE(551),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(878),
    [sym_this] = ACTIONS(880),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(880),
    [sym_false] = ACTIONS(880),
    [sym_null] = ACTIONS(880),
    [sym_undefined] = ACTIONS(880),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [142] = {
    [sym_import] = STATE(488),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(488),
    [sym_yield_expression] = STATE(488),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(488),
    [sym_jsx_fragment] = STATE(488),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(488),
    [sym_class] = STATE(488),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(488),
    [sym_arrow_function] = STATE(488),
    [sym_call_expression] = STATE(488),
    [sym_new_expression] = STATE(488),
    [sym_await_expression] = STATE(488),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(488),
    [sym_augmented_assignment_expression] = STATE(488),
    [sym_ternary_expression] = STATE(488),
    [sym_binary_expression] = STATE(488),
    [sym_unary_expression] = STATE(488),
    [sym_update_expression] = STATE(488),
    [sym_string] = STATE(488),
    [sym_template_string] = STATE(488),
    [sym_regex] = STATE(488),
    [sym_meta_property] = STATE(488),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(882),
    [sym_this] = ACTIONS(884),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(884),
    [sym_false] = ACTIONS(884),
    [sym_null] = ACTIONS(884),
    [sym_undefined] = ACTIONS(884),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [143] = {
    [sym_import] = STATE(447),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(447),
    [sym_yield_expression] = STATE(447),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(447),
    [sym_jsx_fragment] = STATE(447),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(447),
    [sym_class] = STATE(447),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(447),
    [sym_arrow_function] = STATE(447),
    [sym_call_expression] = STATE(447),
    [sym_new_expression] = STATE(447),
    [sym_await_expression] = STATE(447),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(447),
    [sym_augmented_assignment_expression] = STATE(447),
    [sym_ternary_expression] = STATE(447),
    [sym_binary_expression] = STATE(447),
    [sym_unary_expression] = STATE(447),
    [sym_update_expression] = STATE(447),
    [sym_string] = STATE(447),
    [sym_template_string] = STATE(447),
    [sym_regex] = STATE(447),
    [sym_meta_property] = STATE(447),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(886),
    [sym_this] = ACTIONS(888),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(888),
    [sym_false] = ACTIONS(888),
    [sym_null] = ACTIONS(888),
    [sym_undefined] = ACTIONS(888),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [144] = {
    [sym_import] = STATE(384),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(384),
    [sym_yield_expression] = STATE(384),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(384),
    [sym_jsx_fragment] = STATE(384),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(384),
    [sym_class] = STATE(384),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(384),
    [sym_arrow_function] = STATE(384),
    [sym_call_expression] = STATE(384),
    [sym_new_expression] = STATE(384),
    [sym_await_expression] = STATE(384),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(384),
    [sym_augmented_assignment_expression] = STATE(384),
    [sym_ternary_expression] = STATE(384),
    [sym_binary_expression] = STATE(384),
    [sym_unary_expression] = STATE(384),
    [sym_update_expression] = STATE(384),
    [sym_string] = STATE(384),
    [sym_template_string] = STATE(384),
    [sym_regex] = STATE(384),
    [sym_meta_property] = STATE(384),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(804),
    [sym_this] = ACTIONS(806),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [sym_null] = ACTIONS(806),
    [sym_undefined] = ACTIONS(806),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [145] = {
    [sym_import] = STATE(317),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(317),
    [sym_yield_expression] = STATE(317),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(317),
    [sym_jsx_fragment] = STATE(317),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(317),
    [sym_class] = STATE(317),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(317),
    [sym_arrow_function] = STATE(317),
    [sym_call_expression] = STATE(317),
    [sym_new_expression] = STATE(317),
    [sym_await_expression] = STATE(317),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(317),
    [sym_augmented_assignment_expression] = STATE(317),
    [sym_ternary_expression] = STATE(317),
    [sym_binary_expression] = STATE(317),
    [sym_unary_expression] = STATE(317),
    [sym_update_expression] = STATE(317),
    [sym_string] = STATE(317),
    [sym_template_string] = STATE(317),
    [sym_regex] = STATE(317),
    [sym_meta_property] = STATE(317),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(890),
    [sym_this] = ACTIONS(892),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(892),
    [sym_false] = ACTIONS(892),
    [sym_null] = ACTIONS(892),
    [sym_undefined] = ACTIONS(892),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [146] = {
    [sym_import] = STATE(566),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(566),
    [sym_yield_expression] = STATE(566),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(566),
    [sym_jsx_fragment] = STATE(566),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(566),
    [sym_class] = STATE(566),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(566),
    [sym_arrow_function] = STATE(566),
    [sym_call_expression] = STATE(566),
    [sym_new_expression] = STATE(566),
    [sym_await_expression] = STATE(566),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(566),
    [sym_augmented_assignment_expression] = STATE(566),
    [sym_ternary_expression] = STATE(566),
    [sym_binary_expression] = STATE(566),
    [sym_unary_expression] = STATE(566),
    [sym_update_expression] = STATE(566),
    [sym_string] = STATE(566),
    [sym_template_string] = STATE(566),
    [sym_regex] = STATE(566),
    [sym_meta_property] = STATE(566),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(894),
    [sym_this] = ACTIONS(896),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(896),
    [sym_false] = ACTIONS(896),
    [sym_null] = ACTIONS(896),
    [sym_undefined] = ACTIONS(896),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [147] = {
    [sym_import] = STATE(452),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(452),
    [sym_yield_expression] = STATE(452),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(452),
    [sym_jsx_fragment] = STATE(452),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(452),
    [sym_class] = STATE(452),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(452),
    [sym_arrow_function] = STATE(452),
    [sym_call_expression] = STATE(452),
    [sym_new_expression] = STATE(452),
    [sym_await_expression] = STATE(452),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(452),
    [sym_augmented_assignment_expression] = STATE(452),
    [sym_ternary_expression] = STATE(452),
    [sym_binary_expression] = STATE(452),
    [sym_unary_expression] = STATE(452),
    [sym_update_expression] = STATE(452),
    [sym_string] = STATE(452),
    [sym_template_string] = STATE(452),
    [sym_regex] = STATE(452),
    [sym_meta_property] = STATE(452),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(898),
    [sym_this] = ACTIONS(900),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(900),
    [sym_false] = ACTIONS(900),
    [sym_null] = ACTIONS(900),
    [sym_undefined] = ACTIONS(900),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [148] = {
    [sym_import] = STATE(451),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(451),
    [sym_yield_expression] = STATE(451),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(451),
    [sym_jsx_fragment] = STATE(451),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(451),
    [sym_class] = STATE(451),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(451),
    [sym_arrow_function] = STATE(451),
    [sym_call_expression] = STATE(451),
    [sym_new_expression] = STATE(451),
    [sym_await_expression] = STATE(451),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(451),
    [sym_augmented_assignment_expression] = STATE(451),
    [sym_ternary_expression] = STATE(451),
    [sym_binary_expression] = STATE(451),
    [sym_unary_expression] = STATE(451),
    [sym_update_expression] = STATE(451),
    [sym_string] = STATE(451),
    [sym_template_string] = STATE(451),
    [sym_regex] = STATE(451),
    [sym_meta_property] = STATE(451),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(902),
    [sym_this] = ACTIONS(904),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [sym_null] = ACTIONS(904),
    [sym_undefined] = ACTIONS(904),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [149] = {
    [sym_import] = STATE(475),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(475),
    [sym_yield_expression] = STATE(475),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(475),
    [sym_jsx_fragment] = STATE(475),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(475),
    [sym_class] = STATE(475),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(475),
    [sym_arrow_function] = STATE(475),
    [sym_call_expression] = STATE(475),
    [sym_new_expression] = STATE(475),
    [sym_await_expression] = STATE(475),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(475),
    [sym_augmented_assignment_expression] = STATE(475),
    [sym_ternary_expression] = STATE(475),
    [sym_binary_expression] = STATE(475),
    [sym_unary_expression] = STATE(475),
    [sym_update_expression] = STATE(475),
    [sym_string] = STATE(475),
    [sym_template_string] = STATE(475),
    [sym_regex] = STATE(475),
    [sym_meta_property] = STATE(475),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(906),
    [sym_this] = ACTIONS(908),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(908),
    [sym_false] = ACTIONS(908),
    [sym_null] = ACTIONS(908),
    [sym_undefined] = ACTIONS(908),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [150] = {
    [sym_import] = STATE(375),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(375),
    [sym_yield_expression] = STATE(375),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(375),
    [sym_jsx_fragment] = STATE(375),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(375),
    [sym_class] = STATE(375),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(375),
    [sym_arrow_function] = STATE(375),
    [sym_call_expression] = STATE(375),
    [sym_new_expression] = STATE(375),
    [sym_await_expression] = STATE(375),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(375),
    [sym_augmented_assignment_expression] = STATE(375),
    [sym_ternary_expression] = STATE(375),
    [sym_binary_expression] = STATE(375),
    [sym_unary_expression] = STATE(375),
    [sym_update_expression] = STATE(375),
    [sym_string] = STATE(375),
    [sym_template_string] = STATE(375),
    [sym_regex] = STATE(375),
    [sym_meta_property] = STATE(375),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(910),
    [sym_this] = ACTIONS(912),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(912),
    [sym_false] = ACTIONS(912),
    [sym_null] = ACTIONS(912),
    [sym_undefined] = ACTIONS(912),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [151] = {
    [sym_import] = STATE(387),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(387),
    [sym_yield_expression] = STATE(387),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(387),
    [sym_jsx_fragment] = STATE(387),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(387),
    [sym_class] = STATE(387),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(387),
    [sym_arrow_function] = STATE(387),
    [sym_call_expression] = STATE(387),
    [sym_new_expression] = STATE(387),
    [sym_await_expression] = STATE(387),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(387),
    [sym_augmented_assignment_expression] = STATE(387),
    [sym_ternary_expression] = STATE(387),
    [sym_binary_expression] = STATE(387),
    [sym_unary_expression] = STATE(387),
    [sym_update_expression] = STATE(387),
    [sym_string] = STATE(387),
    [sym_template_string] = STATE(387),
    [sym_regex] = STATE(387),
    [sym_meta_property] = STATE(387),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(914),
    [sym_this] = ACTIONS(916),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(916),
    [sym_false] = ACTIONS(916),
    [sym_null] = ACTIONS(916),
    [sym_undefined] = ACTIONS(916),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [152] = {
    [sym_import] = STATE(367),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(367),
    [sym_yield_expression] = STATE(367),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(367),
    [sym_jsx_fragment] = STATE(367),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(367),
    [sym_class] = STATE(367),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(367),
    [sym_arrow_function] = STATE(367),
    [sym_call_expression] = STATE(367),
    [sym_new_expression] = STATE(367),
    [sym_await_expression] = STATE(367),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(367),
    [sym_augmented_assignment_expression] = STATE(367),
    [sym_ternary_expression] = STATE(367),
    [sym_binary_expression] = STATE(367),
    [sym_unary_expression] = STATE(367),
    [sym_update_expression] = STATE(367),
    [sym_string] = STATE(367),
    [sym_template_string] = STATE(367),
    [sym_regex] = STATE(367),
    [sym_meta_property] = STATE(367),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(918),
    [sym_this] = ACTIONS(920),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(920),
    [sym_false] = ACTIONS(920),
    [sym_null] = ACTIONS(920),
    [sym_undefined] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [153] = {
    [sym_import] = STATE(449),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(449),
    [sym_yield_expression] = STATE(449),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(449),
    [sym_jsx_fragment] = STATE(449),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(449),
    [sym_class] = STATE(449),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(449),
    [sym_arrow_function] = STATE(449),
    [sym_call_expression] = STATE(449),
    [sym_new_expression] = STATE(449),
    [sym_await_expression] = STATE(449),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(449),
    [sym_augmented_assignment_expression] = STATE(449),
    [sym_ternary_expression] = STATE(449),
    [sym_binary_expression] = STATE(449),
    [sym_unary_expression] = STATE(449),
    [sym_update_expression] = STATE(449),
    [sym_string] = STATE(449),
    [sym_template_string] = STATE(449),
    [sym_regex] = STATE(449),
    [sym_meta_property] = STATE(449),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(922),
    [sym_this] = ACTIONS(924),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(924),
    [sym_false] = ACTIONS(924),
    [sym_null] = ACTIONS(924),
    [sym_undefined] = ACTIONS(924),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [154] = {
    [sym_import] = STATE(334),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(334),
    [sym_yield_expression] = STATE(334),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(334),
    [sym_jsx_fragment] = STATE(334),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(334),
    [sym_class] = STATE(334),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(334),
    [sym_arrow_function] = STATE(334),
    [sym_call_expression] = STATE(334),
    [sym_new_expression] = STATE(334),
    [sym_await_expression] = STATE(334),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(334),
    [sym_augmented_assignment_expression] = STATE(334),
    [sym_ternary_expression] = STATE(334),
    [sym_binary_expression] = STATE(334),
    [sym_unary_expression] = STATE(334),
    [sym_update_expression] = STATE(334),
    [sym_string] = STATE(334),
    [sym_template_string] = STATE(334),
    [sym_regex] = STATE(334),
    [sym_meta_property] = STATE(334),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(926),
    [sym_this] = ACTIONS(928),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(928),
    [sym_false] = ACTIONS(928),
    [sym_null] = ACTIONS(928),
    [sym_undefined] = ACTIONS(928),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [155] = {
    [sym_import] = STATE(374),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(374),
    [sym_yield_expression] = STATE(374),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(374),
    [sym_jsx_fragment] = STATE(374),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(374),
    [sym_class] = STATE(374),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(374),
    [sym_arrow_function] = STATE(374),
    [sym_call_expression] = STATE(374),
    [sym_new_expression] = STATE(374),
    [sym_await_expression] = STATE(374),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(374),
    [sym_augmented_assignment_expression] = STATE(374),
    [sym_ternary_expression] = STATE(374),
    [sym_binary_expression] = STATE(374),
    [sym_unary_expression] = STATE(374),
    [sym_update_expression] = STATE(374),
    [sym_string] = STATE(374),
    [sym_template_string] = STATE(374),
    [sym_regex] = STATE(374),
    [sym_meta_property] = STATE(374),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(930),
    [sym_this] = ACTIONS(932),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_null] = ACTIONS(932),
    [sym_undefined] = ACTIONS(932),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [156] = {
    [sym_import] = STATE(499),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(499),
    [sym_yield_expression] = STATE(499),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(499),
    [sym_jsx_fragment] = STATE(499),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(499),
    [sym_class] = STATE(499),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(499),
    [sym_await_expression] = STATE(499),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(499),
    [sym_augmented_assignment_expression] = STATE(499),
    [sym_ternary_expression] = STATE(499),
    [sym_binary_expression] = STATE(499),
    [sym_unary_expression] = STATE(499),
    [sym_update_expression] = STATE(499),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(934),
    [sym_this] = ACTIONS(936),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(936),
    [sym_false] = ACTIONS(936),
    [sym_null] = ACTIONS(936),
    [sym_undefined] = ACTIONS(936),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [157] = {
    [sym_import] = STATE(373),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(373),
    [sym_yield_expression] = STATE(373),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(373),
    [sym_jsx_fragment] = STATE(373),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(373),
    [sym_class] = STATE(373),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(373),
    [sym_arrow_function] = STATE(373),
    [sym_call_expression] = STATE(373),
    [sym_new_expression] = STATE(373),
    [sym_await_expression] = STATE(373),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(373),
    [sym_augmented_assignment_expression] = STATE(373),
    [sym_ternary_expression] = STATE(373),
    [sym_binary_expression] = STATE(373),
    [sym_unary_expression] = STATE(373),
    [sym_update_expression] = STATE(373),
    [sym_string] = STATE(373),
    [sym_template_string] = STATE(373),
    [sym_regex] = STATE(373),
    [sym_meta_property] = STATE(373),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(938),
    [sym_this] = ACTIONS(940),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(940),
    [sym_false] = ACTIONS(940),
    [sym_null] = ACTIONS(940),
    [sym_undefined] = ACTIONS(940),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [158] = {
    [sym_import] = STATE(350),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(350),
    [sym_yield_expression] = STATE(350),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(350),
    [sym_jsx_fragment] = STATE(350),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(350),
    [sym_class] = STATE(350),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(350),
    [sym_arrow_function] = STATE(350),
    [sym_call_expression] = STATE(350),
    [sym_new_expression] = STATE(350),
    [sym_await_expression] = STATE(350),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(350),
    [sym_augmented_assignment_expression] = STATE(350),
    [sym_ternary_expression] = STATE(350),
    [sym_binary_expression] = STATE(350),
    [sym_unary_expression] = STATE(350),
    [sym_update_expression] = STATE(350),
    [sym_string] = STATE(350),
    [sym_template_string] = STATE(350),
    [sym_regex] = STATE(350),
    [sym_meta_property] = STATE(350),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(942),
    [sym_this] = ACTIONS(944),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(944),
    [sym_false] = ACTIONS(944),
    [sym_null] = ACTIONS(944),
    [sym_undefined] = ACTIONS(944),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [159] = {
    [sym_import] = STATE(556),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(556),
    [sym_yield_expression] = STATE(556),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(556),
    [sym_jsx_fragment] = STATE(556),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(556),
    [sym_class] = STATE(556),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(556),
    [sym_arrow_function] = STATE(556),
    [sym_call_expression] = STATE(556),
    [sym_new_expression] = STATE(556),
    [sym_await_expression] = STATE(556),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(556),
    [sym_augmented_assignment_expression] = STATE(556),
    [sym_ternary_expression] = STATE(556),
    [sym_binary_expression] = STATE(556),
    [sym_unary_expression] = STATE(556),
    [sym_update_expression] = STATE(556),
    [sym_string] = STATE(556),
    [sym_template_string] = STATE(556),
    [sym_regex] = STATE(556),
    [sym_meta_property] = STATE(556),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(946),
    [sym_this] = ACTIONS(948),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(948),
    [sym_false] = ACTIONS(948),
    [sym_null] = ACTIONS(948),
    [sym_undefined] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [160] = {
    [sym_import] = STATE(555),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(555),
    [sym_yield_expression] = STATE(555),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(555),
    [sym_jsx_fragment] = STATE(555),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(555),
    [sym_class] = STATE(555),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(555),
    [sym_arrow_function] = STATE(555),
    [sym_call_expression] = STATE(555),
    [sym_new_expression] = STATE(555),
    [sym_await_expression] = STATE(555),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(555),
    [sym_augmented_assignment_expression] = STATE(555),
    [sym_ternary_expression] = STATE(555),
    [sym_binary_expression] = STATE(555),
    [sym_unary_expression] = STATE(555),
    [sym_update_expression] = STATE(555),
    [sym_string] = STATE(555),
    [sym_template_string] = STATE(555),
    [sym_regex] = STATE(555),
    [sym_meta_property] = STATE(555),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(950),
    [sym_this] = ACTIONS(952),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(952),
    [sym_false] = ACTIONS(952),
    [sym_null] = ACTIONS(952),
    [sym_undefined] = ACTIONS(952),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [161] = {
    [sym_import] = STATE(549),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(549),
    [sym_yield_expression] = STATE(549),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(549),
    [sym_jsx_fragment] = STATE(549),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(549),
    [sym_class] = STATE(549),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(549),
    [sym_arrow_function] = STATE(549),
    [sym_call_expression] = STATE(549),
    [sym_new_expression] = STATE(549),
    [sym_await_expression] = STATE(549),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(549),
    [sym_augmented_assignment_expression] = STATE(549),
    [sym_ternary_expression] = STATE(549),
    [sym_binary_expression] = STATE(549),
    [sym_unary_expression] = STATE(549),
    [sym_update_expression] = STATE(549),
    [sym_string] = STATE(549),
    [sym_template_string] = STATE(549),
    [sym_regex] = STATE(549),
    [sym_meta_property] = STATE(549),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(954),
    [sym_this] = ACTIONS(956),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(956),
    [sym_false] = ACTIONS(956),
    [sym_null] = ACTIONS(956),
    [sym_undefined] = ACTIONS(956),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [162] = {
    [sym_import] = STATE(370),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(370),
    [sym_yield_expression] = STATE(370),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(370),
    [sym_jsx_fragment] = STATE(370),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(370),
    [sym_class] = STATE(370),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(370),
    [sym_arrow_function] = STATE(370),
    [sym_call_expression] = STATE(370),
    [sym_new_expression] = STATE(370),
    [sym_await_expression] = STATE(370),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(370),
    [sym_augmented_assignment_expression] = STATE(370),
    [sym_ternary_expression] = STATE(370),
    [sym_binary_expression] = STATE(370),
    [sym_unary_expression] = STATE(370),
    [sym_update_expression] = STATE(370),
    [sym_string] = STATE(370),
    [sym_template_string] = STATE(370),
    [sym_regex] = STATE(370),
    [sym_meta_property] = STATE(370),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(958),
    [sym_this] = ACTIONS(960),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_null] = ACTIONS(960),
    [sym_undefined] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [163] = {
    [sym_import] = STATE(347),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(347),
    [sym_yield_expression] = STATE(347),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(347),
    [sym_jsx_fragment] = STATE(347),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(347),
    [sym_class] = STATE(347),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(347),
    [sym_arrow_function] = STATE(347),
    [sym_call_expression] = STATE(347),
    [sym_new_expression] = STATE(347),
    [sym_await_expression] = STATE(347),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(347),
    [sym_augmented_assignment_expression] = STATE(347),
    [sym_ternary_expression] = STATE(347),
    [sym_binary_expression] = STATE(347),
    [sym_unary_expression] = STATE(347),
    [sym_update_expression] = STATE(347),
    [sym_string] = STATE(347),
    [sym_template_string] = STATE(347),
    [sym_regex] = STATE(347),
    [sym_meta_property] = STATE(347),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(962),
    [sym_this] = ACTIONS(964),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(964),
    [sym_false] = ACTIONS(964),
    [sym_null] = ACTIONS(964),
    [sym_undefined] = ACTIONS(964),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [164] = {
    [sym_import] = STATE(314),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(314),
    [sym_yield_expression] = STATE(314),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(314),
    [sym_jsx_fragment] = STATE(314),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(314),
    [sym_class] = STATE(314),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(314),
    [sym_arrow_function] = STATE(314),
    [sym_call_expression] = STATE(314),
    [sym_new_expression] = STATE(314),
    [sym_await_expression] = STATE(314),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(314),
    [sym_augmented_assignment_expression] = STATE(314),
    [sym_ternary_expression] = STATE(314),
    [sym_binary_expression] = STATE(314),
    [sym_unary_expression] = STATE(314),
    [sym_update_expression] = STATE(314),
    [sym_string] = STATE(314),
    [sym_template_string] = STATE(314),
    [sym_regex] = STATE(314),
    [sym_meta_property] = STATE(314),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(966),
    [sym_this] = ACTIONS(968),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(968),
    [sym_false] = ACTIONS(968),
    [sym_null] = ACTIONS(968),
    [sym_undefined] = ACTIONS(968),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [165] = {
    [sym_import] = STATE(455),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(455),
    [sym_yield_expression] = STATE(455),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(455),
    [sym_jsx_fragment] = STATE(455),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(455),
    [sym_class] = STATE(455),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(455),
    [sym_arrow_function] = STATE(455),
    [sym_call_expression] = STATE(455),
    [sym_new_expression] = STATE(455),
    [sym_await_expression] = STATE(455),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(455),
    [sym_augmented_assignment_expression] = STATE(455),
    [sym_ternary_expression] = STATE(455),
    [sym_binary_expression] = STATE(455),
    [sym_unary_expression] = STATE(455),
    [sym_update_expression] = STATE(455),
    [sym_string] = STATE(455),
    [sym_template_string] = STATE(455),
    [sym_regex] = STATE(455),
    [sym_meta_property] = STATE(455),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(970),
    [sym_this] = ACTIONS(972),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(972),
    [sym_false] = ACTIONS(972),
    [sym_null] = ACTIONS(972),
    [sym_undefined] = ACTIONS(972),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [166] = {
    [sym_import] = STATE(369),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(369),
    [sym_yield_expression] = STATE(369),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(369),
    [sym_jsx_fragment] = STATE(369),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(369),
    [sym_class] = STATE(369),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(369),
    [sym_arrow_function] = STATE(369),
    [sym_call_expression] = STATE(369),
    [sym_new_expression] = STATE(369),
    [sym_await_expression] = STATE(369),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(369),
    [sym_augmented_assignment_expression] = STATE(369),
    [sym_ternary_expression] = STATE(369),
    [sym_binary_expression] = STATE(369),
    [sym_unary_expression] = STATE(369),
    [sym_update_expression] = STATE(369),
    [sym_string] = STATE(369),
    [sym_template_string] = STATE(369),
    [sym_regex] = STATE(369),
    [sym_meta_property] = STATE(369),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(974),
    [sym_this] = ACTIONS(976),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(976),
    [sym_false] = ACTIONS(976),
    [sym_null] = ACTIONS(976),
    [sym_undefined] = ACTIONS(976),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [167] = {
    [sym_import] = STATE(454),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(454),
    [sym_yield_expression] = STATE(454),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(454),
    [sym_jsx_fragment] = STATE(454),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(454),
    [sym_class] = STATE(454),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(454),
    [sym_arrow_function] = STATE(454),
    [sym_call_expression] = STATE(454),
    [sym_new_expression] = STATE(454),
    [sym_await_expression] = STATE(454),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(454),
    [sym_augmented_assignment_expression] = STATE(454),
    [sym_ternary_expression] = STATE(454),
    [sym_binary_expression] = STATE(454),
    [sym_unary_expression] = STATE(454),
    [sym_update_expression] = STATE(454),
    [sym_string] = STATE(454),
    [sym_template_string] = STATE(454),
    [sym_regex] = STATE(454),
    [sym_meta_property] = STATE(454),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(978),
    [sym_this] = ACTIONS(980),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(980),
    [sym_false] = ACTIONS(980),
    [sym_null] = ACTIONS(980),
    [sym_undefined] = ACTIONS(980),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [168] = {
    [sym_import] = STATE(453),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(453),
    [sym_yield_expression] = STATE(453),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(453),
    [sym_jsx_fragment] = STATE(453),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(453),
    [sym_class] = STATE(453),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(453),
    [sym_arrow_function] = STATE(453),
    [sym_call_expression] = STATE(453),
    [sym_new_expression] = STATE(453),
    [sym_await_expression] = STATE(453),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(453),
    [sym_augmented_assignment_expression] = STATE(453),
    [sym_ternary_expression] = STATE(453),
    [sym_binary_expression] = STATE(453),
    [sym_unary_expression] = STATE(453),
    [sym_update_expression] = STATE(453),
    [sym_string] = STATE(453),
    [sym_template_string] = STATE(453),
    [sym_regex] = STATE(453),
    [sym_meta_property] = STATE(453),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(982),
    [sym_this] = ACTIONS(984),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(984),
    [sym_false] = ACTIONS(984),
    [sym_null] = ACTIONS(984),
    [sym_undefined] = ACTIONS(984),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [169] = {
    [sym_import] = STATE(331),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(331),
    [sym_yield_expression] = STATE(331),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(331),
    [sym_jsx_fragment] = STATE(331),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(331),
    [sym_class] = STATE(331),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(331),
    [sym_arrow_function] = STATE(331),
    [sym_call_expression] = STATE(331),
    [sym_new_expression] = STATE(331),
    [sym_await_expression] = STATE(331),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(331),
    [sym_augmented_assignment_expression] = STATE(331),
    [sym_ternary_expression] = STATE(331),
    [sym_binary_expression] = STATE(331),
    [sym_unary_expression] = STATE(331),
    [sym_update_expression] = STATE(331),
    [sym_string] = STATE(331),
    [sym_template_string] = STATE(331),
    [sym_regex] = STATE(331),
    [sym_meta_property] = STATE(331),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(986),
    [sym_this] = ACTIONS(988),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(988),
    [sym_false] = ACTIONS(988),
    [sym_null] = ACTIONS(988),
    [sym_undefined] = ACTIONS(988),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [170] = {
    [sym_import] = STATE(333),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(333),
    [sym_yield_expression] = STATE(333),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(333),
    [sym_jsx_fragment] = STATE(333),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(333),
    [sym_class] = STATE(333),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(333),
    [sym_arrow_function] = STATE(333),
    [sym_call_expression] = STATE(333),
    [sym_new_expression] = STATE(333),
    [sym_await_expression] = STATE(333),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(333),
    [sym_augmented_assignment_expression] = STATE(333),
    [sym_ternary_expression] = STATE(333),
    [sym_binary_expression] = STATE(333),
    [sym_unary_expression] = STATE(333),
    [sym_update_expression] = STATE(333),
    [sym_string] = STATE(333),
    [sym_template_string] = STATE(333),
    [sym_regex] = STATE(333),
    [sym_meta_property] = STATE(333),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(990),
    [sym_this] = ACTIONS(992),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(992),
    [sym_false] = ACTIONS(992),
    [sym_null] = ACTIONS(992),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [171] = {
    [sym_import] = STATE(335),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(335),
    [sym_yield_expression] = STATE(335),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(335),
    [sym_jsx_fragment] = STATE(335),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(335),
    [sym_class] = STATE(335),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(335),
    [sym_arrow_function] = STATE(335),
    [sym_call_expression] = STATE(335),
    [sym_new_expression] = STATE(335),
    [sym_await_expression] = STATE(335),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(335),
    [sym_augmented_assignment_expression] = STATE(335),
    [sym_ternary_expression] = STATE(335),
    [sym_binary_expression] = STATE(335),
    [sym_unary_expression] = STATE(335),
    [sym_update_expression] = STATE(335),
    [sym_string] = STATE(335),
    [sym_template_string] = STATE(335),
    [sym_regex] = STATE(335),
    [sym_meta_property] = STATE(335),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(996),
    [sym_false] = ACTIONS(996),
    [sym_null] = ACTIONS(996),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [172] = {
    [sym_import] = STATE(336),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(336),
    [sym_yield_expression] = STATE(336),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(336),
    [sym_jsx_fragment] = STATE(336),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(336),
    [sym_class] = STATE(336),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(336),
    [sym_arrow_function] = STATE(336),
    [sym_call_expression] = STATE(336),
    [sym_new_expression] = STATE(336),
    [sym_await_expression] = STATE(336),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(336),
    [sym_augmented_assignment_expression] = STATE(336),
    [sym_ternary_expression] = STATE(336),
    [sym_binary_expression] = STATE(336),
    [sym_unary_expression] = STATE(336),
    [sym_update_expression] = STATE(336),
    [sym_string] = STATE(336),
    [sym_template_string] = STATE(336),
    [sym_regex] = STATE(336),
    [sym_meta_property] = STATE(336),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(998),
    [sym_this] = ACTIONS(1000),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(1000),
    [sym_false] = ACTIONS(1000),
    [sym_null] = ACTIONS(1000),
    [sym_undefined] = ACTIONS(1000),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [173] = {
    [sym_import] = STATE(315),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(315),
    [sym_yield_expression] = STATE(315),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(315),
    [sym_jsx_fragment] = STATE(315),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(315),
    [sym_class] = STATE(315),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(315),
    [sym_arrow_function] = STATE(315),
    [sym_call_expression] = STATE(315),
    [sym_new_expression] = STATE(315),
    [sym_await_expression] = STATE(315),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(315),
    [sym_augmented_assignment_expression] = STATE(315),
    [sym_ternary_expression] = STATE(315),
    [sym_binary_expression] = STATE(315),
    [sym_unary_expression] = STATE(315),
    [sym_update_expression] = STATE(315),
    [sym_string] = STATE(315),
    [sym_template_string] = STATE(315),
    [sym_regex] = STATE(315),
    [sym_meta_property] = STATE(315),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(1002),
    [sym_this] = ACTIONS(1004),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(1004),
    [sym_false] = ACTIONS(1004),
    [sym_null] = ACTIONS(1004),
    [sym_undefined] = ACTIONS(1004),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [174] = {
    [sym_import] = STATE(338),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(338),
    [sym_yield_expression] = STATE(338),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(338),
    [sym_jsx_fragment] = STATE(338),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(338),
    [sym_class] = STATE(338),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(338),
    [sym_arrow_function] = STATE(338),
    [sym_call_expression] = STATE(338),
    [sym_new_expression] = STATE(338),
    [sym_await_expression] = STATE(338),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(338),
    [sym_augmented_assignment_expression] = STATE(338),
    [sym_ternary_expression] = STATE(338),
    [sym_binary_expression] = STATE(338),
    [sym_unary_expression] = STATE(338),
    [sym_update_expression] = STATE(338),
    [sym_string] = STATE(338),
    [sym_template_string] = STATE(338),
    [sym_regex] = STATE(338),
    [sym_meta_property] = STATE(338),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(1006),
    [sym_this] = ACTIONS(1008),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(1008),
    [sym_false] = ACTIONS(1008),
    [sym_null] = ACTIONS(1008),
    [sym_undefined] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [175] = {
    [sym_import] = STATE(343),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(343),
    [sym_yield_expression] = STATE(343),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(343),
    [sym_jsx_fragment] = STATE(343),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(343),
    [sym_class] = STATE(343),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(343),
    [sym_arrow_function] = STATE(343),
    [sym_call_expression] = STATE(343),
    [sym_new_expression] = STATE(343),
    [sym_await_expression] = STATE(343),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(343),
    [sym_augmented_assignment_expression] = STATE(343),
    [sym_ternary_expression] = STATE(343),
    [sym_binary_expression] = STATE(343),
    [sym_unary_expression] = STATE(343),
    [sym_update_expression] = STATE(343),
    [sym_string] = STATE(343),
    [sym_template_string] = STATE(343),
    [sym_regex] = STATE(343),
    [sym_meta_property] = STATE(343),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(1010),
    [sym_this] = ACTIONS(1012),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(1012),
    [sym_false] = ACTIONS(1012),
    [sym_null] = ACTIONS(1012),
    [sym_undefined] = ACTIONS(1012),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [176] = {
    [sym_string] = STATE(1005),
    [sym_formal_parameters] = STATE(1121),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [aux_sym_object_repeat1] = STATE(851),
    [sym_identifier] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(1016),
    [anon_sym_COMMA] = ACTIONS(1019),
    [anon_sym_RBRACE] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [anon_sym_in] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1019),
    [anon_sym_COLON] = ACTIONS(1029),
    [anon_sym_EQ] = ACTIONS(1032),
    [anon_sym_LBRACK] = ACTIONS(1034),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(1041),
    [anon_sym_EQ_GT] = ACTIONS(1043),
    [anon_sym_PLUS_EQ] = ACTIONS(1045),
    [anon_sym_DASH_EQ] = ACTIONS(1045),
    [anon_sym_STAR_EQ] = ACTIONS(1045),
    [anon_sym_SLASH_EQ] = ACTIONS(1045),
    [anon_sym_PERCENT_EQ] = ACTIONS(1045),
    [anon_sym_CARET_EQ] = ACTIONS(1045),
    [anon_sym_AMP_EQ] = ACTIONS(1045),
    [anon_sym_PIPE_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_LT_LT_EQ] = ACTIONS(1045),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1045),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1027),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [sym_number] = ACTIONS(1047),
    [anon_sym_static] = ACTIONS(1039),
    [anon_sym_get] = ACTIONS(1049),
    [anon_sym_set] = ACTIONS(1049),
    [sym__automatic_semicolon] = ACTIONS(1019),
  },
  [177] = {
    [sym_string] = STATE(1005),
    [sym_formal_parameters] = STATE(1121),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [aux_sym_object_repeat1] = STATE(855),
    [sym_identifier] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(1016),
    [anon_sym_COMMA] = ACTIONS(1019),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [anon_sym_in] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1019),
    [anon_sym_COLON] = ACTIONS(1029),
    [anon_sym_EQ] = ACTIONS(1032),
    [anon_sym_LBRACK] = ACTIONS(1034),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(1041),
    [anon_sym_EQ_GT] = ACTIONS(1043),
    [anon_sym_PLUS_EQ] = ACTIONS(1045),
    [anon_sym_DASH_EQ] = ACTIONS(1045),
    [anon_sym_STAR_EQ] = ACTIONS(1045),
    [anon_sym_SLASH_EQ] = ACTIONS(1045),
    [anon_sym_PERCENT_EQ] = ACTIONS(1045),
    [anon_sym_CARET_EQ] = ACTIONS(1045),
    [anon_sym_AMP_EQ] = ACTIONS(1045),
    [anon_sym_PIPE_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_LT_LT_EQ] = ACTIONS(1045),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1045),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1027),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [sym_number] = ACTIONS(1047),
    [anon_sym_static] = ACTIONS(1039),
    [anon_sym_get] = ACTIONS(1049),
    [anon_sym_set] = ACTIONS(1049),
    [sym__automatic_semicolon] = ACTIONS(1019),
  },
  [178] = {
    [ts_builtin_sym_end] = ACTIONS(468),
    [sym_identifier] = ACTIONS(470),
    [anon_sym_export] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_LBRACE] = ACTIONS(468),
    [anon_sym_COMMA] = ACTIONS(468),
    [anon_sym_RBRACE] = ACTIONS(468),
    [anon_sym_import] = ACTIONS(470),
    [anon_sym_var] = ACTIONS(470),
    [anon_sym_let] = ACTIONS(470),
    [anon_sym_const] = ACTIONS(470),
    [anon_sym_if] = ACTIONS(470),
    [anon_sym_else] = ACTIONS(470),
    [anon_sym_switch] = ACTIONS(470),
    [anon_sym_for] = ACTIONS(470),
    [anon_sym_LPAREN] = ACTIONS(468),
    [anon_sym_await] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(470),
    [anon_sym_do] = ACTIONS(470),
    [anon_sym_try] = ACTIONS(470),
    [anon_sym_with] = ACTIONS(470),
    [anon_sym_break] = ACTIONS(470),
    [anon_sym_continue] = ACTIONS(470),
    [anon_sym_debugger] = ACTIONS(470),
    [anon_sym_return] = ACTIONS(470),
    [anon_sym_throw] = ACTIONS(470),
    [anon_sym_SEMI] = ACTIONS(468),
    [anon_sym_case] = ACTIONS(470),
    [anon_sym_catch] = ACTIONS(470),
    [anon_sym_finally] = ACTIONS(470),
    [anon_sym_yield] = ACTIONS(470),
    [anon_sym_LBRACK] = ACTIONS(468),
    [anon_sym_LT] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_class] = ACTIONS(470),
    [anon_sym_async] = ACTIONS(470),
    [anon_sym_function] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_TILDE] = ACTIONS(468),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(468),
    [anon_sym_SQUOTE] = ACTIONS(468),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(468),
    [sym_number] = ACTIONS(468),
    [sym_this] = ACTIONS(470),
    [sym_super] = ACTIONS(470),
    [sym_true] = ACTIONS(470),
    [sym_false] = ACTIONS(470),
    [sym_null] = ACTIONS(470),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_get] = ACTIONS(470),
    [anon_sym_set] = ACTIONS(470),
    [sym__automatic_semicolon] = ACTIONS(1053),
  },
  [179] = {
    [ts_builtin_sym_end] = ACTIONS(392),
    [sym_identifier] = ACTIONS(394),
    [anon_sym_export] = ACTIONS(394),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_default] = ACTIONS(394),
    [anon_sym_LBRACE] = ACTIONS(392),
    [anon_sym_COMMA] = ACTIONS(392),
    [anon_sym_RBRACE] = ACTIONS(392),
    [anon_sym_import] = ACTIONS(394),
    [anon_sym_var] = ACTIONS(394),
    [anon_sym_let] = ACTIONS(394),
    [anon_sym_const] = ACTIONS(394),
    [anon_sym_if] = ACTIONS(394),
    [anon_sym_else] = ACTIONS(394),
    [anon_sym_switch] = ACTIONS(394),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_LPAREN] = ACTIONS(392),
    [anon_sym_await] = ACTIONS(394),
    [anon_sym_while] = ACTIONS(394),
    [anon_sym_do] = ACTIONS(394),
    [anon_sym_try] = ACTIONS(394),
    [anon_sym_with] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(394),
    [anon_sym_continue] = ACTIONS(394),
    [anon_sym_debugger] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_throw] = ACTIONS(394),
    [anon_sym_SEMI] = ACTIONS(392),
    [anon_sym_case] = ACTIONS(394),
    [anon_sym_catch] = ACTIONS(394),
    [anon_sym_finally] = ACTIONS(394),
    [anon_sym_yield] = ACTIONS(394),
    [anon_sym_LBRACK] = ACTIONS(392),
    [anon_sym_LT] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_class] = ACTIONS(394),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(394),
    [anon_sym_new] = ACTIONS(394),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(392),
    [anon_sym_TILDE] = ACTIONS(392),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(392),
    [anon_sym_DASH_DASH] = ACTIONS(392),
    [anon_sym_DQUOTE] = ACTIONS(392),
    [anon_sym_SQUOTE] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(392),
    [sym_number] = ACTIONS(392),
    [sym_this] = ACTIONS(394),
    [sym_super] = ACTIONS(394),
    [sym_true] = ACTIONS(394),
    [sym_false] = ACTIONS(394),
    [sym_null] = ACTIONS(394),
    [sym_undefined] = ACTIONS(394),
    [anon_sym_AT] = ACTIONS(392),
    [anon_sym_static] = ACTIONS(394),
    [anon_sym_get] = ACTIONS(394),
    [anon_sym_set] = ACTIONS(394),
    [sym__automatic_semicolon] = ACTIONS(400),
  },
  [180] = {
    [sym_catch_clause] = STATE(187),
    [sym_finally_clause] = STATE(226),
    [ts_builtin_sym_end] = ACTIONS(1055),
    [sym_identifier] = ACTIONS(1057),
    [anon_sym_export] = ACTIONS(1057),
    [anon_sym_default] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1055),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_import] = ACTIONS(1057),
    [anon_sym_var] = ACTIONS(1057),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_const] = ACTIONS(1057),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_else] = ACTIONS(1057),
    [anon_sym_switch] = ACTIONS(1057),
    [anon_sym_for] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_await] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1057),
    [anon_sym_do] = ACTIONS(1057),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_with] = ACTIONS(1057),
    [anon_sym_break] = ACTIONS(1057),
    [anon_sym_continue] = ACTIONS(1057),
    [anon_sym_debugger] = ACTIONS(1057),
    [anon_sym_return] = ACTIONS(1057),
    [anon_sym_throw] = ACTIONS(1057),
    [anon_sym_SEMI] = ACTIONS(1055),
    [anon_sym_case] = ACTIONS(1057),
    [anon_sym_catch] = ACTIONS(1059),
    [anon_sym_finally] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1057),
    [anon_sym_LBRACK] = ACTIONS(1055),
    [anon_sym_LT] = ACTIONS(1055),
    [anon_sym_SLASH] = ACTIONS(1057),
    [anon_sym_class] = ACTIONS(1057),
    [anon_sym_async] = ACTIONS(1057),
    [anon_sym_function] = ACTIONS(1057),
    [anon_sym_new] = ACTIONS(1057),
    [anon_sym_PLUS] = ACTIONS(1057),
    [anon_sym_DASH] = ACTIONS(1057),
    [anon_sym_BANG] = ACTIONS(1055),
    [anon_sym_TILDE] = ACTIONS(1055),
    [anon_sym_typeof] = ACTIONS(1057),
    [anon_sym_void] = ACTIONS(1057),
    [anon_sym_delete] = ACTIONS(1057),
    [anon_sym_PLUS_PLUS] = ACTIONS(1055),
    [anon_sym_DASH_DASH] = ACTIONS(1055),
    [anon_sym_DQUOTE] = ACTIONS(1055),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1055),
    [sym_number] = ACTIONS(1055),
    [sym_this] = ACTIONS(1057),
    [sym_super] = ACTIONS(1057),
    [sym_true] = ACTIONS(1057),
    [sym_false] = ACTIONS(1057),
    [sym_null] = ACTIONS(1057),
    [sym_undefined] = ACTIONS(1057),
    [anon_sym_AT] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(1057),
    [anon_sym_get] = ACTIONS(1057),
    [anon_sym_set] = ACTIONS(1057),
  },
  [181] = {
    [ts_builtin_sym_end] = ACTIONS(468),
    [sym_identifier] = ACTIONS(470),
    [anon_sym_export] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_LBRACE] = ACTIONS(468),
    [anon_sym_COMMA] = ACTIONS(468),
    [anon_sym_RBRACE] = ACTIONS(468),
    [anon_sym_import] = ACTIONS(470),
    [anon_sym_var] = ACTIONS(470),
    [anon_sym_let] = ACTIONS(470),
    [anon_sym_const] = ACTIONS(470),
    [anon_sym_if] = ACTIONS(470),
    [anon_sym_else] = ACTIONS(470),
    [anon_sym_switch] = ACTIONS(470),
    [anon_sym_for] = ACTIONS(470),
    [anon_sym_LPAREN] = ACTIONS(468),
    [anon_sym_await] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(470),
    [anon_sym_do] = ACTIONS(470),
    [anon_sym_try] = ACTIONS(470),
    [anon_sym_with] = ACTIONS(470),
    [anon_sym_break] = ACTIONS(470),
    [anon_sym_continue] = ACTIONS(470),
    [anon_sym_debugger] = ACTIONS(470),
    [anon_sym_return] = ACTIONS(470),
    [anon_sym_throw] = ACTIONS(470),
    [anon_sym_SEMI] = ACTIONS(468),
    [anon_sym_case] = ACTIONS(470),
    [anon_sym_catch] = ACTIONS(470),
    [anon_sym_finally] = ACTIONS(470),
    [anon_sym_yield] = ACTIONS(470),
    [anon_sym_LBRACK] = ACTIONS(468),
    [anon_sym_LT] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_class] = ACTIONS(470),
    [anon_sym_async] = ACTIONS(470),
    [anon_sym_function] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_TILDE] = ACTIONS(468),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(468),
    [anon_sym_SQUOTE] = ACTIONS(468),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(468),
    [sym_number] = ACTIONS(468),
    [sym_this] = ACTIONS(470),
    [sym_super] = ACTIONS(470),
    [sym_true] = ACTIONS(470),
    [sym_false] = ACTIONS(470),
    [sym_null] = ACTIONS(470),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_get] = ACTIONS(470),
    [anon_sym_set] = ACTIONS(470),
  },
  [182] = {
    [sym_string] = STATE(1005),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [aux_sym_object_repeat1] = STATE(851),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1019),
    [anon_sym_RBRACE] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_in] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1019),
    [anon_sym_COLON] = ACTIONS(1029),
    [anon_sym_EQ] = ACTIONS(1032),
    [anon_sym_LBRACK] = ACTIONS(1034),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_EQ_GT] = ACTIONS(1043),
    [anon_sym_PLUS_EQ] = ACTIONS(1045),
    [anon_sym_DASH_EQ] = ACTIONS(1045),
    [anon_sym_STAR_EQ] = ACTIONS(1045),
    [anon_sym_SLASH_EQ] = ACTIONS(1045),
    [anon_sym_PERCENT_EQ] = ACTIONS(1045),
    [anon_sym_CARET_EQ] = ACTIONS(1045),
    [anon_sym_AMP_EQ] = ACTIONS(1045),
    [anon_sym_PIPE_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_LT_LT_EQ] = ACTIONS(1045),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1045),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1027),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [sym_number] = ACTIONS(1047),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1063),
    [anon_sym_set] = ACTIONS(1063),
    [sym__automatic_semicolon] = ACTIONS(1019),
  },
  [183] = {
    [sym_string] = STATE(1005),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [aux_sym_object_repeat1] = STATE(851),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(1016),
    [anon_sym_COMMA] = ACTIONS(1019),
    [anon_sym_RBRACE] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_in] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1019),
    [anon_sym_COLON] = ACTIONS(1029),
    [anon_sym_EQ] = ACTIONS(1032),
    [anon_sym_LBRACK] = ACTIONS(1034),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1068),
    [anon_sym_EQ_GT] = ACTIONS(1043),
    [anon_sym_PLUS_EQ] = ACTIONS(1045),
    [anon_sym_DASH_EQ] = ACTIONS(1045),
    [anon_sym_STAR_EQ] = ACTIONS(1045),
    [anon_sym_SLASH_EQ] = ACTIONS(1045),
    [anon_sym_PERCENT_EQ] = ACTIONS(1045),
    [anon_sym_CARET_EQ] = ACTIONS(1045),
    [anon_sym_AMP_EQ] = ACTIONS(1045),
    [anon_sym_PIPE_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_LT_LT_EQ] = ACTIONS(1045),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1045),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1027),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [sym_number] = ACTIONS(1047),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [sym__automatic_semicolon] = ACTIONS(1019),
  },
  [184] = {
    [ts_builtin_sym_end] = ACTIONS(454),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_STAR] = ACTIONS(454),
    [anon_sym_default] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(454),
    [anon_sym_COMMA] = ACTIONS(454),
    [anon_sym_RBRACE] = ACTIONS(454),
    [anon_sym_import] = ACTIONS(456),
    [anon_sym_var] = ACTIONS(456),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_const] = ACTIONS(456),
    [anon_sym_if] = ACTIONS(456),
    [anon_sym_else] = ACTIONS(456),
    [anon_sym_switch] = ACTIONS(456),
    [anon_sym_for] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(454),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_while] = ACTIONS(456),
    [anon_sym_do] = ACTIONS(456),
    [anon_sym_try] = ACTIONS(456),
    [anon_sym_with] = ACTIONS(456),
    [anon_sym_break] = ACTIONS(456),
    [anon_sym_continue] = ACTIONS(456),
    [anon_sym_debugger] = ACTIONS(456),
    [anon_sym_return] = ACTIONS(456),
    [anon_sym_throw] = ACTIONS(456),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_case] = ACTIONS(456),
    [anon_sym_catch] = ACTIONS(456),
    [anon_sym_finally] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(456),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_LT] = ACTIONS(454),
    [anon_sym_SLASH] = ACTIONS(456),
    [anon_sym_class] = ACTIONS(456),
    [anon_sym_async] = ACTIONS(456),
    [anon_sym_function] = ACTIONS(456),
    [anon_sym_new] = ACTIONS(456),
    [anon_sym_PLUS] = ACTIONS(456),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_BANG] = ACTIONS(454),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_typeof] = ACTIONS(456),
    [anon_sym_void] = ACTIONS(456),
    [anon_sym_delete] = ACTIONS(456),
    [anon_sym_PLUS_PLUS] = ACTIONS(454),
    [anon_sym_DASH_DASH] = ACTIONS(454),
    [anon_sym_DQUOTE] = ACTIONS(454),
    [anon_sym_SQUOTE] = ACTIONS(454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(454),
    [sym_number] = ACTIONS(454),
    [sym_this] = ACTIONS(456),
    [sym_super] = ACTIONS(456),
    [sym_true] = ACTIONS(456),
    [sym_false] = ACTIONS(456),
    [sym_null] = ACTIONS(456),
    [sym_undefined] = ACTIONS(456),
    [anon_sym_AT] = ACTIONS(454),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
  },
  [185] = {
    [sym_string] = STATE(1005),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [aux_sym_object_repeat1] = STATE(855),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1019),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_in] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1019),
    [anon_sym_COLON] = ACTIONS(1029),
    [anon_sym_EQ] = ACTIONS(1032),
    [anon_sym_LBRACK] = ACTIONS(1034),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_EQ_GT] = ACTIONS(1043),
    [anon_sym_PLUS_EQ] = ACTIONS(1045),
    [anon_sym_DASH_EQ] = ACTIONS(1045),
    [anon_sym_STAR_EQ] = ACTIONS(1045),
    [anon_sym_SLASH_EQ] = ACTIONS(1045),
    [anon_sym_PERCENT_EQ] = ACTIONS(1045),
    [anon_sym_CARET_EQ] = ACTIONS(1045),
    [anon_sym_AMP_EQ] = ACTIONS(1045),
    [anon_sym_PIPE_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_LT_LT_EQ] = ACTIONS(1045),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1045),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1027),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [sym_number] = ACTIONS(1047),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1063),
    [anon_sym_set] = ACTIONS(1063),
    [sym__automatic_semicolon] = ACTIONS(1019),
  },
  [186] = {
    [sym_string] = STATE(1005),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [aux_sym_object_repeat1] = STATE(855),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(1016),
    [anon_sym_COMMA] = ACTIONS(1019),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_in] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1019),
    [anon_sym_COLON] = ACTIONS(1029),
    [anon_sym_EQ] = ACTIONS(1032),
    [anon_sym_LBRACK] = ACTIONS(1034),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1068),
    [anon_sym_EQ_GT] = ACTIONS(1043),
    [anon_sym_PLUS_EQ] = ACTIONS(1045),
    [anon_sym_DASH_EQ] = ACTIONS(1045),
    [anon_sym_STAR_EQ] = ACTIONS(1045),
    [anon_sym_SLASH_EQ] = ACTIONS(1045),
    [anon_sym_PERCENT_EQ] = ACTIONS(1045),
    [anon_sym_CARET_EQ] = ACTIONS(1045),
    [anon_sym_AMP_EQ] = ACTIONS(1045),
    [anon_sym_PIPE_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_LT_LT_EQ] = ACTIONS(1045),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1045),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1027),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [sym_number] = ACTIONS(1047),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [sym__automatic_semicolon] = ACTIONS(1019),
  },
  [187] = {
    [sym_finally_clause] = STATE(231),
    [ts_builtin_sym_end] = ACTIONS(1072),
    [sym_identifier] = ACTIONS(1074),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_default] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1072),
    [anon_sym_RBRACE] = ACTIONS(1072),
    [anon_sym_import] = ACTIONS(1074),
    [anon_sym_var] = ACTIONS(1074),
    [anon_sym_let] = ACTIONS(1074),
    [anon_sym_const] = ACTIONS(1074),
    [anon_sym_if] = ACTIONS(1074),
    [anon_sym_else] = ACTIONS(1074),
    [anon_sym_switch] = ACTIONS(1074),
    [anon_sym_for] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_await] = ACTIONS(1074),
    [anon_sym_while] = ACTIONS(1074),
    [anon_sym_do] = ACTIONS(1074),
    [anon_sym_try] = ACTIONS(1074),
    [anon_sym_with] = ACTIONS(1074),
    [anon_sym_break] = ACTIONS(1074),
    [anon_sym_continue] = ACTIONS(1074),
    [anon_sym_debugger] = ACTIONS(1074),
    [anon_sym_return] = ACTIONS(1074),
    [anon_sym_throw] = ACTIONS(1074),
    [anon_sym_SEMI] = ACTIONS(1072),
    [anon_sym_case] = ACTIONS(1074),
    [anon_sym_finally] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1074),
    [anon_sym_LBRACK] = ACTIONS(1072),
    [anon_sym_LT] = ACTIONS(1072),
    [anon_sym_SLASH] = ACTIONS(1074),
    [anon_sym_class] = ACTIONS(1074),
    [anon_sym_async] = ACTIONS(1074),
    [anon_sym_function] = ACTIONS(1074),
    [anon_sym_new] = ACTIONS(1074),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_BANG] = ACTIONS(1072),
    [anon_sym_TILDE] = ACTIONS(1072),
    [anon_sym_typeof] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1074),
    [anon_sym_delete] = ACTIONS(1074),
    [anon_sym_PLUS_PLUS] = ACTIONS(1072),
    [anon_sym_DASH_DASH] = ACTIONS(1072),
    [anon_sym_DQUOTE] = ACTIONS(1072),
    [anon_sym_SQUOTE] = ACTIONS(1072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1072),
    [sym_number] = ACTIONS(1072),
    [sym_this] = ACTIONS(1074),
    [sym_super] = ACTIONS(1074),
    [sym_true] = ACTIONS(1074),
    [sym_false] = ACTIONS(1074),
    [sym_null] = ACTIONS(1074),
    [sym_undefined] = ACTIONS(1074),
    [anon_sym_AT] = ACTIONS(1072),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_get] = ACTIONS(1074),
    [anon_sym_set] = ACTIONS(1074),
  },
  [188] = {
    [sym_arguments] = STATE(416),
    [sym_formal_parameters] = STATE(1074),
    [sym_identifier] = ACTIONS(1076),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_COMMA] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(1080),
    [anon_sym_LPAREN] = ACTIONS(1080),
    [anon_sym_RPAREN] = ACTIONS(1080),
    [anon_sym_in] = ACTIONS(1078),
    [anon_sym_COLON] = ACTIONS(1080),
    [anon_sym_EQ] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1080),
    [anon_sym_RBRACK] = ACTIONS(1080),
    [anon_sym_LT] = ACTIONS(1078),
    [anon_sym_GT] = ACTIONS(1078),
    [anon_sym_SLASH] = ACTIONS(1078),
    [anon_sym_DOT] = ACTIONS(1084),
    [anon_sym_async] = ACTIONS(1086),
    [anon_sym_function] = ACTIONS(1088),
    [anon_sym_EQ_GT] = ACTIONS(1090),
    [anon_sym_PLUS_EQ] = ACTIONS(1092),
    [anon_sym_DASH_EQ] = ACTIONS(1092),
    [anon_sym_STAR_EQ] = ACTIONS(1092),
    [anon_sym_SLASH_EQ] = ACTIONS(1092),
    [anon_sym_PERCENT_EQ] = ACTIONS(1092),
    [anon_sym_CARET_EQ] = ACTIONS(1092),
    [anon_sym_AMP_EQ] = ACTIONS(1092),
    [anon_sym_PIPE_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_LT_LT_EQ] = ACTIONS(1092),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1092),
    [anon_sym_QMARK] = ACTIONS(1080),
    [anon_sym_AMP_AMP] = ACTIONS(1080),
    [anon_sym_PIPE_PIPE] = ACTIONS(1080),
    [anon_sym_GT_GT] = ACTIONS(1078),
    [anon_sym_GT_GT_GT] = ACTIONS(1078),
    [anon_sym_LT_LT] = ACTIONS(1078),
    [anon_sym_AMP] = ACTIONS(1078),
    [anon_sym_CARET] = ACTIONS(1078),
    [anon_sym_PIPE] = ACTIONS(1078),
    [anon_sym_PLUS] = ACTIONS(1078),
    [anon_sym_DASH] = ACTIONS(1078),
    [anon_sym_PERCENT] = ACTIONS(1078),
    [anon_sym_STAR_STAR] = ACTIONS(1078),
    [anon_sym_LT_EQ] = ACTIONS(1080),
    [anon_sym_EQ_EQ] = ACTIONS(1078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1080),
    [anon_sym_BANG_EQ] = ACTIONS(1078),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1080),
    [anon_sym_GT_EQ] = ACTIONS(1080),
    [anon_sym_instanceof] = ACTIONS(1078),
    [anon_sym_PLUS_PLUS] = ACTIONS(1080),
    [anon_sym_DASH_DASH] = ACTIONS(1080),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1080),
    [anon_sym_static] = ACTIONS(1086),
    [anon_sym_get] = ACTIONS(1086),
    [anon_sym_set] = ACTIONS(1086),
  },
  [189] = {
    [ts_builtin_sym_end] = ACTIONS(414),
    [sym_identifier] = ACTIONS(416),
    [anon_sym_export] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(416),
    [anon_sym_LBRACE] = ACTIONS(414),
    [anon_sym_RBRACE] = ACTIONS(414),
    [anon_sym_import] = ACTIONS(416),
    [anon_sym_var] = ACTIONS(416),
    [anon_sym_let] = ACTIONS(416),
    [anon_sym_const] = ACTIONS(416),
    [anon_sym_if] = ACTIONS(416),
    [anon_sym_else] = ACTIONS(416),
    [anon_sym_switch] = ACTIONS(416),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_LPAREN] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_while] = ACTIONS(416),
    [anon_sym_do] = ACTIONS(416),
    [anon_sym_try] = ACTIONS(416),
    [anon_sym_with] = ACTIONS(416),
    [anon_sym_break] = ACTIONS(416),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_debugger] = ACTIONS(416),
    [anon_sym_return] = ACTIONS(416),
    [anon_sym_throw] = ACTIONS(416),
    [anon_sym_SEMI] = ACTIONS(414),
    [anon_sym_case] = ACTIONS(416),
    [anon_sym_yield] = ACTIONS(416),
    [anon_sym_LBRACK] = ACTIONS(414),
    [anon_sym_LT] = ACTIONS(414),
    [anon_sym_SLASH] = ACTIONS(416),
    [anon_sym_class] = ACTIONS(416),
    [anon_sym_async] = ACTIONS(416),
    [anon_sym_function] = ACTIONS(416),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_PLUS] = ACTIONS(416),
    [anon_sym_DASH] = ACTIONS(416),
    [anon_sym_BANG] = ACTIONS(414),
    [anon_sym_TILDE] = ACTIONS(414),
    [anon_sym_typeof] = ACTIONS(416),
    [anon_sym_void] = ACTIONS(416),
    [anon_sym_delete] = ACTIONS(416),
    [anon_sym_PLUS_PLUS] = ACTIONS(414),
    [anon_sym_DASH_DASH] = ACTIONS(414),
    [anon_sym_DQUOTE] = ACTIONS(414),
    [anon_sym_SQUOTE] = ACTIONS(414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(414),
    [sym_number] = ACTIONS(414),
    [sym_this] = ACTIONS(416),
    [sym_super] = ACTIONS(416),
    [sym_true] = ACTIONS(416),
    [sym_false] = ACTIONS(416),
    [sym_null] = ACTIONS(416),
    [sym_undefined] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(414),
    [anon_sym_static] = ACTIONS(416),
    [anon_sym_get] = ACTIONS(416),
    [anon_sym_set] = ACTIONS(416),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [190] = {
    [ts_builtin_sym_end] = ACTIONS(1094),
    [sym_identifier] = ACTIONS(1096),
    [anon_sym_export] = ACTIONS(1096),
    [anon_sym_default] = ACTIONS(1096),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_RBRACE] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(1096),
    [anon_sym_var] = ACTIONS(1096),
    [anon_sym_let] = ACTIONS(1096),
    [anon_sym_const] = ACTIONS(1096),
    [anon_sym_if] = ACTIONS(1096),
    [anon_sym_else] = ACTIONS(1096),
    [anon_sym_switch] = ACTIONS(1096),
    [anon_sym_for] = ACTIONS(1096),
    [anon_sym_LPAREN] = ACTIONS(1094),
    [anon_sym_RPAREN] = ACTIONS(1094),
    [anon_sym_await] = ACTIONS(1096),
    [anon_sym_while] = ACTIONS(1096),
    [anon_sym_do] = ACTIONS(1096),
    [anon_sym_try] = ACTIONS(1096),
    [anon_sym_with] = ACTIONS(1096),
    [anon_sym_break] = ACTIONS(1096),
    [anon_sym_continue] = ACTIONS(1096),
    [anon_sym_debugger] = ACTIONS(1096),
    [anon_sym_return] = ACTIONS(1096),
    [anon_sym_throw] = ACTIONS(1096),
    [anon_sym_SEMI] = ACTIONS(1094),
    [anon_sym_case] = ACTIONS(1096),
    [anon_sym_yield] = ACTIONS(1096),
    [anon_sym_LBRACK] = ACTIONS(1094),
    [anon_sym_LT] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(1096),
    [anon_sym_class] = ACTIONS(1096),
    [anon_sym_async] = ACTIONS(1096),
    [anon_sym_function] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1096),
    [anon_sym_PLUS] = ACTIONS(1096),
    [anon_sym_DASH] = ACTIONS(1096),
    [anon_sym_BANG] = ACTIONS(1094),
    [anon_sym_TILDE] = ACTIONS(1094),
    [anon_sym_typeof] = ACTIONS(1096),
    [anon_sym_void] = ACTIONS(1096),
    [anon_sym_delete] = ACTIONS(1096),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1094),
    [anon_sym_DQUOTE] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1094),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1094),
    [sym_number] = ACTIONS(1094),
    [sym_this] = ACTIONS(1096),
    [sym_super] = ACTIONS(1096),
    [sym_true] = ACTIONS(1096),
    [sym_false] = ACTIONS(1096),
    [sym_null] = ACTIONS(1096),
    [sym_undefined] = ACTIONS(1096),
    [anon_sym_AT] = ACTIONS(1094),
    [anon_sym_static] = ACTIONS(1096),
    [anon_sym_get] = ACTIONS(1096),
    [anon_sym_set] = ACTIONS(1096),
  },
  [191] = {
    [ts_builtin_sym_end] = ACTIONS(1098),
    [sym_identifier] = ACTIONS(1100),
    [anon_sym_export] = ACTIONS(1100),
    [anon_sym_default] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1098),
    [anon_sym_RBRACE] = ACTIONS(1098),
    [anon_sym_import] = ACTIONS(1100),
    [anon_sym_var] = ACTIONS(1100),
    [anon_sym_let] = ACTIONS(1100),
    [anon_sym_const] = ACTIONS(1100),
    [anon_sym_if] = ACTIONS(1100),
    [anon_sym_else] = ACTIONS(1100),
    [anon_sym_switch] = ACTIONS(1100),
    [anon_sym_for] = ACTIONS(1100),
    [anon_sym_LPAREN] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_while] = ACTIONS(1100),
    [anon_sym_do] = ACTIONS(1100),
    [anon_sym_try] = ACTIONS(1100),
    [anon_sym_with] = ACTIONS(1100),
    [anon_sym_break] = ACTIONS(1100),
    [anon_sym_continue] = ACTIONS(1100),
    [anon_sym_debugger] = ACTIONS(1100),
    [anon_sym_return] = ACTIONS(1100),
    [anon_sym_throw] = ACTIONS(1100),
    [anon_sym_SEMI] = ACTIONS(1098),
    [anon_sym_case] = ACTIONS(1100),
    [anon_sym_finally] = ACTIONS(1100),
    [anon_sym_yield] = ACTIONS(1100),
    [anon_sym_LBRACK] = ACTIONS(1098),
    [anon_sym_LT] = ACTIONS(1098),
    [anon_sym_SLASH] = ACTIONS(1100),
    [anon_sym_class] = ACTIONS(1100),
    [anon_sym_async] = ACTIONS(1100),
    [anon_sym_function] = ACTIONS(1100),
    [anon_sym_new] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_BANG] = ACTIONS(1098),
    [anon_sym_TILDE] = ACTIONS(1098),
    [anon_sym_typeof] = ACTIONS(1100),
    [anon_sym_void] = ACTIONS(1100),
    [anon_sym_delete] = ACTIONS(1100),
    [anon_sym_PLUS_PLUS] = ACTIONS(1098),
    [anon_sym_DASH_DASH] = ACTIONS(1098),
    [anon_sym_DQUOTE] = ACTIONS(1098),
    [anon_sym_SQUOTE] = ACTIONS(1098),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1098),
    [sym_number] = ACTIONS(1098),
    [sym_this] = ACTIONS(1100),
    [sym_super] = ACTIONS(1100),
    [sym_true] = ACTIONS(1100),
    [sym_false] = ACTIONS(1100),
    [sym_null] = ACTIONS(1100),
    [sym_undefined] = ACTIONS(1100),
    [anon_sym_AT] = ACTIONS(1098),
    [anon_sym_static] = ACTIONS(1100),
    [anon_sym_get] = ACTIONS(1100),
    [anon_sym_set] = ACTIONS(1100),
  },
  [192] = {
    [ts_builtin_sym_end] = ACTIONS(480),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_default] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(480),
    [anon_sym_RBRACE] = ACTIONS(480),
    [anon_sym_import] = ACTIONS(482),
    [anon_sym_var] = ACTIONS(482),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_const] = ACTIONS(482),
    [anon_sym_if] = ACTIONS(482),
    [anon_sym_else] = ACTIONS(482),
    [anon_sym_switch] = ACTIONS(482),
    [anon_sym_for] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(480),
    [anon_sym_await] = ACTIONS(482),
    [anon_sym_while] = ACTIONS(482),
    [anon_sym_do] = ACTIONS(482),
    [anon_sym_try] = ACTIONS(482),
    [anon_sym_with] = ACTIONS(482),
    [anon_sym_break] = ACTIONS(482),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_debugger] = ACTIONS(482),
    [anon_sym_return] = ACTIONS(482),
    [anon_sym_throw] = ACTIONS(482),
    [anon_sym_SEMI] = ACTIONS(480),
    [anon_sym_case] = ACTIONS(482),
    [anon_sym_yield] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(480),
    [anon_sym_SLASH] = ACTIONS(482),
    [anon_sym_class] = ACTIONS(482),
    [anon_sym_async] = ACTIONS(482),
    [anon_sym_function] = ACTIONS(482),
    [anon_sym_new] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(482),
    [anon_sym_DASH] = ACTIONS(482),
    [anon_sym_BANG] = ACTIONS(480),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_typeof] = ACTIONS(482),
    [anon_sym_void] = ACTIONS(482),
    [anon_sym_delete] = ACTIONS(482),
    [anon_sym_PLUS_PLUS] = ACTIONS(480),
    [anon_sym_DASH_DASH] = ACTIONS(480),
    [anon_sym_DQUOTE] = ACTIONS(480),
    [anon_sym_SQUOTE] = ACTIONS(480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(480),
    [sym_number] = ACTIONS(480),
    [sym_this] = ACTIONS(482),
    [sym_super] = ACTIONS(482),
    [sym_true] = ACTIONS(482),
    [sym_false] = ACTIONS(482),
    [sym_null] = ACTIONS(482),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(480),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym__automatic_semicolon] = ACTIONS(488),
  },
  [193] = {
    [ts_builtin_sym_end] = ACTIONS(1102),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_export] = ACTIONS(1104),
    [anon_sym_default] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_RBRACE] = ACTIONS(1102),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_var] = ACTIONS(1104),
    [anon_sym_let] = ACTIONS(1104),
    [anon_sym_const] = ACTIONS(1104),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_else] = ACTIONS(1104),
    [anon_sym_switch] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(1102),
    [anon_sym_RPAREN] = ACTIONS(1102),
    [anon_sym_await] = ACTIONS(1104),
    [anon_sym_while] = ACTIONS(1104),
    [anon_sym_do] = ACTIONS(1104),
    [anon_sym_try] = ACTIONS(1104),
    [anon_sym_with] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1104),
    [anon_sym_continue] = ACTIONS(1104),
    [anon_sym_debugger] = ACTIONS(1104),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_throw] = ACTIONS(1104),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym_case] = ACTIONS(1104),
    [anon_sym_yield] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1104),
    [anon_sym_class] = ACTIONS(1104),
    [anon_sym_async] = ACTIONS(1104),
    [anon_sym_function] = ACTIONS(1104),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1102),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_typeof] = ACTIONS(1104),
    [anon_sym_void] = ACTIONS(1104),
    [anon_sym_delete] = ACTIONS(1104),
    [anon_sym_PLUS_PLUS] = ACTIONS(1102),
    [anon_sym_DASH_DASH] = ACTIONS(1102),
    [anon_sym_DQUOTE] = ACTIONS(1102),
    [anon_sym_SQUOTE] = ACTIONS(1102),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1102),
    [sym_number] = ACTIONS(1102),
    [sym_this] = ACTIONS(1104),
    [sym_super] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [sym_null] = ACTIONS(1104),
    [sym_undefined] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1102),
    [anon_sym_static] = ACTIONS(1104),
    [anon_sym_get] = ACTIONS(1104),
    [anon_sym_set] = ACTIONS(1104),
  },
  [194] = {
    [ts_builtin_sym_end] = ACTIONS(454),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_default] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(454),
    [anon_sym_RBRACE] = ACTIONS(454),
    [anon_sym_import] = ACTIONS(456),
    [anon_sym_var] = ACTIONS(456),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_const] = ACTIONS(456),
    [anon_sym_if] = ACTIONS(456),
    [anon_sym_else] = ACTIONS(456),
    [anon_sym_switch] = ACTIONS(456),
    [anon_sym_for] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(454),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_while] = ACTIONS(456),
    [anon_sym_do] = ACTIONS(456),
    [anon_sym_try] = ACTIONS(456),
    [anon_sym_with] = ACTIONS(456),
    [anon_sym_break] = ACTIONS(456),
    [anon_sym_continue] = ACTIONS(456),
    [anon_sym_debugger] = ACTIONS(456),
    [anon_sym_return] = ACTIONS(456),
    [anon_sym_throw] = ACTIONS(456),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_case] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(456),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_LT] = ACTIONS(454),
    [anon_sym_SLASH] = ACTIONS(456),
    [anon_sym_class] = ACTIONS(456),
    [anon_sym_async] = ACTIONS(456),
    [anon_sym_function] = ACTIONS(456),
    [anon_sym_new] = ACTIONS(456),
    [anon_sym_PLUS] = ACTIONS(456),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_BANG] = ACTIONS(454),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_typeof] = ACTIONS(456),
    [anon_sym_void] = ACTIONS(456),
    [anon_sym_delete] = ACTIONS(456),
    [anon_sym_PLUS_PLUS] = ACTIONS(454),
    [anon_sym_DASH_DASH] = ACTIONS(454),
    [anon_sym_DQUOTE] = ACTIONS(454),
    [anon_sym_SQUOTE] = ACTIONS(454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(454),
    [sym_number] = ACTIONS(454),
    [sym_this] = ACTIONS(456),
    [sym_super] = ACTIONS(456),
    [sym_true] = ACTIONS(456),
    [sym_false] = ACTIONS(456),
    [sym_null] = ACTIONS(456),
    [sym_undefined] = ACTIONS(456),
    [anon_sym_AT] = ACTIONS(454),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym__automatic_semicolon] = ACTIONS(454),
  },
  [195] = {
    [ts_builtin_sym_end] = ACTIONS(404),
    [sym_identifier] = ACTIONS(406),
    [anon_sym_export] = ACTIONS(406),
    [anon_sym_default] = ACTIONS(406),
    [anon_sym_LBRACE] = ACTIONS(404),
    [anon_sym_RBRACE] = ACTIONS(404),
    [anon_sym_import] = ACTIONS(406),
    [anon_sym_var] = ACTIONS(406),
    [anon_sym_let] = ACTIONS(406),
    [anon_sym_const] = ACTIONS(406),
    [anon_sym_if] = ACTIONS(406),
    [anon_sym_else] = ACTIONS(406),
    [anon_sym_switch] = ACTIONS(406),
    [anon_sym_for] = ACTIONS(406),
    [anon_sym_LPAREN] = ACTIONS(404),
    [anon_sym_await] = ACTIONS(406),
    [anon_sym_while] = ACTIONS(406),
    [anon_sym_do] = ACTIONS(406),
    [anon_sym_try] = ACTIONS(406),
    [anon_sym_with] = ACTIONS(406),
    [anon_sym_break] = ACTIONS(406),
    [anon_sym_continue] = ACTIONS(406),
    [anon_sym_debugger] = ACTIONS(406),
    [anon_sym_return] = ACTIONS(406),
    [anon_sym_throw] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(404),
    [anon_sym_case] = ACTIONS(406),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(404),
    [anon_sym_LT] = ACTIONS(404),
    [anon_sym_SLASH] = ACTIONS(406),
    [anon_sym_class] = ACTIONS(406),
    [anon_sym_async] = ACTIONS(406),
    [anon_sym_function] = ACTIONS(406),
    [anon_sym_new] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(406),
    [anon_sym_DASH] = ACTIONS(406),
    [anon_sym_BANG] = ACTIONS(404),
    [anon_sym_TILDE] = ACTIONS(404),
    [anon_sym_typeof] = ACTIONS(406),
    [anon_sym_void] = ACTIONS(406),
    [anon_sym_delete] = ACTIONS(406),
    [anon_sym_PLUS_PLUS] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(404),
    [anon_sym_DQUOTE] = ACTIONS(404),
    [anon_sym_SQUOTE] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(404),
    [sym_number] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(406),
    [anon_sym_AT] = ACTIONS(404),
    [anon_sym_static] = ACTIONS(406),
    [anon_sym_get] = ACTIONS(406),
    [anon_sym_set] = ACTIONS(406),
    [sym__automatic_semicolon] = ACTIONS(412),
  },
  [196] = {
    [ts_builtin_sym_end] = ACTIONS(392),
    [sym_identifier] = ACTIONS(394),
    [anon_sym_export] = ACTIONS(394),
    [anon_sym_default] = ACTIONS(394),
    [anon_sym_LBRACE] = ACTIONS(392),
    [anon_sym_RBRACE] = ACTIONS(392),
    [anon_sym_import] = ACTIONS(394),
    [anon_sym_var] = ACTIONS(394),
    [anon_sym_let] = ACTIONS(394),
    [anon_sym_const] = ACTIONS(394),
    [anon_sym_if] = ACTIONS(394),
    [anon_sym_else] = ACTIONS(394),
    [anon_sym_switch] = ACTIONS(394),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_LPAREN] = ACTIONS(392),
    [anon_sym_await] = ACTIONS(394),
    [anon_sym_while] = ACTIONS(394),
    [anon_sym_do] = ACTIONS(394),
    [anon_sym_try] = ACTIONS(394),
    [anon_sym_with] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(394),
    [anon_sym_continue] = ACTIONS(394),
    [anon_sym_debugger] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_throw] = ACTIONS(394),
    [anon_sym_SEMI] = ACTIONS(392),
    [anon_sym_case] = ACTIONS(394),
    [anon_sym_yield] = ACTIONS(394),
    [anon_sym_LBRACK] = ACTIONS(392),
    [anon_sym_LT] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_class] = ACTIONS(394),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(394),
    [anon_sym_new] = ACTIONS(394),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(392),
    [anon_sym_TILDE] = ACTIONS(392),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(392),
    [anon_sym_DASH_DASH] = ACTIONS(392),
    [anon_sym_DQUOTE] = ACTIONS(392),
    [anon_sym_SQUOTE] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(392),
    [sym_number] = ACTIONS(392),
    [sym_this] = ACTIONS(394),
    [sym_super] = ACTIONS(394),
    [sym_true] = ACTIONS(394),
    [sym_false] = ACTIONS(394),
    [sym_null] = ACTIONS(394),
    [sym_undefined] = ACTIONS(394),
    [anon_sym_AT] = ACTIONS(392),
    [anon_sym_static] = ACTIONS(394),
    [anon_sym_get] = ACTIONS(394),
    [anon_sym_set] = ACTIONS(394),
    [sym__automatic_semicolon] = ACTIONS(1106),
  },
  [197] = {
    [ts_builtin_sym_end] = ACTIONS(468),
    [sym_identifier] = ACTIONS(470),
    [anon_sym_export] = ACTIONS(470),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_LBRACE] = ACTIONS(468),
    [anon_sym_RBRACE] = ACTIONS(468),
    [anon_sym_import] = ACTIONS(470),
    [anon_sym_var] = ACTIONS(470),
    [anon_sym_let] = ACTIONS(470),
    [anon_sym_const] = ACTIONS(470),
    [anon_sym_if] = ACTIONS(470),
    [anon_sym_else] = ACTIONS(470),
    [anon_sym_switch] = ACTIONS(470),
    [anon_sym_for] = ACTIONS(470),
    [anon_sym_LPAREN] = ACTIONS(468),
    [anon_sym_await] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(470),
    [anon_sym_do] = ACTIONS(470),
    [anon_sym_try] = ACTIONS(470),
    [anon_sym_with] = ACTIONS(470),
    [anon_sym_break] = ACTIONS(470),
    [anon_sym_continue] = ACTIONS(470),
    [anon_sym_debugger] = ACTIONS(470),
    [anon_sym_return] = ACTIONS(470),
    [anon_sym_throw] = ACTIONS(470),
    [anon_sym_SEMI] = ACTIONS(468),
    [anon_sym_case] = ACTIONS(470),
    [anon_sym_yield] = ACTIONS(470),
    [anon_sym_LBRACK] = ACTIONS(468),
    [anon_sym_LT] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_class] = ACTIONS(470),
    [anon_sym_async] = ACTIONS(470),
    [anon_sym_function] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_TILDE] = ACTIONS(468),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(468),
    [anon_sym_SQUOTE] = ACTIONS(468),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(468),
    [sym_number] = ACTIONS(468),
    [sym_this] = ACTIONS(470),
    [sym_super] = ACTIONS(470),
    [sym_true] = ACTIONS(470),
    [sym_false] = ACTIONS(470),
    [sym_null] = ACTIONS(470),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_get] = ACTIONS(470),
    [anon_sym_set] = ACTIONS(470),
    [sym__automatic_semicolon] = ACTIONS(468),
  },
  [198] = {
    [ts_builtin_sym_end] = ACTIONS(476),
    [sym_identifier] = ACTIONS(478),
    [anon_sym_export] = ACTIONS(478),
    [anon_sym_default] = ACTIONS(478),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(476),
    [anon_sym_import] = ACTIONS(478),
    [anon_sym_var] = ACTIONS(478),
    [anon_sym_let] = ACTIONS(478),
    [anon_sym_const] = ACTIONS(478),
    [anon_sym_if] = ACTIONS(478),
    [anon_sym_else] = ACTIONS(478),
    [anon_sym_switch] = ACTIONS(478),
    [anon_sym_for] = ACTIONS(478),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_await] = ACTIONS(478),
    [anon_sym_while] = ACTIONS(478),
    [anon_sym_do] = ACTIONS(478),
    [anon_sym_try] = ACTIONS(478),
    [anon_sym_with] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(478),
    [anon_sym_continue] = ACTIONS(478),
    [anon_sym_debugger] = ACTIONS(478),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_throw] = ACTIONS(478),
    [anon_sym_SEMI] = ACTIONS(476),
    [anon_sym_case] = ACTIONS(478),
    [anon_sym_yield] = ACTIONS(478),
    [anon_sym_LBRACK] = ACTIONS(476),
    [anon_sym_LT] = ACTIONS(476),
    [anon_sym_SLASH] = ACTIONS(478),
    [anon_sym_class] = ACTIONS(478),
    [anon_sym_async] = ACTIONS(478),
    [anon_sym_function] = ACTIONS(478),
    [anon_sym_new] = ACTIONS(478),
    [anon_sym_PLUS] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(478),
    [anon_sym_void] = ACTIONS(478),
    [anon_sym_delete] = ACTIONS(478),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [anon_sym_DQUOTE] = ACTIONS(476),
    [anon_sym_SQUOTE] = ACTIONS(476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(476),
    [sym_number] = ACTIONS(476),
    [sym_this] = ACTIONS(478),
    [sym_super] = ACTIONS(478),
    [sym_true] = ACTIONS(478),
    [sym_false] = ACTIONS(478),
    [sym_null] = ACTIONS(478),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(476),
    [anon_sym_static] = ACTIONS(478),
    [anon_sym_get] = ACTIONS(478),
    [anon_sym_set] = ACTIONS(478),
    [sym__automatic_semicolon] = ACTIONS(476),
  },
  [199] = {
    [ts_builtin_sym_end] = ACTIONS(424),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(426),
    [anon_sym_default] = ACTIONS(426),
    [anon_sym_LBRACE] = ACTIONS(424),
    [anon_sym_RBRACE] = ACTIONS(424),
    [anon_sym_import] = ACTIONS(426),
    [anon_sym_var] = ACTIONS(426),
    [anon_sym_let] = ACTIONS(426),
    [anon_sym_const] = ACTIONS(426),
    [anon_sym_if] = ACTIONS(426),
    [anon_sym_else] = ACTIONS(426),
    [anon_sym_switch] = ACTIONS(426),
    [anon_sym_for] = ACTIONS(426),
    [anon_sym_LPAREN] = ACTIONS(424),
    [anon_sym_await] = ACTIONS(426),
    [anon_sym_while] = ACTIONS(426),
    [anon_sym_do] = ACTIONS(426),
    [anon_sym_try] = ACTIONS(426),
    [anon_sym_with] = ACTIONS(426),
    [anon_sym_break] = ACTIONS(426),
    [anon_sym_continue] = ACTIONS(426),
    [anon_sym_debugger] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(426),
    [anon_sym_throw] = ACTIONS(426),
    [anon_sym_SEMI] = ACTIONS(424),
    [anon_sym_case] = ACTIONS(426),
    [anon_sym_yield] = ACTIONS(426),
    [anon_sym_LBRACK] = ACTIONS(424),
    [anon_sym_LT] = ACTIONS(424),
    [anon_sym_SLASH] = ACTIONS(426),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(426),
    [anon_sym_PLUS] = ACTIONS(426),
    [anon_sym_DASH] = ACTIONS(426),
    [anon_sym_BANG] = ACTIONS(424),
    [anon_sym_TILDE] = ACTIONS(424),
    [anon_sym_typeof] = ACTIONS(426),
    [anon_sym_void] = ACTIONS(426),
    [anon_sym_delete] = ACTIONS(426),
    [anon_sym_PLUS_PLUS] = ACTIONS(424),
    [anon_sym_DASH_DASH] = ACTIONS(424),
    [anon_sym_DQUOTE] = ACTIONS(424),
    [anon_sym_SQUOTE] = ACTIONS(424),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(424),
    [sym_number] = ACTIONS(424),
    [sym_this] = ACTIONS(426),
    [sym_super] = ACTIONS(426),
    [sym_true] = ACTIONS(426),
    [sym_false] = ACTIONS(426),
    [sym_null] = ACTIONS(426),
    [sym_undefined] = ACTIONS(426),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_static] = ACTIONS(426),
    [anon_sym_get] = ACTIONS(426),
    [anon_sym_set] = ACTIONS(426),
    [sym__automatic_semicolon] = ACTIONS(432),
  },
  [200] = {
    [ts_builtin_sym_end] = ACTIONS(444),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_default] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(444),
    [anon_sym_RBRACE] = ACTIONS(444),
    [anon_sym_import] = ACTIONS(446),
    [anon_sym_var] = ACTIONS(446),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_const] = ACTIONS(446),
    [anon_sym_if] = ACTIONS(446),
    [anon_sym_else] = ACTIONS(446),
    [anon_sym_switch] = ACTIONS(446),
    [anon_sym_for] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(444),
    [anon_sym_await] = ACTIONS(446),
    [anon_sym_while] = ACTIONS(446),
    [anon_sym_do] = ACTIONS(446),
    [anon_sym_try] = ACTIONS(446),
    [anon_sym_with] = ACTIONS(446),
    [anon_sym_break] = ACTIONS(446),
    [anon_sym_continue] = ACTIONS(446),
    [anon_sym_debugger] = ACTIONS(446),
    [anon_sym_return] = ACTIONS(446),
    [anon_sym_throw] = ACTIONS(446),
    [anon_sym_SEMI] = ACTIONS(444),
    [anon_sym_case] = ACTIONS(446),
    [anon_sym_yield] = ACTIONS(446),
    [anon_sym_LBRACK] = ACTIONS(444),
    [anon_sym_LT] = ACTIONS(444),
    [anon_sym_SLASH] = ACTIONS(446),
    [anon_sym_class] = ACTIONS(446),
    [anon_sym_async] = ACTIONS(446),
    [anon_sym_function] = ACTIONS(446),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_PLUS] = ACTIONS(446),
    [anon_sym_DASH] = ACTIONS(446),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(446),
    [anon_sym_void] = ACTIONS(446),
    [anon_sym_delete] = ACTIONS(446),
    [anon_sym_PLUS_PLUS] = ACTIONS(444),
    [anon_sym_DASH_DASH] = ACTIONS(444),
    [anon_sym_DQUOTE] = ACTIONS(444),
    [anon_sym_SQUOTE] = ACTIONS(444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(444),
    [sym_number] = ACTIONS(444),
    [sym_this] = ACTIONS(446),
    [sym_super] = ACTIONS(446),
    [sym_true] = ACTIONS(446),
    [sym_false] = ACTIONS(446),
    [sym_null] = ACTIONS(446),
    [sym_undefined] = ACTIONS(446),
    [anon_sym_AT] = ACTIONS(444),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym__automatic_semicolon] = ACTIONS(452),
  },
  [201] = {
    [ts_builtin_sym_end] = ACTIONS(472),
    [sym_identifier] = ACTIONS(474),
    [anon_sym_export] = ACTIONS(474),
    [anon_sym_default] = ACTIONS(474),
    [anon_sym_LBRACE] = ACTIONS(472),
    [anon_sym_RBRACE] = ACTIONS(472),
    [anon_sym_import] = ACTIONS(474),
    [anon_sym_var] = ACTIONS(474),
    [anon_sym_let] = ACTIONS(474),
    [anon_sym_const] = ACTIONS(474),
    [anon_sym_if] = ACTIONS(474),
    [anon_sym_else] = ACTIONS(474),
    [anon_sym_switch] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(474),
    [anon_sym_LPAREN] = ACTIONS(472),
    [anon_sym_await] = ACTIONS(474),
    [anon_sym_while] = ACTIONS(474),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(474),
    [anon_sym_with] = ACTIONS(474),
    [anon_sym_break] = ACTIONS(474),
    [anon_sym_continue] = ACTIONS(474),
    [anon_sym_debugger] = ACTIONS(474),
    [anon_sym_return] = ACTIONS(474),
    [anon_sym_throw] = ACTIONS(474),
    [anon_sym_SEMI] = ACTIONS(472),
    [anon_sym_case] = ACTIONS(474),
    [anon_sym_yield] = ACTIONS(474),
    [anon_sym_LBRACK] = ACTIONS(472),
    [anon_sym_LT] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_class] = ACTIONS(474),
    [anon_sym_async] = ACTIONS(474),
    [anon_sym_function] = ACTIONS(474),
    [anon_sym_new] = ACTIONS(474),
    [anon_sym_PLUS] = ACTIONS(474),
    [anon_sym_DASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(474),
    [anon_sym_void] = ACTIONS(474),
    [anon_sym_delete] = ACTIONS(474),
    [anon_sym_PLUS_PLUS] = ACTIONS(472),
    [anon_sym_DASH_DASH] = ACTIONS(472),
    [anon_sym_DQUOTE] = ACTIONS(472),
    [anon_sym_SQUOTE] = ACTIONS(472),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(472),
    [sym_number] = ACTIONS(472),
    [sym_this] = ACTIONS(474),
    [sym_super] = ACTIONS(474),
    [sym_true] = ACTIONS(474),
    [sym_false] = ACTIONS(474),
    [sym_null] = ACTIONS(474),
    [sym_undefined] = ACTIONS(474),
    [anon_sym_AT] = ACTIONS(472),
    [anon_sym_static] = ACTIONS(474),
    [anon_sym_get] = ACTIONS(474),
    [anon_sym_set] = ACTIONS(474),
    [sym__automatic_semicolon] = ACTIONS(472),
  },
  [202] = {
    [ts_builtin_sym_end] = ACTIONS(1108),
    [sym_identifier] = ACTIONS(1110),
    [anon_sym_export] = ACTIONS(1110),
    [anon_sym_default] = ACTIONS(1110),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_RBRACE] = ACTIONS(1108),
    [anon_sym_import] = ACTIONS(1110),
    [anon_sym_var] = ACTIONS(1110),
    [anon_sym_let] = ACTIONS(1110),
    [anon_sym_const] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1110),
    [anon_sym_else] = ACTIONS(1110),
    [anon_sym_switch] = ACTIONS(1110),
    [anon_sym_for] = ACTIONS(1110),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_await] = ACTIONS(1110),
    [anon_sym_while] = ACTIONS(1110),
    [anon_sym_do] = ACTIONS(1110),
    [anon_sym_try] = ACTIONS(1110),
    [anon_sym_with] = ACTIONS(1110),
    [anon_sym_break] = ACTIONS(1110),
    [anon_sym_continue] = ACTIONS(1110),
    [anon_sym_debugger] = ACTIONS(1110),
    [anon_sym_return] = ACTIONS(1110),
    [anon_sym_throw] = ACTIONS(1110),
    [anon_sym_SEMI] = ACTIONS(1108),
    [anon_sym_case] = ACTIONS(1110),
    [anon_sym_finally] = ACTIONS(1110),
    [anon_sym_yield] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1108),
    [anon_sym_SLASH] = ACTIONS(1110),
    [anon_sym_class] = ACTIONS(1110),
    [anon_sym_async] = ACTIONS(1110),
    [anon_sym_function] = ACTIONS(1110),
    [anon_sym_new] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1108),
    [anon_sym_typeof] = ACTIONS(1110),
    [anon_sym_void] = ACTIONS(1110),
    [anon_sym_delete] = ACTIONS(1110),
    [anon_sym_PLUS_PLUS] = ACTIONS(1108),
    [anon_sym_DASH_DASH] = ACTIONS(1108),
    [anon_sym_DQUOTE] = ACTIONS(1108),
    [anon_sym_SQUOTE] = ACTIONS(1108),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1108),
    [sym_number] = ACTIONS(1108),
    [sym_this] = ACTIONS(1110),
    [sym_super] = ACTIONS(1110),
    [sym_true] = ACTIONS(1110),
    [sym_false] = ACTIONS(1110),
    [sym_null] = ACTIONS(1110),
    [sym_undefined] = ACTIONS(1110),
    [anon_sym_AT] = ACTIONS(1108),
    [anon_sym_static] = ACTIONS(1110),
    [anon_sym_get] = ACTIONS(1110),
    [anon_sym_set] = ACTIONS(1110),
  },
  [203] = {
    [ts_builtin_sym_end] = ACTIONS(1112),
    [sym_identifier] = ACTIONS(1114),
    [anon_sym_export] = ACTIONS(1114),
    [anon_sym_default] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_import] = ACTIONS(1114),
    [anon_sym_var] = ACTIONS(1114),
    [anon_sym_let] = ACTIONS(1114),
    [anon_sym_const] = ACTIONS(1114),
    [anon_sym_if] = ACTIONS(1114),
    [anon_sym_else] = ACTIONS(1114),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1114),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_await] = ACTIONS(1114),
    [anon_sym_while] = ACTIONS(1114),
    [anon_sym_do] = ACTIONS(1114),
    [anon_sym_try] = ACTIONS(1114),
    [anon_sym_with] = ACTIONS(1114),
    [anon_sym_break] = ACTIONS(1114),
    [anon_sym_continue] = ACTIONS(1114),
    [anon_sym_debugger] = ACTIONS(1114),
    [anon_sym_return] = ACTIONS(1114),
    [anon_sym_throw] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1114),
    [anon_sym_finally] = ACTIONS(1114),
    [anon_sym_yield] = ACTIONS(1114),
    [anon_sym_LBRACK] = ACTIONS(1112),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1114),
    [anon_sym_class] = ACTIONS(1114),
    [anon_sym_async] = ACTIONS(1114),
    [anon_sym_function] = ACTIONS(1114),
    [anon_sym_new] = ACTIONS(1114),
    [anon_sym_PLUS] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_typeof] = ACTIONS(1114),
    [anon_sym_void] = ACTIONS(1114),
    [anon_sym_delete] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1112),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [sym_number] = ACTIONS(1112),
    [sym_this] = ACTIONS(1114),
    [sym_super] = ACTIONS(1114),
    [sym_true] = ACTIONS(1114),
    [sym_false] = ACTIONS(1114),
    [sym_null] = ACTIONS(1114),
    [sym_undefined] = ACTIONS(1114),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1114),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [204] = {
    [ts_builtin_sym_end] = ACTIONS(1116),
    [sym_identifier] = ACTIONS(1118),
    [anon_sym_export] = ACTIONS(1118),
    [anon_sym_default] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_RBRACE] = ACTIONS(1116),
    [anon_sym_import] = ACTIONS(1118),
    [anon_sym_var] = ACTIONS(1118),
    [anon_sym_let] = ACTIONS(1118),
    [anon_sym_const] = ACTIONS(1118),
    [anon_sym_if] = ACTIONS(1118),
    [anon_sym_else] = ACTIONS(1118),
    [anon_sym_switch] = ACTIONS(1118),
    [anon_sym_for] = ACTIONS(1118),
    [anon_sym_LPAREN] = ACTIONS(1116),
    [anon_sym_await] = ACTIONS(1118),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_do] = ACTIONS(1118),
    [anon_sym_try] = ACTIONS(1118),
    [anon_sym_with] = ACTIONS(1118),
    [anon_sym_break] = ACTIONS(1118),
    [anon_sym_continue] = ACTIONS(1118),
    [anon_sym_debugger] = ACTIONS(1118),
    [anon_sym_return] = ACTIONS(1118),
    [anon_sym_throw] = ACTIONS(1118),
    [anon_sym_SEMI] = ACTIONS(1116),
    [anon_sym_case] = ACTIONS(1118),
    [anon_sym_finally] = ACTIONS(1118),
    [anon_sym_yield] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_LT] = ACTIONS(1116),
    [anon_sym_SLASH] = ACTIONS(1118),
    [anon_sym_class] = ACTIONS(1118),
    [anon_sym_async] = ACTIONS(1118),
    [anon_sym_function] = ACTIONS(1118),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1116),
    [anon_sym_TILDE] = ACTIONS(1116),
    [anon_sym_typeof] = ACTIONS(1118),
    [anon_sym_void] = ACTIONS(1118),
    [anon_sym_delete] = ACTIONS(1118),
    [anon_sym_PLUS_PLUS] = ACTIONS(1116),
    [anon_sym_DASH_DASH] = ACTIONS(1116),
    [anon_sym_DQUOTE] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1116),
    [sym_number] = ACTIONS(1116),
    [sym_this] = ACTIONS(1118),
    [sym_super] = ACTIONS(1118),
    [sym_true] = ACTIONS(1118),
    [sym_false] = ACTIONS(1118),
    [sym_null] = ACTIONS(1118),
    [sym_undefined] = ACTIONS(1118),
    [anon_sym_AT] = ACTIONS(1116),
    [anon_sym_static] = ACTIONS(1118),
    [anon_sym_get] = ACTIONS(1118),
    [anon_sym_set] = ACTIONS(1118),
  },
  [205] = {
    [ts_builtin_sym_end] = ACTIONS(468),
    [sym_identifier] = ACTIONS(470),
    [anon_sym_export] = ACTIONS(470),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_LBRACE] = ACTIONS(468),
    [anon_sym_RBRACE] = ACTIONS(468),
    [anon_sym_import] = ACTIONS(470),
    [anon_sym_var] = ACTIONS(470),
    [anon_sym_let] = ACTIONS(470),
    [anon_sym_const] = ACTIONS(470),
    [anon_sym_if] = ACTIONS(470),
    [anon_sym_else] = ACTIONS(470),
    [anon_sym_switch] = ACTIONS(470),
    [anon_sym_for] = ACTIONS(470),
    [anon_sym_LPAREN] = ACTIONS(468),
    [anon_sym_await] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(470),
    [anon_sym_do] = ACTIONS(470),
    [anon_sym_try] = ACTIONS(470),
    [anon_sym_with] = ACTIONS(470),
    [anon_sym_break] = ACTIONS(470),
    [anon_sym_continue] = ACTIONS(470),
    [anon_sym_debugger] = ACTIONS(470),
    [anon_sym_return] = ACTIONS(470),
    [anon_sym_throw] = ACTIONS(470),
    [anon_sym_SEMI] = ACTIONS(468),
    [anon_sym_case] = ACTIONS(470),
    [anon_sym_yield] = ACTIONS(470),
    [anon_sym_LBRACK] = ACTIONS(468),
    [anon_sym_LT] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_class] = ACTIONS(470),
    [anon_sym_async] = ACTIONS(470),
    [anon_sym_function] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_TILDE] = ACTIONS(468),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(468),
    [anon_sym_SQUOTE] = ACTIONS(468),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(468),
    [sym_number] = ACTIONS(468),
    [sym_this] = ACTIONS(470),
    [sym_super] = ACTIONS(470),
    [sym_true] = ACTIONS(470),
    [sym_false] = ACTIONS(470),
    [sym_null] = ACTIONS(470),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_get] = ACTIONS(470),
    [anon_sym_set] = ACTIONS(470),
    [sym__automatic_semicolon] = ACTIONS(1120),
  },
  [206] = {
    [ts_builtin_sym_end] = ACTIONS(490),
    [sym_identifier] = ACTIONS(492),
    [anon_sym_export] = ACTIONS(492),
    [anon_sym_default] = ACTIONS(492),
    [anon_sym_LBRACE] = ACTIONS(490),
    [anon_sym_RBRACE] = ACTIONS(490),
    [anon_sym_import] = ACTIONS(492),
    [anon_sym_var] = ACTIONS(492),
    [anon_sym_let] = ACTIONS(492),
    [anon_sym_const] = ACTIONS(492),
    [anon_sym_if] = ACTIONS(492),
    [anon_sym_else] = ACTIONS(492),
    [anon_sym_switch] = ACTIONS(492),
    [anon_sym_for] = ACTIONS(492),
    [anon_sym_LPAREN] = ACTIONS(490),
    [anon_sym_await] = ACTIONS(492),
    [anon_sym_while] = ACTIONS(492),
    [anon_sym_do] = ACTIONS(492),
    [anon_sym_try] = ACTIONS(492),
    [anon_sym_with] = ACTIONS(492),
    [anon_sym_break] = ACTIONS(492),
    [anon_sym_continue] = ACTIONS(492),
    [anon_sym_debugger] = ACTIONS(492),
    [anon_sym_return] = ACTIONS(492),
    [anon_sym_throw] = ACTIONS(492),
    [anon_sym_SEMI] = ACTIONS(490),
    [anon_sym_case] = ACTIONS(492),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(490),
    [anon_sym_LT] = ACTIONS(490),
    [anon_sym_SLASH] = ACTIONS(492),
    [anon_sym_class] = ACTIONS(492),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(492),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(492),
    [anon_sym_BANG] = ACTIONS(490),
    [anon_sym_TILDE] = ACTIONS(490),
    [anon_sym_typeof] = ACTIONS(492),
    [anon_sym_void] = ACTIONS(492),
    [anon_sym_delete] = ACTIONS(492),
    [anon_sym_PLUS_PLUS] = ACTIONS(490),
    [anon_sym_DASH_DASH] = ACTIONS(490),
    [anon_sym_DQUOTE] = ACTIONS(490),
    [anon_sym_SQUOTE] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(490),
    [sym_number] = ACTIONS(490),
    [sym_this] = ACTIONS(492),
    [sym_super] = ACTIONS(492),
    [sym_true] = ACTIONS(492),
    [sym_false] = ACTIONS(492),
    [sym_null] = ACTIONS(492),
    [sym_undefined] = ACTIONS(492),
    [anon_sym_AT] = ACTIONS(490),
    [anon_sym_static] = ACTIONS(492),
    [anon_sym_get] = ACTIONS(492),
    [anon_sym_set] = ACTIONS(492),
    [sym__automatic_semicolon] = ACTIONS(498),
  },
  [207] = {
    [ts_builtin_sym_end] = ACTIONS(458),
    [sym_identifier] = ACTIONS(460),
    [anon_sym_export] = ACTIONS(460),
    [anon_sym_default] = ACTIONS(460),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(460),
    [anon_sym_var] = ACTIONS(460),
    [anon_sym_let] = ACTIONS(460),
    [anon_sym_const] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(460),
    [anon_sym_else] = ACTIONS(460),
    [anon_sym_switch] = ACTIONS(460),
    [anon_sym_for] = ACTIONS(460),
    [anon_sym_LPAREN] = ACTIONS(458),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_while] = ACTIONS(460),
    [anon_sym_do] = ACTIONS(460),
    [anon_sym_try] = ACTIONS(460),
    [anon_sym_with] = ACTIONS(460),
    [anon_sym_break] = ACTIONS(460),
    [anon_sym_continue] = ACTIONS(460),
    [anon_sym_debugger] = ACTIONS(460),
    [anon_sym_return] = ACTIONS(460),
    [anon_sym_throw] = ACTIONS(460),
    [anon_sym_SEMI] = ACTIONS(458),
    [anon_sym_case] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(458),
    [anon_sym_LT] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(460),
    [anon_sym_class] = ACTIONS(460),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(460),
    [anon_sym_new] = ACTIONS(460),
    [anon_sym_PLUS] = ACTIONS(460),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_BANG] = ACTIONS(458),
    [anon_sym_TILDE] = ACTIONS(458),
    [anon_sym_typeof] = ACTIONS(460),
    [anon_sym_void] = ACTIONS(460),
    [anon_sym_delete] = ACTIONS(460),
    [anon_sym_PLUS_PLUS] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(458),
    [anon_sym_DQUOTE] = ACTIONS(458),
    [anon_sym_SQUOTE] = ACTIONS(458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(458),
    [sym_number] = ACTIONS(458),
    [sym_this] = ACTIONS(460),
    [sym_super] = ACTIONS(460),
    [sym_true] = ACTIONS(460),
    [sym_false] = ACTIONS(460),
    [sym_null] = ACTIONS(460),
    [sym_undefined] = ACTIONS(460),
    [anon_sym_AT] = ACTIONS(458),
    [anon_sym_static] = ACTIONS(460),
    [anon_sym_get] = ACTIONS(460),
    [anon_sym_set] = ACTIONS(460),
    [sym__automatic_semicolon] = ACTIONS(466),
  },
  [208] = {
    [ts_builtin_sym_end] = ACTIONS(434),
    [sym_identifier] = ACTIONS(436),
    [anon_sym_export] = ACTIONS(436),
    [anon_sym_default] = ACTIONS(436),
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_RBRACE] = ACTIONS(434),
    [anon_sym_import] = ACTIONS(436),
    [anon_sym_var] = ACTIONS(436),
    [anon_sym_let] = ACTIONS(436),
    [anon_sym_const] = ACTIONS(436),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_else] = ACTIONS(436),
    [anon_sym_switch] = ACTIONS(436),
    [anon_sym_for] = ACTIONS(436),
    [anon_sym_LPAREN] = ACTIONS(434),
    [anon_sym_await] = ACTIONS(436),
    [anon_sym_while] = ACTIONS(436),
    [anon_sym_do] = ACTIONS(436),
    [anon_sym_try] = ACTIONS(436),
    [anon_sym_with] = ACTIONS(436),
    [anon_sym_break] = ACTIONS(436),
    [anon_sym_continue] = ACTIONS(436),
    [anon_sym_debugger] = ACTIONS(436),
    [anon_sym_return] = ACTIONS(436),
    [anon_sym_throw] = ACTIONS(436),
    [anon_sym_SEMI] = ACTIONS(434),
    [anon_sym_case] = ACTIONS(436),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LT] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(436),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(436),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_PLUS] = ACTIONS(436),
    [anon_sym_DASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(436),
    [anon_sym_void] = ACTIONS(436),
    [anon_sym_delete] = ACTIONS(436),
    [anon_sym_PLUS_PLUS] = ACTIONS(434),
    [anon_sym_DASH_DASH] = ACTIONS(434),
    [anon_sym_DQUOTE] = ACTIONS(434),
    [anon_sym_SQUOTE] = ACTIONS(434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(434),
    [sym_number] = ACTIONS(434),
    [sym_this] = ACTIONS(436),
    [sym_super] = ACTIONS(436),
    [sym_true] = ACTIONS(436),
    [sym_false] = ACTIONS(436),
    [sym_null] = ACTIONS(436),
    [sym_undefined] = ACTIONS(436),
    [anon_sym_AT] = ACTIONS(434),
    [anon_sym_static] = ACTIONS(436),
    [anon_sym_get] = ACTIONS(436),
    [anon_sym_set] = ACTIONS(436),
    [sym__automatic_semicolon] = ACTIONS(442),
  },
  [209] = {
    [ts_builtin_sym_end] = ACTIONS(1122),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(1124),
    [anon_sym_default] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_RBRACE] = ACTIONS(1122),
    [anon_sym_import] = ACTIONS(1124),
    [anon_sym_var] = ACTIONS(1124),
    [anon_sym_let] = ACTIONS(1124),
    [anon_sym_const] = ACTIONS(1124),
    [anon_sym_if] = ACTIONS(1124),
    [anon_sym_else] = ACTIONS(1124),
    [anon_sym_switch] = ACTIONS(1124),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [anon_sym_await] = ACTIONS(1124),
    [anon_sym_while] = ACTIONS(1124),
    [anon_sym_do] = ACTIONS(1124),
    [anon_sym_try] = ACTIONS(1124),
    [anon_sym_with] = ACTIONS(1124),
    [anon_sym_break] = ACTIONS(1124),
    [anon_sym_continue] = ACTIONS(1124),
    [anon_sym_debugger] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1124),
    [anon_sym_throw] = ACTIONS(1124),
    [anon_sym_SEMI] = ACTIONS(1122),
    [anon_sym_case] = ACTIONS(1124),
    [anon_sym_yield] = ACTIONS(1124),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_LT] = ACTIONS(1122),
    [anon_sym_SLASH] = ACTIONS(1124),
    [anon_sym_class] = ACTIONS(1124),
    [anon_sym_async] = ACTIONS(1124),
    [anon_sym_function] = ACTIONS(1124),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_BANG] = ACTIONS(1122),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_typeof] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1124),
    [anon_sym_delete] = ACTIONS(1124),
    [anon_sym_PLUS_PLUS] = ACTIONS(1122),
    [anon_sym_DASH_DASH] = ACTIONS(1122),
    [anon_sym_DQUOTE] = ACTIONS(1122),
    [anon_sym_SQUOTE] = ACTIONS(1122),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1122),
    [sym_number] = ACTIONS(1122),
    [sym_this] = ACTIONS(1124),
    [sym_super] = ACTIONS(1124),
    [sym_true] = ACTIONS(1124),
    [sym_false] = ACTIONS(1124),
    [sym_null] = ACTIONS(1124),
    [sym_undefined] = ACTIONS(1124),
    [anon_sym_AT] = ACTIONS(1122),
    [anon_sym_static] = ACTIONS(1124),
    [anon_sym_get] = ACTIONS(1124),
    [anon_sym_set] = ACTIONS(1124),
  },
  [210] = {
    [ts_builtin_sym_end] = ACTIONS(1126),
    [sym_identifier] = ACTIONS(1128),
    [anon_sym_export] = ACTIONS(1128),
    [anon_sym_default] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1126),
    [anon_sym_RBRACE] = ACTIONS(1126),
    [anon_sym_import] = ACTIONS(1128),
    [anon_sym_var] = ACTIONS(1128),
    [anon_sym_let] = ACTIONS(1128),
    [anon_sym_const] = ACTIONS(1128),
    [anon_sym_if] = ACTIONS(1128),
    [anon_sym_else] = ACTIONS(1128),
    [anon_sym_switch] = ACTIONS(1128),
    [anon_sym_for] = ACTIONS(1128),
    [anon_sym_LPAREN] = ACTIONS(1126),
    [anon_sym_await] = ACTIONS(1128),
    [anon_sym_while] = ACTIONS(1128),
    [anon_sym_do] = ACTIONS(1128),
    [anon_sym_try] = ACTIONS(1128),
    [anon_sym_with] = ACTIONS(1128),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1128),
    [anon_sym_debugger] = ACTIONS(1128),
    [anon_sym_return] = ACTIONS(1128),
    [anon_sym_throw] = ACTIONS(1128),
    [anon_sym_SEMI] = ACTIONS(1126),
    [anon_sym_case] = ACTIONS(1128),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(1126),
    [anon_sym_LT] = ACTIONS(1126),
    [anon_sym_SLASH] = ACTIONS(1128),
    [anon_sym_class] = ACTIONS(1128),
    [anon_sym_async] = ACTIONS(1128),
    [anon_sym_function] = ACTIONS(1128),
    [anon_sym_new] = ACTIONS(1128),
    [anon_sym_PLUS] = ACTIONS(1128),
    [anon_sym_DASH] = ACTIONS(1128),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_TILDE] = ACTIONS(1126),
    [anon_sym_typeof] = ACTIONS(1128),
    [anon_sym_void] = ACTIONS(1128),
    [anon_sym_delete] = ACTIONS(1128),
    [anon_sym_PLUS_PLUS] = ACTIONS(1126),
    [anon_sym_DASH_DASH] = ACTIONS(1126),
    [anon_sym_DQUOTE] = ACTIONS(1126),
    [anon_sym_SQUOTE] = ACTIONS(1126),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1126),
    [sym_number] = ACTIONS(1126),
    [sym_this] = ACTIONS(1128),
    [sym_super] = ACTIONS(1128),
    [sym_true] = ACTIONS(1128),
    [sym_false] = ACTIONS(1128),
    [sym_null] = ACTIONS(1128),
    [sym_undefined] = ACTIONS(1128),
    [anon_sym_AT] = ACTIONS(1126),
    [anon_sym_static] = ACTIONS(1128),
    [anon_sym_get] = ACTIONS(1128),
    [anon_sym_set] = ACTIONS(1128),
  },
  [211] = {
    [ts_builtin_sym_end] = ACTIONS(1130),
    [sym_identifier] = ACTIONS(1132),
    [anon_sym_export] = ACTIONS(1132),
    [anon_sym_default] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [anon_sym_import] = ACTIONS(1132),
    [anon_sym_var] = ACTIONS(1132),
    [anon_sym_let] = ACTIONS(1132),
    [anon_sym_const] = ACTIONS(1132),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_else] = ACTIONS(1132),
    [anon_sym_switch] = ACTIONS(1132),
    [anon_sym_for] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1130),
    [anon_sym_await] = ACTIONS(1132),
    [anon_sym_while] = ACTIONS(1132),
    [anon_sym_do] = ACTIONS(1132),
    [anon_sym_try] = ACTIONS(1132),
    [anon_sym_with] = ACTIONS(1132),
    [anon_sym_break] = ACTIONS(1132),
    [anon_sym_continue] = ACTIONS(1132),
    [anon_sym_debugger] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1132),
    [anon_sym_throw] = ACTIONS(1132),
    [anon_sym_SEMI] = ACTIONS(1130),
    [anon_sym_case] = ACTIONS(1132),
    [anon_sym_yield] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_LT] = ACTIONS(1130),
    [anon_sym_SLASH] = ACTIONS(1132),
    [anon_sym_class] = ACTIONS(1132),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(1132),
    [anon_sym_new] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1130),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_typeof] = ACTIONS(1132),
    [anon_sym_void] = ACTIONS(1132),
    [anon_sym_delete] = ACTIONS(1132),
    [anon_sym_PLUS_PLUS] = ACTIONS(1130),
    [anon_sym_DASH_DASH] = ACTIONS(1130),
    [anon_sym_DQUOTE] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1130),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1130),
    [sym_number] = ACTIONS(1130),
    [sym_this] = ACTIONS(1132),
    [sym_super] = ACTIONS(1132),
    [sym_true] = ACTIONS(1132),
    [sym_false] = ACTIONS(1132),
    [sym_null] = ACTIONS(1132),
    [sym_undefined] = ACTIONS(1132),
    [anon_sym_AT] = ACTIONS(1130),
    [anon_sym_static] = ACTIONS(1132),
    [anon_sym_get] = ACTIONS(1132),
    [anon_sym_set] = ACTIONS(1132),
  },
  [212] = {
    [ts_builtin_sym_end] = ACTIONS(1134),
    [sym_identifier] = ACTIONS(1136),
    [anon_sym_export] = ACTIONS(1136),
    [anon_sym_default] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [anon_sym_import] = ACTIONS(1136),
    [anon_sym_var] = ACTIONS(1136),
    [anon_sym_let] = ACTIONS(1136),
    [anon_sym_const] = ACTIONS(1136),
    [anon_sym_if] = ACTIONS(1136),
    [anon_sym_else] = ACTIONS(1136),
    [anon_sym_switch] = ACTIONS(1136),
    [anon_sym_for] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1134),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_while] = ACTIONS(1136),
    [anon_sym_do] = ACTIONS(1136),
    [anon_sym_try] = ACTIONS(1136),
    [anon_sym_with] = ACTIONS(1136),
    [anon_sym_break] = ACTIONS(1136),
    [anon_sym_continue] = ACTIONS(1136),
    [anon_sym_debugger] = ACTIONS(1136),
    [anon_sym_return] = ACTIONS(1136),
    [anon_sym_throw] = ACTIONS(1136),
    [anon_sym_SEMI] = ACTIONS(1134),
    [anon_sym_case] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_LT] = ACTIONS(1134),
    [anon_sym_SLASH] = ACTIONS(1136),
    [anon_sym_class] = ACTIONS(1136),
    [anon_sym_async] = ACTIONS(1136),
    [anon_sym_function] = ACTIONS(1136),
    [anon_sym_new] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_typeof] = ACTIONS(1136),
    [anon_sym_void] = ACTIONS(1136),
    [anon_sym_delete] = ACTIONS(1136),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [anon_sym_SQUOTE] = ACTIONS(1134),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1134),
    [sym_number] = ACTIONS(1134),
    [sym_this] = ACTIONS(1136),
    [sym_super] = ACTIONS(1136),
    [sym_true] = ACTIONS(1136),
    [sym_false] = ACTIONS(1136),
    [sym_null] = ACTIONS(1136),
    [sym_undefined] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(1134),
    [anon_sym_static] = ACTIONS(1136),
    [anon_sym_get] = ACTIONS(1136),
    [anon_sym_set] = ACTIONS(1136),
  },
  [213] = {
    [ts_builtin_sym_end] = ACTIONS(1138),
    [sym_identifier] = ACTIONS(1140),
    [anon_sym_export] = ACTIONS(1140),
    [anon_sym_default] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_RBRACE] = ACTIONS(1138),
    [anon_sym_import] = ACTIONS(1140),
    [anon_sym_var] = ACTIONS(1140),
    [anon_sym_let] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1140),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_else] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1140),
    [anon_sym_for] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1138),
    [anon_sym_await] = ACTIONS(1140),
    [anon_sym_while] = ACTIONS(1140),
    [anon_sym_do] = ACTIONS(1140),
    [anon_sym_try] = ACTIONS(1140),
    [anon_sym_with] = ACTIONS(1140),
    [anon_sym_break] = ACTIONS(1140),
    [anon_sym_continue] = ACTIONS(1140),
    [anon_sym_debugger] = ACTIONS(1140),
    [anon_sym_return] = ACTIONS(1140),
    [anon_sym_throw] = ACTIONS(1140),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_case] = ACTIONS(1140),
    [anon_sym_yield] = ACTIONS(1140),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_LT] = ACTIONS(1138),
    [anon_sym_SLASH] = ACTIONS(1140),
    [anon_sym_class] = ACTIONS(1140),
    [anon_sym_async] = ACTIONS(1140),
    [anon_sym_function] = ACTIONS(1140),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_typeof] = ACTIONS(1140),
    [anon_sym_void] = ACTIONS(1140),
    [anon_sym_delete] = ACTIONS(1140),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [anon_sym_SQUOTE] = ACTIONS(1138),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1138),
    [sym_number] = ACTIONS(1138),
    [sym_this] = ACTIONS(1140),
    [sym_super] = ACTIONS(1140),
    [sym_true] = ACTIONS(1140),
    [sym_false] = ACTIONS(1140),
    [sym_null] = ACTIONS(1140),
    [sym_undefined] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1138),
    [anon_sym_static] = ACTIONS(1140),
    [anon_sym_get] = ACTIONS(1140),
    [anon_sym_set] = ACTIONS(1140),
  },
  [214] = {
    [ts_builtin_sym_end] = ACTIONS(1142),
    [sym_identifier] = ACTIONS(1144),
    [anon_sym_export] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(1144),
    [anon_sym_var] = ACTIONS(1144),
    [anon_sym_let] = ACTIONS(1144),
    [anon_sym_const] = ACTIONS(1144),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_else] = ACTIONS(1144),
    [anon_sym_switch] = ACTIONS(1144),
    [anon_sym_for] = ACTIONS(1144),
    [anon_sym_LPAREN] = ACTIONS(1142),
    [anon_sym_await] = ACTIONS(1144),
    [anon_sym_while] = ACTIONS(1144),
    [anon_sym_do] = ACTIONS(1144),
    [anon_sym_try] = ACTIONS(1144),
    [anon_sym_with] = ACTIONS(1144),
    [anon_sym_break] = ACTIONS(1144),
    [anon_sym_continue] = ACTIONS(1144),
    [anon_sym_debugger] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1144),
    [anon_sym_throw] = ACTIONS(1144),
    [anon_sym_SEMI] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_yield] = ACTIONS(1144),
    [anon_sym_LBRACK] = ACTIONS(1142),
    [anon_sym_LT] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(1144),
    [anon_sym_class] = ACTIONS(1144),
    [anon_sym_async] = ACTIONS(1144),
    [anon_sym_function] = ACTIONS(1144),
    [anon_sym_new] = ACTIONS(1144),
    [anon_sym_PLUS] = ACTIONS(1144),
    [anon_sym_DASH] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_typeof] = ACTIONS(1144),
    [anon_sym_void] = ACTIONS(1144),
    [anon_sym_delete] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [anon_sym_SQUOTE] = ACTIONS(1142),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1142),
    [sym_number] = ACTIONS(1142),
    [sym_this] = ACTIONS(1144),
    [sym_super] = ACTIONS(1144),
    [sym_true] = ACTIONS(1144),
    [sym_false] = ACTIONS(1144),
    [sym_null] = ACTIONS(1144),
    [sym_undefined] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1142),
    [anon_sym_static] = ACTIONS(1144),
    [anon_sym_get] = ACTIONS(1144),
    [anon_sym_set] = ACTIONS(1144),
  },
  [215] = {
    [ts_builtin_sym_end] = ACTIONS(1146),
    [sym_identifier] = ACTIONS(1148),
    [anon_sym_export] = ACTIONS(1148),
    [anon_sym_default] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1146),
    [anon_sym_RBRACE] = ACTIONS(1146),
    [anon_sym_import] = ACTIONS(1148),
    [anon_sym_var] = ACTIONS(1148),
    [anon_sym_let] = ACTIONS(1148),
    [anon_sym_const] = ACTIONS(1148),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_switch] = ACTIONS(1148),
    [anon_sym_for] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(1146),
    [anon_sym_await] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1148),
    [anon_sym_with] = ACTIONS(1148),
    [anon_sym_break] = ACTIONS(1148),
    [anon_sym_continue] = ACTIONS(1148),
    [anon_sym_debugger] = ACTIONS(1148),
    [anon_sym_return] = ACTIONS(1148),
    [anon_sym_throw] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1146),
    [anon_sym_case] = ACTIONS(1148),
    [anon_sym_yield] = ACTIONS(1148),
    [anon_sym_LBRACK] = ACTIONS(1146),
    [anon_sym_LT] = ACTIONS(1146),
    [anon_sym_SLASH] = ACTIONS(1148),
    [anon_sym_class] = ACTIONS(1148),
    [anon_sym_async] = ACTIONS(1148),
    [anon_sym_function] = ACTIONS(1148),
    [anon_sym_new] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1146),
    [anon_sym_typeof] = ACTIONS(1148),
    [anon_sym_void] = ACTIONS(1148),
    [anon_sym_delete] = ACTIONS(1148),
    [anon_sym_PLUS_PLUS] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1146),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1146),
    [sym_number] = ACTIONS(1146),
    [sym_this] = ACTIONS(1148),
    [sym_super] = ACTIONS(1148),
    [sym_true] = ACTIONS(1148),
    [sym_false] = ACTIONS(1148),
    [sym_null] = ACTIONS(1148),
    [sym_undefined] = ACTIONS(1148),
    [anon_sym_AT] = ACTIONS(1146),
    [anon_sym_static] = ACTIONS(1148),
    [anon_sym_get] = ACTIONS(1148),
    [anon_sym_set] = ACTIONS(1148),
  },
  [216] = {
    [ts_builtin_sym_end] = ACTIONS(1150),
    [sym_identifier] = ACTIONS(1152),
    [anon_sym_export] = ACTIONS(1152),
    [anon_sym_default] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1150),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [anon_sym_import] = ACTIONS(1152),
    [anon_sym_var] = ACTIONS(1152),
    [anon_sym_let] = ACTIONS(1152),
    [anon_sym_const] = ACTIONS(1152),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_else] = ACTIONS(1152),
    [anon_sym_switch] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_LPAREN] = ACTIONS(1150),
    [anon_sym_await] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(1152),
    [anon_sym_try] = ACTIONS(1152),
    [anon_sym_with] = ACTIONS(1152),
    [anon_sym_break] = ACTIONS(1152),
    [anon_sym_continue] = ACTIONS(1152),
    [anon_sym_debugger] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1152),
    [anon_sym_throw] = ACTIONS(1152),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_case] = ACTIONS(1152),
    [anon_sym_yield] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_LT] = ACTIONS(1150),
    [anon_sym_SLASH] = ACTIONS(1152),
    [anon_sym_class] = ACTIONS(1152),
    [anon_sym_async] = ACTIONS(1152),
    [anon_sym_function] = ACTIONS(1152),
    [anon_sym_new] = ACTIONS(1152),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_BANG] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1150),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1150),
    [anon_sym_DASH_DASH] = ACTIONS(1150),
    [anon_sym_DQUOTE] = ACTIONS(1150),
    [anon_sym_SQUOTE] = ACTIONS(1150),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1150),
    [sym_number] = ACTIONS(1150),
    [sym_this] = ACTIONS(1152),
    [sym_super] = ACTIONS(1152),
    [sym_true] = ACTIONS(1152),
    [sym_false] = ACTIONS(1152),
    [sym_null] = ACTIONS(1152),
    [sym_undefined] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(1150),
    [anon_sym_static] = ACTIONS(1152),
    [anon_sym_get] = ACTIONS(1152),
    [anon_sym_set] = ACTIONS(1152),
  },
  [217] = {
    [ts_builtin_sym_end] = ACTIONS(1154),
    [sym_identifier] = ACTIONS(1156),
    [anon_sym_export] = ACTIONS(1156),
    [anon_sym_default] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(1154),
    [anon_sym_RBRACE] = ACTIONS(1154),
    [anon_sym_import] = ACTIONS(1156),
    [anon_sym_var] = ACTIONS(1156),
    [anon_sym_let] = ACTIONS(1156),
    [anon_sym_const] = ACTIONS(1156),
    [anon_sym_if] = ACTIONS(1156),
    [anon_sym_else] = ACTIONS(1156),
    [anon_sym_switch] = ACTIONS(1156),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_LPAREN] = ACTIONS(1154),
    [anon_sym_await] = ACTIONS(1156),
    [anon_sym_while] = ACTIONS(1156),
    [anon_sym_do] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_with] = ACTIONS(1156),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1156),
    [anon_sym_debugger] = ACTIONS(1156),
    [anon_sym_return] = ACTIONS(1156),
    [anon_sym_throw] = ACTIONS(1156),
    [anon_sym_SEMI] = ACTIONS(1154),
    [anon_sym_case] = ACTIONS(1156),
    [anon_sym_yield] = ACTIONS(1156),
    [anon_sym_LBRACK] = ACTIONS(1154),
    [anon_sym_LT] = ACTIONS(1154),
    [anon_sym_SLASH] = ACTIONS(1156),
    [anon_sym_class] = ACTIONS(1156),
    [anon_sym_async] = ACTIONS(1156),
    [anon_sym_function] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(1156),
    [anon_sym_PLUS] = ACTIONS(1156),
    [anon_sym_DASH] = ACTIONS(1156),
    [anon_sym_BANG] = ACTIONS(1154),
    [anon_sym_TILDE] = ACTIONS(1154),
    [anon_sym_typeof] = ACTIONS(1156),
    [anon_sym_void] = ACTIONS(1156),
    [anon_sym_delete] = ACTIONS(1156),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [anon_sym_DQUOTE] = ACTIONS(1154),
    [anon_sym_SQUOTE] = ACTIONS(1154),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1154),
    [sym_number] = ACTIONS(1154),
    [sym_this] = ACTIONS(1156),
    [sym_super] = ACTIONS(1156),
    [sym_true] = ACTIONS(1156),
    [sym_false] = ACTIONS(1156),
    [sym_null] = ACTIONS(1156),
    [sym_undefined] = ACTIONS(1156),
    [anon_sym_AT] = ACTIONS(1154),
    [anon_sym_static] = ACTIONS(1156),
    [anon_sym_get] = ACTIONS(1156),
    [anon_sym_set] = ACTIONS(1156),
  },
  [218] = {
    [ts_builtin_sym_end] = ACTIONS(1158),
    [sym_identifier] = ACTIONS(1160),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_default] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1158),
    [anon_sym_RBRACE] = ACTIONS(1158),
    [anon_sym_import] = ACTIONS(1160),
    [anon_sym_var] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_const] = ACTIONS(1160),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_else] = ACTIONS(1160),
    [anon_sym_switch] = ACTIONS(1160),
    [anon_sym_for] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(1158),
    [anon_sym_await] = ACTIONS(1160),
    [anon_sym_while] = ACTIONS(1160),
    [anon_sym_do] = ACTIONS(1160),
    [anon_sym_try] = ACTIONS(1160),
    [anon_sym_with] = ACTIONS(1160),
    [anon_sym_break] = ACTIONS(1160),
    [anon_sym_continue] = ACTIONS(1160),
    [anon_sym_debugger] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1160),
    [anon_sym_throw] = ACTIONS(1160),
    [anon_sym_SEMI] = ACTIONS(1158),
    [anon_sym_case] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1160),
    [anon_sym_LBRACK] = ACTIONS(1158),
    [anon_sym_LT] = ACTIONS(1158),
    [anon_sym_SLASH] = ACTIONS(1160),
    [anon_sym_class] = ACTIONS(1160),
    [anon_sym_async] = ACTIONS(1160),
    [anon_sym_function] = ACTIONS(1160),
    [anon_sym_new] = ACTIONS(1160),
    [anon_sym_PLUS] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1158),
    [anon_sym_typeof] = ACTIONS(1160),
    [anon_sym_void] = ACTIONS(1160),
    [anon_sym_delete] = ACTIONS(1160),
    [anon_sym_PLUS_PLUS] = ACTIONS(1158),
    [anon_sym_DASH_DASH] = ACTIONS(1158),
    [anon_sym_DQUOTE] = ACTIONS(1158),
    [anon_sym_SQUOTE] = ACTIONS(1158),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1158),
    [sym_number] = ACTIONS(1158),
    [sym_this] = ACTIONS(1160),
    [sym_super] = ACTIONS(1160),
    [sym_true] = ACTIONS(1160),
    [sym_false] = ACTIONS(1160),
    [sym_null] = ACTIONS(1160),
    [sym_undefined] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(1158),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
  },
  [219] = {
    [ts_builtin_sym_end] = ACTIONS(1162),
    [sym_identifier] = ACTIONS(1164),
    [anon_sym_export] = ACTIONS(1164),
    [anon_sym_default] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1162),
    [anon_sym_RBRACE] = ACTIONS(1162),
    [anon_sym_import] = ACTIONS(1164),
    [anon_sym_var] = ACTIONS(1164),
    [anon_sym_let] = ACTIONS(1164),
    [anon_sym_const] = ACTIONS(1164),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_switch] = ACTIONS(1164),
    [anon_sym_for] = ACTIONS(1164),
    [anon_sym_LPAREN] = ACTIONS(1162),
    [anon_sym_await] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(1164),
    [anon_sym_do] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1164),
    [anon_sym_with] = ACTIONS(1164),
    [anon_sym_break] = ACTIONS(1164),
    [anon_sym_continue] = ACTIONS(1164),
    [anon_sym_debugger] = ACTIONS(1164),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1164),
    [anon_sym_SEMI] = ACTIONS(1162),
    [anon_sym_case] = ACTIONS(1164),
    [anon_sym_yield] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(1162),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_SLASH] = ACTIONS(1164),
    [anon_sym_class] = ACTIONS(1164),
    [anon_sym_async] = ACTIONS(1164),
    [anon_sym_function] = ACTIONS(1164),
    [anon_sym_new] = ACTIONS(1164),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1162),
    [anon_sym_typeof] = ACTIONS(1164),
    [anon_sym_void] = ACTIONS(1164),
    [anon_sym_delete] = ACTIONS(1164),
    [anon_sym_PLUS_PLUS] = ACTIONS(1162),
    [anon_sym_DASH_DASH] = ACTIONS(1162),
    [anon_sym_DQUOTE] = ACTIONS(1162),
    [anon_sym_SQUOTE] = ACTIONS(1162),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1162),
    [sym_number] = ACTIONS(1162),
    [sym_this] = ACTIONS(1164),
    [sym_super] = ACTIONS(1164),
    [sym_true] = ACTIONS(1164),
    [sym_false] = ACTIONS(1164),
    [sym_null] = ACTIONS(1164),
    [sym_undefined] = ACTIONS(1164),
    [anon_sym_AT] = ACTIONS(1162),
    [anon_sym_static] = ACTIONS(1164),
    [anon_sym_get] = ACTIONS(1164),
    [anon_sym_set] = ACTIONS(1164),
  },
  [220] = {
    [ts_builtin_sym_end] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_export] = ACTIONS(1168),
    [anon_sym_default] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [anon_sym_import] = ACTIONS(1168),
    [anon_sym_var] = ACTIONS(1168),
    [anon_sym_let] = ACTIONS(1168),
    [anon_sym_const] = ACTIONS(1168),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_else] = ACTIONS(1168),
    [anon_sym_switch] = ACTIONS(1168),
    [anon_sym_for] = ACTIONS(1168),
    [anon_sym_LPAREN] = ACTIONS(1166),
    [anon_sym_await] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_try] = ACTIONS(1168),
    [anon_sym_with] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_continue] = ACTIONS(1168),
    [anon_sym_debugger] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1168),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_case] = ACTIONS(1168),
    [anon_sym_yield] = ACTIONS(1168),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_LT] = ACTIONS(1166),
    [anon_sym_SLASH] = ACTIONS(1168),
    [anon_sym_class] = ACTIONS(1168),
    [anon_sym_async] = ACTIONS(1168),
    [anon_sym_function] = ACTIONS(1168),
    [anon_sym_new] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1168),
    [anon_sym_void] = ACTIONS(1168),
    [anon_sym_delete] = ACTIONS(1168),
    [anon_sym_PLUS_PLUS] = ACTIONS(1166),
    [anon_sym_DASH_DASH] = ACTIONS(1166),
    [anon_sym_DQUOTE] = ACTIONS(1166),
    [anon_sym_SQUOTE] = ACTIONS(1166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1166),
    [sym_number] = ACTIONS(1166),
    [sym_this] = ACTIONS(1168),
    [sym_super] = ACTIONS(1168),
    [sym_true] = ACTIONS(1168),
    [sym_false] = ACTIONS(1168),
    [sym_null] = ACTIONS(1168),
    [sym_undefined] = ACTIONS(1168),
    [anon_sym_AT] = ACTIONS(1166),
    [anon_sym_static] = ACTIONS(1168),
    [anon_sym_get] = ACTIONS(1168),
    [anon_sym_set] = ACTIONS(1168),
  },
  [221] = {
    [ts_builtin_sym_end] = ACTIONS(1170),
    [sym_identifier] = ACTIONS(1172),
    [anon_sym_export] = ACTIONS(1172),
    [anon_sym_default] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_RBRACE] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(1172),
    [anon_sym_var] = ACTIONS(1172),
    [anon_sym_let] = ACTIONS(1172),
    [anon_sym_const] = ACTIONS(1172),
    [anon_sym_if] = ACTIONS(1172),
    [anon_sym_else] = ACTIONS(1172),
    [anon_sym_switch] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_LPAREN] = ACTIONS(1170),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_do] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1172),
    [anon_sym_with] = ACTIONS(1172),
    [anon_sym_break] = ACTIONS(1172),
    [anon_sym_continue] = ACTIONS(1172),
    [anon_sym_debugger] = ACTIONS(1172),
    [anon_sym_return] = ACTIONS(1172),
    [anon_sym_throw] = ACTIONS(1172),
    [anon_sym_SEMI] = ACTIONS(1170),
    [anon_sym_case] = ACTIONS(1172),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(1170),
    [anon_sym_LT] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1172),
    [anon_sym_class] = ACTIONS(1172),
    [anon_sym_async] = ACTIONS(1172),
    [anon_sym_function] = ACTIONS(1172),
    [anon_sym_new] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1172),
    [anon_sym_DASH] = ACTIONS(1172),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_typeof] = ACTIONS(1172),
    [anon_sym_void] = ACTIONS(1172),
    [anon_sym_delete] = ACTIONS(1172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1170),
    [anon_sym_DASH_DASH] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1170),
    [anon_sym_SQUOTE] = ACTIONS(1170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1170),
    [sym_number] = ACTIONS(1170),
    [sym_this] = ACTIONS(1172),
    [sym_super] = ACTIONS(1172),
    [sym_true] = ACTIONS(1172),
    [sym_false] = ACTIONS(1172),
    [sym_null] = ACTIONS(1172),
    [sym_undefined] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(1170),
    [anon_sym_static] = ACTIONS(1172),
    [anon_sym_get] = ACTIONS(1172),
    [anon_sym_set] = ACTIONS(1172),
  },
  [222] = {
    [ts_builtin_sym_end] = ACTIONS(1174),
    [sym_identifier] = ACTIONS(1176),
    [anon_sym_export] = ACTIONS(1176),
    [anon_sym_default] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1174),
    [anon_sym_RBRACE] = ACTIONS(1174),
    [anon_sym_import] = ACTIONS(1176),
    [anon_sym_var] = ACTIONS(1176),
    [anon_sym_let] = ACTIONS(1176),
    [anon_sym_const] = ACTIONS(1176),
    [anon_sym_if] = ACTIONS(1176),
    [anon_sym_else] = ACTIONS(1176),
    [anon_sym_switch] = ACTIONS(1176),
    [anon_sym_for] = ACTIONS(1176),
    [anon_sym_LPAREN] = ACTIONS(1174),
    [anon_sym_await] = ACTIONS(1176),
    [anon_sym_while] = ACTIONS(1176),
    [anon_sym_do] = ACTIONS(1176),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_with] = ACTIONS(1176),
    [anon_sym_break] = ACTIONS(1176),
    [anon_sym_continue] = ACTIONS(1176),
    [anon_sym_debugger] = ACTIONS(1176),
    [anon_sym_return] = ACTIONS(1176),
    [anon_sym_throw] = ACTIONS(1176),
    [anon_sym_SEMI] = ACTIONS(1174),
    [anon_sym_case] = ACTIONS(1176),
    [anon_sym_yield] = ACTIONS(1176),
    [anon_sym_LBRACK] = ACTIONS(1174),
    [anon_sym_LT] = ACTIONS(1174),
    [anon_sym_SLASH] = ACTIONS(1176),
    [anon_sym_class] = ACTIONS(1176),
    [anon_sym_async] = ACTIONS(1176),
    [anon_sym_function] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1176),
    [anon_sym_PLUS] = ACTIONS(1176),
    [anon_sym_DASH] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1174),
    [anon_sym_typeof] = ACTIONS(1176),
    [anon_sym_void] = ACTIONS(1176),
    [anon_sym_delete] = ACTIONS(1176),
    [anon_sym_PLUS_PLUS] = ACTIONS(1174),
    [anon_sym_DASH_DASH] = ACTIONS(1174),
    [anon_sym_DQUOTE] = ACTIONS(1174),
    [anon_sym_SQUOTE] = ACTIONS(1174),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1174),
    [sym_number] = ACTIONS(1174),
    [sym_this] = ACTIONS(1176),
    [sym_super] = ACTIONS(1176),
    [sym_true] = ACTIONS(1176),
    [sym_false] = ACTIONS(1176),
    [sym_null] = ACTIONS(1176),
    [sym_undefined] = ACTIONS(1176),
    [anon_sym_AT] = ACTIONS(1174),
    [anon_sym_static] = ACTIONS(1176),
    [anon_sym_get] = ACTIONS(1176),
    [anon_sym_set] = ACTIONS(1176),
  },
  [223] = {
    [ts_builtin_sym_end] = ACTIONS(1178),
    [sym_identifier] = ACTIONS(1180),
    [anon_sym_export] = ACTIONS(1180),
    [anon_sym_default] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1178),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [anon_sym_import] = ACTIONS(1180),
    [anon_sym_var] = ACTIONS(1180),
    [anon_sym_let] = ACTIONS(1180),
    [anon_sym_const] = ACTIONS(1180),
    [anon_sym_if] = ACTIONS(1180),
    [anon_sym_else] = ACTIONS(1180),
    [anon_sym_switch] = ACTIONS(1180),
    [anon_sym_for] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(1178),
    [anon_sym_await] = ACTIONS(1180),
    [anon_sym_while] = ACTIONS(1180),
    [anon_sym_do] = ACTIONS(1180),
    [anon_sym_try] = ACTIONS(1180),
    [anon_sym_with] = ACTIONS(1180),
    [anon_sym_break] = ACTIONS(1180),
    [anon_sym_continue] = ACTIONS(1180),
    [anon_sym_debugger] = ACTIONS(1180),
    [anon_sym_return] = ACTIONS(1180),
    [anon_sym_throw] = ACTIONS(1180),
    [anon_sym_SEMI] = ACTIONS(1178),
    [anon_sym_case] = ACTIONS(1180),
    [anon_sym_yield] = ACTIONS(1180),
    [anon_sym_LBRACK] = ACTIONS(1178),
    [anon_sym_LT] = ACTIONS(1178),
    [anon_sym_SLASH] = ACTIONS(1180),
    [anon_sym_class] = ACTIONS(1180),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(1180),
    [anon_sym_new] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_typeof] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1180),
    [anon_sym_delete] = ACTIONS(1180),
    [anon_sym_PLUS_PLUS] = ACTIONS(1178),
    [anon_sym_DASH_DASH] = ACTIONS(1178),
    [anon_sym_DQUOTE] = ACTIONS(1178),
    [anon_sym_SQUOTE] = ACTIONS(1178),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1178),
    [sym_number] = ACTIONS(1178),
    [sym_this] = ACTIONS(1180),
    [sym_super] = ACTIONS(1180),
    [sym_true] = ACTIONS(1180),
    [sym_false] = ACTIONS(1180),
    [sym_null] = ACTIONS(1180),
    [sym_undefined] = ACTIONS(1180),
    [anon_sym_AT] = ACTIONS(1178),
    [anon_sym_static] = ACTIONS(1180),
    [anon_sym_get] = ACTIONS(1180),
    [anon_sym_set] = ACTIONS(1180),
  },
  [224] = {
    [ts_builtin_sym_end] = ACTIONS(1182),
    [sym_identifier] = ACTIONS(1184),
    [anon_sym_export] = ACTIONS(1184),
    [anon_sym_default] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1182),
    [anon_sym_RBRACE] = ACTIONS(1182),
    [anon_sym_import] = ACTIONS(1184),
    [anon_sym_var] = ACTIONS(1184),
    [anon_sym_let] = ACTIONS(1184),
    [anon_sym_const] = ACTIONS(1184),
    [anon_sym_if] = ACTIONS(1184),
    [anon_sym_else] = ACTIONS(1184),
    [anon_sym_switch] = ACTIONS(1184),
    [anon_sym_for] = ACTIONS(1184),
    [anon_sym_LPAREN] = ACTIONS(1182),
    [anon_sym_await] = ACTIONS(1184),
    [anon_sym_while] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1184),
    [anon_sym_try] = ACTIONS(1184),
    [anon_sym_with] = ACTIONS(1184),
    [anon_sym_break] = ACTIONS(1184),
    [anon_sym_continue] = ACTIONS(1184),
    [anon_sym_debugger] = ACTIONS(1184),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_SEMI] = ACTIONS(1182),
    [anon_sym_case] = ACTIONS(1184),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1182),
    [anon_sym_LT] = ACTIONS(1182),
    [anon_sym_SLASH] = ACTIONS(1184),
    [anon_sym_class] = ACTIONS(1184),
    [anon_sym_async] = ACTIONS(1184),
    [anon_sym_function] = ACTIONS(1184),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1182),
    [anon_sym_typeof] = ACTIONS(1184),
    [anon_sym_void] = ACTIONS(1184),
    [anon_sym_delete] = ACTIONS(1184),
    [anon_sym_PLUS_PLUS] = ACTIONS(1182),
    [anon_sym_DASH_DASH] = ACTIONS(1182),
    [anon_sym_DQUOTE] = ACTIONS(1182),
    [anon_sym_SQUOTE] = ACTIONS(1182),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1182),
    [sym_number] = ACTIONS(1182),
    [sym_this] = ACTIONS(1184),
    [sym_super] = ACTIONS(1184),
    [sym_true] = ACTIONS(1184),
    [sym_false] = ACTIONS(1184),
    [sym_null] = ACTIONS(1184),
    [sym_undefined] = ACTIONS(1184),
    [anon_sym_AT] = ACTIONS(1182),
    [anon_sym_static] = ACTIONS(1184),
    [anon_sym_get] = ACTIONS(1184),
    [anon_sym_set] = ACTIONS(1184),
  },
  [225] = {
    [sym_formal_parameters] = STATE(1074),
    [sym_identifier] = ACTIONS(1076),
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1019),
    [anon_sym_COMMA] = ACTIONS(1019),
    [anon_sym_RBRACE] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1186),
    [anon_sym_RPAREN] = ACTIONS(1019),
    [anon_sym_in] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [anon_sym_RBRACK] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1084),
    [anon_sym_async] = ACTIONS(1086),
    [anon_sym_function] = ACTIONS(1088),
    [anon_sym_EQ_GT] = ACTIONS(1090),
    [anon_sym_PLUS_EQ] = ACTIONS(1092),
    [anon_sym_DASH_EQ] = ACTIONS(1092),
    [anon_sym_STAR_EQ] = ACTIONS(1092),
    [anon_sym_SLASH_EQ] = ACTIONS(1092),
    [anon_sym_PERCENT_EQ] = ACTIONS(1092),
    [anon_sym_CARET_EQ] = ACTIONS(1092),
    [anon_sym_AMP_EQ] = ACTIONS(1092),
    [anon_sym_PIPE_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_LT_LT_EQ] = ACTIONS(1092),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1092),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1027),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [anon_sym_static] = ACTIONS(1086),
    [anon_sym_get] = ACTIONS(1086),
    [anon_sym_set] = ACTIONS(1086),
  },
  [226] = {
    [ts_builtin_sym_end] = ACTIONS(1189),
    [sym_identifier] = ACTIONS(1191),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_default] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_RBRACE] = ACTIONS(1189),
    [anon_sym_import] = ACTIONS(1191),
    [anon_sym_var] = ACTIONS(1191),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_const] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1191),
    [anon_sym_switch] = ACTIONS(1191),
    [anon_sym_for] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1189),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1191),
    [anon_sym_do] = ACTIONS(1191),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_with] = ACTIONS(1191),
    [anon_sym_break] = ACTIONS(1191),
    [anon_sym_continue] = ACTIONS(1191),
    [anon_sym_debugger] = ACTIONS(1191),
    [anon_sym_return] = ACTIONS(1191),
    [anon_sym_throw] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym_case] = ACTIONS(1191),
    [anon_sym_yield] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_SLASH] = ACTIONS(1191),
    [anon_sym_class] = ACTIONS(1191),
    [anon_sym_async] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1191),
    [anon_sym_new] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1189),
    [anon_sym_TILDE] = ACTIONS(1189),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_void] = ACTIONS(1191),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1189),
    [anon_sym_DASH_DASH] = ACTIONS(1189),
    [anon_sym_DQUOTE] = ACTIONS(1189),
    [anon_sym_SQUOTE] = ACTIONS(1189),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1189),
    [sym_number] = ACTIONS(1189),
    [sym_this] = ACTIONS(1191),
    [sym_super] = ACTIONS(1191),
    [sym_true] = ACTIONS(1191),
    [sym_false] = ACTIONS(1191),
    [sym_null] = ACTIONS(1191),
    [sym_undefined] = ACTIONS(1191),
    [anon_sym_AT] = ACTIONS(1189),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
  },
  [227] = {
    [ts_builtin_sym_end] = ACTIONS(1193),
    [sym_identifier] = ACTIONS(1195),
    [anon_sym_export] = ACTIONS(1195),
    [anon_sym_default] = ACTIONS(1195),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_RBRACE] = ACTIONS(1193),
    [anon_sym_import] = ACTIONS(1195),
    [anon_sym_var] = ACTIONS(1195),
    [anon_sym_let] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1195),
    [anon_sym_if] = ACTIONS(1195),
    [anon_sym_else] = ACTIONS(1195),
    [anon_sym_switch] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1195),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_await] = ACTIONS(1195),
    [anon_sym_while] = ACTIONS(1195),
    [anon_sym_do] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_with] = ACTIONS(1195),
    [anon_sym_break] = ACTIONS(1195),
    [anon_sym_continue] = ACTIONS(1195),
    [anon_sym_debugger] = ACTIONS(1195),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_throw] = ACTIONS(1195),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym_case] = ACTIONS(1195),
    [anon_sym_yield] = ACTIONS(1195),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(1193),
    [anon_sym_SLASH] = ACTIONS(1195),
    [anon_sym_class] = ACTIONS(1195),
    [anon_sym_async] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_BANG] = ACTIONS(1193),
    [anon_sym_TILDE] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(1195),
    [anon_sym_void] = ACTIONS(1195),
    [anon_sym_delete] = ACTIONS(1195),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [anon_sym_SQUOTE] = ACTIONS(1193),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1193),
    [sym_number] = ACTIONS(1193),
    [sym_this] = ACTIONS(1195),
    [sym_super] = ACTIONS(1195),
    [sym_true] = ACTIONS(1195),
    [sym_false] = ACTIONS(1195),
    [sym_null] = ACTIONS(1195),
    [sym_undefined] = ACTIONS(1195),
    [anon_sym_AT] = ACTIONS(1193),
    [anon_sym_static] = ACTIONS(1195),
    [anon_sym_get] = ACTIONS(1195),
    [anon_sym_set] = ACTIONS(1195),
  },
  [228] = {
    [ts_builtin_sym_end] = ACTIONS(1197),
    [sym_identifier] = ACTIONS(1199),
    [anon_sym_export] = ACTIONS(1199),
    [anon_sym_default] = ACTIONS(1199),
    [anon_sym_LBRACE] = ACTIONS(1197),
    [anon_sym_RBRACE] = ACTIONS(1197),
    [anon_sym_import] = ACTIONS(1199),
    [anon_sym_var] = ACTIONS(1199),
    [anon_sym_let] = ACTIONS(1199),
    [anon_sym_const] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_else] = ACTIONS(1199),
    [anon_sym_switch] = ACTIONS(1199),
    [anon_sym_for] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1197),
    [anon_sym_await] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(1199),
    [anon_sym_do] = ACTIONS(1199),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_with] = ACTIONS(1199),
    [anon_sym_break] = ACTIONS(1199),
    [anon_sym_continue] = ACTIONS(1199),
    [anon_sym_debugger] = ACTIONS(1199),
    [anon_sym_return] = ACTIONS(1199),
    [anon_sym_throw] = ACTIONS(1199),
    [anon_sym_SEMI] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1199),
    [anon_sym_yield] = ACTIONS(1199),
    [anon_sym_LBRACK] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(1197),
    [anon_sym_SLASH] = ACTIONS(1199),
    [anon_sym_class] = ACTIONS(1199),
    [anon_sym_async] = ACTIONS(1199),
    [anon_sym_function] = ACTIONS(1199),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_PLUS] = ACTIONS(1199),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_BANG] = ACTIONS(1197),
    [anon_sym_TILDE] = ACTIONS(1197),
    [anon_sym_typeof] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1199),
    [anon_sym_delete] = ACTIONS(1199),
    [anon_sym_PLUS_PLUS] = ACTIONS(1197),
    [anon_sym_DASH_DASH] = ACTIONS(1197),
    [anon_sym_DQUOTE] = ACTIONS(1197),
    [anon_sym_SQUOTE] = ACTIONS(1197),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1197),
    [sym_number] = ACTIONS(1197),
    [sym_this] = ACTIONS(1199),
    [sym_super] = ACTIONS(1199),
    [sym_true] = ACTIONS(1199),
    [sym_false] = ACTIONS(1199),
    [sym_null] = ACTIONS(1199),
    [sym_undefined] = ACTIONS(1199),
    [anon_sym_AT] = ACTIONS(1197),
    [anon_sym_static] = ACTIONS(1199),
    [anon_sym_get] = ACTIONS(1199),
    [anon_sym_set] = ACTIONS(1199),
  },
  [229] = {
    [ts_builtin_sym_end] = ACTIONS(1201),
    [sym_identifier] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(1203),
    [anon_sym_default] = ACTIONS(1203),
    [anon_sym_LBRACE] = ACTIONS(1201),
    [anon_sym_RBRACE] = ACTIONS(1201),
    [anon_sym_import] = ACTIONS(1203),
    [anon_sym_var] = ACTIONS(1203),
    [anon_sym_let] = ACTIONS(1203),
    [anon_sym_const] = ACTIONS(1203),
    [anon_sym_if] = ACTIONS(1203),
    [anon_sym_else] = ACTIONS(1203),
    [anon_sym_switch] = ACTIONS(1203),
    [anon_sym_for] = ACTIONS(1203),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_await] = ACTIONS(1203),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1203),
    [anon_sym_with] = ACTIONS(1203),
    [anon_sym_break] = ACTIONS(1203),
    [anon_sym_continue] = ACTIONS(1203),
    [anon_sym_debugger] = ACTIONS(1203),
    [anon_sym_return] = ACTIONS(1203),
    [anon_sym_throw] = ACTIONS(1203),
    [anon_sym_SEMI] = ACTIONS(1201),
    [anon_sym_case] = ACTIONS(1203),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(1201),
    [anon_sym_LT] = ACTIONS(1201),
    [anon_sym_SLASH] = ACTIONS(1203),
    [anon_sym_class] = ACTIONS(1203),
    [anon_sym_async] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_new] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(1203),
    [anon_sym_DASH] = ACTIONS(1203),
    [anon_sym_BANG] = ACTIONS(1201),
    [anon_sym_TILDE] = ACTIONS(1201),
    [anon_sym_typeof] = ACTIONS(1203),
    [anon_sym_void] = ACTIONS(1203),
    [anon_sym_delete] = ACTIONS(1203),
    [anon_sym_PLUS_PLUS] = ACTIONS(1201),
    [anon_sym_DASH_DASH] = ACTIONS(1201),
    [anon_sym_DQUOTE] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1201),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1201),
    [sym_number] = ACTIONS(1201),
    [sym_this] = ACTIONS(1203),
    [sym_super] = ACTIONS(1203),
    [sym_true] = ACTIONS(1203),
    [sym_false] = ACTIONS(1203),
    [sym_null] = ACTIONS(1203),
    [sym_undefined] = ACTIONS(1203),
    [anon_sym_AT] = ACTIONS(1201),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_get] = ACTIONS(1203),
    [anon_sym_set] = ACTIONS(1203),
  },
  [230] = {
    [ts_builtin_sym_end] = ACTIONS(1205),
    [sym_identifier] = ACTIONS(1207),
    [anon_sym_export] = ACTIONS(1207),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1205),
    [anon_sym_RBRACE] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_var] = ACTIONS(1207),
    [anon_sym_let] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1207),
    [anon_sym_if] = ACTIONS(1207),
    [anon_sym_else] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1207),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1205),
    [anon_sym_await] = ACTIONS(1207),
    [anon_sym_while] = ACTIONS(1207),
    [anon_sym_do] = ACTIONS(1207),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_with] = ACTIONS(1207),
    [anon_sym_break] = ACTIONS(1207),
    [anon_sym_continue] = ACTIONS(1207),
    [anon_sym_debugger] = ACTIONS(1207),
    [anon_sym_return] = ACTIONS(1207),
    [anon_sym_throw] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_case] = ACTIONS(1207),
    [anon_sym_yield] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1205),
    [anon_sym_LT] = ACTIONS(1205),
    [anon_sym_SLASH] = ACTIONS(1207),
    [anon_sym_class] = ACTIONS(1207),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(1207),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1205),
    [anon_sym_TILDE] = ACTIONS(1205),
    [anon_sym_typeof] = ACTIONS(1207),
    [anon_sym_void] = ACTIONS(1207),
    [anon_sym_delete] = ACTIONS(1207),
    [anon_sym_PLUS_PLUS] = ACTIONS(1205),
    [anon_sym_DASH_DASH] = ACTIONS(1205),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1205),
    [sym_number] = ACTIONS(1205),
    [sym_this] = ACTIONS(1207),
    [sym_super] = ACTIONS(1207),
    [sym_true] = ACTIONS(1207),
    [sym_false] = ACTIONS(1207),
    [sym_null] = ACTIONS(1207),
    [sym_undefined] = ACTIONS(1207),
    [anon_sym_AT] = ACTIONS(1205),
    [anon_sym_static] = ACTIONS(1207),
    [anon_sym_get] = ACTIONS(1207),
    [anon_sym_set] = ACTIONS(1207),
  },
  [231] = {
    [ts_builtin_sym_end] = ACTIONS(1209),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(1211),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_RBRACE] = ACTIONS(1209),
    [anon_sym_import] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1211),
    [anon_sym_let] = ACTIONS(1211),
    [anon_sym_const] = ACTIONS(1211),
    [anon_sym_if] = ACTIONS(1211),
    [anon_sym_else] = ACTIONS(1211),
    [anon_sym_switch] = ACTIONS(1211),
    [anon_sym_for] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1209),
    [anon_sym_await] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1211),
    [anon_sym_do] = ACTIONS(1211),
    [anon_sym_try] = ACTIONS(1211),
    [anon_sym_with] = ACTIONS(1211),
    [anon_sym_break] = ACTIONS(1211),
    [anon_sym_continue] = ACTIONS(1211),
    [anon_sym_debugger] = ACTIONS(1211),
    [anon_sym_return] = ACTIONS(1211),
    [anon_sym_throw] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym_case] = ACTIONS(1211),
    [anon_sym_yield] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1209),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_SLASH] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1211),
    [anon_sym_async] = ACTIONS(1211),
    [anon_sym_function] = ACTIONS(1211),
    [anon_sym_new] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1211),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1209),
    [anon_sym_typeof] = ACTIONS(1211),
    [anon_sym_void] = ACTIONS(1211),
    [anon_sym_delete] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1209),
    [anon_sym_DASH_DASH] = ACTIONS(1209),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [sym_number] = ACTIONS(1209),
    [sym_this] = ACTIONS(1211),
    [sym_super] = ACTIONS(1211),
    [sym_true] = ACTIONS(1211),
    [sym_false] = ACTIONS(1211),
    [sym_null] = ACTIONS(1211),
    [sym_undefined] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1209),
    [anon_sym_static] = ACTIONS(1211),
    [anon_sym_get] = ACTIONS(1211),
    [anon_sym_set] = ACTIONS(1211),
  },
  [232] = {
    [ts_builtin_sym_end] = ACTIONS(1213),
    [sym_identifier] = ACTIONS(1215),
    [anon_sym_export] = ACTIONS(1215),
    [anon_sym_default] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1213),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_import] = ACTIONS(1215),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1215),
    [anon_sym_const] = ACTIONS(1215),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_else] = ACTIONS(1215),
    [anon_sym_switch] = ACTIONS(1215),
    [anon_sym_for] = ACTIONS(1215),
    [anon_sym_LPAREN] = ACTIONS(1213),
    [anon_sym_await] = ACTIONS(1215),
    [anon_sym_while] = ACTIONS(1215),
    [anon_sym_do] = ACTIONS(1215),
    [anon_sym_try] = ACTIONS(1215),
    [anon_sym_with] = ACTIONS(1215),
    [anon_sym_break] = ACTIONS(1215),
    [anon_sym_continue] = ACTIONS(1215),
    [anon_sym_debugger] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1215),
    [anon_sym_throw] = ACTIONS(1215),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym_case] = ACTIONS(1215),
    [anon_sym_yield] = ACTIONS(1215),
    [anon_sym_LBRACK] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_SLASH] = ACTIONS(1215),
    [anon_sym_class] = ACTIONS(1215),
    [anon_sym_async] = ACTIONS(1215),
    [anon_sym_function] = ACTIONS(1215),
    [anon_sym_new] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(1215),
    [anon_sym_DASH] = ACTIONS(1215),
    [anon_sym_BANG] = ACTIONS(1213),
    [anon_sym_TILDE] = ACTIONS(1213),
    [anon_sym_typeof] = ACTIONS(1215),
    [anon_sym_void] = ACTIONS(1215),
    [anon_sym_delete] = ACTIONS(1215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1213),
    [anon_sym_DASH_DASH] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1213),
    [sym_number] = ACTIONS(1213),
    [sym_this] = ACTIONS(1215),
    [sym_super] = ACTIONS(1215),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [sym_null] = ACTIONS(1215),
    [sym_undefined] = ACTIONS(1215),
    [anon_sym_AT] = ACTIONS(1213),
    [anon_sym_static] = ACTIONS(1215),
    [anon_sym_get] = ACTIONS(1215),
    [anon_sym_set] = ACTIONS(1215),
  },
  [233] = {
    [ts_builtin_sym_end] = ACTIONS(1217),
    [sym_identifier] = ACTIONS(1219),
    [anon_sym_export] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_RBRACE] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(1219),
    [anon_sym_var] = ACTIONS(1219),
    [anon_sym_let] = ACTIONS(1219),
    [anon_sym_const] = ACTIONS(1219),
    [anon_sym_if] = ACTIONS(1219),
    [anon_sym_else] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1219),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_LPAREN] = ACTIONS(1217),
    [anon_sym_await] = ACTIONS(1219),
    [anon_sym_while] = ACTIONS(1219),
    [anon_sym_do] = ACTIONS(1219),
    [anon_sym_try] = ACTIONS(1219),
    [anon_sym_with] = ACTIONS(1219),
    [anon_sym_break] = ACTIONS(1219),
    [anon_sym_continue] = ACTIONS(1219),
    [anon_sym_debugger] = ACTIONS(1219),
    [anon_sym_return] = ACTIONS(1219),
    [anon_sym_throw] = ACTIONS(1219),
    [anon_sym_SEMI] = ACTIONS(1217),
    [anon_sym_case] = ACTIONS(1219),
    [anon_sym_yield] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(1217),
    [anon_sym_LT] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(1219),
    [anon_sym_class] = ACTIONS(1219),
    [anon_sym_async] = ACTIONS(1219),
    [anon_sym_function] = ACTIONS(1219),
    [anon_sym_new] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(1217),
    [anon_sym_TILDE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1219),
    [anon_sym_void] = ACTIONS(1219),
    [anon_sym_delete] = ACTIONS(1219),
    [anon_sym_PLUS_PLUS] = ACTIONS(1217),
    [anon_sym_DASH_DASH] = ACTIONS(1217),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [anon_sym_SQUOTE] = ACTIONS(1217),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1217),
    [sym_number] = ACTIONS(1217),
    [sym_this] = ACTIONS(1219),
    [sym_super] = ACTIONS(1219),
    [sym_true] = ACTIONS(1219),
    [sym_false] = ACTIONS(1219),
    [sym_null] = ACTIONS(1219),
    [sym_undefined] = ACTIONS(1219),
    [anon_sym_AT] = ACTIONS(1217),
    [anon_sym_static] = ACTIONS(1219),
    [anon_sym_get] = ACTIONS(1219),
    [anon_sym_set] = ACTIONS(1219),
  },
  [234] = {
    [ts_builtin_sym_end] = ACTIONS(1221),
    [sym_identifier] = ACTIONS(1223),
    [anon_sym_export] = ACTIONS(1223),
    [anon_sym_default] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(1221),
    [anon_sym_RBRACE] = ACTIONS(1221),
    [anon_sym_import] = ACTIONS(1223),
    [anon_sym_var] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1223),
    [anon_sym_const] = ACTIONS(1223),
    [anon_sym_if] = ACTIONS(1223),
    [anon_sym_else] = ACTIONS(1223),
    [anon_sym_switch] = ACTIONS(1223),
    [anon_sym_for] = ACTIONS(1223),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(1223),
    [anon_sym_while] = ACTIONS(1223),
    [anon_sym_do] = ACTIONS(1223),
    [anon_sym_try] = ACTIONS(1223),
    [anon_sym_with] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_continue] = ACTIONS(1223),
    [anon_sym_debugger] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1223),
    [anon_sym_throw] = ACTIONS(1223),
    [anon_sym_SEMI] = ACTIONS(1221),
    [anon_sym_case] = ACTIONS(1223),
    [anon_sym_yield] = ACTIONS(1223),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1221),
    [anon_sym_SLASH] = ACTIONS(1223),
    [anon_sym_class] = ACTIONS(1223),
    [anon_sym_async] = ACTIONS(1223),
    [anon_sym_function] = ACTIONS(1223),
    [anon_sym_new] = ACTIONS(1223),
    [anon_sym_PLUS] = ACTIONS(1223),
    [anon_sym_DASH] = ACTIONS(1223),
    [anon_sym_BANG] = ACTIONS(1221),
    [anon_sym_TILDE] = ACTIONS(1221),
    [anon_sym_typeof] = ACTIONS(1223),
    [anon_sym_void] = ACTIONS(1223),
    [anon_sym_delete] = ACTIONS(1223),
    [anon_sym_PLUS_PLUS] = ACTIONS(1221),
    [anon_sym_DASH_DASH] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1221),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1221),
    [sym_number] = ACTIONS(1221),
    [sym_this] = ACTIONS(1223),
    [sym_super] = ACTIONS(1223),
    [sym_true] = ACTIONS(1223),
    [sym_false] = ACTIONS(1223),
    [sym_null] = ACTIONS(1223),
    [sym_undefined] = ACTIONS(1223),
    [anon_sym_AT] = ACTIONS(1221),
    [anon_sym_static] = ACTIONS(1223),
    [anon_sym_get] = ACTIONS(1223),
    [anon_sym_set] = ACTIONS(1223),
  },
  [235] = {
    [ts_builtin_sym_end] = ACTIONS(1225),
    [sym_identifier] = ACTIONS(1227),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(1225),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_import] = ACTIONS(1227),
    [anon_sym_var] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_const] = ACTIONS(1227),
    [anon_sym_if] = ACTIONS(1227),
    [anon_sym_else] = ACTIONS(1227),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_for] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [anon_sym_await] = ACTIONS(1227),
    [anon_sym_while] = ACTIONS(1227),
    [anon_sym_do] = ACTIONS(1227),
    [anon_sym_try] = ACTIONS(1227),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_break] = ACTIONS(1227),
    [anon_sym_continue] = ACTIONS(1227),
    [anon_sym_debugger] = ACTIONS(1227),
    [anon_sym_return] = ACTIONS(1227),
    [anon_sym_throw] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym_case] = ACTIONS(1227),
    [anon_sym_yield] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_class] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_function] = ACTIONS(1227),
    [anon_sym_new] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1225),
    [anon_sym_TILDE] = ACTIONS(1225),
    [anon_sym_typeof] = ACTIONS(1227),
    [anon_sym_void] = ACTIONS(1227),
    [anon_sym_delete] = ACTIONS(1227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1225),
    [anon_sym_DASH_DASH] = ACTIONS(1225),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [anon_sym_SQUOTE] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1225),
    [sym_number] = ACTIONS(1225),
    [sym_this] = ACTIONS(1227),
    [sym_super] = ACTIONS(1227),
    [sym_true] = ACTIONS(1227),
    [sym_false] = ACTIONS(1227),
    [sym_null] = ACTIONS(1227),
    [sym_undefined] = ACTIONS(1227),
    [anon_sym_AT] = ACTIONS(1225),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
  },
  [236] = {
    [ts_builtin_sym_end] = ACTIONS(1229),
    [sym_identifier] = ACTIONS(1231),
    [anon_sym_export] = ACTIONS(1231),
    [anon_sym_default] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1229),
    [anon_sym_RBRACE] = ACTIONS(1229),
    [anon_sym_import] = ACTIONS(1231),
    [anon_sym_var] = ACTIONS(1231),
    [anon_sym_let] = ACTIONS(1231),
    [anon_sym_const] = ACTIONS(1231),
    [anon_sym_if] = ACTIONS(1231),
    [anon_sym_else] = ACTIONS(1231),
    [anon_sym_switch] = ACTIONS(1231),
    [anon_sym_for] = ACTIONS(1231),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_await] = ACTIONS(1231),
    [anon_sym_while] = ACTIONS(1231),
    [anon_sym_do] = ACTIONS(1231),
    [anon_sym_try] = ACTIONS(1231),
    [anon_sym_with] = ACTIONS(1231),
    [anon_sym_break] = ACTIONS(1231),
    [anon_sym_continue] = ACTIONS(1231),
    [anon_sym_debugger] = ACTIONS(1231),
    [anon_sym_return] = ACTIONS(1231),
    [anon_sym_throw] = ACTIONS(1231),
    [anon_sym_SEMI] = ACTIONS(1229),
    [anon_sym_case] = ACTIONS(1231),
    [anon_sym_yield] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1231),
    [anon_sym_class] = ACTIONS(1231),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_function] = ACTIONS(1231),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_PLUS] = ACTIONS(1231),
    [anon_sym_DASH] = ACTIONS(1231),
    [anon_sym_BANG] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(1229),
    [anon_sym_typeof] = ACTIONS(1231),
    [anon_sym_void] = ACTIONS(1231),
    [anon_sym_delete] = ACTIONS(1231),
    [anon_sym_PLUS_PLUS] = ACTIONS(1229),
    [anon_sym_DASH_DASH] = ACTIONS(1229),
    [anon_sym_DQUOTE] = ACTIONS(1229),
    [anon_sym_SQUOTE] = ACTIONS(1229),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1229),
    [sym_number] = ACTIONS(1229),
    [sym_this] = ACTIONS(1231),
    [sym_super] = ACTIONS(1231),
    [sym_true] = ACTIONS(1231),
    [sym_false] = ACTIONS(1231),
    [sym_null] = ACTIONS(1231),
    [sym_undefined] = ACTIONS(1231),
    [anon_sym_AT] = ACTIONS(1229),
    [anon_sym_static] = ACTIONS(1231),
    [anon_sym_get] = ACTIONS(1231),
    [anon_sym_set] = ACTIONS(1231),
  },
  [237] = {
    [ts_builtin_sym_end] = ACTIONS(1233),
    [sym_identifier] = ACTIONS(1235),
    [anon_sym_export] = ACTIONS(1235),
    [anon_sym_default] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_RBRACE] = ACTIONS(1233),
    [anon_sym_import] = ACTIONS(1235),
    [anon_sym_var] = ACTIONS(1235),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_const] = ACTIONS(1235),
    [anon_sym_if] = ACTIONS(1235),
    [anon_sym_else] = ACTIONS(1235),
    [anon_sym_switch] = ACTIONS(1235),
    [anon_sym_for] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(1233),
    [anon_sym_await] = ACTIONS(1235),
    [anon_sym_while] = ACTIONS(1235),
    [anon_sym_do] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(1235),
    [anon_sym_with] = ACTIONS(1235),
    [anon_sym_break] = ACTIONS(1235),
    [anon_sym_continue] = ACTIONS(1235),
    [anon_sym_debugger] = ACTIONS(1235),
    [anon_sym_return] = ACTIONS(1235),
    [anon_sym_throw] = ACTIONS(1235),
    [anon_sym_SEMI] = ACTIONS(1233),
    [anon_sym_case] = ACTIONS(1235),
    [anon_sym_yield] = ACTIONS(1235),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_LT] = ACTIONS(1233),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_class] = ACTIONS(1235),
    [anon_sym_async] = ACTIONS(1235),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_new] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1235),
    [anon_sym_DASH] = ACTIONS(1235),
    [anon_sym_BANG] = ACTIONS(1233),
    [anon_sym_TILDE] = ACTIONS(1233),
    [anon_sym_typeof] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1235),
    [anon_sym_PLUS_PLUS] = ACTIONS(1233),
    [anon_sym_DASH_DASH] = ACTIONS(1233),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1233),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1233),
    [sym_number] = ACTIONS(1233),
    [sym_this] = ACTIONS(1235),
    [sym_super] = ACTIONS(1235),
    [sym_true] = ACTIONS(1235),
    [sym_false] = ACTIONS(1235),
    [sym_null] = ACTIONS(1235),
    [sym_undefined] = ACTIONS(1235),
    [anon_sym_AT] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(1235),
    [anon_sym_get] = ACTIONS(1235),
    [anon_sym_set] = ACTIONS(1235),
  },
  [238] = {
    [ts_builtin_sym_end] = ACTIONS(1237),
    [sym_identifier] = ACTIONS(1239),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_default] = ACTIONS(1239),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_RBRACE] = ACTIONS(1237),
    [anon_sym_import] = ACTIONS(1239),
    [anon_sym_var] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_const] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1239),
    [anon_sym_else] = ACTIONS(1239),
    [anon_sym_switch] = ACTIONS(1239),
    [anon_sym_for] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1237),
    [anon_sym_await] = ACTIONS(1239),
    [anon_sym_while] = ACTIONS(1239),
    [anon_sym_do] = ACTIONS(1239),
    [anon_sym_try] = ACTIONS(1239),
    [anon_sym_with] = ACTIONS(1239),
    [anon_sym_break] = ACTIONS(1239),
    [anon_sym_continue] = ACTIONS(1239),
    [anon_sym_debugger] = ACTIONS(1239),
    [anon_sym_return] = ACTIONS(1239),
    [anon_sym_throw] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1237),
    [anon_sym_case] = ACTIONS(1239),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1237),
    [anon_sym_LT] = ACTIONS(1237),
    [anon_sym_SLASH] = ACTIONS(1239),
    [anon_sym_class] = ACTIONS(1239),
    [anon_sym_async] = ACTIONS(1239),
    [anon_sym_function] = ACTIONS(1239),
    [anon_sym_new] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_DASH] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(1237),
    [anon_sym_typeof] = ACTIONS(1239),
    [anon_sym_void] = ACTIONS(1239),
    [anon_sym_delete] = ACTIONS(1239),
    [anon_sym_PLUS_PLUS] = ACTIONS(1237),
    [anon_sym_DASH_DASH] = ACTIONS(1237),
    [anon_sym_DQUOTE] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1237),
    [sym_number] = ACTIONS(1237),
    [sym_this] = ACTIONS(1239),
    [sym_super] = ACTIONS(1239),
    [sym_true] = ACTIONS(1239),
    [sym_false] = ACTIONS(1239),
    [sym_null] = ACTIONS(1239),
    [sym_undefined] = ACTIONS(1239),
    [anon_sym_AT] = ACTIONS(1237),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
  },
  [239] = {
    [ts_builtin_sym_end] = ACTIONS(1241),
    [sym_identifier] = ACTIONS(1243),
    [anon_sym_export] = ACTIONS(1243),
    [anon_sym_default] = ACTIONS(1243),
    [anon_sym_LBRACE] = ACTIONS(1241),
    [anon_sym_RBRACE] = ACTIONS(1241),
    [anon_sym_import] = ACTIONS(1243),
    [anon_sym_var] = ACTIONS(1243),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_const] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_else] = ACTIONS(1243),
    [anon_sym_switch] = ACTIONS(1243),
    [anon_sym_for] = ACTIONS(1243),
    [anon_sym_LPAREN] = ACTIONS(1241),
    [anon_sym_await] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(1243),
    [anon_sym_do] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1243),
    [anon_sym_with] = ACTIONS(1243),
    [anon_sym_break] = ACTIONS(1243),
    [anon_sym_continue] = ACTIONS(1243),
    [anon_sym_debugger] = ACTIONS(1243),
    [anon_sym_return] = ACTIONS(1243),
    [anon_sym_throw] = ACTIONS(1243),
    [anon_sym_SEMI] = ACTIONS(1241),
    [anon_sym_case] = ACTIONS(1243),
    [anon_sym_yield] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1241),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_SLASH] = ACTIONS(1243),
    [anon_sym_class] = ACTIONS(1243),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1243),
    [anon_sym_new] = ACTIONS(1243),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1241),
    [anon_sym_TILDE] = ACTIONS(1241),
    [anon_sym_typeof] = ACTIONS(1243),
    [anon_sym_void] = ACTIONS(1243),
    [anon_sym_delete] = ACTIONS(1243),
    [anon_sym_PLUS_PLUS] = ACTIONS(1241),
    [anon_sym_DASH_DASH] = ACTIONS(1241),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_SQUOTE] = ACTIONS(1241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1241),
    [sym_number] = ACTIONS(1241),
    [sym_this] = ACTIONS(1243),
    [sym_super] = ACTIONS(1243),
    [sym_true] = ACTIONS(1243),
    [sym_false] = ACTIONS(1243),
    [sym_null] = ACTIONS(1243),
    [sym_undefined] = ACTIONS(1243),
    [anon_sym_AT] = ACTIONS(1241),
    [anon_sym_static] = ACTIONS(1243),
    [anon_sym_get] = ACTIONS(1243),
    [anon_sym_set] = ACTIONS(1243),
  },
  [240] = {
    [ts_builtin_sym_end] = ACTIONS(1245),
    [sym_identifier] = ACTIONS(1247),
    [anon_sym_export] = ACTIONS(1247),
    [anon_sym_default] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_RBRACE] = ACTIONS(1245),
    [anon_sym_import] = ACTIONS(1247),
    [anon_sym_var] = ACTIONS(1247),
    [anon_sym_let] = ACTIONS(1247),
    [anon_sym_const] = ACTIONS(1247),
    [anon_sym_if] = ACTIONS(1247),
    [anon_sym_else] = ACTIONS(1247),
    [anon_sym_switch] = ACTIONS(1247),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1247),
    [anon_sym_do] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_with] = ACTIONS(1247),
    [anon_sym_break] = ACTIONS(1247),
    [anon_sym_continue] = ACTIONS(1247),
    [anon_sym_debugger] = ACTIONS(1247),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_throw] = ACTIONS(1247),
    [anon_sym_SEMI] = ACTIONS(1245),
    [anon_sym_case] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1247),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1245),
    [anon_sym_SLASH] = ACTIONS(1247),
    [anon_sym_class] = ACTIONS(1247),
    [anon_sym_async] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_new] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_typeof] = ACTIONS(1247),
    [anon_sym_void] = ACTIONS(1247),
    [anon_sym_delete] = ACTIONS(1247),
    [anon_sym_PLUS_PLUS] = ACTIONS(1245),
    [anon_sym_DASH_DASH] = ACTIONS(1245),
    [anon_sym_DQUOTE] = ACTIONS(1245),
    [anon_sym_SQUOTE] = ACTIONS(1245),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1245),
    [sym_number] = ACTIONS(1245),
    [sym_this] = ACTIONS(1247),
    [sym_super] = ACTIONS(1247),
    [sym_true] = ACTIONS(1247),
    [sym_false] = ACTIONS(1247),
    [sym_null] = ACTIONS(1247),
    [sym_undefined] = ACTIONS(1247),
    [anon_sym_AT] = ACTIONS(1245),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_get] = ACTIONS(1247),
    [anon_sym_set] = ACTIONS(1247),
  },
  [241] = {
    [ts_builtin_sym_end] = ACTIONS(1249),
    [sym_identifier] = ACTIONS(1251),
    [anon_sym_export] = ACTIONS(1251),
    [anon_sym_default] = ACTIONS(1251),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_RBRACE] = ACTIONS(1249),
    [anon_sym_import] = ACTIONS(1251),
    [anon_sym_var] = ACTIONS(1251),
    [anon_sym_let] = ACTIONS(1251),
    [anon_sym_const] = ACTIONS(1251),
    [anon_sym_if] = ACTIONS(1251),
    [anon_sym_else] = ACTIONS(1251),
    [anon_sym_switch] = ACTIONS(1251),
    [anon_sym_for] = ACTIONS(1251),
    [anon_sym_LPAREN] = ACTIONS(1249),
    [anon_sym_await] = ACTIONS(1251),
    [anon_sym_while] = ACTIONS(1251),
    [anon_sym_do] = ACTIONS(1251),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_with] = ACTIONS(1251),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_continue] = ACTIONS(1251),
    [anon_sym_debugger] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1251),
    [anon_sym_throw] = ACTIONS(1251),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym_case] = ACTIONS(1251),
    [anon_sym_yield] = ACTIONS(1251),
    [anon_sym_LBRACK] = ACTIONS(1249),
    [anon_sym_LT] = ACTIONS(1249),
    [anon_sym_SLASH] = ACTIONS(1251),
    [anon_sym_class] = ACTIONS(1251),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(1251),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_PLUS] = ACTIONS(1251),
    [anon_sym_DASH] = ACTIONS(1251),
    [anon_sym_BANG] = ACTIONS(1249),
    [anon_sym_TILDE] = ACTIONS(1249),
    [anon_sym_typeof] = ACTIONS(1251),
    [anon_sym_void] = ACTIONS(1251),
    [anon_sym_delete] = ACTIONS(1251),
    [anon_sym_PLUS_PLUS] = ACTIONS(1249),
    [anon_sym_DASH_DASH] = ACTIONS(1249),
    [anon_sym_DQUOTE] = ACTIONS(1249),
    [anon_sym_SQUOTE] = ACTIONS(1249),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1249),
    [sym_number] = ACTIONS(1249),
    [sym_this] = ACTIONS(1251),
    [sym_super] = ACTIONS(1251),
    [sym_true] = ACTIONS(1251),
    [sym_false] = ACTIONS(1251),
    [sym_null] = ACTIONS(1251),
    [sym_undefined] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(1249),
    [anon_sym_static] = ACTIONS(1251),
    [anon_sym_get] = ACTIONS(1251),
    [anon_sym_set] = ACTIONS(1251),
  },
  [242] = {
    [ts_builtin_sym_end] = ACTIONS(1253),
    [sym_identifier] = ACTIONS(1255),
    [anon_sym_export] = ACTIONS(1255),
    [anon_sym_default] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1253),
    [anon_sym_RBRACE] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(1255),
    [anon_sym_var] = ACTIONS(1255),
    [anon_sym_let] = ACTIONS(1255),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1255),
    [anon_sym_else] = ACTIONS(1255),
    [anon_sym_switch] = ACTIONS(1255),
    [anon_sym_for] = ACTIONS(1255),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_await] = ACTIONS(1255),
    [anon_sym_while] = ACTIONS(1255),
    [anon_sym_do] = ACTIONS(1255),
    [anon_sym_try] = ACTIONS(1255),
    [anon_sym_with] = ACTIONS(1255),
    [anon_sym_break] = ACTIONS(1255),
    [anon_sym_continue] = ACTIONS(1255),
    [anon_sym_debugger] = ACTIONS(1255),
    [anon_sym_return] = ACTIONS(1255),
    [anon_sym_throw] = ACTIONS(1255),
    [anon_sym_SEMI] = ACTIONS(1253),
    [anon_sym_case] = ACTIONS(1255),
    [anon_sym_yield] = ACTIONS(1255),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LT] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(1255),
    [anon_sym_class] = ACTIONS(1255),
    [anon_sym_async] = ACTIONS(1255),
    [anon_sym_function] = ACTIONS(1255),
    [anon_sym_new] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_TILDE] = ACTIONS(1253),
    [anon_sym_typeof] = ACTIONS(1255),
    [anon_sym_void] = ACTIONS(1255),
    [anon_sym_delete] = ACTIONS(1255),
    [anon_sym_PLUS_PLUS] = ACTIONS(1253),
    [anon_sym_DASH_DASH] = ACTIONS(1253),
    [anon_sym_DQUOTE] = ACTIONS(1253),
    [anon_sym_SQUOTE] = ACTIONS(1253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1253),
    [sym_number] = ACTIONS(1253),
    [sym_this] = ACTIONS(1255),
    [sym_super] = ACTIONS(1255),
    [sym_true] = ACTIONS(1255),
    [sym_false] = ACTIONS(1255),
    [sym_null] = ACTIONS(1255),
    [sym_undefined] = ACTIONS(1255),
    [anon_sym_AT] = ACTIONS(1253),
    [anon_sym_static] = ACTIONS(1255),
    [anon_sym_get] = ACTIONS(1255),
    [anon_sym_set] = ACTIONS(1255),
  },
  [243] = {
    [ts_builtin_sym_end] = ACTIONS(1257),
    [sym_identifier] = ACTIONS(1259),
    [anon_sym_export] = ACTIONS(1259),
    [anon_sym_default] = ACTIONS(1259),
    [anon_sym_LBRACE] = ACTIONS(1257),
    [anon_sym_RBRACE] = ACTIONS(1257),
    [anon_sym_import] = ACTIONS(1259),
    [anon_sym_var] = ACTIONS(1259),
    [anon_sym_let] = ACTIONS(1259),
    [anon_sym_const] = ACTIONS(1259),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_else] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1257),
    [anon_sym_await] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_do] = ACTIONS(1259),
    [anon_sym_try] = ACTIONS(1259),
    [anon_sym_with] = ACTIONS(1259),
    [anon_sym_break] = ACTIONS(1259),
    [anon_sym_continue] = ACTIONS(1259),
    [anon_sym_debugger] = ACTIONS(1259),
    [anon_sym_return] = ACTIONS(1259),
    [anon_sym_throw] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1257),
    [anon_sym_case] = ACTIONS(1259),
    [anon_sym_yield] = ACTIONS(1259),
    [anon_sym_LBRACK] = ACTIONS(1257),
    [anon_sym_LT] = ACTIONS(1257),
    [anon_sym_SLASH] = ACTIONS(1259),
    [anon_sym_class] = ACTIONS(1259),
    [anon_sym_async] = ACTIONS(1259),
    [anon_sym_function] = ACTIONS(1259),
    [anon_sym_new] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1259),
    [anon_sym_DASH] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_typeof] = ACTIONS(1259),
    [anon_sym_void] = ACTIONS(1259),
    [anon_sym_delete] = ACTIONS(1259),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_DQUOTE] = ACTIONS(1257),
    [anon_sym_SQUOTE] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1257),
    [sym_number] = ACTIONS(1257),
    [sym_this] = ACTIONS(1259),
    [sym_super] = ACTIONS(1259),
    [sym_true] = ACTIONS(1259),
    [sym_false] = ACTIONS(1259),
    [sym_null] = ACTIONS(1259),
    [sym_undefined] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(1257),
    [anon_sym_static] = ACTIONS(1259),
    [anon_sym_get] = ACTIONS(1259),
    [anon_sym_set] = ACTIONS(1259),
  },
  [244] = {
    [ts_builtin_sym_end] = ACTIONS(1261),
    [sym_identifier] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_default] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(1261),
    [anon_sym_RBRACE] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(1263),
    [anon_sym_var] = ACTIONS(1263),
    [anon_sym_let] = ACTIONS(1263),
    [anon_sym_const] = ACTIONS(1263),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_else] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_await] = ACTIONS(1263),
    [anon_sym_while] = ACTIONS(1263),
    [anon_sym_do] = ACTIONS(1263),
    [anon_sym_try] = ACTIONS(1263),
    [anon_sym_with] = ACTIONS(1263),
    [anon_sym_break] = ACTIONS(1263),
    [anon_sym_continue] = ACTIONS(1263),
    [anon_sym_debugger] = ACTIONS(1263),
    [anon_sym_return] = ACTIONS(1263),
    [anon_sym_throw] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(1261),
    [anon_sym_case] = ACTIONS(1263),
    [anon_sym_yield] = ACTIONS(1263),
    [anon_sym_LBRACK] = ACTIONS(1261),
    [anon_sym_LT] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(1263),
    [anon_sym_class] = ACTIONS(1263),
    [anon_sym_async] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1263),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [anon_sym_typeof] = ACTIONS(1263),
    [anon_sym_void] = ACTIONS(1263),
    [anon_sym_delete] = ACTIONS(1263),
    [anon_sym_PLUS_PLUS] = ACTIONS(1261),
    [anon_sym_DASH_DASH] = ACTIONS(1261),
    [anon_sym_DQUOTE] = ACTIONS(1261),
    [anon_sym_SQUOTE] = ACTIONS(1261),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1261),
    [sym_number] = ACTIONS(1261),
    [sym_this] = ACTIONS(1263),
    [sym_super] = ACTIONS(1263),
    [sym_true] = ACTIONS(1263),
    [sym_false] = ACTIONS(1263),
    [sym_null] = ACTIONS(1263),
    [sym_undefined] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(1261),
    [anon_sym_static] = ACTIONS(1263),
    [anon_sym_get] = ACTIONS(1263),
    [anon_sym_set] = ACTIONS(1263),
  },
  [245] = {
    [ts_builtin_sym_end] = ACTIONS(1265),
    [sym_identifier] = ACTIONS(1267),
    [anon_sym_export] = ACTIONS(1267),
    [anon_sym_default] = ACTIONS(1267),
    [anon_sym_LBRACE] = ACTIONS(1265),
    [anon_sym_RBRACE] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_var] = ACTIONS(1267),
    [anon_sym_let] = ACTIONS(1267),
    [anon_sym_const] = ACTIONS(1267),
    [anon_sym_if] = ACTIONS(1267),
    [anon_sym_else] = ACTIONS(1269),
    [anon_sym_switch] = ACTIONS(1267),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_LPAREN] = ACTIONS(1265),
    [anon_sym_await] = ACTIONS(1267),
    [anon_sym_while] = ACTIONS(1267),
    [anon_sym_do] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_with] = ACTIONS(1267),
    [anon_sym_break] = ACTIONS(1267),
    [anon_sym_continue] = ACTIONS(1267),
    [anon_sym_debugger] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(1267),
    [anon_sym_throw] = ACTIONS(1267),
    [anon_sym_SEMI] = ACTIONS(1265),
    [anon_sym_case] = ACTIONS(1267),
    [anon_sym_yield] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(1265),
    [anon_sym_SLASH] = ACTIONS(1267),
    [anon_sym_class] = ACTIONS(1267),
    [anon_sym_async] = ACTIONS(1267),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_BANG] = ACTIONS(1265),
    [anon_sym_TILDE] = ACTIONS(1265),
    [anon_sym_typeof] = ACTIONS(1267),
    [anon_sym_void] = ACTIONS(1267),
    [anon_sym_delete] = ACTIONS(1267),
    [anon_sym_PLUS_PLUS] = ACTIONS(1265),
    [anon_sym_DASH_DASH] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1265),
    [sym_number] = ACTIONS(1265),
    [sym_this] = ACTIONS(1267),
    [sym_super] = ACTIONS(1267),
    [sym_true] = ACTIONS(1267),
    [sym_false] = ACTIONS(1267),
    [sym_null] = ACTIONS(1267),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(1265),
    [anon_sym_static] = ACTIONS(1267),
    [anon_sym_get] = ACTIONS(1267),
    [anon_sym_set] = ACTIONS(1267),
  },
  [246] = {
    [ts_builtin_sym_end] = ACTIONS(1271),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_export] = ACTIONS(1273),
    [anon_sym_default] = ACTIONS(1273),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_RBRACE] = ACTIONS(1271),
    [anon_sym_import] = ACTIONS(1273),
    [anon_sym_var] = ACTIONS(1273),
    [anon_sym_let] = ACTIONS(1273),
    [anon_sym_const] = ACTIONS(1273),
    [anon_sym_if] = ACTIONS(1273),
    [anon_sym_else] = ACTIONS(1273),
    [anon_sym_switch] = ACTIONS(1273),
    [anon_sym_for] = ACTIONS(1273),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_await] = ACTIONS(1273),
    [anon_sym_while] = ACTIONS(1273),
    [anon_sym_do] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1273),
    [anon_sym_with] = ACTIONS(1273),
    [anon_sym_break] = ACTIONS(1273),
    [anon_sym_continue] = ACTIONS(1273),
    [anon_sym_debugger] = ACTIONS(1273),
    [anon_sym_return] = ACTIONS(1273),
    [anon_sym_throw] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(1271),
    [anon_sym_case] = ACTIONS(1273),
    [anon_sym_yield] = ACTIONS(1273),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LT] = ACTIONS(1271),
    [anon_sym_SLASH] = ACTIONS(1273),
    [anon_sym_class] = ACTIONS(1273),
    [anon_sym_async] = ACTIONS(1273),
    [anon_sym_function] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1271),
    [anon_sym_TILDE] = ACTIONS(1271),
    [anon_sym_typeof] = ACTIONS(1273),
    [anon_sym_void] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1273),
    [anon_sym_PLUS_PLUS] = ACTIONS(1271),
    [anon_sym_DASH_DASH] = ACTIONS(1271),
    [anon_sym_DQUOTE] = ACTIONS(1271),
    [anon_sym_SQUOTE] = ACTIONS(1271),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1271),
    [sym_number] = ACTIONS(1271),
    [sym_this] = ACTIONS(1273),
    [sym_super] = ACTIONS(1273),
    [sym_true] = ACTIONS(1273),
    [sym_false] = ACTIONS(1273),
    [sym_null] = ACTIONS(1273),
    [sym_undefined] = ACTIONS(1273),
    [anon_sym_AT] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(1273),
    [anon_sym_get] = ACTIONS(1273),
    [anon_sym_set] = ACTIONS(1273),
  },
  [247] = {
    [ts_builtin_sym_end] = ACTIONS(1275),
    [sym_identifier] = ACTIONS(1277),
    [anon_sym_export] = ACTIONS(1277),
    [anon_sym_default] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(1275),
    [anon_sym_RBRACE] = ACTIONS(1275),
    [anon_sym_import] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1277),
    [anon_sym_const] = ACTIONS(1277),
    [anon_sym_if] = ACTIONS(1277),
    [anon_sym_else] = ACTIONS(1277),
    [anon_sym_switch] = ACTIONS(1277),
    [anon_sym_for] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1275),
    [anon_sym_await] = ACTIONS(1277),
    [anon_sym_while] = ACTIONS(1277),
    [anon_sym_do] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(1277),
    [anon_sym_with] = ACTIONS(1277),
    [anon_sym_break] = ACTIONS(1277),
    [anon_sym_continue] = ACTIONS(1277),
    [anon_sym_debugger] = ACTIONS(1277),
    [anon_sym_return] = ACTIONS(1277),
    [anon_sym_throw] = ACTIONS(1277),
    [anon_sym_SEMI] = ACTIONS(1275),
    [anon_sym_case] = ACTIONS(1277),
    [anon_sym_yield] = ACTIONS(1277),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(1275),
    [anon_sym_SLASH] = ACTIONS(1277),
    [anon_sym_class] = ACTIONS(1277),
    [anon_sym_async] = ACTIONS(1277),
    [anon_sym_function] = ACTIONS(1277),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(1277),
    [anon_sym_DASH] = ACTIONS(1277),
    [anon_sym_BANG] = ACTIONS(1275),
    [anon_sym_TILDE] = ACTIONS(1275),
    [anon_sym_typeof] = ACTIONS(1277),
    [anon_sym_void] = ACTIONS(1277),
    [anon_sym_delete] = ACTIONS(1277),
    [anon_sym_PLUS_PLUS] = ACTIONS(1275),
    [anon_sym_DASH_DASH] = ACTIONS(1275),
    [anon_sym_DQUOTE] = ACTIONS(1275),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1275),
    [sym_number] = ACTIONS(1275),
    [sym_this] = ACTIONS(1277),
    [sym_super] = ACTIONS(1277),
    [sym_true] = ACTIONS(1277),
    [sym_false] = ACTIONS(1277),
    [sym_null] = ACTIONS(1277),
    [sym_undefined] = ACTIONS(1277),
    [anon_sym_AT] = ACTIONS(1275),
    [anon_sym_static] = ACTIONS(1277),
    [anon_sym_get] = ACTIONS(1277),
    [anon_sym_set] = ACTIONS(1277),
  },
  [248] = {
    [ts_builtin_sym_end] = ACTIONS(1279),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_export] = ACTIONS(1281),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_LBRACE] = ACTIONS(1279),
    [anon_sym_RBRACE] = ACTIONS(1279),
    [anon_sym_import] = ACTIONS(1281),
    [anon_sym_var] = ACTIONS(1281),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_const] = ACTIONS(1281),
    [anon_sym_if] = ACTIONS(1281),
    [anon_sym_else] = ACTIONS(1281),
    [anon_sym_switch] = ACTIONS(1281),
    [anon_sym_for] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_await] = ACTIONS(1281),
    [anon_sym_while] = ACTIONS(1281),
    [anon_sym_do] = ACTIONS(1281),
    [anon_sym_try] = ACTIONS(1281),
    [anon_sym_with] = ACTIONS(1281),
    [anon_sym_break] = ACTIONS(1281),
    [anon_sym_continue] = ACTIONS(1281),
    [anon_sym_debugger] = ACTIONS(1281),
    [anon_sym_return] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1281),
    [anon_sym_SEMI] = ACTIONS(1279),
    [anon_sym_case] = ACTIONS(1281),
    [anon_sym_yield] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1279),
    [anon_sym_LT] = ACTIONS(1279),
    [anon_sym_SLASH] = ACTIONS(1281),
    [anon_sym_class] = ACTIONS(1281),
    [anon_sym_async] = ACTIONS(1281),
    [anon_sym_function] = ACTIONS(1281),
    [anon_sym_new] = ACTIONS(1281),
    [anon_sym_PLUS] = ACTIONS(1281),
    [anon_sym_DASH] = ACTIONS(1281),
    [anon_sym_BANG] = ACTIONS(1279),
    [anon_sym_TILDE] = ACTIONS(1279),
    [anon_sym_typeof] = ACTIONS(1281),
    [anon_sym_void] = ACTIONS(1281),
    [anon_sym_delete] = ACTIONS(1281),
    [anon_sym_PLUS_PLUS] = ACTIONS(1279),
    [anon_sym_DASH_DASH] = ACTIONS(1279),
    [anon_sym_DQUOTE] = ACTIONS(1279),
    [anon_sym_SQUOTE] = ACTIONS(1279),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1279),
    [sym_number] = ACTIONS(1279),
    [sym_this] = ACTIONS(1281),
    [sym_super] = ACTIONS(1281),
    [sym_true] = ACTIONS(1281),
    [sym_false] = ACTIONS(1281),
    [sym_null] = ACTIONS(1281),
    [sym_undefined] = ACTIONS(1281),
    [anon_sym_AT] = ACTIONS(1279),
    [anon_sym_static] = ACTIONS(1281),
    [anon_sym_get] = ACTIONS(1281),
    [anon_sym_set] = ACTIONS(1281),
  },
  [249] = {
    [ts_builtin_sym_end] = ACTIONS(1283),
    [sym_identifier] = ACTIONS(1285),
    [anon_sym_export] = ACTIONS(1285),
    [anon_sym_default] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1283),
    [anon_sym_RBRACE] = ACTIONS(1283),
    [anon_sym_import] = ACTIONS(1285),
    [anon_sym_var] = ACTIONS(1285),
    [anon_sym_let] = ACTIONS(1285),
    [anon_sym_const] = ACTIONS(1285),
    [anon_sym_if] = ACTIONS(1285),
    [anon_sym_else] = ACTIONS(1285),
    [anon_sym_switch] = ACTIONS(1285),
    [anon_sym_for] = ACTIONS(1285),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_while] = ACTIONS(1285),
    [anon_sym_do] = ACTIONS(1285),
    [anon_sym_try] = ACTIONS(1285),
    [anon_sym_with] = ACTIONS(1285),
    [anon_sym_break] = ACTIONS(1285),
    [anon_sym_continue] = ACTIONS(1285),
    [anon_sym_debugger] = ACTIONS(1285),
    [anon_sym_return] = ACTIONS(1285),
    [anon_sym_throw] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(1283),
    [anon_sym_case] = ACTIONS(1285),
    [anon_sym_yield] = ACTIONS(1285),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1283),
    [anon_sym_SLASH] = ACTIONS(1285),
    [anon_sym_class] = ACTIONS(1285),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(1285),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(1285),
    [anon_sym_DASH] = ACTIONS(1285),
    [anon_sym_BANG] = ACTIONS(1283),
    [anon_sym_TILDE] = ACTIONS(1283),
    [anon_sym_typeof] = ACTIONS(1285),
    [anon_sym_void] = ACTIONS(1285),
    [anon_sym_delete] = ACTIONS(1285),
    [anon_sym_PLUS_PLUS] = ACTIONS(1283),
    [anon_sym_DASH_DASH] = ACTIONS(1283),
    [anon_sym_DQUOTE] = ACTIONS(1283),
    [anon_sym_SQUOTE] = ACTIONS(1283),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1283),
    [sym_number] = ACTIONS(1283),
    [sym_this] = ACTIONS(1285),
    [sym_super] = ACTIONS(1285),
    [sym_true] = ACTIONS(1285),
    [sym_false] = ACTIONS(1285),
    [sym_null] = ACTIONS(1285),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(1283),
    [anon_sym_static] = ACTIONS(1285),
    [anon_sym_get] = ACTIONS(1285),
    [anon_sym_set] = ACTIONS(1285),
  },
  [250] = {
    [ts_builtin_sym_end] = ACTIONS(1287),
    [sym_identifier] = ACTIONS(1289),
    [anon_sym_export] = ACTIONS(1289),
    [anon_sym_default] = ACTIONS(1289),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_RBRACE] = ACTIONS(1287),
    [anon_sym_import] = ACTIONS(1289),
    [anon_sym_var] = ACTIONS(1289),
    [anon_sym_let] = ACTIONS(1289),
    [anon_sym_const] = ACTIONS(1289),
    [anon_sym_if] = ACTIONS(1289),
    [anon_sym_else] = ACTIONS(1289),
    [anon_sym_switch] = ACTIONS(1289),
    [anon_sym_for] = ACTIONS(1289),
    [anon_sym_LPAREN] = ACTIONS(1287),
    [anon_sym_await] = ACTIONS(1289),
    [anon_sym_while] = ACTIONS(1289),
    [anon_sym_do] = ACTIONS(1289),
    [anon_sym_try] = ACTIONS(1289),
    [anon_sym_with] = ACTIONS(1289),
    [anon_sym_break] = ACTIONS(1289),
    [anon_sym_continue] = ACTIONS(1289),
    [anon_sym_debugger] = ACTIONS(1289),
    [anon_sym_return] = ACTIONS(1289),
    [anon_sym_throw] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(1287),
    [anon_sym_case] = ACTIONS(1289),
    [anon_sym_yield] = ACTIONS(1289),
    [anon_sym_LBRACK] = ACTIONS(1287),
    [anon_sym_LT] = ACTIONS(1287),
    [anon_sym_SLASH] = ACTIONS(1289),
    [anon_sym_class] = ACTIONS(1289),
    [anon_sym_async] = ACTIONS(1289),
    [anon_sym_function] = ACTIONS(1289),
    [anon_sym_new] = ACTIONS(1289),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1287),
    [anon_sym_TILDE] = ACTIONS(1287),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_void] = ACTIONS(1289),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1287),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1287),
    [sym_number] = ACTIONS(1287),
    [sym_this] = ACTIONS(1289),
    [sym_super] = ACTIONS(1289),
    [sym_true] = ACTIONS(1289),
    [sym_false] = ACTIONS(1289),
    [sym_null] = ACTIONS(1289),
    [sym_undefined] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(1287),
    [anon_sym_static] = ACTIONS(1289),
    [anon_sym_get] = ACTIONS(1289),
    [anon_sym_set] = ACTIONS(1289),
  },
  [251] = {
    [ts_builtin_sym_end] = ACTIONS(1291),
    [sym_identifier] = ACTIONS(1293),
    [anon_sym_export] = ACTIONS(1293),
    [anon_sym_default] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1291),
    [anon_sym_RBRACE] = ACTIONS(1291),
    [anon_sym_import] = ACTIONS(1293),
    [anon_sym_var] = ACTIONS(1293),
    [anon_sym_let] = ACTIONS(1293),
    [anon_sym_const] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_else] = ACTIONS(1293),
    [anon_sym_switch] = ACTIONS(1293),
    [anon_sym_for] = ACTIONS(1293),
    [anon_sym_LPAREN] = ACTIONS(1291),
    [anon_sym_await] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1293),
    [anon_sym_do] = ACTIONS(1293),
    [anon_sym_try] = ACTIONS(1293),
    [anon_sym_with] = ACTIONS(1293),
    [anon_sym_break] = ACTIONS(1293),
    [anon_sym_continue] = ACTIONS(1293),
    [anon_sym_debugger] = ACTIONS(1293),
    [anon_sym_return] = ACTIONS(1293),
    [anon_sym_throw] = ACTIONS(1293),
    [anon_sym_SEMI] = ACTIONS(1291),
    [anon_sym_case] = ACTIONS(1293),
    [anon_sym_yield] = ACTIONS(1293),
    [anon_sym_LBRACK] = ACTIONS(1291),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_class] = ACTIONS(1293),
    [anon_sym_async] = ACTIONS(1293),
    [anon_sym_function] = ACTIONS(1293),
    [anon_sym_new] = ACTIONS(1293),
    [anon_sym_PLUS] = ACTIONS(1293),
    [anon_sym_DASH] = ACTIONS(1293),
    [anon_sym_BANG] = ACTIONS(1291),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_typeof] = ACTIONS(1293),
    [anon_sym_void] = ACTIONS(1293),
    [anon_sym_delete] = ACTIONS(1293),
    [anon_sym_PLUS_PLUS] = ACTIONS(1291),
    [anon_sym_DASH_DASH] = ACTIONS(1291),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [anon_sym_SQUOTE] = ACTIONS(1291),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1291),
    [sym_number] = ACTIONS(1291),
    [sym_this] = ACTIONS(1293),
    [sym_super] = ACTIONS(1293),
    [sym_true] = ACTIONS(1293),
    [sym_false] = ACTIONS(1293),
    [sym_null] = ACTIONS(1293),
    [sym_undefined] = ACTIONS(1293),
    [anon_sym_AT] = ACTIONS(1291),
    [anon_sym_static] = ACTIONS(1293),
    [anon_sym_get] = ACTIONS(1293),
    [anon_sym_set] = ACTIONS(1293),
  },
  [252] = {
    [ts_builtin_sym_end] = ACTIONS(1295),
    [sym_identifier] = ACTIONS(1297),
    [anon_sym_export] = ACTIONS(1297),
    [anon_sym_default] = ACTIONS(1297),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_RBRACE] = ACTIONS(1295),
    [anon_sym_import] = ACTIONS(1297),
    [anon_sym_var] = ACTIONS(1297),
    [anon_sym_let] = ACTIONS(1297),
    [anon_sym_const] = ACTIONS(1297),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_else] = ACTIONS(1297),
    [anon_sym_switch] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_LPAREN] = ACTIONS(1295),
    [anon_sym_await] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_do] = ACTIONS(1297),
    [anon_sym_try] = ACTIONS(1297),
    [anon_sym_with] = ACTIONS(1297),
    [anon_sym_break] = ACTIONS(1297),
    [anon_sym_continue] = ACTIONS(1297),
    [anon_sym_debugger] = ACTIONS(1297),
    [anon_sym_return] = ACTIONS(1297),
    [anon_sym_throw] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1295),
    [anon_sym_case] = ACTIONS(1297),
    [anon_sym_yield] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(1295),
    [anon_sym_LT] = ACTIONS(1295),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_class] = ACTIONS(1297),
    [anon_sym_async] = ACTIONS(1297),
    [anon_sym_function] = ACTIONS(1297),
    [anon_sym_new] = ACTIONS(1297),
    [anon_sym_PLUS] = ACTIONS(1297),
    [anon_sym_DASH] = ACTIONS(1297),
    [anon_sym_BANG] = ACTIONS(1295),
    [anon_sym_TILDE] = ACTIONS(1295),
    [anon_sym_typeof] = ACTIONS(1297),
    [anon_sym_void] = ACTIONS(1297),
    [anon_sym_delete] = ACTIONS(1297),
    [anon_sym_PLUS_PLUS] = ACTIONS(1295),
    [anon_sym_DASH_DASH] = ACTIONS(1295),
    [anon_sym_DQUOTE] = ACTIONS(1295),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1295),
    [sym_number] = ACTIONS(1295),
    [sym_this] = ACTIONS(1297),
    [sym_super] = ACTIONS(1297),
    [sym_true] = ACTIONS(1297),
    [sym_false] = ACTIONS(1297),
    [sym_null] = ACTIONS(1297),
    [sym_undefined] = ACTIONS(1297),
    [anon_sym_AT] = ACTIONS(1295),
    [anon_sym_static] = ACTIONS(1297),
    [anon_sym_get] = ACTIONS(1297),
    [anon_sym_set] = ACTIONS(1297),
  },
  [253] = {
    [ts_builtin_sym_end] = ACTIONS(1299),
    [sym_identifier] = ACTIONS(1301),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_default] = ACTIONS(1301),
    [anon_sym_LBRACE] = ACTIONS(1299),
    [anon_sym_RBRACE] = ACTIONS(1299),
    [anon_sym_import] = ACTIONS(1301),
    [anon_sym_var] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_const] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_else] = ACTIONS(1301),
    [anon_sym_switch] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1299),
    [anon_sym_await] = ACTIONS(1301),
    [anon_sym_while] = ACTIONS(1301),
    [anon_sym_do] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1301),
    [anon_sym_with] = ACTIONS(1301),
    [anon_sym_break] = ACTIONS(1301),
    [anon_sym_continue] = ACTIONS(1301),
    [anon_sym_debugger] = ACTIONS(1301),
    [anon_sym_return] = ACTIONS(1301),
    [anon_sym_throw] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(1299),
    [anon_sym_case] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(1301),
    [anon_sym_LBRACK] = ACTIONS(1299),
    [anon_sym_LT] = ACTIONS(1299),
    [anon_sym_SLASH] = ACTIONS(1301),
    [anon_sym_class] = ACTIONS(1301),
    [anon_sym_async] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_new] = ACTIONS(1301),
    [anon_sym_PLUS] = ACTIONS(1301),
    [anon_sym_DASH] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_typeof] = ACTIONS(1301),
    [anon_sym_void] = ACTIONS(1301),
    [anon_sym_delete] = ACTIONS(1301),
    [anon_sym_PLUS_PLUS] = ACTIONS(1299),
    [anon_sym_DASH_DASH] = ACTIONS(1299),
    [anon_sym_DQUOTE] = ACTIONS(1299),
    [anon_sym_SQUOTE] = ACTIONS(1299),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1299),
    [sym_number] = ACTIONS(1299),
    [sym_this] = ACTIONS(1301),
    [sym_super] = ACTIONS(1301),
    [sym_true] = ACTIONS(1301),
    [sym_false] = ACTIONS(1301),
    [sym_null] = ACTIONS(1301),
    [sym_undefined] = ACTIONS(1301),
    [anon_sym_AT] = ACTIONS(1299),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
  },
  [254] = {
    [sym_arguments] = STATE(520),
    [sym_formal_parameters] = STATE(1121),
    [sym_identifier] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_COMMA] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(1080),
    [anon_sym_LPAREN] = ACTIONS(1080),
    [anon_sym_in] = ACTIONS(1078),
    [anon_sym_SEMI] = ACTIONS(1080),
    [anon_sym_EQ] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1080),
    [anon_sym_LT] = ACTIONS(1078),
    [anon_sym_GT] = ACTIONS(1078),
    [anon_sym_SLASH] = ACTIONS(1078),
    [anon_sym_DOT] = ACTIONS(1305),
    [anon_sym_async] = ACTIONS(1307),
    [anon_sym_function] = ACTIONS(1309),
    [anon_sym_EQ_GT] = ACTIONS(1043),
    [anon_sym_PLUS_EQ] = ACTIONS(1092),
    [anon_sym_DASH_EQ] = ACTIONS(1092),
    [anon_sym_STAR_EQ] = ACTIONS(1092),
    [anon_sym_SLASH_EQ] = ACTIONS(1092),
    [anon_sym_PERCENT_EQ] = ACTIONS(1092),
    [anon_sym_CARET_EQ] = ACTIONS(1092),
    [anon_sym_AMP_EQ] = ACTIONS(1092),
    [anon_sym_PIPE_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_LT_LT_EQ] = ACTIONS(1092),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1092),
    [anon_sym_QMARK] = ACTIONS(1080),
    [anon_sym_AMP_AMP] = ACTIONS(1080),
    [anon_sym_PIPE_PIPE] = ACTIONS(1080),
    [anon_sym_GT_GT] = ACTIONS(1078),
    [anon_sym_GT_GT_GT] = ACTIONS(1078),
    [anon_sym_LT_LT] = ACTIONS(1078),
    [anon_sym_AMP] = ACTIONS(1078),
    [anon_sym_CARET] = ACTIONS(1078),
    [anon_sym_PIPE] = ACTIONS(1078),
    [anon_sym_PLUS] = ACTIONS(1078),
    [anon_sym_DASH] = ACTIONS(1078),
    [anon_sym_PERCENT] = ACTIONS(1078),
    [anon_sym_STAR_STAR] = ACTIONS(1078),
    [anon_sym_LT_EQ] = ACTIONS(1080),
    [anon_sym_EQ_EQ] = ACTIONS(1078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1080),
    [anon_sym_BANG_EQ] = ACTIONS(1078),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1080),
    [anon_sym_GT_EQ] = ACTIONS(1080),
    [anon_sym_instanceof] = ACTIONS(1078),
    [anon_sym_PLUS_PLUS] = ACTIONS(1080),
    [anon_sym_DASH_DASH] = ACTIONS(1080),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1080),
    [anon_sym_static] = ACTIONS(1307),
    [anon_sym_get] = ACTIONS(1307),
    [anon_sym_set] = ACTIONS(1307),
    [sym__automatic_semicolon] = ACTIONS(1080),
  },
  [255] = {
    [sym_formal_parameters] = STATE(1121),
    [sym_identifier] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1186),
    [anon_sym_in] = ACTIONS(1311),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1305),
    [anon_sym_async] = ACTIONS(1307),
    [anon_sym_function] = ACTIONS(1309),
    [anon_sym_EQ_GT] = ACTIONS(1043),
    [anon_sym_PLUS_EQ] = ACTIONS(1045),
    [anon_sym_DASH_EQ] = ACTIONS(1045),
    [anon_sym_STAR_EQ] = ACTIONS(1045),
    [anon_sym_SLASH_EQ] = ACTIONS(1045),
    [anon_sym_PERCENT_EQ] = ACTIONS(1045),
    [anon_sym_CARET_EQ] = ACTIONS(1045),
    [anon_sym_AMP_EQ] = ACTIONS(1045),
    [anon_sym_PIPE_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_LT_LT_EQ] = ACTIONS(1045),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1045),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1027),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [anon_sym_static] = ACTIONS(1307),
    [anon_sym_get] = ACTIONS(1307),
    [anon_sym_set] = ACTIONS(1307),
    [sym__automatic_semicolon] = ACTIONS(1019),
  },
  [256] = {
    [sym_formal_parameters] = STATE(1121),
    [sym_identifier] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1019),
    [anon_sym_RBRACE] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1186),
    [anon_sym_in] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1305),
    [anon_sym_async] = ACTIONS(1307),
    [anon_sym_function] = ACTIONS(1309),
    [anon_sym_EQ_GT] = ACTIONS(1043),
    [anon_sym_PLUS_EQ] = ACTIONS(1045),
    [anon_sym_DASH_EQ] = ACTIONS(1045),
    [anon_sym_STAR_EQ] = ACTIONS(1045),
    [anon_sym_SLASH_EQ] = ACTIONS(1045),
    [anon_sym_PERCENT_EQ] = ACTIONS(1045),
    [anon_sym_CARET_EQ] = ACTIONS(1045),
    [anon_sym_AMP_EQ] = ACTIONS(1045),
    [anon_sym_PIPE_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_LT_LT_EQ] = ACTIONS(1045),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1045),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1027),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [anon_sym_static] = ACTIONS(1307),
    [anon_sym_get] = ACTIONS(1307),
    [anon_sym_set] = ACTIONS(1307),
    [sym__automatic_semicolon] = ACTIONS(1019),
  },
  [257] = {
    [sym_formal_parameters] = STATE(1121),
    [sym_identifier] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1186),
    [anon_sym_in] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1019),
    [anon_sym_COLON] = ACTIONS(1318),
    [anon_sym_EQ] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1305),
    [anon_sym_async] = ACTIONS(1307),
    [anon_sym_function] = ACTIONS(1041),
    [anon_sym_EQ_GT] = ACTIONS(1043),
    [anon_sym_PLUS_EQ] = ACTIONS(1045),
    [anon_sym_DASH_EQ] = ACTIONS(1045),
    [anon_sym_STAR_EQ] = ACTIONS(1045),
    [anon_sym_SLASH_EQ] = ACTIONS(1045),
    [anon_sym_PERCENT_EQ] = ACTIONS(1045),
    [anon_sym_CARET_EQ] = ACTIONS(1045),
    [anon_sym_AMP_EQ] = ACTIONS(1045),
    [anon_sym_PIPE_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_LT_LT_EQ] = ACTIONS(1045),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1045),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1027),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [anon_sym_static] = ACTIONS(1307),
    [anon_sym_get] = ACTIONS(1307),
    [anon_sym_set] = ACTIONS(1307),
    [sym__automatic_semicolon] = ACTIONS(1019),
  },
  [258] = {
    [sym_formal_parameters] = STATE(1121),
    [sym_identifier] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1186),
    [anon_sym_in] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1019),
    [anon_sym_COLON] = ACTIONS(1320),
    [anon_sym_EQ] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1305),
    [anon_sym_async] = ACTIONS(1307),
    [anon_sym_function] = ACTIONS(1322),
    [anon_sym_EQ_GT] = ACTIONS(1043),
    [anon_sym_PLUS_EQ] = ACTIONS(1045),
    [anon_sym_DASH_EQ] = ACTIONS(1045),
    [anon_sym_STAR_EQ] = ACTIONS(1045),
    [anon_sym_SLASH_EQ] = ACTIONS(1045),
    [anon_sym_PERCENT_EQ] = ACTIONS(1045),
    [anon_sym_CARET_EQ] = ACTIONS(1045),
    [anon_sym_AMP_EQ] = ACTIONS(1045),
    [anon_sym_PIPE_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_LT_LT_EQ] = ACTIONS(1045),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1045),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1027),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [anon_sym_static] = ACTIONS(1307),
    [anon_sym_get] = ACTIONS(1307),
    [anon_sym_set] = ACTIONS(1307),
    [sym__automatic_semicolon] = ACTIONS(1019),
  },
  [259] = {
    [sym_formal_parameters] = STATE(1074),
    [aux_sym_formal_parameters_repeat1] = STATE(853),
    [sym_identifier] = ACTIONS(1076),
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1186),
    [anon_sym_RPAREN] = ACTIONS(1327),
    [anon_sym_in] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1084),
    [anon_sym_async] = ACTIONS(1086),
    [anon_sym_function] = ACTIONS(1088),
    [anon_sym_EQ_GT] = ACTIONS(1090),
    [anon_sym_PLUS_EQ] = ACTIONS(1092),
    [anon_sym_DASH_EQ] = ACTIONS(1092),
    [anon_sym_STAR_EQ] = ACTIONS(1092),
    [anon_sym_SLASH_EQ] = ACTIONS(1092),
    [anon_sym_PERCENT_EQ] = ACTIONS(1092),
    [anon_sym_CARET_EQ] = ACTIONS(1092),
    [anon_sym_AMP_EQ] = ACTIONS(1092),
    [anon_sym_PIPE_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_LT_LT_EQ] = ACTIONS(1092),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1092),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1027),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [anon_sym_static] = ACTIONS(1086),
    [anon_sym_get] = ACTIONS(1086),
    [anon_sym_set] = ACTIONS(1086),
  },
  [260] = {
    [sym_formal_parameters] = STATE(1074),
    [sym_identifier] = ACTIONS(1076),
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1186),
    [anon_sym_in] = ACTIONS(1311),
    [anon_sym_of] = ACTIONS(1314),
    [anon_sym_EQ] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1084),
    [anon_sym_async] = ACTIONS(1086),
    [anon_sym_function] = ACTIONS(1088),
    [anon_sym_EQ_GT] = ACTIONS(1090),
    [anon_sym_PLUS_EQ] = ACTIONS(1092),
    [anon_sym_DASH_EQ] = ACTIONS(1092),
    [anon_sym_STAR_EQ] = ACTIONS(1092),
    [anon_sym_SLASH_EQ] = ACTIONS(1092),
    [anon_sym_PERCENT_EQ] = ACTIONS(1092),
    [anon_sym_CARET_EQ] = ACTIONS(1092),
    [anon_sym_AMP_EQ] = ACTIONS(1092),
    [anon_sym_PIPE_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_LT_LT_EQ] = ACTIONS(1092),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1092),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1027),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [anon_sym_static] = ACTIONS(1086),
    [anon_sym_get] = ACTIONS(1086),
    [anon_sym_set] = ACTIONS(1086),
  },
  [261] = {
    [sym_identifier] = ACTIONS(1332),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_import] = ACTIONS(1332),
    [anon_sym_var] = ACTIONS(1332),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_await] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_try] = ACTIONS(1332),
    [anon_sym_with] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_debugger] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_throw] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_yield] = ACTIONS(1332),
    [anon_sym_LBRACK] = ACTIONS(1334),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_SLASH] = ACTIONS(1332),
    [anon_sym_class] = ACTIONS(1332),
    [anon_sym_async] = ACTIONS(1332),
    [anon_sym_function] = ACTIONS(1332),
    [anon_sym_new] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_typeof] = ACTIONS(1332),
    [anon_sym_void] = ACTIONS(1332),
    [anon_sym_delete] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1334),
    [sym_number] = ACTIONS(1334),
    [sym_this] = ACTIONS(1332),
    [sym_super] = ACTIONS(1332),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [sym_null] = ACTIONS(1332),
    [sym_undefined] = ACTIONS(1332),
    [anon_sym_AT] = ACTIONS(1334),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
  },
  [262] = {
    [sym_identifier] = ACTIONS(1336),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_import] = ACTIONS(1336),
    [anon_sym_var] = ACTIONS(1336),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_LPAREN] = ACTIONS(1338),
    [anon_sym_await] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_try] = ACTIONS(1336),
    [anon_sym_with] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_debugger] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_throw] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_yield] = ACTIONS(1336),
    [anon_sym_LBRACK] = ACTIONS(1338),
    [anon_sym_LT] = ACTIONS(1338),
    [anon_sym_SLASH] = ACTIONS(1336),
    [anon_sym_class] = ACTIONS(1336),
    [anon_sym_async] = ACTIONS(1336),
    [anon_sym_function] = ACTIONS(1336),
    [anon_sym_new] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_typeof] = ACTIONS(1336),
    [anon_sym_void] = ACTIONS(1336),
    [anon_sym_delete] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1338),
    [sym_number] = ACTIONS(1338),
    [sym_this] = ACTIONS(1336),
    [sym_super] = ACTIONS(1336),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [sym_null] = ACTIONS(1336),
    [sym_undefined] = ACTIONS(1336),
    [anon_sym_AT] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
  },
  [263] = {
    [sym_identifier] = ACTIONS(1340),
    [anon_sym_export] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_import] = ACTIONS(1340),
    [anon_sym_var] = ACTIONS(1340),
    [anon_sym_let] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(1342),
    [anon_sym_await] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_try] = ACTIONS(1340),
    [anon_sym_with] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_debugger] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_throw] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1342),
    [anon_sym_LT] = ACTIONS(1342),
    [anon_sym_SLASH] = ACTIONS(1340),
    [anon_sym_class] = ACTIONS(1340),
    [anon_sym_async] = ACTIONS(1340),
    [anon_sym_function] = ACTIONS(1340),
    [anon_sym_new] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_typeof] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1340),
    [anon_sym_delete] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1342),
    [sym_number] = ACTIONS(1342),
    [sym_this] = ACTIONS(1340),
    [sym_super] = ACTIONS(1340),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [sym_null] = ACTIONS(1340),
    [sym_undefined] = ACTIONS(1340),
    [anon_sym_AT] = ACTIONS(1342),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_get] = ACTIONS(1340),
    [anon_sym_set] = ACTIONS(1340),
  },
  [264] = {
    [sym_identifier] = ACTIONS(1344),
    [anon_sym_export] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_import] = ACTIONS(1344),
    [anon_sym_var] = ACTIONS(1344),
    [anon_sym_let] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1346),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_try] = ACTIONS(1344),
    [anon_sym_with] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_debugger] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_throw] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(1346),
    [anon_sym_LT] = ACTIONS(1346),
    [anon_sym_SLASH] = ACTIONS(1344),
    [anon_sym_class] = ACTIONS(1344),
    [anon_sym_async] = ACTIONS(1344),
    [anon_sym_function] = ACTIONS(1344),
    [anon_sym_new] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_typeof] = ACTIONS(1344),
    [anon_sym_void] = ACTIONS(1344),
    [anon_sym_delete] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1346),
    [sym_number] = ACTIONS(1346),
    [sym_this] = ACTIONS(1344),
    [sym_super] = ACTIONS(1344),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [sym_null] = ACTIONS(1344),
    [sym_undefined] = ACTIONS(1344),
    [anon_sym_AT] = ACTIONS(1346),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_get] = ACTIONS(1344),
    [anon_sym_set] = ACTIONS(1344),
  },
  [265] = {
    [sym_identifier] = ACTIONS(1348),
    [anon_sym_export] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_import] = ACTIONS(1348),
    [anon_sym_var] = ACTIONS(1348),
    [anon_sym_let] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_await] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_try] = ACTIONS(1348),
    [anon_sym_with] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_debugger] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_throw] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_yield] = ACTIONS(1348),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_LT] = ACTIONS(1350),
    [anon_sym_SLASH] = ACTIONS(1348),
    [anon_sym_class] = ACTIONS(1348),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(1348),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_typeof] = ACTIONS(1348),
    [anon_sym_void] = ACTIONS(1348),
    [anon_sym_delete] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1350),
    [sym_number] = ACTIONS(1350),
    [sym_this] = ACTIONS(1348),
    [sym_super] = ACTIONS(1348),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [sym_null] = ACTIONS(1348),
    [sym_undefined] = ACTIONS(1348),
    [anon_sym_AT] = ACTIONS(1350),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_get] = ACTIONS(1348),
    [anon_sym_set] = ACTIONS(1348),
  },
  [266] = {
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_import] = ACTIONS(1352),
    [anon_sym_var] = ACTIONS(1352),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_await] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_try] = ACTIONS(1352),
    [anon_sym_with] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_debugger] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_throw] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1354),
    [anon_sym_yield] = ACTIONS(1352),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1352),
    [anon_sym_class] = ACTIONS(1352),
    [anon_sym_async] = ACTIONS(1352),
    [anon_sym_function] = ACTIONS(1352),
    [anon_sym_new] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_typeof] = ACTIONS(1352),
    [anon_sym_void] = ACTIONS(1352),
    [anon_sym_delete] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1354),
    [sym_number] = ACTIONS(1354),
    [sym_this] = ACTIONS(1352),
    [sym_super] = ACTIONS(1352),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [sym_null] = ACTIONS(1352),
    [sym_undefined] = ACTIONS(1352),
    [anon_sym_AT] = ACTIONS(1354),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1352),
    [anon_sym_set] = ACTIONS(1352),
  },
  [267] = {
    [sym_formal_parameters] = STATE(1074),
    [sym_identifier] = ACTIONS(1076),
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1186),
    [anon_sym_in] = ACTIONS(1356),
    [anon_sym_of] = ACTIONS(1359),
    [anon_sym_EQ] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1084),
    [anon_sym_async] = ACTIONS(1086),
    [anon_sym_function] = ACTIONS(1088),
    [anon_sym_EQ_GT] = ACTIONS(1090),
    [anon_sym_PLUS_EQ] = ACTIONS(1092),
    [anon_sym_DASH_EQ] = ACTIONS(1092),
    [anon_sym_STAR_EQ] = ACTIONS(1092),
    [anon_sym_SLASH_EQ] = ACTIONS(1092),
    [anon_sym_PERCENT_EQ] = ACTIONS(1092),
    [anon_sym_CARET_EQ] = ACTIONS(1092),
    [anon_sym_AMP_EQ] = ACTIONS(1092),
    [anon_sym_PIPE_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_LT_LT_EQ] = ACTIONS(1092),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1092),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1027),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [anon_sym_static] = ACTIONS(1086),
    [anon_sym_get] = ACTIONS(1086),
    [anon_sym_set] = ACTIONS(1086),
  },
  [268] = {
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1361),
    [anon_sym_var] = ACTIONS(1361),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_const] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_switch] = ACTIONS(1361),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1363),
    [anon_sym_await] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1361),
    [anon_sym_do] = ACTIONS(1361),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_with] = ACTIONS(1361),
    [anon_sym_break] = ACTIONS(1361),
    [anon_sym_continue] = ACTIONS(1361),
    [anon_sym_debugger] = ACTIONS(1361),
    [anon_sym_return] = ACTIONS(1361),
    [anon_sym_throw] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_class] = ACTIONS(1361),
    [anon_sym_async] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1361),
    [anon_sym_new] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_TILDE] = ACTIONS(1363),
    [anon_sym_typeof] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1361),
    [anon_sym_delete] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1363),
    [anon_sym_DASH_DASH] = ACTIONS(1363),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [anon_sym_SQUOTE] = ACTIONS(1363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1363),
    [sym_number] = ACTIONS(1363),
    [sym_this] = ACTIONS(1361),
    [sym_super] = ACTIONS(1361),
    [sym_true] = ACTIONS(1361),
    [sym_false] = ACTIONS(1361),
    [sym_null] = ACTIONS(1361),
    [sym_undefined] = ACTIONS(1361),
    [anon_sym_AT] = ACTIONS(1363),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
  },
  [269] = {
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_export] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_import] = ACTIONS(1365),
    [anon_sym_var] = ACTIONS(1365),
    [anon_sym_let] = ACTIONS(1365),
    [anon_sym_const] = ACTIONS(1365),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_switch] = ACTIONS(1365),
    [anon_sym_for] = ACTIONS(1365),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_await] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1365),
    [anon_sym_do] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_with] = ACTIONS(1365),
    [anon_sym_break] = ACTIONS(1365),
    [anon_sym_continue] = ACTIONS(1365),
    [anon_sym_debugger] = ACTIONS(1365),
    [anon_sym_return] = ACTIONS(1365),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_SEMI] = ACTIONS(1367),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1365),
    [anon_sym_class] = ACTIONS(1365),
    [anon_sym_async] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1365),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_typeof] = ACTIONS(1365),
    [anon_sym_void] = ACTIONS(1365),
    [anon_sym_delete] = ACTIONS(1365),
    [anon_sym_PLUS_PLUS] = ACTIONS(1367),
    [anon_sym_DASH_DASH] = ACTIONS(1367),
    [anon_sym_DQUOTE] = ACTIONS(1367),
    [anon_sym_SQUOTE] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1367),
    [sym_number] = ACTIONS(1367),
    [sym_this] = ACTIONS(1365),
    [sym_super] = ACTIONS(1365),
    [sym_true] = ACTIONS(1365),
    [sym_false] = ACTIONS(1365),
    [sym_null] = ACTIONS(1365),
    [sym_undefined] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(1367),
    [anon_sym_static] = ACTIONS(1365),
    [anon_sym_get] = ACTIONS(1365),
    [anon_sym_set] = ACTIONS(1365),
  },
  [270] = {
    [sym_identifier] = ACTIONS(1369),
    [anon_sym_export] = ACTIONS(1369),
    [anon_sym_LBRACE] = ACTIONS(1371),
    [anon_sym_import] = ACTIONS(1369),
    [anon_sym_var] = ACTIONS(1369),
    [anon_sym_let] = ACTIONS(1369),
    [anon_sym_const] = ACTIONS(1369),
    [anon_sym_if] = ACTIONS(1369),
    [anon_sym_switch] = ACTIONS(1369),
    [anon_sym_for] = ACTIONS(1369),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_while] = ACTIONS(1369),
    [anon_sym_do] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_with] = ACTIONS(1369),
    [anon_sym_break] = ACTIONS(1369),
    [anon_sym_continue] = ACTIONS(1369),
    [anon_sym_debugger] = ACTIONS(1369),
    [anon_sym_return] = ACTIONS(1369),
    [anon_sym_throw] = ACTIONS(1369),
    [anon_sym_SEMI] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_class] = ACTIONS(1369),
    [anon_sym_async] = ACTIONS(1369),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1369),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_typeof] = ACTIONS(1369),
    [anon_sym_void] = ACTIONS(1369),
    [anon_sym_delete] = ACTIONS(1369),
    [anon_sym_PLUS_PLUS] = ACTIONS(1371),
    [anon_sym_DASH_DASH] = ACTIONS(1371),
    [anon_sym_DQUOTE] = ACTIONS(1371),
    [anon_sym_SQUOTE] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1371),
    [sym_number] = ACTIONS(1371),
    [sym_this] = ACTIONS(1369),
    [sym_super] = ACTIONS(1369),
    [sym_true] = ACTIONS(1369),
    [sym_false] = ACTIONS(1369),
    [sym_null] = ACTIONS(1369),
    [sym_undefined] = ACTIONS(1369),
    [anon_sym_AT] = ACTIONS(1371),
    [anon_sym_static] = ACTIONS(1369),
    [anon_sym_get] = ACTIONS(1369),
    [anon_sym_set] = ACTIONS(1369),
  },
  [271] = {
    [sym_arguments] = STATE(418),
    [anon_sym_STAR] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1375),
    [anon_sym_in] = ACTIONS(1373),
    [anon_sym_COLON] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_RBRACK] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_EQ_GT] = ACTIONS(1383),
    [anon_sym_PLUS_EQ] = ACTIONS(1385),
    [anon_sym_DASH_EQ] = ACTIONS(1385),
    [anon_sym_STAR_EQ] = ACTIONS(1385),
    [anon_sym_SLASH_EQ] = ACTIONS(1385),
    [anon_sym_PERCENT_EQ] = ACTIONS(1385),
    [anon_sym_CARET_EQ] = ACTIONS(1385),
    [anon_sym_AMP_EQ] = ACTIONS(1385),
    [anon_sym_PIPE_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT_EQ] = ACTIONS(1385),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1385),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_AMP_AMP] = ACTIONS(1375),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1373),
    [anon_sym_GT_GT_GT] = ACTIONS(1373),
    [anon_sym_LT_LT] = ACTIONS(1373),
    [anon_sym_AMP] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1373),
    [anon_sym_PIPE] = ACTIONS(1373),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1373),
    [anon_sym_STAR_STAR] = ACTIONS(1373),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1375),
  },
  [272] = {
    [sym_arguments] = STATE(416),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_COMMA] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(1080),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1080),
    [anon_sym_in] = ACTIONS(1078),
    [anon_sym_COLON] = ACTIONS(1080),
    [anon_sym_EQ] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1080),
    [anon_sym_RBRACK] = ACTIONS(1080),
    [anon_sym_LT] = ACTIONS(1078),
    [anon_sym_GT] = ACTIONS(1078),
    [anon_sym_SLASH] = ACTIONS(1078),
    [anon_sym_DOT] = ACTIONS(1084),
    [anon_sym_EQ_GT] = ACTIONS(1090),
    [anon_sym_PLUS_EQ] = ACTIONS(1092),
    [anon_sym_DASH_EQ] = ACTIONS(1092),
    [anon_sym_STAR_EQ] = ACTIONS(1092),
    [anon_sym_SLASH_EQ] = ACTIONS(1092),
    [anon_sym_PERCENT_EQ] = ACTIONS(1092),
    [anon_sym_CARET_EQ] = ACTIONS(1092),
    [anon_sym_AMP_EQ] = ACTIONS(1092),
    [anon_sym_PIPE_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_LT_LT_EQ] = ACTIONS(1092),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1092),
    [anon_sym_QMARK] = ACTIONS(1080),
    [anon_sym_AMP_AMP] = ACTIONS(1080),
    [anon_sym_PIPE_PIPE] = ACTIONS(1080),
    [anon_sym_GT_GT] = ACTIONS(1078),
    [anon_sym_GT_GT_GT] = ACTIONS(1078),
    [anon_sym_LT_LT] = ACTIONS(1078),
    [anon_sym_AMP] = ACTIONS(1078),
    [anon_sym_CARET] = ACTIONS(1078),
    [anon_sym_PIPE] = ACTIONS(1078),
    [anon_sym_PLUS] = ACTIONS(1078),
    [anon_sym_DASH] = ACTIONS(1078),
    [anon_sym_PERCENT] = ACTIONS(1078),
    [anon_sym_STAR_STAR] = ACTIONS(1078),
    [anon_sym_LT_EQ] = ACTIONS(1080),
    [anon_sym_EQ_EQ] = ACTIONS(1078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1080),
    [anon_sym_BANG_EQ] = ACTIONS(1078),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1080),
    [anon_sym_GT_EQ] = ACTIONS(1080),
    [anon_sym_instanceof] = ACTIONS(1080),
    [anon_sym_PLUS_PLUS] = ACTIONS(1080),
    [anon_sym_DASH_DASH] = ACTIONS(1080),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1080),
  },
  [273] = {
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1019),
    [anon_sym_COMMA] = ACTIONS(1019),
    [anon_sym_RBRACE] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [anon_sym_RPAREN] = ACTIONS(1019),
    [anon_sym_in] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [anon_sym_RBRACK] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1084),
    [anon_sym_EQ_GT] = ACTIONS(1090),
    [anon_sym_PLUS_EQ] = ACTIONS(1092),
    [anon_sym_DASH_EQ] = ACTIONS(1092),
    [anon_sym_STAR_EQ] = ACTIONS(1092),
    [anon_sym_SLASH_EQ] = ACTIONS(1092),
    [anon_sym_PERCENT_EQ] = ACTIONS(1092),
    [anon_sym_CARET_EQ] = ACTIONS(1092),
    [anon_sym_AMP_EQ] = ACTIONS(1092),
    [anon_sym_PIPE_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_LT_LT_EQ] = ACTIONS(1092),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1092),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1019),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
  },
  [274] = {
    [anon_sym_STAR] = ACTIONS(1387),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_COMMA] = ACTIONS(1389),
    [anon_sym_RBRACE] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [anon_sym_RPAREN] = ACTIONS(1389),
    [anon_sym_in] = ACTIONS(1387),
    [anon_sym_of] = ACTIONS(1389),
    [anon_sym_COLON] = ACTIONS(1389),
    [anon_sym_EQ] = ACTIONS(1387),
    [anon_sym_LBRACK] = ACTIONS(1389),
    [anon_sym_RBRACK] = ACTIONS(1389),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_DOT] = ACTIONS(1389),
    [anon_sym_PLUS_EQ] = ACTIONS(1389),
    [anon_sym_DASH_EQ] = ACTIONS(1389),
    [anon_sym_STAR_EQ] = ACTIONS(1389),
    [anon_sym_SLASH_EQ] = ACTIONS(1389),
    [anon_sym_PERCENT_EQ] = ACTIONS(1389),
    [anon_sym_CARET_EQ] = ACTIONS(1389),
    [anon_sym_AMP_EQ] = ACTIONS(1389),
    [anon_sym_PIPE_EQ] = ACTIONS(1389),
    [anon_sym_GT_GT_EQ] = ACTIONS(1389),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1389),
    [anon_sym_LT_LT_EQ] = ACTIONS(1389),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1389),
    [anon_sym_QMARK] = ACTIONS(1389),
    [anon_sym_AMP_AMP] = ACTIONS(1389),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_GT_GT] = ACTIONS(1387),
    [anon_sym_GT_GT_GT] = ACTIONS(1387),
    [anon_sym_LT_LT] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_CARET] = ACTIONS(1387),
    [anon_sym_PIPE] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_PERCENT] = ACTIONS(1387),
    [anon_sym_STAR_STAR] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_EQ_EQ] = ACTIONS(1387),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1387),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1389),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_instanceof] = ACTIONS(1389),
    [anon_sym_PLUS_PLUS] = ACTIONS(1389),
    [anon_sym_DASH_DASH] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1389),
  },
  [275] = {
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_COMMA] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_RPAREN] = ACTIONS(1350),
    [anon_sym_in] = ACTIONS(1348),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_COLON] = ACTIONS(1350),
    [anon_sym_EQ] = ACTIONS(1348),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_RBRACK] = ACTIONS(1350),
    [anon_sym_LT] = ACTIONS(1348),
    [anon_sym_GT] = ACTIONS(1348),
    [anon_sym_SLASH] = ACTIONS(1348),
    [anon_sym_DOT] = ACTIONS(1350),
    [anon_sym_PLUS_EQ] = ACTIONS(1350),
    [anon_sym_DASH_EQ] = ACTIONS(1350),
    [anon_sym_STAR_EQ] = ACTIONS(1350),
    [anon_sym_SLASH_EQ] = ACTIONS(1350),
    [anon_sym_PERCENT_EQ] = ACTIONS(1350),
    [anon_sym_CARET_EQ] = ACTIONS(1350),
    [anon_sym_AMP_EQ] = ACTIONS(1350),
    [anon_sym_PIPE_EQ] = ACTIONS(1350),
    [anon_sym_GT_GT_EQ] = ACTIONS(1350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1350),
    [anon_sym_LT_LT_EQ] = ACTIONS(1350),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1350),
    [anon_sym_QMARK] = ACTIONS(1350),
    [anon_sym_AMP_AMP] = ACTIONS(1350),
    [anon_sym_PIPE_PIPE] = ACTIONS(1350),
    [anon_sym_GT_GT] = ACTIONS(1348),
    [anon_sym_GT_GT_GT] = ACTIONS(1348),
    [anon_sym_LT_LT] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PERCENT] = ACTIONS(1348),
    [anon_sym_STAR_STAR] = ACTIONS(1348),
    [anon_sym_LT_EQ] = ACTIONS(1350),
    [anon_sym_EQ_EQ] = ACTIONS(1348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1350),
    [anon_sym_BANG_EQ] = ACTIONS(1348),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1350),
    [anon_sym_GT_EQ] = ACTIONS(1350),
    [anon_sym_instanceof] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1350),
  },
  [276] = {
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1393),
    [anon_sym_COMMA] = ACTIONS(1393),
    [anon_sym_RBRACE] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_RPAREN] = ACTIONS(1393),
    [anon_sym_in] = ACTIONS(1391),
    [anon_sym_of] = ACTIONS(1393),
    [anon_sym_COLON] = ACTIONS(1393),
    [anon_sym_EQ] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_RBRACK] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_GT] = ACTIONS(1391),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_DOT] = ACTIONS(1393),
    [anon_sym_PLUS_EQ] = ACTIONS(1393),
    [anon_sym_DASH_EQ] = ACTIONS(1393),
    [anon_sym_STAR_EQ] = ACTIONS(1393),
    [anon_sym_SLASH_EQ] = ACTIONS(1393),
    [anon_sym_PERCENT_EQ] = ACTIONS(1393),
    [anon_sym_CARET_EQ] = ACTIONS(1393),
    [anon_sym_AMP_EQ] = ACTIONS(1393),
    [anon_sym_PIPE_EQ] = ACTIONS(1393),
    [anon_sym_GT_GT_EQ] = ACTIONS(1393),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT_EQ] = ACTIONS(1393),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1393),
    [anon_sym_QMARK] = ACTIONS(1393),
    [anon_sym_AMP_AMP] = ACTIONS(1393),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1391),
    [anon_sym_GT_GT_GT] = ACTIONS(1391),
    [anon_sym_LT_LT] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_PERCENT] = ACTIONS(1391),
    [anon_sym_STAR_STAR] = ACTIONS(1391),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_EQ_EQ] = ACTIONS(1391),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1391),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_instanceof] = ACTIONS(1393),
    [anon_sym_PLUS_PLUS] = ACTIONS(1393),
    [anon_sym_DASH_DASH] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1393),
  },
  [277] = {
    [anon_sym_STAR] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [anon_sym_RBRACE] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [anon_sym_RPAREN] = ACTIONS(1397),
    [anon_sym_in] = ACTIONS(1395),
    [anon_sym_of] = ACTIONS(1397),
    [anon_sym_COLON] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1395),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [anon_sym_RBRACK] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_DOT] = ACTIONS(1397),
    [anon_sym_PLUS_EQ] = ACTIONS(1397),
    [anon_sym_DASH_EQ] = ACTIONS(1397),
    [anon_sym_STAR_EQ] = ACTIONS(1397),
    [anon_sym_SLASH_EQ] = ACTIONS(1397),
    [anon_sym_PERCENT_EQ] = ACTIONS(1397),
    [anon_sym_CARET_EQ] = ACTIONS(1397),
    [anon_sym_AMP_EQ] = ACTIONS(1397),
    [anon_sym_PIPE_EQ] = ACTIONS(1397),
    [anon_sym_GT_GT_EQ] = ACTIONS(1397),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT_EQ] = ACTIONS(1397),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1397),
    [anon_sym_QMARK] = ACTIONS(1397),
    [anon_sym_AMP_AMP] = ACTIONS(1397),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1395),
    [anon_sym_GT_GT_GT] = ACTIONS(1395),
    [anon_sym_LT_LT] = ACTIONS(1395),
    [anon_sym_AMP] = ACTIONS(1395),
    [anon_sym_CARET] = ACTIONS(1395),
    [anon_sym_PIPE] = ACTIONS(1395),
    [anon_sym_PLUS] = ACTIONS(1395),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_PERCENT] = ACTIONS(1395),
    [anon_sym_STAR_STAR] = ACTIONS(1395),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_EQ_EQ] = ACTIONS(1395),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1395),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_instanceof] = ACTIONS(1397),
    [anon_sym_PLUS_PLUS] = ACTIONS(1397),
    [anon_sym_DASH_DASH] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1397),
  },
  [278] = {
    [aux_sym_object_repeat1] = STATE(851),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_RBRACE] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1403),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1401),
    [anon_sym_COLON] = ACTIONS(1029),
    [anon_sym_EQ] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_EQ_GT] = ACTIONS(1410),
    [anon_sym_PLUS_EQ] = ACTIONS(1412),
    [anon_sym_DASH_EQ] = ACTIONS(1412),
    [anon_sym_STAR_EQ] = ACTIONS(1412),
    [anon_sym_SLASH_EQ] = ACTIONS(1412),
    [anon_sym_PERCENT_EQ] = ACTIONS(1412),
    [anon_sym_CARET_EQ] = ACTIONS(1412),
    [anon_sym_AMP_EQ] = ACTIONS(1412),
    [anon_sym_PIPE_EQ] = ACTIONS(1412),
    [anon_sym_GT_GT_EQ] = ACTIONS(1412),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1412),
    [anon_sym_LT_LT_EQ] = ACTIONS(1412),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1412),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_STAR_STAR] = ACTIONS(1399),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
    [sym__automatic_semicolon] = ACTIONS(1401),
  },
  [279] = {
    [aux_sym_object_repeat1] = STATE(855),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_LPAREN] = ACTIONS(1403),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1401),
    [anon_sym_COLON] = ACTIONS(1029),
    [anon_sym_EQ] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_EQ_GT] = ACTIONS(1410),
    [anon_sym_PLUS_EQ] = ACTIONS(1412),
    [anon_sym_DASH_EQ] = ACTIONS(1412),
    [anon_sym_STAR_EQ] = ACTIONS(1412),
    [anon_sym_SLASH_EQ] = ACTIONS(1412),
    [anon_sym_PERCENT_EQ] = ACTIONS(1412),
    [anon_sym_CARET_EQ] = ACTIONS(1412),
    [anon_sym_AMP_EQ] = ACTIONS(1412),
    [anon_sym_PIPE_EQ] = ACTIONS(1412),
    [anon_sym_GT_GT_EQ] = ACTIONS(1412),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1412),
    [anon_sym_LT_LT_EQ] = ACTIONS(1412),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1412),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_STAR_STAR] = ACTIONS(1399),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
    [sym__automatic_semicolon] = ACTIONS(1401),
  },
  [280] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1401),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_RBRACE] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_RPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_COLON] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_RBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_EQ_GT] = ACTIONS(1383),
    [anon_sym_PLUS_EQ] = ACTIONS(1385),
    [anon_sym_DASH_EQ] = ACTIONS(1385),
    [anon_sym_STAR_EQ] = ACTIONS(1385),
    [anon_sym_SLASH_EQ] = ACTIONS(1385),
    [anon_sym_PERCENT_EQ] = ACTIONS(1385),
    [anon_sym_CARET_EQ] = ACTIONS(1385),
    [anon_sym_AMP_EQ] = ACTIONS(1385),
    [anon_sym_PIPE_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT_EQ] = ACTIONS(1385),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1385),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_STAR_STAR] = ACTIONS(1399),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
  },
  [281] = {
    [sym_arguments] = STATE(418),
    [anon_sym_STAR] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1375),
    [anon_sym_in] = ACTIONS(1373),
    [anon_sym_COLON] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_RBRACK] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_PLUS_EQ] = ACTIONS(1385),
    [anon_sym_DASH_EQ] = ACTIONS(1385),
    [anon_sym_STAR_EQ] = ACTIONS(1385),
    [anon_sym_SLASH_EQ] = ACTIONS(1385),
    [anon_sym_PERCENT_EQ] = ACTIONS(1385),
    [anon_sym_CARET_EQ] = ACTIONS(1385),
    [anon_sym_AMP_EQ] = ACTIONS(1385),
    [anon_sym_PIPE_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT_EQ] = ACTIONS(1385),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1385),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_AMP_AMP] = ACTIONS(1375),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1373),
    [anon_sym_GT_GT_GT] = ACTIONS(1373),
    [anon_sym_LT_LT] = ACTIONS(1373),
    [anon_sym_AMP] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1373),
    [anon_sym_PIPE] = ACTIONS(1373),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1373),
    [anon_sym_STAR_STAR] = ACTIONS(1373),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1375),
  },
  [282] = {
    [sym_arguments] = STATE(523),
    [anon_sym_STAR] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1375),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_EQ_GT] = ACTIONS(1410),
    [anon_sym_PLUS_EQ] = ACTIONS(1385),
    [anon_sym_DASH_EQ] = ACTIONS(1385),
    [anon_sym_STAR_EQ] = ACTIONS(1385),
    [anon_sym_SLASH_EQ] = ACTIONS(1385),
    [anon_sym_PERCENT_EQ] = ACTIONS(1385),
    [anon_sym_CARET_EQ] = ACTIONS(1385),
    [anon_sym_AMP_EQ] = ACTIONS(1385),
    [anon_sym_PIPE_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT_EQ] = ACTIONS(1385),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1385),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_AMP_AMP] = ACTIONS(1375),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1373),
    [anon_sym_GT_GT_GT] = ACTIONS(1373),
    [anon_sym_LT_LT] = ACTIONS(1373),
    [anon_sym_AMP] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1373),
    [anon_sym_PIPE] = ACTIONS(1373),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1373),
    [anon_sym_STAR_STAR] = ACTIONS(1373),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1375),
    [sym__automatic_semicolon] = ACTIONS(1375),
  },
  [283] = {
    [sym__initializer] = STATE(823),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1418),
    [anon_sym_of] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_EQ_GT] = ACTIONS(1383),
    [anon_sym_PLUS_EQ] = ACTIONS(1385),
    [anon_sym_DASH_EQ] = ACTIONS(1385),
    [anon_sym_STAR_EQ] = ACTIONS(1385),
    [anon_sym_SLASH_EQ] = ACTIONS(1385),
    [anon_sym_PERCENT_EQ] = ACTIONS(1385),
    [anon_sym_CARET_EQ] = ACTIONS(1385),
    [anon_sym_AMP_EQ] = ACTIONS(1385),
    [anon_sym_PIPE_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT_EQ] = ACTIONS(1385),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1385),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_STAR_STAR] = ACTIONS(1399),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
    [sym__automatic_semicolon] = ACTIONS(1416),
  },
  [284] = {
    [sym_arguments] = STATE(520),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_COMMA] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(1080),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1078),
    [anon_sym_SEMI] = ACTIONS(1080),
    [anon_sym_EQ] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1080),
    [anon_sym_LT] = ACTIONS(1078),
    [anon_sym_GT] = ACTIONS(1078),
    [anon_sym_SLASH] = ACTIONS(1078),
    [anon_sym_DOT] = ACTIONS(1305),
    [anon_sym_EQ_GT] = ACTIONS(1043),
    [anon_sym_PLUS_EQ] = ACTIONS(1092),
    [anon_sym_DASH_EQ] = ACTIONS(1092),
    [anon_sym_STAR_EQ] = ACTIONS(1092),
    [anon_sym_SLASH_EQ] = ACTIONS(1092),
    [anon_sym_PERCENT_EQ] = ACTIONS(1092),
    [anon_sym_CARET_EQ] = ACTIONS(1092),
    [anon_sym_AMP_EQ] = ACTIONS(1092),
    [anon_sym_PIPE_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_LT_LT_EQ] = ACTIONS(1092),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1092),
    [anon_sym_QMARK] = ACTIONS(1080),
    [anon_sym_AMP_AMP] = ACTIONS(1080),
    [anon_sym_PIPE_PIPE] = ACTIONS(1080),
    [anon_sym_GT_GT] = ACTIONS(1078),
    [anon_sym_GT_GT_GT] = ACTIONS(1078),
    [anon_sym_LT_LT] = ACTIONS(1078),
    [anon_sym_AMP] = ACTIONS(1078),
    [anon_sym_CARET] = ACTIONS(1078),
    [anon_sym_PIPE] = ACTIONS(1078),
    [anon_sym_PLUS] = ACTIONS(1078),
    [anon_sym_DASH] = ACTIONS(1078),
    [anon_sym_PERCENT] = ACTIONS(1078),
    [anon_sym_STAR_STAR] = ACTIONS(1078),
    [anon_sym_LT_EQ] = ACTIONS(1080),
    [anon_sym_EQ_EQ] = ACTIONS(1078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1080),
    [anon_sym_BANG_EQ] = ACTIONS(1078),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1080),
    [anon_sym_GT_EQ] = ACTIONS(1080),
    [anon_sym_instanceof] = ACTIONS(1080),
    [anon_sym_PLUS_PLUS] = ACTIONS(1080),
    [anon_sym_DASH_DASH] = ACTIONS(1080),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1080),
    [sym__automatic_semicolon] = ACTIONS(1080),
  },
  [285] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1401),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_RBRACE] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_RPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_COLON] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_RBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_PLUS_EQ] = ACTIONS(1385),
    [anon_sym_DASH_EQ] = ACTIONS(1385),
    [anon_sym_STAR_EQ] = ACTIONS(1385),
    [anon_sym_SLASH_EQ] = ACTIONS(1385),
    [anon_sym_PERCENT_EQ] = ACTIONS(1385),
    [anon_sym_CARET_EQ] = ACTIONS(1385),
    [anon_sym_AMP_EQ] = ACTIONS(1385),
    [anon_sym_PIPE_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT_EQ] = ACTIONS(1385),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1385),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_STAR_STAR] = ACTIONS(1399),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
  },
  [286] = {
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_COMMA] = ACTIONS(1393),
    [anon_sym_RBRACE] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_in] = ACTIONS(1391),
    [anon_sym_of] = ACTIONS(1393),
    [anon_sym_SEMI] = ACTIONS(1393),
    [anon_sym_EQ] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_GT] = ACTIONS(1391),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_DOT] = ACTIONS(1393),
    [anon_sym_PLUS_EQ] = ACTIONS(1393),
    [anon_sym_DASH_EQ] = ACTIONS(1393),
    [anon_sym_STAR_EQ] = ACTIONS(1393),
    [anon_sym_SLASH_EQ] = ACTIONS(1393),
    [anon_sym_PERCENT_EQ] = ACTIONS(1393),
    [anon_sym_CARET_EQ] = ACTIONS(1393),
    [anon_sym_AMP_EQ] = ACTIONS(1393),
    [anon_sym_PIPE_EQ] = ACTIONS(1393),
    [anon_sym_GT_GT_EQ] = ACTIONS(1393),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT_EQ] = ACTIONS(1393),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1393),
    [anon_sym_QMARK] = ACTIONS(1393),
    [anon_sym_AMP_AMP] = ACTIONS(1393),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1391),
    [anon_sym_GT_GT_GT] = ACTIONS(1391),
    [anon_sym_LT_LT] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_PERCENT] = ACTIONS(1391),
    [anon_sym_STAR_STAR] = ACTIONS(1391),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_EQ_EQ] = ACTIONS(1391),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1391),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_instanceof] = ACTIONS(1393),
    [anon_sym_PLUS_PLUS] = ACTIONS(1393),
    [anon_sym_DASH_DASH] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1393),
    [sym__automatic_semicolon] = ACTIONS(1393),
  },
  [287] = {
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [anon_sym_in] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1019),
    [anon_sym_COLON] = ACTIONS(1318),
    [anon_sym_EQ] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1305),
    [anon_sym_EQ_GT] = ACTIONS(1043),
    [anon_sym_PLUS_EQ] = ACTIONS(1045),
    [anon_sym_DASH_EQ] = ACTIONS(1045),
    [anon_sym_STAR_EQ] = ACTIONS(1045),
    [anon_sym_SLASH_EQ] = ACTIONS(1045),
    [anon_sym_PERCENT_EQ] = ACTIONS(1045),
    [anon_sym_CARET_EQ] = ACTIONS(1045),
    [anon_sym_AMP_EQ] = ACTIONS(1045),
    [anon_sym_PIPE_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_LT_LT_EQ] = ACTIONS(1045),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1045),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1019),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [sym__automatic_semicolon] = ACTIONS(1019),
  },
  [288] = {
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [anon_sym_in] = ACTIONS(1311),
    [anon_sym_of] = ACTIONS(1425),
    [anon_sym_SEMI] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1305),
    [anon_sym_EQ_GT] = ACTIONS(1043),
    [anon_sym_PLUS_EQ] = ACTIONS(1045),
    [anon_sym_DASH_EQ] = ACTIONS(1045),
    [anon_sym_STAR_EQ] = ACTIONS(1045),
    [anon_sym_SLASH_EQ] = ACTIONS(1045),
    [anon_sym_PERCENT_EQ] = ACTIONS(1045),
    [anon_sym_CARET_EQ] = ACTIONS(1045),
    [anon_sym_AMP_EQ] = ACTIONS(1045),
    [anon_sym_PIPE_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_LT_LT_EQ] = ACTIONS(1045),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1045),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1019),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [sym__automatic_semicolon] = ACTIONS(1019),
  },
  [289] = {
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [anon_sym_in] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1019),
    [anon_sym_COLON] = ACTIONS(1320),
    [anon_sym_EQ] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1305),
    [anon_sym_EQ_GT] = ACTIONS(1043),
    [anon_sym_PLUS_EQ] = ACTIONS(1045),
    [anon_sym_DASH_EQ] = ACTIONS(1045),
    [anon_sym_STAR_EQ] = ACTIONS(1045),
    [anon_sym_SLASH_EQ] = ACTIONS(1045),
    [anon_sym_PERCENT_EQ] = ACTIONS(1045),
    [anon_sym_CARET_EQ] = ACTIONS(1045),
    [anon_sym_AMP_EQ] = ACTIONS(1045),
    [anon_sym_PIPE_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_LT_LT_EQ] = ACTIONS(1045),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1045),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1019),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [sym__automatic_semicolon] = ACTIONS(1019),
  },
  [290] = {
    [anon_sym_STAR] = ACTIONS(1395),
    [anon_sym_COMMA] = ACTIONS(1397),
    [anon_sym_RBRACE] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [anon_sym_in] = ACTIONS(1395),
    [anon_sym_of] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1395),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_DOT] = ACTIONS(1397),
    [anon_sym_PLUS_EQ] = ACTIONS(1397),
    [anon_sym_DASH_EQ] = ACTIONS(1397),
    [anon_sym_STAR_EQ] = ACTIONS(1397),
    [anon_sym_SLASH_EQ] = ACTIONS(1397),
    [anon_sym_PERCENT_EQ] = ACTIONS(1397),
    [anon_sym_CARET_EQ] = ACTIONS(1397),
    [anon_sym_AMP_EQ] = ACTIONS(1397),
    [anon_sym_PIPE_EQ] = ACTIONS(1397),
    [anon_sym_GT_GT_EQ] = ACTIONS(1397),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT_EQ] = ACTIONS(1397),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1397),
    [anon_sym_QMARK] = ACTIONS(1397),
    [anon_sym_AMP_AMP] = ACTIONS(1397),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1395),
    [anon_sym_GT_GT_GT] = ACTIONS(1395),
    [anon_sym_LT_LT] = ACTIONS(1395),
    [anon_sym_AMP] = ACTIONS(1395),
    [anon_sym_CARET] = ACTIONS(1395),
    [anon_sym_PIPE] = ACTIONS(1395),
    [anon_sym_PLUS] = ACTIONS(1395),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_PERCENT] = ACTIONS(1395),
    [anon_sym_STAR_STAR] = ACTIONS(1395),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_EQ_EQ] = ACTIONS(1395),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1395),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_instanceof] = ACTIONS(1397),
    [anon_sym_PLUS_PLUS] = ACTIONS(1397),
    [anon_sym_DASH_DASH] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1397),
    [sym__automatic_semicolon] = ACTIONS(1397),
  },
  [291] = {
    [sym_arguments] = STATE(523),
    [anon_sym_STAR] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1375),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_PLUS_EQ] = ACTIONS(1385),
    [anon_sym_DASH_EQ] = ACTIONS(1385),
    [anon_sym_STAR_EQ] = ACTIONS(1385),
    [anon_sym_SLASH_EQ] = ACTIONS(1385),
    [anon_sym_PERCENT_EQ] = ACTIONS(1385),
    [anon_sym_CARET_EQ] = ACTIONS(1385),
    [anon_sym_AMP_EQ] = ACTIONS(1385),
    [anon_sym_PIPE_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT_EQ] = ACTIONS(1385),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1385),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_AMP_AMP] = ACTIONS(1375),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1373),
    [anon_sym_GT_GT_GT] = ACTIONS(1373),
    [anon_sym_LT_LT] = ACTIONS(1373),
    [anon_sym_AMP] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1373),
    [anon_sym_PIPE] = ACTIONS(1373),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1373),
    [anon_sym_STAR_STAR] = ACTIONS(1373),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1375),
    [sym__automatic_semicolon] = ACTIONS(1375),
  },
  [292] = {
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_COMMA] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_in] = ACTIONS(1348),
    [anon_sym_of] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_EQ] = ACTIONS(1348),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_LT] = ACTIONS(1348),
    [anon_sym_GT] = ACTIONS(1348),
    [anon_sym_SLASH] = ACTIONS(1348),
    [anon_sym_DOT] = ACTIONS(1350),
    [anon_sym_PLUS_EQ] = ACTIONS(1350),
    [anon_sym_DASH_EQ] = ACTIONS(1350),
    [anon_sym_STAR_EQ] = ACTIONS(1350),
    [anon_sym_SLASH_EQ] = ACTIONS(1350),
    [anon_sym_PERCENT_EQ] = ACTIONS(1350),
    [anon_sym_CARET_EQ] = ACTIONS(1350),
    [anon_sym_AMP_EQ] = ACTIONS(1350),
    [anon_sym_PIPE_EQ] = ACTIONS(1350),
    [anon_sym_GT_GT_EQ] = ACTIONS(1350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1350),
    [anon_sym_LT_LT_EQ] = ACTIONS(1350),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1350),
    [anon_sym_QMARK] = ACTIONS(1350),
    [anon_sym_AMP_AMP] = ACTIONS(1350),
    [anon_sym_PIPE_PIPE] = ACTIONS(1350),
    [anon_sym_GT_GT] = ACTIONS(1348),
    [anon_sym_GT_GT_GT] = ACTIONS(1348),
    [anon_sym_LT_LT] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PERCENT] = ACTIONS(1348),
    [anon_sym_STAR_STAR] = ACTIONS(1348),
    [anon_sym_LT_EQ] = ACTIONS(1350),
    [anon_sym_EQ_EQ] = ACTIONS(1348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1350),
    [anon_sym_BANG_EQ] = ACTIONS(1348),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1350),
    [anon_sym_GT_EQ] = ACTIONS(1350),
    [anon_sym_instanceof] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1350),
    [sym__automatic_semicolon] = ACTIONS(1350),
  },
  [293] = {
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1019),
    [anon_sym_RBRACE] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [anon_sym_in] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1305),
    [anon_sym_EQ_GT] = ACTIONS(1043),
    [anon_sym_PLUS_EQ] = ACTIONS(1045),
    [anon_sym_DASH_EQ] = ACTIONS(1045),
    [anon_sym_STAR_EQ] = ACTIONS(1045),
    [anon_sym_SLASH_EQ] = ACTIONS(1045),
    [anon_sym_PERCENT_EQ] = ACTIONS(1045),
    [anon_sym_CARET_EQ] = ACTIONS(1045),
    [anon_sym_AMP_EQ] = ACTIONS(1045),
    [anon_sym_PIPE_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_LT_LT_EQ] = ACTIONS(1045),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1045),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1019),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [sym__automatic_semicolon] = ACTIONS(1019),
  },
  [294] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_RBRACE] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_EQ_GT] = ACTIONS(1410),
    [anon_sym_PLUS_EQ] = ACTIONS(1412),
    [anon_sym_DASH_EQ] = ACTIONS(1412),
    [anon_sym_STAR_EQ] = ACTIONS(1412),
    [anon_sym_SLASH_EQ] = ACTIONS(1412),
    [anon_sym_PERCENT_EQ] = ACTIONS(1412),
    [anon_sym_CARET_EQ] = ACTIONS(1412),
    [anon_sym_AMP_EQ] = ACTIONS(1412),
    [anon_sym_PIPE_EQ] = ACTIONS(1412),
    [anon_sym_GT_GT_EQ] = ACTIONS(1412),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1412),
    [anon_sym_LT_LT_EQ] = ACTIONS(1412),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1412),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_STAR_STAR] = ACTIONS(1399),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
    [sym__automatic_semicolon] = ACTIONS(1401),
  },
  [295] = {
    [anon_sym_STAR] = ACTIONS(1387),
    [anon_sym_COMMA] = ACTIONS(1389),
    [anon_sym_RBRACE] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [anon_sym_in] = ACTIONS(1387),
    [anon_sym_of] = ACTIONS(1389),
    [anon_sym_SEMI] = ACTIONS(1389),
    [anon_sym_EQ] = ACTIONS(1387),
    [anon_sym_LBRACK] = ACTIONS(1389),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_DOT] = ACTIONS(1389),
    [anon_sym_PLUS_EQ] = ACTIONS(1389),
    [anon_sym_DASH_EQ] = ACTIONS(1389),
    [anon_sym_STAR_EQ] = ACTIONS(1389),
    [anon_sym_SLASH_EQ] = ACTIONS(1389),
    [anon_sym_PERCENT_EQ] = ACTIONS(1389),
    [anon_sym_CARET_EQ] = ACTIONS(1389),
    [anon_sym_AMP_EQ] = ACTIONS(1389),
    [anon_sym_PIPE_EQ] = ACTIONS(1389),
    [anon_sym_GT_GT_EQ] = ACTIONS(1389),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1389),
    [anon_sym_LT_LT_EQ] = ACTIONS(1389),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1389),
    [anon_sym_QMARK] = ACTIONS(1389),
    [anon_sym_AMP_AMP] = ACTIONS(1389),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_GT_GT] = ACTIONS(1387),
    [anon_sym_GT_GT_GT] = ACTIONS(1387),
    [anon_sym_LT_LT] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_CARET] = ACTIONS(1387),
    [anon_sym_PIPE] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_PERCENT] = ACTIONS(1387),
    [anon_sym_STAR_STAR] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_EQ_EQ] = ACTIONS(1387),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1387),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1389),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_instanceof] = ACTIONS(1389),
    [anon_sym_PLUS_PLUS] = ACTIONS(1389),
    [anon_sym_DASH_DASH] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1389),
    [sym__automatic_semicolon] = ACTIONS(1389),
  },
  [296] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1429),
    [anon_sym_of] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_EQ_GT] = ACTIONS(1410),
    [anon_sym_PLUS_EQ] = ACTIONS(1412),
    [anon_sym_DASH_EQ] = ACTIONS(1412),
    [anon_sym_STAR_EQ] = ACTIONS(1412),
    [anon_sym_SLASH_EQ] = ACTIONS(1412),
    [anon_sym_PERCENT_EQ] = ACTIONS(1412),
    [anon_sym_CARET_EQ] = ACTIONS(1412),
    [anon_sym_AMP_EQ] = ACTIONS(1412),
    [anon_sym_PIPE_EQ] = ACTIONS(1412),
    [anon_sym_GT_GT_EQ] = ACTIONS(1412),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1412),
    [anon_sym_LT_LT_EQ] = ACTIONS(1412),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1412),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_STAR_STAR] = ACTIONS(1399),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
    [sym__automatic_semicolon] = ACTIONS(1401),
  },
  [297] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1401),
    [anon_sym_COLON] = ACTIONS(1320),
    [anon_sym_EQ] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_EQ_GT] = ACTIONS(1410),
    [anon_sym_PLUS_EQ] = ACTIONS(1412),
    [anon_sym_DASH_EQ] = ACTIONS(1412),
    [anon_sym_STAR_EQ] = ACTIONS(1412),
    [anon_sym_SLASH_EQ] = ACTIONS(1412),
    [anon_sym_PERCENT_EQ] = ACTIONS(1412),
    [anon_sym_CARET_EQ] = ACTIONS(1412),
    [anon_sym_AMP_EQ] = ACTIONS(1412),
    [anon_sym_PIPE_EQ] = ACTIONS(1412),
    [anon_sym_GT_GT_EQ] = ACTIONS(1412),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1412),
    [anon_sym_LT_LT_EQ] = ACTIONS(1412),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1412),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_STAR_STAR] = ACTIONS(1399),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
    [sym__automatic_semicolon] = ACTIONS(1401),
  },
  [298] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1401),
    [anon_sym_COLON] = ACTIONS(1318),
    [anon_sym_EQ] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_EQ_GT] = ACTIONS(1410),
    [anon_sym_PLUS_EQ] = ACTIONS(1412),
    [anon_sym_DASH_EQ] = ACTIONS(1412),
    [anon_sym_STAR_EQ] = ACTIONS(1412),
    [anon_sym_SLASH_EQ] = ACTIONS(1412),
    [anon_sym_PERCENT_EQ] = ACTIONS(1412),
    [anon_sym_CARET_EQ] = ACTIONS(1412),
    [anon_sym_AMP_EQ] = ACTIONS(1412),
    [anon_sym_PIPE_EQ] = ACTIONS(1412),
    [anon_sym_GT_GT_EQ] = ACTIONS(1412),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1412),
    [anon_sym_LT_LT_EQ] = ACTIONS(1412),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1412),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_STAR_STAR] = ACTIONS(1399),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
    [sym__automatic_semicolon] = ACTIONS(1401),
  },
  [299] = {
    [aux_sym_formal_parameters_repeat1] = STATE(853),
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [anon_sym_RPAREN] = ACTIONS(1327),
    [anon_sym_in] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1084),
    [anon_sym_EQ_GT] = ACTIONS(1090),
    [anon_sym_PLUS_EQ] = ACTIONS(1092),
    [anon_sym_DASH_EQ] = ACTIONS(1092),
    [anon_sym_STAR_EQ] = ACTIONS(1092),
    [anon_sym_SLASH_EQ] = ACTIONS(1092),
    [anon_sym_PERCENT_EQ] = ACTIONS(1092),
    [anon_sym_CARET_EQ] = ACTIONS(1092),
    [anon_sym_AMP_EQ] = ACTIONS(1092),
    [anon_sym_PIPE_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_LT_LT_EQ] = ACTIONS(1092),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1092),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1019),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
  },
  [300] = {
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_export] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_COMMA] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [anon_sym_RPAREN] = ACTIONS(1436),
    [anon_sym_in] = ACTIONS(1434),
    [anon_sym_COLON] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_RBRACK] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1434),
    [anon_sym_DOT] = ACTIONS(1434),
    [anon_sym_class] = ACTIONS(1434),
    [anon_sym_async] = ACTIONS(1434),
    [anon_sym_QMARK] = ACTIONS(1436),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_GT_GT_GT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_STAR_STAR] = ACTIONS(1436),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_EQ_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_instanceof] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1436),
    [anon_sym_SQUOTE] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1436),
    [sym_number] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1436),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
  },
  [301] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_RBRACE] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_PLUS_EQ] = ACTIONS(1412),
    [anon_sym_DASH_EQ] = ACTIONS(1412),
    [anon_sym_STAR_EQ] = ACTIONS(1412),
    [anon_sym_SLASH_EQ] = ACTIONS(1412),
    [anon_sym_PERCENT_EQ] = ACTIONS(1412),
    [anon_sym_CARET_EQ] = ACTIONS(1412),
    [anon_sym_AMP_EQ] = ACTIONS(1412),
    [anon_sym_PIPE_EQ] = ACTIONS(1412),
    [anon_sym_GT_GT_EQ] = ACTIONS(1412),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1412),
    [anon_sym_LT_LT_EQ] = ACTIONS(1412),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1412),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_STAR_STAR] = ACTIONS(1399),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
    [sym__automatic_semicolon] = ACTIONS(1401),
  },
  [302] = {
    [aux_sym_formal_parameters_repeat1] = STATE(878),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_RPAREN] = ACTIONS(1441),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_EQ_GT] = ACTIONS(1383),
    [anon_sym_PLUS_EQ] = ACTIONS(1385),
    [anon_sym_DASH_EQ] = ACTIONS(1385),
    [anon_sym_STAR_EQ] = ACTIONS(1385),
    [anon_sym_SLASH_EQ] = ACTIONS(1385),
    [anon_sym_PERCENT_EQ] = ACTIONS(1385),
    [anon_sym_CARET_EQ] = ACTIONS(1385),
    [anon_sym_AMP_EQ] = ACTIONS(1385),
    [anon_sym_PIPE_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT_EQ] = ACTIONS(1385),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1385),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_STAR_STAR] = ACTIONS(1399),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
  },
  [303] = {
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1446),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [anon_sym_RPAREN] = ACTIONS(1448),
    [anon_sym_in] = ACTIONS(1446),
    [anon_sym_COLON] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_RBRACK] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1446),
    [anon_sym_GT] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1446),
    [anon_sym_DOT] = ACTIONS(1446),
    [anon_sym_class] = ACTIONS(1446),
    [anon_sym_async] = ACTIONS(1446),
    [anon_sym_QMARK] = ACTIONS(1448),
    [anon_sym_AMP_AMP] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1448),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_GT_GT_GT] = ACTIONS(1448),
    [anon_sym_LT_LT] = ACTIONS(1448),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1448),
    [anon_sym_PIPE] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_PERCENT] = ACTIONS(1448),
    [anon_sym_STAR_STAR] = ACTIONS(1448),
    [anon_sym_LT_EQ] = ACTIONS(1448),
    [anon_sym_EQ_EQ] = ACTIONS(1446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1448),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1448),
    [anon_sym_GT_EQ] = ACTIONS(1448),
    [anon_sym_instanceof] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1448),
    [sym_number] = ACTIONS(1448),
    [anon_sym_AT] = ACTIONS(1448),
    [anon_sym_static] = ACTIONS(1446),
    [anon_sym_get] = ACTIONS(1446),
    [anon_sym_set] = ACTIONS(1446),
  },
  [304] = {
    [sym_identifier] = ACTIONS(1450),
    [anon_sym_export] = ACTIONS(1450),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_COMMA] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [anon_sym_RPAREN] = ACTIONS(1452),
    [anon_sym_in] = ACTIONS(1450),
    [anon_sym_COLON] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_RBRACK] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1450),
    [anon_sym_DOT] = ACTIONS(1450),
    [anon_sym_class] = ACTIONS(1450),
    [anon_sym_async] = ACTIONS(1450),
    [anon_sym_QMARK] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1452),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_GT_GT_GT] = ACTIONS(1452),
    [anon_sym_LT_LT] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1452),
    [anon_sym_PIPE] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_PERCENT] = ACTIONS(1452),
    [anon_sym_STAR_STAR] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_EQ_EQ] = ACTIONS(1450),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_instanceof] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [anon_sym_DQUOTE] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1452),
    [sym_number] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(1452),
    [anon_sym_static] = ACTIONS(1450),
    [anon_sym_get] = ACTIONS(1450),
    [anon_sym_set] = ACTIONS(1450),
  },
  [305] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1429),
    [anon_sym_of] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_PLUS_EQ] = ACTIONS(1412),
    [anon_sym_DASH_EQ] = ACTIONS(1412),
    [anon_sym_STAR_EQ] = ACTIONS(1412),
    [anon_sym_SLASH_EQ] = ACTIONS(1412),
    [anon_sym_PERCENT_EQ] = ACTIONS(1412),
    [anon_sym_CARET_EQ] = ACTIONS(1412),
    [anon_sym_AMP_EQ] = ACTIONS(1412),
    [anon_sym_PIPE_EQ] = ACTIONS(1412),
    [anon_sym_GT_GT_EQ] = ACTIONS(1412),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1412),
    [anon_sym_LT_LT_EQ] = ACTIONS(1412),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1412),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_STAR_STAR] = ACTIONS(1399),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
    [sym__automatic_semicolon] = ACTIONS(1401),
  },
  [306] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_RPAREN] = ACTIONS(1454),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_EQ_GT] = ACTIONS(1383),
    [anon_sym_PLUS_EQ] = ACTIONS(1385),
    [anon_sym_DASH_EQ] = ACTIONS(1385),
    [anon_sym_STAR_EQ] = ACTIONS(1385),
    [anon_sym_SLASH_EQ] = ACTIONS(1385),
    [anon_sym_PERCENT_EQ] = ACTIONS(1385),
    [anon_sym_CARET_EQ] = ACTIONS(1385),
    [anon_sym_AMP_EQ] = ACTIONS(1385),
    [anon_sym_PIPE_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT_EQ] = ACTIONS(1385),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1385),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_STAR_STAR] = ACTIONS(1399),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
  },
  [307] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1429),
    [anon_sym_of] = ACTIONS(1432),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_EQ_GT] = ACTIONS(1383),
    [anon_sym_PLUS_EQ] = ACTIONS(1385),
    [anon_sym_DASH_EQ] = ACTIONS(1385),
    [anon_sym_STAR_EQ] = ACTIONS(1385),
    [anon_sym_SLASH_EQ] = ACTIONS(1385),
    [anon_sym_PERCENT_EQ] = ACTIONS(1385),
    [anon_sym_CARET_EQ] = ACTIONS(1385),
    [anon_sym_AMP_EQ] = ACTIONS(1385),
    [anon_sym_PIPE_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT_EQ] = ACTIONS(1385),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1385),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_STAR_STAR] = ACTIONS(1399),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
  },
  [308] = {
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [anon_sym_in] = ACTIONS(1356),
    [anon_sym_of] = ACTIONS(1457),
    [anon_sym_EQ] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1084),
    [anon_sym_EQ_GT] = ACTIONS(1090),
    [anon_sym_PLUS_EQ] = ACTIONS(1092),
    [anon_sym_DASH_EQ] = ACTIONS(1092),
    [anon_sym_STAR_EQ] = ACTIONS(1092),
    [anon_sym_SLASH_EQ] = ACTIONS(1092),
    [anon_sym_PERCENT_EQ] = ACTIONS(1092),
    [anon_sym_CARET_EQ] = ACTIONS(1092),
    [anon_sym_AMP_EQ] = ACTIONS(1092),
    [anon_sym_PIPE_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_LT_LT_EQ] = ACTIONS(1092),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1092),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1019),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
  },
  [309] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1418),
    [anon_sym_of] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_EQ_GT] = ACTIONS(1383),
    [anon_sym_PLUS_EQ] = ACTIONS(1385),
    [anon_sym_DASH_EQ] = ACTIONS(1385),
    [anon_sym_STAR_EQ] = ACTIONS(1385),
    [anon_sym_SLASH_EQ] = ACTIONS(1385),
    [anon_sym_PERCENT_EQ] = ACTIONS(1385),
    [anon_sym_CARET_EQ] = ACTIONS(1385),
    [anon_sym_AMP_EQ] = ACTIONS(1385),
    [anon_sym_PIPE_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT_EQ] = ACTIONS(1385),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1385),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_STAR_STAR] = ACTIONS(1399),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
  },
  [310] = {
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [anon_sym_in] = ACTIONS(1311),
    [anon_sym_of] = ACTIONS(1425),
    [anon_sym_EQ] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1084),
    [anon_sym_EQ_GT] = ACTIONS(1090),
    [anon_sym_PLUS_EQ] = ACTIONS(1092),
    [anon_sym_DASH_EQ] = ACTIONS(1092),
    [anon_sym_STAR_EQ] = ACTIONS(1092),
    [anon_sym_SLASH_EQ] = ACTIONS(1092),
    [anon_sym_PERCENT_EQ] = ACTIONS(1092),
    [anon_sym_CARET_EQ] = ACTIONS(1092),
    [anon_sym_AMP_EQ] = ACTIONS(1092),
    [anon_sym_PIPE_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1092),
    [anon_sym_LT_LT_EQ] = ACTIONS(1092),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1092),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1019),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
  },
  [311] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1418),
    [anon_sym_of] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_PLUS_EQ] = ACTIONS(1385),
    [anon_sym_DASH_EQ] = ACTIONS(1385),
    [anon_sym_STAR_EQ] = ACTIONS(1385),
    [anon_sym_SLASH_EQ] = ACTIONS(1385),
    [anon_sym_PERCENT_EQ] = ACTIONS(1385),
    [anon_sym_CARET_EQ] = ACTIONS(1385),
    [anon_sym_AMP_EQ] = ACTIONS(1385),
    [anon_sym_PIPE_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT_EQ] = ACTIONS(1385),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1385),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_STAR_STAR] = ACTIONS(1399),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
  },
  [312] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1429),
    [anon_sym_of] = ACTIONS(1432),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_PLUS_EQ] = ACTIONS(1385),
    [anon_sym_DASH_EQ] = ACTIONS(1385),
    [anon_sym_STAR_EQ] = ACTIONS(1385),
    [anon_sym_SLASH_EQ] = ACTIONS(1385),
    [anon_sym_PERCENT_EQ] = ACTIONS(1385),
    [anon_sym_CARET_EQ] = ACTIONS(1385),
    [anon_sym_AMP_EQ] = ACTIONS(1385),
    [anon_sym_PIPE_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT_EQ] = ACTIONS(1385),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1385),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_STAR_STAR] = ACTIONS(1399),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
  },
  [313] = {
    [sym_import_clause] = STATE(900),
    [sym_namespace_import] = STATE(1108),
    [sym_named_imports] = STATE(1108),
    [sym_string] = STATE(892),
    [sym_identifier] = ACTIONS(1459),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(1463),
    [anon_sym_COMMA] = ACTIONS(1465),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [anon_sym_in] = ACTIONS(1467),
    [anon_sym_SEMI] = ACTIONS(1465),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [anon_sym_LT] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1467),
    [anon_sym_SLASH] = ACTIONS(1467),
    [anon_sym_DOT] = ACTIONS(1465),
    [anon_sym_QMARK] = ACTIONS(1465),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1467),
    [anon_sym_GT_GT_GT] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1467),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1467),
    [anon_sym_DASH] = ACTIONS(1467),
    [anon_sym_PERCENT] = ACTIONS(1465),
    [anon_sym_STAR_STAR] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_EQ_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_instanceof] = ACTIONS(1467),
    [anon_sym_PLUS_PLUS] = ACTIONS(1465),
    [anon_sym_DASH_DASH] = ACTIONS(1465),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1465),
    [sym__automatic_semicolon] = ACTIONS(1465),
  },
  [314] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_LBRACE] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1471),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1471),
    [anon_sym_in] = ACTIONS(1469),
    [anon_sym_COLON] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1471),
    [anon_sym_LT] = ACTIONS(1469),
    [anon_sym_GT] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1469),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1471),
    [anon_sym_AMP_AMP] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1471),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_GT_GT_GT] = ACTIONS(1471),
    [anon_sym_LT_LT] = ACTIONS(1471),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1471),
    [anon_sym_PIPE] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1469),
    [anon_sym_PERCENT] = ACTIONS(1471),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1471),
    [anon_sym_EQ_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1471),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1471),
    [anon_sym_GT_EQ] = ACTIONS(1471),
    [anon_sym_instanceof] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [315] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1471),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1471),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1471),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1471),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1471),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1471),
    [anon_sym_PIPE] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [316] = {
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1495),
    [anon_sym_COMMA] = ACTIONS(1495),
    [anon_sym_RBRACE] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1495),
    [anon_sym_RPAREN] = ACTIONS(1495),
    [anon_sym_in] = ACTIONS(1493),
    [anon_sym_of] = ACTIONS(1495),
    [anon_sym_COLON] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1495),
    [anon_sym_RBRACK] = ACTIONS(1495),
    [anon_sym_LT] = ACTIONS(1493),
    [anon_sym_GT] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1493),
    [anon_sym_DOT] = ACTIONS(1495),
    [anon_sym_QMARK] = ACTIONS(1495),
    [anon_sym_AMP_AMP] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1495),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_GT_GT_GT] = ACTIONS(1495),
    [anon_sym_LT_LT] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1495),
    [anon_sym_PIPE] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1493),
    [anon_sym_PERCENT] = ACTIONS(1495),
    [anon_sym_STAR_STAR] = ACTIONS(1495),
    [anon_sym_LT_EQ] = ACTIONS(1495),
    [anon_sym_EQ_EQ] = ACTIONS(1493),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1495),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1495),
    [anon_sym_GT_EQ] = ACTIONS(1495),
    [anon_sym_instanceof] = ACTIONS(1495),
    [anon_sym_PLUS_PLUS] = ACTIONS(1495),
    [anon_sym_DASH_DASH] = ACTIONS(1495),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1495),
  },
  [317] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1497),
    [anon_sym_COMMA] = ACTIONS(1497),
    [anon_sym_RBRACE] = ACTIONS(1497),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1497),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1497),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [318] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_COMMA] = ACTIONS(1505),
    [anon_sym_RBRACE] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1505),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [319] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1507),
    [anon_sym_COMMA] = ACTIONS(1507),
    [anon_sym_RBRACE] = ACTIONS(1507),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1507),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1507),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1507),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [320] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1509),
    [anon_sym_RBRACE] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1509),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1509),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [321] = {
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_LBRACE] = ACTIONS(1513),
    [anon_sym_COMMA] = ACTIONS(1513),
    [anon_sym_RBRACE] = ACTIONS(1513),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_RPAREN] = ACTIONS(1513),
    [anon_sym_in] = ACTIONS(1511),
    [anon_sym_of] = ACTIONS(1513),
    [anon_sym_COLON] = ACTIONS(1513),
    [anon_sym_EQ] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [anon_sym_RBRACK] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_DOT] = ACTIONS(1513),
    [anon_sym_QMARK] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1513),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1511),
    [anon_sym_GT_GT_GT] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_PERCENT] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_EQ_EQ] = ACTIONS(1511),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1511),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1513),
    [anon_sym_PLUS_PLUS] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1513),
  },
  [322] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_COMMA] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1515),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1515),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [323] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1519),
    [anon_sym_RBRACE] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1519),
    [anon_sym_in] = ACTIONS(1517),
    [anon_sym_COLON] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1517),
    [anon_sym_GT] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1517),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1519),
    [anon_sym_AMP_AMP] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1519),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_GT_GT_GT] = ACTIONS(1519),
    [anon_sym_LT_LT] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1517),
    [anon_sym_PERCENT] = ACTIONS(1519),
    [anon_sym_STAR_STAR] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1517),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1519),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1519),
    [anon_sym_instanceof] = ACTIONS(1519),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [324] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1401),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_RBRACE] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_COLON] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_RBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [325] = {
    [anon_sym_STAR] = ACTIONS(1521),
    [anon_sym_LBRACE] = ACTIONS(1523),
    [anon_sym_COMMA] = ACTIONS(1523),
    [anon_sym_RBRACE] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [anon_sym_RPAREN] = ACTIONS(1523),
    [anon_sym_in] = ACTIONS(1521),
    [anon_sym_of] = ACTIONS(1523),
    [anon_sym_COLON] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1521),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [anon_sym_RBRACK] = ACTIONS(1523),
    [anon_sym_LT] = ACTIONS(1521),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_SLASH] = ACTIONS(1521),
    [anon_sym_DOT] = ACTIONS(1523),
    [anon_sym_QMARK] = ACTIONS(1523),
    [anon_sym_AMP_AMP] = ACTIONS(1523),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1521),
    [anon_sym_GT_GT_GT] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1521),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1521),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_PERCENT] = ACTIONS(1523),
    [anon_sym_STAR_STAR] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_instanceof] = ACTIONS(1523),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1523),
  },
  [326] = {
    [anon_sym_STAR] = ACTIONS(1525),
    [anon_sym_LBRACE] = ACTIONS(1527),
    [anon_sym_COMMA] = ACTIONS(1527),
    [anon_sym_RBRACE] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1527),
    [anon_sym_RPAREN] = ACTIONS(1527),
    [anon_sym_in] = ACTIONS(1525),
    [anon_sym_of] = ACTIONS(1527),
    [anon_sym_COLON] = ACTIONS(1527),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_LBRACK] = ACTIONS(1527),
    [anon_sym_RBRACK] = ACTIONS(1527),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_DOT] = ACTIONS(1527),
    [anon_sym_QMARK] = ACTIONS(1527),
    [anon_sym_AMP_AMP] = ACTIONS(1527),
    [anon_sym_PIPE_PIPE] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1525),
    [anon_sym_GT_GT_GT] = ACTIONS(1527),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_AMP] = ACTIONS(1525),
    [anon_sym_CARET] = ACTIONS(1527),
    [anon_sym_PIPE] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1525),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_PERCENT] = ACTIONS(1527),
    [anon_sym_STAR_STAR] = ACTIONS(1527),
    [anon_sym_LT_EQ] = ACTIONS(1527),
    [anon_sym_EQ_EQ] = ACTIONS(1525),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1527),
    [anon_sym_BANG_EQ] = ACTIONS(1525),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1527),
    [anon_sym_GT_EQ] = ACTIONS(1527),
    [anon_sym_instanceof] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1527),
    [anon_sym_DASH_DASH] = ACTIONS(1527),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1527),
  },
  [327] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_COMMA] = ACTIONS(1529),
    [anon_sym_RBRACE] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1529),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1529),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1529),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [328] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_COMMA] = ACTIONS(1531),
    [anon_sym_RBRACE] = ACTIONS(1531),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1531),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1531),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [329] = {
    [anon_sym_STAR] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(1535),
    [anon_sym_COMMA] = ACTIONS(1535),
    [anon_sym_RBRACE] = ACTIONS(1535),
    [anon_sym_LPAREN] = ACTIONS(1535),
    [anon_sym_RPAREN] = ACTIONS(1535),
    [anon_sym_in] = ACTIONS(1533),
    [anon_sym_of] = ACTIONS(1535),
    [anon_sym_COLON] = ACTIONS(1535),
    [anon_sym_EQ] = ACTIONS(1533),
    [anon_sym_LBRACK] = ACTIONS(1535),
    [anon_sym_RBRACK] = ACTIONS(1535),
    [anon_sym_LT] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1533),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_DOT] = ACTIONS(1535),
    [anon_sym_QMARK] = ACTIONS(1535),
    [anon_sym_AMP_AMP] = ACTIONS(1535),
    [anon_sym_PIPE_PIPE] = ACTIONS(1535),
    [anon_sym_GT_GT] = ACTIONS(1533),
    [anon_sym_GT_GT_GT] = ACTIONS(1535),
    [anon_sym_LT_LT] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PIPE] = ACTIONS(1533),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_PERCENT] = ACTIONS(1535),
    [anon_sym_STAR_STAR] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1535),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1535),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1535),
    [anon_sym_GT_EQ] = ACTIONS(1535),
    [anon_sym_instanceof] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1535),
  },
  [330] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_COMMA] = ACTIONS(1537),
    [anon_sym_RBRACE] = ACTIONS(1537),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1537),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1537),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1537),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [331] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(1539),
    [anon_sym_RBRACE] = ACTIONS(1539),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1539),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1539),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1539),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [332] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(1541),
    [anon_sym_RBRACE] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1541),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1541),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1541),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [333] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1543),
    [anon_sym_COMMA] = ACTIONS(1543),
    [anon_sym_RBRACE] = ACTIONS(1543),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1543),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [334] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1519),
    [anon_sym_RBRACE] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1519),
    [anon_sym_in] = ACTIONS(1517),
    [anon_sym_COLON] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1517),
    [anon_sym_GT] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1517),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1519),
    [anon_sym_AMP_AMP] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1519),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_GT_GT_GT] = ACTIONS(1519),
    [anon_sym_LT_LT] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1517),
    [anon_sym_PERCENT] = ACTIONS(1519),
    [anon_sym_STAR_STAR] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1517),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1519),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1519),
    [anon_sym_instanceof] = ACTIONS(1519),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [335] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_LBRACE] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1471),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1471),
    [anon_sym_in] = ACTIONS(1469),
    [anon_sym_COLON] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1471),
    [anon_sym_LT] = ACTIONS(1469),
    [anon_sym_GT] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1469),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1471),
    [anon_sym_AMP_AMP] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1471),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_GT_GT_GT] = ACTIONS(1471),
    [anon_sym_LT_LT] = ACTIONS(1471),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1471),
    [anon_sym_PIPE] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1469),
    [anon_sym_PERCENT] = ACTIONS(1471),
    [anon_sym_STAR_STAR] = ACTIONS(1471),
    [anon_sym_LT_EQ] = ACTIONS(1471),
    [anon_sym_EQ_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1471),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1471),
    [anon_sym_GT_EQ] = ACTIONS(1471),
    [anon_sym_instanceof] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [336] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1471),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1471),
    [anon_sym_in] = ACTIONS(1469),
    [anon_sym_COLON] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1471),
    [anon_sym_LT] = ACTIONS(1469),
    [anon_sym_GT] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1471),
    [anon_sym_AMP_AMP] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1471),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1471),
    [anon_sym_PIPE] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1469),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1471),
    [anon_sym_EQ_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1471),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1471),
    [anon_sym_GT_EQ] = ACTIONS(1471),
    [anon_sym_instanceof] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [337] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1545),
    [anon_sym_COMMA] = ACTIONS(1545),
    [anon_sym_RBRACE] = ACTIONS(1545),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1545),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1545),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [338] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1471),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1471),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1471),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1471),
    [anon_sym_AMP_AMP] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1471),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1471),
    [anon_sym_PIPE] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [339] = {
    [anon_sym_STAR] = ACTIONS(394),
    [anon_sym_LBRACE] = ACTIONS(392),
    [anon_sym_COMMA] = ACTIONS(392),
    [anon_sym_RBRACE] = ACTIONS(392),
    [anon_sym_LPAREN] = ACTIONS(392),
    [anon_sym_RPAREN] = ACTIONS(392),
    [anon_sym_in] = ACTIONS(394),
    [anon_sym_COLON] = ACTIONS(392),
    [anon_sym_EQ] = ACTIONS(396),
    [anon_sym_LBRACK] = ACTIONS(392),
    [anon_sym_RBRACK] = ACTIONS(392),
    [anon_sym_LT] = ACTIONS(394),
    [anon_sym_GT] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_DOT] = ACTIONS(392),
    [anon_sym_QMARK] = ACTIONS(392),
    [anon_sym_AMP_AMP] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(394),
    [anon_sym_GT_GT_GT] = ACTIONS(392),
    [anon_sym_LT_LT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(392),
    [anon_sym_PIPE] = ACTIONS(394),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_PERCENT] = ACTIONS(392),
    [anon_sym_STAR_STAR] = ACTIONS(392),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_EQ_EQ] = ACTIONS(394),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_BANG_EQ] = ACTIONS(394),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(392),
    [anon_sym_DASH_DASH] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(1547),
  },
  [340] = {
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_LBRACE] = ACTIONS(1551),
    [anon_sym_COMMA] = ACTIONS(1551),
    [anon_sym_RBRACE] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1551),
    [anon_sym_in] = ACTIONS(1549),
    [anon_sym_of] = ACTIONS(1551),
    [anon_sym_COLON] = ACTIONS(1551),
    [anon_sym_EQ] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1549),
    [anon_sym_DOT] = ACTIONS(1551),
    [anon_sym_QMARK] = ACTIONS(1551),
    [anon_sym_AMP_AMP] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1551),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_GT_GT_GT] = ACTIONS(1551),
    [anon_sym_LT_LT] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1551),
    [anon_sym_PIPE] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_PERCENT] = ACTIONS(1551),
    [anon_sym_STAR_STAR] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1551),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1551),
    [anon_sym_instanceof] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1551),
    [anon_sym_DASH_DASH] = ACTIONS(1551),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1551),
  },
  [341] = {
    [anon_sym_STAR] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_COMMA] = ACTIONS(1555),
    [anon_sym_RBRACE] = ACTIONS(1555),
    [anon_sym_LPAREN] = ACTIONS(1555),
    [anon_sym_RPAREN] = ACTIONS(1555),
    [anon_sym_in] = ACTIONS(1553),
    [anon_sym_of] = ACTIONS(1555),
    [anon_sym_COLON] = ACTIONS(1555),
    [anon_sym_EQ] = ACTIONS(1553),
    [anon_sym_LBRACK] = ACTIONS(1555),
    [anon_sym_RBRACK] = ACTIONS(1555),
    [anon_sym_LT] = ACTIONS(1553),
    [anon_sym_GT] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1555),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_AMP_AMP] = ACTIONS(1555),
    [anon_sym_PIPE_PIPE] = ACTIONS(1555),
    [anon_sym_GT_GT] = ACTIONS(1553),
    [anon_sym_GT_GT_GT] = ACTIONS(1555),
    [anon_sym_LT_LT] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(1553),
    [anon_sym_CARET] = ACTIONS(1555),
    [anon_sym_PIPE] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_PERCENT] = ACTIONS(1555),
    [anon_sym_STAR_STAR] = ACTIONS(1555),
    [anon_sym_LT_EQ] = ACTIONS(1555),
    [anon_sym_EQ_EQ] = ACTIONS(1553),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1555),
    [anon_sym_BANG_EQ] = ACTIONS(1553),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1555),
    [anon_sym_GT_EQ] = ACTIONS(1555),
    [anon_sym_instanceof] = ACTIONS(1555),
    [anon_sym_PLUS_PLUS] = ACTIONS(1555),
    [anon_sym_DASH_DASH] = ACTIONS(1555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1555),
  },
  [342] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_COMMA] = ACTIONS(1557),
    [anon_sym_RBRACE] = ACTIONS(1557),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1557),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1557),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1557),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [343] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1471),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1471),
    [anon_sym_in] = ACTIONS(1469),
    [anon_sym_COLON] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1471),
    [anon_sym_LT] = ACTIONS(1469),
    [anon_sym_GT] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1471),
    [anon_sym_AMP_AMP] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1471),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1471),
    [anon_sym_PIPE] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1471),
    [anon_sym_EQ_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1471),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1471),
    [anon_sym_GT_EQ] = ACTIONS(1471),
    [anon_sym_instanceof] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [344] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1519),
    [anon_sym_RBRACE] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1519),
    [anon_sym_in] = ACTIONS(1517),
    [anon_sym_COLON] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1517),
    [anon_sym_GT] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1517),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1519),
    [anon_sym_AMP_AMP] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1519),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_GT_GT_GT] = ACTIONS(1519),
    [anon_sym_LT_LT] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1517),
    [anon_sym_PERCENT] = ACTIONS(1519),
    [anon_sym_STAR_STAR] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1517),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1519),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1519),
    [anon_sym_instanceof] = ACTIONS(1519),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [345] = {
    [anon_sym_STAR] = ACTIONS(396),
    [anon_sym_LBRACE] = ACTIONS(398),
    [anon_sym_COMMA] = ACTIONS(398),
    [anon_sym_RBRACE] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(398),
    [anon_sym_RPAREN] = ACTIONS(398),
    [anon_sym_in] = ACTIONS(396),
    [anon_sym_of] = ACTIONS(398),
    [anon_sym_COLON] = ACTIONS(398),
    [anon_sym_EQ] = ACTIONS(396),
    [anon_sym_LBRACK] = ACTIONS(398),
    [anon_sym_RBRACK] = ACTIONS(398),
    [anon_sym_LT] = ACTIONS(396),
    [anon_sym_GT] = ACTIONS(396),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_DOT] = ACTIONS(398),
    [anon_sym_QMARK] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(398),
    [anon_sym_PIPE_PIPE] = ACTIONS(398),
    [anon_sym_GT_GT] = ACTIONS(396),
    [anon_sym_GT_GT_GT] = ACTIONS(398),
    [anon_sym_LT_LT] = ACTIONS(398),
    [anon_sym_AMP] = ACTIONS(396),
    [anon_sym_CARET] = ACTIONS(398),
    [anon_sym_PIPE] = ACTIONS(396),
    [anon_sym_PLUS] = ACTIONS(396),
    [anon_sym_DASH] = ACTIONS(396),
    [anon_sym_PERCENT] = ACTIONS(398),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_LT_EQ] = ACTIONS(398),
    [anon_sym_EQ_EQ] = ACTIONS(396),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(398),
    [anon_sym_BANG_EQ] = ACTIONS(396),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(398),
    [anon_sym_GT_EQ] = ACTIONS(398),
    [anon_sym_instanceof] = ACTIONS(398),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(398),
  },
  [346] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_LBRACE] = ACTIONS(1561),
    [anon_sym_COMMA] = ACTIONS(1561),
    [anon_sym_RBRACE] = ACTIONS(1561),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1561),
    [anon_sym_in] = ACTIONS(1559),
    [anon_sym_COLON] = ACTIONS(1561),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1561),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_GT] = ACTIONS(1559),
    [anon_sym_SLASH] = ACTIONS(1559),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1561),
    [anon_sym_AMP_AMP] = ACTIONS(1561),
    [anon_sym_PIPE_PIPE] = ACTIONS(1561),
    [anon_sym_GT_GT] = ACTIONS(1559),
    [anon_sym_GT_GT_GT] = ACTIONS(1561),
    [anon_sym_LT_LT] = ACTIONS(1561),
    [anon_sym_AMP] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1561),
    [anon_sym_PIPE] = ACTIONS(1559),
    [anon_sym_PLUS] = ACTIONS(1559),
    [anon_sym_DASH] = ACTIONS(1559),
    [anon_sym_PERCENT] = ACTIONS(1561),
    [anon_sym_STAR_STAR] = ACTIONS(1561),
    [anon_sym_LT_EQ] = ACTIONS(1561),
    [anon_sym_EQ_EQ] = ACTIONS(1559),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1561),
    [anon_sym_BANG_EQ] = ACTIONS(1559),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1561),
    [anon_sym_GT_EQ] = ACTIONS(1561),
    [anon_sym_instanceof] = ACTIONS(1561),
    [anon_sym_PLUS_PLUS] = ACTIONS(1561),
    [anon_sym_DASH_DASH] = ACTIONS(1561),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [347] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_COMMA] = ACTIONS(1563),
    [anon_sym_RBRACE] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1563),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1563),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1563),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [348] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [349] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(419),
    [anon_sym_STAR] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [anon_sym_RPAREN] = ACTIONS(1375),
    [anon_sym_in] = ACTIONS(1373),
    [anon_sym_COLON] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_RBRACK] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_AMP_AMP] = ACTIONS(1375),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1373),
    [anon_sym_GT_GT_GT] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1373),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1375),
    [anon_sym_STAR_STAR] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1375),
  },
  [350] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1567),
    [anon_sym_COMMA] = ACTIONS(1567),
    [anon_sym_RBRACE] = ACTIONS(1567),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1567),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1567),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [351] = {
    [sym_arguments] = STATE(418),
    [anon_sym_STAR] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1375),
    [anon_sym_in] = ACTIONS(1373),
    [anon_sym_COLON] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1569),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_RBRACK] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_AMP_AMP] = ACTIONS(1375),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1373),
    [anon_sym_GT_GT_GT] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1373),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1375),
    [anon_sym_STAR_STAR] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1375),
  },
  [352] = {
    [sym_arguments] = STATE(418),
    [anon_sym_STAR] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1375),
    [anon_sym_in] = ACTIONS(1373),
    [anon_sym_COLON] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1571),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_RBRACK] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_AMP_AMP] = ACTIONS(1375),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1373),
    [anon_sym_GT_GT_GT] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1373),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1375),
    [anon_sym_STAR_STAR] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1375),
  },
  [353] = {
    [anon_sym_STAR] = ACTIONS(470),
    [anon_sym_LBRACE] = ACTIONS(468),
    [anon_sym_COMMA] = ACTIONS(468),
    [anon_sym_RBRACE] = ACTIONS(468),
    [anon_sym_LPAREN] = ACTIONS(468),
    [anon_sym_RPAREN] = ACTIONS(468),
    [anon_sym_in] = ACTIONS(470),
    [anon_sym_COLON] = ACTIONS(468),
    [anon_sym_LBRACK] = ACTIONS(468),
    [anon_sym_RBRACK] = ACTIONS(468),
    [anon_sym_LT] = ACTIONS(470),
    [anon_sym_GT] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_DOT] = ACTIONS(468),
    [anon_sym_QMARK] = ACTIONS(468),
    [anon_sym_AMP_AMP] = ACTIONS(468),
    [anon_sym_PIPE_PIPE] = ACTIONS(468),
    [anon_sym_GT_GT] = ACTIONS(470),
    [anon_sym_GT_GT_GT] = ACTIONS(468),
    [anon_sym_LT_LT] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(468),
    [anon_sym_PIPE] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_PERCENT] = ACTIONS(468),
    [anon_sym_STAR_STAR] = ACTIONS(468),
    [anon_sym_LT_EQ] = ACTIONS(468),
    [anon_sym_EQ_EQ] = ACTIONS(470),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(468),
    [anon_sym_BANG_EQ] = ACTIONS(470),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(468),
    [anon_sym_GT_EQ] = ACTIONS(468),
    [anon_sym_instanceof] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(468),
    [sym__automatic_semicolon] = ACTIONS(1573),
  },
  [354] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_RBRACE] = ACTIONS(1577),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1577),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1577),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1577),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [355] = {
    [sym_arguments] = STATE(418),
    [anon_sym_STAR] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1375),
    [anon_sym_in] = ACTIONS(1373),
    [anon_sym_COLON] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_RBRACK] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_AMP_AMP] = ACTIONS(1375),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1373),
    [anon_sym_GT_GT_GT] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1373),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1375),
    [anon_sym_STAR_STAR] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1375),
  },
  [356] = {
    [anon_sym_STAR] = ACTIONS(394),
    [anon_sym_LBRACE] = ACTIONS(392),
    [anon_sym_COMMA] = ACTIONS(392),
    [anon_sym_RBRACE] = ACTIONS(392),
    [anon_sym_LPAREN] = ACTIONS(392),
    [anon_sym_RPAREN] = ACTIONS(392),
    [anon_sym_in] = ACTIONS(394),
    [anon_sym_COLON] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(392),
    [anon_sym_RBRACK] = ACTIONS(392),
    [anon_sym_LT] = ACTIONS(394),
    [anon_sym_GT] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_DOT] = ACTIONS(392),
    [anon_sym_QMARK] = ACTIONS(392),
    [anon_sym_AMP_AMP] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(394),
    [anon_sym_GT_GT_GT] = ACTIONS(392),
    [anon_sym_LT_LT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(392),
    [anon_sym_PIPE] = ACTIONS(394),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_PERCENT] = ACTIONS(392),
    [anon_sym_STAR_STAR] = ACTIONS(392),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_EQ_EQ] = ACTIONS(394),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_BANG_EQ] = ACTIONS(394),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(392),
    [anon_sym_DASH_DASH] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(1547),
  },
  [357] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1401),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_RBRACE] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_RPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_COLON] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1571),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_RBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
  },
  [358] = {
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_COMMA] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [anon_sym_RPAREN] = ACTIONS(1452),
    [anon_sym_in] = ACTIONS(1450),
    [anon_sym_COLON] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_RBRACK] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1450),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_EQ_GT] = ACTIONS(1579),
    [anon_sym_QMARK] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1452),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_GT_GT_GT] = ACTIONS(1452),
    [anon_sym_LT_LT] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1452),
    [anon_sym_PIPE] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_PERCENT] = ACTIONS(1452),
    [anon_sym_STAR_STAR] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_EQ_EQ] = ACTIONS(1450),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_instanceof] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1452),
  },
  [359] = {
    [anon_sym_STAR] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1583),
    [anon_sym_COMMA] = ACTIONS(1583),
    [anon_sym_RBRACE] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_RPAREN] = ACTIONS(1583),
    [anon_sym_in] = ACTIONS(1581),
    [anon_sym_COLON] = ACTIONS(1583),
    [anon_sym_LBRACK] = ACTIONS(1583),
    [anon_sym_RBRACK] = ACTIONS(1583),
    [anon_sym_LT] = ACTIONS(1581),
    [anon_sym_GT] = ACTIONS(1581),
    [anon_sym_SLASH] = ACTIONS(1581),
    [anon_sym_DOT] = ACTIONS(1583),
    [anon_sym_QMARK] = ACTIONS(1583),
    [anon_sym_AMP_AMP] = ACTIONS(1583),
    [anon_sym_PIPE_PIPE] = ACTIONS(1583),
    [anon_sym_GT_GT] = ACTIONS(1581),
    [anon_sym_GT_GT_GT] = ACTIONS(1583),
    [anon_sym_LT_LT] = ACTIONS(1583),
    [anon_sym_AMP] = ACTIONS(1581),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_PIPE] = ACTIONS(1581),
    [anon_sym_PLUS] = ACTIONS(1581),
    [anon_sym_DASH] = ACTIONS(1581),
    [anon_sym_PERCENT] = ACTIONS(1583),
    [anon_sym_STAR_STAR] = ACTIONS(1583),
    [anon_sym_LT_EQ] = ACTIONS(1583),
    [anon_sym_EQ_EQ] = ACTIONS(1581),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1583),
    [anon_sym_BANG_EQ] = ACTIONS(1581),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1583),
    [anon_sym_GT_EQ] = ACTIONS(1583),
    [anon_sym_instanceof] = ACTIONS(1581),
    [anon_sym_PLUS_PLUS] = ACTIONS(1583),
    [anon_sym_DASH_DASH] = ACTIONS(1583),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1583),
    [sym_regex_flags] = ACTIONS(1585),
  },
  [360] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1401),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_RBRACE] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_RPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_COLON] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1569),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_RBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
  },
  [361] = {
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1507),
    [anon_sym_COMMA] = ACTIONS(1507),
    [anon_sym_RBRACE] = ACTIONS(1507),
    [anon_sym_LPAREN] = ACTIONS(1507),
    [anon_sym_RPAREN] = ACTIONS(1507),
    [anon_sym_in] = ACTIONS(1587),
    [anon_sym_COLON] = ACTIONS(1507),
    [anon_sym_LBRACK] = ACTIONS(1507),
    [anon_sym_RBRACK] = ACTIONS(1507),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1587),
    [anon_sym_DOT] = ACTIONS(1507),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_AMP_AMP] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1507),
    [anon_sym_GT_GT] = ACTIONS(1587),
    [anon_sym_GT_GT_GT] = ACTIONS(1507),
    [anon_sym_LT_LT] = ACTIONS(1507),
    [anon_sym_AMP] = ACTIONS(1587),
    [anon_sym_CARET] = ACTIONS(1507),
    [anon_sym_PIPE] = ACTIONS(1587),
    [anon_sym_PLUS] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1507),
    [anon_sym_STAR_STAR] = ACTIONS(1507),
    [anon_sym_LT_EQ] = ACTIONS(1507),
    [anon_sym_EQ_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1507),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1507),
    [anon_sym_GT_EQ] = ACTIONS(1507),
    [anon_sym_instanceof] = ACTIONS(1507),
    [anon_sym_PLUS_PLUS] = ACTIONS(1507),
    [anon_sym_DASH_DASH] = ACTIONS(1507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1507),
  },
  [362] = {
    [anon_sym_STAR] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_RPAREN] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1589),
    [anon_sym_COLON] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_RBRACK] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1589),
    [anon_sym_GT] = ACTIONS(1589),
    [anon_sym_SLASH] = ACTIONS(1589),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1565),
    [anon_sym_AMP_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1565),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_GT_GT_GT] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_instanceof] = ACTIONS(1565),
    [anon_sym_PLUS_PLUS] = ACTIONS(1565),
    [anon_sym_DASH_DASH] = ACTIONS(1565),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1565),
  },
  [363] = {
    [anon_sym_STAR] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1593),
    [anon_sym_COMMA] = ACTIONS(1593),
    [anon_sym_RBRACE] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1593),
    [anon_sym_RPAREN] = ACTIONS(1593),
    [anon_sym_in] = ACTIONS(1591),
    [anon_sym_COLON] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1593),
    [anon_sym_RBRACK] = ACTIONS(1593),
    [anon_sym_LT] = ACTIONS(1591),
    [anon_sym_GT] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_DOT] = ACTIONS(1593),
    [anon_sym_QMARK] = ACTIONS(1593),
    [anon_sym_AMP_AMP] = ACTIONS(1593),
    [anon_sym_PIPE_PIPE] = ACTIONS(1593),
    [anon_sym_GT_GT] = ACTIONS(1591),
    [anon_sym_GT_GT_GT] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1593),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_CARET] = ACTIONS(1593),
    [anon_sym_PIPE] = ACTIONS(1591),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_PERCENT] = ACTIONS(1593),
    [anon_sym_STAR_STAR] = ACTIONS(1593),
    [anon_sym_LT_EQ] = ACTIONS(1593),
    [anon_sym_EQ_EQ] = ACTIONS(1591),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1593),
    [anon_sym_BANG_EQ] = ACTIONS(1591),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1593),
    [anon_sym_GT_EQ] = ACTIONS(1593),
    [anon_sym_instanceof] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1593),
  },
  [364] = {
    [anon_sym_STAR] = ACTIONS(1595),
    [anon_sym_LBRACE] = ACTIONS(1597),
    [anon_sym_COMMA] = ACTIONS(1597),
    [anon_sym_RBRACE] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1597),
    [anon_sym_RPAREN] = ACTIONS(1597),
    [anon_sym_in] = ACTIONS(1595),
    [anon_sym_COLON] = ACTIONS(1597),
    [anon_sym_LBRACK] = ACTIONS(1597),
    [anon_sym_RBRACK] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1595),
    [anon_sym_GT] = ACTIONS(1595),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_DOT] = ACTIONS(1597),
    [anon_sym_QMARK] = ACTIONS(1597),
    [anon_sym_AMP_AMP] = ACTIONS(1597),
    [anon_sym_PIPE_PIPE] = ACTIONS(1597),
    [anon_sym_GT_GT] = ACTIONS(1595),
    [anon_sym_GT_GT_GT] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1597),
    [anon_sym_AMP] = ACTIONS(1595),
    [anon_sym_CARET] = ACTIONS(1597),
    [anon_sym_PIPE] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1595),
    [anon_sym_DASH] = ACTIONS(1595),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [anon_sym_STAR_STAR] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_EQ_EQ] = ACTIONS(1595),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1595),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1597),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_instanceof] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1597),
    [anon_sym_DASH_DASH] = ACTIONS(1597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1597),
  },
  [365] = {
    [anon_sym_STAR] = ACTIONS(1599),
    [anon_sym_LBRACE] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(1601),
    [anon_sym_RBRACE] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_RPAREN] = ACTIONS(1601),
    [anon_sym_in] = ACTIONS(1599),
    [anon_sym_COLON] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1601),
    [anon_sym_RBRACK] = ACTIONS(1601),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_SLASH] = ACTIONS(1599),
    [anon_sym_DOT] = ACTIONS(1601),
    [anon_sym_QMARK] = ACTIONS(1601),
    [anon_sym_AMP_AMP] = ACTIONS(1601),
    [anon_sym_PIPE_PIPE] = ACTIONS(1601),
    [anon_sym_GT_GT] = ACTIONS(1599),
    [anon_sym_GT_GT_GT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1601),
    [anon_sym_AMP] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1601),
    [anon_sym_PIPE] = ACTIONS(1599),
    [anon_sym_PLUS] = ACTIONS(1599),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_PERCENT] = ACTIONS(1601),
    [anon_sym_STAR_STAR] = ACTIONS(1601),
    [anon_sym_LT_EQ] = ACTIONS(1601),
    [anon_sym_EQ_EQ] = ACTIONS(1599),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1601),
    [anon_sym_BANG_EQ] = ACTIONS(1599),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1601),
    [anon_sym_GT_EQ] = ACTIONS(1601),
    [anon_sym_instanceof] = ACTIONS(1601),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1601),
  },
  [366] = {
    [anon_sym_STAR] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1605),
    [anon_sym_COMMA] = ACTIONS(1605),
    [anon_sym_RBRACE] = ACTIONS(1605),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_RPAREN] = ACTIONS(1605),
    [anon_sym_in] = ACTIONS(1603),
    [anon_sym_COLON] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_RBRACK] = ACTIONS(1605),
    [anon_sym_LT] = ACTIONS(1603),
    [anon_sym_GT] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1603),
    [anon_sym_DOT] = ACTIONS(1605),
    [anon_sym_QMARK] = ACTIONS(1605),
    [anon_sym_AMP_AMP] = ACTIONS(1605),
    [anon_sym_PIPE_PIPE] = ACTIONS(1605),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_GT_GT_GT] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1605),
    [anon_sym_AMP] = ACTIONS(1603),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_PERCENT] = ACTIONS(1605),
    [anon_sym_STAR_STAR] = ACTIONS(1605),
    [anon_sym_LT_EQ] = ACTIONS(1605),
    [anon_sym_EQ_EQ] = ACTIONS(1603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ] = ACTIONS(1603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1605),
    [anon_sym_GT_EQ] = ACTIONS(1605),
    [anon_sym_instanceof] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_DASH_DASH] = ACTIONS(1605),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1605),
  },
  [367] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1515),
  },
  [368] = {
    [anon_sym_STAR] = ACTIONS(1591),
    [anon_sym_COMMA] = ACTIONS(1593),
    [anon_sym_RBRACE] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1593),
    [anon_sym_in] = ACTIONS(1591),
    [anon_sym_SEMI] = ACTIONS(1593),
    [anon_sym_COLON] = ACTIONS(1593),
    [anon_sym_EQ] = ACTIONS(1591),
    [anon_sym_LBRACK] = ACTIONS(1593),
    [anon_sym_LT] = ACTIONS(1591),
    [anon_sym_GT] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_DOT] = ACTIONS(1593),
    [anon_sym_QMARK] = ACTIONS(1593),
    [anon_sym_AMP_AMP] = ACTIONS(1593),
    [anon_sym_PIPE_PIPE] = ACTIONS(1593),
    [anon_sym_GT_GT] = ACTIONS(1591),
    [anon_sym_GT_GT_GT] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1593),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_CARET] = ACTIONS(1593),
    [anon_sym_PIPE] = ACTIONS(1591),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_PERCENT] = ACTIONS(1593),
    [anon_sym_STAR_STAR] = ACTIONS(1593),
    [anon_sym_LT_EQ] = ACTIONS(1593),
    [anon_sym_EQ_EQ] = ACTIONS(1591),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1593),
    [anon_sym_BANG_EQ] = ACTIONS(1591),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1593),
    [anon_sym_GT_EQ] = ACTIONS(1593),
    [anon_sym_instanceof] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1593),
    [sym__automatic_semicolon] = ACTIONS(1593),
  },
  [369] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_COMMA] = ACTIONS(1561),
    [anon_sym_RBRACE] = ACTIONS(1561),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1559),
    [anon_sym_SEMI] = ACTIONS(1561),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_GT] = ACTIONS(1559),
    [anon_sym_SLASH] = ACTIONS(1559),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1561),
    [anon_sym_AMP_AMP] = ACTIONS(1561),
    [anon_sym_PIPE_PIPE] = ACTIONS(1561),
    [anon_sym_GT_GT] = ACTIONS(1559),
    [anon_sym_GT_GT_GT] = ACTIONS(1561),
    [anon_sym_LT_LT] = ACTIONS(1561),
    [anon_sym_AMP] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1561),
    [anon_sym_PIPE] = ACTIONS(1559),
    [anon_sym_PLUS] = ACTIONS(1559),
    [anon_sym_DASH] = ACTIONS(1559),
    [anon_sym_PERCENT] = ACTIONS(1561),
    [anon_sym_STAR_STAR] = ACTIONS(1561),
    [anon_sym_LT_EQ] = ACTIONS(1561),
    [anon_sym_EQ_EQ] = ACTIONS(1559),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1561),
    [anon_sym_BANG_EQ] = ACTIONS(1559),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1561),
    [anon_sym_GT_EQ] = ACTIONS(1561),
    [anon_sym_instanceof] = ACTIONS(1561),
    [anon_sym_PLUS_PLUS] = ACTIONS(1561),
    [anon_sym_DASH_DASH] = ACTIONS(1561),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1561),
  },
  [370] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1519),
    [anon_sym_RBRACE] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1517),
    [anon_sym_GT] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1517),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1519),
    [anon_sym_AMP_AMP] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1519),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_GT_GT_GT] = ACTIONS(1519),
    [anon_sym_LT_LT] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1517),
    [anon_sym_PERCENT] = ACTIONS(1519),
    [anon_sym_STAR_STAR] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1517),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1519),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1519),
    [anon_sym_instanceof] = ACTIONS(1519),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1519),
  },
  [371] = {
    [anon_sym_STAR] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(398),
    [anon_sym_else] = ACTIONS(392),
    [anon_sym_LPAREN] = ACTIONS(398),
    [anon_sym_in] = ACTIONS(396),
    [anon_sym_while] = ACTIONS(392),
    [anon_sym_SEMI] = ACTIONS(398),
    [anon_sym_EQ] = ACTIONS(396),
    [anon_sym_LBRACK] = ACTIONS(398),
    [anon_sym_LT] = ACTIONS(396),
    [anon_sym_GT] = ACTIONS(396),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_DOT] = ACTIONS(398),
    [anon_sym_QMARK] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(398),
    [anon_sym_PIPE_PIPE] = ACTIONS(398),
    [anon_sym_GT_GT] = ACTIONS(396),
    [anon_sym_GT_GT_GT] = ACTIONS(398),
    [anon_sym_LT_LT] = ACTIONS(398),
    [anon_sym_AMP] = ACTIONS(396),
    [anon_sym_CARET] = ACTIONS(398),
    [anon_sym_PIPE] = ACTIONS(396),
    [anon_sym_PLUS] = ACTIONS(396),
    [anon_sym_DASH] = ACTIONS(396),
    [anon_sym_PERCENT] = ACTIONS(398),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_LT_EQ] = ACTIONS(398),
    [anon_sym_EQ_EQ] = ACTIONS(396),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(398),
    [anon_sym_BANG_EQ] = ACTIONS(396),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(398),
    [anon_sym_GT_EQ] = ACTIONS(398),
    [anon_sym_instanceof] = ACTIONS(398),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(398),
    [sym__automatic_semicolon] = ACTIONS(400),
  },
  [372] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1557),
    [anon_sym_RBRACE] = ACTIONS(1557),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1557),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1557),
  },
  [373] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1497),
    [anon_sym_RBRACE] = ACTIONS(1497),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1497),
  },
  [374] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1519),
    [anon_sym_RBRACE] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1517),
    [anon_sym_GT] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1517),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1519),
    [anon_sym_AMP_AMP] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1519),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_GT_GT_GT] = ACTIONS(1519),
    [anon_sym_LT_LT] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1517),
    [anon_sym_PERCENT] = ACTIONS(1519),
    [anon_sym_STAR_STAR] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1517),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1519),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1519),
    [anon_sym_instanceof] = ACTIONS(1519),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1519),
  },
  [375] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1519),
    [anon_sym_RBRACE] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1517),
    [anon_sym_GT] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1517),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1519),
    [anon_sym_AMP_AMP] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1519),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_GT_GT_GT] = ACTIONS(1519),
    [anon_sym_LT_LT] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1517),
    [anon_sym_PERCENT] = ACTIONS(1519),
    [anon_sym_STAR_STAR] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1517),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1519),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1519),
    [anon_sym_instanceof] = ACTIONS(1519),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1519),
  },
  [376] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(524),
    [anon_sym_STAR] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1375),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [anon_sym_in] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_AMP_AMP] = ACTIONS(1375),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1373),
    [anon_sym_GT_GT_GT] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1373),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1375),
    [anon_sym_STAR_STAR] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1375),
    [sym__automatic_semicolon] = ACTIONS(1375),
  },
  [377] = {
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1635),
    [anon_sym_COMMA] = ACTIONS(1635),
    [anon_sym_RBRACE] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1635),
    [anon_sym_RPAREN] = ACTIONS(1635),
    [anon_sym_in] = ACTIONS(1633),
    [anon_sym_COLON] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1635),
    [anon_sym_RBRACK] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_GT] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(1633),
    [anon_sym_DOT] = ACTIONS(1635),
    [anon_sym_QMARK] = ACTIONS(1635),
    [anon_sym_AMP_AMP] = ACTIONS(1635),
    [anon_sym_PIPE_PIPE] = ACTIONS(1635),
    [anon_sym_GT_GT] = ACTIONS(1633),
    [anon_sym_GT_GT_GT] = ACTIONS(1635),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_AMP] = ACTIONS(1633),
    [anon_sym_CARET] = ACTIONS(1635),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_PERCENT] = ACTIONS(1635),
    [anon_sym_STAR_STAR] = ACTIONS(1635),
    [anon_sym_LT_EQ] = ACTIONS(1635),
    [anon_sym_EQ_EQ] = ACTIONS(1633),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1633),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1635),
    [anon_sym_GT_EQ] = ACTIONS(1635),
    [anon_sym_instanceof] = ACTIONS(1635),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1635),
  },
  [378] = {
    [sym_arguments] = STATE(523),
    [anon_sym_STAR] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1375),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1571),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_AMP_AMP] = ACTIONS(1375),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1373),
    [anon_sym_GT_GT_GT] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1373),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1375),
    [anon_sym_STAR_STAR] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1375),
    [sym__automatic_semicolon] = ACTIONS(1375),
  },
  [379] = {
    [sym_arguments] = STATE(523),
    [anon_sym_STAR] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1375),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1569),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_AMP_AMP] = ACTIONS(1375),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1373),
    [anon_sym_GT_GT_GT] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1373),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1375),
    [anon_sym_STAR_STAR] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1375),
    [sym__automatic_semicolon] = ACTIONS(1375),
  },
  [380] = {
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_COMMA] = ACTIONS(1639),
    [anon_sym_RBRACE] = ACTIONS(1639),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_RPAREN] = ACTIONS(1639),
    [anon_sym_in] = ACTIONS(1637),
    [anon_sym_COLON] = ACTIONS(1639),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_RBRACK] = ACTIONS(1639),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_SLASH] = ACTIONS(1637),
    [anon_sym_DOT] = ACTIONS(1639),
    [anon_sym_QMARK] = ACTIONS(1639),
    [anon_sym_AMP_AMP] = ACTIONS(1639),
    [anon_sym_PIPE_PIPE] = ACTIONS(1639),
    [anon_sym_GT_GT] = ACTIONS(1637),
    [anon_sym_GT_GT_GT] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1637),
    [anon_sym_CARET] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(1637),
    [anon_sym_DASH] = ACTIONS(1637),
    [anon_sym_PERCENT] = ACTIONS(1639),
    [anon_sym_STAR_STAR] = ACTIONS(1639),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_EQ_EQ] = ACTIONS(1637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1639),
    [anon_sym_BANG_EQ] = ACTIONS(1637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_instanceof] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1639),
  },
  [381] = {
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1641),
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1641),
    [anon_sym_GT] = ACTIONS(1641),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_QMARK] = ACTIONS(1643),
    [anon_sym_AMP_AMP] = ACTIONS(1643),
    [anon_sym_PIPE_PIPE] = ACTIONS(1643),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_GT_GT_GT] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(1643),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1641),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1641),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_instanceof] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1643),
    [sym__automatic_semicolon] = ACTIONS(1643),
  },
  [382] = {
    [anon_sym_STAR] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(486),
    [anon_sym_COMMA] = ACTIONS(486),
    [anon_sym_RBRACE] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(486),
    [anon_sym_RPAREN] = ACTIONS(486),
    [anon_sym_in] = ACTIONS(484),
    [anon_sym_COLON] = ACTIONS(486),
    [anon_sym_LBRACK] = ACTIONS(486),
    [anon_sym_RBRACK] = ACTIONS(486),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(484),
    [anon_sym_DOT] = ACTIONS(486),
    [anon_sym_QMARK] = ACTIONS(486),
    [anon_sym_AMP_AMP] = ACTIONS(486),
    [anon_sym_PIPE_PIPE] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(484),
    [anon_sym_GT_GT_GT] = ACTIONS(486),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_AMP] = ACTIONS(484),
    [anon_sym_CARET] = ACTIONS(486),
    [anon_sym_PIPE] = ACTIONS(484),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_STAR_STAR] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(486),
    [anon_sym_EQ_EQ] = ACTIONS(484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(484),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(486),
    [anon_sym_GT_EQ] = ACTIONS(486),
    [anon_sym_instanceof] = ACTIONS(486),
    [anon_sym_PLUS_PLUS] = ACTIONS(486),
    [anon_sym_DASH_DASH] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(486),
  },
  [383] = {
    [anon_sym_STAR] = ACTIONS(1525),
    [anon_sym_COMMA] = ACTIONS(1527),
    [anon_sym_RBRACE] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1527),
    [anon_sym_in] = ACTIONS(1525),
    [anon_sym_of] = ACTIONS(1527),
    [anon_sym_SEMI] = ACTIONS(1527),
    [anon_sym_EQ] = ACTIONS(1525),
    [anon_sym_LBRACK] = ACTIONS(1527),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_DOT] = ACTIONS(1527),
    [anon_sym_QMARK] = ACTIONS(1527),
    [anon_sym_AMP_AMP] = ACTIONS(1527),
    [anon_sym_PIPE_PIPE] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1525),
    [anon_sym_GT_GT_GT] = ACTIONS(1527),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_AMP] = ACTIONS(1525),
    [anon_sym_CARET] = ACTIONS(1527),
    [anon_sym_PIPE] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1525),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_PERCENT] = ACTIONS(1527),
    [anon_sym_STAR_STAR] = ACTIONS(1527),
    [anon_sym_LT_EQ] = ACTIONS(1527),
    [anon_sym_EQ_EQ] = ACTIONS(1525),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1527),
    [anon_sym_BANG_EQ] = ACTIONS(1525),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1527),
    [anon_sym_GT_EQ] = ACTIONS(1527),
    [anon_sym_instanceof] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1527),
    [anon_sym_DASH_DASH] = ACTIONS(1527),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1527),
    [sym__automatic_semicolon] = ACTIONS(1527),
  },
  [384] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1645),
    [anon_sym_RBRACE] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1645),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1645),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [385] = {
    [anon_sym_STAR] = ACTIONS(1553),
    [anon_sym_COMMA] = ACTIONS(1555),
    [anon_sym_RBRACE] = ACTIONS(1555),
    [anon_sym_LPAREN] = ACTIONS(1555),
    [anon_sym_in] = ACTIONS(1553),
    [anon_sym_of] = ACTIONS(1555),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym_EQ] = ACTIONS(1553),
    [anon_sym_LBRACK] = ACTIONS(1555),
    [anon_sym_LT] = ACTIONS(1553),
    [anon_sym_GT] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1555),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_AMP_AMP] = ACTIONS(1555),
    [anon_sym_PIPE_PIPE] = ACTIONS(1555),
    [anon_sym_GT_GT] = ACTIONS(1553),
    [anon_sym_GT_GT_GT] = ACTIONS(1555),
    [anon_sym_LT_LT] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(1553),
    [anon_sym_CARET] = ACTIONS(1555),
    [anon_sym_PIPE] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_PERCENT] = ACTIONS(1555),
    [anon_sym_STAR_STAR] = ACTIONS(1555),
    [anon_sym_LT_EQ] = ACTIONS(1555),
    [anon_sym_EQ_EQ] = ACTIONS(1553),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1555),
    [anon_sym_BANG_EQ] = ACTIONS(1553),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1555),
    [anon_sym_GT_EQ] = ACTIONS(1555),
    [anon_sym_instanceof] = ACTIONS(1555),
    [anon_sym_PLUS_PLUS] = ACTIONS(1555),
    [anon_sym_DASH_DASH] = ACTIONS(1555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1555),
    [sym__automatic_semicolon] = ACTIONS(1555),
  },
  [386] = {
    [anon_sym_STAR] = ACTIONS(408),
    [anon_sym_LBRACE] = ACTIONS(410),
    [anon_sym_COMMA] = ACTIONS(410),
    [anon_sym_RBRACE] = ACTIONS(410),
    [anon_sym_LPAREN] = ACTIONS(410),
    [anon_sym_RPAREN] = ACTIONS(410),
    [anon_sym_in] = ACTIONS(408),
    [anon_sym_COLON] = ACTIONS(410),
    [anon_sym_LBRACK] = ACTIONS(410),
    [anon_sym_RBRACK] = ACTIONS(410),
    [anon_sym_LT] = ACTIONS(408),
    [anon_sym_GT] = ACTIONS(408),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_QMARK] = ACTIONS(410),
    [anon_sym_AMP_AMP] = ACTIONS(410),
    [anon_sym_PIPE_PIPE] = ACTIONS(410),
    [anon_sym_GT_GT] = ACTIONS(408),
    [anon_sym_GT_GT_GT] = ACTIONS(410),
    [anon_sym_LT_LT] = ACTIONS(410),
    [anon_sym_AMP] = ACTIONS(408),
    [anon_sym_CARET] = ACTIONS(410),
    [anon_sym_PIPE] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(408),
    [anon_sym_DASH] = ACTIONS(408),
    [anon_sym_PERCENT] = ACTIONS(410),
    [anon_sym_STAR_STAR] = ACTIONS(410),
    [anon_sym_LT_EQ] = ACTIONS(410),
    [anon_sym_EQ_EQ] = ACTIONS(408),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(410),
    [anon_sym_GT_EQ] = ACTIONS(410),
    [anon_sym_instanceof] = ACTIONS(410),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(410),
  },
  [387] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1567),
    [anon_sym_RBRACE] = ACTIONS(1567),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1567),
  },
  [388] = {
    [anon_sym_STAR] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(430),
    [anon_sym_COMMA] = ACTIONS(430),
    [anon_sym_RBRACE] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(430),
    [anon_sym_RPAREN] = ACTIONS(430),
    [anon_sym_in] = ACTIONS(428),
    [anon_sym_COLON] = ACTIONS(430),
    [anon_sym_LBRACK] = ACTIONS(430),
    [anon_sym_RBRACK] = ACTIONS(430),
    [anon_sym_LT] = ACTIONS(428),
    [anon_sym_GT] = ACTIONS(428),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_QMARK] = ACTIONS(430),
    [anon_sym_AMP_AMP] = ACTIONS(430),
    [anon_sym_PIPE_PIPE] = ACTIONS(430),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(430),
    [anon_sym_LT_LT] = ACTIONS(430),
    [anon_sym_AMP] = ACTIONS(428),
    [anon_sym_CARET] = ACTIONS(430),
    [anon_sym_PIPE] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(428),
    [anon_sym_DASH] = ACTIONS(428),
    [anon_sym_PERCENT] = ACTIONS(430),
    [anon_sym_STAR_STAR] = ACTIONS(430),
    [anon_sym_LT_EQ] = ACTIONS(430),
    [anon_sym_EQ_EQ] = ACTIONS(428),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(430),
    [anon_sym_BANG_EQ] = ACTIONS(428),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(430),
    [anon_sym_GT_EQ] = ACTIONS(430),
    [anon_sym_instanceof] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(430),
    [anon_sym_DASH_DASH] = ACTIONS(430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(430),
  },
  [389] = {
    [anon_sym_STAR] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(450),
    [anon_sym_COMMA] = ACTIONS(450),
    [anon_sym_RBRACE] = ACTIONS(450),
    [anon_sym_LPAREN] = ACTIONS(450),
    [anon_sym_RPAREN] = ACTIONS(450),
    [anon_sym_in] = ACTIONS(448),
    [anon_sym_COLON] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(450),
    [anon_sym_RBRACK] = ACTIONS(450),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_GT] = ACTIONS(448),
    [anon_sym_SLASH] = ACTIONS(448),
    [anon_sym_DOT] = ACTIONS(450),
    [anon_sym_QMARK] = ACTIONS(450),
    [anon_sym_AMP_AMP] = ACTIONS(450),
    [anon_sym_PIPE_PIPE] = ACTIONS(450),
    [anon_sym_GT_GT] = ACTIONS(448),
    [anon_sym_GT_GT_GT] = ACTIONS(450),
    [anon_sym_LT_LT] = ACTIONS(450),
    [anon_sym_AMP] = ACTIONS(448),
    [anon_sym_CARET] = ACTIONS(450),
    [anon_sym_PIPE] = ACTIONS(448),
    [anon_sym_PLUS] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(448),
    [anon_sym_PERCENT] = ACTIONS(450),
    [anon_sym_STAR_STAR] = ACTIONS(450),
    [anon_sym_LT_EQ] = ACTIONS(450),
    [anon_sym_EQ_EQ] = ACTIONS(448),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(450),
    [anon_sym_BANG_EQ] = ACTIONS(448),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(450),
    [anon_sym_GT_EQ] = ACTIONS(450),
    [anon_sym_instanceof] = ACTIONS(450),
    [anon_sym_PLUS_PLUS] = ACTIONS(450),
    [anon_sym_DASH_DASH] = ACTIONS(450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(450),
  },
  [390] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1565),
  },
  [391] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1563),
    [anon_sym_RBRACE] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1563),
  },
  [392] = {
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_LBRACE] = ACTIONS(472),
    [anon_sym_COMMA] = ACTIONS(472),
    [anon_sym_RBRACE] = ACTIONS(472),
    [anon_sym_LPAREN] = ACTIONS(472),
    [anon_sym_RPAREN] = ACTIONS(472),
    [anon_sym_in] = ACTIONS(474),
    [anon_sym_COLON] = ACTIONS(472),
    [anon_sym_LBRACK] = ACTIONS(472),
    [anon_sym_RBRACK] = ACTIONS(472),
    [anon_sym_LT] = ACTIONS(474),
    [anon_sym_GT] = ACTIONS(474),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_DOT] = ACTIONS(472),
    [anon_sym_QMARK] = ACTIONS(472),
    [anon_sym_AMP_AMP] = ACTIONS(472),
    [anon_sym_PIPE_PIPE] = ACTIONS(472),
    [anon_sym_GT_GT] = ACTIONS(474),
    [anon_sym_GT_GT_GT] = ACTIONS(472),
    [anon_sym_LT_LT] = ACTIONS(472),
    [anon_sym_AMP] = ACTIONS(474),
    [anon_sym_CARET] = ACTIONS(472),
    [anon_sym_PIPE] = ACTIONS(474),
    [anon_sym_PLUS] = ACTIONS(474),
    [anon_sym_DASH] = ACTIONS(474),
    [anon_sym_PERCENT] = ACTIONS(472),
    [anon_sym_STAR_STAR] = ACTIONS(472),
    [anon_sym_LT_EQ] = ACTIONS(472),
    [anon_sym_EQ_EQ] = ACTIONS(474),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(472),
    [anon_sym_BANG_EQ] = ACTIONS(474),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(472),
    [anon_sym_GT_EQ] = ACTIONS(472),
    [anon_sym_instanceof] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(472),
    [anon_sym_DASH_DASH] = ACTIONS(472),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(472),
  },
  [393] = {
    [anon_sym_STAR] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1649),
    [anon_sym_COMMA] = ACTIONS(1649),
    [anon_sym_RBRACE] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1649),
    [anon_sym_RPAREN] = ACTIONS(1649),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_COLON] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1649),
    [anon_sym_RBRACK] = ACTIONS(1649),
    [anon_sym_LT] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1647),
    [anon_sym_DOT] = ACTIONS(1649),
    [anon_sym_QMARK] = ACTIONS(1649),
    [anon_sym_AMP_AMP] = ACTIONS(1649),
    [anon_sym_PIPE_PIPE] = ACTIONS(1649),
    [anon_sym_GT_GT] = ACTIONS(1647),
    [anon_sym_GT_GT_GT] = ACTIONS(1649),
    [anon_sym_LT_LT] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_CARET] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_PERCENT] = ACTIONS(1649),
    [anon_sym_STAR_STAR] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1649),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1649),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1649),
    [anon_sym_GT_EQ] = ACTIONS(1649),
    [anon_sym_instanceof] = ACTIONS(1649),
    [anon_sym_PLUS_PLUS] = ACTIONS(1649),
    [anon_sym_DASH_DASH] = ACTIONS(1649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1649),
  },
  [394] = {
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(1513),
    [anon_sym_RBRACE] = ACTIONS(1513),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_in] = ACTIONS(1511),
    [anon_sym_of] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1513),
    [anon_sym_EQ] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_DOT] = ACTIONS(1513),
    [anon_sym_QMARK] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1513),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1511),
    [anon_sym_GT_GT_GT] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_PERCENT] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_EQ_EQ] = ACTIONS(1511),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1511),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1513),
    [anon_sym_PLUS_PLUS] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1513),
    [sym__automatic_semicolon] = ACTIONS(1513),
  },
  [395] = {
    [anon_sym_STAR] = ACTIONS(418),
    [anon_sym_LBRACE] = ACTIONS(420),
    [anon_sym_COMMA] = ACTIONS(420),
    [anon_sym_RBRACE] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(420),
    [anon_sym_RPAREN] = ACTIONS(420),
    [anon_sym_in] = ACTIONS(418),
    [anon_sym_COLON] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(420),
    [anon_sym_RBRACK] = ACTIONS(420),
    [anon_sym_LT] = ACTIONS(418),
    [anon_sym_GT] = ACTIONS(418),
    [anon_sym_SLASH] = ACTIONS(418),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_QMARK] = ACTIONS(420),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(420),
    [anon_sym_GT_GT] = ACTIONS(418),
    [anon_sym_GT_GT_GT] = ACTIONS(420),
    [anon_sym_LT_LT] = ACTIONS(420),
    [anon_sym_AMP] = ACTIONS(418),
    [anon_sym_CARET] = ACTIONS(420),
    [anon_sym_PIPE] = ACTIONS(418),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_PERCENT] = ACTIONS(420),
    [anon_sym_STAR_STAR] = ACTIONS(420),
    [anon_sym_LT_EQ] = ACTIONS(420),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(420),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(420),
    [anon_sym_GT_EQ] = ACTIONS(420),
    [anon_sym_instanceof] = ACTIONS(420),
    [anon_sym_PLUS_PLUS] = ACTIONS(420),
    [anon_sym_DASH_DASH] = ACTIONS(420),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(420),
  },
  [396] = {
    [sym__initializer] = STATE(826),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1651),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1653),
    [anon_sym_of] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1651),
    [anon_sym_EQ] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
    [sym__automatic_semicolon] = ACTIONS(1651),
  },
  [397] = {
    [sym__initializer] = STATE(824),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1660),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1662),
    [anon_sym_of] = ACTIONS(1665),
    [anon_sym_SEMI] = ACTIONS(1660),
    [anon_sym_EQ] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
    [sym__automatic_semicolon] = ACTIONS(1660),
  },
  [398] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_RBRACE] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1401),
  },
  [399] = {
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_COMMA] = ACTIONS(1495),
    [anon_sym_RBRACE] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1495),
    [anon_sym_in] = ACTIONS(1493),
    [anon_sym_of] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1495),
    [anon_sym_LT] = ACTIONS(1493),
    [anon_sym_GT] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1493),
    [anon_sym_DOT] = ACTIONS(1495),
    [anon_sym_QMARK] = ACTIONS(1495),
    [anon_sym_AMP_AMP] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1495),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_GT_GT_GT] = ACTIONS(1495),
    [anon_sym_LT_LT] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1495),
    [anon_sym_PIPE] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1493),
    [anon_sym_PERCENT] = ACTIONS(1495),
    [anon_sym_STAR_STAR] = ACTIONS(1495),
    [anon_sym_LT_EQ] = ACTIONS(1495),
    [anon_sym_EQ_EQ] = ACTIONS(1493),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1495),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1495),
    [anon_sym_GT_EQ] = ACTIONS(1495),
    [anon_sym_instanceof] = ACTIONS(1495),
    [anon_sym_PLUS_PLUS] = ACTIONS(1495),
    [anon_sym_DASH_DASH] = ACTIONS(1495),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1495),
    [sym__automatic_semicolon] = ACTIONS(1495),
  },
  [400] = {
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_COMMA] = ACTIONS(1557),
    [anon_sym_RBRACE] = ACTIONS(1557),
    [anon_sym_LPAREN] = ACTIONS(1557),
    [anon_sym_RPAREN] = ACTIONS(1557),
    [anon_sym_in] = ACTIONS(1669),
    [anon_sym_COLON] = ACTIONS(1557),
    [anon_sym_LBRACK] = ACTIONS(1557),
    [anon_sym_RBRACK] = ACTIONS(1557),
    [anon_sym_LT] = ACTIONS(1669),
    [anon_sym_GT] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(1669),
    [anon_sym_DOT] = ACTIONS(1557),
    [anon_sym_QMARK] = ACTIONS(1557),
    [anon_sym_AMP_AMP] = ACTIONS(1557),
    [anon_sym_PIPE_PIPE] = ACTIONS(1557),
    [anon_sym_GT_GT] = ACTIONS(1669),
    [anon_sym_GT_GT_GT] = ACTIONS(1557),
    [anon_sym_LT_LT] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1669),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_PIPE] = ACTIONS(1669),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_PERCENT] = ACTIONS(1557),
    [anon_sym_STAR_STAR] = ACTIONS(1557),
    [anon_sym_LT_EQ] = ACTIONS(1557),
    [anon_sym_EQ_EQ] = ACTIONS(1669),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1557),
    [anon_sym_BANG_EQ] = ACTIONS(1669),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1557),
    [anon_sym_GT_EQ] = ACTIONS(1557),
    [anon_sym_instanceof] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1557),
  },
  [401] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1545),
    [anon_sym_RBRACE] = ACTIONS(1545),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1545),
  },
  [402] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1507),
    [anon_sym_RBRACE] = ACTIONS(1507),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1507),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1507),
  },
  [403] = {
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(1551),
    [anon_sym_RBRACE] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_in] = ACTIONS(1549),
    [anon_sym_of] = ACTIONS(1551),
    [anon_sym_SEMI] = ACTIONS(1551),
    [anon_sym_EQ] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1549),
    [anon_sym_DOT] = ACTIONS(1551),
    [anon_sym_QMARK] = ACTIONS(1551),
    [anon_sym_AMP_AMP] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1551),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_GT_GT_GT] = ACTIONS(1551),
    [anon_sym_LT_LT] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1551),
    [anon_sym_PIPE] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_PERCENT] = ACTIONS(1551),
    [anon_sym_STAR_STAR] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1551),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1551),
    [anon_sym_instanceof] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1551),
    [anon_sym_DASH_DASH] = ACTIONS(1551),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1551),
    [sym__automatic_semicolon] = ACTIONS(1551),
  },
  [404] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_COMMA] = ACTIONS(1471),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1469),
    [anon_sym_GT] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1469),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1471),
    [anon_sym_AMP_AMP] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1471),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_GT_GT_GT] = ACTIONS(1471),
    [anon_sym_LT_LT] = ACTIONS(1471),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1471),
    [anon_sym_PIPE] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1469),
    [anon_sym_PERCENT] = ACTIONS(1471),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1471),
    [anon_sym_EQ_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1471),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1471),
    [anon_sym_GT_EQ] = ACTIONS(1471),
    [anon_sym_instanceof] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1471),
  },
  [405] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1509),
    [anon_sym_RBRACE] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1509),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1509),
  },
  [406] = {
    [anon_sym_STAR] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(398),
    [anon_sym_RBRACE] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(398),
    [anon_sym_in] = ACTIONS(396),
    [anon_sym_of] = ACTIONS(398),
    [anon_sym_SEMI] = ACTIONS(398),
    [anon_sym_EQ] = ACTIONS(396),
    [anon_sym_LBRACK] = ACTIONS(398),
    [anon_sym_LT] = ACTIONS(396),
    [anon_sym_GT] = ACTIONS(396),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_DOT] = ACTIONS(398),
    [anon_sym_QMARK] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(398),
    [anon_sym_PIPE_PIPE] = ACTIONS(398),
    [anon_sym_GT_GT] = ACTIONS(396),
    [anon_sym_GT_GT_GT] = ACTIONS(398),
    [anon_sym_LT_LT] = ACTIONS(398),
    [anon_sym_AMP] = ACTIONS(396),
    [anon_sym_CARET] = ACTIONS(398),
    [anon_sym_PIPE] = ACTIONS(396),
    [anon_sym_PLUS] = ACTIONS(396),
    [anon_sym_DASH] = ACTIONS(396),
    [anon_sym_PERCENT] = ACTIONS(398),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_LT_EQ] = ACTIONS(398),
    [anon_sym_EQ_EQ] = ACTIONS(396),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(398),
    [anon_sym_BANG_EQ] = ACTIONS(396),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(398),
    [anon_sym_GT_EQ] = ACTIONS(398),
    [anon_sym_instanceof] = ACTIONS(398),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(398),
    [sym__automatic_semicolon] = ACTIONS(398),
  },
  [407] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1471),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1469),
    [anon_sym_GT] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1471),
    [anon_sym_AMP_AMP] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1471),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1471),
    [anon_sym_PIPE] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1471),
    [anon_sym_EQ_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1471),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1471),
    [anon_sym_GT_EQ] = ACTIONS(1471),
    [anon_sym_instanceof] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1471),
  },
  [408] = {
    [anon_sym_STAR] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1673),
    [anon_sym_COMMA] = ACTIONS(1673),
    [anon_sym_RBRACE] = ACTIONS(1673),
    [anon_sym_LPAREN] = ACTIONS(1673),
    [anon_sym_RPAREN] = ACTIONS(1673),
    [anon_sym_in] = ACTIONS(1671),
    [anon_sym_COLON] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(1673),
    [anon_sym_RBRACK] = ACTIONS(1673),
    [anon_sym_LT] = ACTIONS(1671),
    [anon_sym_GT] = ACTIONS(1671),
    [anon_sym_SLASH] = ACTIONS(1671),
    [anon_sym_DOT] = ACTIONS(1673),
    [anon_sym_QMARK] = ACTIONS(1673),
    [anon_sym_AMP_AMP] = ACTIONS(1673),
    [anon_sym_PIPE_PIPE] = ACTIONS(1673),
    [anon_sym_GT_GT] = ACTIONS(1671),
    [anon_sym_GT_GT_GT] = ACTIONS(1673),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1671),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_PIPE] = ACTIONS(1671),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_PERCENT] = ACTIONS(1673),
    [anon_sym_STAR_STAR] = ACTIONS(1673),
    [anon_sym_LT_EQ] = ACTIONS(1673),
    [anon_sym_EQ_EQ] = ACTIONS(1671),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1673),
    [anon_sym_BANG_EQ] = ACTIONS(1671),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(1673),
    [anon_sym_instanceof] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1673),
  },
  [409] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1471),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1471),
    [anon_sym_AMP_AMP] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1471),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1471),
    [anon_sym_PIPE] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1471),
  },
  [410] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1471),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1471),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1471),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1471),
    [anon_sym_PIPE] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1471),
  },
  [411] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1471),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1469),
    [anon_sym_GT] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1471),
    [anon_sym_AMP_AMP] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1471),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1471),
    [anon_sym_PIPE] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1469),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1471),
    [anon_sym_EQ_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1471),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1471),
    [anon_sym_GT_EQ] = ACTIONS(1471),
    [anon_sym_instanceof] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1471),
  },
  [412] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_COMMA] = ACTIONS(1471),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1469),
    [anon_sym_GT] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1469),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1471),
    [anon_sym_AMP_AMP] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1471),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_GT_GT_GT] = ACTIONS(1471),
    [anon_sym_LT_LT] = ACTIONS(1471),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1471),
    [anon_sym_PIPE] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1469),
    [anon_sym_PERCENT] = ACTIONS(1471),
    [anon_sym_STAR_STAR] = ACTIONS(1471),
    [anon_sym_LT_EQ] = ACTIONS(1471),
    [anon_sym_EQ_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1471),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1471),
    [anon_sym_GT_EQ] = ACTIONS(1471),
    [anon_sym_instanceof] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1471),
  },
  [413] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1543),
    [anon_sym_RBRACE] = ACTIONS(1543),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1543),
  },
  [414] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1539),
    [anon_sym_RBRACE] = ACTIONS(1539),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1539),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1539),
  },
  [415] = {
    [anon_sym_STAR] = ACTIONS(1675),
    [anon_sym_LBRACE] = ACTIONS(1677),
    [anon_sym_COMMA] = ACTIONS(1677),
    [anon_sym_RBRACE] = ACTIONS(1677),
    [anon_sym_LPAREN] = ACTIONS(1677),
    [anon_sym_RPAREN] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(1675),
    [anon_sym_COLON] = ACTIONS(1677),
    [anon_sym_LBRACK] = ACTIONS(1677),
    [anon_sym_RBRACK] = ACTIONS(1677),
    [anon_sym_LT] = ACTIONS(1675),
    [anon_sym_GT] = ACTIONS(1675),
    [anon_sym_SLASH] = ACTIONS(1675),
    [anon_sym_DOT] = ACTIONS(1677),
    [anon_sym_QMARK] = ACTIONS(1677),
    [anon_sym_AMP_AMP] = ACTIONS(1677),
    [anon_sym_PIPE_PIPE] = ACTIONS(1677),
    [anon_sym_GT_GT] = ACTIONS(1675),
    [anon_sym_GT_GT_GT] = ACTIONS(1677),
    [anon_sym_LT_LT] = ACTIONS(1677),
    [anon_sym_AMP] = ACTIONS(1675),
    [anon_sym_CARET] = ACTIONS(1677),
    [anon_sym_PIPE] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1675),
    [anon_sym_DASH] = ACTIONS(1675),
    [anon_sym_PERCENT] = ACTIONS(1677),
    [anon_sym_STAR_STAR] = ACTIONS(1677),
    [anon_sym_LT_EQ] = ACTIONS(1677),
    [anon_sym_EQ_EQ] = ACTIONS(1675),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1677),
    [anon_sym_BANG_EQ] = ACTIONS(1675),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1677),
    [anon_sym_GT_EQ] = ACTIONS(1677),
    [anon_sym_instanceof] = ACTIONS(1677),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1677),
  },
  [416] = {
    [anon_sym_STAR] = ACTIONS(1679),
    [anon_sym_LBRACE] = ACTIONS(1681),
    [anon_sym_COMMA] = ACTIONS(1681),
    [anon_sym_RBRACE] = ACTIONS(1681),
    [anon_sym_LPAREN] = ACTIONS(1681),
    [anon_sym_RPAREN] = ACTIONS(1681),
    [anon_sym_in] = ACTIONS(1679),
    [anon_sym_COLON] = ACTIONS(1681),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_RBRACK] = ACTIONS(1681),
    [anon_sym_LT] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1679),
    [anon_sym_SLASH] = ACTIONS(1679),
    [anon_sym_DOT] = ACTIONS(1681),
    [anon_sym_QMARK] = ACTIONS(1681),
    [anon_sym_AMP_AMP] = ACTIONS(1681),
    [anon_sym_PIPE_PIPE] = ACTIONS(1681),
    [anon_sym_GT_GT] = ACTIONS(1679),
    [anon_sym_GT_GT_GT] = ACTIONS(1681),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_AMP] = ACTIONS(1679),
    [anon_sym_CARET] = ACTIONS(1681),
    [anon_sym_PIPE] = ACTIONS(1679),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_PERCENT] = ACTIONS(1681),
    [anon_sym_STAR_STAR] = ACTIONS(1681),
    [anon_sym_LT_EQ] = ACTIONS(1681),
    [anon_sym_EQ_EQ] = ACTIONS(1679),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1681),
    [anon_sym_BANG_EQ] = ACTIONS(1679),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1681),
    [anon_sym_GT_EQ] = ACTIONS(1681),
    [anon_sym_instanceof] = ACTIONS(1681),
    [anon_sym_PLUS_PLUS] = ACTIONS(1681),
    [anon_sym_DASH_DASH] = ACTIONS(1681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1681),
  },
  [417] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1541),
    [anon_sym_RBRACE] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1541),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1541),
  },
  [418] = {
    [anon_sym_STAR] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_COMMA] = ACTIONS(1685),
    [anon_sym_RBRACE] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [anon_sym_RPAREN] = ACTIONS(1685),
    [anon_sym_in] = ACTIONS(1683),
    [anon_sym_COLON] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [anon_sym_RBRACK] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1683),
    [anon_sym_GT] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym_DOT] = ACTIONS(1685),
    [anon_sym_QMARK] = ACTIONS(1685),
    [anon_sym_AMP_AMP] = ACTIONS(1685),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1683),
    [anon_sym_GT_GT_GT] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1683),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_PERCENT] = ACTIONS(1685),
    [anon_sym_STAR_STAR] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_EQ_EQ] = ACTIONS(1683),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1683),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_instanceof] = ACTIONS(1685),
    [anon_sym_PLUS_PLUS] = ACTIONS(1685),
    [anon_sym_DASH_DASH] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1685),
  },
  [419] = {
    [anon_sym_STAR] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_COMMA] = ACTIONS(1685),
    [anon_sym_RBRACE] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [anon_sym_RPAREN] = ACTIONS(1685),
    [anon_sym_in] = ACTIONS(1683),
    [anon_sym_COLON] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [anon_sym_RBRACK] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1683),
    [anon_sym_GT] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym_DOT] = ACTIONS(1685),
    [anon_sym_QMARK] = ACTIONS(1685),
    [anon_sym_AMP_AMP] = ACTIONS(1685),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1683),
    [anon_sym_GT_GT_GT] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1683),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_PERCENT] = ACTIONS(1685),
    [anon_sym_STAR_STAR] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_EQ_EQ] = ACTIONS(1683),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1683),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_instanceof] = ACTIONS(1685),
    [anon_sym_PLUS_PLUS] = ACTIONS(1685),
    [anon_sym_DASH_DASH] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1685),
  },
  [420] = {
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1641),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym_RBRACK] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1641),
    [anon_sym_GT] = ACTIONS(1641),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_QMARK] = ACTIONS(1643),
    [anon_sym_AMP_AMP] = ACTIONS(1643),
    [anon_sym_PIPE_PIPE] = ACTIONS(1643),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_GT_GT_GT] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(1643),
    [anon_sym_PIPE] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(1643),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_EQ_EQ] = ACTIONS(1641),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1643),
    [anon_sym_BANG_EQ] = ACTIONS(1641),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_instanceof] = ACTIONS(1643),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1643),
  },
  [421] = {
    [anon_sym_STAR] = ACTIONS(1687),
    [anon_sym_LBRACE] = ACTIONS(1689),
    [anon_sym_COMMA] = ACTIONS(1689),
    [anon_sym_RBRACE] = ACTIONS(1689),
    [anon_sym_LPAREN] = ACTIONS(1689),
    [anon_sym_RPAREN] = ACTIONS(1689),
    [anon_sym_in] = ACTIONS(1687),
    [anon_sym_COLON] = ACTIONS(1689),
    [anon_sym_LBRACK] = ACTIONS(1689),
    [anon_sym_RBRACK] = ACTIONS(1689),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_DOT] = ACTIONS(1689),
    [anon_sym_QMARK] = ACTIONS(1689),
    [anon_sym_AMP_AMP] = ACTIONS(1689),
    [anon_sym_PIPE_PIPE] = ACTIONS(1689),
    [anon_sym_GT_GT] = ACTIONS(1687),
    [anon_sym_GT_GT_GT] = ACTIONS(1689),
    [anon_sym_LT_LT] = ACTIONS(1689),
    [anon_sym_AMP] = ACTIONS(1687),
    [anon_sym_CARET] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1687),
    [anon_sym_PLUS] = ACTIONS(1687),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_PERCENT] = ACTIONS(1689),
    [anon_sym_STAR_STAR] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1689),
    [anon_sym_EQ_EQ] = ACTIONS(1687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1689),
    [anon_sym_BANG_EQ] = ACTIONS(1687),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1689),
    [anon_sym_GT_EQ] = ACTIONS(1689),
    [anon_sym_instanceof] = ACTIONS(1689),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1689),
  },
  [422] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1537),
    [anon_sym_RBRACE] = ACTIONS(1537),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1537),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1537),
  },
  [423] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1531),
    [anon_sym_RBRACE] = ACTIONS(1531),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1531),
  },
  [424] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1505),
    [anon_sym_RBRACE] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1505),
  },
  [425] = {
    [anon_sym_STAR] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(454),
    [anon_sym_COMMA] = ACTIONS(454),
    [anon_sym_RBRACE] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(454),
    [anon_sym_RPAREN] = ACTIONS(454),
    [anon_sym_in] = ACTIONS(456),
    [anon_sym_COLON] = ACTIONS(454),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_RBRACK] = ACTIONS(454),
    [anon_sym_LT] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(456),
    [anon_sym_SLASH] = ACTIONS(456),
    [anon_sym_DOT] = ACTIONS(454),
    [anon_sym_QMARK] = ACTIONS(454),
    [anon_sym_AMP_AMP] = ACTIONS(454),
    [anon_sym_PIPE_PIPE] = ACTIONS(454),
    [anon_sym_GT_GT] = ACTIONS(456),
    [anon_sym_GT_GT_GT] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(454),
    [anon_sym_AMP] = ACTIONS(456),
    [anon_sym_CARET] = ACTIONS(454),
    [anon_sym_PIPE] = ACTIONS(456),
    [anon_sym_PLUS] = ACTIONS(456),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_PERCENT] = ACTIONS(454),
    [anon_sym_STAR_STAR] = ACTIONS(454),
    [anon_sym_LT_EQ] = ACTIONS(454),
    [anon_sym_EQ_EQ] = ACTIONS(456),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(454),
    [anon_sym_BANG_EQ] = ACTIONS(456),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(454),
    [anon_sym_GT_EQ] = ACTIONS(454),
    [anon_sym_instanceof] = ACTIONS(454),
    [anon_sym_PLUS_PLUS] = ACTIONS(454),
    [anon_sym_DASH_DASH] = ACTIONS(454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(454),
  },
  [426] = {
    [anon_sym_STAR] = ACTIONS(470),
    [anon_sym_LBRACE] = ACTIONS(468),
    [anon_sym_COMMA] = ACTIONS(468),
    [anon_sym_RBRACE] = ACTIONS(468),
    [anon_sym_LPAREN] = ACTIONS(468),
    [anon_sym_RPAREN] = ACTIONS(468),
    [anon_sym_in] = ACTIONS(470),
    [anon_sym_COLON] = ACTIONS(468),
    [anon_sym_LBRACK] = ACTIONS(468),
    [anon_sym_RBRACK] = ACTIONS(468),
    [anon_sym_LT] = ACTIONS(470),
    [anon_sym_GT] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_DOT] = ACTIONS(468),
    [anon_sym_QMARK] = ACTIONS(468),
    [anon_sym_AMP_AMP] = ACTIONS(468),
    [anon_sym_PIPE_PIPE] = ACTIONS(468),
    [anon_sym_GT_GT] = ACTIONS(470),
    [anon_sym_GT_GT_GT] = ACTIONS(468),
    [anon_sym_LT_LT] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(468),
    [anon_sym_PIPE] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_PERCENT] = ACTIONS(468),
    [anon_sym_STAR_STAR] = ACTIONS(468),
    [anon_sym_LT_EQ] = ACTIONS(468),
    [anon_sym_EQ_EQ] = ACTIONS(470),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(468),
    [anon_sym_BANG_EQ] = ACTIONS(470),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(468),
    [anon_sym_GT_EQ] = ACTIONS(468),
    [anon_sym_instanceof] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(468),
  },
  [427] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1529),
    [anon_sym_RBRACE] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1529),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1529),
  },
  [428] = {
    [anon_sym_STAR] = ACTIONS(438),
    [anon_sym_LBRACE] = ACTIONS(440),
    [anon_sym_COMMA] = ACTIONS(440),
    [anon_sym_RBRACE] = ACTIONS(440),
    [anon_sym_LPAREN] = ACTIONS(440),
    [anon_sym_RPAREN] = ACTIONS(440),
    [anon_sym_in] = ACTIONS(438),
    [anon_sym_COLON] = ACTIONS(440),
    [anon_sym_LBRACK] = ACTIONS(440),
    [anon_sym_RBRACK] = ACTIONS(440),
    [anon_sym_LT] = ACTIONS(438),
    [anon_sym_GT] = ACTIONS(438),
    [anon_sym_SLASH] = ACTIONS(438),
    [anon_sym_DOT] = ACTIONS(440),
    [anon_sym_QMARK] = ACTIONS(440),
    [anon_sym_AMP_AMP] = ACTIONS(440),
    [anon_sym_PIPE_PIPE] = ACTIONS(440),
    [anon_sym_GT_GT] = ACTIONS(438),
    [anon_sym_GT_GT_GT] = ACTIONS(440),
    [anon_sym_LT_LT] = ACTIONS(440),
    [anon_sym_AMP] = ACTIONS(438),
    [anon_sym_CARET] = ACTIONS(440),
    [anon_sym_PIPE] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(438),
    [anon_sym_DASH] = ACTIONS(438),
    [anon_sym_PERCENT] = ACTIONS(440),
    [anon_sym_STAR_STAR] = ACTIONS(440),
    [anon_sym_LT_EQ] = ACTIONS(440),
    [anon_sym_EQ_EQ] = ACTIONS(438),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(440),
    [anon_sym_BANG_EQ] = ACTIONS(438),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(440),
    [anon_sym_GT_EQ] = ACTIONS(440),
    [anon_sym_instanceof] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(440),
  },
  [429] = {
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_LPAREN] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_in] = ACTIONS(1691),
    [anon_sym_COLON] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1693),
    [anon_sym_RBRACK] = ACTIONS(1693),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [anon_sym_SLASH] = ACTIONS(1691),
    [anon_sym_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1691),
    [anon_sym_GT_GT_GT] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1691),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1691),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_BANG_EQ] = ACTIONS(1691),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1693),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_instanceof] = ACTIONS(1693),
    [anon_sym_PLUS_PLUS] = ACTIONS(1693),
    [anon_sym_DASH_DASH] = ACTIONS(1693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1693),
  },
  [430] = {
    [anon_sym_STAR] = ACTIONS(1695),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_COMMA] = ACTIONS(1537),
    [anon_sym_RBRACE] = ACTIONS(1537),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_RPAREN] = ACTIONS(1537),
    [anon_sym_in] = ACTIONS(1695),
    [anon_sym_COLON] = ACTIONS(1537),
    [anon_sym_LBRACK] = ACTIONS(1537),
    [anon_sym_RBRACK] = ACTIONS(1537),
    [anon_sym_LT] = ACTIONS(1695),
    [anon_sym_GT] = ACTIONS(1695),
    [anon_sym_SLASH] = ACTIONS(1695),
    [anon_sym_DOT] = ACTIONS(1537),
    [anon_sym_QMARK] = ACTIONS(1537),
    [anon_sym_AMP_AMP] = ACTIONS(1537),
    [anon_sym_PIPE_PIPE] = ACTIONS(1537),
    [anon_sym_GT_GT] = ACTIONS(1695),
    [anon_sym_GT_GT_GT] = ACTIONS(1537),
    [anon_sym_LT_LT] = ACTIONS(1537),
    [anon_sym_AMP] = ACTIONS(1695),
    [anon_sym_CARET] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1695),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_PERCENT] = ACTIONS(1537),
    [anon_sym_STAR_STAR] = ACTIONS(1537),
    [anon_sym_LT_EQ] = ACTIONS(1537),
    [anon_sym_EQ_EQ] = ACTIONS(1695),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1537),
    [anon_sym_BANG_EQ] = ACTIONS(1695),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1537),
    [anon_sym_GT_EQ] = ACTIONS(1537),
    [anon_sym_instanceof] = ACTIONS(1537),
    [anon_sym_PLUS_PLUS] = ACTIONS(1537),
    [anon_sym_DASH_DASH] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1537),
  },
  [431] = {
    [anon_sym_STAR] = ACTIONS(462),
    [anon_sym_LBRACE] = ACTIONS(464),
    [anon_sym_COMMA] = ACTIONS(464),
    [anon_sym_RBRACE] = ACTIONS(464),
    [anon_sym_LPAREN] = ACTIONS(464),
    [anon_sym_RPAREN] = ACTIONS(464),
    [anon_sym_in] = ACTIONS(462),
    [anon_sym_COLON] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(464),
    [anon_sym_LT] = ACTIONS(462),
    [anon_sym_GT] = ACTIONS(462),
    [anon_sym_SLASH] = ACTIONS(462),
    [anon_sym_DOT] = ACTIONS(464),
    [anon_sym_QMARK] = ACTIONS(464),
    [anon_sym_AMP_AMP] = ACTIONS(464),
    [anon_sym_PIPE_PIPE] = ACTIONS(464),
    [anon_sym_GT_GT] = ACTIONS(462),
    [anon_sym_GT_GT_GT] = ACTIONS(464),
    [anon_sym_LT_LT] = ACTIONS(464),
    [anon_sym_AMP] = ACTIONS(462),
    [anon_sym_CARET] = ACTIONS(464),
    [anon_sym_PIPE] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(462),
    [anon_sym_DASH] = ACTIONS(462),
    [anon_sym_PERCENT] = ACTIONS(464),
    [anon_sym_STAR_STAR] = ACTIONS(464),
    [anon_sym_LT_EQ] = ACTIONS(464),
    [anon_sym_EQ_EQ] = ACTIONS(462),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(464),
    [anon_sym_BANG_EQ] = ACTIONS(462),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(464),
    [anon_sym_GT_EQ] = ACTIONS(464),
    [anon_sym_instanceof] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(464),
    [anon_sym_DASH_DASH] = ACTIONS(464),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(464),
  },
  [432] = {
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_COMMA] = ACTIONS(496),
    [anon_sym_RBRACE] = ACTIONS(496),
    [anon_sym_LPAREN] = ACTIONS(496),
    [anon_sym_RPAREN] = ACTIONS(496),
    [anon_sym_in] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(496),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_RBRACK] = ACTIONS(496),
    [anon_sym_LT] = ACTIONS(494),
    [anon_sym_GT] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_DOT] = ACTIONS(496),
    [anon_sym_QMARK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(496),
    [anon_sym_PIPE_PIPE] = ACTIONS(496),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_GT_GT_GT] = ACTIONS(496),
    [anon_sym_LT_LT] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(494),
    [anon_sym_CARET] = ACTIONS(496),
    [anon_sym_PIPE] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_PERCENT] = ACTIONS(496),
    [anon_sym_STAR_STAR] = ACTIONS(496),
    [anon_sym_LT_EQ] = ACTIONS(496),
    [anon_sym_EQ_EQ] = ACTIONS(494),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(496),
    [anon_sym_BANG_EQ] = ACTIONS(494),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(496),
    [anon_sym_GT_EQ] = ACTIONS(496),
    [anon_sym_instanceof] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(496),
    [anon_sym_DASH_DASH] = ACTIONS(496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(496),
  },
  [433] = {
    [anon_sym_STAR] = ACTIONS(1697),
    [anon_sym_LBRACE] = ACTIONS(1699),
    [anon_sym_COMMA] = ACTIONS(1699),
    [anon_sym_RBRACE] = ACTIONS(1699),
    [anon_sym_LPAREN] = ACTIONS(1699),
    [anon_sym_RPAREN] = ACTIONS(1699),
    [anon_sym_in] = ACTIONS(1697),
    [anon_sym_COLON] = ACTIONS(1699),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_RBRACK] = ACTIONS(1699),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_DOT] = ACTIONS(1699),
    [anon_sym_QMARK] = ACTIONS(1699),
    [anon_sym_AMP_AMP] = ACTIONS(1699),
    [anon_sym_PIPE_PIPE] = ACTIONS(1699),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_GT_GT_GT] = ACTIONS(1699),
    [anon_sym_LT_LT] = ACTIONS(1699),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_CARET] = ACTIONS(1699),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1699),
    [anon_sym_STAR_STAR] = ACTIONS(1699),
    [anon_sym_LT_EQ] = ACTIONS(1699),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1699),
    [anon_sym_BANG_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1699),
    [anon_sym_GT_EQ] = ACTIONS(1699),
    [anon_sym_instanceof] = ACTIONS(1699),
    [anon_sym_PLUS_PLUS] = ACTIONS(1699),
    [anon_sym_DASH_DASH] = ACTIONS(1699),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1699),
  },
  [434] = {
    [anon_sym_STAR] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(1703),
    [anon_sym_RBRACE] = ACTIONS(1703),
    [anon_sym_LPAREN] = ACTIONS(1703),
    [anon_sym_RPAREN] = ACTIONS(1703),
    [anon_sym_in] = ACTIONS(1701),
    [anon_sym_COLON] = ACTIONS(1703),
    [anon_sym_LBRACK] = ACTIONS(1703),
    [anon_sym_RBRACK] = ACTIONS(1703),
    [anon_sym_LT] = ACTIONS(1701),
    [anon_sym_GT] = ACTIONS(1701),
    [anon_sym_SLASH] = ACTIONS(1701),
    [anon_sym_DOT] = ACTIONS(1703),
    [anon_sym_QMARK] = ACTIONS(1703),
    [anon_sym_AMP_AMP] = ACTIONS(1703),
    [anon_sym_PIPE_PIPE] = ACTIONS(1703),
    [anon_sym_GT_GT] = ACTIONS(1701),
    [anon_sym_GT_GT_GT] = ACTIONS(1703),
    [anon_sym_LT_LT] = ACTIONS(1703),
    [anon_sym_AMP] = ACTIONS(1701),
    [anon_sym_CARET] = ACTIONS(1703),
    [anon_sym_PIPE] = ACTIONS(1701),
    [anon_sym_PLUS] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1701),
    [anon_sym_PERCENT] = ACTIONS(1703),
    [anon_sym_STAR_STAR] = ACTIONS(1703),
    [anon_sym_LT_EQ] = ACTIONS(1703),
    [anon_sym_EQ_EQ] = ACTIONS(1701),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1703),
    [anon_sym_BANG_EQ] = ACTIONS(1701),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1703),
    [anon_sym_GT_EQ] = ACTIONS(1703),
    [anon_sym_instanceof] = ACTIONS(1703),
    [anon_sym_PLUS_PLUS] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1703),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1703),
  },
  [435] = {
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1707),
    [anon_sym_RBRACE] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_RPAREN] = ACTIONS(1707),
    [anon_sym_in] = ACTIONS(1705),
    [anon_sym_COLON] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_RBRACK] = ACTIONS(1707),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_GT] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_QMARK] = ACTIONS(1707),
    [anon_sym_AMP_AMP] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1707),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_GT_GT_GT] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_PIPE] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1707),
    [anon_sym_STAR_STAR] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1707),
    [anon_sym_EQ_EQ] = ACTIONS(1705),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1707),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1707),
    [anon_sym_GT_EQ] = ACTIONS(1707),
    [anon_sym_instanceof] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1707),
  },
  [436] = {
    [anon_sym_STAR] = ACTIONS(478),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(476),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_RPAREN] = ACTIONS(476),
    [anon_sym_in] = ACTIONS(478),
    [anon_sym_COLON] = ACTIONS(476),
    [anon_sym_LBRACK] = ACTIONS(476),
    [anon_sym_RBRACK] = ACTIONS(476),
    [anon_sym_LT] = ACTIONS(478),
    [anon_sym_GT] = ACTIONS(478),
    [anon_sym_SLASH] = ACTIONS(478),
    [anon_sym_DOT] = ACTIONS(476),
    [anon_sym_QMARK] = ACTIONS(476),
    [anon_sym_AMP_AMP] = ACTIONS(476),
    [anon_sym_PIPE_PIPE] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(478),
    [anon_sym_GT_GT_GT] = ACTIONS(476),
    [anon_sym_LT_LT] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(478),
    [anon_sym_CARET] = ACTIONS(476),
    [anon_sym_PIPE] = ACTIONS(478),
    [anon_sym_PLUS] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_PERCENT] = ACTIONS(476),
    [anon_sym_STAR_STAR] = ACTIONS(476),
    [anon_sym_LT_EQ] = ACTIONS(476),
    [anon_sym_EQ_EQ] = ACTIONS(478),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(476),
    [anon_sym_BANG_EQ] = ACTIONS(478),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(476),
    [anon_sym_GT_EQ] = ACTIONS(476),
    [anon_sym_instanceof] = ACTIONS(476),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(476),
  },
  [437] = {
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_LBRACE] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1711),
    [anon_sym_RBRACE] = ACTIONS(1711),
    [anon_sym_LPAREN] = ACTIONS(1711),
    [anon_sym_RPAREN] = ACTIONS(1711),
    [anon_sym_in] = ACTIONS(1709),
    [anon_sym_COLON] = ACTIONS(1711),
    [anon_sym_LBRACK] = ACTIONS(1711),
    [anon_sym_RBRACK] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1711),
    [anon_sym_QMARK] = ACTIONS(1711),
    [anon_sym_AMP_AMP] = ACTIONS(1711),
    [anon_sym_PIPE_PIPE] = ACTIONS(1711),
    [anon_sym_GT_GT] = ACTIONS(1709),
    [anon_sym_GT_GT_GT] = ACTIONS(1711),
    [anon_sym_LT_LT] = ACTIONS(1711),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1711),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_PERCENT] = ACTIONS(1711),
    [anon_sym_STAR_STAR] = ACTIONS(1711),
    [anon_sym_LT_EQ] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1711),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1711),
    [anon_sym_GT_EQ] = ACTIONS(1711),
    [anon_sym_instanceof] = ACTIONS(1711),
    [anon_sym_PLUS_PLUS] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1711),
  },
  [438] = {
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_LBRACE] = ACTIONS(1715),
    [anon_sym_COMMA] = ACTIONS(1715),
    [anon_sym_RBRACE] = ACTIONS(1715),
    [anon_sym_LPAREN] = ACTIONS(1715),
    [anon_sym_RPAREN] = ACTIONS(1715),
    [anon_sym_in] = ACTIONS(1713),
    [anon_sym_COLON] = ACTIONS(1715),
    [anon_sym_LBRACK] = ACTIONS(1715),
    [anon_sym_RBRACK] = ACTIONS(1715),
    [anon_sym_LT] = ACTIONS(1713),
    [anon_sym_GT] = ACTIONS(1713),
    [anon_sym_SLASH] = ACTIONS(1713),
    [anon_sym_DOT] = ACTIONS(1715),
    [anon_sym_QMARK] = ACTIONS(1715),
    [anon_sym_AMP_AMP] = ACTIONS(1715),
    [anon_sym_PIPE_PIPE] = ACTIONS(1715),
    [anon_sym_GT_GT] = ACTIONS(1713),
    [anon_sym_GT_GT_GT] = ACTIONS(1715),
    [anon_sym_LT_LT] = ACTIONS(1715),
    [anon_sym_AMP] = ACTIONS(1713),
    [anon_sym_CARET] = ACTIONS(1715),
    [anon_sym_PIPE] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1713),
    [anon_sym_DASH] = ACTIONS(1713),
    [anon_sym_PERCENT] = ACTIONS(1715),
    [anon_sym_STAR_STAR] = ACTIONS(1715),
    [anon_sym_LT_EQ] = ACTIONS(1715),
    [anon_sym_EQ_EQ] = ACTIONS(1713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1715),
    [anon_sym_BANG_EQ] = ACTIONS(1713),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1715),
    [anon_sym_GT_EQ] = ACTIONS(1715),
    [anon_sym_instanceof] = ACTIONS(1715),
    [anon_sym_PLUS_PLUS] = ACTIONS(1715),
    [anon_sym_DASH_DASH] = ACTIONS(1715),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1715),
  },
  [439] = {
    [anon_sym_STAR] = ACTIONS(1717),
    [anon_sym_LBRACE] = ACTIONS(1545),
    [anon_sym_COMMA] = ACTIONS(1545),
    [anon_sym_RBRACE] = ACTIONS(1545),
    [anon_sym_LPAREN] = ACTIONS(1545),
    [anon_sym_RPAREN] = ACTIONS(1545),
    [anon_sym_in] = ACTIONS(1717),
    [anon_sym_COLON] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(1545),
    [anon_sym_LT] = ACTIONS(1717),
    [anon_sym_GT] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1717),
    [anon_sym_DOT] = ACTIONS(1545),
    [anon_sym_QMARK] = ACTIONS(1545),
    [anon_sym_AMP_AMP] = ACTIONS(1545),
    [anon_sym_PIPE_PIPE] = ACTIONS(1545),
    [anon_sym_GT_GT] = ACTIONS(1717),
    [anon_sym_GT_GT_GT] = ACTIONS(1545),
    [anon_sym_LT_LT] = ACTIONS(1545),
    [anon_sym_AMP] = ACTIONS(1717),
    [anon_sym_CARET] = ACTIONS(1545),
    [anon_sym_PIPE] = ACTIONS(1717),
    [anon_sym_PLUS] = ACTIONS(1717),
    [anon_sym_DASH] = ACTIONS(1717),
    [anon_sym_PERCENT] = ACTIONS(1545),
    [anon_sym_STAR_STAR] = ACTIONS(1545),
    [anon_sym_LT_EQ] = ACTIONS(1545),
    [anon_sym_EQ_EQ] = ACTIONS(1717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1545),
    [anon_sym_BANG_EQ] = ACTIONS(1717),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1545),
    [anon_sym_GT_EQ] = ACTIONS(1545),
    [anon_sym_instanceof] = ACTIONS(1545),
    [anon_sym_PLUS_PLUS] = ACTIONS(1545),
    [anon_sym_DASH_DASH] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1545),
  },
  [440] = {
    [anon_sym_STAR] = ACTIONS(1467),
    [anon_sym_LBRACE] = ACTIONS(1465),
    [anon_sym_COMMA] = ACTIONS(1465),
    [anon_sym_RBRACE] = ACTIONS(1465),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [anon_sym_RPAREN] = ACTIONS(1465),
    [anon_sym_in] = ACTIONS(1467),
    [anon_sym_COLON] = ACTIONS(1465),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [anon_sym_RBRACK] = ACTIONS(1465),
    [anon_sym_LT] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1467),
    [anon_sym_SLASH] = ACTIONS(1467),
    [anon_sym_DOT] = ACTIONS(1465),
    [anon_sym_QMARK] = ACTIONS(1465),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1467),
    [anon_sym_GT_GT_GT] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1467),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1467),
    [anon_sym_DASH] = ACTIONS(1467),
    [anon_sym_PERCENT] = ACTIONS(1465),
    [anon_sym_STAR_STAR] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_EQ_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_instanceof] = ACTIONS(1465),
    [anon_sym_PLUS_PLUS] = ACTIONS(1465),
    [anon_sym_DASH_DASH] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1465),
  },
  [441] = {
    [anon_sym_STAR] = ACTIONS(1719),
    [anon_sym_LBRACE] = ACTIONS(1721),
    [anon_sym_COMMA] = ACTIONS(1721),
    [anon_sym_RBRACE] = ACTIONS(1721),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_RPAREN] = ACTIONS(1721),
    [anon_sym_in] = ACTIONS(1719),
    [anon_sym_COLON] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1721),
    [anon_sym_RBRACK] = ACTIONS(1721),
    [anon_sym_LT] = ACTIONS(1719),
    [anon_sym_GT] = ACTIONS(1719),
    [anon_sym_SLASH] = ACTIONS(1719),
    [anon_sym_DOT] = ACTIONS(1721),
    [anon_sym_QMARK] = ACTIONS(1721),
    [anon_sym_AMP_AMP] = ACTIONS(1721),
    [anon_sym_PIPE_PIPE] = ACTIONS(1721),
    [anon_sym_GT_GT] = ACTIONS(1719),
    [anon_sym_GT_GT_GT] = ACTIONS(1721),
    [anon_sym_LT_LT] = ACTIONS(1721),
    [anon_sym_AMP] = ACTIONS(1719),
    [anon_sym_CARET] = ACTIONS(1721),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_DASH] = ACTIONS(1719),
    [anon_sym_PERCENT] = ACTIONS(1721),
    [anon_sym_STAR_STAR] = ACTIONS(1721),
    [anon_sym_LT_EQ] = ACTIONS(1721),
    [anon_sym_EQ_EQ] = ACTIONS(1719),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1721),
    [anon_sym_BANG_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1721),
    [anon_sym_GT_EQ] = ACTIONS(1721),
    [anon_sym_instanceof] = ACTIONS(1721),
    [anon_sym_PLUS_PLUS] = ACTIONS(1721),
    [anon_sym_DASH_DASH] = ACTIONS(1721),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1721),
  },
  [442] = {
    [anon_sym_STAR] = ACTIONS(1723),
    [anon_sym_LBRACE] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1509),
    [anon_sym_RBRACE] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [anon_sym_RPAREN] = ACTIONS(1509),
    [anon_sym_in] = ACTIONS(1723),
    [anon_sym_COLON] = ACTIONS(1509),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_RBRACK] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_GT] = ACTIONS(1723),
    [anon_sym_SLASH] = ACTIONS(1723),
    [anon_sym_DOT] = ACTIONS(1509),
    [anon_sym_QMARK] = ACTIONS(1509),
    [anon_sym_AMP_AMP] = ACTIONS(1509),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1723),
    [anon_sym_GT_GT_GT] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1723),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1723),
    [anon_sym_DASH] = ACTIONS(1723),
    [anon_sym_PERCENT] = ACTIONS(1509),
    [anon_sym_STAR_STAR] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_EQ_EQ] = ACTIONS(1723),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1723),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_instanceof] = ACTIONS(1509),
    [anon_sym_PLUS_PLUS] = ACTIONS(1509),
    [anon_sym_DASH_DASH] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1509),
  },
  [443] = {
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_COMMA] = ACTIONS(1727),
    [anon_sym_RBRACE] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_RPAREN] = ACTIONS(1727),
    [anon_sym_in] = ACTIONS(1725),
    [anon_sym_COLON] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1727),
    [anon_sym_RBRACK] = ACTIONS(1727),
    [anon_sym_LT] = ACTIONS(1725),
    [anon_sym_GT] = ACTIONS(1725),
    [anon_sym_SLASH] = ACTIONS(1725),
    [anon_sym_DOT] = ACTIONS(1727),
    [anon_sym_QMARK] = ACTIONS(1727),
    [anon_sym_AMP_AMP] = ACTIONS(1727),
    [anon_sym_PIPE_PIPE] = ACTIONS(1727),
    [anon_sym_GT_GT] = ACTIONS(1725),
    [anon_sym_GT_GT_GT] = ACTIONS(1727),
    [anon_sym_LT_LT] = ACTIONS(1727),
    [anon_sym_AMP] = ACTIONS(1725),
    [anon_sym_CARET] = ACTIONS(1727),
    [anon_sym_PIPE] = ACTIONS(1725),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_PERCENT] = ACTIONS(1727),
    [anon_sym_STAR_STAR] = ACTIONS(1727),
    [anon_sym_LT_EQ] = ACTIONS(1727),
    [anon_sym_EQ_EQ] = ACTIONS(1725),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1727),
    [anon_sym_BANG_EQ] = ACTIONS(1725),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1727),
    [anon_sym_GT_EQ] = ACTIONS(1727),
    [anon_sym_instanceof] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1727),
    [anon_sym_DASH_DASH] = ACTIONS(1727),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1727),
  },
  [444] = {
    [anon_sym_STAR] = ACTIONS(1729),
    [anon_sym_LBRACE] = ACTIONS(1731),
    [anon_sym_COMMA] = ACTIONS(1731),
    [anon_sym_RBRACE] = ACTIONS(1731),
    [anon_sym_LPAREN] = ACTIONS(1731),
    [anon_sym_RPAREN] = ACTIONS(1731),
    [anon_sym_in] = ACTIONS(1729),
    [anon_sym_COLON] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1731),
    [anon_sym_RBRACK] = ACTIONS(1731),
    [anon_sym_LT] = ACTIONS(1729),
    [anon_sym_GT] = ACTIONS(1729),
    [anon_sym_SLASH] = ACTIONS(1729),
    [anon_sym_DOT] = ACTIONS(1731),
    [anon_sym_QMARK] = ACTIONS(1731),
    [anon_sym_AMP_AMP] = ACTIONS(1731),
    [anon_sym_PIPE_PIPE] = ACTIONS(1731),
    [anon_sym_GT_GT] = ACTIONS(1729),
    [anon_sym_GT_GT_GT] = ACTIONS(1731),
    [anon_sym_LT_LT] = ACTIONS(1731),
    [anon_sym_AMP] = ACTIONS(1729),
    [anon_sym_CARET] = ACTIONS(1731),
    [anon_sym_PIPE] = ACTIONS(1729),
    [anon_sym_PLUS] = ACTIONS(1729),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_PERCENT] = ACTIONS(1731),
    [anon_sym_STAR_STAR] = ACTIONS(1731),
    [anon_sym_LT_EQ] = ACTIONS(1731),
    [anon_sym_EQ_EQ] = ACTIONS(1729),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1731),
    [anon_sym_BANG_EQ] = ACTIONS(1729),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1731),
    [anon_sym_GT_EQ] = ACTIONS(1731),
    [anon_sym_instanceof] = ACTIONS(1731),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1731),
  },
  [445] = {
    [anon_sym_STAR] = ACTIONS(1733),
    [anon_sym_LBRACE] = ACTIONS(1735),
    [anon_sym_COMMA] = ACTIONS(1735),
    [anon_sym_RBRACE] = ACTIONS(1735),
    [anon_sym_LPAREN] = ACTIONS(1735),
    [anon_sym_RPAREN] = ACTIONS(1735),
    [anon_sym_in] = ACTIONS(1733),
    [anon_sym_COLON] = ACTIONS(1735),
    [anon_sym_LBRACK] = ACTIONS(1735),
    [anon_sym_RBRACK] = ACTIONS(1735),
    [anon_sym_LT] = ACTIONS(1733),
    [anon_sym_GT] = ACTIONS(1733),
    [anon_sym_SLASH] = ACTIONS(1733),
    [anon_sym_DOT] = ACTIONS(1735),
    [anon_sym_QMARK] = ACTIONS(1735),
    [anon_sym_AMP_AMP] = ACTIONS(1735),
    [anon_sym_PIPE_PIPE] = ACTIONS(1735),
    [anon_sym_GT_GT] = ACTIONS(1733),
    [anon_sym_GT_GT_GT] = ACTIONS(1735),
    [anon_sym_LT_LT] = ACTIONS(1735),
    [anon_sym_AMP] = ACTIONS(1733),
    [anon_sym_CARET] = ACTIONS(1735),
    [anon_sym_PIPE] = ACTIONS(1733),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_PERCENT] = ACTIONS(1735),
    [anon_sym_STAR_STAR] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1735),
    [anon_sym_EQ_EQ] = ACTIONS(1733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1735),
    [anon_sym_BANG_EQ] = ACTIONS(1733),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1735),
    [anon_sym_GT_EQ] = ACTIONS(1735),
    [anon_sym_instanceof] = ACTIONS(1735),
    [anon_sym_PLUS_PLUS] = ACTIONS(1735),
    [anon_sym_DASH_DASH] = ACTIONS(1735),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1735),
  },
  [446] = {
    [anon_sym_STAR] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym_COMMA] = ACTIONS(1739),
    [anon_sym_RBRACE] = ACTIONS(1739),
    [anon_sym_LPAREN] = ACTIONS(1739),
    [anon_sym_RPAREN] = ACTIONS(1739),
    [anon_sym_in] = ACTIONS(1737),
    [anon_sym_COLON] = ACTIONS(1739),
    [anon_sym_LBRACK] = ACTIONS(1739),
    [anon_sym_RBRACK] = ACTIONS(1739),
    [anon_sym_LT] = ACTIONS(1737),
    [anon_sym_GT] = ACTIONS(1737),
    [anon_sym_SLASH] = ACTIONS(1737),
    [anon_sym_DOT] = ACTIONS(1739),
    [anon_sym_QMARK] = ACTIONS(1739),
    [anon_sym_AMP_AMP] = ACTIONS(1739),
    [anon_sym_PIPE_PIPE] = ACTIONS(1739),
    [anon_sym_GT_GT] = ACTIONS(1737),
    [anon_sym_GT_GT_GT] = ACTIONS(1739),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1737),
    [anon_sym_CARET] = ACTIONS(1739),
    [anon_sym_PIPE] = ACTIONS(1737),
    [anon_sym_PLUS] = ACTIONS(1737),
    [anon_sym_DASH] = ACTIONS(1737),
    [anon_sym_PERCENT] = ACTIONS(1739),
    [anon_sym_STAR_STAR] = ACTIONS(1739),
    [anon_sym_LT_EQ] = ACTIONS(1739),
    [anon_sym_EQ_EQ] = ACTIONS(1737),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1739),
    [anon_sym_BANG_EQ] = ACTIONS(1737),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1739),
    [anon_sym_GT_EQ] = ACTIONS(1739),
    [anon_sym_instanceof] = ACTIONS(1739),
    [anon_sym_PLUS_PLUS] = ACTIONS(1739),
    [anon_sym_DASH_DASH] = ACTIONS(1739),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1739),
  },
  [447] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1741),
    [anon_sym_RBRACE] = ACTIONS(1744),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1539),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1539),
  },
  [448] = {
    [anon_sym_STAR] = ACTIONS(1521),
    [anon_sym_COMMA] = ACTIONS(1523),
    [anon_sym_RBRACE] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [anon_sym_in] = ACTIONS(1521),
    [anon_sym_of] = ACTIONS(1523),
    [anon_sym_SEMI] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1521),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [anon_sym_LT] = ACTIONS(1521),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_SLASH] = ACTIONS(1521),
    [anon_sym_DOT] = ACTIONS(1523),
    [anon_sym_QMARK] = ACTIONS(1523),
    [anon_sym_AMP_AMP] = ACTIONS(1523),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1521),
    [anon_sym_GT_GT_GT] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1521),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1521),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_PERCENT] = ACTIONS(1523),
    [anon_sym_STAR_STAR] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_instanceof] = ACTIONS(1523),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1523),
    [sym__automatic_semicolon] = ACTIONS(1523),
  },
  [449] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1746),
    [anon_sym_RBRACE] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1515),
  },
  [450] = {
    [anon_sym_STAR] = ACTIONS(1533),
    [anon_sym_COMMA] = ACTIONS(1535),
    [anon_sym_RBRACE] = ACTIONS(1535),
    [anon_sym_LPAREN] = ACTIONS(1535),
    [anon_sym_in] = ACTIONS(1533),
    [anon_sym_of] = ACTIONS(1535),
    [anon_sym_SEMI] = ACTIONS(1535),
    [anon_sym_EQ] = ACTIONS(1533),
    [anon_sym_LBRACK] = ACTIONS(1535),
    [anon_sym_LT] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1533),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_DOT] = ACTIONS(1535),
    [anon_sym_QMARK] = ACTIONS(1535),
    [anon_sym_AMP_AMP] = ACTIONS(1535),
    [anon_sym_PIPE_PIPE] = ACTIONS(1535),
    [anon_sym_GT_GT] = ACTIONS(1533),
    [anon_sym_GT_GT_GT] = ACTIONS(1535),
    [anon_sym_LT_LT] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PIPE] = ACTIONS(1533),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_PERCENT] = ACTIONS(1535),
    [anon_sym_STAR_STAR] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1535),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1535),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1535),
    [anon_sym_GT_EQ] = ACTIONS(1535),
    [anon_sym_instanceof] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1535),
    [sym__automatic_semicolon] = ACTIONS(1535),
  },
  [451] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1751),
    [anon_sym_RBRACE] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1567),
  },
  [452] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1754),
    [anon_sym_RBRACE] = ACTIONS(1757),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1543),
  },
  [453] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1749),
    [anon_sym_RBRACE] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [454] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1757),
    [anon_sym_RBRACE] = ACTIONS(1757),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1757),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [455] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_RBRACE] = ACTIONS(1744),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1744),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [456] = {
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(1513),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [anon_sym_in] = ACTIONS(1511),
    [anon_sym_SEMI] = ACTIONS(1513),
    [anon_sym_COLON] = ACTIONS(1762),
    [anon_sym_EQ] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_DOT] = ACTIONS(1513),
    [anon_sym_QMARK] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1513),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1511),
    [anon_sym_GT_GT_GT] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_PERCENT] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_EQ_EQ] = ACTIONS(1511),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1511),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1513),
    [anon_sym_PLUS_PLUS] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1513),
    [sym__automatic_semicolon] = ACTIONS(1513),
  },
  [457] = {
    [anon_sym_STAR] = ACTIONS(438),
    [anon_sym_COMMA] = ACTIONS(440),
    [anon_sym_else] = ACTIONS(434),
    [anon_sym_LPAREN] = ACTIONS(440),
    [anon_sym_in] = ACTIONS(438),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_SEMI] = ACTIONS(440),
    [anon_sym_LBRACK] = ACTIONS(440),
    [anon_sym_LT] = ACTIONS(438),
    [anon_sym_GT] = ACTIONS(438),
    [anon_sym_SLASH] = ACTIONS(438),
    [anon_sym_DOT] = ACTIONS(440),
    [anon_sym_QMARK] = ACTIONS(440),
    [anon_sym_AMP_AMP] = ACTIONS(440),
    [anon_sym_PIPE_PIPE] = ACTIONS(440),
    [anon_sym_GT_GT] = ACTIONS(438),
    [anon_sym_GT_GT_GT] = ACTIONS(440),
    [anon_sym_LT_LT] = ACTIONS(440),
    [anon_sym_AMP] = ACTIONS(438),
    [anon_sym_CARET] = ACTIONS(440),
    [anon_sym_PIPE] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(438),
    [anon_sym_DASH] = ACTIONS(438),
    [anon_sym_PERCENT] = ACTIONS(440),
    [anon_sym_STAR_STAR] = ACTIONS(440),
    [anon_sym_LT_EQ] = ACTIONS(440),
    [anon_sym_EQ_EQ] = ACTIONS(438),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(440),
    [anon_sym_BANG_EQ] = ACTIONS(438),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(440),
    [anon_sym_GT_EQ] = ACTIONS(440),
    [anon_sym_instanceof] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(440),
    [sym__automatic_semicolon] = ACTIONS(442),
  },
  [458] = {
    [anon_sym_STAR] = ACTIONS(462),
    [anon_sym_COMMA] = ACTIONS(464),
    [anon_sym_else] = ACTIONS(458),
    [anon_sym_LPAREN] = ACTIONS(464),
    [anon_sym_in] = ACTIONS(462),
    [anon_sym_while] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LT] = ACTIONS(462),
    [anon_sym_GT] = ACTIONS(462),
    [anon_sym_SLASH] = ACTIONS(462),
    [anon_sym_DOT] = ACTIONS(464),
    [anon_sym_QMARK] = ACTIONS(464),
    [anon_sym_AMP_AMP] = ACTIONS(464),
    [anon_sym_PIPE_PIPE] = ACTIONS(464),
    [anon_sym_GT_GT] = ACTIONS(462),
    [anon_sym_GT_GT_GT] = ACTIONS(464),
    [anon_sym_LT_LT] = ACTIONS(464),
    [anon_sym_AMP] = ACTIONS(462),
    [anon_sym_CARET] = ACTIONS(464),
    [anon_sym_PIPE] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(462),
    [anon_sym_DASH] = ACTIONS(462),
    [anon_sym_PERCENT] = ACTIONS(464),
    [anon_sym_STAR_STAR] = ACTIONS(464),
    [anon_sym_LT_EQ] = ACTIONS(464),
    [anon_sym_EQ_EQ] = ACTIONS(462),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(464),
    [anon_sym_BANG_EQ] = ACTIONS(462),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(464),
    [anon_sym_GT_EQ] = ACTIONS(464),
    [anon_sym_instanceof] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(464),
    [anon_sym_DASH_DASH] = ACTIONS(464),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(464),
    [sym__automatic_semicolon] = ACTIONS(466),
  },
  [459] = {
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_COMMA] = ACTIONS(496),
    [anon_sym_else] = ACTIONS(490),
    [anon_sym_LPAREN] = ACTIONS(496),
    [anon_sym_in] = ACTIONS(494),
    [anon_sym_while] = ACTIONS(490),
    [anon_sym_SEMI] = ACTIONS(496),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_LT] = ACTIONS(494),
    [anon_sym_GT] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_DOT] = ACTIONS(496),
    [anon_sym_QMARK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(496),
    [anon_sym_PIPE_PIPE] = ACTIONS(496),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_GT_GT_GT] = ACTIONS(496),
    [anon_sym_LT_LT] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(494),
    [anon_sym_CARET] = ACTIONS(496),
    [anon_sym_PIPE] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_PERCENT] = ACTIONS(496),
    [anon_sym_STAR_STAR] = ACTIONS(496),
    [anon_sym_LT_EQ] = ACTIONS(496),
    [anon_sym_EQ_EQ] = ACTIONS(494),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(496),
    [anon_sym_BANG_EQ] = ACTIONS(494),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(496),
    [anon_sym_GT_EQ] = ACTIONS(496),
    [anon_sym_instanceof] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(496),
    [anon_sym_DASH_DASH] = ACTIONS(496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(496),
    [sym__automatic_semicolon] = ACTIONS(498),
  },
  [460] = {
    [anon_sym_STAR] = ACTIONS(448),
    [anon_sym_COMMA] = ACTIONS(450),
    [anon_sym_else] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(450),
    [anon_sym_in] = ACTIONS(448),
    [anon_sym_while] = ACTIONS(444),
    [anon_sym_SEMI] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(450),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_GT] = ACTIONS(448),
    [anon_sym_SLASH] = ACTIONS(448),
    [anon_sym_DOT] = ACTIONS(450),
    [anon_sym_QMARK] = ACTIONS(450),
    [anon_sym_AMP_AMP] = ACTIONS(450),
    [anon_sym_PIPE_PIPE] = ACTIONS(450),
    [anon_sym_GT_GT] = ACTIONS(448),
    [anon_sym_GT_GT_GT] = ACTIONS(450),
    [anon_sym_LT_LT] = ACTIONS(450),
    [anon_sym_AMP] = ACTIONS(448),
    [anon_sym_CARET] = ACTIONS(450),
    [anon_sym_PIPE] = ACTIONS(448),
    [anon_sym_PLUS] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(448),
    [anon_sym_PERCENT] = ACTIONS(450),
    [anon_sym_STAR_STAR] = ACTIONS(450),
    [anon_sym_LT_EQ] = ACTIONS(450),
    [anon_sym_EQ_EQ] = ACTIONS(448),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(450),
    [anon_sym_BANG_EQ] = ACTIONS(448),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(450),
    [anon_sym_GT_EQ] = ACTIONS(450),
    [anon_sym_instanceof] = ACTIONS(450),
    [anon_sym_PLUS_PLUS] = ACTIONS(450),
    [anon_sym_DASH_DASH] = ACTIONS(450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(450),
    [sym__automatic_semicolon] = ACTIONS(452),
  },
  [461] = {
    [anon_sym_STAR] = ACTIONS(428),
    [anon_sym_COMMA] = ACTIONS(430),
    [anon_sym_else] = ACTIONS(424),
    [anon_sym_LPAREN] = ACTIONS(430),
    [anon_sym_in] = ACTIONS(428),
    [anon_sym_while] = ACTIONS(424),
    [anon_sym_SEMI] = ACTIONS(430),
    [anon_sym_LBRACK] = ACTIONS(430),
    [anon_sym_LT] = ACTIONS(428),
    [anon_sym_GT] = ACTIONS(428),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_QMARK] = ACTIONS(430),
    [anon_sym_AMP_AMP] = ACTIONS(430),
    [anon_sym_PIPE_PIPE] = ACTIONS(430),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(430),
    [anon_sym_LT_LT] = ACTIONS(430),
    [anon_sym_AMP] = ACTIONS(428),
    [anon_sym_CARET] = ACTIONS(430),
    [anon_sym_PIPE] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(428),
    [anon_sym_DASH] = ACTIONS(428),
    [anon_sym_PERCENT] = ACTIONS(430),
    [anon_sym_STAR_STAR] = ACTIONS(430),
    [anon_sym_LT_EQ] = ACTIONS(430),
    [anon_sym_EQ_EQ] = ACTIONS(428),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(430),
    [anon_sym_BANG_EQ] = ACTIONS(428),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(430),
    [anon_sym_GT_EQ] = ACTIONS(430),
    [anon_sym_instanceof] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(430),
    [anon_sym_DASH_DASH] = ACTIONS(430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(430),
    [sym__automatic_semicolon] = ACTIONS(432),
  },
  [462] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1764),
    [anon_sym_of] = ACTIONS(1767),
    [anon_sym_SEMI] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1769),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
    [sym__automatic_semicolon] = ACTIONS(1401),
  },
  [463] = {
    [anon_sym_STAR] = ACTIONS(408),
    [anon_sym_COMMA] = ACTIONS(410),
    [anon_sym_else] = ACTIONS(404),
    [anon_sym_LPAREN] = ACTIONS(410),
    [anon_sym_in] = ACTIONS(408),
    [anon_sym_while] = ACTIONS(404),
    [anon_sym_SEMI] = ACTIONS(410),
    [anon_sym_LBRACK] = ACTIONS(410),
    [anon_sym_LT] = ACTIONS(408),
    [anon_sym_GT] = ACTIONS(408),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_QMARK] = ACTIONS(410),
    [anon_sym_AMP_AMP] = ACTIONS(410),
    [anon_sym_PIPE_PIPE] = ACTIONS(410),
    [anon_sym_GT_GT] = ACTIONS(408),
    [anon_sym_GT_GT_GT] = ACTIONS(410),
    [anon_sym_LT_LT] = ACTIONS(410),
    [anon_sym_AMP] = ACTIONS(408),
    [anon_sym_CARET] = ACTIONS(410),
    [anon_sym_PIPE] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(408),
    [anon_sym_DASH] = ACTIONS(408),
    [anon_sym_PERCENT] = ACTIONS(410),
    [anon_sym_STAR_STAR] = ACTIONS(410),
    [anon_sym_LT_EQ] = ACTIONS(410),
    [anon_sym_EQ_EQ] = ACTIONS(408),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(410),
    [anon_sym_GT_EQ] = ACTIONS(410),
    [anon_sym_instanceof] = ACTIONS(410),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(410),
    [sym__automatic_semicolon] = ACTIONS(412),
  },
  [464] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1771),
    [anon_sym_of] = ACTIONS(1774),
    [anon_sym_SEMI] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
    [sym__automatic_semicolon] = ACTIONS(1401),
  },
  [465] = {
    [anon_sym_STAR] = ACTIONS(484),
    [anon_sym_COMMA] = ACTIONS(486),
    [anon_sym_else] = ACTIONS(480),
    [anon_sym_LPAREN] = ACTIONS(486),
    [anon_sym_in] = ACTIONS(484),
    [anon_sym_while] = ACTIONS(480),
    [anon_sym_SEMI] = ACTIONS(486),
    [anon_sym_LBRACK] = ACTIONS(486),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(484),
    [anon_sym_DOT] = ACTIONS(486),
    [anon_sym_QMARK] = ACTIONS(486),
    [anon_sym_AMP_AMP] = ACTIONS(486),
    [anon_sym_PIPE_PIPE] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(484),
    [anon_sym_GT_GT_GT] = ACTIONS(486),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_AMP] = ACTIONS(484),
    [anon_sym_CARET] = ACTIONS(486),
    [anon_sym_PIPE] = ACTIONS(484),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_STAR_STAR] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(486),
    [anon_sym_EQ_EQ] = ACTIONS(484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(484),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(486),
    [anon_sym_GT_EQ] = ACTIONS(486),
    [anon_sym_instanceof] = ACTIONS(486),
    [anon_sym_PLUS_PLUS] = ACTIONS(486),
    [anon_sym_DASH_DASH] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(486),
    [sym__automatic_semicolon] = ACTIONS(488),
  },
  [466] = {
    [anon_sym_STAR] = ACTIONS(394),
    [anon_sym_COMMA] = ACTIONS(392),
    [anon_sym_RBRACE] = ACTIONS(392),
    [anon_sym_LPAREN] = ACTIONS(392),
    [anon_sym_in] = ACTIONS(394),
    [anon_sym_SEMI] = ACTIONS(392),
    [anon_sym_EQ] = ACTIONS(396),
    [anon_sym_LBRACK] = ACTIONS(392),
    [anon_sym_LT] = ACTIONS(394),
    [anon_sym_GT] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_DOT] = ACTIONS(392),
    [anon_sym_QMARK] = ACTIONS(392),
    [anon_sym_AMP_AMP] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(394),
    [anon_sym_GT_GT_GT] = ACTIONS(392),
    [anon_sym_LT_LT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(392),
    [anon_sym_PIPE] = ACTIONS(394),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_PERCENT] = ACTIONS(392),
    [anon_sym_STAR_STAR] = ACTIONS(392),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_EQ_EQ] = ACTIONS(394),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_BANG_EQ] = ACTIONS(394),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(392),
    [anon_sym_DASH_DASH] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(392),
    [sym__automatic_semicolon] = ACTIONS(402),
  },
  [467] = {
    [anon_sym_STAR] = ACTIONS(1581),
    [anon_sym_COMMA] = ACTIONS(1583),
    [anon_sym_RBRACE] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_in] = ACTIONS(1581),
    [anon_sym_SEMI] = ACTIONS(1583),
    [anon_sym_LBRACK] = ACTIONS(1583),
    [anon_sym_LT] = ACTIONS(1581),
    [anon_sym_GT] = ACTIONS(1581),
    [anon_sym_SLASH] = ACTIONS(1581),
    [anon_sym_DOT] = ACTIONS(1583),
    [anon_sym_QMARK] = ACTIONS(1583),
    [anon_sym_AMP_AMP] = ACTIONS(1583),
    [anon_sym_PIPE_PIPE] = ACTIONS(1583),
    [anon_sym_GT_GT] = ACTIONS(1581),
    [anon_sym_GT_GT_GT] = ACTIONS(1583),
    [anon_sym_LT_LT] = ACTIONS(1583),
    [anon_sym_AMP] = ACTIONS(1581),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_PIPE] = ACTIONS(1581),
    [anon_sym_PLUS] = ACTIONS(1581),
    [anon_sym_DASH] = ACTIONS(1581),
    [anon_sym_PERCENT] = ACTIONS(1583),
    [anon_sym_STAR_STAR] = ACTIONS(1583),
    [anon_sym_LT_EQ] = ACTIONS(1583),
    [anon_sym_EQ_EQ] = ACTIONS(1581),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1583),
    [anon_sym_BANG_EQ] = ACTIONS(1581),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1583),
    [anon_sym_GT_EQ] = ACTIONS(1583),
    [anon_sym_instanceof] = ACTIONS(1581),
    [anon_sym_PLUS_PLUS] = ACTIONS(1583),
    [anon_sym_DASH_DASH] = ACTIONS(1583),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1583),
    [sym_regex_flags] = ACTIONS(1778),
    [sym__automatic_semicolon] = ACTIONS(1583),
  },
  [468] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1780),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1780),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1780),
  },
  [469] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1782),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1784),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1784),
  },
  [470] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1782),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1786),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1786),
  },
  [471] = {
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_COMMA] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [anon_sym_in] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1450),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_EQ_GT] = ACTIONS(1579),
    [anon_sym_QMARK] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1452),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_GT_GT_GT] = ACTIONS(1452),
    [anon_sym_LT_LT] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1452),
    [anon_sym_PIPE] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_PERCENT] = ACTIONS(1452),
    [anon_sym_STAR_STAR] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_EQ_EQ] = ACTIONS(1450),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_instanceof] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1452),
    [sym__automatic_semicolon] = ACTIONS(1452),
  },
  [472] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1782),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1577),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1577),
  },
  [473] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [aux_sym_array_repeat1] = STATE(838),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1788),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [474] = {
    [anon_sym_STAR] = ACTIONS(418),
    [anon_sym_COMMA] = ACTIONS(420),
    [anon_sym_else] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(420),
    [anon_sym_in] = ACTIONS(418),
    [anon_sym_while] = ACTIONS(414),
    [anon_sym_SEMI] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(420),
    [anon_sym_LT] = ACTIONS(418),
    [anon_sym_GT] = ACTIONS(418),
    [anon_sym_SLASH] = ACTIONS(418),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_QMARK] = ACTIONS(420),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(420),
    [anon_sym_GT_GT] = ACTIONS(418),
    [anon_sym_GT_GT_GT] = ACTIONS(420),
    [anon_sym_LT_LT] = ACTIONS(420),
    [anon_sym_AMP] = ACTIONS(418),
    [anon_sym_CARET] = ACTIONS(420),
    [anon_sym_PIPE] = ACTIONS(418),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_PERCENT] = ACTIONS(420),
    [anon_sym_STAR_STAR] = ACTIONS(420),
    [anon_sym_LT_EQ] = ACTIONS(420),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(420),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(420),
    [anon_sym_GT_EQ] = ACTIONS(420),
    [anon_sym_instanceof] = ACTIONS(420),
    [anon_sym_PLUS_PLUS] = ACTIONS(420),
    [anon_sym_DASH_DASH] = ACTIONS(420),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(420),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [475] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1780),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1780),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1780),
  },
  [476] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [aux_sym_array_repeat1] = STATE(847),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1790),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [477] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1780),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1780),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1780),
  },
  [478] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1782),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1792),
  },
  [479] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_RBRACE] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
    [sym__automatic_semicolon] = ACTIONS(1401),
  },
  [480] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [aux_sym_array_repeat1] = STATE(847),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1794),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [481] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_RBRACE] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1769),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
    [sym__automatic_semicolon] = ACTIONS(1401),
  },
  [482] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [aux_sym_array_repeat1] = STATE(881),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1796),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [483] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1780),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1780),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1780),
  },
  [484] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [aux_sym_array_repeat1] = STATE(834),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1798),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [485] = {
    [sym_arguments] = STATE(523),
    [anon_sym_STAR] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1375),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_AMP_AMP] = ACTIONS(1375),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1373),
    [anon_sym_GT_GT_GT] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1373),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1375),
    [anon_sym_STAR_STAR] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1375),
    [sym__automatic_semicolon] = ACTIONS(1375),
  },
  [486] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1800),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1800),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1800),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [487] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [aux_sym_array_repeat1] = STATE(838),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1802),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [488] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1804),
    [anon_sym_RBRACE] = ACTIONS(1804),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [489] = {
    [anon_sym_STAR] = ACTIONS(448),
    [anon_sym_COMMA] = ACTIONS(450),
    [anon_sym_RBRACE] = ACTIONS(450),
    [anon_sym_LPAREN] = ACTIONS(450),
    [anon_sym_in] = ACTIONS(448),
    [anon_sym_SEMI] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(450),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_GT] = ACTIONS(448),
    [anon_sym_SLASH] = ACTIONS(448),
    [anon_sym_DOT] = ACTIONS(450),
    [anon_sym_QMARK] = ACTIONS(450),
    [anon_sym_AMP_AMP] = ACTIONS(450),
    [anon_sym_PIPE_PIPE] = ACTIONS(450),
    [anon_sym_GT_GT] = ACTIONS(448),
    [anon_sym_GT_GT_GT] = ACTIONS(450),
    [anon_sym_LT_LT] = ACTIONS(450),
    [anon_sym_AMP] = ACTIONS(448),
    [anon_sym_CARET] = ACTIONS(450),
    [anon_sym_PIPE] = ACTIONS(448),
    [anon_sym_PLUS] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(448),
    [anon_sym_PERCENT] = ACTIONS(450),
    [anon_sym_STAR_STAR] = ACTIONS(450),
    [anon_sym_LT_EQ] = ACTIONS(450),
    [anon_sym_EQ_EQ] = ACTIONS(448),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(450),
    [anon_sym_BANG_EQ] = ACTIONS(448),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(450),
    [anon_sym_GT_EQ] = ACTIONS(450),
    [anon_sym_instanceof] = ACTIONS(450),
    [anon_sym_PLUS_PLUS] = ACTIONS(450),
    [anon_sym_DASH_DASH] = ACTIONS(450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(450),
    [sym__automatic_semicolon] = ACTIONS(450),
  },
  [490] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_RBRACE] = ACTIONS(1806),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [491] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1808),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [492] = {
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_COMMA] = ACTIONS(1635),
    [anon_sym_RBRACE] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1635),
    [anon_sym_in] = ACTIONS(1633),
    [anon_sym_SEMI] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_GT] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(1633),
    [anon_sym_DOT] = ACTIONS(1635),
    [anon_sym_QMARK] = ACTIONS(1635),
    [anon_sym_AMP_AMP] = ACTIONS(1635),
    [anon_sym_PIPE_PIPE] = ACTIONS(1635),
    [anon_sym_GT_GT] = ACTIONS(1633),
    [anon_sym_GT_GT_GT] = ACTIONS(1635),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_AMP] = ACTIONS(1633),
    [anon_sym_CARET] = ACTIONS(1635),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_PERCENT] = ACTIONS(1635),
    [anon_sym_STAR_STAR] = ACTIONS(1635),
    [anon_sym_LT_EQ] = ACTIONS(1635),
    [anon_sym_EQ_EQ] = ACTIONS(1633),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1633),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1635),
    [anon_sym_GT_EQ] = ACTIONS(1635),
    [anon_sym_instanceof] = ACTIONS(1635),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1635),
    [sym__automatic_semicolon] = ACTIONS(1635),
  },
  [493] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_RBRACE] = ACTIONS(1810),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [494] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1812),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [495] = {
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1639),
    [anon_sym_RBRACE] = ACTIONS(1639),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_in] = ACTIONS(1637),
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_SLASH] = ACTIONS(1637),
    [anon_sym_DOT] = ACTIONS(1639),
    [anon_sym_QMARK] = ACTIONS(1639),
    [anon_sym_AMP_AMP] = ACTIONS(1639),
    [anon_sym_PIPE_PIPE] = ACTIONS(1639),
    [anon_sym_GT_GT] = ACTIONS(1637),
    [anon_sym_GT_GT_GT] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1637),
    [anon_sym_CARET] = ACTIONS(1639),
    [anon_sym_PIPE] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(1637),
    [anon_sym_DASH] = ACTIONS(1637),
    [anon_sym_PERCENT] = ACTIONS(1639),
    [anon_sym_STAR_STAR] = ACTIONS(1639),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_EQ_EQ] = ACTIONS(1637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1639),
    [anon_sym_BANG_EQ] = ACTIONS(1637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_instanceof] = ACTIONS(1639),
    [anon_sym_PLUS_PLUS] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1639),
    [sym__automatic_semicolon] = ACTIONS(1639),
  },
  [496] = {
    [anon_sym_STAR] = ACTIONS(418),
    [anon_sym_COMMA] = ACTIONS(420),
    [anon_sym_RBRACE] = ACTIONS(420),
    [anon_sym_LPAREN] = ACTIONS(420),
    [anon_sym_in] = ACTIONS(418),
    [anon_sym_SEMI] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(420),
    [anon_sym_LT] = ACTIONS(418),
    [anon_sym_GT] = ACTIONS(418),
    [anon_sym_SLASH] = ACTIONS(418),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_QMARK] = ACTIONS(420),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(420),
    [anon_sym_GT_GT] = ACTIONS(418),
    [anon_sym_GT_GT_GT] = ACTIONS(420),
    [anon_sym_LT_LT] = ACTIONS(420),
    [anon_sym_AMP] = ACTIONS(418),
    [anon_sym_CARET] = ACTIONS(420),
    [anon_sym_PIPE] = ACTIONS(418),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_PERCENT] = ACTIONS(420),
    [anon_sym_STAR_STAR] = ACTIONS(420),
    [anon_sym_LT_EQ] = ACTIONS(420),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(420),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(420),
    [anon_sym_GT_EQ] = ACTIONS(420),
    [anon_sym_instanceof] = ACTIONS(420),
    [anon_sym_PLUS_PLUS] = ACTIONS(420),
    [anon_sym_DASH_DASH] = ACTIONS(420),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(420),
    [sym__automatic_semicolon] = ACTIONS(420),
  },
  [497] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1814),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [498] = {
    [anon_sym_STAR] = ACTIONS(1603),
    [anon_sym_COMMA] = ACTIONS(1605),
    [anon_sym_RBRACE] = ACTIONS(1605),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_in] = ACTIONS(1603),
    [anon_sym_SEMI] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_LT] = ACTIONS(1603),
    [anon_sym_GT] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1603),
    [anon_sym_DOT] = ACTIONS(1605),
    [anon_sym_QMARK] = ACTIONS(1605),
    [anon_sym_AMP_AMP] = ACTIONS(1605),
    [anon_sym_PIPE_PIPE] = ACTIONS(1605),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_GT_GT_GT] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1605),
    [anon_sym_AMP] = ACTIONS(1603),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_PERCENT] = ACTIONS(1605),
    [anon_sym_STAR_STAR] = ACTIONS(1605),
    [anon_sym_LT_EQ] = ACTIONS(1605),
    [anon_sym_EQ_EQ] = ACTIONS(1603),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ] = ACTIONS(1603),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1605),
    [anon_sym_GT_EQ] = ACTIONS(1605),
    [anon_sym_instanceof] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_DASH_DASH] = ACTIONS(1605),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1605),
    [sym__automatic_semicolon] = ACTIONS(1605),
  },
  [499] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1816),
  },
  [500] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1818),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [501] = {
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_COMMA] = ACTIONS(1711),
    [anon_sym_RBRACE] = ACTIONS(1711),
    [anon_sym_LPAREN] = ACTIONS(1711),
    [anon_sym_in] = ACTIONS(1709),
    [anon_sym_SEMI] = ACTIONS(1711),
    [anon_sym_LBRACK] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1711),
    [anon_sym_QMARK] = ACTIONS(1711),
    [anon_sym_AMP_AMP] = ACTIONS(1711),
    [anon_sym_PIPE_PIPE] = ACTIONS(1711),
    [anon_sym_GT_GT] = ACTIONS(1709),
    [anon_sym_GT_GT_GT] = ACTIONS(1711),
    [anon_sym_LT_LT] = ACTIONS(1711),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1711),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_PERCENT] = ACTIONS(1711),
    [anon_sym_STAR_STAR] = ACTIONS(1711),
    [anon_sym_LT_EQ] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1711),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1711),
    [anon_sym_GT_EQ] = ACTIONS(1711),
    [anon_sym_instanceof] = ACTIONS(1711),
    [anon_sym_PLUS_PLUS] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1711),
    [sym__automatic_semicolon] = ACTIONS(1711),
  },
  [502] = {
    [anon_sym_STAR] = ACTIONS(1599),
    [anon_sym_COMMA] = ACTIONS(1601),
    [anon_sym_RBRACE] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_in] = ACTIONS(1599),
    [anon_sym_SEMI] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1601),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_SLASH] = ACTIONS(1599),
    [anon_sym_DOT] = ACTIONS(1601),
    [anon_sym_QMARK] = ACTIONS(1601),
    [anon_sym_AMP_AMP] = ACTIONS(1601),
    [anon_sym_PIPE_PIPE] = ACTIONS(1601),
    [anon_sym_GT_GT] = ACTIONS(1599),
    [anon_sym_GT_GT_GT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1601),
    [anon_sym_AMP] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1601),
    [anon_sym_PIPE] = ACTIONS(1599),
    [anon_sym_PLUS] = ACTIONS(1599),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_PERCENT] = ACTIONS(1601),
    [anon_sym_STAR_STAR] = ACTIONS(1601),
    [anon_sym_LT_EQ] = ACTIONS(1601),
    [anon_sym_EQ_EQ] = ACTIONS(1599),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1601),
    [anon_sym_BANG_EQ] = ACTIONS(1599),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1601),
    [anon_sym_GT_EQ] = ACTIONS(1601),
    [anon_sym_instanceof] = ACTIONS(1601),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1601),
    [sym__automatic_semicolon] = ACTIONS(1601),
  },
  [503] = {
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [anon_sym_in] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1434),
    [anon_sym_DOT] = ACTIONS(1436),
    [anon_sym_QMARK] = ACTIONS(1436),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_GT_GT_GT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_STAR_STAR] = ACTIONS(1436),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_EQ_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_instanceof] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1436),
    [sym__automatic_semicolon] = ACTIONS(1436),
  },
  [504] = {
    [anon_sym_STAR] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1649),
    [anon_sym_RBRACE] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1649),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1649),
    [anon_sym_LT] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1647),
    [anon_sym_DOT] = ACTIONS(1649),
    [anon_sym_QMARK] = ACTIONS(1649),
    [anon_sym_AMP_AMP] = ACTIONS(1649),
    [anon_sym_PIPE_PIPE] = ACTIONS(1649),
    [anon_sym_GT_GT] = ACTIONS(1647),
    [anon_sym_GT_GT_GT] = ACTIONS(1649),
    [anon_sym_LT_LT] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_CARET] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_PERCENT] = ACTIONS(1649),
    [anon_sym_STAR_STAR] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1649),
    [anon_sym_EQ_EQ] = ACTIONS(1647),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1649),
    [anon_sym_BANG_EQ] = ACTIONS(1647),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1649),
    [anon_sym_GT_EQ] = ACTIONS(1649),
    [anon_sym_instanceof] = ACTIONS(1649),
    [anon_sym_PLUS_PLUS] = ACTIONS(1649),
    [anon_sym_DASH_DASH] = ACTIONS(1649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1649),
    [sym__automatic_semicolon] = ACTIONS(1649),
  },
  [505] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1820),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [506] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1822),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [507] = {
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_COMMA] = ACTIONS(1557),
    [anon_sym_RBRACE] = ACTIONS(1557),
    [anon_sym_LPAREN] = ACTIONS(1557),
    [anon_sym_in] = ACTIONS(1669),
    [anon_sym_SEMI] = ACTIONS(1557),
    [anon_sym_LBRACK] = ACTIONS(1557),
    [anon_sym_LT] = ACTIONS(1669),
    [anon_sym_GT] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(1669),
    [anon_sym_DOT] = ACTIONS(1557),
    [anon_sym_QMARK] = ACTIONS(1557),
    [anon_sym_AMP_AMP] = ACTIONS(1557),
    [anon_sym_PIPE_PIPE] = ACTIONS(1557),
    [anon_sym_GT_GT] = ACTIONS(1669),
    [anon_sym_GT_GT_GT] = ACTIONS(1557),
    [anon_sym_LT_LT] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1669),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_PIPE] = ACTIONS(1669),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_PERCENT] = ACTIONS(1557),
    [anon_sym_STAR_STAR] = ACTIONS(1557),
    [anon_sym_LT_EQ] = ACTIONS(1557),
    [anon_sym_EQ_EQ] = ACTIONS(1669),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1557),
    [anon_sym_BANG_EQ] = ACTIONS(1669),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1557),
    [anon_sym_GT_EQ] = ACTIONS(1557),
    [anon_sym_instanceof] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym__automatic_semicolon] = ACTIONS(1557),
  },
  [508] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1824),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [509] = {
    [anon_sym_STAR] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1465),
    [anon_sym_RBRACE] = ACTIONS(1465),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [anon_sym_in] = ACTIONS(1467),
    [anon_sym_SEMI] = ACTIONS(1465),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [anon_sym_LT] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1467),
    [anon_sym_SLASH] = ACTIONS(1467),
    [anon_sym_DOT] = ACTIONS(1465),
    [anon_sym_QMARK] = ACTIONS(1465),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1467),
    [anon_sym_GT_GT_GT] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1467),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1467),
    [anon_sym_DASH] = ACTIONS(1467),
    [anon_sym_PERCENT] = ACTIONS(1465),
    [anon_sym_STAR_STAR] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_EQ_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_instanceof] = ACTIONS(1465),
    [anon_sym_PLUS_PLUS] = ACTIONS(1465),
    [anon_sym_DASH_DASH] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1465),
    [sym__automatic_semicolon] = ACTIONS(1465),
  },
  [510] = {
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_LPAREN] = ACTIONS(1693),
    [anon_sym_in] = ACTIONS(1691),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1693),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [anon_sym_SLASH] = ACTIONS(1691),
    [anon_sym_DOT] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1691),
    [anon_sym_GT_GT_GT] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1691),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_PERCENT] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1691),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1693),
    [anon_sym_BANG_EQ] = ACTIONS(1691),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1693),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_instanceof] = ACTIONS(1693),
    [anon_sym_PLUS_PLUS] = ACTIONS(1693),
    [anon_sym_DASH_DASH] = ACTIONS(1693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1693),
    [sym__automatic_semicolon] = ACTIONS(1693),
  },
  [511] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1826),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [512] = {
    [anon_sym_STAR] = ACTIONS(1671),
    [anon_sym_COMMA] = ACTIONS(1673),
    [anon_sym_RBRACE] = ACTIONS(1673),
    [anon_sym_LPAREN] = ACTIONS(1673),
    [anon_sym_in] = ACTIONS(1671),
    [anon_sym_SEMI] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(1673),
    [anon_sym_LT] = ACTIONS(1671),
    [anon_sym_GT] = ACTIONS(1671),
    [anon_sym_SLASH] = ACTIONS(1671),
    [anon_sym_DOT] = ACTIONS(1673),
    [anon_sym_QMARK] = ACTIONS(1673),
    [anon_sym_AMP_AMP] = ACTIONS(1673),
    [anon_sym_PIPE_PIPE] = ACTIONS(1673),
    [anon_sym_GT_GT] = ACTIONS(1671),
    [anon_sym_GT_GT_GT] = ACTIONS(1673),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1671),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_PIPE] = ACTIONS(1671),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_PERCENT] = ACTIONS(1673),
    [anon_sym_STAR_STAR] = ACTIONS(1673),
    [anon_sym_LT_EQ] = ACTIONS(1673),
    [anon_sym_EQ_EQ] = ACTIONS(1671),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1673),
    [anon_sym_BANG_EQ] = ACTIONS(1671),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(1673),
    [anon_sym_instanceof] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1673),
    [sym__automatic_semicolon] = ACTIONS(1673),
  },
  [513] = {
    [anon_sym_STAR] = ACTIONS(1675),
    [anon_sym_COMMA] = ACTIONS(1677),
    [anon_sym_RBRACE] = ACTIONS(1677),
    [anon_sym_LPAREN] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(1677),
    [anon_sym_LBRACK] = ACTIONS(1677),
    [anon_sym_LT] = ACTIONS(1675),
    [anon_sym_GT] = ACTIONS(1675),
    [anon_sym_SLASH] = ACTIONS(1675),
    [anon_sym_DOT] = ACTIONS(1677),
    [anon_sym_QMARK] = ACTIONS(1677),
    [anon_sym_AMP_AMP] = ACTIONS(1677),
    [anon_sym_PIPE_PIPE] = ACTIONS(1677),
    [anon_sym_GT_GT] = ACTIONS(1675),
    [anon_sym_GT_GT_GT] = ACTIONS(1677),
    [anon_sym_LT_LT] = ACTIONS(1677),
    [anon_sym_AMP] = ACTIONS(1675),
    [anon_sym_CARET] = ACTIONS(1677),
    [anon_sym_PIPE] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1675),
    [anon_sym_DASH] = ACTIONS(1675),
    [anon_sym_PERCENT] = ACTIONS(1677),
    [anon_sym_STAR_STAR] = ACTIONS(1677),
    [anon_sym_LT_EQ] = ACTIONS(1677),
    [anon_sym_EQ_EQ] = ACTIONS(1675),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1677),
    [anon_sym_BANG_EQ] = ACTIONS(1675),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1677),
    [anon_sym_GT_EQ] = ACTIONS(1677),
    [anon_sym_instanceof] = ACTIONS(1677),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1677),
    [sym__automatic_semicolon] = ACTIONS(1677),
  },
  [514] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1828),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [515] = {
    [anon_sym_STAR] = ACTIONS(1695),
    [anon_sym_COMMA] = ACTIONS(1537),
    [anon_sym_RBRACE] = ACTIONS(1537),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_in] = ACTIONS(1695),
    [anon_sym_SEMI] = ACTIONS(1537),
    [anon_sym_LBRACK] = ACTIONS(1537),
    [anon_sym_LT] = ACTIONS(1695),
    [anon_sym_GT] = ACTIONS(1695),
    [anon_sym_SLASH] = ACTIONS(1695),
    [anon_sym_DOT] = ACTIONS(1537),
    [anon_sym_QMARK] = ACTIONS(1537),
    [anon_sym_AMP_AMP] = ACTIONS(1537),
    [anon_sym_PIPE_PIPE] = ACTIONS(1537),
    [anon_sym_GT_GT] = ACTIONS(1695),
    [anon_sym_GT_GT_GT] = ACTIONS(1537),
    [anon_sym_LT_LT] = ACTIONS(1537),
    [anon_sym_AMP] = ACTIONS(1695),
    [anon_sym_CARET] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1695),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_PERCENT] = ACTIONS(1537),
    [anon_sym_STAR_STAR] = ACTIONS(1537),
    [anon_sym_LT_EQ] = ACTIONS(1537),
    [anon_sym_EQ_EQ] = ACTIONS(1695),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1537),
    [anon_sym_BANG_EQ] = ACTIONS(1695),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1537),
    [anon_sym_GT_EQ] = ACTIONS(1537),
    [anon_sym_instanceof] = ACTIONS(1537),
    [anon_sym_PLUS_PLUS] = ACTIONS(1537),
    [anon_sym_DASH_DASH] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1537),
    [sym__automatic_semicolon] = ACTIONS(1537),
  },
  [516] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [517] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [518] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [519] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1836),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [520] = {
    [anon_sym_STAR] = ACTIONS(1679),
    [anon_sym_COMMA] = ACTIONS(1681),
    [anon_sym_RBRACE] = ACTIONS(1681),
    [anon_sym_LPAREN] = ACTIONS(1681),
    [anon_sym_in] = ACTIONS(1679),
    [anon_sym_SEMI] = ACTIONS(1681),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_LT] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1679),
    [anon_sym_SLASH] = ACTIONS(1679),
    [anon_sym_DOT] = ACTIONS(1681),
    [anon_sym_QMARK] = ACTIONS(1681),
    [anon_sym_AMP_AMP] = ACTIONS(1681),
    [anon_sym_PIPE_PIPE] = ACTIONS(1681),
    [anon_sym_GT_GT] = ACTIONS(1679),
    [anon_sym_GT_GT_GT] = ACTIONS(1681),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_AMP] = ACTIONS(1679),
    [anon_sym_CARET] = ACTIONS(1681),
    [anon_sym_PIPE] = ACTIONS(1679),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_PERCENT] = ACTIONS(1681),
    [anon_sym_STAR_STAR] = ACTIONS(1681),
    [anon_sym_LT_EQ] = ACTIONS(1681),
    [anon_sym_EQ_EQ] = ACTIONS(1679),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1681),
    [anon_sym_BANG_EQ] = ACTIONS(1679),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1681),
    [anon_sym_GT_EQ] = ACTIONS(1681),
    [anon_sym_instanceof] = ACTIONS(1681),
    [anon_sym_PLUS_PLUS] = ACTIONS(1681),
    [anon_sym_DASH_DASH] = ACTIONS(1681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1681),
    [sym__automatic_semicolon] = ACTIONS(1681),
  },
  [521] = {
    [anon_sym_STAR] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1699),
    [anon_sym_RBRACE] = ACTIONS(1699),
    [anon_sym_LPAREN] = ACTIONS(1699),
    [anon_sym_in] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1699),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym_DOT] = ACTIONS(1699),
    [anon_sym_QMARK] = ACTIONS(1699),
    [anon_sym_AMP_AMP] = ACTIONS(1699),
    [anon_sym_PIPE_PIPE] = ACTIONS(1699),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_GT_GT_GT] = ACTIONS(1699),
    [anon_sym_LT_LT] = ACTIONS(1699),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_CARET] = ACTIONS(1699),
    [anon_sym_PIPE] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1699),
    [anon_sym_STAR_STAR] = ACTIONS(1699),
    [anon_sym_LT_EQ] = ACTIONS(1699),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1699),
    [anon_sym_BANG_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1699),
    [anon_sym_GT_EQ] = ACTIONS(1699),
    [anon_sym_instanceof] = ACTIONS(1699),
    [anon_sym_PLUS_PLUS] = ACTIONS(1699),
    [anon_sym_DASH_DASH] = ACTIONS(1699),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1699),
    [sym__automatic_semicolon] = ACTIONS(1699),
  },
  [522] = {
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_COMMA] = ACTIONS(1715),
    [anon_sym_RBRACE] = ACTIONS(1715),
    [anon_sym_LPAREN] = ACTIONS(1715),
    [anon_sym_in] = ACTIONS(1713),
    [anon_sym_SEMI] = ACTIONS(1715),
    [anon_sym_LBRACK] = ACTIONS(1715),
    [anon_sym_LT] = ACTIONS(1713),
    [anon_sym_GT] = ACTIONS(1713),
    [anon_sym_SLASH] = ACTIONS(1713),
    [anon_sym_DOT] = ACTIONS(1715),
    [anon_sym_QMARK] = ACTIONS(1715),
    [anon_sym_AMP_AMP] = ACTIONS(1715),
    [anon_sym_PIPE_PIPE] = ACTIONS(1715),
    [anon_sym_GT_GT] = ACTIONS(1713),
    [anon_sym_GT_GT_GT] = ACTIONS(1715),
    [anon_sym_LT_LT] = ACTIONS(1715),
    [anon_sym_AMP] = ACTIONS(1713),
    [anon_sym_CARET] = ACTIONS(1715),
    [anon_sym_PIPE] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1713),
    [anon_sym_DASH] = ACTIONS(1713),
    [anon_sym_PERCENT] = ACTIONS(1715),
    [anon_sym_STAR_STAR] = ACTIONS(1715),
    [anon_sym_LT_EQ] = ACTIONS(1715),
    [anon_sym_EQ_EQ] = ACTIONS(1713),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1715),
    [anon_sym_BANG_EQ] = ACTIONS(1713),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1715),
    [anon_sym_GT_EQ] = ACTIONS(1715),
    [anon_sym_instanceof] = ACTIONS(1715),
    [anon_sym_PLUS_PLUS] = ACTIONS(1715),
    [anon_sym_DASH_DASH] = ACTIONS(1715),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1715),
    [sym__automatic_semicolon] = ACTIONS(1715),
  },
  [523] = {
    [anon_sym_STAR] = ACTIONS(1683),
    [anon_sym_COMMA] = ACTIONS(1685),
    [anon_sym_RBRACE] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [anon_sym_in] = ACTIONS(1683),
    [anon_sym_SEMI] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1683),
    [anon_sym_GT] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym_DOT] = ACTIONS(1685),
    [anon_sym_QMARK] = ACTIONS(1685),
    [anon_sym_AMP_AMP] = ACTIONS(1685),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1683),
    [anon_sym_GT_GT_GT] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1683),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_PERCENT] = ACTIONS(1685),
    [anon_sym_STAR_STAR] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_EQ_EQ] = ACTIONS(1683),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1683),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_instanceof] = ACTIONS(1685),
    [anon_sym_PLUS_PLUS] = ACTIONS(1685),
    [anon_sym_DASH_DASH] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1685),
    [sym__automatic_semicolon] = ACTIONS(1685),
  },
  [524] = {
    [anon_sym_STAR] = ACTIONS(1683),
    [anon_sym_COMMA] = ACTIONS(1685),
    [anon_sym_RBRACE] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [anon_sym_in] = ACTIONS(1683),
    [anon_sym_SEMI] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1683),
    [anon_sym_GT] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym_DOT] = ACTIONS(1685),
    [anon_sym_QMARK] = ACTIONS(1685),
    [anon_sym_AMP_AMP] = ACTIONS(1685),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1683),
    [anon_sym_GT_GT_GT] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1683),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_PERCENT] = ACTIONS(1685),
    [anon_sym_STAR_STAR] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_EQ_EQ] = ACTIONS(1683),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1683),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_instanceof] = ACTIONS(1685),
    [anon_sym_PLUS_PLUS] = ACTIONS(1685),
    [anon_sym_DASH_DASH] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1685),
    [sym__automatic_semicolon] = ACTIONS(1685),
  },
  [525] = {
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_COMMA] = ACTIONS(496),
    [anon_sym_RBRACE] = ACTIONS(496),
    [anon_sym_LPAREN] = ACTIONS(496),
    [anon_sym_in] = ACTIONS(494),
    [anon_sym_SEMI] = ACTIONS(496),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_LT] = ACTIONS(494),
    [anon_sym_GT] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(494),
    [anon_sym_DOT] = ACTIONS(496),
    [anon_sym_QMARK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(496),
    [anon_sym_PIPE_PIPE] = ACTIONS(496),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_GT_GT_GT] = ACTIONS(496),
    [anon_sym_LT_LT] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(494),
    [anon_sym_CARET] = ACTIONS(496),
    [anon_sym_PIPE] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_PERCENT] = ACTIONS(496),
    [anon_sym_STAR_STAR] = ACTIONS(496),
    [anon_sym_LT_EQ] = ACTIONS(496),
    [anon_sym_EQ_EQ] = ACTIONS(494),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(496),
    [anon_sym_BANG_EQ] = ACTIONS(494),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(496),
    [anon_sym_GT_EQ] = ACTIONS(496),
    [anon_sym_instanceof] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(496),
    [anon_sym_DASH_DASH] = ACTIONS(496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(496),
    [sym__automatic_semicolon] = ACTIONS(496),
  },
  [526] = {
    [anon_sym_STAR] = ACTIONS(1729),
    [anon_sym_COMMA] = ACTIONS(1731),
    [anon_sym_RBRACE] = ACTIONS(1731),
    [anon_sym_LPAREN] = ACTIONS(1731),
    [anon_sym_in] = ACTIONS(1729),
    [anon_sym_SEMI] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1731),
    [anon_sym_LT] = ACTIONS(1729),
    [anon_sym_GT] = ACTIONS(1729),
    [anon_sym_SLASH] = ACTIONS(1729),
    [anon_sym_DOT] = ACTIONS(1731),
    [anon_sym_QMARK] = ACTIONS(1731),
    [anon_sym_AMP_AMP] = ACTIONS(1731),
    [anon_sym_PIPE_PIPE] = ACTIONS(1731),
    [anon_sym_GT_GT] = ACTIONS(1729),
    [anon_sym_GT_GT_GT] = ACTIONS(1731),
    [anon_sym_LT_LT] = ACTIONS(1731),
    [anon_sym_AMP] = ACTIONS(1729),
    [anon_sym_CARET] = ACTIONS(1731),
    [anon_sym_PIPE] = ACTIONS(1729),
    [anon_sym_PLUS] = ACTIONS(1729),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_PERCENT] = ACTIONS(1731),
    [anon_sym_STAR_STAR] = ACTIONS(1731),
    [anon_sym_LT_EQ] = ACTIONS(1731),
    [anon_sym_EQ_EQ] = ACTIONS(1729),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1731),
    [anon_sym_BANG_EQ] = ACTIONS(1729),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1731),
    [anon_sym_GT_EQ] = ACTIONS(1731),
    [anon_sym_instanceof] = ACTIONS(1731),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1731),
    [sym__automatic_semicolon] = ACTIONS(1731),
  },
  [527] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_RBRACE] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [528] = {
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_COMMA] = ACTIONS(1707),
    [anon_sym_RBRACE] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_in] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_GT] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_QMARK] = ACTIONS(1707),
    [anon_sym_AMP_AMP] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1707),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_GT_GT_GT] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_PIPE] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1707),
    [anon_sym_STAR_STAR] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1707),
    [anon_sym_EQ_EQ] = ACTIONS(1705),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1707),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1707),
    [anon_sym_GT_EQ] = ACTIONS(1707),
    [anon_sym_instanceof] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1707),
    [sym__automatic_semicolon] = ACTIONS(1707),
  },
  [529] = {
    [anon_sym_STAR] = ACTIONS(462),
    [anon_sym_COMMA] = ACTIONS(464),
    [anon_sym_RBRACE] = ACTIONS(464),
    [anon_sym_LPAREN] = ACTIONS(464),
    [anon_sym_in] = ACTIONS(462),
    [anon_sym_SEMI] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_LT] = ACTIONS(462),
    [anon_sym_GT] = ACTIONS(462),
    [anon_sym_SLASH] = ACTIONS(462),
    [anon_sym_DOT] = ACTIONS(464),
    [anon_sym_QMARK] = ACTIONS(464),
    [anon_sym_AMP_AMP] = ACTIONS(464),
    [anon_sym_PIPE_PIPE] = ACTIONS(464),
    [anon_sym_GT_GT] = ACTIONS(462),
    [anon_sym_GT_GT_GT] = ACTIONS(464),
    [anon_sym_LT_LT] = ACTIONS(464),
    [anon_sym_AMP] = ACTIONS(462),
    [anon_sym_CARET] = ACTIONS(464),
    [anon_sym_PIPE] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(462),
    [anon_sym_DASH] = ACTIONS(462),
    [anon_sym_PERCENT] = ACTIONS(464),
    [anon_sym_STAR_STAR] = ACTIONS(464),
    [anon_sym_LT_EQ] = ACTIONS(464),
    [anon_sym_EQ_EQ] = ACTIONS(462),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(464),
    [anon_sym_BANG_EQ] = ACTIONS(462),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(464),
    [anon_sym_GT_EQ] = ACTIONS(464),
    [anon_sym_instanceof] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(464),
    [anon_sym_DASH_DASH] = ACTIONS(464),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(464),
    [sym__automatic_semicolon] = ACTIONS(464),
  },
  [530] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1840),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [531] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1842),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1401),
    [anon_sym_COLON] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
    [sym__automatic_semicolon] = ACTIONS(1401),
  },
  [532] = {
    [anon_sym_STAR] = ACTIONS(438),
    [anon_sym_COMMA] = ACTIONS(440),
    [anon_sym_RBRACE] = ACTIONS(440),
    [anon_sym_LPAREN] = ACTIONS(440),
    [anon_sym_in] = ACTIONS(438),
    [anon_sym_SEMI] = ACTIONS(440),
    [anon_sym_LBRACK] = ACTIONS(440),
    [anon_sym_LT] = ACTIONS(438),
    [anon_sym_GT] = ACTIONS(438),
    [anon_sym_SLASH] = ACTIONS(438),
    [anon_sym_DOT] = ACTIONS(440),
    [anon_sym_QMARK] = ACTIONS(440),
    [anon_sym_AMP_AMP] = ACTIONS(440),
    [anon_sym_PIPE_PIPE] = ACTIONS(440),
    [anon_sym_GT_GT] = ACTIONS(438),
    [anon_sym_GT_GT_GT] = ACTIONS(440),
    [anon_sym_LT_LT] = ACTIONS(440),
    [anon_sym_AMP] = ACTIONS(438),
    [anon_sym_CARET] = ACTIONS(440),
    [anon_sym_PIPE] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(438),
    [anon_sym_DASH] = ACTIONS(438),
    [anon_sym_PERCENT] = ACTIONS(440),
    [anon_sym_STAR_STAR] = ACTIONS(440),
    [anon_sym_LT_EQ] = ACTIONS(440),
    [anon_sym_EQ_EQ] = ACTIONS(438),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(440),
    [anon_sym_BANG_EQ] = ACTIONS(438),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(440),
    [anon_sym_GT_EQ] = ACTIONS(440),
    [anon_sym_instanceof] = ACTIONS(440),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(440),
    [sym__automatic_semicolon] = ACTIONS(440),
  },
  [533] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1847),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [534] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
    [sym__automatic_semicolon] = ACTIONS(1401),
  },
  [535] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1851),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
    [sym__automatic_semicolon] = ACTIONS(1401),
  },
  [536] = {
    [anon_sym_STAR] = ACTIONS(1717),
    [anon_sym_COMMA] = ACTIONS(1545),
    [anon_sym_RBRACE] = ACTIONS(1545),
    [anon_sym_LPAREN] = ACTIONS(1545),
    [anon_sym_in] = ACTIONS(1717),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_LT] = ACTIONS(1717),
    [anon_sym_GT] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1717),
    [anon_sym_DOT] = ACTIONS(1545),
    [anon_sym_QMARK] = ACTIONS(1545),
    [anon_sym_AMP_AMP] = ACTIONS(1545),
    [anon_sym_PIPE_PIPE] = ACTIONS(1545),
    [anon_sym_GT_GT] = ACTIONS(1717),
    [anon_sym_GT_GT_GT] = ACTIONS(1545),
    [anon_sym_LT_LT] = ACTIONS(1545),
    [anon_sym_AMP] = ACTIONS(1717),
    [anon_sym_CARET] = ACTIONS(1545),
    [anon_sym_PIPE] = ACTIONS(1717),
    [anon_sym_PLUS] = ACTIONS(1717),
    [anon_sym_DASH] = ACTIONS(1717),
    [anon_sym_PERCENT] = ACTIONS(1545),
    [anon_sym_STAR_STAR] = ACTIONS(1545),
    [anon_sym_LT_EQ] = ACTIONS(1545),
    [anon_sym_EQ_EQ] = ACTIONS(1717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1545),
    [anon_sym_BANG_EQ] = ACTIONS(1717),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1545),
    [anon_sym_GT_EQ] = ACTIONS(1545),
    [anon_sym_instanceof] = ACTIONS(1545),
    [anon_sym_PLUS_PLUS] = ACTIONS(1545),
    [anon_sym_DASH_DASH] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1545),
    [sym__automatic_semicolon] = ACTIONS(1545),
  },
  [537] = {
    [anon_sym_STAR] = ACTIONS(1733),
    [anon_sym_COMMA] = ACTIONS(1735),
    [anon_sym_RBRACE] = ACTIONS(1735),
    [anon_sym_LPAREN] = ACTIONS(1735),
    [anon_sym_in] = ACTIONS(1733),
    [anon_sym_SEMI] = ACTIONS(1735),
    [anon_sym_LBRACK] = ACTIONS(1735),
    [anon_sym_LT] = ACTIONS(1733),
    [anon_sym_GT] = ACTIONS(1733),
    [anon_sym_SLASH] = ACTIONS(1733),
    [anon_sym_DOT] = ACTIONS(1735),
    [anon_sym_QMARK] = ACTIONS(1735),
    [anon_sym_AMP_AMP] = ACTIONS(1735),
    [anon_sym_PIPE_PIPE] = ACTIONS(1735),
    [anon_sym_GT_GT] = ACTIONS(1733),
    [anon_sym_GT_GT_GT] = ACTIONS(1735),
    [anon_sym_LT_LT] = ACTIONS(1735),
    [anon_sym_AMP] = ACTIONS(1733),
    [anon_sym_CARET] = ACTIONS(1735),
    [anon_sym_PIPE] = ACTIONS(1733),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_PERCENT] = ACTIONS(1735),
    [anon_sym_STAR_STAR] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1735),
    [anon_sym_EQ_EQ] = ACTIONS(1733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1735),
    [anon_sym_BANG_EQ] = ACTIONS(1733),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1735),
    [anon_sym_GT_EQ] = ACTIONS(1735),
    [anon_sym_instanceof] = ACTIONS(1735),
    [anon_sym_PLUS_PLUS] = ACTIONS(1735),
    [anon_sym_DASH_DASH] = ACTIONS(1735),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1735),
    [sym__automatic_semicolon] = ACTIONS(1735),
  },
  [538] = {
    [anon_sym_STAR] = ACTIONS(428),
    [anon_sym_COMMA] = ACTIONS(430),
    [anon_sym_RBRACE] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(430),
    [anon_sym_in] = ACTIONS(428),
    [anon_sym_SEMI] = ACTIONS(430),
    [anon_sym_LBRACK] = ACTIONS(430),
    [anon_sym_LT] = ACTIONS(428),
    [anon_sym_GT] = ACTIONS(428),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_QMARK] = ACTIONS(430),
    [anon_sym_AMP_AMP] = ACTIONS(430),
    [anon_sym_PIPE_PIPE] = ACTIONS(430),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(430),
    [anon_sym_LT_LT] = ACTIONS(430),
    [anon_sym_AMP] = ACTIONS(428),
    [anon_sym_CARET] = ACTIONS(430),
    [anon_sym_PIPE] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(428),
    [anon_sym_DASH] = ACTIONS(428),
    [anon_sym_PERCENT] = ACTIONS(430),
    [anon_sym_STAR_STAR] = ACTIONS(430),
    [anon_sym_LT_EQ] = ACTIONS(430),
    [anon_sym_EQ_EQ] = ACTIONS(428),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(430),
    [anon_sym_BANG_EQ] = ACTIONS(428),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(430),
    [anon_sym_GT_EQ] = ACTIONS(430),
    [anon_sym_instanceof] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(430),
    [anon_sym_DASH_DASH] = ACTIONS(430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(430),
    [sym__automatic_semicolon] = ACTIONS(430),
  },
  [539] = {
    [anon_sym_STAR] = ACTIONS(408),
    [anon_sym_COMMA] = ACTIONS(410),
    [anon_sym_RBRACE] = ACTIONS(410),
    [anon_sym_LPAREN] = ACTIONS(410),
    [anon_sym_in] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(410),
    [anon_sym_LBRACK] = ACTIONS(410),
    [anon_sym_LT] = ACTIONS(408),
    [anon_sym_GT] = ACTIONS(408),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_QMARK] = ACTIONS(410),
    [anon_sym_AMP_AMP] = ACTIONS(410),
    [anon_sym_PIPE_PIPE] = ACTIONS(410),
    [anon_sym_GT_GT] = ACTIONS(408),
    [anon_sym_GT_GT_GT] = ACTIONS(410),
    [anon_sym_LT_LT] = ACTIONS(410),
    [anon_sym_AMP] = ACTIONS(408),
    [anon_sym_CARET] = ACTIONS(410),
    [anon_sym_PIPE] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(408),
    [anon_sym_DASH] = ACTIONS(408),
    [anon_sym_PERCENT] = ACTIONS(410),
    [anon_sym_STAR_STAR] = ACTIONS(410),
    [anon_sym_LT_EQ] = ACTIONS(410),
    [anon_sym_EQ_EQ] = ACTIONS(408),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(410),
    [anon_sym_GT_EQ] = ACTIONS(410),
    [anon_sym_instanceof] = ACTIONS(410),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(410),
    [sym__automatic_semicolon] = ACTIONS(410),
  },
  [540] = {
    [aux_sym_formal_parameters_repeat1] = STATE(868),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_RPAREN] = ACTIONS(1856),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
  },
  [541] = {
    [anon_sym_STAR] = ACTIONS(1719),
    [anon_sym_COMMA] = ACTIONS(1721),
    [anon_sym_RBRACE] = ACTIONS(1721),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_in] = ACTIONS(1719),
    [anon_sym_SEMI] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1721),
    [anon_sym_LT] = ACTIONS(1719),
    [anon_sym_GT] = ACTIONS(1719),
    [anon_sym_SLASH] = ACTIONS(1719),
    [anon_sym_DOT] = ACTIONS(1721),
    [anon_sym_QMARK] = ACTIONS(1721),
    [anon_sym_AMP_AMP] = ACTIONS(1721),
    [anon_sym_PIPE_PIPE] = ACTIONS(1721),
    [anon_sym_GT_GT] = ACTIONS(1719),
    [anon_sym_GT_GT_GT] = ACTIONS(1721),
    [anon_sym_LT_LT] = ACTIONS(1721),
    [anon_sym_AMP] = ACTIONS(1719),
    [anon_sym_CARET] = ACTIONS(1721),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_DASH] = ACTIONS(1719),
    [anon_sym_PERCENT] = ACTIONS(1721),
    [anon_sym_STAR_STAR] = ACTIONS(1721),
    [anon_sym_LT_EQ] = ACTIONS(1721),
    [anon_sym_EQ_EQ] = ACTIONS(1719),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1721),
    [anon_sym_BANG_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1721),
    [anon_sym_GT_EQ] = ACTIONS(1721),
    [anon_sym_instanceof] = ACTIONS(1721),
    [anon_sym_PLUS_PLUS] = ACTIONS(1721),
    [anon_sym_DASH_DASH] = ACTIONS(1721),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1721),
    [sym__automatic_semicolon] = ACTIONS(1721),
  },
  [542] = {
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1507),
    [anon_sym_RBRACE] = ACTIONS(1507),
    [anon_sym_LPAREN] = ACTIONS(1507),
    [anon_sym_in] = ACTIONS(1587),
    [anon_sym_SEMI] = ACTIONS(1507),
    [anon_sym_LBRACK] = ACTIONS(1507),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1587),
    [anon_sym_DOT] = ACTIONS(1507),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_AMP_AMP] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1507),
    [anon_sym_GT_GT] = ACTIONS(1587),
    [anon_sym_GT_GT_GT] = ACTIONS(1507),
    [anon_sym_LT_LT] = ACTIONS(1507),
    [anon_sym_AMP] = ACTIONS(1587),
    [anon_sym_CARET] = ACTIONS(1507),
    [anon_sym_PIPE] = ACTIONS(1587),
    [anon_sym_PLUS] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1507),
    [anon_sym_STAR_STAR] = ACTIONS(1507),
    [anon_sym_LT_EQ] = ACTIONS(1507),
    [anon_sym_EQ_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1507),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1507),
    [anon_sym_GT_EQ] = ACTIONS(1507),
    [anon_sym_instanceof] = ACTIONS(1507),
    [anon_sym_PLUS_PLUS] = ACTIONS(1507),
    [anon_sym_DASH_DASH] = ACTIONS(1507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1507),
    [sym__automatic_semicolon] = ACTIONS(1507),
  },
  [543] = {
    [anon_sym_STAR] = ACTIONS(1737),
    [anon_sym_COMMA] = ACTIONS(1739),
    [anon_sym_RBRACE] = ACTIONS(1739),
    [anon_sym_LPAREN] = ACTIONS(1739),
    [anon_sym_in] = ACTIONS(1737),
    [anon_sym_SEMI] = ACTIONS(1739),
    [anon_sym_LBRACK] = ACTIONS(1739),
    [anon_sym_LT] = ACTIONS(1737),
    [anon_sym_GT] = ACTIONS(1737),
    [anon_sym_SLASH] = ACTIONS(1737),
    [anon_sym_DOT] = ACTIONS(1739),
    [anon_sym_QMARK] = ACTIONS(1739),
    [anon_sym_AMP_AMP] = ACTIONS(1739),
    [anon_sym_PIPE_PIPE] = ACTIONS(1739),
    [anon_sym_GT_GT] = ACTIONS(1737),
    [anon_sym_GT_GT_GT] = ACTIONS(1739),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1737),
    [anon_sym_CARET] = ACTIONS(1739),
    [anon_sym_PIPE] = ACTIONS(1737),
    [anon_sym_PLUS] = ACTIONS(1737),
    [anon_sym_DASH] = ACTIONS(1737),
    [anon_sym_PERCENT] = ACTIONS(1739),
    [anon_sym_STAR_STAR] = ACTIONS(1739),
    [anon_sym_LT_EQ] = ACTIONS(1739),
    [anon_sym_EQ_EQ] = ACTIONS(1737),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1739),
    [anon_sym_BANG_EQ] = ACTIONS(1737),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1739),
    [anon_sym_GT_EQ] = ACTIONS(1739),
    [anon_sym_instanceof] = ACTIONS(1739),
    [anon_sym_PLUS_PLUS] = ACTIONS(1739),
    [anon_sym_DASH_DASH] = ACTIONS(1739),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1739),
    [sym__automatic_semicolon] = ACTIONS(1739),
  },
  [544] = {
    [anon_sym_STAR] = ACTIONS(1723),
    [anon_sym_COMMA] = ACTIONS(1509),
    [anon_sym_RBRACE] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [anon_sym_in] = ACTIONS(1723),
    [anon_sym_SEMI] = ACTIONS(1509),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_GT] = ACTIONS(1723),
    [anon_sym_SLASH] = ACTIONS(1723),
    [anon_sym_DOT] = ACTIONS(1509),
    [anon_sym_QMARK] = ACTIONS(1509),
    [anon_sym_AMP_AMP] = ACTIONS(1509),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1723),
    [anon_sym_GT_GT_GT] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1723),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1723),
    [anon_sym_DASH] = ACTIONS(1723),
    [anon_sym_PERCENT] = ACTIONS(1509),
    [anon_sym_STAR_STAR] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_EQ_EQ] = ACTIONS(1723),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1723),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_instanceof] = ACTIONS(1509),
    [anon_sym_PLUS_PLUS] = ACTIONS(1509),
    [anon_sym_DASH_DASH] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1509),
    [sym__automatic_semicolon] = ACTIONS(1509),
  },
  [545] = {
    [anon_sym_STAR] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1689),
    [anon_sym_RBRACE] = ACTIONS(1689),
    [anon_sym_LPAREN] = ACTIONS(1689),
    [anon_sym_in] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1689),
    [anon_sym_LBRACK] = ACTIONS(1689),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_DOT] = ACTIONS(1689),
    [anon_sym_QMARK] = ACTIONS(1689),
    [anon_sym_AMP_AMP] = ACTIONS(1689),
    [anon_sym_PIPE_PIPE] = ACTIONS(1689),
    [anon_sym_GT_GT] = ACTIONS(1687),
    [anon_sym_GT_GT_GT] = ACTIONS(1689),
    [anon_sym_LT_LT] = ACTIONS(1689),
    [anon_sym_AMP] = ACTIONS(1687),
    [anon_sym_CARET] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1687),
    [anon_sym_PLUS] = ACTIONS(1687),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_PERCENT] = ACTIONS(1689),
    [anon_sym_STAR_STAR] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1689),
    [anon_sym_EQ_EQ] = ACTIONS(1687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1689),
    [anon_sym_BANG_EQ] = ACTIONS(1687),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1689),
    [anon_sym_GT_EQ] = ACTIONS(1689),
    [anon_sym_instanceof] = ACTIONS(1689),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1689),
    [sym__automatic_semicolon] = ACTIONS(1689),
  },
  [546] = {
    [aux_sym_formal_parameters_repeat1] = STATE(885),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_RPAREN] = ACTIONS(1864),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1867),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
  },
  [547] = {
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_COMMA] = ACTIONS(1727),
    [anon_sym_RBRACE] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_in] = ACTIONS(1725),
    [anon_sym_SEMI] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1727),
    [anon_sym_LT] = ACTIONS(1725),
    [anon_sym_GT] = ACTIONS(1725),
    [anon_sym_SLASH] = ACTIONS(1725),
    [anon_sym_DOT] = ACTIONS(1727),
    [anon_sym_QMARK] = ACTIONS(1727),
    [anon_sym_AMP_AMP] = ACTIONS(1727),
    [anon_sym_PIPE_PIPE] = ACTIONS(1727),
    [anon_sym_GT_GT] = ACTIONS(1725),
    [anon_sym_GT_GT_GT] = ACTIONS(1727),
    [anon_sym_LT_LT] = ACTIONS(1727),
    [anon_sym_AMP] = ACTIONS(1725),
    [anon_sym_CARET] = ACTIONS(1727),
    [anon_sym_PIPE] = ACTIONS(1725),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_PERCENT] = ACTIONS(1727),
    [anon_sym_STAR_STAR] = ACTIONS(1727),
    [anon_sym_LT_EQ] = ACTIONS(1727),
    [anon_sym_EQ_EQ] = ACTIONS(1725),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1727),
    [anon_sym_BANG_EQ] = ACTIONS(1725),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1727),
    [anon_sym_GT_EQ] = ACTIONS(1727),
    [anon_sym_instanceof] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1727),
    [anon_sym_DASH_DASH] = ACTIONS(1727),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1727),
    [sym__automatic_semicolon] = ACTIONS(1727),
  },
  [548] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1869),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [549] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1746),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1746),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [550] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1741),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1741),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [551] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_STAR] = ACTIONS(1607),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_in] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1613),
    [anon_sym_AMP_AMP] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1607),
    [anon_sym_GT_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1627),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_EQ_EQ] = ACTIONS(1609),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_instanceof] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym__automatic_semicolon] = ACTIONS(1871),
  },
  [552] = {
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [anon_sym_in] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1446),
    [anon_sym_GT] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1446),
    [anon_sym_DOT] = ACTIONS(1448),
    [anon_sym_QMARK] = ACTIONS(1448),
    [anon_sym_AMP_AMP] = ACTIONS(1448),
    [anon_sym_PIPE_PIPE] = ACTIONS(1448),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_GT_GT_GT] = ACTIONS(1448),
    [anon_sym_LT_LT] = ACTIONS(1448),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1448),
    [anon_sym_PIPE] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_PERCENT] = ACTIONS(1448),
    [anon_sym_STAR_STAR] = ACTIONS(1448),
    [anon_sym_LT_EQ] = ACTIONS(1448),
    [anon_sym_EQ_EQ] = ACTIONS(1446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1448),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1448),
    [anon_sym_GT_EQ] = ACTIONS(1448),
    [anon_sym_instanceof] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1448),
    [sym__automatic_semicolon] = ACTIONS(1448),
  },
  [553] = {
    [anon_sym_STAR] = ACTIONS(1701),
    [anon_sym_COMMA] = ACTIONS(1703),
    [anon_sym_RBRACE] = ACTIONS(1703),
    [anon_sym_LPAREN] = ACTIONS(1703),
    [anon_sym_in] = ACTIONS(1701),
    [anon_sym_SEMI] = ACTIONS(1703),
    [anon_sym_LBRACK] = ACTIONS(1703),
    [anon_sym_LT] = ACTIONS(1701),
    [anon_sym_GT] = ACTIONS(1701),
    [anon_sym_SLASH] = ACTIONS(1701),
    [anon_sym_DOT] = ACTIONS(1703),
    [anon_sym_QMARK] = ACTIONS(1703),
    [anon_sym_AMP_AMP] = ACTIONS(1703),
    [anon_sym_PIPE_PIPE] = ACTIONS(1703),
    [anon_sym_GT_GT] = ACTIONS(1701),
    [anon_sym_GT_GT_GT] = ACTIONS(1703),
    [anon_sym_LT_LT] = ACTIONS(1703),
    [anon_sym_AMP] = ACTIONS(1701),
    [anon_sym_CARET] = ACTIONS(1703),
    [anon_sym_PIPE] = ACTIONS(1701),
    [anon_sym_PLUS] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1701),
    [anon_sym_PERCENT] = ACTIONS(1703),
    [anon_sym_STAR_STAR] = ACTIONS(1703),
    [anon_sym_LT_EQ] = ACTIONS(1703),
    [anon_sym_EQ_EQ] = ACTIONS(1701),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1703),
    [anon_sym_BANG_EQ] = ACTIONS(1701),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1703),
    [anon_sym_GT_EQ] = ACTIONS(1703),
    [anon_sym_instanceof] = ACTIONS(1703),
    [anon_sym_PLUS_PLUS] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1703),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1703),
    [sym__automatic_semicolon] = ACTIONS(1703),
  },
  [554] = {
    [anon_sym_STAR] = ACTIONS(484),
    [anon_sym_COMMA] = ACTIONS(486),
    [anon_sym_RBRACE] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(486),
    [anon_sym_in] = ACTIONS(484),
    [anon_sym_SEMI] = ACTIONS(486),
    [anon_sym_LBRACK] = ACTIONS(486),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(484),
    [anon_sym_DOT] = ACTIONS(486),
    [anon_sym_QMARK] = ACTIONS(486),
    [anon_sym_AMP_AMP] = ACTIONS(486),
    [anon_sym_PIPE_PIPE] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(484),
    [anon_sym_GT_GT_GT] = ACTIONS(486),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_AMP] = ACTIONS(484),
    [anon_sym_CARET] = ACTIONS(486),
    [anon_sym_PIPE] = ACTIONS(484),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_STAR_STAR] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(486),
    [anon_sym_EQ_EQ] = ACTIONS(484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(484),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(486),
    [anon_sym_GT_EQ] = ACTIONS(486),
    [anon_sym_instanceof] = ACTIONS(486),
    [anon_sym_PLUS_PLUS] = ACTIONS(486),
    [anon_sym_DASH_DASH] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(486),
    [sym__automatic_semicolon] = ACTIONS(486),
  },
  [555] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1751),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [556] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1754),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1754),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [557] = {
    [anon_sym_STAR] = ACTIONS(1595),
    [anon_sym_COMMA] = ACTIONS(1597),
    [anon_sym_RBRACE] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1597),
    [anon_sym_in] = ACTIONS(1595),
    [anon_sym_SEMI] = ACTIONS(1597),
    [anon_sym_LBRACK] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1595),
    [anon_sym_GT] = ACTIONS(1595),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_DOT] = ACTIONS(1597),
    [anon_sym_QMARK] = ACTIONS(1597),
    [anon_sym_AMP_AMP] = ACTIONS(1597),
    [anon_sym_PIPE_PIPE] = ACTIONS(1597),
    [anon_sym_GT_GT] = ACTIONS(1595),
    [anon_sym_GT_GT_GT] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1597),
    [anon_sym_AMP] = ACTIONS(1595),
    [anon_sym_CARET] = ACTIONS(1597),
    [anon_sym_PIPE] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1595),
    [anon_sym_DASH] = ACTIONS(1595),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [anon_sym_STAR_STAR] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_EQ_EQ] = ACTIONS(1595),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1595),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1597),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_instanceof] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1597),
    [anon_sym_DASH_DASH] = ACTIONS(1597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1597),
    [sym__automatic_semicolon] = ACTIONS(1597),
  },
  [558] = {
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_COMMA] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [anon_sym_in] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1450),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1452),
    [anon_sym_PIPE_PIPE] = ACTIONS(1452),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_GT_GT_GT] = ACTIONS(1452),
    [anon_sym_LT_LT] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1452),
    [anon_sym_PIPE] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_PERCENT] = ACTIONS(1452),
    [anon_sym_STAR_STAR] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_EQ_EQ] = ACTIONS(1450),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_instanceof] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1452),
    [sym__automatic_semicolon] = ACTIONS(1452),
  },
  [559] = {
    [anon_sym_STAR] = ACTIONS(1589),
    [anon_sym_COMMA] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1589),
    [anon_sym_SEMI] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1589),
    [anon_sym_GT] = ACTIONS(1589),
    [anon_sym_SLASH] = ACTIONS(1589),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1565),
    [anon_sym_AMP_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1565),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_GT_GT_GT] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1565),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_instanceof] = ACTIONS(1565),
    [anon_sym_PLUS_PLUS] = ACTIONS(1565),
    [anon_sym_DASH_DASH] = ACTIONS(1565),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1565),
    [sym__automatic_semicolon] = ACTIONS(1565),
  },
  [560] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1873),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [561] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1875),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_RPAREN] = ACTIONS(1875),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1571),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
  },
  [562] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_RPAREN] = ACTIONS(1878),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1569),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
  },
  [563] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_RBRACK] = ACTIONS(1881),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [564] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1883),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [565] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_COLON] = ACTIONS(1885),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [566] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1887),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [567] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [568] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1662),
    [anon_sym_of] = ACTIONS(1665),
    [anon_sym_EQ] = ACTIONS(1569),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
  },
  [569] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1653),
    [anon_sym_of] = ACTIONS(1656),
    [anon_sym_EQ] = ACTIONS(1571),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
  },
  [570] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [571] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1764),
    [anon_sym_of] = ACTIONS(1767),
    [anon_sym_EQ] = ACTIONS(1571),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
  },
  [572] = {
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1771),
    [anon_sym_of] = ACTIONS(1774),
    [anon_sym_EQ] = ACTIONS(1569),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1401),
  },
  [573] = {
    [sym_object] = STATE(1124),
    [sym_assignment_pattern] = STATE(872),
    [sym_array] = STATE(1123),
    [sym_spread_element] = STATE(872),
    [sym_string] = STATE(886),
    [sym_decorator] = STATE(631),
    [sym_method_definition] = STATE(872),
    [sym_pair] = STATE(872),
    [sym__property_name] = STATE(886),
    [sym_computed_property_name] = STATE(886),
    [aux_sym_export_statement_repeat1] = STATE(601),
    [aux_sym_object_repeat1] = STATE(866),
    [sym_identifier] = ACTIONS(1889),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1891),
    [anon_sym_LBRACK] = ACTIONS(1893),
    [anon_sym_async] = ACTIONS(1895),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1897),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(1899),
    [anon_sym_get] = ACTIONS(1901),
    [anon_sym_set] = ACTIONS(1901),
  },
  [574] = {
    [sym_object] = STATE(1124),
    [sym_assignment_pattern] = STATE(879),
    [sym_array] = STATE(1123),
    [sym_spread_element] = STATE(879),
    [sym_string] = STATE(886),
    [sym_decorator] = STATE(631),
    [sym_method_definition] = STATE(879),
    [sym_pair] = STATE(879),
    [sym__property_name] = STATE(886),
    [sym_computed_property_name] = STATE(886),
    [aux_sym_export_statement_repeat1] = STATE(601),
    [aux_sym_object_repeat1] = STATE(883),
    [sym_identifier] = ACTIONS(1903),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1893),
    [anon_sym_async] = ACTIONS(1907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1897),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_get] = ACTIONS(1911),
    [anon_sym_set] = ACTIONS(1911),
  },
  [575] = {
    [sym_object] = STATE(1124),
    [sym_assignment_pattern] = STATE(1002),
    [sym_array] = STATE(1123),
    [sym_spread_element] = STATE(1002),
    [sym_string] = STATE(886),
    [sym_decorator] = STATE(631),
    [sym_method_definition] = STATE(1002),
    [sym_pair] = STATE(1002),
    [sym__property_name] = STATE(886),
    [sym_computed_property_name] = STATE(886),
    [aux_sym_export_statement_repeat1] = STATE(601),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_RBRACE] = ACTIONS(1915),
    [anon_sym_LBRACK] = ACTIONS(1893),
    [anon_sym_async] = ACTIONS(1917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1897),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(1919),
    [anon_sym_get] = ACTIONS(1921),
    [anon_sym_set] = ACTIONS(1921),
  },
  [576] = {
    [sym_string] = STATE(682),
    [sym_decorator] = STATE(631),
    [sym_public_field_definition] = STATE(1023),
    [sym_method_definition] = STATE(628),
    [sym__property_name] = STATE(682),
    [sym_computed_property_name] = STATE(682),
    [aux_sym_export_statement_repeat1] = STATE(601),
    [aux_sym_class_body_repeat1] = STATE(579),
    [sym_identifier] = ACTIONS(1923),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_RBRACE] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1927),
    [anon_sym_async] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1931),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(1933),
    [anon_sym_get] = ACTIONS(1935),
    [anon_sym_set] = ACTIONS(1935),
  },
  [577] = {
    [sym_string] = STATE(682),
    [sym_decorator] = STATE(631),
    [sym_public_field_definition] = STATE(1023),
    [sym_method_definition] = STATE(628),
    [sym__property_name] = STATE(682),
    [sym_computed_property_name] = STATE(682),
    [aux_sym_export_statement_repeat1] = STATE(601),
    [aux_sym_class_body_repeat1] = STATE(581),
    [sym_identifier] = ACTIONS(1923),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_RBRACE] = ACTIONS(1937),
    [anon_sym_LBRACK] = ACTIONS(1927),
    [anon_sym_async] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1931),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(1933),
    [anon_sym_get] = ACTIONS(1935),
    [anon_sym_set] = ACTIONS(1935),
  },
  [578] = {
    [sym_string] = STATE(682),
    [sym_decorator] = STATE(631),
    [sym_public_field_definition] = STATE(1023),
    [sym_method_definition] = STATE(628),
    [sym__property_name] = STATE(682),
    [sym_computed_property_name] = STATE(682),
    [aux_sym_export_statement_repeat1] = STATE(601),
    [aux_sym_class_body_repeat1] = STATE(582),
    [sym_identifier] = ACTIONS(1923),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_RBRACE] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(1927),
    [anon_sym_async] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1931),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(1933),
    [anon_sym_get] = ACTIONS(1935),
    [anon_sym_set] = ACTIONS(1935),
  },
  [579] = {
    [sym_string] = STATE(682),
    [sym_decorator] = STATE(631),
    [sym_public_field_definition] = STATE(1023),
    [sym_method_definition] = STATE(628),
    [sym__property_name] = STATE(682),
    [sym_computed_property_name] = STATE(682),
    [aux_sym_export_statement_repeat1] = STATE(601),
    [aux_sym_class_body_repeat1] = STATE(579),
    [sym_identifier] = ACTIONS(1941),
    [anon_sym_STAR] = ACTIONS(1944),
    [anon_sym_RBRACE] = ACTIONS(1947),
    [anon_sym_LBRACK] = ACTIONS(1949),
    [anon_sym_async] = ACTIONS(1952),
    [anon_sym_DQUOTE] = ACTIONS(1955),
    [anon_sym_SQUOTE] = ACTIONS(1958),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1961),
    [anon_sym_AT] = ACTIONS(1964),
    [anon_sym_static] = ACTIONS(1967),
    [anon_sym_get] = ACTIONS(1970),
    [anon_sym_set] = ACTIONS(1970),
  },
  [580] = {
    [sym_string] = STATE(682),
    [sym_decorator] = STATE(631),
    [sym_public_field_definition] = STATE(1023),
    [sym_method_definition] = STATE(628),
    [sym__property_name] = STATE(682),
    [sym_computed_property_name] = STATE(682),
    [aux_sym_export_statement_repeat1] = STATE(601),
    [aux_sym_class_body_repeat1] = STATE(576),
    [sym_identifier] = ACTIONS(1923),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_RBRACE] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1927),
    [anon_sym_async] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1931),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(1933),
    [anon_sym_get] = ACTIONS(1935),
    [anon_sym_set] = ACTIONS(1935),
  },
  [581] = {
    [sym_string] = STATE(682),
    [sym_decorator] = STATE(631),
    [sym_public_field_definition] = STATE(1023),
    [sym_method_definition] = STATE(628),
    [sym__property_name] = STATE(682),
    [sym_computed_property_name] = STATE(682),
    [aux_sym_export_statement_repeat1] = STATE(601),
    [aux_sym_class_body_repeat1] = STATE(579),
    [sym_identifier] = ACTIONS(1923),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_RBRACE] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1927),
    [anon_sym_async] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1931),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(1933),
    [anon_sym_get] = ACTIONS(1935),
    [anon_sym_set] = ACTIONS(1935),
  },
  [582] = {
    [sym_string] = STATE(682),
    [sym_decorator] = STATE(631),
    [sym_public_field_definition] = STATE(1023),
    [sym_method_definition] = STATE(628),
    [sym__property_name] = STATE(682),
    [sym_computed_property_name] = STATE(682),
    [aux_sym_export_statement_repeat1] = STATE(601),
    [aux_sym_class_body_repeat1] = STATE(579),
    [sym_identifier] = ACTIONS(1923),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1927),
    [anon_sym_async] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1931),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(1933),
    [anon_sym_get] = ACTIONS(1935),
    [anon_sym_set] = ACTIONS(1935),
  },
  [583] = {
    [sym_string] = STATE(1005),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [aux_sym_object_repeat1] = STATE(855),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1047),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
  },
  [584] = {
    [sym_export_clause] = STATE(778),
    [sym__declaration] = STATE(215),
    [sym_variable_declaration] = STATE(215),
    [sym_lexical_declaration] = STATE(215),
    [sym_class_declaration] = STATE(215),
    [sym_function_declaration] = STATE(215),
    [sym_generator_function_declaration] = STATE(215),
    [sym_decorator] = STATE(631),
    [aux_sym_export_statement_repeat1] = STATE(795),
    [anon_sym_STAR] = ACTIONS(1987),
    [anon_sym_default] = ACTIONS(1989),
    [anon_sym_LBRACE] = ACTIONS(1991),
    [anon_sym_var] = ACTIONS(1993),
    [anon_sym_let] = ACTIONS(1995),
    [anon_sym_const] = ACTIONS(1995),
    [anon_sym_class] = ACTIONS(1997),
    [anon_sym_async] = ACTIONS(1999),
    [anon_sym_function] = ACTIONS(2001),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(87),
  },
  [585] = {
    [sym_string] = STATE(1005),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [aux_sym_object_repeat1] = STATE(851),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1047),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
  },
  [586] = {
    [sym_string] = STATE(1005),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [aux_sym_object_repeat1] = STATE(855),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1047),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
  },
  [587] = {
    [sym_string] = STATE(1005),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [aux_sym_object_repeat1] = STATE(851),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1047),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
  },
  [588] = {
    [sym_export_clause] = STATE(778),
    [sym__declaration] = STATE(215),
    [sym_variable_declaration] = STATE(215),
    [sym_lexical_declaration] = STATE(215),
    [sym_class_declaration] = STATE(215),
    [sym_function_declaration] = STATE(215),
    [sym_generator_function_declaration] = STATE(215),
    [sym_decorator] = STATE(631),
    [aux_sym_export_statement_repeat1] = STATE(779),
    [anon_sym_STAR] = ACTIONS(1987),
    [anon_sym_default] = ACTIONS(1989),
    [anon_sym_LBRACE] = ACTIONS(1991),
    [anon_sym_var] = ACTIONS(1993),
    [anon_sym_let] = ACTIONS(1995),
    [anon_sym_const] = ACTIONS(1995),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_async] = ACTIONS(2005),
    [anon_sym_function] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(87),
  },
  [589] = {
    [sym_string] = STATE(1005),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_COMMA] = ACTIONS(2009),
    [anon_sym_RBRACE] = ACTIONS(2009),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1047),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
  },
  [590] = {
    [sym_string] = STATE(1005),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [aux_sym_object_repeat1] = STATE(851),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1047),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1063),
    [anon_sym_set] = ACTIONS(1063),
  },
  [591] = {
    [sym_string] = STATE(1005),
    [sym_decorator] = STATE(631),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [aux_sym_export_statement_repeat1] = STATE(605),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_export] = ACTIONS(2011),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_class] = ACTIONS(2013),
    [anon_sym_async] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1047),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(2015),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
  },
  [592] = {
    [sym_string] = STATE(1005),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_COMMA] = ACTIONS(2009),
    [anon_sym_RBRACE] = ACTIONS(2009),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1047),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
  },
  [593] = {
    [sym_string] = STATE(1005),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [aux_sym_object_repeat1] = STATE(855),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1047),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1063),
    [anon_sym_set] = ACTIONS(1063),
  },
  [594] = {
    [sym_string] = STATE(1019),
    [sym__property_name] = STATE(1019),
    [sym_computed_property_name] = STATE(1019),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_SEMI] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2019),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(2021),
    [anon_sym_set] = ACTIONS(2021),
    [sym__automatic_semicolon] = ACTIONS(1981),
  },
  [595] = {
    [sym_string] = STATE(1005),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_SEMI] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1047),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
    [sym__automatic_semicolon] = ACTIONS(1981),
  },
  [596] = {
    [sym_string] = STATE(1005),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(2009),
    [anon_sym_RBRACE] = ACTIONS(2009),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1047),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1063),
    [anon_sym_set] = ACTIONS(1063),
  },
  [597] = {
    [sym_string] = STATE(699),
    [sym__property_name] = STATE(699),
    [sym_computed_property_name] = STATE(699),
    [sym_identifier] = ACTIONS(1923),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_SEMI] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1927),
    [anon_sym_async] = ACTIONS(2023),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2025),
    [anon_sym_static] = ACTIONS(1923),
    [anon_sym_get] = ACTIONS(2027),
    [anon_sym_set] = ACTIONS(2027),
    [sym__automatic_semicolon] = ACTIONS(1981),
  },
  [598] = {
    [sym_arguments] = STATE(630),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_export] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(2031),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(2031),
    [anon_sym_DOT] = ACTIONS(2033),
    [anon_sym_class] = ACTIONS(2029),
    [anon_sym_async] = ACTIONS(2029),
    [anon_sym_DQUOTE] = ACTIONS(2031),
    [anon_sym_SQUOTE] = ACTIONS(2031),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2031),
    [anon_sym_AT] = ACTIONS(2031),
    [anon_sym_static] = ACTIONS(2029),
    [anon_sym_get] = ACTIONS(2029),
    [anon_sym_set] = ACTIONS(2029),
  },
  [599] = {
    [sym__declaration] = STATE(212),
    [sym_variable_declaration] = STATE(212),
    [sym_lexical_declaration] = STATE(212),
    [sym_class_declaration] = STATE(212),
    [sym_function_declaration] = STATE(212),
    [sym_generator_function_declaration] = STATE(212),
    [sym_decorator] = STATE(631),
    [aux_sym_export_statement_repeat1] = STATE(795),
    [anon_sym_default] = ACTIONS(2035),
    [anon_sym_var] = ACTIONS(1993),
    [anon_sym_let] = ACTIONS(1995),
    [anon_sym_const] = ACTIONS(1995),
    [anon_sym_class] = ACTIONS(1997),
    [anon_sym_async] = ACTIONS(1999),
    [anon_sym_function] = ACTIONS(2001),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(87),
  },
  [600] = {
    [sym__declaration] = STATE(212),
    [sym_variable_declaration] = STATE(212),
    [sym_lexical_declaration] = STATE(212),
    [sym_class_declaration] = STATE(212),
    [sym_function_declaration] = STATE(212),
    [sym_generator_function_declaration] = STATE(212),
    [sym_decorator] = STATE(631),
    [aux_sym_export_statement_repeat1] = STATE(779),
    [anon_sym_default] = ACTIONS(2035),
    [anon_sym_var] = ACTIONS(1993),
    [anon_sym_let] = ACTIONS(1995),
    [anon_sym_const] = ACTIONS(1995),
    [anon_sym_class] = ACTIONS(2003),
    [anon_sym_async] = ACTIONS(2005),
    [anon_sym_function] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(87),
  },
  [601] = {
    [sym_string] = STATE(1005),
    [sym_decorator] = STATE(631),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [aux_sym_export_statement_repeat1] = STATE(605),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1047),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(2015),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
  },
  [602] = {
    [sym_arguments] = STATE(623),
    [sym_identifier] = ACTIONS(2037),
    [anon_sym_export] = ACTIONS(2037),
    [anon_sym_STAR] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(2039),
    [anon_sym_DOT] = ACTIONS(2041),
    [anon_sym_class] = ACTIONS(2037),
    [anon_sym_async] = ACTIONS(2037),
    [anon_sym_DQUOTE] = ACTIONS(2039),
    [anon_sym_SQUOTE] = ACTIONS(2039),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2039),
    [anon_sym_AT] = ACTIONS(2039),
    [anon_sym_static] = ACTIONS(2037),
    [anon_sym_get] = ACTIONS(2037),
    [anon_sym_set] = ACTIONS(2037),
  },
  [603] = {
    [sym_string] = STATE(1019),
    [sym__property_name] = STATE(1019),
    [sym_computed_property_name] = STATE(1019),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_SEMI] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2019),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1063),
    [anon_sym_set] = ACTIONS(1063),
    [sym__automatic_semicolon] = ACTIONS(1981),
  },
  [604] = {
    [sym_string] = STATE(1005),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_SEMI] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1047),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1063),
    [anon_sym_set] = ACTIONS(1063),
    [sym__automatic_semicolon] = ACTIONS(1981),
  },
  [605] = {
    [sym_decorator] = STATE(631),
    [aux_sym_export_statement_repeat1] = STATE(605),
    [sym_identifier] = ACTIONS(2043),
    [anon_sym_export] = ACTIONS(2043),
    [anon_sym_STAR] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2043),
    [anon_sym_async] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2047),
    [anon_sym_static] = ACTIONS(2043),
    [anon_sym_get] = ACTIONS(2043),
    [anon_sym_set] = ACTIONS(2043),
  },
  [606] = {
    [sym_identifier] = ACTIONS(2050),
    [anon_sym_export] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [anon_sym_LBRACK] = ACTIONS(2052),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_class] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
    [anon_sym_DQUOTE] = ACTIONS(2052),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2052),
    [anon_sym_static] = ACTIONS(2050),
    [anon_sym_get] = ACTIONS(2050),
    [anon_sym_set] = ACTIONS(2050),
  },
  [607] = {
    [sym_identifier] = ACTIONS(2054),
    [anon_sym_export] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(2056),
    [anon_sym_LPAREN] = ACTIONS(2056),
    [anon_sym_LBRACK] = ACTIONS(2056),
    [anon_sym_DOT] = ACTIONS(2054),
    [anon_sym_class] = ACTIONS(2054),
    [anon_sym_async] = ACTIONS(2054),
    [anon_sym_DQUOTE] = ACTIONS(2056),
    [anon_sym_SQUOTE] = ACTIONS(2056),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2056),
    [anon_sym_AT] = ACTIONS(2056),
    [anon_sym_static] = ACTIONS(2054),
    [anon_sym_get] = ACTIONS(2054),
    [anon_sym_set] = ACTIONS(2054),
  },
  [608] = {
    [sym_identifier] = ACTIONS(2058),
    [anon_sym_STAR] = ACTIONS(2060),
    [anon_sym_COMMA] = ACTIONS(2060),
    [anon_sym_RBRACE] = ACTIONS(2060),
    [anon_sym_SEMI] = ACTIONS(2060),
    [anon_sym_LBRACK] = ACTIONS(2060),
    [anon_sym_async] = ACTIONS(2058),
    [anon_sym_DQUOTE] = ACTIONS(2060),
    [anon_sym_SQUOTE] = ACTIONS(2060),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2060),
    [anon_sym_AT] = ACTIONS(2060),
    [anon_sym_static] = ACTIONS(2058),
    [anon_sym_get] = ACTIONS(2058),
    [anon_sym_set] = ACTIONS(2058),
  },
  [609] = {
    [sym_identifier] = ACTIONS(2062),
    [anon_sym_STAR] = ACTIONS(2064),
    [anon_sym_COMMA] = ACTIONS(2064),
    [anon_sym_RBRACE] = ACTIONS(2064),
    [anon_sym_SEMI] = ACTIONS(2064),
    [anon_sym_LBRACK] = ACTIONS(2064),
    [anon_sym_async] = ACTIONS(2062),
    [anon_sym_DQUOTE] = ACTIONS(2064),
    [anon_sym_SQUOTE] = ACTIONS(2064),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2064),
    [anon_sym_AT] = ACTIONS(2064),
    [anon_sym_static] = ACTIONS(2062),
    [anon_sym_get] = ACTIONS(2062),
    [anon_sym_set] = ACTIONS(2062),
  },
  [610] = {
    [sym_string] = STATE(1019),
    [sym__property_name] = STATE(1019),
    [sym_computed_property_name] = STATE(1019),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_EQ_GT] = ACTIONS(2066),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2019),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1063),
    [anon_sym_set] = ACTIONS(1063),
  },
  [611] = {
    [sym_identifier] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(2070),
    [anon_sym_COMMA] = ACTIONS(2070),
    [anon_sym_RBRACE] = ACTIONS(2070),
    [anon_sym_SEMI] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2070),
    [anon_sym_async] = ACTIONS(2068),
    [anon_sym_DQUOTE] = ACTIONS(2070),
    [anon_sym_SQUOTE] = ACTIONS(2070),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2070),
    [anon_sym_AT] = ACTIONS(2070),
    [anon_sym_static] = ACTIONS(2068),
    [anon_sym_get] = ACTIONS(2068),
    [anon_sym_set] = ACTIONS(2068),
  },
  [612] = {
    [sym_string] = STATE(1019),
    [sym__property_name] = STATE(1019),
    [sym_computed_property_name] = STATE(1019),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2019),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(2021),
    [anon_sym_set] = ACTIONS(2021),
  },
  [613] = {
    [sym_identifier] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_COMMA] = ACTIONS(2074),
    [anon_sym_RBRACE] = ACTIONS(2074),
    [anon_sym_SEMI] = ACTIONS(2074),
    [anon_sym_LBRACK] = ACTIONS(2074),
    [anon_sym_async] = ACTIONS(2072),
    [anon_sym_DQUOTE] = ACTIONS(2074),
    [anon_sym_SQUOTE] = ACTIONS(2074),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2074),
    [anon_sym_AT] = ACTIONS(2074),
    [anon_sym_static] = ACTIONS(2072),
    [anon_sym_get] = ACTIONS(2072),
    [anon_sym_set] = ACTIONS(2072),
  },
  [614] = {
    [sym_string] = STATE(934),
    [sym__property_name] = STATE(934),
    [sym_computed_property_name] = STATE(934),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(2076),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2078),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(2080),
    [anon_sym_set] = ACTIONS(2080),
  },
  [615] = {
    [sym_identifier] = ACTIONS(2082),
    [anon_sym_STAR] = ACTIONS(2084),
    [anon_sym_COMMA] = ACTIONS(2084),
    [anon_sym_RBRACE] = ACTIONS(2084),
    [anon_sym_SEMI] = ACTIONS(2084),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_async] = ACTIONS(2082),
    [anon_sym_DQUOTE] = ACTIONS(2084),
    [anon_sym_SQUOTE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2084),
    [anon_sym_AT] = ACTIONS(2084),
    [anon_sym_static] = ACTIONS(2082),
    [anon_sym_get] = ACTIONS(2082),
    [anon_sym_set] = ACTIONS(2082),
  },
  [616] = {
    [sym_string] = STATE(1019),
    [sym__property_name] = STATE(1019),
    [sym_computed_property_name] = STATE(1019),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(2086),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2019),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(2021),
    [anon_sym_set] = ACTIONS(2021),
  },
  [617] = {
    [sym_object] = STATE(848),
    [sym_assignment_pattern] = STATE(958),
    [sym_array] = STATE(849),
    [sym_rest_parameter] = STATE(958),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_RPAREN] = ACTIONS(2090),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_async] = ACTIONS(2092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2092),
    [anon_sym_get] = ACTIONS(2092),
    [anon_sym_set] = ACTIONS(2092),
  },
  [618] = {
    [sym_object] = STATE(848),
    [sym_assignment_pattern] = STATE(958),
    [sym_array] = STATE(849),
    [sym_rest_parameter] = STATE(958),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_RPAREN] = ACTIONS(2094),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_async] = ACTIONS(2092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2092),
    [anon_sym_get] = ACTIONS(2092),
    [anon_sym_set] = ACTIONS(2092),
  },
  [619] = {
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_export] = ACTIONS(2029),
    [anon_sym_STAR] = ACTIONS(2031),
    [anon_sym_LBRACK] = ACTIONS(2031),
    [anon_sym_class] = ACTIONS(2029),
    [anon_sym_async] = ACTIONS(2029),
    [anon_sym_DQUOTE] = ACTIONS(2031),
    [anon_sym_SQUOTE] = ACTIONS(2031),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2031),
    [anon_sym_AT] = ACTIONS(2031),
    [anon_sym_static] = ACTIONS(2029),
    [anon_sym_get] = ACTIONS(2029),
    [anon_sym_set] = ACTIONS(2029),
  },
  [620] = {
    [sym_object] = STATE(760),
    [sym_assignment_pattern] = STATE(835),
    [sym_array] = STATE(761),
    [sym_rest_parameter] = STATE(835),
    [sym_identifier] = ACTIONS(2096),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_RPAREN] = ACTIONS(524),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_async] = ACTIONS(2098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2098),
    [anon_sym_get] = ACTIONS(2098),
    [anon_sym_set] = ACTIONS(2098),
  },
  [621] = {
    [sym_string] = STATE(1018),
    [sym__property_name] = STATE(1018),
    [sym_computed_property_name] = STATE(1018),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2100),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1063),
    [anon_sym_set] = ACTIONS(1063),
  },
  [622] = {
    [sym_object] = STATE(848),
    [sym_assignment_pattern] = STATE(958),
    [sym_array] = STATE(849),
    [sym_rest_parameter] = STATE(958),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_RPAREN] = ACTIONS(2102),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_async] = ACTIONS(2092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2092),
    [anon_sym_get] = ACTIONS(2092),
    [anon_sym_set] = ACTIONS(2092),
  },
  [623] = {
    [sym_identifier] = ACTIONS(2104),
    [anon_sym_export] = ACTIONS(2104),
    [anon_sym_STAR] = ACTIONS(2106),
    [anon_sym_LBRACK] = ACTIONS(2106),
    [anon_sym_class] = ACTIONS(2104),
    [anon_sym_async] = ACTIONS(2104),
    [anon_sym_DQUOTE] = ACTIONS(2106),
    [anon_sym_SQUOTE] = ACTIONS(2106),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2106),
    [anon_sym_AT] = ACTIONS(2106),
    [anon_sym_static] = ACTIONS(2104),
    [anon_sym_get] = ACTIONS(2104),
    [anon_sym_set] = ACTIONS(2104),
  },
  [624] = {
    [sym_object] = STATE(848),
    [sym_assignment_pattern] = STATE(958),
    [sym_array] = STATE(849),
    [sym_rest_parameter] = STATE(958),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_RPAREN] = ACTIONS(2108),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_async] = ACTIONS(2092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2092),
    [anon_sym_get] = ACTIONS(2092),
    [anon_sym_set] = ACTIONS(2092),
  },
  [625] = {
    [sym_string] = STATE(1019),
    [sym__property_name] = STATE(1019),
    [sym_computed_property_name] = STATE(1019),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2019),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1063),
    [anon_sym_set] = ACTIONS(1063),
  },
  [626] = {
    [sym_object] = STATE(848),
    [sym_assignment_pattern] = STATE(958),
    [sym_array] = STATE(849),
    [sym_rest_parameter] = STATE(958),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_RPAREN] = ACTIONS(2110),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_async] = ACTIONS(2092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2092),
    [anon_sym_get] = ACTIONS(2092),
    [anon_sym_set] = ACTIONS(2092),
  },
  [627] = {
    [sym_object] = STATE(848),
    [sym_assignment_pattern] = STATE(958),
    [sym_array] = STATE(849),
    [sym_rest_parameter] = STATE(958),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_RPAREN] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_async] = ACTIONS(2092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2092),
    [anon_sym_get] = ACTIONS(2092),
    [anon_sym_set] = ACTIONS(2092),
  },
  [628] = {
    [sym_identifier] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_RBRACE] = ACTIONS(2116),
    [anon_sym_SEMI] = ACTIONS(2118),
    [anon_sym_LBRACK] = ACTIONS(2116),
    [anon_sym_async] = ACTIONS(2114),
    [anon_sym_DQUOTE] = ACTIONS(2116),
    [anon_sym_SQUOTE] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2116),
    [anon_sym_AT] = ACTIONS(2116),
    [anon_sym_static] = ACTIONS(2114),
    [anon_sym_get] = ACTIONS(2114),
    [anon_sym_set] = ACTIONS(2114),
  },
  [629] = {
    [sym_string] = STATE(934),
    [sym__property_name] = STATE(934),
    [sym_computed_property_name] = STATE(934),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2078),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1063),
    [anon_sym_set] = ACTIONS(1063),
  },
  [630] = {
    [sym_identifier] = ACTIONS(2120),
    [anon_sym_export] = ACTIONS(2120),
    [anon_sym_STAR] = ACTIONS(2122),
    [anon_sym_LBRACK] = ACTIONS(2122),
    [anon_sym_class] = ACTIONS(2120),
    [anon_sym_async] = ACTIONS(2120),
    [anon_sym_DQUOTE] = ACTIONS(2122),
    [anon_sym_SQUOTE] = ACTIONS(2122),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2122),
    [anon_sym_AT] = ACTIONS(2122),
    [anon_sym_static] = ACTIONS(2120),
    [anon_sym_get] = ACTIONS(2120),
    [anon_sym_set] = ACTIONS(2120),
  },
  [631] = {
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_STAR] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2126),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2126),
    [anon_sym_SQUOTE] = ACTIONS(2126),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2126),
    [anon_sym_AT] = ACTIONS(2126),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
  },
  [632] = {
    [sym_object] = STATE(848),
    [sym_assignment_pattern] = STATE(958),
    [sym_array] = STATE(849),
    [sym_rest_parameter] = STATE(958),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_RPAREN] = ACTIONS(2128),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_async] = ACTIONS(2092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2092),
    [anon_sym_get] = ACTIONS(2092),
    [anon_sym_set] = ACTIONS(2092),
  },
  [633] = {
    [sym_object] = STATE(848),
    [sym_assignment_pattern] = STATE(958),
    [sym_array] = STATE(849),
    [sym_rest_parameter] = STATE(958),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_RPAREN] = ACTIONS(2130),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_async] = ACTIONS(2092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2092),
    [anon_sym_get] = ACTIONS(2092),
    [anon_sym_set] = ACTIONS(2092),
  },
  [634] = {
    [sym_string] = STATE(1018),
    [sym__property_name] = STATE(1018),
    [sym_computed_property_name] = STATE(1018),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2100),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1063),
    [anon_sym_set] = ACTIONS(1063),
  },
  [635] = {
    [sym_string] = STATE(1005),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(1047),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1063),
    [anon_sym_set] = ACTIONS(1063),
  },
  [636] = {
    [sym_object] = STATE(848),
    [sym_assignment_pattern] = STATE(958),
    [sym_array] = STATE(849),
    [sym_rest_parameter] = STATE(958),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_async] = ACTIONS(2092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2092),
    [anon_sym_get] = ACTIONS(2092),
    [anon_sym_set] = ACTIONS(2092),
  },
  [637] = {
    [sym_string] = STATE(1019),
    [sym__property_name] = STATE(1019),
    [sym_computed_property_name] = STATE(1019),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2019),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1063),
    [anon_sym_set] = ACTIONS(1063),
  },
  [638] = {
    [sym_identifier] = ACTIONS(2132),
    [anon_sym_STAR] = ACTIONS(2134),
    [anon_sym_RBRACE] = ACTIONS(2134),
    [anon_sym_LBRACK] = ACTIONS(2134),
    [anon_sym_async] = ACTIONS(2132),
    [anon_sym_DQUOTE] = ACTIONS(2134),
    [anon_sym_SQUOTE] = ACTIONS(2134),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2134),
    [anon_sym_AT] = ACTIONS(2134),
    [anon_sym_static] = ACTIONS(2132),
    [anon_sym_get] = ACTIONS(2132),
    [anon_sym_set] = ACTIONS(2132),
  },
  [639] = {
    [sym_string] = STATE(934),
    [sym__property_name] = STATE(934),
    [sym_computed_property_name] = STATE(934),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2078),
    [anon_sym_static] = ACTIONS(1063),
    [anon_sym_get] = ACTIONS(1063),
    [anon_sym_set] = ACTIONS(1063),
  },
  [640] = {
    [sym_jsx_expression] = STATE(706),
    [sym_jsx_namespace_name] = STATE(700),
    [sym_jsx_attribute] = STATE(706),
    [aux_sym_jsx_opening_element_repeat1] = STATE(670),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_COLON] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2142),
    [anon_sym_SLASH] = ACTIONS(2144),
    [sym_jsx_identifier] = ACTIONS(2146),
    [anon_sym_DOT] = ACTIONS(2148),
    [sym_comment] = ACTIONS(3),
  },
  [641] = {
    [sym_jsx_expression] = STATE(706),
    [sym_jsx_namespace_name] = STATE(700),
    [sym_jsx_attribute] = STATE(706),
    [aux_sym_jsx_opening_element_repeat1] = STATE(662),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_COLON] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2142),
    [anon_sym_SLASH] = ACTIONS(2150),
    [sym_jsx_identifier] = ACTIONS(2146),
    [anon_sym_DOT] = ACTIONS(2148),
    [sym_comment] = ACTIONS(3),
  },
  [642] = {
    [sym_jsx_expression] = STATE(706),
    [sym_jsx_namespace_name] = STATE(700),
    [sym_jsx_attribute] = STATE(706),
    [aux_sym_jsx_opening_element_repeat1] = STATE(660),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_COLON] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2142),
    [anon_sym_SLASH] = ACTIONS(2152),
    [sym_jsx_identifier] = ACTIONS(2146),
    [anon_sym_DOT] = ACTIONS(2148),
    [sym_comment] = ACTIONS(3),
  },
  [643] = {
    [sym_jsx_expression] = STATE(706),
    [sym_jsx_namespace_name] = STATE(700),
    [sym_jsx_attribute] = STATE(706),
    [aux_sym_jsx_opening_element_repeat1] = STATE(658),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_COLON] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2142),
    [anon_sym_SLASH] = ACTIONS(2154),
    [sym_jsx_identifier] = ACTIONS(2146),
    [anon_sym_DOT] = ACTIONS(2148),
    [sym_comment] = ACTIONS(3),
  },
  [644] = {
    [sym_jsx_expression] = STATE(706),
    [sym_jsx_namespace_name] = STATE(700),
    [sym_jsx_attribute] = STATE(706),
    [aux_sym_jsx_opening_element_repeat1] = STATE(658),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2142),
    [anon_sym_SLASH] = ACTIONS(2154),
    [sym_jsx_identifier] = ACTIONS(2146),
    [anon_sym_DOT] = ACTIONS(2148),
    [sym_comment] = ACTIONS(3),
  },
  [645] = {
    [sym_jsx_expression] = STATE(706),
    [sym_jsx_namespace_name] = STATE(700),
    [sym_jsx_attribute] = STATE(706),
    [aux_sym_jsx_opening_element_repeat1] = STATE(662),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_COLON] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2142),
    [anon_sym_SLASH] = ACTIONS(2150),
    [sym_jsx_identifier] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
  },
  [646] = {
    [sym_jsx_expression] = STATE(706),
    [sym_jsx_namespace_name] = STATE(700),
    [sym_jsx_attribute] = STATE(706),
    [aux_sym_jsx_opening_element_repeat1] = STATE(670),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2142),
    [anon_sym_SLASH] = ACTIONS(2144),
    [sym_jsx_identifier] = ACTIONS(2146),
    [anon_sym_DOT] = ACTIONS(2148),
    [sym_comment] = ACTIONS(3),
  },
  [647] = {
    [sym_jsx_expression] = STATE(706),
    [sym_jsx_namespace_name] = STATE(700),
    [sym_jsx_attribute] = STATE(706),
    [aux_sym_jsx_opening_element_repeat1] = STATE(660),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2142),
    [anon_sym_SLASH] = ACTIONS(2152),
    [sym_jsx_identifier] = ACTIONS(2146),
    [anon_sym_DOT] = ACTIONS(2148),
    [sym_comment] = ACTIONS(3),
  },
  [648] = {
    [sym_jsx_expression] = STATE(706),
    [sym_jsx_namespace_name] = STATE(700),
    [sym_jsx_attribute] = STATE(706),
    [aux_sym_jsx_opening_element_repeat1] = STATE(658),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_COLON] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2142),
    [anon_sym_SLASH] = ACTIONS(2154),
    [sym_jsx_identifier] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
  },
  [649] = {
    [sym_jsx_expression] = STATE(706),
    [sym_jsx_namespace_name] = STATE(700),
    [sym_jsx_attribute] = STATE(706),
    [aux_sym_jsx_opening_element_repeat1] = STATE(660),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_COLON] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2142),
    [anon_sym_SLASH] = ACTIONS(2152),
    [sym_jsx_identifier] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
  },
  [650] = {
    [sym_jsx_expression] = STATE(706),
    [sym_jsx_namespace_name] = STATE(700),
    [sym_jsx_attribute] = STATE(706),
    [aux_sym_jsx_opening_element_repeat1] = STATE(670),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_COLON] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2142),
    [anon_sym_SLASH] = ACTIONS(2144),
    [sym_jsx_identifier] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
  },
  [651] = {
    [sym_jsx_element] = STATE(738),
    [sym_jsx_fragment] = STATE(738),
    [sym_jsx_expression] = STATE(738),
    [sym_jsx_opening_element] = STATE(666),
    [sym_jsx_self_closing_element] = STATE(738),
    [sym_string] = STATE(738),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2156),
    [anon_sym_DQUOTE] = ACTIONS(2158),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [sym_comment] = ACTIONS(3),
  },
  [652] = {
    [sym_jsx_expression] = STATE(706),
    [sym_jsx_namespace_name] = STATE(700),
    [sym_jsx_attribute] = STATE(706),
    [aux_sym_jsx_opening_element_repeat1] = STATE(662),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2142),
    [anon_sym_SLASH] = ACTIONS(2150),
    [sym_jsx_identifier] = ACTIONS(2146),
    [anon_sym_DOT] = ACTIONS(2148),
    [sym_comment] = ACTIONS(3),
  },
  [653] = {
    [sym_jsx_element] = STATE(739),
    [sym_jsx_fragment] = STATE(739),
    [sym_jsx_expression] = STATE(739),
    [sym_jsx_opening_element] = STATE(666),
    [sym_jsx_self_closing_element] = STATE(739),
    [sym_string] = STATE(739),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2156),
    [anon_sym_DQUOTE] = ACTIONS(2158),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [sym_comment] = ACTIONS(3),
  },
  [654] = {
    [sym_jsx_element] = STATE(675),
    [sym_jsx_expression] = STATE(675),
    [sym_jsx_opening_element] = STATE(667),
    [sym_jsx_closing_element] = STATE(429),
    [sym_jsx_self_closing_element] = STATE(675),
    [aux_sym_jsx_element_repeat1] = STATE(675),
    [anon_sym_LBRACE] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2164),
    [sym_jsx_text] = ACTIONS(2166),
    [sym_comment] = ACTIONS(2168),
  },
  [655] = {
    [sym_jsx_element] = STATE(675),
    [sym_jsx_expression] = STATE(675),
    [sym_jsx_opening_element] = STATE(667),
    [sym_jsx_closing_element] = STATE(510),
    [sym_jsx_self_closing_element] = STATE(675),
    [aux_sym_jsx_element_repeat1] = STATE(675),
    [anon_sym_LBRACE] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2170),
    [sym_jsx_text] = ACTIONS(2166),
    [sym_comment] = ACTIONS(2168),
  },
  [656] = {
    [sym_jsx_expression] = STATE(706),
    [sym_jsx_namespace_name] = STATE(700),
    [sym_jsx_attribute] = STATE(706),
    [aux_sym_jsx_opening_element_repeat1] = STATE(670),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2142),
    [anon_sym_SLASH] = ACTIONS(2144),
    [sym_jsx_identifier] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
  },
  [657] = {
    [sym_jsx_expression] = STATE(706),
    [sym_jsx_namespace_name] = STATE(700),
    [sym_jsx_attribute] = STATE(706),
    [aux_sym_jsx_opening_element_repeat1] = STATE(662),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2142),
    [anon_sym_SLASH] = ACTIONS(2150),
    [sym_jsx_identifier] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
  },
  [658] = {
    [sym_jsx_expression] = STATE(706),
    [sym_jsx_namespace_name] = STATE(700),
    [sym_jsx_attribute] = STATE(706),
    [aux_sym_jsx_opening_element_repeat1] = STATE(668),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2172),
    [anon_sym_SLASH] = ACTIONS(2174),
    [sym_jsx_identifier] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
  },
  [659] = {
    [sym_jsx_element] = STATE(675),
    [sym_jsx_expression] = STATE(675),
    [sym_jsx_opening_element] = STATE(667),
    [sym_jsx_closing_element] = STATE(867),
    [sym_jsx_self_closing_element] = STATE(675),
    [aux_sym_jsx_element_repeat1] = STATE(675),
    [anon_sym_LBRACE] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2176),
    [sym_jsx_text] = ACTIONS(2166),
    [sym_comment] = ACTIONS(2168),
  },
  [660] = {
    [sym_jsx_expression] = STATE(706),
    [sym_jsx_namespace_name] = STATE(700),
    [sym_jsx_attribute] = STATE(706),
    [aux_sym_jsx_opening_element_repeat1] = STATE(668),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2172),
    [anon_sym_SLASH] = ACTIONS(2178),
    [sym_jsx_identifier] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
  },
  [661] = {
    [sym_jsx_element] = STATE(654),
    [sym_jsx_expression] = STATE(654),
    [sym_jsx_opening_element] = STATE(667),
    [sym_jsx_closing_element] = STATE(380),
    [sym_jsx_self_closing_element] = STATE(654),
    [aux_sym_jsx_element_repeat1] = STATE(654),
    [anon_sym_LBRACE] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2164),
    [sym_jsx_text] = ACTIONS(2180),
    [sym_comment] = ACTIONS(2168),
  },
  [662] = {
    [sym_jsx_expression] = STATE(706),
    [sym_jsx_namespace_name] = STATE(700),
    [sym_jsx_attribute] = STATE(706),
    [aux_sym_jsx_opening_element_repeat1] = STATE(668),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2172),
    [anon_sym_SLASH] = ACTIONS(2182),
    [sym_jsx_identifier] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
  },
  [663] = {
    [sym_jsx_element] = STATE(675),
    [sym_jsx_expression] = STATE(675),
    [sym_jsx_opening_element] = STATE(667),
    [sym_jsx_closing_element] = STATE(722),
    [sym_jsx_self_closing_element] = STATE(675),
    [aux_sym_jsx_element_repeat1] = STATE(675),
    [anon_sym_LBRACE] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2184),
    [sym_jsx_text] = ACTIONS(2166),
    [sym_comment] = ACTIONS(2168),
  },
  [664] = {
    [sym_jsx_expression] = STATE(706),
    [sym_jsx_namespace_name] = STATE(700),
    [sym_jsx_attribute] = STATE(706),
    [aux_sym_jsx_opening_element_repeat1] = STATE(660),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2142),
    [anon_sym_SLASH] = ACTIONS(2152),
    [sym_jsx_identifier] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
  },
  [665] = {
    [sym_jsx_expression] = STATE(706),
    [sym_jsx_namespace_name] = STATE(700),
    [sym_jsx_attribute] = STATE(706),
    [aux_sym_jsx_opening_element_repeat1] = STATE(658),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2142),
    [anon_sym_SLASH] = ACTIONS(2154),
    [sym_jsx_identifier] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
  },
  [666] = {
    [sym_jsx_element] = STATE(663),
    [sym_jsx_expression] = STATE(663),
    [sym_jsx_opening_element] = STATE(667),
    [sym_jsx_closing_element] = STATE(712),
    [sym_jsx_self_closing_element] = STATE(663),
    [aux_sym_jsx_element_repeat1] = STATE(663),
    [anon_sym_LBRACE] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2184),
    [sym_jsx_text] = ACTIONS(2186),
    [sym_comment] = ACTIONS(2168),
  },
  [667] = {
    [sym_jsx_element] = STATE(659),
    [sym_jsx_expression] = STATE(659),
    [sym_jsx_opening_element] = STATE(667),
    [sym_jsx_closing_element] = STATE(882),
    [sym_jsx_self_closing_element] = STATE(659),
    [aux_sym_jsx_element_repeat1] = STATE(659),
    [anon_sym_LBRACE] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2176),
    [sym_jsx_text] = ACTIONS(2188),
    [sym_comment] = ACTIONS(2168),
  },
  [668] = {
    [sym_jsx_expression] = STATE(706),
    [sym_jsx_namespace_name] = STATE(700),
    [sym_jsx_attribute] = STATE(706),
    [aux_sym_jsx_opening_element_repeat1] = STATE(668),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_GT] = ACTIONS(2196),
    [anon_sym_SLASH] = ACTIONS(2198),
    [sym_jsx_identifier] = ACTIONS(2200),
    [sym_comment] = ACTIONS(3),
  },
  [669] = {
    [sym_jsx_element] = STATE(655),
    [sym_jsx_expression] = STATE(655),
    [sym_jsx_opening_element] = STATE(667),
    [sym_jsx_closing_element] = STATE(495),
    [sym_jsx_self_closing_element] = STATE(655),
    [aux_sym_jsx_element_repeat1] = STATE(655),
    [anon_sym_LBRACE] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2170),
    [sym_jsx_text] = ACTIONS(2203),
    [sym_comment] = ACTIONS(2168),
  },
  [670] = {
    [sym_jsx_expression] = STATE(706),
    [sym_jsx_namespace_name] = STATE(700),
    [sym_jsx_attribute] = STATE(706),
    [aux_sym_jsx_opening_element_repeat1] = STATE(668),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2172),
    [anon_sym_SLASH] = ACTIONS(2205),
    [sym_jsx_identifier] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
  },
  [671] = {
    [sym_jsx_element] = STATE(675),
    [sym_jsx_expression] = STATE(675),
    [sym_jsx_opening_element] = STATE(667),
    [sym_jsx_self_closing_element] = STATE(675),
    [aux_sym_jsx_element_repeat1] = STATE(675),
    [anon_sym_LBRACE] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2207),
    [sym_jsx_text] = ACTIONS(2166),
    [sym_comment] = ACTIONS(2168),
  },
  [672] = {
    [sym_jsx_element] = STATE(673),
    [sym_jsx_expression] = STATE(673),
    [sym_jsx_opening_element] = STATE(667),
    [sym_jsx_self_closing_element] = STATE(673),
    [aux_sym_jsx_element_repeat1] = STATE(673),
    [anon_sym_LBRACE] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2209),
    [sym_jsx_text] = ACTIONS(2211),
    [sym_comment] = ACTIONS(2168),
  },
  [673] = {
    [sym_jsx_element] = STATE(675),
    [sym_jsx_expression] = STATE(675),
    [sym_jsx_opening_element] = STATE(667),
    [sym_jsx_self_closing_element] = STATE(675),
    [aux_sym_jsx_element_repeat1] = STATE(675),
    [anon_sym_LBRACE] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2213),
    [sym_jsx_text] = ACTIONS(2166),
    [sym_comment] = ACTIONS(2168),
  },
  [674] = {
    [sym_jsx_element] = STATE(671),
    [sym_jsx_expression] = STATE(671),
    [sym_jsx_opening_element] = STATE(667),
    [sym_jsx_self_closing_element] = STATE(671),
    [aux_sym_jsx_element_repeat1] = STATE(671),
    [anon_sym_LBRACE] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2215),
    [sym_jsx_text] = ACTIONS(2217),
    [sym_comment] = ACTIONS(2168),
  },
  [675] = {
    [sym_jsx_element] = STATE(675),
    [sym_jsx_expression] = STATE(675),
    [sym_jsx_opening_element] = STATE(667),
    [sym_jsx_self_closing_element] = STATE(675),
    [aux_sym_jsx_element_repeat1] = STATE(675),
    [anon_sym_LBRACE] = ACTIONS(2219),
    [anon_sym_LT] = ACTIONS(2222),
    [sym_jsx_text] = ACTIONS(2225),
    [sym_comment] = ACTIONS(2168),
  },
  [676] = {
    [sym_jsx_element] = STATE(677),
    [sym_jsx_expression] = STATE(677),
    [sym_jsx_opening_element] = STATE(667),
    [sym_jsx_self_closing_element] = STATE(677),
    [aux_sym_jsx_element_repeat1] = STATE(677),
    [anon_sym_LBRACE] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2228),
    [sym_jsx_text] = ACTIONS(2230),
    [sym_comment] = ACTIONS(2168),
  },
  [677] = {
    [sym_jsx_element] = STATE(675),
    [sym_jsx_expression] = STATE(675),
    [sym_jsx_opening_element] = STATE(667),
    [sym_jsx_self_closing_element] = STATE(675),
    [aux_sym_jsx_element_repeat1] = STATE(675),
    [anon_sym_LBRACE] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2232),
    [sym_jsx_text] = ACTIONS(2166),
    [sym_comment] = ACTIONS(2168),
  },
  [678] = {
    [sym_decorator_member_expression] = STATE(598),
    [sym_decorator_call_expression] = STATE(619),
    [sym_identifier] = ACTIONS(2234),
    [anon_sym_async] = ACTIONS(2236),
    [sym_comment] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(2236),
    [anon_sym_get] = ACTIONS(2236),
    [anon_sym_set] = ACTIONS(2236),
  },
  [679] = {
    [sym_identifier] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2240),
    [anon_sym_COLON] = ACTIONS(2140),
    [anon_sym_EQ] = ACTIONS(2242),
    [anon_sym_GT] = ACTIONS(2240),
    [anon_sym_SLASH] = ACTIONS(2238),
    [sym_jsx_identifier] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
  },
  [680] = {
    [aux_sym_object_repeat1] = STATE(851),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1983),
    [sym_comment] = ACTIONS(3),
  },
  [681] = {
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_GT] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2244),
    [sym_jsx_identifier] = ACTIONS(2246),
    [anon_sym_DOT] = ACTIONS(2246),
    [sym_comment] = ACTIONS(3),
  },
  [682] = {
    [sym__initializer] = STATE(915),
    [sym_formal_parameters] = STATE(922),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [anon_sym_SEMI] = ACTIONS(2250),
    [anon_sym_EQ] = ACTIONS(2252),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2250),
  },
  [683] = {
    [sym_switch_case] = STATE(683),
    [sym_switch_default] = STATE(683),
    [aux_sym_switch_body_repeat1] = STATE(683),
    [anon_sym_default] = ACTIONS(2254),
    [anon_sym_RBRACE] = ACTIONS(2257),
    [anon_sym_case] = ACTIONS(2259),
    [sym_comment] = ACTIONS(3),
  },
  [684] = {
    [sym_template_substitution] = STATE(696),
    [aux_sym_template_string_repeat1] = STATE(696),
    [sym_escape_sequence] = ACTIONS(2262),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2264),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(2266),
    [sym__template_chars] = ACTIONS(2262),
  },
  [685] = {
    [aux_sym_object_repeat1] = STATE(855),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1983),
    [sym_comment] = ACTIONS(3),
  },
  [686] = {
    [sym_template_substitution] = STATE(696),
    [aux_sym_template_string_repeat1] = STATE(696),
    [sym_escape_sequence] = ACTIONS(2262),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2268),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(2266),
    [sym__template_chars] = ACTIONS(2262),
  },
  [687] = {
    [sym_switch_case] = STATE(683),
    [sym_switch_default] = STATE(683),
    [aux_sym_switch_body_repeat1] = STATE(683),
    [anon_sym_default] = ACTIONS(2270),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_case] = ACTIONS(2274),
    [sym_comment] = ACTIONS(3),
  },
  [688] = {
    [sym_template_substitution] = STATE(686),
    [aux_sym_template_string_repeat1] = STATE(686),
    [sym_escape_sequence] = ACTIONS(2276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2278),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(2266),
    [sym__template_chars] = ACTIONS(2276),
  },
  [689] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_DOT] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [690] = {
    [sym_variable_declarator] = STATE(787),
    [sym_object] = STATE(733),
    [sym_array] = STATE(736),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_LBRACK] = ACTIONS(53),
    [sym_comment] = ACTIONS(3),
  },
  [691] = {
    [sym_template_string] = STATE(498),
    [sym_arguments] = STATE(498),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1611),
    [anon_sym_DOT] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
  },
  [692] = {
    [sym_switch_case] = STATE(687),
    [sym_switch_default] = STATE(687),
    [aux_sym_switch_body_repeat1] = STATE(687),
    [anon_sym_default] = ACTIONS(2270),
    [anon_sym_RBRACE] = ACTIONS(2282),
    [anon_sym_case] = ACTIONS(2274),
    [sym_comment] = ACTIONS(3),
  },
  [693] = {
    [sym_identifier] = ACTIONS(2284),
    [anon_sym_LBRACE] = ACTIONS(2286),
    [anon_sym_EQ] = ACTIONS(2286),
    [anon_sym_GT] = ACTIONS(2286),
    [anon_sym_SLASH] = ACTIONS(2284),
    [sym_jsx_identifier] = ACTIONS(2286),
    [sym_comment] = ACTIONS(3),
  },
  [694] = {
    [sym_variable_declarator] = STATE(791),
    [sym_object] = STATE(733),
    [sym_array] = STATE(736),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_LBRACK] = ACTIONS(53),
    [sym_comment] = ACTIONS(3),
  },
  [695] = {
    [sym_template_string] = STATE(366),
    [sym_arguments] = STATE(366),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1473),
    [anon_sym_DOT] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
  },
  [696] = {
    [sym_template_substitution] = STATE(696),
    [aux_sym_template_string_repeat1] = STATE(696),
    [sym_escape_sequence] = ACTIONS(2288),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2291),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(2293),
    [sym__template_chars] = ACTIONS(2288),
  },
  [697] = {
    [sym_template_substitution] = STATE(684),
    [aux_sym_template_string_repeat1] = STATE(684),
    [sym_escape_sequence] = ACTIONS(2296),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2298),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(2266),
    [sym__template_chars] = ACTIONS(2296),
  },
  [698] = {
    [sym_variable_declarator] = STATE(827),
    [sym_object] = STATE(733),
    [sym_array] = STATE(736),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_LBRACK] = ACTIONS(53),
    [sym_comment] = ACTIONS(3),
  },
  [699] = {
    [sym__initializer] = STATE(1008),
    [sym_formal_parameters] = STATE(1028),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [anon_sym_SEMI] = ACTIONS(2300),
    [anon_sym_EQ] = ACTIONS(2252),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2300),
  },
  [700] = {
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2304),
    [anon_sym_EQ] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2304),
    [anon_sym_SLASH] = ACTIONS(2302),
    [sym_jsx_identifier] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
  },
  [701] = {
    [sym_identifier] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1703),
    [anon_sym_SLASH] = ACTIONS(1701),
    [sym_jsx_identifier] = ACTIONS(1703),
    [sym_comment] = ACTIONS(3),
  },
  [702] = {
    [sym_nested_identifier] = STATE(652),
    [sym_jsx_namespace_name] = STATE(657),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_SLASH] = ACTIONS(2310),
    [sym_jsx_identifier] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
  },
  [703] = {
    [sym_identifier] = ACTIONS(1697),
    [anon_sym_LBRACE] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1699),
    [anon_sym_SLASH] = ACTIONS(1697),
    [sym_jsx_identifier] = ACTIONS(1699),
    [sym_comment] = ACTIONS(3),
  },
  [704] = {
    [sym_identifier] = ACTIONS(1729),
    [anon_sym_LBRACE] = ACTIONS(1731),
    [anon_sym_GT] = ACTIONS(1731),
    [anon_sym_SLASH] = ACTIONS(1729),
    [sym_jsx_identifier] = ACTIONS(1731),
    [sym_comment] = ACTIONS(3),
  },
  [705] = {
    [sym_identifier] = ACTIONS(1709),
    [anon_sym_LBRACE] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [anon_sym_SLASH] = ACTIONS(1709),
    [sym_jsx_identifier] = ACTIONS(1711),
    [sym_comment] = ACTIONS(3),
  },
  [706] = {
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2314),
    [sym_jsx_identifier] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
  },
  [707] = {
    [sym_class_heritage] = STATE(977),
    [sym_class_body] = STATE(393),
    [sym_identifier] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_extends] = ACTIONS(2322),
    [sym_comment] = ACTIONS(3),
  },
  [708] = {
    [sym_nested_identifier] = STATE(647),
    [sym_jsx_namespace_name] = STATE(664),
    [sym_identifier] = ACTIONS(2324),
    [anon_sym_GT] = ACTIONS(2326),
    [sym_jsx_identifier] = ACTIONS(2328),
    [sym_comment] = ACTIONS(3),
  },
  [709] = {
    [sym_decorator] = STATE(631),
    [aux_sym_export_statement_repeat1] = STATE(605),
    [anon_sym_export] = ACTIONS(2330),
    [anon_sym_class] = ACTIONS(2332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(87),
  },
  [710] = {
    [sym_nested_identifier] = STATE(646),
    [sym_jsx_namespace_name] = STATE(656),
    [sym_identifier] = ACTIONS(2334),
    [anon_sym_GT] = ACTIONS(2336),
    [sym_jsx_identifier] = ACTIONS(2338),
    [sym_comment] = ACTIONS(3),
  },
  [711] = {
    [sym_class_heritage] = STATE(933),
    [sym_class_body] = STATE(557),
    [sym_identifier] = ACTIONS(2340),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_extends] = ACTIONS(2322),
    [sym_comment] = ACTIONS(3),
  },
  [712] = {
    [sym_identifier] = ACTIONS(1637),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_GT] = ACTIONS(1639),
    [anon_sym_SLASH] = ACTIONS(1637),
    [sym_jsx_identifier] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
  },
  [713] = {
    [sym_class_heritage] = STATE(933),
    [sym_class_body] = STATE(557),
    [sym_identifier] = ACTIONS(2344),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_extends] = ACTIONS(2322),
    [sym_comment] = ACTIONS(3),
  },
  [714] = {
    [sym_nested_identifier] = STATE(652),
    [sym_jsx_namespace_name] = STATE(657),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_SLASH] = ACTIONS(2346),
    [sym_jsx_identifier] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
  },
  [715] = {
    [sym_identifier] = ACTIONS(1733),
    [anon_sym_LBRACE] = ACTIONS(1735),
    [anon_sym_GT] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1733),
    [sym_jsx_identifier] = ACTIONS(1735),
    [sym_comment] = ACTIONS(3),
  },
  [716] = {
    [sym_nested_identifier] = STATE(652),
    [sym_jsx_namespace_name] = STATE(657),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_SLASH] = ACTIONS(2348),
    [sym_jsx_identifier] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
  },
  [717] = {
    [anon_sym_COMMA] = ACTIONS(2009),
    [anon_sym_RBRACE] = ACTIONS(2009),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1983),
    [sym_comment] = ACTIONS(3),
  },
  [718] = {
    [sym_class_heritage] = STATE(938),
    [sym_class_body] = STATE(364),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_extends] = ACTIONS(2322),
    [sym_comment] = ACTIONS(3),
  },
  [719] = {
    [sym_nested_identifier] = STATE(652),
    [sym_jsx_namespace_name] = STATE(657),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_SLASH] = ACTIONS(2352),
    [sym_jsx_identifier] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
  },
  [720] = {
    [sym_object] = STATE(1102),
    [sym_array] = STATE(1104),
    [sym_identifier] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_LBRACK] = ACTIONS(330),
    [sym_comment] = ACTIONS(3),
  },
  [721] = {
    [sym_nested_identifier] = STATE(652),
    [sym_jsx_namespace_name] = STATE(657),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_SLASH] = ACTIONS(2356),
    [sym_jsx_identifier] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
  },
  [722] = {
    [sym_identifier] = ACTIONS(1691),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_GT] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1691),
    [sym_jsx_identifier] = ACTIONS(1693),
    [sym_comment] = ACTIONS(3),
  },
  [723] = {
    [sym_identifier] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1641),
    [sym_jsx_identifier] = ACTIONS(1643),
    [sym_comment] = ACTIONS(3),
  },
  [724] = {
    [sym_class_heritage] = STATE(933),
    [sym_class_body] = STATE(557),
    [sym_identifier] = ACTIONS(2358),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_extends] = ACTIONS(2322),
    [sym_comment] = ACTIONS(3),
  },
  [725] = {
    [sym_decorator] = STATE(631),
    [aux_sym_export_statement_repeat1] = STATE(605),
    [anon_sym_export] = ACTIONS(2360),
    [anon_sym_class] = ACTIONS(2362),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(87),
  },
  [726] = {
    [sym_nested_identifier] = STATE(652),
    [sym_jsx_namespace_name] = STATE(657),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_SLASH] = ACTIONS(2364),
    [sym_jsx_identifier] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
  },
  [727] = {
    [sym_nested_identifier] = STATE(644),
    [sym_jsx_namespace_name] = STATE(665),
    [sym_identifier] = ACTIONS(2366),
    [anon_sym_GT] = ACTIONS(2368),
    [sym_jsx_identifier] = ACTIONS(2370),
    [sym_comment] = ACTIONS(3),
  },
  [728] = {
    [sym_object] = STATE(949),
    [sym_array] = STATE(923),
    [sym_identifier] = ACTIONS(2372),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_LBRACK] = ACTIONS(330),
    [sym_comment] = ACTIONS(3),
  },
  [729] = {
    [sym_identifier] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1593),
    [anon_sym_GT] = ACTIONS(1593),
    [anon_sym_SLASH] = ACTIONS(1591),
    [sym_jsx_identifier] = ACTIONS(1593),
    [sym_comment] = ACTIONS(3),
  },
  [730] = {
    [sym_identifier] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_GT] = ACTIONS(2376),
    [anon_sym_SLASH] = ACTIONS(2374),
    [sym_jsx_identifier] = ACTIONS(2376),
    [sym_comment] = ACTIONS(3),
  },
  [731] = {
    [sym_nested_identifier] = STATE(652),
    [sym_jsx_namespace_name] = STATE(657),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_SLASH] = ACTIONS(2378),
    [sym_jsx_identifier] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
  },
  [732] = {
    [sym__initializer] = STATE(823),
    [anon_sym_COMMA] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(2252),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1416),
  },
  [733] = {
    [sym__initializer] = STATE(824),
    [anon_sym_COMMA] = ACTIONS(1660),
    [anon_sym_SEMI] = ACTIONS(1660),
    [anon_sym_EQ] = ACTIONS(2252),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1660),
  },
  [734] = {
    [sym_nested_identifier] = STATE(652),
    [sym_jsx_namespace_name] = STATE(657),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_SLASH] = ACTIONS(2380),
    [sym_jsx_identifier] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
  },
  [735] = {
    [sym_class_heritage] = STATE(953),
    [sym_class_body] = STATE(504),
    [sym_identifier] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_extends] = ACTIONS(2322),
    [sym_comment] = ACTIONS(3),
  },
  [736] = {
    [sym__initializer] = STATE(826),
    [anon_sym_COMMA] = ACTIONS(1651),
    [anon_sym_SEMI] = ACTIONS(1651),
    [anon_sym_EQ] = ACTIONS(2252),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1651),
  },
  [737] = {
    [sym_class_heritage] = STATE(953),
    [sym_class_body] = STATE(504),
    [sym_identifier] = ACTIONS(2384),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_extends] = ACTIONS(2322),
    [sym_comment] = ACTIONS(3),
  },
  [738] = {
    [sym_identifier] = ACTIONS(2386),
    [anon_sym_LBRACE] = ACTIONS(2388),
    [anon_sym_GT] = ACTIONS(2388),
    [anon_sym_SLASH] = ACTIONS(2386),
    [sym_jsx_identifier] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
  },
  [739] = {
    [sym_identifier] = ACTIONS(2390),
    [anon_sym_LBRACE] = ACTIONS(2392),
    [anon_sym_GT] = ACTIONS(2392),
    [anon_sym_SLASH] = ACTIONS(2390),
    [sym_jsx_identifier] = ACTIONS(2392),
    [sym_comment] = ACTIONS(3),
  },
  [740] = {
    [sym_nested_identifier] = STATE(652),
    [sym_jsx_namespace_name] = STATE(657),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_SLASH] = ACTIONS(2394),
    [sym_jsx_identifier] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
  },
  [741] = {
    [sym_nested_identifier] = STATE(652),
    [sym_jsx_namespace_name] = STATE(657),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_SLASH] = ACTIONS(2396),
    [sym_jsx_identifier] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
  },
  [742] = {
    [sym_class_heritage] = STATE(953),
    [sym_class_body] = STATE(504),
    [sym_identifier] = ACTIONS(2398),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_extends] = ACTIONS(2322),
    [sym_comment] = ACTIONS(3),
  },
  [743] = {
    [sym_identifier] = ACTIONS(2400),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_GT] = ACTIONS(2402),
    [anon_sym_SLASH] = ACTIONS(2400),
    [sym_jsx_identifier] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
  },
  [744] = {
    [sym_class_heritage] = STATE(888),
    [sym_class_body] = STATE(474),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_extends] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
  },
  [745] = {
    [sym_nested_identifier] = STATE(1022),
    [sym_jsx_namespace_name] = STATE(1057),
    [sym_identifier] = ACTIONS(2406),
    [sym_jsx_identifier] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
  },
  [746] = {
    [sym_decorator] = STATE(631),
    [aux_sym_export_statement_repeat1] = STATE(605),
    [anon_sym_class] = ACTIONS(2410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(87),
  },
  [747] = {
    [sym_formal_parameters] = STATE(976),
    [sym_identifier] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [748] = {
    [sym_class_heritage] = STATE(964),
    [sym_class_body] = STATE(208),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_extends] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
  },
  [749] = {
    [sym_formal_parameters] = STATE(976),
    [sym_identifier] = ACTIONS(2418),
    [anon_sym_STAR] = ACTIONS(2420),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [750] = {
    [aux_sym_formal_parameters_repeat1] = STATE(878),
    [anon_sym_COMMA] = ACTIONS(2422),
    [anon_sym_RPAREN] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(1983),
    [sym_comment] = ACTIONS(3),
  },
  [751] = {
    [aux_sym_string_repeat1] = STATE(754),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [aux_sym_string_token1] = ACTIONS(2428),
    [sym_escape_sequence] = ACTIONS(2430),
    [sym_comment] = ACTIONS(2168),
  },
  [752] = {
    [aux_sym_string_repeat2] = STATE(799),
    [anon_sym_SQUOTE] = ACTIONS(2432),
    [aux_sym_string_token2] = ACTIONS(2434),
    [sym_escape_sequence] = ACTIONS(2436),
    [sym_comment] = ACTIONS(2168),
  },
  [753] = {
    [aux_sym_string_repeat2] = STATE(799),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [aux_sym_string_token2] = ACTIONS(2434),
    [sym_escape_sequence] = ACTIONS(2436),
    [sym_comment] = ACTIONS(2168),
  },
  [754] = {
    [aux_sym_string_repeat1] = STATE(794),
    [anon_sym_DQUOTE] = ACTIONS(2432),
    [aux_sym_string_token1] = ACTIONS(2440),
    [sym_escape_sequence] = ACTIONS(2442),
    [sym_comment] = ACTIONS(2168),
  },
  [755] = {
    [aux_sym_string_repeat1] = STATE(794),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [aux_sym_string_token1] = ACTIONS(2440),
    [sym_escape_sequence] = ACTIONS(2442),
    [sym_comment] = ACTIONS(2168),
  },
  [756] = {
    [sym_class_heritage] = STATE(904),
    [sym_class_body] = STATE(189),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_extends] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
  },
  [757] = {
    [aux_sym_string_repeat2] = STATE(752),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [aux_sym_string_token2] = ACTIONS(2444),
    [sym_escape_sequence] = ACTIONS(2446),
    [sym_comment] = ACTIONS(2168),
  },
  [758] = {
    [aux_sym_string_repeat2] = STATE(753),
    [anon_sym_SQUOTE] = ACTIONS(2448),
    [aux_sym_string_token2] = ACTIONS(2450),
    [sym_escape_sequence] = ACTIONS(2452),
    [sym_comment] = ACTIONS(2168),
  },
  [759] = {
    [aux_sym_string_repeat1] = STATE(755),
    [anon_sym_DQUOTE] = ACTIONS(2448),
    [aux_sym_string_token1] = ACTIONS(2454),
    [sym_escape_sequence] = ACTIONS(2456),
    [sym_comment] = ACTIONS(2168),
  },
  [760] = {
    [aux_sym_formal_parameters_repeat1] = STATE(885),
    [anon_sym_COMMA] = ACTIONS(2458),
    [anon_sym_RPAREN] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(2462),
    [sym_comment] = ACTIONS(3),
  },
  [761] = {
    [aux_sym_formal_parameters_repeat1] = STATE(868),
    [anon_sym_COMMA] = ACTIONS(2464),
    [anon_sym_RPAREN] = ACTIONS(2466),
    [anon_sym_EQ] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
  },
  [762] = {
    [aux_sym_variable_declaration_repeat1] = STATE(762),
    [anon_sym_COMMA] = ACTIONS(2470),
    [anon_sym_SEMI] = ACTIONS(2473),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2473),
  },
  [763] = {
    [aux_sym_formal_parameters_repeat1] = STATE(853),
    [anon_sym_COMMA] = ACTIONS(2475),
    [anon_sym_RPAREN] = ACTIONS(2477),
    [anon_sym_EQ] = ACTIONS(1983),
    [sym_comment] = ACTIONS(3),
  },
  [764] = {
    [sym_class_heritage] = STATE(1000),
    [sym_class_body] = STATE(532),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_extends] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
  },
  [765] = {
    [aux_sym_array_repeat1] = STATE(765),
    [anon_sym_COMMA] = ACTIONS(2479),
    [anon_sym_RPAREN] = ACTIONS(1800),
    [anon_sym_RBRACK] = ACTIONS(1800),
    [sym_comment] = ACTIONS(3),
  },
  [766] = {
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_SEMI] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1981),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1981),
  },
  [767] = {
    [sym_class_heritage] = STATE(996),
    [sym_class_body] = STATE(208),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_extends] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
  },
  [768] = {
    [sym_class_heritage] = STATE(995),
    [sym_class_body] = STATE(457),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_extends] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
  },
  [769] = {
    [sym_formal_parameters] = STATE(979),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [770] = {
    [sym_class_heritage] = STATE(982),
    [sym_class_body] = STATE(496),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_extends] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
  },
  [771] = {
    [sym_class_heritage] = STATE(978),
    [sym_class_body] = STATE(189),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_extends] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
  },
  [772] = {
    [aux_sym_string_repeat2] = STATE(799),
    [anon_sym_SQUOTE] = ACTIONS(2486),
    [aux_sym_string_token2] = ACTIONS(2434),
    [sym_escape_sequence] = ACTIONS(2436),
    [sym_comment] = ACTIONS(2168),
  },
  [773] = {
    [aux_sym_string_repeat1] = STATE(794),
    [anon_sym_DQUOTE] = ACTIONS(2486),
    [aux_sym_string_token1] = ACTIONS(2440),
    [sym_escape_sequence] = ACTIONS(2442),
    [sym_comment] = ACTIONS(2168),
  },
  [774] = {
    [sym_nested_identifier] = STATE(993),
    [sym_jsx_namespace_name] = STATE(1063),
    [sym_identifier] = ACTIONS(2488),
    [sym_jsx_identifier] = ACTIONS(2490),
    [sym_comment] = ACTIONS(3),
  },
  [775] = {
    [sym_class_heritage] = STATE(990),
    [sym_class_body] = STATE(428),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_extends] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
  },
  [776] = {
    [sym_formal_parameters] = STATE(979),
    [sym_identifier] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [777] = {
    [sym__import_export_specifier] = STATE(821),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_RBRACE] = ACTIONS(2500),
    [sym_comment] = ACTIONS(3),
  },
  [778] = {
    [sym__from_clause] = STATE(1029),
    [anon_sym_from] = ACTIONS(2502),
    [anon_sym_SEMI] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2504),
  },
  [779] = {
    [sym_decorator] = STATE(631),
    [aux_sym_export_statement_repeat1] = STATE(605),
    [anon_sym_class] = ACTIONS(2506),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(87),
  },
  [780] = {
    [aux_sym_string_repeat2] = STATE(772),
    [anon_sym_SQUOTE] = ACTIONS(2508),
    [aux_sym_string_token2] = ACTIONS(2510),
    [sym_escape_sequence] = ACTIONS(2512),
    [sym_comment] = ACTIONS(2168),
  },
  [781] = {
    [aux_sym_string_repeat1] = STATE(773),
    [anon_sym_DQUOTE] = ACTIONS(2508),
    [aux_sym_string_token1] = ACTIONS(2514),
    [sym_escape_sequence] = ACTIONS(2516),
    [sym_comment] = ACTIONS(2168),
  },
  [782] = {
    [sym_escape_sequence] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2518),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(2518),
    [sym__template_chars] = ACTIONS(2518),
  },
  [783] = {
    [sym__import_export_specifier] = STATE(813),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_COMMA] = ACTIONS(2520),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
  },
  [784] = {
    [sym_nested_identifier] = STATE(652),
    [sym_jsx_namespace_name] = STATE(657),
    [sym_identifier] = ACTIONS(2308),
    [sym_jsx_identifier] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
  },
  [785] = {
    [sym_formal_parameters] = STATE(965),
    [sym_identifier] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [786] = {
    [sym_decorator] = STATE(631),
    [aux_sym_export_statement_repeat1] = STATE(605),
    [anon_sym_class] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(87),
  },
  [787] = {
    [aux_sym_variable_declaration_repeat1] = STATE(798),
    [anon_sym_COMMA] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2532),
  },
  [788] = {
    [sym_class_heritage] = STATE(960),
    [sym_class_body] = STATE(48),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_extends] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
  },
  [789] = {
    [aux_sym_variable_declaration_repeat1] = STATE(762),
    [anon_sym_COMMA] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2534),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2534),
  },
  [790] = {
    [sym_nested_identifier] = STATE(898),
    [sym_jsx_namespace_name] = STATE(1062),
    [sym_identifier] = ACTIONS(2536),
    [sym_jsx_identifier] = ACTIONS(2538),
    [sym_comment] = ACTIONS(3),
  },
  [791] = {
    [aux_sym_variable_declaration_repeat1] = STATE(789),
    [anon_sym_COMMA] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2540),
  },
  [792] = {
    [sym_formal_parameters] = STATE(976),
    [sym_identifier] = ACTIONS(2542),
    [anon_sym_STAR] = ACTIONS(2544),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [793] = {
    [sym_formal_parameters] = STATE(979),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(2548),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [794] = {
    [aux_sym_string_repeat1] = STATE(794),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [aux_sym_string_token1] = ACTIONS(2552),
    [sym_escape_sequence] = ACTIONS(2555),
    [sym_comment] = ACTIONS(2168),
  },
  [795] = {
    [sym_decorator] = STATE(631),
    [aux_sym_export_statement_repeat1] = STATE(605),
    [anon_sym_class] = ACTIONS(2558),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(87),
  },
  [796] = {
    [sym_nested_identifier] = STATE(1016),
    [sym_jsx_namespace_name] = STATE(1044),
    [sym_identifier] = ACTIONS(2560),
    [sym_jsx_identifier] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
  },
  [797] = {
    [sym_namespace_import] = STATE(1047),
    [sym_named_imports] = STATE(1047),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(1463),
    [sym_comment] = ACTIONS(3),
  },
  [798] = {
    [aux_sym_variable_declaration_repeat1] = STATE(762),
    [anon_sym_COMMA] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2566),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2566),
  },
  [799] = {
    [aux_sym_string_repeat2] = STATE(799),
    [anon_sym_SQUOTE] = ACTIONS(2568),
    [aux_sym_string_token2] = ACTIONS(2570),
    [sym_escape_sequence] = ACTIONS(2573),
    [sym_comment] = ACTIONS(2168),
  },
  [800] = {
    [sym_formal_parameters] = STATE(944),
    [sym_identifier] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [801] = {
    [sym_class_heritage] = STATE(896),
    [sym_class_body] = STATE(50),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_extends] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
  },
  [802] = {
    [sym_class_heritage] = STATE(893),
    [sym_class_body] = STATE(395),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_extends] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
  },
  [803] = {
    [anon_sym_LPAREN] = ACTIONS(1762),
    [anon_sym_SEMI] = ACTIONS(1762),
    [anon_sym_EQ] = ACTIONS(1762),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1762),
  },
  [804] = {
    [anon_sym_RBRACE] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1577),
    [anon_sym_COLON] = ACTIONS(1577),
    [anon_sym_RBRACK] = ACTIONS(1577),
    [sym_comment] = ACTIONS(3),
  },
  [805] = {
    [anon_sym_LBRACE] = ACTIONS(1729),
    [anon_sym_LT] = ACTIONS(1729),
    [sym_jsx_text] = ACTIONS(1729),
    [sym_comment] = ACTIONS(2168),
  },
  [806] = {
    [anon_sym_COLON] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2148),
    [sym_comment] = ACTIONS(3),
  },
  [807] = {
    [sym_string] = STATE(899),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
  },
  [808] = {
    [sym_identifier] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2584),
  },
  [809] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2588),
  },
  [810] = {
    [sym__for_header] = STATE(36),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_await] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
  },
  [811] = {
    [anon_sym_COLON] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_DOT] = ACTIONS(2148),
    [sym_comment] = ACTIONS(3),
  },
  [812] = {
    [sym_formal_parameters] = STATE(1032),
    [sym_identifier] = ACTIONS(2596),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [813] = {
    [aux_sym_named_imports_repeat1] = STATE(825),
    [anon_sym_COMMA] = ACTIONS(2598),
    [anon_sym_RBRACE] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
  },
  [814] = {
    [anon_sym_from] = ACTIONS(2602),
    [anon_sym_SEMI] = ACTIONS(2602),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2602),
  },
  [815] = {
    [aux_sym_array_repeat1] = STATE(765),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_RBRACK] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
  },
  [816] = {
    [aux_sym_array_repeat1] = STATE(838),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_RBRACK] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
  },
  [817] = {
    [anon_sym_COMMA] = ACTIONS(2604),
    [anon_sym_RBRACE] = ACTIONS(2604),
    [anon_sym_as] = ACTIONS(2606),
    [sym_comment] = ACTIONS(3),
  },
  [818] = {
    [anon_sym_COLON] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2608),
    [anon_sym_DOT] = ACTIONS(2148),
    [sym_comment] = ACTIONS(3),
  },
  [819] = {
    [anon_sym_else] = ACTIONS(468),
    [anon_sym_while] = ACTIONS(468),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(500),
  },
  [820] = {
    [sym__import_export_specifier] = STATE(947),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_RBRACE] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
  },
  [821] = {
    [aux_sym_export_clause_repeat1] = STATE(836),
    [anon_sym_COMMA] = ACTIONS(2612),
    [anon_sym_RBRACE] = ACTIONS(2614),
    [sym_comment] = ACTIONS(3),
  },
  [822] = {
    [anon_sym_from] = ACTIONS(2616),
    [anon_sym_SEMI] = ACTIONS(2616),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2616),
  },
  [823] = {
    [anon_sym_COMMA] = ACTIONS(2618),
    [anon_sym_SEMI] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2618),
  },
  [824] = {
    [anon_sym_COMMA] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2620),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2620),
  },
  [825] = {
    [aux_sym_named_imports_repeat1] = STATE(859),
    [anon_sym_COMMA] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2610),
    [sym_comment] = ACTIONS(3),
  },
  [826] = {
    [anon_sym_COMMA] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2624),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2624),
  },
  [827] = {
    [anon_sym_COMMA] = ACTIONS(2473),
    [anon_sym_SEMI] = ACTIONS(2473),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2473),
  },
  [828] = {
    [sym_formal_parameters] = STATE(910),
    [sym_identifier] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [829] = {
    [anon_sym_COMMA] = ACTIONS(1800),
    [anon_sym_RPAREN] = ACTIONS(1800),
    [anon_sym_RBRACK] = ACTIONS(1800),
    [sym_comment] = ACTIONS(3),
  },
  [830] = {
    [anon_sym_LBRACE] = ACTIONS(2628),
    [anon_sym_LT] = ACTIONS(2628),
    [sym_jsx_text] = ACTIONS(2628),
    [sym_comment] = ACTIONS(2168),
  },
  [831] = {
    [anon_sym_COLON] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2630),
    [anon_sym_DOT] = ACTIONS(2148),
    [sym_comment] = ACTIONS(3),
  },
  [832] = {
    [aux_sym_array_repeat1] = STATE(881),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_RPAREN] = ACTIONS(1796),
    [sym_comment] = ACTIONS(3),
  },
  [833] = {
    [aux_sym_array_repeat1] = STATE(765),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_RPAREN] = ACTIONS(1796),
    [sym_comment] = ACTIONS(3),
  },
  [834] = {
    [aux_sym_array_repeat1] = STATE(765),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_RPAREN] = ACTIONS(2632),
    [sym_comment] = ACTIONS(3),
  },
  [835] = {
    [aux_sym_formal_parameters_repeat1] = STATE(878),
    [anon_sym_COMMA] = ACTIONS(2422),
    [anon_sym_RPAREN] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
  },
  [836] = {
    [aux_sym_export_clause_repeat1] = STATE(873),
    [anon_sym_COMMA] = ACTIONS(2634),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [sym_comment] = ACTIONS(3),
  },
  [837] = {
    [anon_sym_from] = ACTIONS(2638),
    [anon_sym_SEMI] = ACTIONS(2638),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2638),
  },
  [838] = {
    [aux_sym_array_repeat1] = STATE(765),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_RBRACK] = ACTIONS(2640),
    [sym_comment] = ACTIONS(3),
  },
  [839] = {
    [anon_sym_LPAREN] = ACTIONS(1762),
    [anon_sym_COLON] = ACTIONS(1762),
    [anon_sym_EQ] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
  },
  [840] = {
    [sym__for_header] = STATE(29),
    [anon_sym_LPAREN] = ACTIONS(2642),
    [anon_sym_await] = ACTIONS(2644),
    [sym_comment] = ACTIONS(3),
  },
  [841] = {
    [aux_sym_array_repeat1] = STATE(765),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_RPAREN] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
  },
  [842] = {
    [aux_sym_array_repeat1] = STATE(834),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_RPAREN] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
  },
  [843] = {
    [anon_sym_COMMA] = ACTIONS(2646),
    [anon_sym_RPAREN] = ACTIONS(2646),
    [anon_sym_EQ] = ACTIONS(1983),
    [sym_comment] = ACTIONS(3),
  },
  [844] = {
    [anon_sym_COMMA] = ACTIONS(2648),
    [anon_sym_RPAREN] = ACTIONS(2648),
    [anon_sym_EQ] = ACTIONS(1983),
    [sym_comment] = ACTIONS(3),
  },
  [845] = {
    [aux_sym_object_repeat1] = STATE(845),
    [anon_sym_COMMA] = ACTIONS(2650),
    [anon_sym_RBRACE] = ACTIONS(2653),
    [sym_comment] = ACTIONS(3),
  },
  [846] = {
    [anon_sym_LBRACE] = ACTIONS(2400),
    [anon_sym_LT] = ACTIONS(2400),
    [sym_jsx_text] = ACTIONS(2400),
    [sym_comment] = ACTIONS(2168),
  },
  [847] = {
    [aux_sym_array_repeat1] = STATE(765),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_RBRACK] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
  },
  [848] = {
    [anon_sym_COMMA] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(2657),
    [anon_sym_EQ] = ACTIONS(2462),
    [sym_comment] = ACTIONS(3),
  },
  [849] = {
    [anon_sym_COMMA] = ACTIONS(2659),
    [anon_sym_RPAREN] = ACTIONS(2659),
    [anon_sym_EQ] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
  },
  [850] = {
    [aux_sym_object_repeat1] = STATE(845),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(2661),
    [sym_comment] = ACTIONS(3),
  },
  [851] = {
    [aux_sym_object_repeat1] = STATE(845),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(2663),
    [sym_comment] = ACTIONS(3),
  },
  [852] = {
    [sym_formal_parameters] = STATE(987),
    [sym_identifier] = ACTIONS(2665),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [853] = {
    [aux_sym_formal_parameters_repeat1] = STATE(856),
    [anon_sym_COMMA] = ACTIONS(2667),
    [anon_sym_RPAREN] = ACTIONS(2108),
    [sym_comment] = ACTIONS(3),
  },
  [854] = {
    [sym_formal_parameters] = STATE(966),
    [sym_identifier] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [855] = {
    [aux_sym_object_repeat1] = STATE(845),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(2671),
    [sym_comment] = ACTIONS(3),
  },
  [856] = {
    [aux_sym_formal_parameters_repeat1] = STATE(856),
    [anon_sym_COMMA] = ACTIONS(2673),
    [anon_sym_RPAREN] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
  },
  [857] = {
    [sym_formal_parameters] = STATE(1032),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [858] = {
    [sym_formal_parameters] = STATE(1032),
    [sym_identifier] = ACTIONS(2678),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [859] = {
    [aux_sym_named_imports_repeat1] = STATE(859),
    [anon_sym_COMMA] = ACTIONS(2680),
    [anon_sym_RBRACE] = ACTIONS(2683),
    [sym_comment] = ACTIONS(3),
  },
  [860] = {
    [sym__import_export_specifier] = STATE(947),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [sym_comment] = ACTIONS(3),
  },
  [861] = {
    [sym__import_export_specifier] = STATE(894),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [sym_comment] = ACTIONS(3),
  },
  [862] = {
    [aux_sym_array_repeat1] = STATE(765),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_RBRACK] = ACTIONS(1790),
    [sym_comment] = ACTIONS(3),
  },
  [863] = {
    [aux_sym_array_repeat1] = STATE(847),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_RBRACK] = ACTIONS(1790),
    [sym_comment] = ACTIONS(3),
  },
  [864] = {
    [sym_formal_parameters] = STATE(910),
    [sym_identifier] = ACTIONS(2687),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [865] = {
    [sym_statement_block] = STATE(203),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [sym_comment] = ACTIONS(3),
  },
  [866] = {
    [aux_sym_object_repeat1] = STATE(845),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(2693),
    [sym_comment] = ACTIONS(3),
  },
  [867] = {
    [anon_sym_LBRACE] = ACTIONS(1691),
    [anon_sym_LT] = ACTIONS(1691),
    [sym_jsx_text] = ACTIONS(1691),
    [sym_comment] = ACTIONS(2168),
  },
  [868] = {
    [aux_sym_formal_parameters_repeat1] = STATE(856),
    [anon_sym_COMMA] = ACTIONS(2695),
    [anon_sym_RPAREN] = ACTIONS(2110),
    [sym_comment] = ACTIONS(3),
  },
  [869] = {
    [anon_sym_LBRACE] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [sym_jsx_text] = ACTIONS(1697),
    [sym_comment] = ACTIONS(2168),
  },
  [870] = {
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_LT] = ACTIONS(2697),
    [sym_jsx_text] = ACTIONS(2697),
    [sym_comment] = ACTIONS(2168),
  },
  [871] = {
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_LT] = ACTIONS(2374),
    [sym_jsx_text] = ACTIONS(2374),
    [sym_comment] = ACTIONS(2168),
  },
  [872] = {
    [aux_sym_object_repeat1] = STATE(850),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(2693),
    [sym_comment] = ACTIONS(3),
  },
  [873] = {
    [aux_sym_export_clause_repeat1] = STATE(873),
    [anon_sym_COMMA] = ACTIONS(2699),
    [anon_sym_RBRACE] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
  },
  [874] = {
    [sym__import_export_specifier] = STATE(894),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_RBRACE] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
  },
  [875] = {
    [anon_sym_LBRACE] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1709),
    [sym_jsx_text] = ACTIONS(1709),
    [sym_comment] = ACTIONS(2168),
  },
  [876] = {
    [anon_sym_from] = ACTIONS(2706),
    [anon_sym_SEMI] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2706),
  },
  [877] = {
    [anon_sym_from] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2708),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2708),
  },
  [878] = {
    [aux_sym_formal_parameters_repeat1] = STATE(856),
    [anon_sym_COMMA] = ACTIONS(2710),
    [anon_sym_RPAREN] = ACTIONS(2102),
    [sym_comment] = ACTIONS(3),
  },
  [879] = {
    [aux_sym_object_repeat1] = STATE(884),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(2712),
    [sym_comment] = ACTIONS(3),
  },
  [880] = {
    [sym_formal_parameters] = STATE(910),
    [sym_identifier] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [881] = {
    [aux_sym_array_repeat1] = STATE(765),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_RPAREN] = ACTIONS(2716),
    [sym_comment] = ACTIONS(3),
  },
  [882] = {
    [anon_sym_LBRACE] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(1637),
    [sym_jsx_text] = ACTIONS(1637),
    [sym_comment] = ACTIONS(2168),
  },
  [883] = {
    [aux_sym_object_repeat1] = STATE(845),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(2712),
    [sym_comment] = ACTIONS(3),
  },
  [884] = {
    [aux_sym_object_repeat1] = STATE(845),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(2718),
    [sym_comment] = ACTIONS(3),
  },
  [885] = {
    [aux_sym_formal_parameters_repeat1] = STATE(856),
    [anon_sym_COMMA] = ACTIONS(2720),
    [anon_sym_RPAREN] = ACTIONS(2090),
    [sym_comment] = ACTIONS(3),
  },
  [886] = {
    [sym_formal_parameters] = STATE(922),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [anon_sym_COLON] = ACTIONS(2722),
    [sym_comment] = ACTIONS(3),
  },
  [887] = {
    [sym_statement_block] = STATE(613),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [sym_comment] = ACTIONS(3),
  },
  [888] = {
    [sym_class_body] = STATE(459),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
  },
  [889] = {
    [sym_statement_block] = STATE(199),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [sym_comment] = ACTIONS(3),
  },
  [890] = {
    [sym_statement_block] = STATE(200),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [sym_comment] = ACTIONS(3),
  },
  [891] = {
    [sym_formal_parameters] = STATE(1013),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [892] = {
    [anon_sym_SEMI] = ACTIONS(2726),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2726),
  },
  [893] = {
    [sym_class_body] = STATE(432),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
  },
  [894] = {
    [anon_sym_COMMA] = ACTIONS(2728),
    [anon_sym_RBRACE] = ACTIONS(2728),
    [sym_comment] = ACTIONS(3),
  },
  [895] = {
    [anon_sym_COMMA] = ACTIONS(2730),
    [anon_sym_RBRACE] = ACTIONS(2730),
    [sym_comment] = ACTIONS(3),
  },
  [896] = {
    [sym_class_body] = STATE(47),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
  },
  [897] = {
    [sym_formal_parameters] = STATE(1003),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [898] = {
    [anon_sym_GT] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2148),
    [sym_comment] = ACTIONS(3),
  },
  [899] = {
    [anon_sym_SEMI] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2732),
  },
  [900] = {
    [sym__from_clause] = STATE(1015),
    [anon_sym_from] = ACTIONS(2502),
    [sym_comment] = ACTIONS(3),
  },
  [901] = {
    [anon_sym_COMMA] = ACTIONS(2734),
    [anon_sym_from] = ACTIONS(2736),
    [sym_comment] = ACTIONS(3),
  },
  [902] = {
    [anon_sym_COLON] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
  },
  [903] = {
    [sym_statement_block] = STATE(382),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
  },
  [904] = {
    [sym_class_body] = STATE(206),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
  },
  [905] = {
    [anon_sym_LBRACE] = ACTIONS(2740),
    [anon_sym_EQ_GT] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
  },
  [906] = {
    [sym_statement_block] = STATE(199),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
  },
  [907] = {
    [sym_statement_block] = STATE(204),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [sym_comment] = ACTIONS(3),
  },
  [908] = {
    [sym_statement_block] = STATE(49),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
  },
  [909] = {
    [sym_statement_block] = STATE(51),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
  },
  [910] = {
    [sym_statement_block] = STATE(522),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
  },
  [911] = {
    [sym_formal_parameters] = STATE(1011),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [912] = {
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_EQ_GT] = ACTIONS(2746),
    [sym_comment] = ACTIONS(3),
  },
  [913] = {
    [sym_formal_parameters] = STATE(903),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [914] = {
    [sym_statement_block] = STATE(191),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [sym_comment] = ACTIONS(3),
  },
  [915] = {
    [anon_sym_SEMI] = ACTIONS(2748),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2748),
  },
  [916] = {
    [sym_statement_block] = STATE(200),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
  },
  [917] = {
    [sym_formal_parameters] = STATE(1001),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [918] = {
    [sym_parenthesized_expression] = STATE(927),
    [anon_sym_LPAREN] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
  },
  [919] = {
    [sym_statement_block] = STATE(202),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [sym_comment] = ACTIONS(3),
  },
  [920] = {
    [sym_identifier] = ACTIONS(2752),
    [anon_sym_STAR] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
  },
  [921] = {
    [sym_formal_parameters] = STATE(999),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [922] = {
    [sym_statement_block] = STATE(615),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [sym_comment] = ACTIONS(3),
  },
  [923] = {
    [anon_sym_COMMA] = ACTIONS(2756),
    [anon_sym_RPAREN] = ACTIONS(2756),
    [sym_comment] = ACTIONS(3),
  },
  [924] = {
    [sym_formal_parameters] = STATE(998),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [925] = {
    [sym_statement_block] = STATE(609),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [sym_comment] = ACTIONS(3),
  },
  [926] = {
    [sym_statement_block] = STATE(229),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [sym_comment] = ACTIONS(3),
  },
  [927] = {
    [anon_sym_SEMI] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2758),
  },
  [928] = {
    [sym_statement_block] = STATE(192),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
  },
  [929] = {
    [sym__from_clause] = STATE(1029),
    [anon_sym_from] = ACTIONS(2502),
    [sym_comment] = ACTIONS(3),
  },
  [930] = {
    [sym_formal_parameters] = STATE(916),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [931] = {
    [sym_parenthesized_expression] = STATE(955),
    [anon_sym_LPAREN] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
  },
  [932] = {
    [anon_sym_LBRACE] = ACTIONS(2762),
    [anon_sym_EQ_GT] = ACTIONS(2762),
    [sym_comment] = ACTIONS(3),
  },
  [933] = {
    [sym_class_body] = STATE(504),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
  },
  [934] = {
    [sym_formal_parameters] = STATE(1017),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [935] = {
    [sym_statement_block] = STATE(207),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
  },
  [936] = {
    [anon_sym_LBRACE] = ACTIONS(2764),
    [anon_sym_EQ_GT] = ACTIONS(2764),
    [sym_comment] = ACTIONS(3),
  },
  [937] = {
    [anon_sym_LBRACE] = ACTIONS(2766),
    [anon_sym_EQ_GT] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
  },
  [938] = {
    [sym_class_body] = STATE(393),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
  },
  [939] = {
    [sym_statement_block] = STATE(431),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
  },
  [940] = {
    [sym_formal_parameters] = STATE(906),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [941] = {
    [sym_formal_parameters] = STATE(989),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [942] = {
    [sym_formal_parameters] = STATE(988),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [943] = {
    [sym_parenthesized_expression] = STATE(30),
    [anon_sym_LPAREN] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
  },
  [944] = {
    [sym_statement_block] = STATE(408),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
  },
  [945] = {
    [sym_formal_parameters] = STATE(983),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [946] = {
    [sym_formal_parameters] = STATE(928),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [947] = {
    [anon_sym_COMMA] = ACTIONS(2768),
    [anon_sym_RBRACE] = ACTIONS(2768),
    [sym_comment] = ACTIONS(3),
  },
  [948] = {
    [sym_formal_parameters] = STATE(973),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [949] = {
    [anon_sym_COMMA] = ACTIONS(2770),
    [anon_sym_RPAREN] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
  },
  [950] = {
    [anon_sym_SEMI] = ACTIONS(1792),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1792),
  },
  [951] = {
    [anon_sym_COMMA] = ACTIONS(2772),
    [anon_sym_RPAREN] = ACTIONS(2772),
    [sym_comment] = ACTIONS(3),
  },
  [952] = {
    [sym_formal_parameters] = STATE(969),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [953] = {
    [sym_class_body] = STATE(543),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
  },
  [954] = {
    [sym_formal_parameters] = STATE(939),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [955] = {
    [sym_switch_body] = STATE(234),
    [anon_sym_LBRACE] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
  },
  [956] = {
    [sym__for_header] = STATE(26),
    [anon_sym_LPAREN] = ACTIONS(2776),
    [sym_comment] = ACTIONS(3),
  },
  [957] = {
    [anon_sym_LBRACE] = ACTIONS(2778),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
  },
  [958] = {
    [anon_sym_COMMA] = ACTIONS(2648),
    [anon_sym_RPAREN] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
  },
  [959] = {
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_EQ_GT] = ACTIONS(2780),
    [sym_comment] = ACTIONS(3),
  },
  [960] = {
    [sym_class_body] = STATE(58),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
  },
  [961] = {
    [anon_sym_SEMI] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1786),
  },
  [962] = {
    [sym_formal_parameters] = STATE(1025),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [963] = {
    [anon_sym_LBRACE] = ACTIONS(1579),
    [anon_sym_EQ_GT] = ACTIONS(1579),
    [sym_comment] = ACTIONS(3),
  },
  [964] = {
    [sym_class_body] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
  },
  [965] = {
    [sym_statement_block] = STATE(441),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
  },
  [966] = {
    [sym_statement_block] = STATE(443),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
  },
  [967] = {
    [sym_statement_block] = STATE(458),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
  },
  [968] = {
    [anon_sym_LBRACE] = ACTIONS(2782),
    [anon_sym_EQ_GT] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
  },
  [969] = {
    [sym_statement_block] = STATE(389),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
  },
  [970] = {
    [anon_sym_LBRACE] = ACTIONS(2784),
    [anon_sym_EQ_GT] = ACTIONS(2784),
    [sym_comment] = ACTIONS(3),
  },
  [971] = {
    [anon_sym_LBRACE] = ACTIONS(2786),
    [anon_sym_EQ_GT] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
  },
  [972] = {
    [anon_sym_else] = ACTIONS(2788),
    [anon_sym_while] = ACTIONS(1265),
    [sym_comment] = ACTIONS(3),
  },
  [973] = {
    [sym_statement_block] = STATE(388),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
  },
  [974] = {
    [anon_sym_LBRACE] = ACTIONS(2790),
    [anon_sym_EQ_GT] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
  },
  [975] = {
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_EQ_GT] = ACTIONS(2792),
    [sym_comment] = ACTIONS(3),
  },
  [976] = {
    [sym_statement_block] = STATE(512),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
  },
  [977] = {
    [sym_class_body] = STATE(446),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
  },
  [978] = {
    [sym_class_body] = STATE(206),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
  },
  [979] = {
    [sym_statement_block] = STATE(541),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
  },
  [980] = {
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_EQ_GT] = ACTIONS(2066),
    [sym_comment] = ACTIONS(3),
  },
  [981] = {
    [sym_identifier] = ACTIONS(2794),
    [sym_jsx_identifier] = ACTIONS(2796),
    [sym_comment] = ACTIONS(3),
  },
  [982] = {
    [sym_class_body] = STATE(525),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
  },
  [983] = {
    [sym_statement_block] = STATE(529),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
  },
  [984] = {
    [sym_formal_parameters] = STATE(909),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [985] = {
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_EQ_GT] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
  },
  [986] = {
    [sym_parenthesized_expression] = STATE(27),
    [anon_sym_LPAREN] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
  },
  [987] = {
    [sym_statement_block] = STATE(438),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
  },
  [988] = {
    [sym_statement_block] = STATE(460),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
  },
  [989] = {
    [sym_statement_block] = STATE(461),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
  },
  [990] = {
    [sym_class_body] = STATE(386),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
  },
  [991] = {
    [anon_sym_COLON] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
  },
  [992] = {
    [anon_sym_SEMI] = ACTIONS(1577),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1577),
  },
  [993] = {
    [anon_sym_GT] = ACTIONS(2630),
    [anon_sym_DOT] = ACTIONS(2148),
    [sym_comment] = ACTIONS(3),
  },
  [994] = {
    [sym_statement_block] = STATE(180),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [sym_comment] = ACTIONS(3),
  },
  [995] = {
    [sym_class_body] = STATE(463),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
  },
  [996] = {
    [sym_class_body] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
  },
  [997] = {
    [anon_sym_SEMI] = ACTIONS(2800),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2800),
  },
  [998] = {
    [sym_statement_block] = STATE(489),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
  },
  [999] = {
    [sym_statement_block] = STATE(538),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
  },
  [1000] = {
    [sym_class_body] = STATE(539),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [sym_comment] = ACTIONS(3),
  },
  [1001] = {
    [sym_statement_block] = STATE(465),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
  },
  [1002] = {
    [anon_sym_COMMA] = ACTIONS(2653),
    [anon_sym_RBRACE] = ACTIONS(2653),
    [sym_comment] = ACTIONS(3),
  },
  [1003] = {
    [sym_statement_block] = STATE(554),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
  },
  [1004] = {
    [anon_sym_SEMI] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2802),
  },
  [1005] = {
    [sym_formal_parameters] = STATE(1028),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [1006] = {
    [sym_formal_parameters] = STATE(1037),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [1007] = {
    [anon_sym_SEMI] = ACTIONS(1784),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1784),
  },
  [1008] = {
    [anon_sym_SEMI] = ACTIONS(2804),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2804),
  },
  [1009] = {
    [sym_identifier] = ACTIONS(2806),
    [anon_sym_STAR] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
  },
  [1010] = {
    [sym_identifier] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
  },
  [1011] = {
    [sym_statement_block] = STATE(57),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
  },
  [1012] = {
    [sym__import_export_specifier] = STATE(894),
    [sym_identifier] = ACTIONS(2496),
    [sym_comment] = ACTIONS(3),
  },
  [1013] = {
    [sym_statement_block] = STATE(192),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [sym_comment] = ACTIONS(3),
  },
  [1014] = {
    [anon_sym_COLON] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
  },
  [1015] = {
    [anon_sym_SEMI] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2814),
  },
  [1016] = {
    [anon_sym_GT] = ACTIONS(2608),
    [anon_sym_DOT] = ACTIONS(2148),
    [sym_comment] = ACTIONS(3),
  },
  [1017] = {
    [sym_statement_block] = STATE(611),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [sym_comment] = ACTIONS(3),
  },
  [1018] = {
    [sym_formal_parameters] = STATE(925),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [1019] = {
    [sym_formal_parameters] = STATE(887),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [1020] = {
    [anon_sym_COLON] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
  },
  [1021] = {
    [sym__import_export_specifier] = STATE(947),
    [sym_identifier] = ACTIONS(2496),
    [sym_comment] = ACTIONS(3),
  },
  [1022] = {
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_DOT] = ACTIONS(2148),
    [sym_comment] = ACTIONS(3),
  },
  [1023] = {
    [anon_sym_SEMI] = ACTIONS(2118),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2118),
  },
  [1024] = {
    [sym_parenthesized_expression] = STATE(24),
    [anon_sym_LPAREN] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
  },
  [1025] = {
    [sym_statement_block] = STATE(53),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
  },
  [1026] = {
    [sym_parenthesized_expression] = STATE(42),
    [anon_sym_LPAREN] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
  },
  [1027] = {
    [sym_parenthesized_expression] = STATE(40),
    [anon_sym_LPAREN] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
  },
  [1028] = {
    [sym_statement_block] = STATE(608),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [sym_comment] = ACTIONS(3),
  },
  [1029] = {
    [anon_sym_SEMI] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2816),
  },
  [1030] = {
    [anon_sym_SEMI] = ACTIONS(2818),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(2818),
  },
  [1031] = {
    [sym_formal_parameters] = STATE(935),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [1032] = {
    [sym_statement_block] = STATE(547),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
  },
  [1033] = {
    [sym_parenthesized_expression] = STATE(28),
    [anon_sym_LPAREN] = ACTIONS(2760),
    [sym_comment] = ACTIONS(3),
  },
  [1034] = {
    [sym__for_header] = STATE(25),
    [anon_sym_LPAREN] = ACTIONS(2776),
    [sym_comment] = ACTIONS(3),
  },
  [1035] = {
    [sym_formal_parameters] = STATE(908),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [1036] = {
    [sym_identifier] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
  },
  [1037] = {
    [sym_statement_block] = STATE(207),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [sym_comment] = ACTIONS(3),
  },
  [1038] = {
    [sym_formal_parameters] = STATE(889),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [1039] = {
    [sym_formal_parameters] = STATE(890),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [1040] = {
    [sym_formal_parameters] = STATE(967),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [1041] = {
    [anon_sym_RPAREN] = ACTIONS(1814),
    [sym_comment] = ACTIONS(3),
  },
  [1042] = {
    [sym_comment] = ACTIONS(2168),
    [sym_regex_pattern] = ACTIONS(2824),
  },
  [1043] = {
    [anon_sym_COLON] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
  },
  [1044] = {
    [anon_sym_GT] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
  },
  [1045] = {
    [sym_comment] = ACTIONS(2168),
    [sym_regex_pattern] = ACTIONS(2828),
  },
  [1046] = {
    [anon_sym_GT] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
  },
  [1047] = {
    [anon_sym_from] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
  },
  [1048] = {
    [anon_sym_from] = ACTIONS(2834),
    [sym_comment] = ACTIONS(3),
  },
  [1049] = {
    [anon_sym_GT] = ACTIONS(2836),
    [sym_comment] = ACTIONS(3),
  },
  [1050] = {
    [sym_identifier] = ACTIONS(2838),
    [sym_comment] = ACTIONS(3),
  },
  [1051] = {
    [anon_sym_RPAREN] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
  },
  [1052] = {
    [anon_sym_GT] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
  },
  [1053] = {
    [anon_sym_GT] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
  },
  [1054] = {
    [anon_sym_GT] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
  },
  [1055] = {
    [anon_sym_from] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
  },
  [1056] = {
    [anon_sym_GT] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
  },
  [1057] = {
    [anon_sym_GT] = ACTIONS(2594),
    [sym_comment] = ACTIONS(3),
  },
  [1058] = {
    [anon_sym_GT] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
  },
  [1059] = {
    [sym_identifier] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
  },
  [1060] = {
    [sym_identifier] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
  },
  [1061] = {
    [anon_sym_from] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
  },
  [1062] = {
    [anon_sym_GT] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
  },
  [1063] = {
    [anon_sym_GT] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
  },
  [1064] = {
    [anon_sym_GT] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
  },
  [1065] = {
    [anon_sym_GT] = ACTIONS(2860),
    [sym_comment] = ACTIONS(3),
  },
  [1066] = {
    [sym_identifier] = ACTIONS(2862),
    [sym_comment] = ACTIONS(3),
  },
  [1067] = {
    [anon_sym_RBRACE] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
  },
  [1068] = {
    [anon_sym_GT] = ACTIONS(2864),
    [sym_comment] = ACTIONS(3),
  },
  [1069] = {
    [anon_sym_RBRACK] = ACTIONS(1808),
    [sym_comment] = ACTIONS(3),
  },
  [1070] = {
    [anon_sym_GT] = ACTIONS(2866),
    [sym_comment] = ACTIONS(3),
  },
  [1071] = {
    [sym_identifier] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
  },
  [1072] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_target] = ACTIONS(2870),
  },
  [1073] = {
    [sym_identifier] = ACTIONS(2872),
    [sym_comment] = ACTIONS(3),
  },
  [1074] = {
    [anon_sym_EQ_GT] = ACTIONS(2874),
    [sym_comment] = ACTIONS(3),
  },
  [1075] = {
    [anon_sym_EQ_GT] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
  },
  [1076] = {
    [anon_sym_EQ_GT] = ACTIONS(2878),
    [sym_comment] = ACTIONS(3),
  },
  [1077] = {
    [sym_identifier] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
  },
  [1078] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH2] = ACTIONS(2882),
  },
  [1079] = {
    [anon_sym_EQ_GT] = ACTIONS(2884),
    [sym_comment] = ACTIONS(3),
  },
  [1080] = {
    [anon_sym_RPAREN] = ACTIONS(1826),
    [sym_comment] = ACTIONS(3),
  },
  [1081] = {
    [sym_identifier] = ACTIONS(2886),
    [sym_comment] = ACTIONS(3),
  },
  [1082] = {
    [anon_sym_function] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
  },
  [1083] = {
    [anon_sym_GT] = ACTIONS(2890),
    [sym_comment] = ACTIONS(3),
  },
  [1084] = {
    [anon_sym_EQ_GT] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
  },
  [1085] = {
    [anon_sym_GT] = ACTIONS(2894),
    [sym_comment] = ACTIONS(3),
  },
  [1086] = {
    [anon_sym_as] = ACTIONS(2896),
    [sym_comment] = ACTIONS(3),
  },
  [1087] = {
    [anon_sym_RPAREN] = ACTIONS(1840),
    [sym_comment] = ACTIONS(3),
  },
  [1088] = {
    [ts_builtin_sym_end] = ACTIONS(2898),
    [sym_comment] = ACTIONS(3),
  },
  [1089] = {
    [sym_identifier] = ACTIONS(2900),
    [sym_comment] = ACTIONS(3),
  },
  [1090] = {
    [anon_sym_LPAREN] = ACTIONS(1762),
    [sym_comment] = ACTIONS(3),
  },
  [1091] = {
    [anon_sym_from] = ACTIONS(2902),
    [sym_comment] = ACTIONS(3),
  },
  [1092] = {
    [anon_sym_COLON] = ACTIONS(1832),
    [sym_comment] = ACTIONS(3),
  },
  [1093] = {
    [anon_sym_RPAREN] = ACTIONS(1822),
    [sym_comment] = ACTIONS(3),
  },
  [1094] = {
    [anon_sym_RPAREN] = ACTIONS(1820),
    [sym_comment] = ACTIONS(3),
  },
  [1095] = {
    [anon_sym_RBRACE] = ACTIONS(1806),
    [sym_comment] = ACTIONS(3),
  },
  [1096] = {
    [anon_sym_RPAREN] = ACTIONS(1818),
    [sym_comment] = ACTIONS(3),
  },
  [1097] = {
    [anon_sym_RPAREN] = ACTIONS(1812),
    [sym_comment] = ACTIONS(3),
  },
  [1098] = {
    [anon_sym_RPAREN] = ACTIONS(2904),
    [sym_comment] = ACTIONS(3),
  },
  [1099] = {
    [sym_identifier] = ACTIONS(2906),
    [sym_comment] = ACTIONS(3),
  },
  [1100] = {
    [sym_identifier] = ACTIONS(2908),
    [sym_comment] = ACTIONS(3),
  },
  [1101] = {
    [anon_sym_RBRACK] = ACTIONS(1830),
    [sym_comment] = ACTIONS(3),
  },
  [1102] = {
    [anon_sym_RPAREN] = ACTIONS(2910),
    [sym_comment] = ACTIONS(3),
  },
  [1103] = {
    [anon_sym_RPAREN] = ACTIONS(1869),
    [sym_comment] = ACTIONS(3),
  },
  [1104] = {
    [anon_sym_RPAREN] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
  },
  [1105] = {
    [anon_sym_while] = ACTIONS(2914),
    [sym_comment] = ACTIONS(3),
  },
  [1106] = {
    [anon_sym_RBRACE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
  },
  [1107] = {
    [anon_sym_GT] = ACTIONS(2916),
    [sym_comment] = ACTIONS(3),
  },
  [1108] = {
    [anon_sym_from] = ACTIONS(2736),
    [sym_comment] = ACTIONS(3),
  },
  [1109] = {
    [anon_sym_from] = ACTIONS(2918),
    [sym_comment] = ACTIONS(3),
  },
  [1110] = {
    [anon_sym_RPAREN] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
  },
  [1111] = {
    [anon_sym_RPAREN] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
  },
  [1112] = {
    [anon_sym_RPAREN] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
  },
  [1113] = {
    [anon_sym_RPAREN] = ACTIONS(1836),
    [sym_comment] = ACTIONS(3),
  },
  [1114] = {
    [anon_sym_from] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
  },
  [1115] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH2] = ACTIONS(2922),
  },
  [1116] = {
    [anon_sym_RBRACE] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
  },
  [1117] = {
    [sym_identifier] = ACTIONS(2926),
    [sym_comment] = ACTIONS(3),
  },
  [1118] = {
    [sym_identifier] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
  },
  [1119] = {
    [anon_sym_EQ_GT] = ACTIONS(2066),
    [sym_comment] = ACTIONS(3),
  },
  [1120] = {
    [anon_sym_EQ_GT] = ACTIONS(2780),
    [sym_comment] = ACTIONS(3),
  },
  [1121] = {
    [anon_sym_EQ_GT] = ACTIONS(2930),
    [sym_comment] = ACTIONS(3),
  },
  [1122] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_target] = ACTIONS(2932),
  },
  [1123] = {
    [anon_sym_EQ] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
  },
  [1124] = {
    [anon_sym_EQ] = ACTIONS(2462),
    [sym_comment] = ACTIONS(3),
  },
  [1125] = {
    [anon_sym_LPAREN] = ACTIONS(1981),
    [sym_comment] = ACTIONS(3),
  },
  [1126] = {
    [sym_identifier] = ACTIONS(2934),
    [sym_comment] = ACTIONS(3),
  },
  [1127] = {
    [sym_identifier] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
  },
  [1128] = {
    [anon_sym_RBRACE] = ACTIONS(2938),
    [sym_comment] = ACTIONS(3),
  },
  [1129] = {
    [sym_identifier] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
  },
  [1130] = {
    [sym_identifier] = ACTIONS(2942),
    [sym_comment] = ACTIONS(3),
  },
  [1131] = {
    [anon_sym_function] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = false}, RECOVER(),
  [3] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [5] = {.count = 1, .reusable = true}, REDUCE(sym_program, 0),
  [7] = {.count = 1, .reusable = false}, SHIFT(298),
  [9] = {.count = 1, .reusable = true}, SHIFT(13),
  [11] = {.count = 1, .reusable = false}, SHIFT(588),
  [13] = {.count = 1, .reusable = true}, SHIFT(5),
  [15] = {.count = 1, .reusable = false}, SHIFT(313),
  [17] = {.count = 1, .reusable = false}, SHIFT(694),
  [19] = {.count = 1, .reusable = false}, SHIFT(690),
  [21] = {.count = 1, .reusable = false}, SHIFT(943),
  [23] = {.count = 1, .reusable = false}, SHIFT(931),
  [25] = {.count = 1, .reusable = false}, SHIFT(840),
  [27] = {.count = 1, .reusable = true}, SHIFT(70),
  [29] = {.count = 1, .reusable = false}, SHIFT(136),
  [31] = {.count = 1, .reusable = false}, SHIFT(986),
  [33] = {.count = 1, .reusable = false}, SHIFT(38),
  [35] = {.count = 1, .reusable = false}, SHIFT(994),
  [37] = {.count = 1, .reusable = false}, SHIFT(1033),
  [39] = {.count = 1, .reusable = false}, SHIFT(808),
  [41] = {.count = 1, .reusable = false}, SHIFT(809),
  [43] = {.count = 1, .reusable = false}, SHIFT(1030),
  [45] = {.count = 1, .reusable = false}, SHIFT(76),
  [47] = {.count = 1, .reusable = false}, SHIFT(79),
  [49] = {.count = 1, .reusable = true}, SHIFT(190),
  [51] = {.count = 1, .reusable = false}, SHIFT(44),
  [53] = {.count = 1, .reusable = true}, SHIFT(66),
  [55] = {.count = 1, .reusable = true}, SHIFT(710),
  [57] = {.count = 1, .reusable = false}, SHIFT(1042),
  [59] = {.count = 1, .reusable = false}, SHIFT(711),
  [61] = {.count = 1, .reusable = false}, SHIFT(257),
  [63] = {.count = 1, .reusable = false}, SHIFT(749),
  [65] = {.count = 1, .reusable = false}, SHIFT(97),
  [67] = {.count = 1, .reusable = false}, SHIFT(150),
  [69] = {.count = 1, .reusable = true}, SHIFT(155),
  [71] = {.count = 1, .reusable = false}, SHIFT(162),
  [73] = {.count = 1, .reusable = true}, SHIFT(166),
  [75] = {.count = 1, .reusable = true}, SHIFT(751),
  [77] = {.count = 1, .reusable = true}, SHIFT(757),
  [79] = {.count = 1, .reusable = true}, SHIFT(688),
  [81] = {.count = 1, .reusable = true}, SHIFT(478),
  [83] = {.count = 1, .reusable = false}, SHIFT(478),
  [85] = {.count = 1, .reusable = false}, SHIFT(691),
  [87] = {.count = 1, .reusable = true}, SHIFT(678),
  [89] = {.count = 1, .reusable = false}, SHIFT(287),
  [91] = {.count = 1, .reusable = false}, SHIFT(279),
  [93] = {.count = 1, .reusable = true}, SHIFT(635),
  [95] = {.count = 1, .reusable = true}, SHIFT(575),
  [97] = {.count = 1, .reusable = true}, SHIFT(371),
  [99] = {.count = 1, .reusable = true}, SHIFT(62),
  [101] = {.count = 1, .reusable = false}, SHIFT(177),
  [103] = {.count = 1, .reusable = true}, SHIFT(144),
  [105] = {.count = 1, .reusable = true}, SHIFT(531),
  [107] = {.count = 1, .reusable = false}, SHIFT(186),
  [109] = {.count = 1, .reusable = false}, SHIFT(185),
  [111] = {.count = 1, .reusable = true}, SHIFT(466),
  [113] = {.count = 1, .reusable = false}, SHIFT(278),
  [115] = {.count = 1, .reusable = true}, SHIFT(339),
  [117] = {.count = 1, .reusable = false}, SHIFT(176),
  [119] = {.count = 1, .reusable = false}, SHIFT(183),
  [121] = {.count = 1, .reusable = false}, SHIFT(182),
  [123] = {.count = 1, .reusable = true}, SHIFT(45),
  [125] = {.count = 1, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2),
  [127] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(298),
  [130] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(588),
  [133] = {.count = 1, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2),
  [135] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5),
  [138] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(313),
  [141] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(694),
  [144] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(690),
  [147] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(943),
  [150] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(931),
  [153] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(840),
  [156] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(70),
  [159] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(136),
  [162] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(986),
  [165] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(38),
  [168] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(994),
  [171] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1033),
  [174] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(808),
  [177] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(809),
  [180] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1030),
  [183] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(76),
  [186] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(79),
  [189] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(190),
  [192] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(44),
  [195] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(66),
  [198] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(710),
  [201] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1042),
  [204] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(711),
  [207] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(257),
  [210] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(749),
  [213] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(97),
  [216] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(150),
  [219] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(155),
  [222] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(162),
  [225] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(166),
  [228] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(751),
  [231] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(757),
  [234] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(688),
  [237] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(478),
  [240] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(478),
  [243] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(691),
  [246] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(678),
  [249] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(287),
  [252] = {.count = 1, .reusable = false}, REDUCE(sym_switch_case, 4, .production_id = 63),
  [254] = {.count = 1, .reusable = true}, REDUCE(sym_switch_case, 4, .production_id = 63),
  [256] = {.count = 1, .reusable = false}, REDUCE(sym_switch_default, 3),
  [258] = {.count = 1, .reusable = true}, REDUCE(sym_switch_default, 3),
  [260] = {.count = 1, .reusable = false}, REDUCE(sym_switch_case, 3, .production_id = 63),
  [262] = {.count = 1, .reusable = true}, REDUCE(sym_switch_case, 3, .production_id = 63),
  [264] = {.count = 1, .reusable = false}, REDUCE(sym_switch_default, 2),
  [266] = {.count = 1, .reusable = true}, REDUCE(sym_switch_default, 2),
  [268] = {.count = 1, .reusable = true}, SHIFT(819),
  [270] = {.count = 1, .reusable = true}, SHIFT(178),
  [272] = {.count = 1, .reusable = true}, REDUCE(sym_program, 1),
  [274] = {.count = 1, .reusable = true}, SHIFT(59),
  [276] = {.count = 1, .reusable = true}, SHIFT(356),
  [278] = {.count = 1, .reusable = true}, SHIFT(46),
  [280] = {.count = 1, .reusable = true}, SHIFT(205),
  [282] = {.count = 1, .reusable = true}, SHIFT(196),
  [284] = {.count = 1, .reusable = true}, SHIFT(353),
  [286] = {.count = 1, .reusable = true}, SHIFT(179),
  [288] = {.count = 1, .reusable = true}, REDUCE(sym_program, 2),
  [290] = {.count = 1, .reusable = false}, SHIFT(297),
  [292] = {.count = 1, .reusable = false}, SHIFT(584),
  [294] = {.count = 1, .reusable = true}, SHIFT(2),
  [296] = {.count = 1, .reusable = false}, SHIFT(1024),
  [298] = {.count = 1, .reusable = false}, SHIFT(810),
  [300] = {.count = 1, .reusable = false}, SHIFT(1026),
  [302] = {.count = 1, .reusable = false}, SHIFT(1027),
  [304] = {.count = 1, .reusable = false}, SHIFT(713),
  [306] = {.count = 1, .reusable = false}, SHIFT(258),
  [308] = {.count = 1, .reusable = false}, SHIFT(792),
  [310] = {.count = 1, .reusable = false}, SHIFT(289),
  [312] = {.count = 1, .reusable = false}, SHIFT(280),
  [314] = {.count = 1, .reusable = false}, SHIFT(119),
  [316] = {.count = 1, .reusable = true}, SHIFT(573),
  [318] = {.count = 1, .reusable = true}, REDUCE(sym_yield_expression, 1),
  [320] = {.count = 1, .reusable = false}, SHIFT(440),
  [322] = {.count = 1, .reusable = true}, SHIFT(63),
  [324] = {.count = 1, .reusable = false}, SHIFT(138),
  [326] = {.count = 1, .reusable = false}, REDUCE(sym_yield_expression, 1),
  [328] = {.count = 1, .reusable = false}, SHIFT(43),
  [330] = {.count = 1, .reusable = true}, SHIFT(68),
  [332] = {.count = 1, .reusable = false}, SHIFT(708),
  [334] = {.count = 1, .reusable = false}, SHIFT(1045),
  [336] = {.count = 1, .reusable = false}, SHIFT(718),
  [338] = {.count = 1, .reusable = false}, SHIFT(225),
  [340] = {.count = 1, .reusable = false}, SHIFT(800),
  [342] = {.count = 1, .reusable = false}, SHIFT(108),
  [344] = {.count = 1, .reusable = false}, SHIFT(125),
  [346] = {.count = 1, .reusable = false}, SHIFT(154),
  [348] = {.count = 1, .reusable = true}, SHIFT(154),
  [350] = {.count = 1, .reusable = false}, SHIFT(117),
  [352] = {.count = 1, .reusable = true}, SHIFT(118),
  [354] = {.count = 1, .reusable = true}, SHIFT(781),
  [356] = {.count = 1, .reusable = true}, SHIFT(780),
  [358] = {.count = 1, .reusable = true}, SHIFT(697),
  [360] = {.count = 1, .reusable = true}, SHIFT(328),
  [362] = {.count = 1, .reusable = false}, SHIFT(328),
  [364] = {.count = 1, .reusable = false}, SHIFT(695),
  [366] = {.count = 1, .reusable = false}, SHIFT(273),
  [368] = {.count = 1, .reusable = false}, SHIFT(294),
  [370] = {.count = 1, .reusable = false}, SHIFT(132),
  [372] = {.count = 1, .reusable = true}, SHIFT(574),
  [374] = {.count = 1, .reusable = false}, SHIFT(509),
  [376] = {.count = 1, .reusable = false}, SHIFT(710),
  [378] = {.count = 1, .reusable = false}, SHIFT(724),
  [380] = {.count = 1, .reusable = false}, SHIFT(256),
  [382] = {.count = 1, .reusable = false}, SHIFT(747),
  [384] = {.count = 1, .reusable = false}, SHIFT(155),
  [386] = {.count = 1, .reusable = true}, SHIFT(423),
  [388] = {.count = 1, .reusable = false}, SHIFT(423),
  [390] = {.count = 1, .reusable = false}, SHIFT(293),
  [392] = {.count = 1, .reusable = true}, REDUCE(sym_statement_block, 2),
  [394] = {.count = 1, .reusable = false}, REDUCE(sym_statement_block, 2),
  [396] = {.count = 1, .reusable = false}, REDUCE(sym_object, 2),
  [398] = {.count = 1, .reusable = true}, REDUCE(sym_object, 2),
  [400] = {.count = 1, .reusable = true}, SHIFT(181),
  [402] = {.count = 1, .reusable = true}, SHIFT(54),
  [404] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 5, .production_id = 91),
  [406] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 5, .production_id = 91),
  [408] = {.count = 1, .reusable = false}, REDUCE(sym_class, 5, .production_id = 91),
  [410] = {.count = 1, .reusable = true}, REDUCE(sym_class, 5, .production_id = 91),
  [412] = {.count = 1, .reusable = true}, SHIFT(246),
  [414] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 3, .production_id = 37),
  [416] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 3, .production_id = 37),
  [418] = {.count = 1, .reusable = false}, REDUCE(sym_class, 3, .production_id = 37),
  [420] = {.count = 1, .reusable = true}, REDUCE(sym_class, 3, .production_id = 37),
  [422] = {.count = 1, .reusable = true}, SHIFT(233),
  [424] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function_declaration, 5, .production_id = 87),
  [426] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function_declaration, 5, .production_id = 87),
  [428] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function, 5, .production_id = 87),
  [430] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function, 5, .production_id = 87),
  [432] = {.count = 1, .reusable = true}, SHIFT(248),
  [434] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 4, .production_id = 80),
  [436] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 4, .production_id = 80),
  [438] = {.count = 1, .reusable = false}, REDUCE(sym_class, 4, .production_id = 80),
  [440] = {.count = 1, .reusable = true}, REDUCE(sym_class, 4, .production_id = 80),
  [442] = {.count = 1, .reusable = true}, SHIFT(240),
  [444] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 5, .production_id = 87),
  [446] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 5, .production_id = 87),
  [448] = {.count = 1, .reusable = false}, REDUCE(sym_function, 5, .production_id = 87),
  [450] = {.count = 1, .reusable = true}, REDUCE(sym_function, 5, .production_id = 87),
  [452] = {.count = 1, .reusable = true}, SHIFT(249),
  [454] = {.count = 1, .reusable = true}, REDUCE(sym_statement_block, 4),
  [456] = {.count = 1, .reusable = false}, REDUCE(sym_statement_block, 4),
  [458] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 4, .production_id = 78),
  [460] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 4, .production_id = 78),
  [462] = {.count = 1, .reusable = false}, REDUCE(sym_function, 4, .production_id = 78),
  [464] = {.count = 1, .reusable = true}, REDUCE(sym_function, 4, .production_id = 78),
  [466] = {.count = 1, .reusable = true}, SHIFT(247),
  [468] = {.count = 1, .reusable = true}, REDUCE(sym_statement_block, 3),
  [470] = {.count = 1, .reusable = false}, REDUCE(sym_statement_block, 3),
  [472] = {.count = 1, .reusable = true}, REDUCE(sym_class_body, 2),
  [474] = {.count = 1, .reusable = false}, REDUCE(sym_class_body, 2),
  [476] = {.count = 1, .reusable = true}, REDUCE(sym_class_body, 3, .production_id = 71),
  [478] = {.count = 1, .reusable = false}, REDUCE(sym_class_body, 3, .production_id = 71),
  [480] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function_declaration, 6, .production_id = 97),
  [482] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function_declaration, 6, .production_id = 97),
  [484] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function, 6, .production_id = 97),
  [486] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function, 6, .production_id = 97),
  [488] = {.count = 1, .reusable = true}, SHIFT(232),
  [490] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 4, .production_id = 73),
  [492] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 4, .production_id = 73),
  [494] = {.count = 1, .reusable = false}, REDUCE(sym_class, 4, .production_id = 73),
  [496] = {.count = 1, .reusable = true}, REDUCE(sym_class, 4, .production_id = 73),
  [498] = {.count = 1, .reusable = true}, SHIFT(243),
  [500] = {.count = 1, .reusable = true}, SHIFT(52),
  [502] = {.count = 1, .reusable = false}, SHIFT(296),
  [504] = {.count = 1, .reusable = false}, SHIFT(90),
  [506] = {.count = 1, .reusable = false}, SHIFT(91),
  [508] = {.count = 1, .reusable = false}, SHIFT(255),
  [510] = {.count = 1, .reusable = false}, SHIFT(288),
  [512] = {.count = 1, .reusable = true}, SHIFT(67),
  [514] = {.count = 1, .reusable = true}, SHIFT(403),
  [516] = {.count = 1, .reusable = true}, SHIFT(708),
  [518] = {.count = 1, .reusable = true}, SHIFT(487),
  [520] = {.count = 1, .reusable = false}, SHIFT(487),
  [522] = {.count = 1, .reusable = false}, SHIFT(302),
  [524] = {.count = 1, .reusable = true}, SHIFT(963),
  [526] = {.count = 1, .reusable = false}, SHIFT(259),
  [528] = {.count = 1, .reusable = true}, SHIFT(728),
  [530] = {.count = 1, .reusable = true}, SHIFT(533),
  [532] = {.count = 1, .reusable = false}, SHIFT(533),
  [534] = {.count = 1, .reusable = false}, SHIFT(299),
  [536] = {.count = 1, .reusable = true}, SHIFT(304),
  [538] = {.count = 1, .reusable = true}, SHIFT(484),
  [540] = {.count = 1, .reusable = false}, SHIFT(484),
  [542] = {.count = 1, .reusable = true}, SHIFT(340),
  [544] = {.count = 1, .reusable = true}, SHIFT(480),
  [546] = {.count = 1, .reusable = false}, SHIFT(480),
  [548] = {.count = 1, .reusable = true}, SHIFT(473),
  [550] = {.count = 1, .reusable = false}, SHIFT(473),
  [552] = {.count = 1, .reusable = true}, REDUCE(aux_sym_array_repeat1, 1),
  [554] = {.count = 1, .reusable = true}, SHIFT(486),
  [556] = {.count = 1, .reusable = false}, SHIFT(486),
  [558] = {.count = 1, .reusable = true}, SHIFT(476),
  [560] = {.count = 1, .reusable = false}, SHIFT(476),
  [562] = {.count = 1, .reusable = true}, SHIFT(558),
  [564] = {.count = 1, .reusable = true}, SHIFT(482),
  [566] = {.count = 1, .reusable = false}, SHIFT(482),
  [568] = {.count = 1, .reusable = true}, SHIFT(548),
  [570] = {.count = 1, .reusable = false}, SHIFT(548),
  [572] = {.count = 1, .reusable = true}, SHIFT(743),
  [574] = {.count = 1, .reusable = true}, SHIFT(493),
  [576] = {.count = 1, .reusable = false}, SHIFT(493),
  [578] = {.count = 1, .reusable = true}, SHIFT(846),
  [580] = {.count = 1, .reusable = true}, SHIFT(490),
  [582] = {.count = 1, .reusable = false}, SHIFT(490),
  [584] = {.count = 1, .reusable = false}, SHIFT(307),
  [586] = {.count = 1, .reusable = false}, SHIFT(126),
  [588] = {.count = 1, .reusable = false}, SHIFT(260),
  [590] = {.count = 1, .reusable = true}, SHIFT(570),
  [592] = {.count = 1, .reusable = false}, SHIFT(570),
  [594] = {.count = 1, .reusable = false}, SHIFT(310),
  [596] = {.count = 1, .reusable = true}, SHIFT(251),
  [598] = {.count = 1, .reusable = true}, SHIFT(469),
  [600] = {.count = 1, .reusable = false}, SHIFT(469),
  [602] = {.count = 1, .reusable = true}, SHIFT(33),
  [604] = {.count = 1, .reusable = true}, SHIFT(530),
  [606] = {.count = 1, .reusable = false}, SHIFT(530),
  [608] = {.count = 1, .reusable = true}, SHIFT(31),
  [610] = {.count = 1, .reusable = true}, SHIFT(500),
  [612] = {.count = 1, .reusable = false}, SHIFT(500),
  [614] = {.count = 1, .reusable = true}, SHIFT(470),
  [616] = {.count = 1, .reusable = false}, SHIFT(470),
  [618] = {.count = 1, .reusable = true}, SHIFT(508),
  [620] = {.count = 1, .reusable = false}, SHIFT(508),
  [622] = {.count = 1, .reusable = true}, SHIFT(4),
  [624] = {.count = 1, .reusable = true}, SHIFT(319),
  [626] = {.count = 1, .reusable = false}, SHIFT(319),
  [628] = {.count = 1, .reusable = true}, SHIFT(3),
  [630] = {.count = 1, .reusable = true}, SHIFT(402),
  [632] = {.count = 1, .reusable = false}, SHIFT(402),
  [634] = {.count = 1, .reusable = true}, SHIFT(505),
  [636] = {.count = 1, .reusable = false}, SHIFT(505),
  [638] = {.count = 1, .reusable = true}, SHIFT(320),
  [640] = {.count = 1, .reusable = false}, SHIFT(320),
  [642] = {.count = 1, .reusable = true}, SHIFT(497),
  [644] = {.count = 1, .reusable = false}, SHIFT(497),
  [646] = {.count = 1, .reusable = true}, SHIFT(472),
  [648] = {.count = 1, .reusable = false}, SHIFT(472),
  [650] = {.count = 1, .reusable = true}, SHIFT(337),
  [652] = {.count = 1, .reusable = false}, SHIFT(337),
  [654] = {.count = 1, .reusable = true}, SHIFT(342),
  [656] = {.count = 1, .reusable = false}, SHIFT(342),
  [658] = {.count = 1, .reusable = false}, SHIFT(283),
  [660] = {.count = 1, .reusable = false}, SHIFT(267),
  [662] = {.count = 1, .reusable = false}, SHIFT(308),
  [664] = {.count = 1, .reusable = true}, SHIFT(517),
  [666] = {.count = 1, .reusable = false}, SHIFT(517),
  [668] = {.count = 1, .reusable = true}, SHIFT(511),
  [670] = {.count = 1, .reusable = false}, SHIFT(511),
  [672] = {.count = 1, .reusable = true}, SHIFT(390),
  [674] = {.count = 1, .reusable = false}, SHIFT(390),
  [676] = {.count = 1, .reusable = true}, SHIFT(494),
  [678] = {.count = 1, .reusable = false}, SHIFT(494),
  [680] = {.count = 1, .reusable = true}, SHIFT(506),
  [682] = {.count = 1, .reusable = false}, SHIFT(506),
  [684] = {.count = 1, .reusable = false}, SHIFT(282),
  [686] = {.count = 1, .reusable = false}, SHIFT(1122),
  [688] = {.count = 1, .reusable = false}, SHIFT(254),
  [690] = {.count = 1, .reusable = true}, SHIFT(485),
  [692] = {.count = 1, .reusable = false}, SHIFT(485),
  [694] = {.count = 1, .reusable = false}, SHIFT(689),
  [696] = {.count = 1, .reusable = false}, SHIFT(284),
  [698] = {.count = 1, .reusable = true}, SHIFT(422),
  [700] = {.count = 1, .reusable = false}, SHIFT(422),
  [702] = {.count = 1, .reusable = true}, SHIFT(372),
  [704] = {.count = 1, .reusable = false}, SHIFT(372),
  [706] = {.count = 1, .reusable = true}, SHIFT(330),
  [708] = {.count = 1, .reusable = false}, SHIFT(330),
  [710] = {.count = 1, .reusable = true}, SHIFT(516),
  [712] = {.count = 1, .reusable = false}, SHIFT(516),
  [714] = {.count = 1, .reusable = true}, SHIFT(354),
  [716] = {.count = 1, .reusable = false}, SHIFT(354),
  [718] = {.count = 1, .reusable = true}, SHIFT(348),
  [720] = {.count = 1, .reusable = false}, SHIFT(348),
  [722] = {.count = 1, .reusable = true}, SHIFT(527),
  [724] = {.count = 1, .reusable = false}, SHIFT(527),
  [726] = {.count = 1, .reusable = true}, SHIFT(491),
  [728] = {.count = 1, .reusable = false}, SHIFT(491),
  [730] = {.count = 1, .reusable = true}, SHIFT(519),
  [732] = {.count = 1, .reusable = false}, SHIFT(519),
  [734] = {.count = 1, .reusable = true}, SHIFT(401),
  [736] = {.count = 1, .reusable = false}, SHIFT(401),
  [738] = {.count = 1, .reusable = false}, SHIFT(271),
  [740] = {.count = 1, .reusable = false}, SHIFT(1072),
  [742] = {.count = 1, .reusable = false}, SHIFT(188),
  [744] = {.count = 1, .reusable = true}, SHIFT(355),
  [746] = {.count = 1, .reusable = false}, SHIFT(355),
  [748] = {.count = 1, .reusable = false}, SHIFT(272),
  [750] = {.count = 1, .reusable = true}, SHIFT(514),
  [752] = {.count = 1, .reusable = false}, SHIFT(514),
  [754] = {.count = 1, .reusable = true}, SHIFT(518),
  [756] = {.count = 1, .reusable = false}, SHIFT(518),
  [758] = {.count = 1, .reusable = true}, SHIFT(405),
  [760] = {.count = 1, .reusable = false}, SHIFT(405),
  [762] = {.count = 1, .reusable = true}, SHIFT(550),
  [764] = {.count = 1, .reusable = false}, SHIFT(550),
  [766] = {.count = 1, .reusable = true}, SHIFT(391),
  [768] = {.count = 1, .reusable = false}, SHIFT(391),
  [770] = {.count = 1, .reusable = true}, SHIFT(477),
  [772] = {.count = 1, .reusable = false}, SHIFT(477),
  [774] = {.count = 1, .reusable = true}, SHIFT(560),
  [776] = {.count = 1, .reusable = false}, SHIFT(560),
  [778] = {.count = 1, .reusable = true}, SHIFT(483),
  [780] = {.count = 1, .reusable = false}, SHIFT(483),
  [782] = {.count = 1, .reusable = true}, SHIFT(323),
  [784] = {.count = 1, .reusable = false}, SHIFT(323),
  [786] = {.count = 1, .reusable = true}, SHIFT(346),
  [788] = {.count = 1, .reusable = false}, SHIFT(346),
  [790] = {.count = 1, .reusable = true}, SHIFT(318),
  [792] = {.count = 1, .reusable = false}, SHIFT(318),
  [794] = {.count = 1, .reusable = true}, SHIFT(564),
  [796] = {.count = 1, .reusable = false}, SHIFT(564),
  [798] = {.count = 1, .reusable = true}, SHIFT(417),
  [800] = {.count = 1, .reusable = false}, SHIFT(417),
  [802] = {.count = 1, .reusable = false}, SHIFT(306),
  [804] = {.count = 1, .reusable = true}, SHIFT(384),
  [806] = {.count = 1, .reusable = false}, SHIFT(384),
  [808] = {.count = 1, .reusable = true}, SHIFT(414),
  [810] = {.count = 1, .reusable = false}, SHIFT(414),
  [812] = {.count = 1, .reusable = true}, SHIFT(413),
  [814] = {.count = 1, .reusable = false}, SHIFT(413),
  [816] = {.count = 1, .reusable = true}, SHIFT(344),
  [818] = {.count = 1, .reusable = false}, SHIFT(344),
  [820] = {.count = 1, .reusable = false}, SHIFT(309),
  [822] = {.count = 1, .reusable = true}, SHIFT(468),
  [824] = {.count = 1, .reusable = false}, SHIFT(468),
  [826] = {.count = 1, .reusable = true}, SHIFT(332),
  [828] = {.count = 1, .reusable = false}, SHIFT(332),
  [830] = {.count = 1, .reusable = true}, SHIFT(412),
  [832] = {.count = 1, .reusable = false}, SHIFT(412),
  [834] = {.count = 1, .reusable = true}, SHIFT(411),
  [836] = {.count = 1, .reusable = false}, SHIFT(411),
  [838] = {.count = 1, .reusable = true}, SHIFT(410),
  [840] = {.count = 1, .reusable = false}, SHIFT(410),
  [842] = {.count = 1, .reusable = true}, SHIFT(424),
  [844] = {.count = 1, .reusable = false}, SHIFT(424),
  [846] = {.count = 1, .reusable = true}, SHIFT(409),
  [848] = {.count = 1, .reusable = false}, SHIFT(409),
  [850] = {.count = 1, .reusable = true}, SHIFT(565),
  [852] = {.count = 1, .reusable = false}, SHIFT(565),
  [854] = {.count = 1, .reusable = true}, SHIFT(407),
  [856] = {.count = 1, .reusable = false}, SHIFT(407),
  [858] = {.count = 1, .reusable = true}, SHIFT(427),
  [860] = {.count = 1, .reusable = false}, SHIFT(427),
  [862] = {.count = 1, .reusable = true}, SHIFT(404),
  [864] = {.count = 1, .reusable = false}, SHIFT(404),
  [866] = {.count = 1, .reusable = true}, SHIFT(327),
  [868] = {.count = 1, .reusable = false}, SHIFT(327),
  [870] = {.count = 1, .reusable = true}, SHIFT(563),
  [872] = {.count = 1, .reusable = false}, SHIFT(563),
  [874] = {.count = 1, .reusable = true}, SHIFT(322),
  [876] = {.count = 1, .reusable = false}, SHIFT(322),
  [878] = {.count = 1, .reusable = true}, SHIFT(551),
  [880] = {.count = 1, .reusable = false}, SHIFT(551),
  [882] = {.count = 1, .reusable = true}, SHIFT(488),
  [884] = {.count = 1, .reusable = false}, SHIFT(488),
  [886] = {.count = 1, .reusable = true}, SHIFT(447),
  [888] = {.count = 1, .reusable = false}, SHIFT(447),
  [890] = {.count = 1, .reusable = true}, SHIFT(317),
  [892] = {.count = 1, .reusable = false}, SHIFT(317),
  [894] = {.count = 1, .reusable = true}, SHIFT(566),
  [896] = {.count = 1, .reusable = false}, SHIFT(566),
  [898] = {.count = 1, .reusable = true}, SHIFT(452),
  [900] = {.count = 1, .reusable = false}, SHIFT(452),
  [902] = {.count = 1, .reusable = true}, SHIFT(451),
  [904] = {.count = 1, .reusable = false}, SHIFT(451),
  [906] = {.count = 1, .reusable = true}, SHIFT(475),
  [908] = {.count = 1, .reusable = false}, SHIFT(475),
  [910] = {.count = 1, .reusable = true}, SHIFT(375),
  [912] = {.count = 1, .reusable = false}, SHIFT(375),
  [914] = {.count = 1, .reusable = true}, SHIFT(387),
  [916] = {.count = 1, .reusable = false}, SHIFT(387),
  [918] = {.count = 1, .reusable = true}, SHIFT(367),
  [920] = {.count = 1, .reusable = false}, SHIFT(367),
  [922] = {.count = 1, .reusable = true}, SHIFT(449),
  [924] = {.count = 1, .reusable = false}, SHIFT(449),
  [926] = {.count = 1, .reusable = true}, SHIFT(334),
  [928] = {.count = 1, .reusable = false}, SHIFT(334),
  [930] = {.count = 1, .reusable = true}, SHIFT(374),
  [932] = {.count = 1, .reusable = false}, SHIFT(374),
  [934] = {.count = 1, .reusable = true}, SHIFT(499),
  [936] = {.count = 1, .reusable = false}, SHIFT(499),
  [938] = {.count = 1, .reusable = true}, SHIFT(373),
  [940] = {.count = 1, .reusable = false}, SHIFT(373),
  [942] = {.count = 1, .reusable = true}, SHIFT(350),
  [944] = {.count = 1, .reusable = false}, SHIFT(350),
  [946] = {.count = 1, .reusable = true}, SHIFT(556),
  [948] = {.count = 1, .reusable = false}, SHIFT(556),
  [950] = {.count = 1, .reusable = true}, SHIFT(555),
  [952] = {.count = 1, .reusable = false}, SHIFT(555),
  [954] = {.count = 1, .reusable = true}, SHIFT(549),
  [956] = {.count = 1, .reusable = false}, SHIFT(549),
  [958] = {.count = 1, .reusable = true}, SHIFT(370),
  [960] = {.count = 1, .reusable = false}, SHIFT(370),
  [962] = {.count = 1, .reusable = true}, SHIFT(347),
  [964] = {.count = 1, .reusable = false}, SHIFT(347),
  [966] = {.count = 1, .reusable = true}, SHIFT(314),
  [968] = {.count = 1, .reusable = false}, SHIFT(314),
  [970] = {.count = 1, .reusable = true}, SHIFT(455),
  [972] = {.count = 1, .reusable = false}, SHIFT(455),
  [974] = {.count = 1, .reusable = true}, SHIFT(369),
  [976] = {.count = 1, .reusable = false}, SHIFT(369),
  [978] = {.count = 1, .reusable = true}, SHIFT(454),
  [980] = {.count = 1, .reusable = false}, SHIFT(454),
  [982] = {.count = 1, .reusable = true}, SHIFT(453),
  [984] = {.count = 1, .reusable = false}, SHIFT(453),
  [986] = {.count = 1, .reusable = true}, SHIFT(331),
  [988] = {.count = 1, .reusable = false}, SHIFT(331),
  [990] = {.count = 1, .reusable = true}, SHIFT(333),
  [992] = {.count = 1, .reusable = false}, SHIFT(333),
  [994] = {.count = 1, .reusable = true}, SHIFT(335),
  [996] = {.count = 1, .reusable = false}, SHIFT(335),
  [998] = {.count = 1, .reusable = true}, SHIFT(336),
  [1000] = {.count = 1, .reusable = false}, SHIFT(336),
  [1002] = {.count = 1, .reusable = true}, SHIFT(315),
  [1004] = {.count = 1, .reusable = false}, SHIFT(315),
  [1006] = {.count = 1, .reusable = true}, SHIFT(338),
  [1008] = {.count = 1, .reusable = false}, SHIFT(338),
  [1010] = {.count = 1, .reusable = true}, SHIFT(343),
  [1012] = {.count = 1, .reusable = false}, SHIFT(343),
  [1014] = {.count = 1, .reusable = false}, SHIFT(959),
  [1016] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(637),
  [1019] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1),
  [1021] = {.count = 1, .reusable = true}, SHIFT(326),
  [1023] = {.count = 3, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(620),
  [1027] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 1),
  [1029] = {.count = 2, .reusable = true}, REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(35),
  [1032] = {.count = 1, .reusable = false}, SHIFT(153),
  [1034] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(139),
  [1037] = {.count = 1, .reusable = false}, SHIFT(1118),
  [1039] = {.count = 1, .reusable = false}, SHIFT(980),
  [1041] = {.count = 1, .reusable = false}, SHIFT(776),
  [1043] = {.count = 1, .reusable = true}, SHIFT(99),
  [1045] = {.count = 1, .reusable = true}, SHIFT(157),
  [1047] = {.count = 1, .reusable = true}, SHIFT(1005),
  [1049] = {.count = 1, .reusable = false}, SHIFT(610),
  [1051] = {.count = 1, .reusable = true}, SHIFT(383),
  [1053] = {.count = 1, .reusable = true}, SHIFT(184),
  [1055] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 2, .production_id = 8),
  [1057] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 2, .production_id = 8),
  [1059] = {.count = 1, .reusable = false}, SHIFT(865),
  [1061] = {.count = 1, .reusable = false}, SHIFT(926),
  [1063] = {.count = 1, .reusable = false}, SHIFT(1125),
  [1065] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [1068] = {.count = 1, .reusable = false}, SHIFT(612),
  [1070] = {.count = 1, .reusable = false}, SHIFT(625),
  [1072] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 3, .production_id = 28),
  [1074] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 3, .production_id = 28),
  [1076] = {.count = 1, .reusable = false}, SHIFT(1075),
  [1078] = {.count = 1, .reusable = false}, REDUCE(sym_new_expression, 2, .production_id = 9),
  [1080] = {.count = 1, .reusable = true}, REDUCE(sym_new_expression, 2, .production_id = 9),
  [1082] = {.count = 1, .reusable = false}, SHIFT(140),
  [1084] = {.count = 1, .reusable = true}, SHIFT(1077),
  [1086] = {.count = 1, .reusable = false}, SHIFT(1076),
  [1088] = {.count = 1, .reusable = false}, SHIFT(785),
  [1090] = {.count = 1, .reusable = true}, SHIFT(89),
  [1092] = {.count = 1, .reusable = true}, SHIFT(145),
  [1094] = {.count = 1, .reusable = true}, REDUCE(sym_empty_statement, 1),
  [1096] = {.count = 1, .reusable = false}, REDUCE(sym_empty_statement, 1),
  [1098] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 5, .production_id = 104),
  [1100] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 5, .production_id = 104),
  [1102] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 2),
  [1104] = {.count = 1, .reusable = false}, REDUCE(sym_expression_statement, 2),
  [1106] = {.count = 1, .reusable = true}, SHIFT(197),
  [1108] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 5, .production_id = 105),
  [1110] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 5, .production_id = 105),
  [1112] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 2, .production_id = 8),
  [1114] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 2, .production_id = 8),
  [1116] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 5, .production_id = 103),
  [1118] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 5, .production_id = 103),
  [1120] = {.count = 1, .reusable = true}, SHIFT(194),
  [1122] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 5, .production_id = 90),
  [1124] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 5, .production_id = 90),
  [1126] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5, .production_id = 83),
  [1128] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5, .production_id = 83),
  [1130] = {.count = 1, .reusable = true}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 39),
  [1132] = {.count = 1, .reusable = false}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 39),
  [1134] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 3, .production_id = 55),
  [1136] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 3, .production_id = 55),
  [1138] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 4, .production_id = 56),
  [1140] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 4, .production_id = 56),
  [1142] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 4, .production_id = 57),
  [1144] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 4, .production_id = 57),
  [1146] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 2, .production_id = 3),
  [1148] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 2, .production_id = 3),
  [1150] = {.count = 1, .reusable = true}, REDUCE(sym_import_statement, 4, .production_id = 56),
  [1152] = {.count = 1, .reusable = false}, REDUCE(sym_import_statement, 4, .production_id = 56),
  [1154] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declaration, 4),
  [1156] = {.count = 1, .reusable = false}, REDUCE(sym_variable_declaration, 4),
  [1158] = {.count = 1, .reusable = true}, REDUCE(sym_lexical_declaration, 4),
  [1160] = {.count = 1, .reusable = false}, REDUCE(sym_lexical_declaration, 4),
  [1162] = {.count = 1, .reusable = true}, REDUCE(sym_switch_body, 2),
  [1164] = {.count = 1, .reusable = false}, REDUCE(sym_switch_body, 2),
  [1166] = {.count = 1, .reusable = true}, REDUCE(sym_throw_statement, 3),
  [1168] = {.count = 1, .reusable = false}, REDUCE(sym_throw_statement, 3),
  [1170] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 3),
  [1172] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 3),
  [1174] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 3, .production_id = 31),
  [1176] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 3, .production_id = 31),
  [1178] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 3, .production_id = 31),
  [1180] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 3, .production_id = 31),
  [1182] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 3, .production_id = 30),
  [1184] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 3, .production_id = 30),
  [1186] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(620),
  [1189] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 3, .production_id = 29),
  [1191] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 3, .production_id = 29),
  [1193] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 4, .production_id = 64),
  [1195] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 4, .production_id = 64),
  [1197] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 3),
  [1199] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 3),
  [1201] = {.count = 1, .reusable = true}, REDUCE(sym_finally_clause, 2, .production_id = 8),
  [1203] = {.count = 1, .reusable = false}, REDUCE(sym_finally_clause, 2, .production_id = 8),
  [1205] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 3, .production_id = 27),
  [1207] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 3, .production_id = 27),
  [1209] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 4, .production_id = 65),
  [1211] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 4, .production_id = 65),
  [1213] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function_declaration, 7, .production_id = 97),
  [1215] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function_declaration, 7, .production_id = 97),
  [1217] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 4, .production_id = 37),
  [1219] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 4, .production_id = 37),
  [1221] = {.count = 1, .reusable = true}, REDUCE(sym_switch_statement, 3, .production_id = 23),
  [1223] = {.count = 1, .reusable = false}, REDUCE(sym_switch_statement, 3, .production_id = 23),
  [1225] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 7, .production_id = 102),
  [1227] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 7, .production_id = 102),
  [1229] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 6, .production_id = 94),
  [1231] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 6, .production_id = 94),
  [1233] = {.count = 1, .reusable = true}, REDUCE(sym_switch_body, 3),
  [1235] = {.count = 1, .reusable = false}, REDUCE(sym_switch_body, 3),
  [1237] = {.count = 1, .reusable = true}, REDUCE(sym_lexical_declaration, 3),
  [1239] = {.count = 1, .reusable = false}, REDUCE(sym_lexical_declaration, 3),
  [1241] = {.count = 1, .reusable = true}, REDUCE(sym_do_statement, 5, .production_id = 84),
  [1243] = {.count = 1, .reusable = false}, REDUCE(sym_do_statement, 5, .production_id = 84),
  [1245] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 5, .production_id = 80),
  [1247] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 5, .production_id = 80),
  [1249] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 3, .production_id = 24),
  [1251] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 3, .production_id = 24),
  [1253] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 2),
  [1255] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 2),
  [1257] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 5, .production_id = 73),
  [1259] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 5, .production_id = 73),
  [1261] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 2),
  [1263] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 2),
  [1265] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 3, .production_id = 22),
  [1267] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 3, .production_id = 22),
  [1269] = {.count = 1, .reusable = false}, SHIFT(37),
  [1271] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 6, .production_id = 91),
  [1273] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 6, .production_id = 91),
  [1275] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 5, .production_id = 78),
  [1277] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 5, .production_id = 78),
  [1279] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function_declaration, 6, .production_id = 87),
  [1281] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function_declaration, 6, .production_id = 87),
  [1283] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 6, .production_id = 87),
  [1285] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 6, .production_id = 87),
  [1287] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declaration, 3),
  [1289] = {.count = 1, .reusable = false}, REDUCE(sym_variable_declaration, 3),
  [1291] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 2),
  [1293] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 2),
  [1295] = {.count = 1, .reusable = true}, REDUCE(sym_debugger_statement, 2),
  [1297] = {.count = 1, .reusable = false}, REDUCE(sym_debugger_statement, 2),
  [1299] = {.count = 1, .reusable = true}, REDUCE(sym_import_statement, 3, .production_id = 18),
  [1301] = {.count = 1, .reusable = false}, REDUCE(sym_import_statement, 3, .production_id = 18),
  [1303] = {.count = 1, .reusable = false}, SHIFT(1120),
  [1305] = {.count = 1, .reusable = true}, SHIFT(1118),
  [1307] = {.count = 1, .reusable = false}, SHIFT(1119),
  [1309] = {.count = 1, .reusable = false}, SHIFT(769),
  [1311] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(96),
  [1314] = {.count = 1, .reusable = false}, SHIFT(96),
  [1316] = {.count = 1, .reusable = false}, SHIFT(152),
  [1318] = {.count = 1, .reusable = true}, SHIFT(35),
  [1320] = {.count = 1, .reusable = true}, SHIFT(39),
  [1322] = {.count = 1, .reusable = false}, SHIFT(793),
  [1324] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(624),
  [1327] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(957),
  [1330] = {.count = 1, .reusable = false}, SHIFT(161),
  [1332] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 6, .production_id = 100),
  [1334] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 6, .production_id = 100),
  [1336] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 6, .production_id = 98),
  [1338] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 6, .production_id = 98),
  [1340] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 6, .production_id = 99),
  [1342] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 6, .production_id = 99),
  [1344] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 5, .production_id = 96),
  [1346] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 5, .production_id = 96),
  [1348] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_expression, 3),
  [1350] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_expression, 3),
  [1352] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 5, .production_id = 95),
  [1354] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 5, .production_id = 95),
  [1356] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(80),
  [1359] = {.count = 1, .reusable = false}, SHIFT(80),
  [1361] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 6, .production_id = 101),
  [1363] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 6, .production_id = 101),
  [1365] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 5, .production_id = 93),
  [1367] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 5, .production_id = 93),
  [1369] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 5, .production_id = 92),
  [1371] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 5, .production_id = 92),
  [1373] = {.count = 1, .reusable = false}, REDUCE(sym_new_expression, 2, .production_id = 10),
  [1375] = {.count = 1, .reusable = true}, REDUCE(sym_new_expression, 2, .production_id = 10),
  [1377] = {.count = 1, .reusable = true}, SHIFT(64),
  [1379] = {.count = 1, .reusable = false}, SHIFT(158),
  [1381] = {.count = 1, .reusable = true}, SHIFT(1071),
  [1383] = {.count = 1, .reusable = true}, SHIFT(103),
  [1385] = {.count = 1, .reusable = true}, SHIFT(163),
  [1387] = {.count = 1, .reusable = false}, REDUCE(sym_member_expression, 3, .production_id = 41),
  [1389] = {.count = 1, .reusable = true}, REDUCE(sym_member_expression, 3, .production_id = 41),
  [1391] = {.count = 1, .reusable = false}, REDUCE(sym_member_expression, 3, .production_id = 47),
  [1393] = {.count = 1, .reusable = true}, REDUCE(sym_member_expression, 3, .production_id = 47),
  [1395] = {.count = 1, .reusable = false}, REDUCE(sym_subscript_expression, 4, .production_id = 79),
  [1397] = {.count = 1, .reusable = true}, REDUCE(sym_subscript_expression, 4, .production_id = 79),
  [1399] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1),
  [1401] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1),
  [1403] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [1406] = {.count = 1, .reusable = false}, SHIFT(148),
  [1408] = {.count = 1, .reusable = true}, SHIFT(1089),
  [1410] = {.count = 1, .reusable = true}, SHIFT(94),
  [1412] = {.count = 1, .reusable = true}, SHIFT(113),
  [1414] = {.count = 1, .reusable = true}, SHIFT(69),
  [1416] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 1, .production_id = 5),
  [1418] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(109),
  [1421] = {.count = 1, .reusable = true}, SHIFT(109),
  [1423] = {.count = 1, .reusable = false}, SHIFT(149),
  [1425] = {.count = 1, .reusable = true}, SHIFT(96),
  [1427] = {.count = 1, .reusable = false}, SHIFT(151),
  [1429] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(83),
  [1432] = {.count = 1, .reusable = true}, SHIFT(83),
  [1434] = {.count = 1, .reusable = false}, REDUCE(sym_arguments, 4),
  [1436] = {.count = 1, .reusable = true}, REDUCE(sym_arguments, 4),
  [1438] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(622),
  [1441] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(968),
  [1444] = {.count = 1, .reusable = false}, SHIFT(160),
  [1446] = {.count = 1, .reusable = false}, REDUCE(sym_arguments, 3),
  [1448] = {.count = 1, .reusable = true}, REDUCE(sym_arguments, 3),
  [1450] = {.count = 1, .reusable = false}, REDUCE(sym_arguments, 2),
  [1452] = {.count = 1, .reusable = true}, REDUCE(sym_arguments, 2),
  [1454] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym_rest_parameter, 2),
  [1457] = {.count = 1, .reusable = true}, SHIFT(80),
  [1459] = {.count = 1, .reusable = false}, SHIFT(901),
  [1461] = {.count = 1, .reusable = false}, SHIFT(1086),
  [1463] = {.count = 1, .reusable = true}, SHIFT(783),
  [1465] = {.count = 1, .reusable = true}, REDUCE(sym_import, 1),
  [1467] = {.count = 1, .reusable = false}, REDUCE(sym_import, 1),
  [1469] = {.count = 1, .reusable = false}, REDUCE(sym_binary_expression, 3, .production_id = 50),
  [1471] = {.count = 1, .reusable = true}, REDUCE(sym_binary_expression, 3, .production_id = 50),
  [1473] = {.count = 1, .reusable = true}, SHIFT(105),
  [1475] = {.count = 1, .reusable = true}, SHIFT(171),
  [1477] = {.count = 1, .reusable = true}, SHIFT(377),
  [1479] = {.count = 1, .reusable = false}, SHIFT(164),
  [1481] = {.count = 1, .reusable = false}, SHIFT(175),
  [1483] = {.count = 1, .reusable = true}, SHIFT(174),
  [1485] = {.count = 1, .reusable = true}, SHIFT(164),
  [1487] = {.count = 1, .reusable = false}, SHIFT(174),
  [1489] = {.count = 1, .reusable = false}, SHIFT(172),
  [1491] = {.count = 1, .reusable = true}, SHIFT(175),
  [1493] = {.count = 1, .reusable = false}, REDUCE(sym_array, 4),
  [1495] = {.count = 1, .reusable = true}, REDUCE(sym_array, 4),
  [1497] = {.count = 1, .reusable = true}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 40),
  [1499] = {.count = 1, .reusable = true}, SHIFT(120),
  [1501] = {.count = 1, .reusable = true}, SHIFT(173),
  [1503] = {.count = 1, .reusable = false}, SHIFT(173),
  [1505] = {.count = 1, .reusable = true}, REDUCE(sym_yield_expression, 3),
  [1507] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 4, .production_id = 76),
  [1509] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 4, .production_id = 77),
  [1511] = {.count = 1, .reusable = false}, REDUCE(sym_array, 3),
  [1513] = {.count = 1, .reusable = true}, REDUCE(sym_array, 3),
  [1515] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 3, .production_id = 40),
  [1517] = {.count = 1, .reusable = false}, REDUCE(sym_unary_expression, 2, .production_id = 11),
  [1519] = {.count = 1, .reusable = true}, REDUCE(sym_unary_expression, 2, .production_id = 11),
  [1521] = {.count = 1, .reusable = false}, REDUCE(sym_object, 4),
  [1523] = {.count = 1, .reusable = true}, REDUCE(sym_object, 4),
  [1525] = {.count = 1, .reusable = false}, REDUCE(sym_object, 3, .production_id = 17),
  [1527] = {.count = 1, .reusable = true}, REDUCE(sym_object, 3, .production_id = 17),
  [1529] = {.count = 1, .reusable = true}, REDUCE(sym_await_expression, 2),
  [1531] = {.count = 1, .reusable = true}, REDUCE(sym_yield_expression, 2),
  [1533] = {.count = 1, .reusable = false}, REDUCE(sym_object, 4, .production_id = 17),
  [1535] = {.count = 1, .reusable = true}, REDUCE(sym_object, 4, .production_id = 17),
  [1537] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 3, .production_id = 54),
  [1539] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 3, .production_id = 52),
  [1541] = {.count = 1, .reusable = true}, REDUCE(sym_ternary_expression, 5, .production_id = 88),
  [1543] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 3, .production_id = 51),
  [1545] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 4, .production_id = 74),
  [1547] = {.count = 1, .reusable = true}, SHIFT(426),
  [1549] = {.count = 1, .reusable = false}, REDUCE(sym_array, 2),
  [1551] = {.count = 1, .reusable = true}, REDUCE(sym_array, 2),
  [1553] = {.count = 1, .reusable = false}, REDUCE(sym_object, 3),
  [1555] = {.count = 1, .reusable = true}, REDUCE(sym_object, 3),
  [1557] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 3, .production_id = 42),
  [1559] = {.count = 1, .reusable = false}, REDUCE(sym_update_expression, 2, .production_id = 11),
  [1561] = {.count = 1, .reusable = true}, REDUCE(sym_update_expression, 2, .production_id = 11),
  [1563] = {.count = 1, .reusable = true}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 46),
  [1565] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 3, .production_id = 48),
  [1567] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 3, .production_id = 46),
  [1569] = {.count = 1, .reusable = false}, SHIFT(170),
  [1571] = {.count = 1, .reusable = false}, SHIFT(169),
  [1573] = {.count = 1, .reusable = true}, SHIFT(425),
  [1575] = {.count = 1, .reusable = true}, SHIFT(102),
  [1577] = {.count = 1, .reusable = true}, REDUCE(sym_sequence_expression, 3, .production_id = 46),
  [1579] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 2),
  [1581] = {.count = 1, .reusable = false}, REDUCE(sym_regex, 3, .production_id = 34),
  [1583] = {.count = 1, .reusable = true}, REDUCE(sym_regex, 3, .production_id = 34),
  [1585] = {.count = 1, .reusable = false}, SHIFT(435),
  [1587] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 4, .production_id = 76),
  [1589] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 3, .production_id = 48),
  [1591] = {.count = 1, .reusable = false}, REDUCE(sym_string, 2),
  [1593] = {.count = 1, .reusable = true}, REDUCE(sym_string, 2),
  [1595] = {.count = 1, .reusable = false}, REDUCE(sym_class, 2, .production_id = 8),
  [1597] = {.count = 1, .reusable = true}, REDUCE(sym_class, 2, .production_id = 8),
  [1599] = {.count = 1, .reusable = false}, REDUCE(sym_template_string, 2),
  [1601] = {.count = 1, .reusable = true}, REDUCE(sym_template_string, 2),
  [1603] = {.count = 1, .reusable = false}, REDUCE(sym_call_expression, 2, .production_id = 12),
  [1605] = {.count = 1, .reusable = true}, REDUCE(sym_call_expression, 2, .production_id = 12),
  [1607] = {.count = 1, .reusable = false}, SHIFT(137),
  [1609] = {.count = 1, .reusable = false}, SHIFT(135),
  [1611] = {.count = 1, .reusable = true}, SHIFT(101),
  [1613] = {.count = 1, .reusable = true}, SHIFT(134),
  [1615] = {.count = 1, .reusable = true}, SHIFT(133),
  [1617] = {.count = 1, .reusable = true}, SHIFT(131),
  [1619] = {.count = 1, .reusable = true}, SHIFT(137),
  [1621] = {.count = 1, .reusable = false}, SHIFT(133),
  [1623] = {.count = 1, .reusable = false}, SHIFT(131),
  [1625] = {.count = 1, .reusable = false}, SHIFT(130),
  [1627] = {.count = 1, .reusable = true}, SHIFT(129),
  [1629] = {.count = 1, .reusable = true}, SHIFT(135),
  [1631] = {.count = 1, .reusable = true}, SHIFT(492),
  [1633] = {.count = 1, .reusable = false}, REDUCE(sym_update_expression, 2, .production_id = 14),
  [1635] = {.count = 1, .reusable = true}, REDUCE(sym_update_expression, 2, .production_id = 14),
  [1637] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_element, 2, .production_id = 15),
  [1639] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_element, 2, .production_id = 15),
  [1641] = {.count = 1, .reusable = false}, REDUCE(sym_string, 3),
  [1643] = {.count = 1, .reusable = true}, REDUCE(sym_string, 3),
  [1645] = {.count = 1, .reusable = true}, REDUCE(sym_spread_element, 2),
  [1647] = {.count = 1, .reusable = false}, REDUCE(sym_class, 3, .production_id = 38),
  [1649] = {.count = 1, .reusable = true}, REDUCE(sym_class, 3, .production_id = 38),
  [1651] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 1, .production_id = 7),
  [1653] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(106),
  [1656] = {.count = 1, .reusable = true}, SHIFT(106),
  [1658] = {.count = 1, .reusable = false}, SHIFT(116),
  [1660] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 1, .production_id = 6),
  [1662] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(110),
  [1665] = {.count = 1, .reusable = true}, SHIFT(110),
  [1667] = {.count = 1, .reusable = false}, SHIFT(114),
  [1669] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 3, .production_id = 42),
  [1671] = {.count = 1, .reusable = false}, REDUCE(sym_function, 3, .production_id = 43),
  [1673] = {.count = 1, .reusable = true}, REDUCE(sym_function, 3, .production_id = 43),
  [1675] = {.count = 1, .reusable = false}, REDUCE(sym_meta_property, 3),
  [1677] = {.count = 1, .reusable = true}, REDUCE(sym_meta_property, 3),
  [1679] = {.count = 1, .reusable = false}, REDUCE(sym_new_expression, 3, .production_id = 44),
  [1681] = {.count = 1, .reusable = true}, REDUCE(sym_new_expression, 3, .production_id = 44),
  [1683] = {.count = 1, .reusable = false}, REDUCE(sym_new_expression, 3, .production_id = 45),
  [1685] = {.count = 1, .reusable = true}, REDUCE(sym_new_expression, 3, .production_id = 45),
  [1687] = {.count = 1, .reusable = false}, REDUCE(sym_template_string, 3),
  [1689] = {.count = 1, .reusable = true}, REDUCE(sym_template_string, 3),
  [1691] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_element, 3, .production_id = 53),
  [1693] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_element, 3, .production_id = 53),
  [1695] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 3, .production_id = 54),
  [1697] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 32),
  [1699] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 32),
  [1701] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_fragment, 6),
  [1703] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_fragment, 6),
  [1705] = {.count = 1, .reusable = false}, REDUCE(sym_regex, 4, .production_id = 68),
  [1707] = {.count = 1, .reusable = true}, REDUCE(sym_regex, 4, .production_id = 68),
  [1709] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_closing_element, 4, .production_id = 89),
  [1711] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_closing_element, 4, .production_id = 89),
  [1713] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function, 5, .production_id = 86),
  [1715] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function, 5, .production_id = 86),
  [1717] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 4, .production_id = 74),
  [1719] = {.count = 1, .reusable = false}, REDUCE(sym_function, 4, .production_id = 75),
  [1721] = {.count = 1, .reusable = true}, REDUCE(sym_function, 4, .production_id = 75),
  [1723] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 4, .production_id = 77),
  [1725] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function, 4, .production_id = 75),
  [1727] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function, 4, .production_id = 75),
  [1729] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_self_closing_element, 5, .production_id = 66),
  [1731] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_self_closing_element, 5, .production_id = 66),
  [1733] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_fragment, 5),
  [1735] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_fragment, 5),
  [1737] = {.count = 1, .reusable = false}, REDUCE(sym_class, 4, .production_id = 81),
  [1739] = {.count = 1, .reusable = true}, REDUCE(sym_class, 4, .production_id = 81),
  [1741] = {.count = 2, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 52), REDUCE(sym_assignment_expression, 3, .production_id = 52),
  [1744] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 52),
  [1746] = {.count = 2, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 59), REDUCE(sym_assignment_expression, 3, .production_id = 40),
  [1749] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 59),
  [1751] = {.count = 2, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 59), REDUCE(sym_assignment_expression, 3, .production_id = 46),
  [1754] = {.count = 2, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 51), REDUCE(sym_assignment_expression, 3, .production_id = 51),
  [1757] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 51),
  [1759] = {.count = 2, .reusable = true}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [1762] = {.count = 1, .reusable = true}, REDUCE(sym_computed_property_name, 3),
  [1764] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(95),
  [1767] = {.count = 1, .reusable = true}, SHIFT(95),
  [1769] = {.count = 1, .reusable = false}, SHIFT(123),
  [1771] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(85),
  [1774] = {.count = 1, .reusable = true}, SHIFT(85),
  [1776] = {.count = 1, .reusable = false}, SHIFT(124),
  [1778] = {.count = 1, .reusable = false}, SHIFT(528),
  [1780] = {.count = 1, .reusable = true}, REDUCE(sym__initializer, 2, .production_id = 63),
  [1782] = {.count = 1, .reusable = true}, SHIFT(87),
  [1784] = {.count = 1, .reusable = true}, SHIFT(221),
  [1786] = {.count = 1, .reusable = true}, SHIFT(220),
  [1788] = {.count = 1, .reusable = true}, SHIFT(394),
  [1790] = {.count = 1, .reusable = true}, SHIFT(321),
  [1792] = {.count = 1, .reusable = true}, SHIFT(193),
  [1794] = {.count = 1, .reusable = true}, SHIFT(839),
  [1796] = {.count = 1, .reusable = true}, SHIFT(552),
  [1798] = {.count = 1, .reusable = true}, SHIFT(303),
  [1800] = {.count = 1, .reusable = true}, REDUCE(aux_sym_array_repeat1, 2),
  [1802] = {.count = 1, .reusable = true}, SHIFT(456),
  [1804] = {.count = 1, .reusable = true}, REDUCE(sym_pair, 3, .production_id = 60),
  [1806] = {.count = 1, .reusable = true}, SHIFT(871),
  [1808] = {.count = 1, .reusable = true}, SHIFT(277),
  [1810] = {.count = 1, .reusable = true}, SHIFT(730),
  [1812] = {.count = 1, .reusable = true}, SHIFT(264),
  [1814] = {.count = 1, .reusable = true}, SHIFT(266),
  [1816] = {.count = 1, .reusable = true}, SHIFT(214),
  [1818] = {.count = 1, .reusable = true}, SHIFT(32),
  [1820] = {.count = 1, .reusable = true}, SHIFT(269),
  [1822] = {.count = 1, .reusable = true}, SHIFT(270),
  [1824] = {.count = 1, .reusable = true}, SHIFT(262),
  [1826] = {.count = 1, .reusable = true}, SHIFT(265),
  [1828] = {.count = 1, .reusable = true}, SHIFT(263),
  [1830] = {.count = 1, .reusable = true}, SHIFT(290),
  [1832] = {.count = 1, .reusable = true}, SHIFT(9),
  [1834] = {.count = 1, .reusable = true}, SHIFT(261),
  [1836] = {.count = 1, .reusable = true}, SHIFT(268),
  [1838] = {.count = 1, .reusable = true}, SHIFT(782),
  [1840] = {.count = 1, .reusable = true}, SHIFT(41),
  [1842] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym__property_name, 1),
  [1845] = {.count = 1, .reusable = true}, REDUCE(sym__property_name, 1),
  [1847] = {.count = 1, .reusable = true}, SHIFT(275),
  [1849] = {.count = 1, .reusable = false}, SHIFT(147),
  [1851] = {.count = 1, .reusable = false}, SHIFT(143),
  [1853] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(626),
  [1856] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(912),
  [1859] = {.count = 1, .reusable = false}, SHIFT(112),
  [1861] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(617),
  [1864] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(905),
  [1867] = {.count = 1, .reusable = false}, SHIFT(159),
  [1869] = {.count = 1, .reusable = true}, SHIFT(292),
  [1871] = {.count = 1, .reusable = true}, SHIFT(209),
  [1873] = {.count = 1, .reusable = true}, SHIFT(803),
  [1875] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym_rest_parameter, 2, .production_id = 26),
  [1878] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym_rest_parameter, 2, .production_id = 25),
  [1881] = {.count = 1, .reusable = true}, SHIFT(1090),
  [1883] = {.count = 1, .reusable = true}, SHIFT(128),
  [1885] = {.count = 1, .reusable = true}, SHIFT(121),
  [1887] = {.count = 1, .reusable = true}, REDUCE(sym_class_heritage, 2),
  [1889] = {.count = 1, .reusable = false}, SHIFT(680),
  [1891] = {.count = 1, .reusable = true}, SHIFT(345),
  [1893] = {.count = 1, .reusable = true}, SHIFT(65),
  [1895] = {.count = 1, .reusable = false}, SHIFT(587),
  [1897] = {.count = 1, .reusable = true}, SHIFT(886),
  [1899] = {.count = 1, .reusable = false}, SHIFT(585),
  [1901] = {.count = 1, .reusable = false}, SHIFT(590),
  [1903] = {.count = 1, .reusable = false}, SHIFT(685),
  [1905] = {.count = 1, .reusable = true}, SHIFT(406),
  [1907] = {.count = 1, .reusable = false}, SHIFT(583),
  [1909] = {.count = 1, .reusable = false}, SHIFT(586),
  [1911] = {.count = 1, .reusable = false}, SHIFT(593),
  [1913] = {.count = 1, .reusable = false}, SHIFT(717),
  [1915] = {.count = 1, .reusable = true}, REDUCE(aux_sym_object_repeat1, 1),
  [1917] = {.count = 1, .reusable = false}, SHIFT(589),
  [1919] = {.count = 1, .reusable = false}, SHIFT(592),
  [1921] = {.count = 1, .reusable = false}, SHIFT(596),
  [1923] = {.count = 1, .reusable = false}, SHIFT(766),
  [1925] = {.count = 1, .reusable = true}, SHIFT(436),
  [1927] = {.count = 1, .reusable = true}, SHIFT(115),
  [1929] = {.count = 1, .reusable = false}, SHIFT(595),
  [1931] = {.count = 1, .reusable = true}, SHIFT(682),
  [1933] = {.count = 1, .reusable = false}, SHIFT(597),
  [1935] = {.count = 1, .reusable = false}, SHIFT(604),
  [1937] = {.count = 1, .reusable = true}, SHIFT(201),
  [1939] = {.count = 1, .reusable = true}, SHIFT(55),
  [1941] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(766),
  [1944] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(635),
  [1947] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72),
  [1949] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(115),
  [1952] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(595),
  [1955] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(751),
  [1958] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(757),
  [1961] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(682),
  [1964] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(678),
  [1967] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(597),
  [1970] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(604),
  [1973] = {.count = 1, .reusable = true}, SHIFT(392),
  [1975] = {.count = 1, .reusable = true}, SHIFT(198),
  [1977] = {.count = 1, .reusable = true}, SHIFT(56),
  [1979] = {.count = 1, .reusable = true}, SHIFT(637),
  [1981] = {.count = 1, .reusable = true}, REDUCE(sym__property_name, 1, .production_id = 4),
  [1983] = {.count = 1, .reusable = true}, SHIFT(168),
  [1985] = {.count = 1, .reusable = true}, SHIFT(139),
  [1987] = {.count = 1, .reusable = true}, SHIFT(929),
  [1989] = {.count = 1, .reusable = true}, SHIFT(156),
  [1991] = {.count = 1, .reusable = true}, SHIFT(777),
  [1993] = {.count = 1, .reusable = true}, SHIFT(694),
  [1995] = {.count = 1, .reusable = true}, SHIFT(690),
  [1997] = {.count = 1, .reusable = true}, SHIFT(1050),
  [1999] = {.count = 1, .reusable = true}, SHIFT(1131),
  [2001] = {.count = 1, .reusable = true}, SHIFT(1009),
  [2003] = {.count = 1, .reusable = true}, SHIFT(1081),
  [2005] = {.count = 1, .reusable = true}, SHIFT(1082),
  [2007] = {.count = 1, .reusable = true}, SHIFT(920),
  [2009] = {.count = 1, .reusable = true}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 17),
  [2011] = {.count = 1, .reusable = false}, SHIFT(600),
  [2013] = {.count = 1, .reusable = false}, SHIFT(737),
  [2015] = {.count = 1, .reusable = false}, SHIFT(616),
  [2017] = {.count = 1, .reusable = true}, SHIFT(639),
  [2019] = {.count = 1, .reusable = true}, SHIFT(1019),
  [2021] = {.count = 1, .reusable = false}, SHIFT(629),
  [2023] = {.count = 1, .reusable = false}, SHIFT(594),
  [2025] = {.count = 1, .reusable = true}, SHIFT(699),
  [2027] = {.count = 1, .reusable = false}, SHIFT(603),
  [2029] = {.count = 1, .reusable = false}, REDUCE(sym_decorator, 2),
  [2031] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 2),
  [2033] = {.count = 1, .reusable = false}, SHIFT(1099),
  [2035] = {.count = 1, .reusable = true}, SHIFT(141),
  [2037] = {.count = 1, .reusable = false}, REDUCE(sym_decorator, 2, .production_id = 13),
  [2039] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 2, .production_id = 13),
  [2041] = {.count = 1, .reusable = false}, SHIFT(1100),
  [2043] = {.count = 1, .reusable = false}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 16),
  [2045] = {.count = 1, .reusable = true}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 16),
  [2047] = {.count = 2, .reusable = true}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 16), SHIFT_REPEAT(678),
  [2050] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_member_expression, 3, .production_id = 41),
  [2052] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_member_expression, 3, .production_id = 41),
  [2054] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_member_expression, 3, .production_id = 47),
  [2056] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_member_expression, 3, .production_id = 47),
  [2058] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 4, .production_id = 78),
  [2060] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 4, .production_id = 78),
  [2062] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 7, .production_id = 106),
  [2064] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 7, .production_id = 106),
  [2066] = {.count = 1, .reusable = true}, SHIFT(107),
  [2068] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 6, .production_id = 97),
  [2070] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 6, .production_id = 97),
  [2072] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 5, .production_id = 87),
  [2074] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 5, .production_id = 87),
  [2076] = {.count = 1, .reusable = true}, SHIFT(634),
  [2078] = {.count = 1, .reusable = true}, SHIFT(934),
  [2080] = {.count = 1, .reusable = false}, SHIFT(621),
  [2082] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 3, .production_id = 61),
  [2084] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 3, .production_id = 61),
  [2086] = {.count = 1, .reusable = false}, SHIFT(614),
  [2088] = {.count = 1, .reusable = false}, SHIFT(844),
  [2090] = {.count = 1, .reusable = true}, SHIFT(936),
  [2092] = {.count = 1, .reusable = false}, SHIFT(843),
  [2094] = {.count = 1, .reusable = true}, SHIFT(975),
  [2096] = {.count = 1, .reusable = false}, SHIFT(750),
  [2098] = {.count = 1, .reusable = false}, SHIFT(763),
  [2100] = {.count = 1, .reusable = true}, SHIFT(1018),
  [2102] = {.count = 1, .reusable = true}, SHIFT(937),
  [2104] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_call_expression, 2, .production_id = 49),
  [2106] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_call_expression, 2, .production_id = 49),
  [2108] = {.count = 1, .reusable = true}, SHIFT(971),
  [2110] = {.count = 1, .reusable = true}, SHIFT(932),
  [2112] = {.count = 1, .reusable = true}, SHIFT(970),
  [2114] = {.count = 1, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 35),
  [2116] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 35),
  [2118] = {.count = 1, .reusable = true}, SHIFT(638),
  [2120] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_call_expression, 2, .production_id = 12),
  [2122] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_call_expression, 2, .production_id = 12),
  [2124] = {.count = 1, .reusable = false}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [2126] = {.count = 1, .reusable = true}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [2128] = {.count = 1, .reusable = true}, SHIFT(974),
  [2130] = {.count = 1, .reusable = true}, SHIFT(985),
  [2132] = {.count = 1, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 35),
  [2134] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 35),
  [2136] = {.count = 1, .reusable = false}, SHIFT(679),
  [2138] = {.count = 1, .reusable = true}, SHIFT(71),
  [2140] = {.count = 1, .reusable = true}, SHIFT(981),
  [2142] = {.count = 1, .reusable = true}, SHIFT(830),
  [2144] = {.count = 1, .reusable = false}, SHIFT(1068),
  [2146] = {.count = 1, .reusable = true}, SHIFT(679),
  [2148] = {.count = 1, .reusable = true}, SHIFT(1060),
  [2150] = {.count = 1, .reusable = false}, SHIFT(1054),
  [2152] = {.count = 1, .reusable = false}, SHIFT(1070),
  [2154] = {.count = 1, .reusable = false}, SHIFT(1052),
  [2156] = {.count = 1, .reusable = true}, SHIFT(727),
  [2158] = {.count = 1, .reusable = true}, SHIFT(759),
  [2160] = {.count = 1, .reusable = true}, SHIFT(758),
  [2162] = {.count = 1, .reusable = false}, SHIFT(74),
  [2164] = {.count = 1, .reusable = false}, SHIFT(702),
  [2166] = {.count = 1, .reusable = false}, SHIFT(675),
  [2168] = {.count = 1, .reusable = false}, SHIFT_EXTRA(),
  [2170] = {.count = 1, .reusable = false}, SHIFT(741),
  [2172] = {.count = 1, .reusable = true}, SHIFT(870),
  [2174] = {.count = 1, .reusable = false}, SHIFT(1053),
  [2176] = {.count = 1, .reusable = false}, SHIFT(731),
  [2178] = {.count = 1, .reusable = false}, SHIFT(1064),
  [2180] = {.count = 1, .reusable = false}, SHIFT(654),
  [2182] = {.count = 1, .reusable = false}, SHIFT(1058),
  [2184] = {.count = 1, .reusable = false}, SHIFT(734),
  [2186] = {.count = 1, .reusable = false}, SHIFT(663),
  [2188] = {.count = 1, .reusable = false}, SHIFT(659),
  [2190] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 67), SHIFT_REPEAT(679),
  [2193] = {.count = 2, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 67), SHIFT_REPEAT(71),
  [2196] = {.count = 1, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 67),
  [2198] = {.count = 1, .reusable = false}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 67),
  [2200] = {.count = 2, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 67), SHIFT_REPEAT(679),
  [2203] = {.count = 1, .reusable = false}, SHIFT(655),
  [2205] = {.count = 1, .reusable = false}, SHIFT(1085),
  [2207] = {.count = 1, .reusable = false}, SHIFT(716),
  [2209] = {.count = 1, .reusable = false}, SHIFT(726),
  [2211] = {.count = 1, .reusable = false}, SHIFT(673),
  [2213] = {.count = 1, .reusable = false}, SHIFT(714),
  [2215] = {.count = 1, .reusable = false}, SHIFT(740),
  [2217] = {.count = 1, .reusable = false}, SHIFT(671),
  [2219] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(74),
  [2222] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(784),
  [2225] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(675),
  [2228] = {.count = 1, .reusable = false}, SHIFT(721),
  [2230] = {.count = 1, .reusable = false}, SHIFT(677),
  [2232] = {.count = 1, .reusable = false}, SHIFT(719),
  [2234] = {.count = 1, .reusable = false}, SHIFT(598),
  [2236] = {.count = 1, .reusable = false}, SHIFT(602),
  [2238] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 1, .production_id = 4),
  [2240] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 1, .production_id = 4),
  [2242] = {.count = 1, .reusable = true}, SHIFT(653),
  [2244] = {.count = 1, .reusable = false}, REDUCE(sym_nested_identifier, 3),
  [2246] = {.count = 1, .reusable = true}, REDUCE(sym_nested_identifier, 3),
  [2248] = {.count = 1, .reusable = true}, SHIFT(620),
  [2250] = {.count = 1, .reusable = true}, REDUCE(sym_public_field_definition, 1, .production_id = 36),
  [2252] = {.count = 1, .reusable = true}, SHIFT(127),
  [2254] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(1043),
  [2257] = {.count = 1, .reusable = true}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [2259] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(92),
  [2262] = {.count = 1, .reusable = true}, SHIFT(696),
  [2264] = {.count = 1, .reusable = true}, SHIFT(421),
  [2266] = {.count = 1, .reusable = true}, SHIFT(104),
  [2268] = {.count = 1, .reusable = true}, SHIFT(545),
  [2270] = {.count = 1, .reusable = true}, SHIFT(1043),
  [2272] = {.count = 1, .reusable = true}, SHIFT(237),
  [2274] = {.count = 1, .reusable = true}, SHIFT(92),
  [2276] = {.count = 1, .reusable = true}, SHIFT(686),
  [2278] = {.count = 1, .reusable = true}, SHIFT(502),
  [2280] = {.count = 1, .reusable = true}, SHIFT(732),
  [2282] = {.count = 1, .reusable = true}, SHIFT(219),
  [2284] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_namespace_name, 3),
  [2286] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_namespace_name, 3),
  [2288] = {.count = 2, .reusable = true}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(696),
  [2291] = {.count = 1, .reusable = true}, REDUCE(aux_sym_template_string_repeat1, 2),
  [2293] = {.count = 2, .reusable = true}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(104),
  [2296] = {.count = 1, .reusable = true}, SHIFT(684),
  [2298] = {.count = 1, .reusable = true}, SHIFT(365),
  [2300] = {.count = 1, .reusable = true}, REDUCE(sym_public_field_definition, 2, .production_id = 69),
  [2302] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 1),
  [2304] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 1),
  [2306] = {.count = 1, .reusable = true}, SHIFT(651),
  [2308] = {.count = 1, .reusable = false}, SHIFT(641),
  [2310] = {.count = 1, .reusable = false}, SHIFT(774),
  [2312] = {.count = 1, .reusable = true}, SHIFT(645),
  [2314] = {.count = 1, .reusable = false}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, .production_id = 33),
  [2316] = {.count = 1, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, .production_id = 33),
  [2318] = {.count = 1, .reusable = false}, SHIFT(775),
  [2320] = {.count = 1, .reusable = true}, SHIFT(580),
  [2322] = {.count = 1, .reusable = false}, SHIFT(146),
  [2324] = {.count = 1, .reusable = false}, SHIFT(642),
  [2326] = {.count = 1, .reusable = true}, SHIFT(676),
  [2328] = {.count = 1, .reusable = true}, SHIFT(649),
  [2330] = {.count = 1, .reusable = true}, SHIFT(599),
  [2332] = {.count = 1, .reusable = true}, SHIFT(735),
  [2334] = {.count = 1, .reusable = false}, SHIFT(640),
  [2336] = {.count = 1, .reusable = true}, SHIFT(674),
  [2338] = {.count = 1, .reusable = true}, SHIFT(650),
  [2340] = {.count = 1, .reusable = false}, SHIFT(788),
  [2342] = {.count = 1, .reusable = true}, SHIFT(578),
  [2344] = {.count = 1, .reusable = false}, SHIFT(744),
  [2346] = {.count = 1, .reusable = false}, SHIFT(1046),
  [2348] = {.count = 1, .reusable = false}, SHIFT(1107),
  [2350] = {.count = 1, .reusable = false}, SHIFT(802),
  [2352] = {.count = 1, .reusable = false}, SHIFT(1049),
  [2354] = {.count = 1, .reusable = true}, SHIFT(1098),
  [2356] = {.count = 1, .reusable = false}, SHIFT(1065),
  [2358] = {.count = 1, .reusable = false}, SHIFT(770),
  [2360] = {.count = 1, .reusable = true}, SHIFT(600),
  [2362] = {.count = 1, .reusable = true}, SHIFT(737),
  [2364] = {.count = 1, .reusable = false}, SHIFT(1056),
  [2366] = {.count = 1, .reusable = false}, SHIFT(643),
  [2368] = {.count = 1, .reusable = true}, SHIFT(672),
  [2370] = {.count = 1, .reusable = true}, SHIFT(648),
  [2372] = {.count = 1, .reusable = true}, SHIFT(951),
  [2374] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_expression, 3),
  [2376] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_expression, 3),
  [2378] = {.count = 1, .reusable = false}, SHIFT(796),
  [2380] = {.count = 1, .reusable = false}, SHIFT(745),
  [2382] = {.count = 1, .reusable = false}, SHIFT(768),
  [2384] = {.count = 1, .reusable = false}, SHIFT(801),
  [2386] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 3),
  [2388] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 3),
  [2390] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 3, .production_id = 4),
  [2392] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 3, .production_id = 4),
  [2394] = {.count = 1, .reusable = false}, SHIFT(1083),
  [2396] = {.count = 1, .reusable = false}, SHIFT(790),
  [2398] = {.count = 1, .reusable = false}, SHIFT(764),
  [2400] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_expression, 2),
  [2402] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_expression, 2),
  [2404] = {.count = 1, .reusable = true}, SHIFT(146),
  [2406] = {.count = 1, .reusable = false}, SHIFT(811),
  [2408] = {.count = 1, .reusable = true}, SHIFT(1020),
  [2410] = {.count = 1, .reusable = true}, SHIFT(742),
  [2412] = {.count = 1, .reusable = true}, SHIFT(945),
  [2414] = {.count = 1, .reusable = true}, SHIFT(857),
  [2416] = {.count = 1, .reusable = true}, SHIFT(577),
  [2418] = {.count = 1, .reusable = true}, SHIFT(962),
  [2420] = {.count = 1, .reusable = true}, SHIFT(858),
  [2422] = {.count = 1, .reusable = true}, SHIFT(622),
  [2424] = {.count = 1, .reusable = true}, SHIFT(968),
  [2426] = {.count = 1, .reusable = false}, SHIFT(368),
  [2428] = {.count = 1, .reusable = true}, SHIFT(754),
  [2430] = {.count = 1, .reusable = false}, SHIFT(754),
  [2432] = {.count = 1, .reusable = false}, SHIFT(381),
  [2434] = {.count = 1, .reusable = true}, SHIFT(799),
  [2436] = {.count = 1, .reusable = false}, SHIFT(799),
  [2438] = {.count = 1, .reusable = false}, SHIFT(723),
  [2440] = {.count = 1, .reusable = true}, SHIFT(794),
  [2442] = {.count = 1, .reusable = false}, SHIFT(794),
  [2444] = {.count = 1, .reusable = true}, SHIFT(752),
  [2446] = {.count = 1, .reusable = false}, SHIFT(752),
  [2448] = {.count = 1, .reusable = false}, SHIFT(729),
  [2450] = {.count = 1, .reusable = true}, SHIFT(753),
  [2452] = {.count = 1, .reusable = false}, SHIFT(753),
  [2454] = {.count = 1, .reusable = true}, SHIFT(755),
  [2456] = {.count = 1, .reusable = false}, SHIFT(755),
  [2458] = {.count = 1, .reusable = true}, SHIFT(617),
  [2460] = {.count = 1, .reusable = true}, SHIFT(905),
  [2462] = {.count = 1, .reusable = true}, SHIFT(167),
  [2464] = {.count = 1, .reusable = true}, SHIFT(626),
  [2466] = {.count = 1, .reusable = true}, SHIFT(912),
  [2468] = {.count = 1, .reusable = true}, SHIFT(165),
  [2470] = {.count = 2, .reusable = true}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(698),
  [2473] = {.count = 1, .reusable = true}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [2475] = {.count = 1, .reusable = true}, SHIFT(624),
  [2477] = {.count = 1, .reusable = true}, SHIFT(957),
  [2479] = {.count = 2, .reusable = true}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(67),
  [2482] = {.count = 1, .reusable = true}, SHIFT(924),
  [2484] = {.count = 1, .reusable = true}, SHIFT(864),
  [2486] = {.count = 1, .reusable = false}, SHIFT(420),
  [2488] = {.count = 1, .reusable = false}, SHIFT(831),
  [2490] = {.count = 1, .reusable = true}, SHIFT(991),
  [2492] = {.count = 1, .reusable = true}, SHIFT(984),
  [2494] = {.count = 1, .reusable = true}, SHIFT(828),
  [2496] = {.count = 1, .reusable = true}, SHIFT(817),
  [2498] = {.count = 1, .reusable = true}, SHIFT(1128),
  [2500] = {.count = 1, .reusable = true}, SHIFT(814),
  [2502] = {.count = 1, .reusable = true}, SHIFT(807),
  [2504] = {.count = 1, .reusable = true}, SHIFT(228),
  [2506] = {.count = 1, .reusable = true}, SHIFT(1126),
  [2508] = {.count = 1, .reusable = false}, SHIFT(363),
  [2510] = {.count = 1, .reusable = true}, SHIFT(772),
  [2512] = {.count = 1, .reusable = false}, SHIFT(772),
  [2514] = {.count = 1, .reusable = true}, SHIFT(773),
  [2516] = {.count = 1, .reusable = false}, SHIFT(773),
  [2518] = {.count = 1, .reusable = true}, REDUCE(sym_template_substitution, 3),
  [2520] = {.count = 1, .reusable = true}, SHIFT(1116),
  [2522] = {.count = 1, .reusable = true}, SHIFT(1114),
  [2524] = {.count = 1, .reusable = true}, SHIFT(952),
  [2526] = {.count = 1, .reusable = true}, SHIFT(852),
  [2528] = {.count = 1, .reusable = true}, SHIFT(707),
  [2530] = {.count = 1, .reusable = true}, SHIFT(698),
  [2532] = {.count = 1, .reusable = true}, SHIFT(238),
  [2534] = {.count = 1, .reusable = true}, SHIFT(217),
  [2536] = {.count = 1, .reusable = false}, SHIFT(806),
  [2538] = {.count = 1, .reusable = true}, SHIFT(902),
  [2540] = {.count = 1, .reusable = true}, SHIFT(250),
  [2542] = {.count = 1, .reusable = true}, SHIFT(1040),
  [2544] = {.count = 1, .reusable = true}, SHIFT(812),
  [2546] = {.count = 1, .reusable = true}, SHIFT(942),
  [2548] = {.count = 1, .reusable = true}, SHIFT(880),
  [2550] = {.count = 1, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2),
  [2552] = {.count = 2, .reusable = true}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(794),
  [2555] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(794),
  [2558] = {.count = 1, .reusable = true}, SHIFT(1066),
  [2560] = {.count = 1, .reusable = false}, SHIFT(818),
  [2562] = {.count = 1, .reusable = true}, SHIFT(1014),
  [2564] = {.count = 1, .reusable = true}, SHIFT(1086),
  [2566] = {.count = 1, .reusable = true}, SHIFT(218),
  [2568] = {.count = 1, .reusable = false}, REDUCE(aux_sym_string_repeat2, 2),
  [2570] = {.count = 2, .reusable = true}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(799),
  [2573] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(799),
  [2576] = {.count = 1, .reusable = true}, SHIFT(954),
  [2578] = {.count = 1, .reusable = true}, SHIFT(854),
  [2580] = {.count = 1, .reusable = true}, SHIFT(501),
  [2582] = {.count = 1, .reusable = true}, SHIFT(997),
  [2584] = {.count = 1, .reusable = true}, SHIFT(242),
  [2586] = {.count = 1, .reusable = true}, SHIFT(1004),
  [2588] = {.count = 1, .reusable = true}, SHIFT(244),
  [2590] = {.count = 1, .reusable = true}, SHIFT(60),
  [2592] = {.count = 1, .reusable = true}, SHIFT(1034),
  [2594] = {.count = 1, .reusable = true}, SHIFT(705),
  [2596] = {.count = 1, .reusable = true}, SHIFT(941),
  [2598] = {.count = 1, .reusable = true}, SHIFT(820),
  [2600] = {.count = 1, .reusable = true}, SHIFT(1061),
  [2602] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 2),
  [2604] = {.count = 1, .reusable = true}, REDUCE(sym__import_export_specifier, 1, .production_id = 5),
  [2606] = {.count = 1, .reusable = true}, SHIFT(1073),
  [2608] = {.count = 1, .reusable = true}, SHIFT(875),
  [2610] = {.count = 1, .reusable = true}, SHIFT(1091),
  [2612] = {.count = 1, .reusable = true}, SHIFT(861),
  [2614] = {.count = 1, .reusable = true}, SHIFT(837),
  [2616] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 5, .production_id = 58),
  [2618] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 2, .production_id = 19),
  [2620] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 2, .production_id = 20),
  [2622] = {.count = 1, .reusable = true}, SHIFT(860),
  [2624] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 2, .production_id = 21),
  [2626] = {.count = 1, .reusable = true}, SHIFT(911),
  [2628] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1, .production_id = 32),
  [2630] = {.count = 1, .reusable = true}, SHIFT(437),
  [2632] = {.count = 1, .reusable = true}, SHIFT(300),
  [2634] = {.count = 1, .reusable = true}, SHIFT(874),
  [2636] = {.count = 1, .reusable = true}, SHIFT(876),
  [2638] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 3, .production_id = 58),
  [2640] = {.count = 1, .reusable = true}, SHIFT(399),
  [2642] = {.count = 1, .reusable = true}, SHIFT(61),
  [2644] = {.count = 1, .reusable = true}, SHIFT(956),
  [2646] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .production_id = 13),
  [2648] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [2650] = {.count = 2, .reusable = true}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(575),
  [2653] = {.count = 1, .reusable = true}, REDUCE(aux_sym_object_repeat1, 2),
  [2655] = {.count = 1, .reusable = true}, SHIFT(316),
  [2657] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .production_id = 25),
  [2659] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .production_id = 26),
  [2661] = {.count = 1, .reusable = true}, SHIFT(325),
  [2663] = {.count = 1, .reusable = true}, SHIFT(329),
  [2665] = {.count = 1, .reusable = true}, SHIFT(913),
  [2667] = {.count = 1, .reusable = true}, SHIFT(627),
  [2669] = {.count = 1, .reusable = true}, SHIFT(948),
  [2671] = {.count = 1, .reusable = true}, SHIFT(450),
  [2673] = {.count = 2, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(636),
  [2676] = {.count = 1, .reusable = true}, SHIFT(921),
  [2678] = {.count = 1, .reusable = true}, SHIFT(1035),
  [2680] = {.count = 2, .reusable = true}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(1021),
  [2683] = {.count = 1, .reusable = true}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [2685] = {.count = 1, .reusable = true}, SHIFT(1109),
  [2687] = {.count = 1, .reusable = true}, SHIFT(897),
  [2689] = {.count = 1, .reusable = true}, SHIFT(20),
  [2691] = {.count = 1, .reusable = true}, SHIFT(720),
  [2693] = {.count = 1, .reusable = true}, SHIFT(341),
  [2695] = {.count = 1, .reusable = true}, SHIFT(633),
  [2697] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 66),
  [2699] = {.count = 2, .reusable = true}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(1012),
  [2702] = {.count = 1, .reusable = true}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [2704] = {.count = 1, .reusable = true}, SHIFT(822),
  [2706] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 4, .production_id = 58),
  [2708] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 3),
  [2710] = {.count = 1, .reusable = true}, SHIFT(632),
  [2712] = {.count = 1, .reusable = true}, SHIFT(385),
  [2714] = {.count = 1, .reusable = true}, SHIFT(917),
  [2716] = {.count = 1, .reusable = true}, SHIFT(503),
  [2718] = {.count = 1, .reusable = true}, SHIFT(448),
  [2720] = {.count = 1, .reusable = true}, SHIFT(618),
  [2722] = {.count = 1, .reusable = true}, SHIFT(142),
  [2724] = {.count = 1, .reusable = true}, SHIFT(18),
  [2726] = {.count = 1, .reusable = true}, SHIFT(253),
  [2728] = {.count = 1, .reusable = true}, REDUCE(aux_sym_export_clause_repeat1, 2, .production_id = 58),
  [2730] = {.count = 1, .reusable = true}, REDUCE(sym__import_export_specifier, 3, .production_id = 82),
  [2732] = {.count = 1, .reusable = true}, REDUCE(sym__from_clause, 2, .production_id = 18),
  [2734] = {.count = 1, .reusable = true}, SHIFT(797),
  [2736] = {.count = 1, .reusable = true}, REDUCE(sym_import_clause, 1),
  [2738] = {.count = 1, .reusable = true}, SHIFT(15),
  [2740] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3, .production_id = 25),
  [2742] = {.count = 1, .reusable = true}, SHIFT(16),
  [2744] = {.count = 1, .reusable = true}, SHIFT(22),
  [2746] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3, .production_id = 26),
  [2748] = {.count = 1, .reusable = true}, REDUCE(sym_public_field_definition, 2, .production_id = 70),
  [2750] = {.count = 1, .reusable = true}, SHIFT(86),
  [2752] = {.count = 1, .reusable = true}, SHIFT(1006),
  [2754] = {.count = 1, .reusable = true}, SHIFT(1127),
  [2756] = {.count = 1, .reusable = true}, REDUCE(sym_rest_parameter, 2, .production_id = 26),
  [2758] = {.count = 1, .reusable = true}, SHIFT(239),
  [2760] = {.count = 1, .reusable = true}, SHIFT(93),
  [2762] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4, .production_id = 26),
  [2764] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4, .production_id = 25),
  [2766] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4),
  [2768] = {.count = 1, .reusable = true}, REDUCE(aux_sym_named_imports_repeat1, 2, .production_id = 62),
  [2770] = {.count = 1, .reusable = true}, REDUCE(sym_rest_parameter, 2, .production_id = 25),
  [2772] = {.count = 1, .reusable = true}, REDUCE(sym_rest_parameter, 2),
  [2774] = {.count = 1, .reusable = true}, SHIFT(692),
  [2776] = {.count = 1, .reusable = true}, SHIFT(75),
  [2778] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3, .production_id = 13),
  [2780] = {.count = 1, .reusable = true}, SHIFT(82),
  [2782] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3),
  [2784] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 5, .production_id = 13),
  [2786] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4, .production_id = 13),
  [2788] = {.count = 1, .reusable = true}, SHIFT(34),
  [2790] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 5),
  [2792] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 5, .production_id = 25),
  [2794] = {.count = 1, .reusable = false}, SHIFT(693),
  [2796] = {.count = 1, .reusable = true}, SHIFT(693),
  [2798] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 5, .production_id = 26),
  [2800] = {.count = 1, .reusable = true}, SHIFT(223),
  [2802] = {.count = 1, .reusable = true}, SHIFT(222),
  [2804] = {.count = 1, .reusable = true}, REDUCE(sym_public_field_definition, 3, .production_id = 85),
  [2806] = {.count = 1, .reusable = true}, SHIFT(1031),
  [2808] = {.count = 1, .reusable = true}, SHIFT(1129),
  [2810] = {.count = 1, .reusable = true}, SHIFT(1039),
  [2812] = {.count = 1, .reusable = true}, SHIFT(1059),
  [2814] = {.count = 1, .reusable = true}, SHIFT(216),
  [2816] = {.count = 1, .reusable = true}, SHIFT(213),
  [2818] = {.count = 1, .reusable = true}, SHIFT(252),
  [2820] = {.count = 1, .reusable = true}, SHIFT(930),
  [2822] = {.count = 1, .reusable = true}, SHIFT(1130),
  [2824] = {.count = 1, .reusable = false}, SHIFT(1115),
  [2826] = {.count = 1, .reusable = true}, SHIFT(10),
  [2828] = {.count = 1, .reusable = false}, SHIFT(1078),
  [2830] = {.count = 1, .reusable = true}, SHIFT(701),
  [2832] = {.count = 1, .reusable = true}, REDUCE(sym_import_clause, 3),
  [2834] = {.count = 1, .reusable = true}, REDUCE(sym_namespace_import, 3),
  [2836] = {.count = 1, .reusable = true}, SHIFT(434),
  [2838] = {.count = 1, .reusable = true}, SHIFT(771),
  [2840] = {.count = 1, .reusable = true}, SHIFT(703),
  [2842] = {.count = 1, .reusable = true}, SHIFT(704),
  [2844] = {.count = 1, .reusable = true}, SHIFT(869),
  [2846] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 3),
  [2848] = {.count = 1, .reusable = true}, SHIFT(715),
  [2850] = {.count = 1, .reusable = true}, SHIFT(805),
  [2852] = {.count = 1, .reusable = true}, SHIFT(891),
  [2854] = {.count = 1, .reusable = true}, SHIFT(681),
  [2856] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 3, .production_id = 62),
  [2858] = {.count = 1, .reusable = true}, SHIFT(444),
  [2860] = {.count = 1, .reusable = true}, SHIFT(445),
  [2862] = {.count = 1, .reusable = true}, SHIFT(767),
  [2864] = {.count = 1, .reusable = true}, SHIFT(521),
  [2866] = {.count = 1, .reusable = true}, SHIFT(433),
  [2868] = {.count = 1, .reusable = true}, SHIFT(276),
  [2870] = {.count = 1, .reusable = true}, SHIFT(415),
  [2872] = {.count = 1, .reusable = true}, SHIFT(895),
  [2874] = {.count = 1, .reusable = true}, SHIFT(84),
  [2876] = {.count = 1, .reusable = true}, SHIFT(81),
  [2878] = {.count = 1, .reusable = true}, SHIFT(88),
  [2880] = {.count = 1, .reusable = true}, SHIFT(274),
  [2882] = {.count = 1, .reusable = false}, SHIFT(359),
  [2884] = {.count = 1, .reusable = true}, SHIFT(98),
  [2886] = {.count = 1, .reusable = true}, SHIFT(756),
  [2888] = {.count = 1, .reusable = true}, SHIFT(1010),
  [2890] = {.count = 1, .reusable = true}, SHIFT(537),
  [2892] = {.count = 1, .reusable = true}, SHIFT(100),
  [2894] = {.count = 1, .reusable = true}, SHIFT(526),
  [2896] = {.count = 1, .reusable = true}, SHIFT(1117),
  [2898] = {.count = 1, .reusable = true},  ACCEPT_INPUT(),
  [2900] = {.count = 1, .reusable = true}, SHIFT(286),
  [2902] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 4, .production_id = 62),
  [2904] = {.count = 1, .reusable = true}, SHIFT(907),
  [2906] = {.count = 1, .reusable = true}, SHIFT(607),
  [2908] = {.count = 1, .reusable = true}, SHIFT(606),
  [2910] = {.count = 1, .reusable = true}, SHIFT(914),
  [2912] = {.count = 1, .reusable = true}, SHIFT(919),
  [2914] = {.count = 1, .reusable = true}, SHIFT(918),
  [2916] = {.count = 1, .reusable = true}, SHIFT(553),
  [2918] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 5, .production_id = 62),
  [2920] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 2),
  [2922] = {.count = 1, .reusable = false}, SHIFT(467),
  [2924] = {.count = 1, .reusable = true}, SHIFT(1055),
  [2926] = {.count = 1, .reusable = true}, SHIFT(1048),
  [2928] = {.count = 1, .reusable = true}, SHIFT(295),
  [2930] = {.count = 1, .reusable = true}, SHIFT(111),
  [2932] = {.count = 1, .reusable = true}, SHIFT(513),
  [2934] = {.count = 1, .reusable = true}, SHIFT(748),
  [2936] = {.count = 1, .reusable = true}, SHIFT(1038),
  [2938] = {.count = 1, .reusable = true}, SHIFT(877),
  [2940] = {.count = 1, .reusable = true}, SHIFT(940),
  [2942] = {.count = 1, .reusable = true}, SHIFT(946),
  [2944] = {.count = 1, .reusable = true}, SHIFT(1036),
};

void *tree_sitter_javascript_external_scanner_create(void);
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_javascript(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
  };
  return &language;
}
